// GENERATED CODE - DO NOT EDIT

// Copyright 2019 The Flutter team. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

import 'dart:ui' as ui;
import 'package:flutter/material.dart';
import 'src/google_fonts_base.dart';
import 'src/google_fonts_descriptor.dart';
import 'src/google_fonts_variant.dart';

/// A collection of properties used to specify custom behavior of the
/// GoogleFonts library.
class _Config {
  /// Whether or not the GoogleFonts library can make requests to
  /// [fonts.google.com](https://fonts.google.com/) to retrieve font files.
  var allowRuntimeFetching = true;
}

class GoogleFonts {
  /// Configuration for the [GoogleFonts] library.
  ///
  /// Use this to define custom behavior of the GoogleFonts library in your app.
  /// For example, if you do not want the GoogleFonts library to make any http
  /// requests for fonts, add the following snippet to your app's `main` method.
  ///
  /// ```dart
  /// GoogleFonts.config.allowRuntimeFetching = false;
  /// ```
  static final config = _Config();

  /// Get a map of all available fonts.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] method.
  static Map<
      String,
      TextStyle Function({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  })> asMap() => const {
        'ABeeZee': GoogleFonts.aBeeZee,
        'Abel': GoogleFonts.abel,
        'Abhaya Libre': GoogleFonts.abhayaLibre,
        'Abril Fatface': GoogleFonts.abrilFatface,
        'Aclonica': GoogleFonts.aclonica,
        'Acme': GoogleFonts.acme,
        'Actor': GoogleFonts.actor,
        'Adamina': GoogleFonts.adamina,
        'Advent Pro': GoogleFonts.adventPro,
        'Aguafina Script': GoogleFonts.aguafinaScript,
        'Akaya Telivigala': GoogleFonts.akayaTelivigala,
        'Akronim': GoogleFonts.akronim,
        'Aladin': GoogleFonts.aladin,
        'Alata': GoogleFonts.alata,
        'Alatsi': GoogleFonts.alatsi,
        'Aldrich': GoogleFonts.aldrich,
        'Alef': GoogleFonts.alef,
        'Alegreya': GoogleFonts.alegreya,
        'Alegreya SC': GoogleFonts.alegreyaSc,
        'Alegreya Sans': GoogleFonts.alegreyaSans,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansSc,
        'Aleo': GoogleFonts.aleo,
        'Alex Brush': GoogleFonts.alexBrush,
        'Alfa Slab One': GoogleFonts.alfaSlabOne,
        'Alice': GoogleFonts.alice,
        'Alike': GoogleFonts.alike,
        'Alike Angular': GoogleFonts.alikeAngular,
        'Allan': GoogleFonts.allan,
        'Allerta': GoogleFonts.allerta,
        'Allerta Stencil': GoogleFonts.allertaStencil,
        'Allison': GoogleFonts.allison,
        'Allura': GoogleFonts.allura,
        'Almarai': GoogleFonts.almarai,
        'Almendra': GoogleFonts.almendra,
        'Almendra Display': GoogleFonts.almendraDisplay,
        'Almendra SC': GoogleFonts.almendraSc,
        'Alumni Sans': GoogleFonts.alumniSans,
        'Amarante': GoogleFonts.amarante,
        'Amaranth': GoogleFonts.amaranth,
        'Amatic SC': GoogleFonts.amaticSc,
        'Amatica SC': GoogleFonts.amaticaSc,
        'Amethysta': GoogleFonts.amethysta,
        'Amiko': GoogleFonts.amiko,
        'Amiri': GoogleFonts.amiri,
        'Amita': GoogleFonts.amita,
        'Anaheim': GoogleFonts.anaheim,
        'Andada': GoogleFonts.andada,
        'Andada Pro': GoogleFonts.andadaPro,
        'Andika': GoogleFonts.andika,
        'Andika New Basic': GoogleFonts.andikaNewBasic,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescope,
        'Anonymous Pro': GoogleFonts.anonymousPro,
        'Antic': GoogleFonts.antic,
        'Antic Didone': GoogleFonts.anticDidone,
        'Antic Slab': GoogleFonts.anticSlab,
        'Anton': GoogleFonts.anton,
        'Arapey': GoogleFonts.arapey,
        'Arbutus': GoogleFonts.arbutus,
        'Arbutus Slab': GoogleFonts.arbutusSlab,
        'Architects Daughter': GoogleFonts.architectsDaughter,
        'Archivo': GoogleFonts.archivo,
        'Archivo Black': GoogleFonts.archivoBlack,
        'Archivo Narrow': GoogleFonts.archivoNarrow,
        'Are You Serious': GoogleFonts.areYouSerious,
        'Aref Ruqaa': GoogleFonts.arefRuqaa,
        'Arima Madurai': GoogleFonts.arimaMadurai,
        'Arimo': GoogleFonts.arimo,
        'Arizonia': GoogleFonts.arizonia,
        'Armata': GoogleFonts.armata,
        'Arsenal': GoogleFonts.arsenal,
        'Artifika': GoogleFonts.artifika,
        'Arvo': GoogleFonts.arvo,
        'Arya': GoogleFonts.arya,
        'Asap': GoogleFonts.asap,
        'Asar': GoogleFonts.asar,
        'Asset': GoogleFonts.asset,
        'Assistant': GoogleFonts.assistant,
        'Astloch': GoogleFonts.astloch,
        'Asul': GoogleFonts.asul,
        'Athiti': GoogleFonts.athiti,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegible,
        'Atma': GoogleFonts.atma,
        'Atomic Age': GoogleFonts.atomicAge,
        'Aubrey': GoogleFonts.aubrey,
        'Audiowide': GoogleFonts.audiowide,
        'Autour One': GoogleFonts.autourOne,
        'Average': GoogleFonts.average,
        'Average Sans': GoogleFonts.averageSans,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibre,
        'Averia Libre': GoogleFonts.averiaLibre,
        'Averia Sans Libre': GoogleFonts.averiaSansLibre,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibre,
        'Azeret Mono': GoogleFonts.azeretMono,
        'B612': GoogleFonts.b612,
        'B612 Mono': GoogleFonts.b612Mono,
        'Bad Script': GoogleFonts.badScript,
        'Bahiana': GoogleFonts.bahiana,
        'Bahianita': GoogleFonts.bahianita,
        'Bai Jamjuree': GoogleFonts.baiJamjuree,
        'Bakbak One': GoogleFonts.bakbakOne,
        'Baloo': GoogleFonts.baloo,
        'Baloo 2': GoogleFonts.baloo2,
        'Baloo Bhai': GoogleFonts.balooBhai,
        'Baloo Bhai 2': GoogleFonts.balooBhai2,
        'Baloo Bhaijaan': GoogleFonts.balooBhaijaan,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2,
        'Baloo Bhaina': GoogleFonts.balooBhaina,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2,
        'Baloo Chettan': GoogleFonts.balooChettan,
        'Baloo Chettan 2': GoogleFonts.balooChettan2,
        'Baloo Da': GoogleFonts.balooDa,
        'Baloo Da 2': GoogleFonts.balooDa2,
        'Baloo Paaji': GoogleFonts.balooPaaji,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2,
        'Baloo Tamma': GoogleFonts.balooTamma,
        'Baloo Tamma 2': GoogleFonts.balooTamma2,
        'Baloo Tammudu': GoogleFonts.balooTammudu,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2,
        'Baloo Thambi': GoogleFonts.balooThambi,
        'Baloo Thambi 2': GoogleFonts.balooThambi2,
        'Balsamiq Sans': GoogleFonts.balsamiqSans,
        'Balthazar': GoogleFonts.balthazar,
        'Bangers': GoogleFonts.bangers,
        'Barlow': GoogleFonts.barlow,
        'Barlow Condensed': GoogleFonts.barlowCondensed,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensed,
        'Barriecito': GoogleFonts.barriecito,
        'Barrio': GoogleFonts.barrio,
        'Basic': GoogleFonts.basic,
        'Baskervville': GoogleFonts.baskervville,
        'Baumans': GoogleFonts.baumans,
        'Be Vietnam': GoogleFonts.beVietnam,
        'Be Vietnam Pro': GoogleFonts.beVietnamPro,
        'Bebas Neue': GoogleFonts.bebasNeue,
        'Belgrano': GoogleFonts.belgrano,
        'Bellefair': GoogleFonts.bellefair,
        'Belleza': GoogleFonts.belleza,
        'Bellota': GoogleFonts.bellota,
        'Bellota Text': GoogleFonts.bellotaText,
        'BenchNine': GoogleFonts.benchNine,
        'Bentham': GoogleFonts.bentham,
        'Berkshire Swash': GoogleFonts.berkshireSwash,
        'Besley': GoogleFonts.besley,
        'Beth Ellen': GoogleFonts.bethEllen,
        'Bevan': GoogleFonts.bevan,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplay,
        'Big Shoulders Inline Display': GoogleFonts.bigShouldersInlineDisplay,
        'Big Shoulders Inline Text': GoogleFonts.bigShouldersInlineText,
        'Big Shoulders Stencil Display': GoogleFonts.bigShouldersStencilDisplay,
        'Big Shoulders Stencil Text': GoogleFonts.bigShouldersStencilText,
        'Big Shoulders Text': GoogleFonts.bigShouldersText,
        'Bigelow Rules': GoogleFonts.bigelowRules,
        'Bigshot One': GoogleFonts.bigshotOne,
        'Bilbo': GoogleFonts.bilbo,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCaps,
        'BioRhyme': GoogleFonts.bioRhyme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpanded,
        'Birthstone': GoogleFonts.birthstone,
        'Birthstone Bounce': GoogleFonts.birthstoneBounce,
        'Biryani': GoogleFonts.biryani,
        'Bitter': GoogleFonts.bitter,
        'Black And White Picture': GoogleFonts.blackAndWhitePicture,
        'Black Han Sans': GoogleFonts.blackHanSans,
        'Black Ops One': GoogleFonts.blackOpsOne,
        'Blinker': GoogleFonts.blinker,
        'Bona Nova': GoogleFonts.bonaNova,
        'Bonbon': GoogleFonts.bonbon,
        'Bonheur Royale': GoogleFonts.bonheurRoyale,
        'Boogaloo': GoogleFonts.boogaloo,
        'Bowlby One': GoogleFonts.bowlbyOne,
        'Bowlby One SC': GoogleFonts.bowlbyOneSc,
        'Brawler': GoogleFonts.brawler,
        'Bree Serif': GoogleFonts.breeSerif,
        'Brygada 1918': GoogleFonts.brygada1918,
        'Bubblegum Sans': GoogleFonts.bubblegumSans,
        'Bubbler One': GoogleFonts.bubblerOne,
        'Buda': GoogleFonts.buda,
        'Buenard': GoogleFonts.buenard,
        'Bungee': GoogleFonts.bungee,
        'Bungee Hairline': GoogleFonts.bungeeHairline,
        'Bungee Inline': GoogleFonts.bungeeInline,
        'Bungee Outline': GoogleFonts.bungeeOutline,
        'Bungee Shade': GoogleFonts.bungeeShade,
        'Butcherman': GoogleFonts.butcherman,
        'Butterfly Kids': GoogleFonts.butterflyKids,
        'Cabin': GoogleFonts.cabin,
        'Cabin Condensed': GoogleFonts.cabinCondensed,
        'Cabin Sketch': GoogleFonts.cabinSketch,
        'Caesar Dressing': GoogleFonts.caesarDressing,
        'Cagliostro': GoogleFonts.cagliostro,
        'Cairo': GoogleFonts.cairo,
        'Caladea': GoogleFonts.caladea,
        'Calistoga': GoogleFonts.calistoga,
        'Calligraffitti': GoogleFonts.calligraffitti,
        'Cambay': GoogleFonts.cambay,
        'Cambo': GoogleFonts.cambo,
        'Candal': GoogleFonts.candal,
        'Cantarell': GoogleFonts.cantarell,
        'Cantata One': GoogleFonts.cantataOne,
        'Cantora One': GoogleFonts.cantoraOne,
        'Capriola': GoogleFonts.capriola,
        'Caramel': GoogleFonts.caramel,
        'Carattere': GoogleFonts.carattere,
        'Cardo': GoogleFonts.cardo,
        'Carme': GoogleFonts.carme,
        'Carrois Gothic': GoogleFonts.carroisGothic,
        'Carrois Gothic SC': GoogleFonts.carroisGothicSc,
        'Carter One': GoogleFonts.carterOne,
        'Castoro': GoogleFonts.castoro,
        'Catamaran': GoogleFonts.catamaran,
        'Caudex': GoogleFonts.caudex,
        'Caveat': GoogleFonts.caveat,
        'Caveat Brush': GoogleFonts.caveatBrush,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursive,
        'Ceviche One': GoogleFonts.cevicheOne,
        'Chakra Petch': GoogleFonts.chakraPetch,
        'Changa': GoogleFonts.changa,
        'Changa One': GoogleFonts.changaOne,
        'Chango': GoogleFonts.chango,
        'Charm': GoogleFonts.charm,
        'Charmonman': GoogleFonts.charmonman,
        'Chathura': GoogleFonts.chathura,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOne,
        'Chela One': GoogleFonts.chelaOne,
        'Chelsea Market': GoogleFonts.chelseaMarket,
        'Cherish': GoogleFonts.cherish,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSoda,
        'Cherry Swash': GoogleFonts.cherrySwash,
        'Chewy': GoogleFonts.chewy,
        'Chicle': GoogleFonts.chicle,
        'Chilanka': GoogleFonts.chilanka,
        'Chivo': GoogleFonts.chivo,
        'Chonburi': GoogleFonts.chonburi,
        'Cinzel': GoogleFonts.cinzel,
        'Cinzel Decorative': GoogleFonts.cinzelDecorative,
        'Clicker Script': GoogleFonts.clickerScript,
        'Coda': GoogleFonts.coda,
        'Coda Caption': GoogleFonts.codaCaption,
        'Codystar': GoogleFonts.codystar,
        'Coiny': GoogleFonts.coiny,
        'Combo': GoogleFonts.combo,
        'Comfortaa': GoogleFonts.comfortaa,
        'Comforter': GoogleFonts.comforter,
        'Comforter Brush': GoogleFonts.comforterBrush,
        'Comic Neue': GoogleFonts.comicNeue,
        'Coming Soon': GoogleFonts.comingSoon,
        'Commissioner': GoogleFonts.commissioner,
        'Concert One': GoogleFonts.concertOne,
        'Condiment': GoogleFonts.condiment,
        'Contrail One': GoogleFonts.contrailOne,
        'Convergence': GoogleFonts.convergence,
        'Cookie': GoogleFonts.cookie,
        'Copse': GoogleFonts.copse,
        'Corben': GoogleFonts.corben,
        'Corinthia': GoogleFonts.corinthia,
        'Cormorant': GoogleFonts.cormorant,
        'Cormorant Garamond': GoogleFonts.cormorantGaramond,
        'Cormorant Infant': GoogleFonts.cormorantInfant,
        'Cormorant SC': GoogleFonts.cormorantSc,
        'Cormorant Unicase': GoogleFonts.cormorantUnicase,
        'Cormorant Upright': GoogleFonts.cormorantUpright,
        'Courgette': GoogleFonts.courgette,
        'Courier Prime': GoogleFonts.courierPrime,
        'Cousine': GoogleFonts.cousine,
        'Coustard': GoogleFonts.coustard,
        'Covered By Your Grace': GoogleFonts.coveredByYourGrace,
        'Crafty Girls': GoogleFonts.craftyGirls,
        'Creepster': GoogleFonts.creepster,
        'Crete Round': GoogleFonts.creteRound,
        'Crimson Pro': GoogleFonts.crimsonPro,
        'Crimson Text': GoogleFonts.crimsonText,
        'Croissant One': GoogleFonts.croissantOne,
        'Crushed': GoogleFonts.crushed,
        'Cuprum': GoogleFonts.cuprum,
        'Cute Font': GoogleFonts.cuteFont,
        'Cutive': GoogleFonts.cutive,
        'Cutive Mono': GoogleFonts.cutiveMono,
        'DM Mono': GoogleFonts.dmMono,
        'DM Sans': GoogleFonts.dmSans,
        'DM Serif Display': GoogleFonts.dmSerifDisplay,
        'DM Serif Text': GoogleFonts.dmSerifText,
        'Damion': GoogleFonts.damion,
        'Dancing Script': GoogleFonts.dancingScript,
        'Darker Grotesque': GoogleFonts.darkerGrotesque,
        'David Libre': GoogleFonts.davidLibre,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDay,
        'Days One': GoogleFonts.daysOne,
        'Dekko': GoogleFonts.dekko,
        'Dela Gothic One': GoogleFonts.delaGothicOne,
        'Delius': GoogleFonts.delius,
        'Delius Swash Caps': GoogleFonts.deliusSwashCaps,
        'Delius Unicase': GoogleFonts.deliusUnicase,
        'Della Respira': GoogleFonts.dellaRespira,
        'Denk One': GoogleFonts.denkOne,
        'Devonshire': GoogleFonts.devonshire,
        'Dhurjati': GoogleFonts.dhurjati,
        'Didact Gothic': GoogleFonts.didactGothic,
        'Diplomata': GoogleFonts.diplomata,
        'Diplomata SC': GoogleFonts.diplomataSc,
        'Do Hyeon': GoogleFonts.doHyeon,
        'Dokdo': GoogleFonts.dokdo,
        'Domine': GoogleFonts.domine,
        'Donegal One': GoogleFonts.donegalOne,
        'Dongle': GoogleFonts.dongle,
        'Doppio One': GoogleFonts.doppioOne,
        'Dorsa': GoogleFonts.dorsa,
        'Dosis': GoogleFonts.dosis,
        'DotGothic16': GoogleFonts.dotGothic16,
        'Dr Sugiyama': GoogleFonts.drSugiyama,
        'Droid Sans': GoogleFonts.droidSans,
        'Droid Sans Mono': GoogleFonts.droidSansMono,
        'Droid Serif': GoogleFonts.droidSerif,
        'Duru Sans': GoogleFonts.duruSans,
        'Dynalight': GoogleFonts.dynalight,
        'EB Garamond': GoogleFonts.ebGaramond,
        'Eagle Lake': GoogleFonts.eagleLake,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdo,
        'Eater': GoogleFonts.eater,
        'Economica': GoogleFonts.economica,
        'Eczar': GoogleFonts.eczar,
        'El Messiri': GoogleFonts.elMessiri,
        'Electrolize': GoogleFonts.electrolize,
        'Elsie': GoogleFonts.elsie,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCaps,
        'Emblema One': GoogleFonts.emblemaOne,
        'Emilys Candy': GoogleFonts.emilysCandy,
        'Encode Sans': GoogleFonts.encodeSans,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensed,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpanded,
        'Encode Sans SC': GoogleFonts.encodeSansSc,
        'Encode Sans Semi Condensed': GoogleFonts.encodeSansSemiCondensed,
        'Encode Sans Semi Expanded': GoogleFonts.encodeSansSemiExpanded,
        'Engagement': GoogleFonts.engagement,
        'Englebert': GoogleFonts.englebert,
        'Enriqueta': GoogleFonts.enriqueta,
        'Ephesis': GoogleFonts.ephesis,
        'Epilogue': GoogleFonts.epilogue,
        'Erica One': GoogleFonts.ericaOne,
        'Esteban': GoogleFonts.esteban,
        'Estonia': GoogleFonts.estonia,
        'Euphoria Script': GoogleFonts.euphoriaScript,
        'Ewert': GoogleFonts.ewert,
        'Exo': GoogleFonts.exo,
        'Exo 2': GoogleFonts.exo2,
        'Expletus Sans': GoogleFonts.expletusSans,
        'Explora': GoogleFonts.explora,
        'Fahkwang': GoogleFonts.fahkwang,
        'Fanwood Text': GoogleFonts.fanwoodText,
        'Farro': GoogleFonts.farro,
        'Farsan': GoogleFonts.farsan,
        'Fascinate': GoogleFonts.fascinate,
        'Fascinate Inline': GoogleFonts.fascinateInline,
        'Faster One': GoogleFonts.fasterOne,
        'Fauna One': GoogleFonts.faunaOne,
        'Faustina': GoogleFonts.faustina,
        'Federant': GoogleFonts.federant,
        'Federo': GoogleFonts.federo,
        'Felipa': GoogleFonts.felipa,
        'Fenix': GoogleFonts.fenix,
        'Festive': GoogleFonts.festive,
        'Finger Paint': GoogleFonts.fingerPaint,
        'Fira Code': GoogleFonts.firaCode,
        'Fira Mono': GoogleFonts.firaMono,
        'Fira Sans': GoogleFonts.firaSans,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensed,
        'Fira Sans Extra Condensed': GoogleFonts.firaSansExtraCondensed,
        'Fjalla One': GoogleFonts.fjallaOne,
        'Fjord One': GoogleFonts.fjordOne,
        'Flamenco': GoogleFonts.flamenco,
        'Flavors': GoogleFonts.flavors,
        'Fleur De Leah': GoogleFonts.fleurDeLeah,
        'Flow Block': GoogleFonts.flowBlock,
        'Flow Circular': GoogleFonts.flowCircular,
        'Flow Rounded': GoogleFonts.flowRounded,
        'Fondamento': GoogleFonts.fondamento,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwanky,
        'Forum': GoogleFonts.forum,
        'Francois One': GoogleFonts.francoisOne,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibre,
        'Fraunces': GoogleFonts.fraunces,
        'Freckle Face': GoogleFonts.freckleFace,
        'Fredericka the Great': GoogleFonts.frederickaTheGreat,
        'Fredoka One': GoogleFonts.fredokaOne,
        'Fresca': GoogleFonts.fresca,
        'Frijole': GoogleFonts.frijole,
        'Fruktur': GoogleFonts.fruktur,
        'Fugaz One': GoogleFonts.fugazOne,
        'Fuggles': GoogleFonts.fuggles,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubbles,
        'GFS Didot': GoogleFonts.gfsDidot,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenic,
        'Gabriela': GoogleFonts.gabriela,
        'Gaegu': GoogleFonts.gaegu,
        'Gafata': GoogleFonts.gafata,
        'Galada': GoogleFonts.galada,
        'Galdeano': GoogleFonts.galdeano,
        'Galindo': GoogleFonts.galindo,
        'Gamja Flower': GoogleFonts.gamjaFlower,
        'Gayathri': GoogleFonts.gayathri,
        'Gelasio': GoogleFonts.gelasio,
        'Gemunu Libre': GoogleFonts.gemunuLibre,
        'Genos': GoogleFonts.genos,
        'Gentium Basic': GoogleFonts.gentiumBasic,
        'Gentium Book Basic': GoogleFonts.gentiumBookBasic,
        'Geo': GoogleFonts.geo,
        'Georama': GoogleFonts.georama,
        'Geostar': GoogleFonts.geostar,
        'Geostar Fill': GoogleFonts.geostarFill,
        'Germania One': GoogleFonts.germaniaOne,
        'Gideon Roman': GoogleFonts.gideonRoman,
        'Gidugu': GoogleFonts.gidugu,
        'Gilda Display': GoogleFonts.gildaDisplay,
        'Girassol': GoogleFonts.girassol,
        'Give You Glory': GoogleFonts.giveYouGlory,
        'Glass Antiqua': GoogleFonts.glassAntiqua,
        'Glegoo': GoogleFonts.glegoo,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujah,
        'Glory': GoogleFonts.glory,
        'Gluten': GoogleFonts.gluten,
        'Goblin One': GoogleFonts.goblinOne,
        'Gochi Hand': GoogleFonts.gochiHand,
        'Goldman': GoogleFonts.goldman,
        'Gorditas': GoogleFonts.gorditas,
        'Gothic A1': GoogleFonts.gothicA1,
        'Gotu': GoogleFonts.gotu,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911,
        'Gowun Batang': GoogleFonts.gowunBatang,
        'Gowun Dodum': GoogleFonts.gowunDodum,
        'Graduate': GoogleFonts.graduate,
        'Grand Hotel': GoogleFonts.grandHotel,
        'Grandstander': GoogleFonts.grandstander,
        'Gravitas One': GoogleFonts.gravitasOne,
        'Great Vibes': GoogleFonts.greatVibes,
        'Grechen Fuemen': GoogleFonts.grechenFuemen,
        'Grenze': GoogleFonts.grenze,
        'Grenze Gotisch': GoogleFonts.grenzeGotisch,
        'Grey Qo': GoogleFonts.greyQo,
        'Griffy': GoogleFonts.griffy,
        'Gruppo': GoogleFonts.gruppo,
        'Gudea': GoogleFonts.gudea,
        'Gugi': GoogleFonts.gugi,
        'Gupter': GoogleFonts.gupter,
        'Gurajada': GoogleFonts.gurajada,
        'Gwendolyn': GoogleFonts.gwendolyn,
        'Habibi': GoogleFonts.habibi,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPop,
        'Hahmlet': GoogleFonts.hahmlet,
        'Halant': GoogleFonts.halant,
        'Hammersmith One': GoogleFonts.hammersmithOne,
        'Hanalei': GoogleFonts.hanalei,
        'Hanalei Fill': GoogleFonts.hanaleiFill,
        'Handlee': GoogleFonts.handlee,
        'Happy Monkey': GoogleFonts.happyMonkey,
        'Harmattan': GoogleFonts.harmattan,
        'Headland One': GoogleFonts.headlandOne,
        'Heebo': GoogleFonts.heebo,
        'Henny Penny': GoogleFonts.hennyPenny,
        'Hepta Slab': GoogleFonts.heptaSlab,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoff,
        'Hi Melody': GoogleFonts.hiMelody,
        'Hina Mincho': GoogleFonts.hinaMincho,
        'Hind': GoogleFonts.hind,
        'Hind Guntur': GoogleFonts.hindGuntur,
        'Hind Madurai': GoogleFonts.hindMadurai,
        'Hind Siliguri': GoogleFonts.hindSiliguri,
        'Hind Vadodara': GoogleFonts.hindVadodara,
        'Holtwood One SC': GoogleFonts.holtwoodOneSc,
        'Homemade Apple': GoogleFonts.homemadeApple,
        'Homenaje': GoogleFonts.homenaje,
        'Hurricane': GoogleFonts.hurricane,
        'IBM Plex Mono': GoogleFonts.ibmPlexMono,
        'IBM Plex Sans': GoogleFonts.ibmPlexSans,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabic,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensed,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagari,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrew,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKr,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThai,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLooped,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerif,
        'IM Fell DW Pica': GoogleFonts.imFellDwPica,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaSc,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePica,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaSc,
        'IM Fell English': GoogleFonts.imFellEnglish,
        'IM Fell English SC': GoogleFonts.imFellEnglishSc,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanon,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonSc,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimer,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerSc,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNova,
        'Iceberg': GoogleFonts.iceberg,
        'Iceland': GoogleFonts.iceland,
        'Imprima': GoogleFonts.imprima,
        'Inconsolata': GoogleFonts.inconsolata,
        'Inder': GoogleFonts.inder,
        'Indie Flower': GoogleFonts.indieFlower,
        'Inika': GoogleFonts.inika,
        'Inknut Antiqua': GoogleFonts.inknutAntiqua,
        'Inria Sans': GoogleFonts.inriaSans,
        'Inria Serif': GoogleFonts.inriaSerif,
        'Inter': GoogleFonts.inter,
        'Irish Grover': GoogleFonts.irishGrover,
        'Istok Web': GoogleFonts.istokWeb,
        'Italiana': GoogleFonts.italiana,
        'Italianno': GoogleFonts.italianno,
        'Itim': GoogleFonts.itim,
        'Jacques Francois': GoogleFonts.jacquesFrancois,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadow,
        'Jaldi': GoogleFonts.jaldi,
        'JetBrains Mono': GoogleFonts.jetBrainsMono,
        'Jim Nightshade': GoogleFonts.jimNightshade,
        'Jockey One': GoogleFonts.jockeyOne,
        'Jolly Lodger': GoogleFonts.jollyLodger,
        'Jomhuria': GoogleFonts.jomhuria,
        'Jomolhari': GoogleFonts.jomolhari,
        'Josefin Sans': GoogleFonts.josefinSans,
        'Josefin Slab': GoogleFonts.josefinSlab,
        'Jost': GoogleFonts.jost,
        'Joti One': GoogleFonts.jotiOne,
        'Jua': GoogleFonts.jua,
        'Judson': GoogleFonts.judson,
        'Julee': GoogleFonts.julee,
        'Julius Sans One': GoogleFonts.juliusSansOne,
        'Junge': GoogleFonts.junge,
        'Jura': GoogleFonts.jura,
        'Just Another Hand': GoogleFonts.justAnotherHand,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHere,
        'K2D': GoogleFonts.k2d,
        'Kadwa': GoogleFonts.kadwa,
        'Kaisei Decol': GoogleFonts.kaiseiDecol,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmi,
        'Kaisei Opti': GoogleFonts.kaiseiOpti,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokumin,
        'Kalam': GoogleFonts.kalam,
        'Kameron': GoogleFonts.kameron,
        'Kanit': GoogleFonts.kanit,
        'Kantumruy': GoogleFonts.kantumruy,
        'Karla': GoogleFonts.karla,
        'Karma': GoogleFonts.karma,
        'Katibeh': GoogleFonts.katibeh,
        'Kaushan Script': GoogleFonts.kaushanScript,
        'Kavivanar': GoogleFonts.kavivanar,
        'Kavoon': GoogleFonts.kavoon,
        'Kdam Thmor': GoogleFonts.kdamThmor,
        'Keania One': GoogleFonts.keaniaOne,
        'Kelly Slab': GoogleFonts.kellySlab,
        'Kenia': GoogleFonts.kenia,
        'Khand': GoogleFonts.khand,
        'Khula': GoogleFonts.khula,
        'Kings': GoogleFonts.kings,
        'Kirang Haerang': GoogleFonts.kirangHaerang,
        'Kite One': GoogleFonts.kiteOne,
        'Klee One': GoogleFonts.kleeOne,
        'Knewave': GoogleFonts.knewave,
        'KoHo': GoogleFonts.koHo,
        'Kodchasan': GoogleFonts.kodchasan,
        'Koh Santepheap': GoogleFonts.kohSantepheap,
        'Kosugi': GoogleFonts.kosugi,
        'Kosugi Maru': GoogleFonts.kosugiMaru,
        'Kotta One': GoogleFonts.kottaOne,
        'Kranky': GoogleFonts.kranky,
        'Kreon': GoogleFonts.kreon,
        'Kristi': GoogleFonts.kristi,
        'Krona One': GoogleFonts.kronaOne,
        'Krub': GoogleFonts.krub,
        'Kufam': GoogleFonts.kufam,
        'Kulim Park': GoogleFonts.kulimPark,
        'Kumar One': GoogleFonts.kumarOne,
        'Kumar One Outline': GoogleFonts.kumarOneOutline,
        'Kumbh Sans': GoogleFonts.kumbhSans,
        'Kurale': GoogleFonts.kurale,
        'La Belle Aurore': GoogleFonts.laBelleAurore,
        'Lacquer': GoogleFonts.lacquer,
        'Laila': GoogleFonts.laila,
        'Lakki Reddy': GoogleFonts.lakkiReddy,
        'Lalezar': GoogleFonts.lalezar,
        'Lancelot': GoogleFonts.lancelot,
        'Langar': GoogleFonts.langar,
        'Lateef': GoogleFonts.lateef,
        'Lato': GoogleFonts.lato,
        'League Script': GoogleFonts.leagueScript,
        'Leckerli One': GoogleFonts.leckerliOne,
        'Ledger': GoogleFonts.ledger,
        'Lekton': GoogleFonts.lekton,
        'Lemon': GoogleFonts.lemon,
        'Lemonada': GoogleFonts.lemonada,
        'Lexend': GoogleFonts.lexend,
        'Lexend Deca': GoogleFonts.lexendDeca,
        'Lexend Exa': GoogleFonts.lexendExa,
        'Lexend Giga': GoogleFonts.lexendGiga,
        'Lexend Mega': GoogleFonts.lexendMega,
        'Lexend Peta': GoogleFonts.lexendPeta,
        'Lexend Tera': GoogleFonts.lexendTera,
        'Lexend Zetta': GoogleFonts.lexendZetta,
        'Libre Barcode 128': GoogleFonts.libreBarcode128,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128Text,
        'Libre Barcode 39': GoogleFonts.libreBarcode39,
        'Libre Barcode 39 Extended': GoogleFonts.libreBarcode39Extended,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedText,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39Text,
        'Libre Baskerville': GoogleFonts.libreBaskerville,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplay,
        'Libre Caslon Text': GoogleFonts.libreCaslonText,
        'Libre Franklin': GoogleFonts.libreFranklin,
        'Life Savers': GoogleFonts.lifeSavers,
        'Lilita One': GoogleFonts.lilitaOne,
        'Lily Script One': GoogleFonts.lilyScriptOne,
        'Limelight': GoogleFonts.limelight,
        'Linden Hill': GoogleFonts.lindenHill,
        'Literata': GoogleFonts.literata,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCao,
        'Livvic': GoogleFonts.livvic,
        'Lobster': GoogleFonts.lobster,
        'Lobster Two': GoogleFonts.lobsterTwo,
        'Londrina Outline': GoogleFonts.londrinaOutline,
        'Londrina Shadow': GoogleFonts.londrinaShadow,
        'Londrina Sketch': GoogleFonts.londrinaSketch,
        'Londrina Solid': GoogleFonts.londrinaSolid,
        'Long Cang': GoogleFonts.longCang,
        'Lora': GoogleFonts.lora,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASister,
        'Loved by the King': GoogleFonts.lovedByTheKing,
        'Lovers Quarrel': GoogleFonts.loversQuarrel,
        'Luckiest Guy': GoogleFonts.luckiestGuy,
        'Lusitana': GoogleFonts.lusitana,
        'Lustria': GoogleFonts.lustria,
        'Luxurious Script': GoogleFonts.luxuriousScript,
        'M PLUS 1': GoogleFonts.mPlus1,
        'M PLUS 1 Code': GoogleFonts.mPlus1Code,
        'M PLUS 1p': GoogleFonts.mPlus1p,
        'M PLUS 2': GoogleFonts.mPlus2,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatin,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1c,
        'Ma Shan Zheng': GoogleFonts.maShanZheng,
        'Macondo': GoogleFonts.macondo,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCaps,
        'Mada': GoogleFonts.mada,
        'Magra': GoogleFonts.magra,
        'Maiden Orange': GoogleFonts.maidenOrange,
        'Maitree': GoogleFonts.maitree,
        'Major Mono Display': GoogleFonts.majorMonoDisplay,
        'Mako': GoogleFonts.mako,
        'Mali': GoogleFonts.mali,
        'Mallanna': GoogleFonts.mallanna,
        'Mandali': GoogleFonts.mandali,
        'Manjari': GoogleFonts.manjari,
        'Manrope': GoogleFonts.manrope,
        'Mansalva': GoogleFonts.mansalva,
        'Manuale': GoogleFonts.manuale,
        'Marcellus': GoogleFonts.marcellus,
        'Marcellus SC': GoogleFonts.marcellusSc,
        'Marck Script': GoogleFonts.marckScript,
        'Margarine': GoogleFonts.margarine,
        'Markazi Text': GoogleFonts.markaziText,
        'Marko One': GoogleFonts.markoOne,
        'Marmelad': GoogleFonts.marmelad,
        'Martel': GoogleFonts.martel,
        'Martel Sans': GoogleFonts.martelSans,
        'Marvel': GoogleFonts.marvel,
        'Mate': GoogleFonts.mate,
        'Mate SC': GoogleFonts.mateSc,
        'Maven Pro': GoogleFonts.mavenPro,
        'McLaren': GoogleFonts.mcLaren,
        'Meddon': GoogleFonts.meddon,
        'MedievalSharp': GoogleFonts.medievalSharp,
        'Medula One': GoogleFonts.medulaOne,
        'Meera Inimai': GoogleFonts.meeraInimai,
        'Megrim': GoogleFonts.megrim,
        'Meie Script': GoogleFonts.meieScript,
        'Meow Script': GoogleFonts.meowScript,
        'Merienda': GoogleFonts.merienda,
        'Merienda One': GoogleFonts.meriendaOne,
        'Merriweather': GoogleFonts.merriweather,
        'Merriweather Sans': GoogleFonts.merriweatherSans,
        'Metal Mania': GoogleFonts.metalMania,
        'Metamorphous': GoogleFonts.metamorphous,
        'Metrophobic': GoogleFonts.metrophobic,
        'Michroma': GoogleFonts.michroma,
        'Milonga': GoogleFonts.milonga,
        'Miltonian': GoogleFonts.miltonian,
        'Miltonian Tattoo': GoogleFonts.miltonianTattoo,
        'Mina': GoogleFonts.mina,
        'Miniver': GoogleFonts.miniver,
        'Miriam Libre': GoogleFonts.miriamLibre,
        'Mirza': GoogleFonts.mirza,
        'Miss Fajardose': GoogleFonts.missFajardose,
        'Mitr': GoogleFonts.mitr,
        'Mochiy Pop One': GoogleFonts.mochiyPopOne,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOne,
        'Modak': GoogleFonts.modak,
        'Modern Antiqua': GoogleFonts.modernAntiqua,
        'Mogra': GoogleFonts.mogra,
        'Mohave': GoogleFonts.mohave,
        'Molengo': GoogleFonts.molengo,
        'Molle': GoogleFonts.molle,
        'Monda': GoogleFonts.monda,
        'Monofett': GoogleFonts.monofett,
        'Monoton': GoogleFonts.monoton,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaise,
        'Montaga': GoogleFonts.montaga,
        'Montagu Slab': GoogleFonts.montaguSlab,
        'MonteCarlo': GoogleFonts.monteCarlo,
        'Montez': GoogleFonts.montez,
        'Montserrat': GoogleFonts.montserrat,
        'Montserrat Alternates': GoogleFonts.montserratAlternates,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayada,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmas,
        'Mouse Memoirs': GoogleFonts.mouseMemoirs,
        'Mr Bedfort': GoogleFonts.mrBedfort,
        'Mr Dafoe': GoogleFonts.mrDafoe,
        'Mr De Haviland': GoogleFonts.mrDeHaviland,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafield,
        'Mrs Sheppards': GoogleFonts.mrsSheppards,
        'Mukta': GoogleFonts.mukta,
        'Mukta Mahee': GoogleFonts.muktaMahee,
        'Mukta Malar': GoogleFonts.muktaMalar,
        'Mukta Vaani': GoogleFonts.muktaVaani,
        'Muli': GoogleFonts.muli,
        'Mulish': GoogleFonts.mulish,
        'Murecho': GoogleFonts.murecho,
        'MuseoModerno': GoogleFonts.museoModerno,
        'Mystery Quest': GoogleFonts.mysteryQuest,
        'NTR': GoogleFonts.ntr,
        'Nanum Brush Script': GoogleFonts.nanumBrushScript,
        'Nanum Gothic': GoogleFonts.nanumGothic,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCoding,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjo,
        'Nanum Pen Script': GoogleFonts.nanumPenScript,
        'Nerko One': GoogleFonts.nerkoOne,
        'Neucha': GoogleFonts.neucha,
        'Neuton': GoogleFonts.neuton,
        'New Rocker': GoogleFonts.newRocker,
        'New Tegomin': GoogleFonts.newTegomin,
        'News Cycle': GoogleFonts.newsCycle,
        'Niconne': GoogleFonts.niconne,
        'Niramit': GoogleFonts.niramit,
        'Nixie One': GoogleFonts.nixieOne,
        'Nobile': GoogleFonts.nobile,
        'Norican': GoogleFonts.norican,
        'Nosifer': GoogleFonts.nosifer,
        'Notable': GoogleFonts.notable,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDo,
        'Noticia Text': GoogleFonts.noticiaText,
        'Noto Color Emoji Compat': GoogleFonts.notoColorEmojiCompat,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabic,
        'Noto Music': GoogleFonts.notoMusic,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabic,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrdu,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrew,
        'Noto Sans': GoogleFonts.notoSans,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlam,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoined,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphs,
        'Noto Sans Arabic': GoogleFonts.notoSansArabic,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenian,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestan,
        'Noto Sans Balinese': GoogleFonts.notoSansBalinese,
        'Noto Sans Bamum': GoogleFonts.notoSansBamum,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVah,
        'Noto Sans Batak': GoogleFonts.notoSansBatak,
        'Noto Sans Bengali': GoogleFonts.notoSansBengali,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksuki,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmi,
        'Noto Sans Buginese': GoogleFonts.notoSansBuginese,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhid,
        'Noto Sans Canadian Aboriginal': GoogleFonts.notoSansCanadianAboriginal,
        'Noto Sans Carian': GoogleFonts.notoSansCarian,
        'Noto Sans Caucasian Albanian': GoogleFonts.notoSansCaucasianAlbanian,
        'Noto Sans Chakma': GoogleFonts.notoSansChakma,
        'Noto Sans Cham': GoogleFonts.notoSansCham,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokee,
        'Noto Sans Coptic': GoogleFonts.notoSansCoptic,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiform,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriot,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseret,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagari,
        'Noto Sans Display': GoogleFonts.notoSansDisplay,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployan,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphs,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasan,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaic,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgian,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagolitic,
        'Noto Sans Gothic': GoogleFonts.notoSansGothic,
        'Noto Sans Grantha': GoogleFonts.notoSansGrantha,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujarati,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondi,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhi,
        'Noto Sans Hanifi Rohingya': GoogleFonts.notoSansHanifiRohingya,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunoo,
        'Noto Sans Hatran': GoogleFonts.notoSansHatran,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrew,
        'Noto Sans Imperial Aramaic': GoogleFonts.notoSansImperialAramaic,
        'Noto Sans Indic Siyaq Numbers': GoogleFonts.notoSansIndicSiyaqNumbers,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlavi,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthian,
        'Noto Sans Javanese': GoogleFonts.notoSansJavanese,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithi,
        'Noto Sans Kannada': GoogleFonts.notoSansKannada,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLi,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthi,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmer,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojki,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadi,
        'Noto Sans Lao': GoogleFonts.notoSansLao,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepcha,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbu,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearA,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearB,
        'Noto Sans Lisu': GoogleFonts.notoSansLisu,
        'Noto Sans Lycian': GoogleFonts.notoSansLycian,
        'Noto Sans Lydian': GoogleFonts.notoSansLydian,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajani,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalam,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaic,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaean,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchen,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondi,
        'Noto Sans Math': GoogleFonts.notoSansMath,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumerals,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrin,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayek,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroitic,
        'Noto Sans Miao': GoogleFonts.notoSansMiao,
        'Noto Sans Modi': GoogleFonts.notoSansModi,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolian,
        'Noto Sans Mono': GoogleFonts.notoSansMono,
        'Noto Sans Mro': GoogleFonts.notoSansMro,
        'Noto Sans Multani': GoogleFonts.notoSansMultani,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmar,
        'Noto Sans N Ko': GoogleFonts.notoSansNKo,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataean,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLue,
        'Noto Sans Newa': GoogleFonts.notoSansNewa,
        'Noto Sans Nushu': GoogleFonts.notoSansNushu,
        'Noto Sans Ogham': GoogleFonts.notoSansOgham,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChiki,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarian,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalic,
        'Noto Sans Old North Arabian': GoogleFonts.notoSansOldNorthArabian,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermic,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersian,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdian,
        'Noto Sans Old South Arabian': GoogleFonts.notoSansOldSouthArabian,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkic,
        'Noto Sans Oriya': GoogleFonts.notoSansOriya,
        'Noto Sans Osage': GoogleFonts.notoSansOsage,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanya,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmong,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyrene,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHau,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPa,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenician,
        'Noto Sans Psalter Pahlavi': GoogleFonts.notoSansPsalterPahlavi,
        'Noto Sans Rejang': GoogleFonts.notoSansRejang,
        'Noto Sans Runic': GoogleFonts.notoSansRunic,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritan,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtra,
        'Noto Sans Sharada': GoogleFonts.notoSansSharada,
        'Noto Sans Shavian': GoogleFonts.notoSansShavian,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddham,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhala,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdian,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompeng,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyombo,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundanese,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagri,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbols,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriac,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalog,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwa,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLe,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiTham,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiViet,
        'Noto Sans Takri': GoogleFonts.notoSansTakri,
        'Noto Sans Tamil': GoogleFonts.notoSansTamil,
        'Noto Sans Tamil Supplement': GoogleFonts.notoSansTamilSupplement,
        'Noto Sans Telugu': GoogleFonts.notoSansTelugu,
        'Noto Sans Thaana': GoogleFonts.notoSansThaana,
        'Noto Sans Thai': GoogleFonts.notoSansThai,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLooped,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinagh,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhuta,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgaritic,
        'Noto Sans Vai': GoogleFonts.notoSansVai,
        'Noto Sans Wancho': GoogleFonts.notoSansWancho,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCiti,
        'Noto Sans Yi': GoogleFonts.notoSansYi,
        'Noto Sans Zanabazar Square': GoogleFonts.notoSansZanabazarSquare,
        'Noto Serif': GoogleFonts.notoSerif,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhom,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenian,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalinese,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengali,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagari,
        'Noto Serif Display': GoogleFonts.notoSerifDisplay,
        'Noto Serif Dogra': GoogleFonts.notoSerifDogra,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopic,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgian,
        'Noto Serif Grantha': GoogleFonts.notoSerifGrantha,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujarati,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhi,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrew,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannada,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmer,
        'Noto Serif Lao': GoogleFonts.notoSerifLao,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalam,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmar,
        'Noto Serif Nyiakeng Puachue Hmong':
            GoogleFonts.notoSerifNyiakengPuachueHmong,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhala,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamil,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangut,
        'Noto Serif Telugu': GoogleFonts.notoSerifTelugu,
        'Noto Serif Thai': GoogleFonts.notoSerifThai,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetan,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidi,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushu,
        'Nova Cut': GoogleFonts.novaCut,
        'Nova Flat': GoogleFonts.novaFlat,
        'Nova Mono': GoogleFonts.novaMono,
        'Nova Oval': GoogleFonts.novaOval,
        'Nova Round': GoogleFonts.novaRound,
        'Nova Script': GoogleFonts.novaScript,
        'Nova Slim': GoogleFonts.novaSlim,
        'Nova Square': GoogleFonts.novaSquare,
        'Numans': GoogleFonts.numans,
        'Nunito': GoogleFonts.nunito,
        'Nunito Sans': GoogleFonts.nunitoSans,
        'Odibee Sans': GoogleFonts.odibeeSans,
        'Odor Mean Chey': GoogleFonts.odorMeanChey,
        'Offside': GoogleFonts.offside,
        'Oi': GoogleFonts.oi,
        'Old Standard TT': GoogleFonts.oldStandardTt,
        'Oldenburg': GoogleFonts.oldenburg,
        'Oleo Script': GoogleFonts.oleoScript,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCaps,
        'Open Sans': GoogleFonts.openSans,
        'Open Sans Condensed': GoogleFonts.openSansCondensed,
        'Oranienbaum': GoogleFonts.oranienbaum,
        'Orbitron': GoogleFonts.orbitron,
        'Oregano': GoogleFonts.oregano,
        'Orienta': GoogleFonts.orienta,
        'Original Surfer': GoogleFonts.originalSurfer,
        'Oswald': GoogleFonts.oswald,
        'Otomanopee One': GoogleFonts.otomanopeeOne,
        'Outfit': GoogleFonts.outfit,
        'Over the Rainbow': GoogleFonts.overTheRainbow,
        'Overlock': GoogleFonts.overlock,
        'Overlock SC': GoogleFonts.overlockSc,
        'Overpass': GoogleFonts.overpass,
        'Overpass Mono': GoogleFonts.overpassMono,
        'Ovo': GoogleFonts.ovo,
        'Oxanium': GoogleFonts.oxanium,
        'Oxygen': GoogleFonts.oxygen,
        'Oxygen Mono': GoogleFonts.oxygenMono,
        'PT Mono': GoogleFonts.ptMono,
        'PT Sans': GoogleFonts.ptSans,
        'PT Sans Caption': GoogleFonts.ptSansCaption,
        'PT Sans Narrow': GoogleFonts.ptSansNarrow,
        'PT Serif': GoogleFonts.ptSerif,
        'PT Serif Caption': GoogleFonts.ptSerifCaption,
        'Pacifico': GoogleFonts.pacifico,
        'Padauk': GoogleFonts.padauk,
        'Palanquin': GoogleFonts.palanquin,
        'Palanquin Dark': GoogleFonts.palanquinDark,
        'Palette Mosaic': GoogleFonts.paletteMosaic,
        'Pangolin': GoogleFonts.pangolin,
        'Paprika': GoogleFonts.paprika,
        'Parisienne': GoogleFonts.parisienne,
        'Passero One': GoogleFonts.passeroOne,
        'Passion One': GoogleFonts.passionOne,
        'Passions Conflict': GoogleFonts.passionsConflict,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOne,
        'Patrick Hand': GoogleFonts.patrickHand,
        'Patrick Hand SC': GoogleFonts.patrickHandSc,
        'Pattaya': GoogleFonts.pattaya,
        'Patua One': GoogleFonts.patuaOne,
        'Pavanam': GoogleFonts.pavanam,
        'Paytone One': GoogleFonts.paytoneOne,
        'Peddana': GoogleFonts.peddana,
        'Peralta': GoogleFonts.peralta,
        'Permanent Marker': GoogleFonts.permanentMarker,
        'Petemoss': GoogleFonts.petemoss,
        'Petit Formal Script': GoogleFonts.petitFormalScript,
        'Petrona': GoogleFonts.petrona,
        'Philosopher': GoogleFonts.philosopher,
        'Piazzolla': GoogleFonts.piazzolla,
        'Piedra': GoogleFonts.piedra,
        'Pinyon Script': GoogleFonts.pinyonScript,
        'Pirata One': GoogleFonts.pirataOne,
        'Plaster': GoogleFonts.plaster,
        'Play': GoogleFonts.play,
        'Playball': GoogleFonts.playball,
        'Playfair Display': GoogleFonts.playfairDisplay,
        'Playfair Display SC': GoogleFonts.playfairDisplaySc,
        'Podkova': GoogleFonts.podkova,
        'Poiret One': GoogleFonts.poiretOne,
        'Poller One': GoogleFonts.pollerOne,
        'Poly': GoogleFonts.poly,
        'Pompiere': GoogleFonts.pompiere,
        'Pontano Sans': GoogleFonts.pontanoSans,
        'Poor Story': GoogleFonts.poorStory,
        'Poppins': GoogleFonts.poppins,
        'Port Lligat Sans': GoogleFonts.portLligatSans,
        'Port Lligat Slab': GoogleFonts.portLligatSlab,
        'Potta One': GoogleFonts.pottaOne,
        'Pragati Narrow': GoogleFonts.pragatiNarrow,
        'Praise': GoogleFonts.praise,
        'Prata': GoogleFonts.prata,
        'Press Start 2P': GoogleFonts.pressStart2p,
        'Pridi': GoogleFonts.pridi,
        'Princess Sofia': GoogleFonts.princessSofia,
        'Prociono': GoogleFonts.prociono,
        'Prompt': GoogleFonts.prompt,
        'Prosto One': GoogleFonts.prostoOne,
        'Proza Libre': GoogleFonts.prozaLibre,
        'Public Sans': GoogleFonts.publicSans,
        'Puppies Play': GoogleFonts.puppiesPlay,
        'Puritan': GoogleFonts.puritan,
        'Purple Purse': GoogleFonts.purplePurse,
        'Pushster': GoogleFonts.pushster,
        'Qahiri': GoogleFonts.qahiri,
        'Quando': GoogleFonts.quando,
        'Quantico': GoogleFonts.quantico,
        'Quattrocento': GoogleFonts.quattrocento,
        'Quattrocento Sans': GoogleFonts.quattrocentoSans,
        'Questrial': GoogleFonts.questrial,
        'Quicksand': GoogleFonts.quicksand,
        'Quintessential': GoogleFonts.quintessential,
        'Qwigley': GoogleFonts.qwigley,
        'Racing Sans One': GoogleFonts.racingSansOne,
        'Radley': GoogleFonts.radley,
        'Rajdhani': GoogleFonts.rajdhani,
        'Rakkas': GoogleFonts.rakkas,
        'Raleway': GoogleFonts.raleway,
        'Raleway Dots': GoogleFonts.ralewayDots,
        'Ramabhadra': GoogleFonts.ramabhadra,
        'Ramaraja': GoogleFonts.ramaraja,
        'Rambla': GoogleFonts.rambla,
        'Rammetto One': GoogleFonts.rammettoOne,
        'Rampart One': GoogleFonts.rampartOne,
        'Ranchers': GoogleFonts.ranchers,
        'Rancho': GoogleFonts.rancho,
        'Ranga': GoogleFonts.ranga,
        'Rasa': GoogleFonts.rasa,
        'Rationale': GoogleFonts.rationale,
        'Ravi Prakash': GoogleFonts.raviPrakash,
        'Readex Pro': GoogleFonts.readexPro,
        'Recursive': GoogleFonts.recursive,
        'Red Hat Display': GoogleFonts.redHatDisplay,
        'Red Hat Mono': GoogleFonts.redHatMono,
        'Red Hat Text': GoogleFonts.redHatText,
        'Red Rose': GoogleFonts.redRose,
        'Redacted': GoogleFonts.redacted,
        'Redacted Script': GoogleFonts.redactedScript,
        'Redressed': GoogleFonts.redressed,
        'Reem Kufi': GoogleFonts.reemKufi,
        'Reenie Beanie': GoogleFonts.reenieBeanie,
        'Reggae One': GoogleFonts.reggaeOne,
        'Revalia': GoogleFonts.revalia,
        'Rhodium Libre': GoogleFonts.rhodiumLibre,
        'Ribeye': GoogleFonts.ribeye,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrow,
        'Righteous': GoogleFonts.righteous,
        'Risque': GoogleFonts.risque,
        'Road Rage': GoogleFonts.roadRage,
        'Roboto': GoogleFonts.roboto,
        'Roboto Condensed': GoogleFonts.robotoCondensed,
        'Roboto Mono': GoogleFonts.robotoMono,
        'Roboto Slab': GoogleFonts.robotoSlab,
        'Rochester': GoogleFonts.rochester,
        'Rock 3D': GoogleFonts.rock3d,
        'Rock Salt': GoogleFonts.rockSalt,
        'RocknRoll One': GoogleFonts.rocknRollOne,
        'Rokkitt': GoogleFonts.rokkitt,
        'Romanesco': GoogleFonts.romanesco,
        'Ropa Sans': GoogleFonts.ropaSans,
        'Rosario': GoogleFonts.rosario,
        'Rosarivo': GoogleFonts.rosarivo,
        'Rouge Script': GoogleFonts.rougeScript,
        'Rowdies': GoogleFonts.rowdies,
        'Rozha One': GoogleFonts.rozhaOne,
        'Rubik': GoogleFonts.rubik,
        'Rubik Beastly': GoogleFonts.rubikBeastly,
        'Rubik Mono One': GoogleFonts.rubikMonoOne,
        'Ruda': GoogleFonts.ruda,
        'Rufina': GoogleFonts.rufina,
        'Ruge Boogie': GoogleFonts.rugeBoogie,
        'Ruluko': GoogleFonts.ruluko,
        'Rum Raisin': GoogleFonts.rumRaisin,
        'Ruslan Display': GoogleFonts.ruslanDisplay,
        'Russo One': GoogleFonts.russoOne,
        'Ruthie': GoogleFonts.ruthie,
        'Rye': GoogleFonts.rye,
        'STIX Two Text': GoogleFonts.stixTwoText,
        'Sacramento': GoogleFonts.sacramento,
        'Sahitya': GoogleFonts.sahitya,
        'Sail': GoogleFonts.sail,
        'Saira': GoogleFonts.saira,
        'Saira Condensed': GoogleFonts.sairaCondensed,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensed,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensed,
        'Saira Stencil One': GoogleFonts.sairaStencilOne,
        'Salsa': GoogleFonts.salsa,
        'Sanchez': GoogleFonts.sanchez,
        'Sancreek': GoogleFonts.sancreek,
        'Sansita': GoogleFonts.sansita,
        'Sansita Swashed': GoogleFonts.sansitaSwashed,
        'Sarabun': GoogleFonts.sarabun,
        'Sarala': GoogleFonts.sarala,
        'Sarina': GoogleFonts.sarina,
        'Sarpanch': GoogleFonts.sarpanch,
        'Sassy Frass': GoogleFonts.sassyFrass,
        'Satisfy': GoogleFonts.satisfy,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothic,
        'Sawarabi Mincho': GoogleFonts.sawarabiMincho,
        'Scada': GoogleFonts.scada,
        'Scheherazade': GoogleFonts.scheherazade,
        'Scheherazade New': GoogleFonts.scheherazadeNew,
        'Schoolbell': GoogleFonts.schoolbell,
        'Scope One': GoogleFonts.scopeOne,
        'Seaweed Script': GoogleFonts.seaweedScript,
        'Secular One': GoogleFonts.secularOne,
        'Sedgwick Ave': GoogleFonts.sedgwickAve,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplay,
        'Sen': GoogleFonts.sen,
        'Sevillana': GoogleFonts.sevillana,
        'Seymour One': GoogleFonts.seymourOne,
        'Shadows Into Light': GoogleFonts.shadowsIntoLight,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwo,
        'Shalimar': GoogleFonts.shalimar,
        'Shanti': GoogleFonts.shanti,
        'Share': GoogleFonts.share,
        'Share Tech': GoogleFonts.shareTech,
        'Share Tech Mono': GoogleFonts.shareTechMono,
        'Shippori Antique': GoogleFonts.shipporiAntique,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1,
        'Shippori Mincho': GoogleFonts.shipporiMincho,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1,
        'Shizuru': GoogleFonts.shizuru,
        'Shojumaru': GoogleFonts.shojumaru,
        'Short Stack': GoogleFonts.shortStack,
        'Shrikhand': GoogleFonts.shrikhand,
        'Sigmar One': GoogleFonts.sigmarOne,
        'Signika': GoogleFonts.signika,
        'Signika Negative': GoogleFonts.signikaNegative,
        'Simonetta': GoogleFonts.simonetta,
        'Single Day': GoogleFonts.singleDay,
        'Sintony': GoogleFonts.sintony,
        'Sirin Stencil': GoogleFonts.sirinStencil,
        'Six Caps': GoogleFonts.sixCaps,
        'Skranji': GoogleFonts.skranji,
        'Slabo 13px': GoogleFonts.slabo13px,
        'Slabo 27px': GoogleFonts.slabo27px,
        'Slackey': GoogleFonts.slackey,
        'Smokum': GoogleFonts.smokum,
        'Smooch': GoogleFonts.smooch,
        'Smythe': GoogleFonts.smythe,
        'Sniglet': GoogleFonts.sniglet,
        'Snippet': GoogleFonts.snippet,
        'Snowburst One': GoogleFonts.snowburstOne,
        'Sofadi One': GoogleFonts.sofadiOne,
        'Sofia': GoogleFonts.sofia,
        'Solway': GoogleFonts.solway,
        'Song Myung': GoogleFonts.songMyung,
        'Sonsie One': GoogleFonts.sonsieOne,
        'Sora': GoogleFonts.sora,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudy,
        'Source Code Pro': GoogleFonts.sourceCodePro,
        'Source Sans 3': GoogleFonts.sourceSans3,
        'Source Sans Pro': GoogleFonts.sourceSansPro,
        'Source Serif Pro': GoogleFonts.sourceSerifPro,
        'Space Grotesk': GoogleFonts.spaceGrotesk,
        'Space Mono': GoogleFonts.spaceMono,
        'Spartan': GoogleFonts.spartan,
        'Special Elite': GoogleFonts.specialElite,
        'Spectral': GoogleFonts.spectral,
        'Spectral SC': GoogleFonts.spectralSc,
        'Spicy Rice': GoogleFonts.spicyRice,
        'Spinnaker': GoogleFonts.spinnaker,
        'Spirax': GoogleFonts.spirax,
        'Squada One': GoogleFonts.squadaOne,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevaraya,
        'Sriracha': GoogleFonts.sriracha,
        'Srisakdi': GoogleFonts.srisakdi,
        'Staatliches': GoogleFonts.staatliches,
        'Stalemate': GoogleFonts.stalemate,
        'Stalinist One': GoogleFonts.stalinistOne,
        'Stardos Stencil': GoogleFonts.stardosStencil,
        'Stick': GoogleFonts.stick,
        'Stick No Bills': GoogleFonts.stickNoBills,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensed,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpanded,
        'Stoke': GoogleFonts.stoke,
        'Strait': GoogleFonts.strait,
        'Style Script': GoogleFonts.styleScript,
        'Stylish': GoogleFonts.stylish,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFrancisco,
        'Suez One': GoogleFonts.suezOne,
        'Sulphur Point': GoogleFonts.sulphurPoint,
        'Sumana': GoogleFonts.sumana,
        'Sunflower': GoogleFonts.sunflower,
        'Sunshiney': GoogleFonts.sunshiney,
        'Supermercado One': GoogleFonts.supermercadoOne,
        'Sura': GoogleFonts.sura,
        'Suranna': GoogleFonts.suranna,
        'Suravaram': GoogleFonts.suravaram,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMoo,
        'Syncopate': GoogleFonts.syncopate,
        'Syne': GoogleFonts.syne,
        'Syne Mono': GoogleFonts.syneMono,
        'Syne Tactile': GoogleFonts.syneTactile,
        'Tajawal': GoogleFonts.tajawal,
        'Tangerine': GoogleFonts.tangerine,
        'Tauri': GoogleFonts.tauri,
        'Taviraj': GoogleFonts.taviraj,
        'Teko': GoogleFonts.teko,
        'Telex': GoogleFonts.telex,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishna,
        'Tenor Sans': GoogleFonts.tenorSans,
        'Text Me One': GoogleFonts.textMeOne,
        'Thasadith': GoogleFonts.thasadith,
        'The Girl Next Door': GoogleFonts.theGirlNextDoor,
        'Tienne': GoogleFonts.tienne,
        'Tillana': GoogleFonts.tillana,
        'Timmana': GoogleFonts.timmana,
        'Tinos': GoogleFonts.tinos,
        'Titan One': GoogleFonts.titanOne,
        'Titillium Web': GoogleFonts.titilliumWeb,
        'Tomorrow': GoogleFonts.tomorrow,
        'Tourney': GoogleFonts.tourney,
        'Trade Winds': GoogleFonts.tradeWinds,
        'Train One': GoogleFonts.trainOne,
        'Trirong': GoogleFonts.trirong,
        'Trispace': GoogleFonts.trispace,
        'Trocchi': GoogleFonts.trocchi,
        'Trochut': GoogleFonts.trochut,
        'Trykker': GoogleFonts.trykker,
        'Tulpen One': GoogleFonts.tulpenOne,
        'Turret Road': GoogleFonts.turretRoad,
        'Ubuntu': GoogleFonts.ubuntu,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensed,
        'Ubuntu Mono': GoogleFonts.ubuntuMono,
        'Uchen': GoogleFonts.uchen,
        'Ultra': GoogleFonts.ultra,
        'Uncial Antiqua': GoogleFonts.uncialAntiqua,
        'Underdog': GoogleFonts.underdog,
        'Unica One': GoogleFonts.unicaOne,
        'UnifrakturCook': GoogleFonts.unifrakturCook,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntia,
        'Unkempt': GoogleFonts.unkempt,
        'Unlock': GoogleFonts.unlock,
        'Unna': GoogleFonts.unna,
        'Urbanist': GoogleFonts.urbanist,
        'VT323': GoogleFonts.vt323,
        'Vampiro One': GoogleFonts.vampiroOne,
        'Varela': GoogleFonts.varela,
        'Varela Round': GoogleFonts.varelaRound,
        'Varta': GoogleFonts.varta,
        'Vast Shadow': GoogleFonts.vastShadow,
        'Vesper Libre': GoogleFonts.vesperLibre,
        'Viaoda Libre': GoogleFonts.viaodaLibre,
        'Vibes': GoogleFonts.vibes,
        'Vibur': GoogleFonts.vibur,
        'Vidaloka': GoogleFonts.vidaloka,
        'Viga': GoogleFonts.viga,
        'Voces': GoogleFonts.voces,
        'Volkhov': GoogleFonts.volkhov,
        'Vollkorn': GoogleFonts.vollkorn,
        'Vollkorn SC': GoogleFonts.vollkornSc,
        'Voltaire': GoogleFonts.voltaire,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunrise,
        'Wallpoet': GoogleFonts.wallpoet,
        'Walter Turncoat': GoogleFonts.walterTurncoat,
        'Warnes': GoogleFonts.warnes,
        'Wellfleet': GoogleFonts.wellfleet,
        'Wendy One': GoogleFonts.wendyOne,
        'WindSong': GoogleFonts.windSong,
        'Wire One': GoogleFonts.wireOne,
        'Work Sans': GoogleFonts.workSans,
        'Xanh Mono': GoogleFonts.xanhMono,
        'Yaldevi': GoogleFonts.yaldevi,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatz,
        'Yantramanav': GoogleFonts.yantramanav,
        'Yatra One': GoogleFonts.yatraOne,
        'Yellowtail': GoogleFonts.yellowtail,
        'Yeon Sung': GoogleFonts.yeonSung,
        'Yeseva One': GoogleFonts.yesevaOne,
        'Yesteryear': GoogleFonts.yesteryear,
        'Yomogi': GoogleFonts.yomogi,
        'Yrsa': GoogleFonts.yrsa,
        'Yuji Boku': GoogleFonts.yujiBoku,
        'Yuji Hentaigana Akari': GoogleFonts.yujiHentaiganaAkari,
        'Yuji Hentaigana Akebono': GoogleFonts.yujiHentaiganaAkebono,
        'Yuji Mai': GoogleFonts.yujiMai,
        'Yuji Syuku': GoogleFonts.yujiSyuku,
        'Yusei Magic': GoogleFonts.yuseiMagic,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLe,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYou,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWei,
        'Zen Antique': GoogleFonts.zenAntique,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoft,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntique,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNew,
        'Zen Kurenaido': GoogleFonts.zenKurenaido,
        'Zen Loop': GoogleFonts.zenLoop,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothic,
        'Zen Old Mincho': GoogleFonts.zenOldMincho,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZoo,
        'Zeyada': GoogleFonts.zeyada,
        'Zhi Mang Xing': GoogleFonts.zhiMangXing,
        'Zilla Slab': GoogleFonts.zillaSlab,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlight,
      };

  /// Get a map of all available fonts and their associated text themes.
  ///
  /// Returns a map where the key is the name of the font family and the value
  /// is the corresponding [GoogleFonts] `TextTheme` method.
  static Map<String, TextTheme Function([TextTheme?])> _asMapOfTextThemes() =>
      const {
        'ABeeZee': GoogleFonts.aBeeZeeTextTheme,
        'Abel': GoogleFonts.abelTextTheme,
        'Abhaya Libre': GoogleFonts.abhayaLibreTextTheme,
        'Abril Fatface': GoogleFonts.abrilFatfaceTextTheme,
        'Aclonica': GoogleFonts.aclonicaTextTheme,
        'Acme': GoogleFonts.acmeTextTheme,
        'Actor': GoogleFonts.actorTextTheme,
        'Adamina': GoogleFonts.adaminaTextTheme,
        'Advent Pro': GoogleFonts.adventProTextTheme,
        'Aguafina Script': GoogleFonts.aguafinaScriptTextTheme,
        'Akaya Telivigala': GoogleFonts.akayaTelivigalaTextTheme,
        'Akronim': GoogleFonts.akronimTextTheme,
        'Aladin': GoogleFonts.aladinTextTheme,
        'Alata': GoogleFonts.alataTextTheme,
        'Alatsi': GoogleFonts.alatsiTextTheme,
        'Aldrich': GoogleFonts.aldrichTextTheme,
        'Alef': GoogleFonts.alefTextTheme,
        'Alegreya': GoogleFonts.alegreyaTextTheme,
        'Alegreya SC': GoogleFonts.alegreyaScTextTheme,
        'Alegreya Sans': GoogleFonts.alegreyaSansTextTheme,
        'Alegreya Sans SC': GoogleFonts.alegreyaSansScTextTheme,
        'Aleo': GoogleFonts.aleoTextTheme,
        'Alex Brush': GoogleFonts.alexBrushTextTheme,
        'Alfa Slab One': GoogleFonts.alfaSlabOneTextTheme,
        'Alice': GoogleFonts.aliceTextTheme,
        'Alike': GoogleFonts.alikeTextTheme,
        'Alike Angular': GoogleFonts.alikeAngularTextTheme,
        'Allan': GoogleFonts.allanTextTheme,
        'Allerta': GoogleFonts.allertaTextTheme,
        'Allerta Stencil': GoogleFonts.allertaStencilTextTheme,
        'Allison': GoogleFonts.allisonTextTheme,
        'Allura': GoogleFonts.alluraTextTheme,
        'Almarai': GoogleFonts.almaraiTextTheme,
        'Almendra': GoogleFonts.almendraTextTheme,
        'Almendra Display': GoogleFonts.almendraDisplayTextTheme,
        'Almendra SC': GoogleFonts.almendraScTextTheme,
        'Alumni Sans': GoogleFonts.alumniSansTextTheme,
        'Amarante': GoogleFonts.amaranteTextTheme,
        'Amaranth': GoogleFonts.amaranthTextTheme,
        'Amatic SC': GoogleFonts.amaticScTextTheme,
        'Amatica SC': GoogleFonts.amaticaScTextTheme,
        'Amethysta': GoogleFonts.amethystaTextTheme,
        'Amiko': GoogleFonts.amikoTextTheme,
        'Amiri': GoogleFonts.amiriTextTheme,
        'Amita': GoogleFonts.amitaTextTheme,
        'Anaheim': GoogleFonts.anaheimTextTheme,
        'Andada': GoogleFonts.andadaTextTheme,
        'Andada Pro': GoogleFonts.andadaProTextTheme,
        'Andika': GoogleFonts.andikaTextTheme,
        'Andika New Basic': GoogleFonts.andikaNewBasicTextTheme,
        'Annie Use Your Telescope': GoogleFonts.annieUseYourTelescopeTextTheme,
        'Anonymous Pro': GoogleFonts.anonymousProTextTheme,
        'Antic': GoogleFonts.anticTextTheme,
        'Antic Didone': GoogleFonts.anticDidoneTextTheme,
        'Antic Slab': GoogleFonts.anticSlabTextTheme,
        'Anton': GoogleFonts.antonTextTheme,
        'Arapey': GoogleFonts.arapeyTextTheme,
        'Arbutus': GoogleFonts.arbutusTextTheme,
        'Arbutus Slab': GoogleFonts.arbutusSlabTextTheme,
        'Architects Daughter': GoogleFonts.architectsDaughterTextTheme,
        'Archivo': GoogleFonts.archivoTextTheme,
        'Archivo Black': GoogleFonts.archivoBlackTextTheme,
        'Archivo Narrow': GoogleFonts.archivoNarrowTextTheme,
        'Are You Serious': GoogleFonts.areYouSeriousTextTheme,
        'Aref Ruqaa': GoogleFonts.arefRuqaaTextTheme,
        'Arima Madurai': GoogleFonts.arimaMaduraiTextTheme,
        'Arimo': GoogleFonts.arimoTextTheme,
        'Arizonia': GoogleFonts.arizoniaTextTheme,
        'Armata': GoogleFonts.armataTextTheme,
        'Arsenal': GoogleFonts.arsenalTextTheme,
        'Artifika': GoogleFonts.artifikaTextTheme,
        'Arvo': GoogleFonts.arvoTextTheme,
        'Arya': GoogleFonts.aryaTextTheme,
        'Asap': GoogleFonts.asapTextTheme,
        'Asar': GoogleFonts.asarTextTheme,
        'Asset': GoogleFonts.assetTextTheme,
        'Assistant': GoogleFonts.assistantTextTheme,
        'Astloch': GoogleFonts.astlochTextTheme,
        'Asul': GoogleFonts.asulTextTheme,
        'Athiti': GoogleFonts.athitiTextTheme,
        'Atkinson Hyperlegible': GoogleFonts.atkinsonHyperlegibleTextTheme,
        'Atma': GoogleFonts.atmaTextTheme,
        'Atomic Age': GoogleFonts.atomicAgeTextTheme,
        'Aubrey': GoogleFonts.aubreyTextTheme,
        'Audiowide': GoogleFonts.audiowideTextTheme,
        'Autour One': GoogleFonts.autourOneTextTheme,
        'Average': GoogleFonts.averageTextTheme,
        'Average Sans': GoogleFonts.averageSansTextTheme,
        'Averia Gruesa Libre': GoogleFonts.averiaGruesaLibreTextTheme,
        'Averia Libre': GoogleFonts.averiaLibreTextTheme,
        'Averia Sans Libre': GoogleFonts.averiaSansLibreTextTheme,
        'Averia Serif Libre': GoogleFonts.averiaSerifLibreTextTheme,
        'Azeret Mono': GoogleFonts.azeretMonoTextTheme,
        'B612': GoogleFonts.b612TextTheme,
        'B612 Mono': GoogleFonts.b612MonoTextTheme,
        'Bad Script': GoogleFonts.badScriptTextTheme,
        'Bahiana': GoogleFonts.bahianaTextTheme,
        'Bahianita': GoogleFonts.bahianitaTextTheme,
        'Bai Jamjuree': GoogleFonts.baiJamjureeTextTheme,
        'Bakbak One': GoogleFonts.bakbakOneTextTheme,
        'Baloo': GoogleFonts.balooTextTheme,
        'Baloo 2': GoogleFonts.baloo2TextTheme,
        'Baloo Bhai': GoogleFonts.balooBhaiTextTheme,
        'Baloo Bhai 2': GoogleFonts.balooBhai2TextTheme,
        'Baloo Bhaijaan': GoogleFonts.balooBhaijaanTextTheme,
        'Baloo Bhaijaan 2': GoogleFonts.balooBhaijaan2TextTheme,
        'Baloo Bhaina': GoogleFonts.balooBhainaTextTheme,
        'Baloo Bhaina 2': GoogleFonts.balooBhaina2TextTheme,
        'Baloo Chettan': GoogleFonts.balooChettanTextTheme,
        'Baloo Chettan 2': GoogleFonts.balooChettan2TextTheme,
        'Baloo Da': GoogleFonts.balooDaTextTheme,
        'Baloo Da 2': GoogleFonts.balooDa2TextTheme,
        'Baloo Paaji': GoogleFonts.balooPaajiTextTheme,
        'Baloo Paaji 2': GoogleFonts.balooPaaji2TextTheme,
        'Baloo Tamma': GoogleFonts.balooTammaTextTheme,
        'Baloo Tamma 2': GoogleFonts.balooTamma2TextTheme,
        'Baloo Tammudu': GoogleFonts.balooTammuduTextTheme,
        'Baloo Tammudu 2': GoogleFonts.balooTammudu2TextTheme,
        'Baloo Thambi': GoogleFonts.balooThambiTextTheme,
        'Baloo Thambi 2': GoogleFonts.balooThambi2TextTheme,
        'Balsamiq Sans': GoogleFonts.balsamiqSansTextTheme,
        'Balthazar': GoogleFonts.balthazarTextTheme,
        'Bangers': GoogleFonts.bangersTextTheme,
        'Barlow': GoogleFonts.barlowTextTheme,
        'Barlow Condensed': GoogleFonts.barlowCondensedTextTheme,
        'Barlow Semi Condensed': GoogleFonts.barlowSemiCondensedTextTheme,
        'Barriecito': GoogleFonts.barriecitoTextTheme,
        'Barrio': GoogleFonts.barrioTextTheme,
        'Basic': GoogleFonts.basicTextTheme,
        'Baskervville': GoogleFonts.baskervvilleTextTheme,
        'Baumans': GoogleFonts.baumansTextTheme,
        'Be Vietnam': GoogleFonts.beVietnamTextTheme,
        'Be Vietnam Pro': GoogleFonts.beVietnamProTextTheme,
        'Bebas Neue': GoogleFonts.bebasNeueTextTheme,
        'Belgrano': GoogleFonts.belgranoTextTheme,
        'Bellefair': GoogleFonts.bellefairTextTheme,
        'Belleza': GoogleFonts.bellezaTextTheme,
        'Bellota': GoogleFonts.bellotaTextTheme,
        'Bellota Text': GoogleFonts.bellotaTextTextTheme,
        'BenchNine': GoogleFonts.benchNineTextTheme,
        'Bentham': GoogleFonts.benthamTextTheme,
        'Berkshire Swash': GoogleFonts.berkshireSwashTextTheme,
        'Besley': GoogleFonts.besleyTextTheme,
        'Beth Ellen': GoogleFonts.bethEllenTextTheme,
        'Bevan': GoogleFonts.bevanTextTheme,
        'Big Shoulders Display': GoogleFonts.bigShouldersDisplayTextTheme,
        'Big Shoulders Inline Display':
            GoogleFonts.bigShouldersInlineDisplayTextTheme,
        'Big Shoulders Inline Text':
            GoogleFonts.bigShouldersInlineTextTextTheme,
        'Big Shoulders Stencil Display':
            GoogleFonts.bigShouldersStencilDisplayTextTheme,
        'Big Shoulders Stencil Text':
            GoogleFonts.bigShouldersStencilTextTextTheme,
        'Big Shoulders Text': GoogleFonts.bigShouldersTextTextTheme,
        'Bigelow Rules': GoogleFonts.bigelowRulesTextTheme,
        'Bigshot One': GoogleFonts.bigshotOneTextTheme,
        'Bilbo': GoogleFonts.bilboTextTheme,
        'Bilbo Swash Caps': GoogleFonts.bilboSwashCapsTextTheme,
        'BioRhyme': GoogleFonts.bioRhymeTextTheme,
        'BioRhyme Expanded': GoogleFonts.bioRhymeExpandedTextTheme,
        'Birthstone': GoogleFonts.birthstoneTextTheme,
        'Birthstone Bounce': GoogleFonts.birthstoneBounceTextTheme,
        'Biryani': GoogleFonts.biryaniTextTheme,
        'Bitter': GoogleFonts.bitterTextTheme,
        'Black And White Picture': GoogleFonts.blackAndWhitePictureTextTheme,
        'Black Han Sans': GoogleFonts.blackHanSansTextTheme,
        'Black Ops One': GoogleFonts.blackOpsOneTextTheme,
        'Blinker': GoogleFonts.blinkerTextTheme,
        'Bona Nova': GoogleFonts.bonaNovaTextTheme,
        'Bonbon': GoogleFonts.bonbonTextTheme,
        'Bonheur Royale': GoogleFonts.bonheurRoyaleTextTheme,
        'Boogaloo': GoogleFonts.boogalooTextTheme,
        'Bowlby One': GoogleFonts.bowlbyOneTextTheme,
        'Bowlby One SC': GoogleFonts.bowlbyOneScTextTheme,
        'Brawler': GoogleFonts.brawlerTextTheme,
        'Bree Serif': GoogleFonts.breeSerifTextTheme,
        'Brygada 1918': GoogleFonts.brygada1918TextTheme,
        'Bubblegum Sans': GoogleFonts.bubblegumSansTextTheme,
        'Bubbler One': GoogleFonts.bubblerOneTextTheme,
        'Buda': GoogleFonts.budaTextTheme,
        'Buenard': GoogleFonts.buenardTextTheme,
        'Bungee': GoogleFonts.bungeeTextTheme,
        'Bungee Hairline': GoogleFonts.bungeeHairlineTextTheme,
        'Bungee Inline': GoogleFonts.bungeeInlineTextTheme,
        'Bungee Outline': GoogleFonts.bungeeOutlineTextTheme,
        'Bungee Shade': GoogleFonts.bungeeShadeTextTheme,
        'Butcherman': GoogleFonts.butchermanTextTheme,
        'Butterfly Kids': GoogleFonts.butterflyKidsTextTheme,
        'Cabin': GoogleFonts.cabinTextTheme,
        'Cabin Condensed': GoogleFonts.cabinCondensedTextTheme,
        'Cabin Sketch': GoogleFonts.cabinSketchTextTheme,
        'Caesar Dressing': GoogleFonts.caesarDressingTextTheme,
        'Cagliostro': GoogleFonts.cagliostroTextTheme,
        'Cairo': GoogleFonts.cairoTextTheme,
        'Caladea': GoogleFonts.caladeaTextTheme,
        'Calistoga': GoogleFonts.calistogaTextTheme,
        'Calligraffitti': GoogleFonts.calligraffittiTextTheme,
        'Cambay': GoogleFonts.cambayTextTheme,
        'Cambo': GoogleFonts.camboTextTheme,
        'Candal': GoogleFonts.candalTextTheme,
        'Cantarell': GoogleFonts.cantarellTextTheme,
        'Cantata One': GoogleFonts.cantataOneTextTheme,
        'Cantora One': GoogleFonts.cantoraOneTextTheme,
        'Capriola': GoogleFonts.capriolaTextTheme,
        'Caramel': GoogleFonts.caramelTextTheme,
        'Carattere': GoogleFonts.carattereTextTheme,
        'Cardo': GoogleFonts.cardoTextTheme,
        'Carme': GoogleFonts.carmeTextTheme,
        'Carrois Gothic': GoogleFonts.carroisGothicTextTheme,
        'Carrois Gothic SC': GoogleFonts.carroisGothicScTextTheme,
        'Carter One': GoogleFonts.carterOneTextTheme,
        'Castoro': GoogleFonts.castoroTextTheme,
        'Catamaran': GoogleFonts.catamaranTextTheme,
        'Caudex': GoogleFonts.caudexTextTheme,
        'Caveat': GoogleFonts.caveatTextTheme,
        'Caveat Brush': GoogleFonts.caveatBrushTextTheme,
        'Cedarville Cursive': GoogleFonts.cedarvilleCursiveTextTheme,
        'Ceviche One': GoogleFonts.cevicheOneTextTheme,
        'Chakra Petch': GoogleFonts.chakraPetchTextTheme,
        'Changa': GoogleFonts.changaTextTheme,
        'Changa One': GoogleFonts.changaOneTextTheme,
        'Chango': GoogleFonts.changoTextTheme,
        'Charm': GoogleFonts.charmTextTheme,
        'Charmonman': GoogleFonts.charmonmanTextTheme,
        'Chathura': GoogleFonts.chathuraTextTheme,
        'Chau Philomene One': GoogleFonts.chauPhilomeneOneTextTheme,
        'Chela One': GoogleFonts.chelaOneTextTheme,
        'Chelsea Market': GoogleFonts.chelseaMarketTextTheme,
        'Cherish': GoogleFonts.cherishTextTheme,
        'Cherry Cream Soda': GoogleFonts.cherryCreamSodaTextTheme,
        'Cherry Swash': GoogleFonts.cherrySwashTextTheme,
        'Chewy': GoogleFonts.chewyTextTheme,
        'Chicle': GoogleFonts.chicleTextTheme,
        'Chilanka': GoogleFonts.chilankaTextTheme,
        'Chivo': GoogleFonts.chivoTextTheme,
        'Chonburi': GoogleFonts.chonburiTextTheme,
        'Cinzel': GoogleFonts.cinzelTextTheme,
        'Cinzel Decorative': GoogleFonts.cinzelDecorativeTextTheme,
        'Clicker Script': GoogleFonts.clickerScriptTextTheme,
        'Coda': GoogleFonts.codaTextTheme,
        'Coda Caption': GoogleFonts.codaCaptionTextTheme,
        'Codystar': GoogleFonts.codystarTextTheme,
        'Coiny': GoogleFonts.coinyTextTheme,
        'Combo': GoogleFonts.comboTextTheme,
        'Comfortaa': GoogleFonts.comfortaaTextTheme,
        'Comforter': GoogleFonts.comforterTextTheme,
        'Comforter Brush': GoogleFonts.comforterBrushTextTheme,
        'Comic Neue': GoogleFonts.comicNeueTextTheme,
        'Coming Soon': GoogleFonts.comingSoonTextTheme,
        'Commissioner': GoogleFonts.commissionerTextTheme,
        'Concert One': GoogleFonts.concertOneTextTheme,
        'Condiment': GoogleFonts.condimentTextTheme,
        'Contrail One': GoogleFonts.contrailOneTextTheme,
        'Convergence': GoogleFonts.convergenceTextTheme,
        'Cookie': GoogleFonts.cookieTextTheme,
        'Copse': GoogleFonts.copseTextTheme,
        'Corben': GoogleFonts.corbenTextTheme,
        'Corinthia': GoogleFonts.corinthiaTextTheme,
        'Cormorant': GoogleFonts.cormorantTextTheme,
        'Cormorant Garamond': GoogleFonts.cormorantGaramondTextTheme,
        'Cormorant Infant': GoogleFonts.cormorantInfantTextTheme,
        'Cormorant SC': GoogleFonts.cormorantScTextTheme,
        'Cormorant Unicase': GoogleFonts.cormorantUnicaseTextTheme,
        'Cormorant Upright': GoogleFonts.cormorantUprightTextTheme,
        'Courgette': GoogleFonts.courgetteTextTheme,
        'Courier Prime': GoogleFonts.courierPrimeTextTheme,
        'Cousine': GoogleFonts.cousineTextTheme,
        'Coustard': GoogleFonts.coustardTextTheme,
        'Covered By Your Grace': GoogleFonts.coveredByYourGraceTextTheme,
        'Crafty Girls': GoogleFonts.craftyGirlsTextTheme,
        'Creepster': GoogleFonts.creepsterTextTheme,
        'Crete Round': GoogleFonts.creteRoundTextTheme,
        'Crimson Pro': GoogleFonts.crimsonProTextTheme,
        'Crimson Text': GoogleFonts.crimsonTextTextTheme,
        'Croissant One': GoogleFonts.croissantOneTextTheme,
        'Crushed': GoogleFonts.crushedTextTheme,
        'Cuprum': GoogleFonts.cuprumTextTheme,
        'Cute Font': GoogleFonts.cuteFontTextTheme,
        'Cutive': GoogleFonts.cutiveTextTheme,
        'Cutive Mono': GoogleFonts.cutiveMonoTextTheme,
        'DM Mono': GoogleFonts.dmMonoTextTheme,
        'DM Sans': GoogleFonts.dmSansTextTheme,
        'DM Serif Display': GoogleFonts.dmSerifDisplayTextTheme,
        'DM Serif Text': GoogleFonts.dmSerifTextTextTheme,
        'Damion': GoogleFonts.damionTextTheme,
        'Dancing Script': GoogleFonts.dancingScriptTextTheme,
        'Darker Grotesque': GoogleFonts.darkerGrotesqueTextTheme,
        'David Libre': GoogleFonts.davidLibreTextTheme,
        'Dawning of a New Day': GoogleFonts.dawningOfANewDayTextTheme,
        'Days One': GoogleFonts.daysOneTextTheme,
        'Dekko': GoogleFonts.dekkoTextTheme,
        'Dela Gothic One': GoogleFonts.delaGothicOneTextTheme,
        'Delius': GoogleFonts.deliusTextTheme,
        'Delius Swash Caps': GoogleFonts.deliusSwashCapsTextTheme,
        'Delius Unicase': GoogleFonts.deliusUnicaseTextTheme,
        'Della Respira': GoogleFonts.dellaRespiraTextTheme,
        'Denk One': GoogleFonts.denkOneTextTheme,
        'Devonshire': GoogleFonts.devonshireTextTheme,
        'Dhurjati': GoogleFonts.dhurjatiTextTheme,
        'Didact Gothic': GoogleFonts.didactGothicTextTheme,
        'Diplomata': GoogleFonts.diplomataTextTheme,
        'Diplomata SC': GoogleFonts.diplomataScTextTheme,
        'Do Hyeon': GoogleFonts.doHyeonTextTheme,
        'Dokdo': GoogleFonts.dokdoTextTheme,
        'Domine': GoogleFonts.domineTextTheme,
        'Donegal One': GoogleFonts.donegalOneTextTheme,
        'Dongle': GoogleFonts.dongleTextTheme,
        'Doppio One': GoogleFonts.doppioOneTextTheme,
        'Dorsa': GoogleFonts.dorsaTextTheme,
        'Dosis': GoogleFonts.dosisTextTheme,
        'DotGothic16': GoogleFonts.dotGothic16TextTheme,
        'Dr Sugiyama': GoogleFonts.drSugiyamaTextTheme,
        'Droid Sans': GoogleFonts.droidSansTextTheme,
        'Droid Sans Mono': GoogleFonts.droidSansMonoTextTheme,
        'Droid Serif': GoogleFonts.droidSerifTextTheme,
        'Duru Sans': GoogleFonts.duruSansTextTheme,
        'Dynalight': GoogleFonts.dynalightTextTheme,
        'EB Garamond': GoogleFonts.ebGaramondTextTheme,
        'Eagle Lake': GoogleFonts.eagleLakeTextTheme,
        'East Sea Dokdo': GoogleFonts.eastSeaDokdoTextTheme,
        'Eater': GoogleFonts.eaterTextTheme,
        'Economica': GoogleFonts.economicaTextTheme,
        'Eczar': GoogleFonts.eczarTextTheme,
        'El Messiri': GoogleFonts.elMessiriTextTheme,
        'Electrolize': GoogleFonts.electrolizeTextTheme,
        'Elsie': GoogleFonts.elsieTextTheme,
        'Elsie Swash Caps': GoogleFonts.elsieSwashCapsTextTheme,
        'Emblema One': GoogleFonts.emblemaOneTextTheme,
        'Emilys Candy': GoogleFonts.emilysCandyTextTheme,
        'Encode Sans': GoogleFonts.encodeSansTextTheme,
        'Encode Sans Condensed': GoogleFonts.encodeSansCondensedTextTheme,
        'Encode Sans Expanded': GoogleFonts.encodeSansExpandedTextTheme,
        'Encode Sans SC': GoogleFonts.encodeSansScTextTheme,
        'Encode Sans Semi Condensed':
            GoogleFonts.encodeSansSemiCondensedTextTheme,
        'Encode Sans Semi Expanded':
            GoogleFonts.encodeSansSemiExpandedTextTheme,
        'Engagement': GoogleFonts.engagementTextTheme,
        'Englebert': GoogleFonts.englebertTextTheme,
        'Enriqueta': GoogleFonts.enriquetaTextTheme,
        'Ephesis': GoogleFonts.ephesisTextTheme,
        'Epilogue': GoogleFonts.epilogueTextTheme,
        'Erica One': GoogleFonts.ericaOneTextTheme,
        'Esteban': GoogleFonts.estebanTextTheme,
        'Estonia': GoogleFonts.estoniaTextTheme,
        'Euphoria Script': GoogleFonts.euphoriaScriptTextTheme,
        'Ewert': GoogleFonts.ewertTextTheme,
        'Exo': GoogleFonts.exoTextTheme,
        'Exo 2': GoogleFonts.exo2TextTheme,
        'Expletus Sans': GoogleFonts.expletusSansTextTheme,
        'Explora': GoogleFonts.exploraTextTheme,
        'Fahkwang': GoogleFonts.fahkwangTextTheme,
        'Fanwood Text': GoogleFonts.fanwoodTextTextTheme,
        'Farro': GoogleFonts.farroTextTheme,
        'Farsan': GoogleFonts.farsanTextTheme,
        'Fascinate': GoogleFonts.fascinateTextTheme,
        'Fascinate Inline': GoogleFonts.fascinateInlineTextTheme,
        'Faster One': GoogleFonts.fasterOneTextTheme,
        'Fauna One': GoogleFonts.faunaOneTextTheme,
        'Faustina': GoogleFonts.faustinaTextTheme,
        'Federant': GoogleFonts.federantTextTheme,
        'Federo': GoogleFonts.federoTextTheme,
        'Felipa': GoogleFonts.felipaTextTheme,
        'Fenix': GoogleFonts.fenixTextTheme,
        'Festive': GoogleFonts.festiveTextTheme,
        'Finger Paint': GoogleFonts.fingerPaintTextTheme,
        'Fira Code': GoogleFonts.firaCodeTextTheme,
        'Fira Mono': GoogleFonts.firaMonoTextTheme,
        'Fira Sans': GoogleFonts.firaSansTextTheme,
        'Fira Sans Condensed': GoogleFonts.firaSansCondensedTextTheme,
        'Fira Sans Extra Condensed':
            GoogleFonts.firaSansExtraCondensedTextTheme,
        'Fjalla One': GoogleFonts.fjallaOneTextTheme,
        'Fjord One': GoogleFonts.fjordOneTextTheme,
        'Flamenco': GoogleFonts.flamencoTextTheme,
        'Flavors': GoogleFonts.flavorsTextTheme,
        'Fleur De Leah': GoogleFonts.fleurDeLeahTextTheme,
        'Flow Block': GoogleFonts.flowBlockTextTheme,
        'Flow Circular': GoogleFonts.flowCircularTextTheme,
        'Flow Rounded': GoogleFonts.flowRoundedTextTheme,
        'Fondamento': GoogleFonts.fondamentoTextTheme,
        'Fontdiner Swanky': GoogleFonts.fontdinerSwankyTextTheme,
        'Forum': GoogleFonts.forumTextTheme,
        'Francois One': GoogleFonts.francoisOneTextTheme,
        'Frank Ruhl Libre': GoogleFonts.frankRuhlLibreTextTheme,
        'Fraunces': GoogleFonts.frauncesTextTheme,
        'Freckle Face': GoogleFonts.freckleFaceTextTheme,
        'Fredericka the Great': GoogleFonts.frederickaTheGreatTextTheme,
        'Fredoka One': GoogleFonts.fredokaOneTextTheme,
        'Fresca': GoogleFonts.frescaTextTheme,
        'Frijole': GoogleFonts.frijoleTextTheme,
        'Fruktur': GoogleFonts.frukturTextTheme,
        'Fugaz One': GoogleFonts.fugazOneTextTheme,
        'Fuggles': GoogleFonts.fugglesTextTheme,
        'Fuzzy Bubbles': GoogleFonts.fuzzyBubblesTextTheme,
        'GFS Didot': GoogleFonts.gfsDidotTextTheme,
        'GFS Neohellenic': GoogleFonts.gfsNeohellenicTextTheme,
        'Gabriela': GoogleFonts.gabrielaTextTheme,
        'Gaegu': GoogleFonts.gaeguTextTheme,
        'Gafata': GoogleFonts.gafataTextTheme,
        'Galada': GoogleFonts.galadaTextTheme,
        'Galdeano': GoogleFonts.galdeanoTextTheme,
        'Galindo': GoogleFonts.galindoTextTheme,
        'Gamja Flower': GoogleFonts.gamjaFlowerTextTheme,
        'Gayathri': GoogleFonts.gayathriTextTheme,
        'Gelasio': GoogleFonts.gelasioTextTheme,
        'Gemunu Libre': GoogleFonts.gemunuLibreTextTheme,
        'Genos': GoogleFonts.genosTextTheme,
        'Gentium Basic': GoogleFonts.gentiumBasicTextTheme,
        'Gentium Book Basic': GoogleFonts.gentiumBookBasicTextTheme,
        'Geo': GoogleFonts.geoTextTheme,
        'Georama': GoogleFonts.georamaTextTheme,
        'Geostar': GoogleFonts.geostarTextTheme,
        'Geostar Fill': GoogleFonts.geostarFillTextTheme,
        'Germania One': GoogleFonts.germaniaOneTextTheme,
        'Gideon Roman': GoogleFonts.gideonRomanTextTheme,
        'Gidugu': GoogleFonts.giduguTextTheme,
        'Gilda Display': GoogleFonts.gildaDisplayTextTheme,
        'Girassol': GoogleFonts.girassolTextTheme,
        'Give You Glory': GoogleFonts.giveYouGloryTextTheme,
        'Glass Antiqua': GoogleFonts.glassAntiquaTextTheme,
        'Glegoo': GoogleFonts.glegooTextTheme,
        'Gloria Hallelujah': GoogleFonts.gloriaHallelujahTextTheme,
        'Glory': GoogleFonts.gloryTextTheme,
        'Gluten': GoogleFonts.glutenTextTheme,
        'Goblin One': GoogleFonts.goblinOneTextTheme,
        'Gochi Hand': GoogleFonts.gochiHandTextTheme,
        'Goldman': GoogleFonts.goldmanTextTheme,
        'Gorditas': GoogleFonts.gorditasTextTheme,
        'Gothic A1': GoogleFonts.gothicA1TextTheme,
        'Gotu': GoogleFonts.gotuTextTheme,
        'Goudy Bookletter 1911': GoogleFonts.goudyBookletter1911TextTheme,
        'Gowun Batang': GoogleFonts.gowunBatangTextTheme,
        'Gowun Dodum': GoogleFonts.gowunDodumTextTheme,
        'Graduate': GoogleFonts.graduateTextTheme,
        'Grand Hotel': GoogleFonts.grandHotelTextTheme,
        'Grandstander': GoogleFonts.grandstanderTextTheme,
        'Gravitas One': GoogleFonts.gravitasOneTextTheme,
        'Great Vibes': GoogleFonts.greatVibesTextTheme,
        'Grechen Fuemen': GoogleFonts.grechenFuemenTextTheme,
        'Grenze': GoogleFonts.grenzeTextTheme,
        'Grenze Gotisch': GoogleFonts.grenzeGotischTextTheme,
        'Grey Qo': GoogleFonts.greyQoTextTheme,
        'Griffy': GoogleFonts.griffyTextTheme,
        'Gruppo': GoogleFonts.gruppoTextTheme,
        'Gudea': GoogleFonts.gudeaTextTheme,
        'Gugi': GoogleFonts.gugiTextTheme,
        'Gupter': GoogleFonts.gupterTextTheme,
        'Gurajada': GoogleFonts.gurajadaTextTheme,
        'Gwendolyn': GoogleFonts.gwendolynTextTheme,
        'Habibi': GoogleFonts.habibiTextTheme,
        'Hachi Maru Pop': GoogleFonts.hachiMaruPopTextTheme,
        'Hahmlet': GoogleFonts.hahmletTextTheme,
        'Halant': GoogleFonts.halantTextTheme,
        'Hammersmith One': GoogleFonts.hammersmithOneTextTheme,
        'Hanalei': GoogleFonts.hanaleiTextTheme,
        'Hanalei Fill': GoogleFonts.hanaleiFillTextTheme,
        'Handlee': GoogleFonts.handleeTextTheme,
        'Happy Monkey': GoogleFonts.happyMonkeyTextTheme,
        'Harmattan': GoogleFonts.harmattanTextTheme,
        'Headland One': GoogleFonts.headlandOneTextTheme,
        'Heebo': GoogleFonts.heeboTextTheme,
        'Henny Penny': GoogleFonts.hennyPennyTextTheme,
        'Hepta Slab': GoogleFonts.heptaSlabTextTheme,
        'Herr Von Muellerhoff': GoogleFonts.herrVonMuellerhoffTextTheme,
        'Hi Melody': GoogleFonts.hiMelodyTextTheme,
        'Hina Mincho': GoogleFonts.hinaMinchoTextTheme,
        'Hind': GoogleFonts.hindTextTheme,
        'Hind Guntur': GoogleFonts.hindGunturTextTheme,
        'Hind Madurai': GoogleFonts.hindMaduraiTextTheme,
        'Hind Siliguri': GoogleFonts.hindSiliguriTextTheme,
        'Hind Vadodara': GoogleFonts.hindVadodaraTextTheme,
        'Holtwood One SC': GoogleFonts.holtwoodOneScTextTheme,
        'Homemade Apple': GoogleFonts.homemadeAppleTextTheme,
        'Homenaje': GoogleFonts.homenajeTextTheme,
        'Hurricane': GoogleFonts.hurricaneTextTheme,
        'IBM Plex Mono': GoogleFonts.ibmPlexMonoTextTheme,
        'IBM Plex Sans': GoogleFonts.ibmPlexSansTextTheme,
        'IBM Plex Sans Arabic': GoogleFonts.ibmPlexSansArabicTextTheme,
        'IBM Plex Sans Condensed': GoogleFonts.ibmPlexSansCondensedTextTheme,
        'IBM Plex Sans Devanagari': GoogleFonts.ibmPlexSansDevanagariTextTheme,
        'IBM Plex Sans Hebrew': GoogleFonts.ibmPlexSansHebrewTextTheme,
        'IBM Plex Sans KR': GoogleFonts.ibmPlexSansKrTextTheme,
        'IBM Plex Sans Thai': GoogleFonts.ibmPlexSansThaiTextTheme,
        'IBM Plex Sans Thai Looped': GoogleFonts.ibmPlexSansThaiLoopedTextTheme,
        'IBM Plex Serif': GoogleFonts.ibmPlexSerifTextTheme,
        'IM Fell DW Pica': GoogleFonts.imFellDwPicaTextTheme,
        'IM Fell DW Pica SC': GoogleFonts.imFellDwPicaScTextTheme,
        'IM Fell Double Pica': GoogleFonts.imFellDoublePicaTextTheme,
        'IM Fell Double Pica SC': GoogleFonts.imFellDoublePicaScTextTheme,
        'IM Fell English': GoogleFonts.imFellEnglishTextTheme,
        'IM Fell English SC': GoogleFonts.imFellEnglishScTextTheme,
        'IM Fell French Canon': GoogleFonts.imFellFrenchCanonTextTheme,
        'IM Fell French Canon SC': GoogleFonts.imFellFrenchCanonScTextTheme,
        'IM Fell Great Primer': GoogleFonts.imFellGreatPrimerTextTheme,
        'IM Fell Great Primer SC': GoogleFonts.imFellGreatPrimerScTextTheme,
        'Ibarra Real Nova': GoogleFonts.ibarraRealNovaTextTheme,
        'Iceberg': GoogleFonts.icebergTextTheme,
        'Iceland': GoogleFonts.icelandTextTheme,
        'Imprima': GoogleFonts.imprimaTextTheme,
        'Inconsolata': GoogleFonts.inconsolataTextTheme,
        'Inder': GoogleFonts.inderTextTheme,
        'Indie Flower': GoogleFonts.indieFlowerTextTheme,
        'Inika': GoogleFonts.inikaTextTheme,
        'Inknut Antiqua': GoogleFonts.inknutAntiquaTextTheme,
        'Inria Sans': GoogleFonts.inriaSansTextTheme,
        'Inria Serif': GoogleFonts.inriaSerifTextTheme,
        'Inter': GoogleFonts.interTextTheme,
        'Irish Grover': GoogleFonts.irishGroverTextTheme,
        'Istok Web': GoogleFonts.istokWebTextTheme,
        'Italiana': GoogleFonts.italianaTextTheme,
        'Italianno': GoogleFonts.italiannoTextTheme,
        'Itim': GoogleFonts.itimTextTheme,
        'Jacques Francois': GoogleFonts.jacquesFrancoisTextTheme,
        'Jacques Francois Shadow': GoogleFonts.jacquesFrancoisShadowTextTheme,
        'Jaldi': GoogleFonts.jaldiTextTheme,
        'JetBrains Mono': GoogleFonts.jetBrainsMonoTextTheme,
        'Jim Nightshade': GoogleFonts.jimNightshadeTextTheme,
        'Jockey One': GoogleFonts.jockeyOneTextTheme,
        'Jolly Lodger': GoogleFonts.jollyLodgerTextTheme,
        'Jomhuria': GoogleFonts.jomhuriaTextTheme,
        'Jomolhari': GoogleFonts.jomolhariTextTheme,
        'Josefin Sans': GoogleFonts.josefinSansTextTheme,
        'Josefin Slab': GoogleFonts.josefinSlabTextTheme,
        'Jost': GoogleFonts.jostTextTheme,
        'Joti One': GoogleFonts.jotiOneTextTheme,
        'Jua': GoogleFonts.juaTextTheme,
        'Judson': GoogleFonts.judsonTextTheme,
        'Julee': GoogleFonts.juleeTextTheme,
        'Julius Sans One': GoogleFonts.juliusSansOneTextTheme,
        'Junge': GoogleFonts.jungeTextTheme,
        'Jura': GoogleFonts.juraTextTheme,
        'Just Another Hand': GoogleFonts.justAnotherHandTextTheme,
        'Just Me Again Down Here': GoogleFonts.justMeAgainDownHereTextTheme,
        'K2D': GoogleFonts.k2dTextTheme,
        'Kadwa': GoogleFonts.kadwaTextTheme,
        'Kaisei Decol': GoogleFonts.kaiseiDecolTextTheme,
        'Kaisei HarunoUmi': GoogleFonts.kaiseiHarunoUmiTextTheme,
        'Kaisei Opti': GoogleFonts.kaiseiOptiTextTheme,
        'Kaisei Tokumin': GoogleFonts.kaiseiTokuminTextTheme,
        'Kalam': GoogleFonts.kalamTextTheme,
        'Kameron': GoogleFonts.kameronTextTheme,
        'Kanit': GoogleFonts.kanitTextTheme,
        'Kantumruy': GoogleFonts.kantumruyTextTheme,
        'Karla': GoogleFonts.karlaTextTheme,
        'Karma': GoogleFonts.karmaTextTheme,
        'Katibeh': GoogleFonts.katibehTextTheme,
        'Kaushan Script': GoogleFonts.kaushanScriptTextTheme,
        'Kavivanar': GoogleFonts.kavivanarTextTheme,
        'Kavoon': GoogleFonts.kavoonTextTheme,
        'Kdam Thmor': GoogleFonts.kdamThmorTextTheme,
        'Keania One': GoogleFonts.keaniaOneTextTheme,
        'Kelly Slab': GoogleFonts.kellySlabTextTheme,
        'Kenia': GoogleFonts.keniaTextTheme,
        'Khand': GoogleFonts.khandTextTheme,
        'Khula': GoogleFonts.khulaTextTheme,
        'Kings': GoogleFonts.kingsTextTheme,
        'Kirang Haerang': GoogleFonts.kirangHaerangTextTheme,
        'Kite One': GoogleFonts.kiteOneTextTheme,
        'Klee One': GoogleFonts.kleeOneTextTheme,
        'Knewave': GoogleFonts.knewaveTextTheme,
        'KoHo': GoogleFonts.koHoTextTheme,
        'Kodchasan': GoogleFonts.kodchasanTextTheme,
        'Koh Santepheap': GoogleFonts.kohSantepheapTextTheme,
        'Kosugi': GoogleFonts.kosugiTextTheme,
        'Kosugi Maru': GoogleFonts.kosugiMaruTextTheme,
        'Kotta One': GoogleFonts.kottaOneTextTheme,
        'Kranky': GoogleFonts.krankyTextTheme,
        'Kreon': GoogleFonts.kreonTextTheme,
        'Kristi': GoogleFonts.kristiTextTheme,
        'Krona One': GoogleFonts.kronaOneTextTheme,
        'Krub': GoogleFonts.krubTextTheme,
        'Kufam': GoogleFonts.kufamTextTheme,
        'Kulim Park': GoogleFonts.kulimParkTextTheme,
        'Kumar One': GoogleFonts.kumarOneTextTheme,
        'Kumar One Outline': GoogleFonts.kumarOneOutlineTextTheme,
        'Kumbh Sans': GoogleFonts.kumbhSansTextTheme,
        'Kurale': GoogleFonts.kuraleTextTheme,
        'La Belle Aurore': GoogleFonts.laBelleAuroreTextTheme,
        'Lacquer': GoogleFonts.lacquerTextTheme,
        'Laila': GoogleFonts.lailaTextTheme,
        'Lakki Reddy': GoogleFonts.lakkiReddyTextTheme,
        'Lalezar': GoogleFonts.lalezarTextTheme,
        'Lancelot': GoogleFonts.lancelotTextTheme,
        'Langar': GoogleFonts.langarTextTheme,
        'Lateef': GoogleFonts.lateefTextTheme,
        'Lato': GoogleFonts.latoTextTheme,
        'League Script': GoogleFonts.leagueScriptTextTheme,
        'Leckerli One': GoogleFonts.leckerliOneTextTheme,
        'Ledger': GoogleFonts.ledgerTextTheme,
        'Lekton': GoogleFonts.lektonTextTheme,
        'Lemon': GoogleFonts.lemonTextTheme,
        'Lemonada': GoogleFonts.lemonadaTextTheme,
        'Lexend': GoogleFonts.lexendTextTheme,
        'Lexend Deca': GoogleFonts.lexendDecaTextTheme,
        'Lexend Exa': GoogleFonts.lexendExaTextTheme,
        'Lexend Giga': GoogleFonts.lexendGigaTextTheme,
        'Lexend Mega': GoogleFonts.lexendMegaTextTheme,
        'Lexend Peta': GoogleFonts.lexendPetaTextTheme,
        'Lexend Tera': GoogleFonts.lexendTeraTextTheme,
        'Lexend Zetta': GoogleFonts.lexendZettaTextTheme,
        'Libre Barcode 128': GoogleFonts.libreBarcode128TextTheme,
        'Libre Barcode 128 Text': GoogleFonts.libreBarcode128TextTextTheme,
        'Libre Barcode 39': GoogleFonts.libreBarcode39TextTheme,
        'Libre Barcode 39 Extended':
            GoogleFonts.libreBarcode39ExtendedTextTheme,
        'Libre Barcode 39 Extended Text':
            GoogleFonts.libreBarcode39ExtendedTextTextTheme,
        'Libre Barcode 39 Text': GoogleFonts.libreBarcode39TextTextTheme,
        'Libre Baskerville': GoogleFonts.libreBaskervilleTextTheme,
        'Libre Caslon Display': GoogleFonts.libreCaslonDisplayTextTheme,
        'Libre Caslon Text': GoogleFonts.libreCaslonTextTextTheme,
        'Libre Franklin': GoogleFonts.libreFranklinTextTheme,
        'Life Savers': GoogleFonts.lifeSaversTextTheme,
        'Lilita One': GoogleFonts.lilitaOneTextTheme,
        'Lily Script One': GoogleFonts.lilyScriptOneTextTheme,
        'Limelight': GoogleFonts.limelightTextTheme,
        'Linden Hill': GoogleFonts.lindenHillTextTheme,
        'Literata': GoogleFonts.literataTextTheme,
        'Liu Jian Mao Cao': GoogleFonts.liuJianMaoCaoTextTheme,
        'Livvic': GoogleFonts.livvicTextTheme,
        'Lobster': GoogleFonts.lobsterTextTheme,
        'Lobster Two': GoogleFonts.lobsterTwoTextTheme,
        'Londrina Outline': GoogleFonts.londrinaOutlineTextTheme,
        'Londrina Shadow': GoogleFonts.londrinaShadowTextTheme,
        'Londrina Sketch': GoogleFonts.londrinaSketchTextTheme,
        'Londrina Solid': GoogleFonts.londrinaSolidTextTheme,
        'Long Cang': GoogleFonts.longCangTextTheme,
        'Lora': GoogleFonts.loraTextTheme,
        'Love Ya Like A Sister': GoogleFonts.loveYaLikeASisterTextTheme,
        'Loved by the King': GoogleFonts.lovedByTheKingTextTheme,
        'Lovers Quarrel': GoogleFonts.loversQuarrelTextTheme,
        'Luckiest Guy': GoogleFonts.luckiestGuyTextTheme,
        'Lusitana': GoogleFonts.lusitanaTextTheme,
        'Lustria': GoogleFonts.lustriaTextTheme,
        'Luxurious Script': GoogleFonts.luxuriousScriptTextTheme,
        'M PLUS 1': GoogleFonts.mPlus1TextTheme,
        'M PLUS 1 Code': GoogleFonts.mPlus1CodeTextTheme,
        'M PLUS 1p': GoogleFonts.mPlus1pTextTheme,
        'M PLUS 2': GoogleFonts.mPlus2TextTheme,
        'M PLUS Code Latin': GoogleFonts.mPlusCodeLatinTextTheme,
        'M PLUS Rounded 1c': GoogleFonts.mPlusRounded1cTextTheme,
        'Ma Shan Zheng': GoogleFonts.maShanZhengTextTheme,
        'Macondo': GoogleFonts.macondoTextTheme,
        'Macondo Swash Caps': GoogleFonts.macondoSwashCapsTextTheme,
        'Mada': GoogleFonts.madaTextTheme,
        'Magra': GoogleFonts.magraTextTheme,
        'Maiden Orange': GoogleFonts.maidenOrangeTextTheme,
        'Maitree': GoogleFonts.maitreeTextTheme,
        'Major Mono Display': GoogleFonts.majorMonoDisplayTextTheme,
        'Mako': GoogleFonts.makoTextTheme,
        'Mali': GoogleFonts.maliTextTheme,
        'Mallanna': GoogleFonts.mallannaTextTheme,
        'Mandali': GoogleFonts.mandaliTextTheme,
        'Manjari': GoogleFonts.manjariTextTheme,
        'Manrope': GoogleFonts.manropeTextTheme,
        'Mansalva': GoogleFonts.mansalvaTextTheme,
        'Manuale': GoogleFonts.manualeTextTheme,
        'Marcellus': GoogleFonts.marcellusTextTheme,
        'Marcellus SC': GoogleFonts.marcellusScTextTheme,
        'Marck Script': GoogleFonts.marckScriptTextTheme,
        'Margarine': GoogleFonts.margarineTextTheme,
        'Markazi Text': GoogleFonts.markaziTextTextTheme,
        'Marko One': GoogleFonts.markoOneTextTheme,
        'Marmelad': GoogleFonts.marmeladTextTheme,
        'Martel': GoogleFonts.martelTextTheme,
        'Martel Sans': GoogleFonts.martelSansTextTheme,
        'Marvel': GoogleFonts.marvelTextTheme,
        'Mate': GoogleFonts.mateTextTheme,
        'Mate SC': GoogleFonts.mateScTextTheme,
        'Maven Pro': GoogleFonts.mavenProTextTheme,
        'McLaren': GoogleFonts.mcLarenTextTheme,
        'Meddon': GoogleFonts.meddonTextTheme,
        'MedievalSharp': GoogleFonts.medievalSharpTextTheme,
        'Medula One': GoogleFonts.medulaOneTextTheme,
        'Meera Inimai': GoogleFonts.meeraInimaiTextTheme,
        'Megrim': GoogleFonts.megrimTextTheme,
        'Meie Script': GoogleFonts.meieScriptTextTheme,
        'Meow Script': GoogleFonts.meowScriptTextTheme,
        'Merienda': GoogleFonts.meriendaTextTheme,
        'Merienda One': GoogleFonts.meriendaOneTextTheme,
        'Merriweather': GoogleFonts.merriweatherTextTheme,
        'Merriweather Sans': GoogleFonts.merriweatherSansTextTheme,
        'Metal Mania': GoogleFonts.metalManiaTextTheme,
        'Metamorphous': GoogleFonts.metamorphousTextTheme,
        'Metrophobic': GoogleFonts.metrophobicTextTheme,
        'Michroma': GoogleFonts.michromaTextTheme,
        'Milonga': GoogleFonts.milongaTextTheme,
        'Miltonian': GoogleFonts.miltonianTextTheme,
        'Miltonian Tattoo': GoogleFonts.miltonianTattooTextTheme,
        'Mina': GoogleFonts.minaTextTheme,
        'Miniver': GoogleFonts.miniverTextTheme,
        'Miriam Libre': GoogleFonts.miriamLibreTextTheme,
        'Mirza': GoogleFonts.mirzaTextTheme,
        'Miss Fajardose': GoogleFonts.missFajardoseTextTheme,
        'Mitr': GoogleFonts.mitrTextTheme,
        'Mochiy Pop One': GoogleFonts.mochiyPopOneTextTheme,
        'Mochiy Pop P One': GoogleFonts.mochiyPopPOneTextTheme,
        'Modak': GoogleFonts.modakTextTheme,
        'Modern Antiqua': GoogleFonts.modernAntiquaTextTheme,
        'Mogra': GoogleFonts.mograTextTheme,
        'Mohave': GoogleFonts.mohaveTextTheme,
        'Molengo': GoogleFonts.molengoTextTheme,
        'Molle': GoogleFonts.molleTextTheme,
        'Monda': GoogleFonts.mondaTextTheme,
        'Monofett': GoogleFonts.monofettTextTheme,
        'Monoton': GoogleFonts.monotonTextTheme,
        'Monsieur La Doulaise': GoogleFonts.monsieurLaDoulaiseTextTheme,
        'Montaga': GoogleFonts.montagaTextTheme,
        'Montagu Slab': GoogleFonts.montaguSlabTextTheme,
        'MonteCarlo': GoogleFonts.monteCarloTextTheme,
        'Montez': GoogleFonts.montezTextTheme,
        'Montserrat': GoogleFonts.montserratTextTheme,
        'Montserrat Alternates': GoogleFonts.montserratAlternatesTextTheme,
        'Montserrat Subrayada': GoogleFonts.montserratSubrayadaTextTheme,
        'Mountains of Christmas': GoogleFonts.mountainsOfChristmasTextTheme,
        'Mouse Memoirs': GoogleFonts.mouseMemoirsTextTheme,
        'Mr Bedfort': GoogleFonts.mrBedfortTextTheme,
        'Mr Dafoe': GoogleFonts.mrDafoeTextTheme,
        'Mr De Haviland': GoogleFonts.mrDeHavilandTextTheme,
        'Mrs Saint Delafield': GoogleFonts.mrsSaintDelafieldTextTheme,
        'Mrs Sheppards': GoogleFonts.mrsSheppardsTextTheme,
        'Mukta': GoogleFonts.muktaTextTheme,
        'Mukta Mahee': GoogleFonts.muktaMaheeTextTheme,
        'Mukta Malar': GoogleFonts.muktaMalarTextTheme,
        'Mukta Vaani': GoogleFonts.muktaVaaniTextTheme,
        'Muli': GoogleFonts.muliTextTheme,
        'Mulish': GoogleFonts.mulishTextTheme,
        'Murecho': GoogleFonts.murechoTextTheme,
        'MuseoModerno': GoogleFonts.museoModernoTextTheme,
        'Mystery Quest': GoogleFonts.mysteryQuestTextTheme,
        'NTR': GoogleFonts.ntrTextTheme,
        'Nanum Brush Script': GoogleFonts.nanumBrushScriptTextTheme,
        'Nanum Gothic': GoogleFonts.nanumGothicTextTheme,
        'Nanum Gothic Coding': GoogleFonts.nanumGothicCodingTextTheme,
        'Nanum Myeongjo': GoogleFonts.nanumMyeongjoTextTheme,
        'Nanum Pen Script': GoogleFonts.nanumPenScriptTextTheme,
        'Nerko One': GoogleFonts.nerkoOneTextTheme,
        'Neucha': GoogleFonts.neuchaTextTheme,
        'Neuton': GoogleFonts.neutonTextTheme,
        'New Rocker': GoogleFonts.newRockerTextTheme,
        'New Tegomin': GoogleFonts.newTegominTextTheme,
        'News Cycle': GoogleFonts.newsCycleTextTheme,
        'Niconne': GoogleFonts.niconneTextTheme,
        'Niramit': GoogleFonts.niramitTextTheme,
        'Nixie One': GoogleFonts.nixieOneTextTheme,
        'Nobile': GoogleFonts.nobileTextTheme,
        'Norican': GoogleFonts.noricanTextTheme,
        'Nosifer': GoogleFonts.nosiferTextTheme,
        'Notable': GoogleFonts.notableTextTheme,
        'Nothing You Could Do': GoogleFonts.nothingYouCouldDoTextTheme,
        'Noticia Text': GoogleFonts.noticiaTextTextTheme,
        'Noto Color Emoji Compat': GoogleFonts.notoColorEmojiCompatTextTheme,
        'Noto Kufi Arabic': GoogleFonts.notoKufiArabicTextTheme,
        'Noto Music': GoogleFonts.notoMusicTextTheme,
        'Noto Naskh Arabic': GoogleFonts.notoNaskhArabicTextTheme,
        'Noto Nastaliq Urdu': GoogleFonts.notoNastaliqUrduTextTheme,
        'Noto Rashi Hebrew': GoogleFonts.notoRashiHebrewTextTheme,
        'Noto Sans': GoogleFonts.notoSansTextTheme,
        'Noto Sans Adlam': GoogleFonts.notoSansAdlamTextTheme,
        'Noto Sans Adlam Unjoined': GoogleFonts.notoSansAdlamUnjoinedTextTheme,
        'Noto Sans Anatolian Hieroglyphs':
            GoogleFonts.notoSansAnatolianHieroglyphsTextTheme,
        'Noto Sans Arabic': GoogleFonts.notoSansArabicTextTheme,
        'Noto Sans Armenian': GoogleFonts.notoSansArmenianTextTheme,
        'Noto Sans Avestan': GoogleFonts.notoSansAvestanTextTheme,
        'Noto Sans Balinese': GoogleFonts.notoSansBalineseTextTheme,
        'Noto Sans Bamum': GoogleFonts.notoSansBamumTextTheme,
        'Noto Sans Bassa Vah': GoogleFonts.notoSansBassaVahTextTheme,
        'Noto Sans Batak': GoogleFonts.notoSansBatakTextTheme,
        'Noto Sans Bengali': GoogleFonts.notoSansBengaliTextTheme,
        'Noto Sans Bhaiksuki': GoogleFonts.notoSansBhaiksukiTextTheme,
        'Noto Sans Brahmi': GoogleFonts.notoSansBrahmiTextTheme,
        'Noto Sans Buginese': GoogleFonts.notoSansBugineseTextTheme,
        'Noto Sans Buhid': GoogleFonts.notoSansBuhidTextTheme,
        'Noto Sans Canadian Aboriginal':
            GoogleFonts.notoSansCanadianAboriginalTextTheme,
        'Noto Sans Carian': GoogleFonts.notoSansCarianTextTheme,
        'Noto Sans Caucasian Albanian':
            GoogleFonts.notoSansCaucasianAlbanianTextTheme,
        'Noto Sans Chakma': GoogleFonts.notoSansChakmaTextTheme,
        'Noto Sans Cham': GoogleFonts.notoSansChamTextTheme,
        'Noto Sans Cherokee': GoogleFonts.notoSansCherokeeTextTheme,
        'Noto Sans Coptic': GoogleFonts.notoSansCopticTextTheme,
        'Noto Sans Cuneiform': GoogleFonts.notoSansCuneiformTextTheme,
        'Noto Sans Cypriot': GoogleFonts.notoSansCypriotTextTheme,
        'Noto Sans Deseret': GoogleFonts.notoSansDeseretTextTheme,
        'Noto Sans Devanagari': GoogleFonts.notoSansDevanagariTextTheme,
        'Noto Sans Display': GoogleFonts.notoSansDisplayTextTheme,
        'Noto Sans Duployan': GoogleFonts.notoSansDuployanTextTheme,
        'Noto Sans Egyptian Hieroglyphs':
            GoogleFonts.notoSansEgyptianHieroglyphsTextTheme,
        'Noto Sans Elbasan': GoogleFonts.notoSansElbasanTextTheme,
        'Noto Sans Elymaic': GoogleFonts.notoSansElymaicTextTheme,
        'Noto Sans Georgian': GoogleFonts.notoSansGeorgianTextTheme,
        'Noto Sans Glagolitic': GoogleFonts.notoSansGlagoliticTextTheme,
        'Noto Sans Gothic': GoogleFonts.notoSansGothicTextTheme,
        'Noto Sans Grantha': GoogleFonts.notoSansGranthaTextTheme,
        'Noto Sans Gujarati': GoogleFonts.notoSansGujaratiTextTheme,
        'Noto Sans Gunjala Gondi': GoogleFonts.notoSansGunjalaGondiTextTheme,
        'Noto Sans Gurmukhi': GoogleFonts.notoSansGurmukhiTextTheme,
        'Noto Sans Hanifi Rohingya':
            GoogleFonts.notoSansHanifiRohingyaTextTheme,
        'Noto Sans Hanunoo': GoogleFonts.notoSansHanunooTextTheme,
        'Noto Sans Hatran': GoogleFonts.notoSansHatranTextTheme,
        'Noto Sans Hebrew': GoogleFonts.notoSansHebrewTextTheme,
        'Noto Sans Imperial Aramaic':
            GoogleFonts.notoSansImperialAramaicTextTheme,
        'Noto Sans Indic Siyaq Numbers':
            GoogleFonts.notoSansIndicSiyaqNumbersTextTheme,
        'Noto Sans Inscriptional Pahlavi':
            GoogleFonts.notoSansInscriptionalPahlaviTextTheme,
        'Noto Sans Inscriptional Parthian':
            GoogleFonts.notoSansInscriptionalParthianTextTheme,
        'Noto Sans Javanese': GoogleFonts.notoSansJavaneseTextTheme,
        'Noto Sans Kaithi': GoogleFonts.notoSansKaithiTextTheme,
        'Noto Sans Kannada': GoogleFonts.notoSansKannadaTextTheme,
        'Noto Sans Kayah Li': GoogleFonts.notoSansKayahLiTextTheme,
        'Noto Sans Kharoshthi': GoogleFonts.notoSansKharoshthiTextTheme,
        'Noto Sans Khmer': GoogleFonts.notoSansKhmerTextTheme,
        'Noto Sans Khojki': GoogleFonts.notoSansKhojkiTextTheme,
        'Noto Sans Khudawadi': GoogleFonts.notoSansKhudawadiTextTheme,
        'Noto Sans Lao': GoogleFonts.notoSansLaoTextTheme,
        'Noto Sans Lepcha': GoogleFonts.notoSansLepchaTextTheme,
        'Noto Sans Limbu': GoogleFonts.notoSansLimbuTextTheme,
        'Noto Sans Linear A': GoogleFonts.notoSansLinearATextTheme,
        'Noto Sans Linear B': GoogleFonts.notoSansLinearBTextTheme,
        'Noto Sans Lisu': GoogleFonts.notoSansLisuTextTheme,
        'Noto Sans Lycian': GoogleFonts.notoSansLycianTextTheme,
        'Noto Sans Lydian': GoogleFonts.notoSansLydianTextTheme,
        'Noto Sans Mahajani': GoogleFonts.notoSansMahajaniTextTheme,
        'Noto Sans Malayalam': GoogleFonts.notoSansMalayalamTextTheme,
        'Noto Sans Mandaic': GoogleFonts.notoSansMandaicTextTheme,
        'Noto Sans Manichaean': GoogleFonts.notoSansManichaeanTextTheme,
        'Noto Sans Marchen': GoogleFonts.notoSansMarchenTextTheme,
        'Noto Sans Masaram Gondi': GoogleFonts.notoSansMasaramGondiTextTheme,
        'Noto Sans Math': GoogleFonts.notoSansMathTextTheme,
        'Noto Sans Mayan Numerals': GoogleFonts.notoSansMayanNumeralsTextTheme,
        'Noto Sans Medefaidrin': GoogleFonts.notoSansMedefaidrinTextTheme,
        'Noto Sans Meetei Mayek': GoogleFonts.notoSansMeeteiMayekTextTheme,
        'Noto Sans Meroitic': GoogleFonts.notoSansMeroiticTextTheme,
        'Noto Sans Miao': GoogleFonts.notoSansMiaoTextTheme,
        'Noto Sans Modi': GoogleFonts.notoSansModiTextTheme,
        'Noto Sans Mongolian': GoogleFonts.notoSansMongolianTextTheme,
        'Noto Sans Mono': GoogleFonts.notoSansMonoTextTheme,
        'Noto Sans Mro': GoogleFonts.notoSansMroTextTheme,
        'Noto Sans Multani': GoogleFonts.notoSansMultaniTextTheme,
        'Noto Sans Myanmar': GoogleFonts.notoSansMyanmarTextTheme,
        'Noto Sans N Ko': GoogleFonts.notoSansNKoTextTheme,
        'Noto Sans Nabataean': GoogleFonts.notoSansNabataeanTextTheme,
        'Noto Sans New Tai Lue': GoogleFonts.notoSansNewTaiLueTextTheme,
        'Noto Sans Newa': GoogleFonts.notoSansNewaTextTheme,
        'Noto Sans Nushu': GoogleFonts.notoSansNushuTextTheme,
        'Noto Sans Ogham': GoogleFonts.notoSansOghamTextTheme,
        'Noto Sans Ol Chiki': GoogleFonts.notoSansOlChikiTextTheme,
        'Noto Sans Old Hungarian': GoogleFonts.notoSansOldHungarianTextTheme,
        'Noto Sans Old Italic': GoogleFonts.notoSansOldItalicTextTheme,
        'Noto Sans Old North Arabian':
            GoogleFonts.notoSansOldNorthArabianTextTheme,
        'Noto Sans Old Permic': GoogleFonts.notoSansOldPermicTextTheme,
        'Noto Sans Old Persian': GoogleFonts.notoSansOldPersianTextTheme,
        'Noto Sans Old Sogdian': GoogleFonts.notoSansOldSogdianTextTheme,
        'Noto Sans Old South Arabian':
            GoogleFonts.notoSansOldSouthArabianTextTheme,
        'Noto Sans Old Turkic': GoogleFonts.notoSansOldTurkicTextTheme,
        'Noto Sans Oriya': GoogleFonts.notoSansOriyaTextTheme,
        'Noto Sans Osage': GoogleFonts.notoSansOsageTextTheme,
        'Noto Sans Osmanya': GoogleFonts.notoSansOsmanyaTextTheme,
        'Noto Sans Pahawh Hmong': GoogleFonts.notoSansPahawhHmongTextTheme,
        'Noto Sans Palmyrene': GoogleFonts.notoSansPalmyreneTextTheme,
        'Noto Sans Pau Cin Hau': GoogleFonts.notoSansPauCinHauTextTheme,
        'Noto Sans Phags Pa': GoogleFonts.notoSansPhagsPaTextTheme,
        'Noto Sans Phoenician': GoogleFonts.notoSansPhoenicianTextTheme,
        'Noto Sans Psalter Pahlavi':
            GoogleFonts.notoSansPsalterPahlaviTextTheme,
        'Noto Sans Rejang': GoogleFonts.notoSansRejangTextTheme,
        'Noto Sans Runic': GoogleFonts.notoSansRunicTextTheme,
        'Noto Sans Samaritan': GoogleFonts.notoSansSamaritanTextTheme,
        'Noto Sans Saurashtra': GoogleFonts.notoSansSaurashtraTextTheme,
        'Noto Sans Sharada': GoogleFonts.notoSansSharadaTextTheme,
        'Noto Sans Shavian': GoogleFonts.notoSansShavianTextTheme,
        'Noto Sans Siddham': GoogleFonts.notoSansSiddhamTextTheme,
        'Noto Sans Sinhala': GoogleFonts.notoSansSinhalaTextTheme,
        'Noto Sans Sogdian': GoogleFonts.notoSansSogdianTextTheme,
        'Noto Sans Sora Sompeng': GoogleFonts.notoSansSoraSompengTextTheme,
        'Noto Sans Soyombo': GoogleFonts.notoSansSoyomboTextTheme,
        'Noto Sans Sundanese': GoogleFonts.notoSansSundaneseTextTheme,
        'Noto Sans Syloti Nagri': GoogleFonts.notoSansSylotiNagriTextTheme,
        'Noto Sans Symbols': GoogleFonts.notoSansSymbolsTextTheme,
        'Noto Sans Symbols 2': GoogleFonts.notoSansSymbols2TextTheme,
        'Noto Sans Syriac': GoogleFonts.notoSansSyriacTextTheme,
        'Noto Sans Tagalog': GoogleFonts.notoSansTagalogTextTheme,
        'Noto Sans Tagbanwa': GoogleFonts.notoSansTagbanwaTextTheme,
        'Noto Sans Tai Le': GoogleFonts.notoSansTaiLeTextTheme,
        'Noto Sans Tai Tham': GoogleFonts.notoSansTaiThamTextTheme,
        'Noto Sans Tai Viet': GoogleFonts.notoSansTaiVietTextTheme,
        'Noto Sans Takri': GoogleFonts.notoSansTakriTextTheme,
        'Noto Sans Tamil': GoogleFonts.notoSansTamilTextTheme,
        'Noto Sans Tamil Supplement':
            GoogleFonts.notoSansTamilSupplementTextTheme,
        'Noto Sans Telugu': GoogleFonts.notoSansTeluguTextTheme,
        'Noto Sans Thaana': GoogleFonts.notoSansThaanaTextTheme,
        'Noto Sans Thai': GoogleFonts.notoSansThaiTextTheme,
        'Noto Sans Thai Looped': GoogleFonts.notoSansThaiLoopedTextTheme,
        'Noto Sans Tifinagh': GoogleFonts.notoSansTifinaghTextTheme,
        'Noto Sans Tirhuta': GoogleFonts.notoSansTirhutaTextTheme,
        'Noto Sans Ugaritic': GoogleFonts.notoSansUgariticTextTheme,
        'Noto Sans Vai': GoogleFonts.notoSansVaiTextTheme,
        'Noto Sans Wancho': GoogleFonts.notoSansWanchoTextTheme,
        'Noto Sans Warang Citi': GoogleFonts.notoSansWarangCitiTextTheme,
        'Noto Sans Yi': GoogleFonts.notoSansYiTextTheme,
        'Noto Sans Zanabazar Square':
            GoogleFonts.notoSansZanabazarSquareTextTheme,
        'Noto Serif': GoogleFonts.notoSerifTextTheme,
        'Noto Serif Ahom': GoogleFonts.notoSerifAhomTextTheme,
        'Noto Serif Armenian': GoogleFonts.notoSerifArmenianTextTheme,
        'Noto Serif Balinese': GoogleFonts.notoSerifBalineseTextTheme,
        'Noto Serif Bengali': GoogleFonts.notoSerifBengaliTextTheme,
        'Noto Serif Devanagari': GoogleFonts.notoSerifDevanagariTextTheme,
        'Noto Serif Display': GoogleFonts.notoSerifDisplayTextTheme,
        'Noto Serif Dogra': GoogleFonts.notoSerifDograTextTheme,
        'Noto Serif Ethiopic': GoogleFonts.notoSerifEthiopicTextTheme,
        'Noto Serif Georgian': GoogleFonts.notoSerifGeorgianTextTheme,
        'Noto Serif Grantha': GoogleFonts.notoSerifGranthaTextTheme,
        'Noto Serif Gujarati': GoogleFonts.notoSerifGujaratiTextTheme,
        'Noto Serif Gurmukhi': GoogleFonts.notoSerifGurmukhiTextTheme,
        'Noto Serif Hebrew': GoogleFonts.notoSerifHebrewTextTheme,
        'Noto Serif Kannada': GoogleFonts.notoSerifKannadaTextTheme,
        'Noto Serif Khmer': GoogleFonts.notoSerifKhmerTextTheme,
        'Noto Serif Lao': GoogleFonts.notoSerifLaoTextTheme,
        'Noto Serif Malayalam': GoogleFonts.notoSerifMalayalamTextTheme,
        'Noto Serif Myanmar': GoogleFonts.notoSerifMyanmarTextTheme,
        'Noto Serif Nyiakeng Puachue Hmong':
            GoogleFonts.notoSerifNyiakengPuachueHmongTextTheme,
        'Noto Serif Sinhala': GoogleFonts.notoSerifSinhalaTextTheme,
        'Noto Serif Tamil': GoogleFonts.notoSerifTamilTextTheme,
        'Noto Serif Tangut': GoogleFonts.notoSerifTangutTextTheme,
        'Noto Serif Telugu': GoogleFonts.notoSerifTeluguTextTheme,
        'Noto Serif Thai': GoogleFonts.notoSerifThaiTextTheme,
        'Noto Serif Tibetan': GoogleFonts.notoSerifTibetanTextTheme,
        'Noto Serif Yezidi': GoogleFonts.notoSerifYezidiTextTheme,
        'Noto Traditional Nushu': GoogleFonts.notoTraditionalNushuTextTheme,
        'Nova Cut': GoogleFonts.novaCutTextTheme,
        'Nova Flat': GoogleFonts.novaFlatTextTheme,
        'Nova Mono': GoogleFonts.novaMonoTextTheme,
        'Nova Oval': GoogleFonts.novaOvalTextTheme,
        'Nova Round': GoogleFonts.novaRoundTextTheme,
        'Nova Script': GoogleFonts.novaScriptTextTheme,
        'Nova Slim': GoogleFonts.novaSlimTextTheme,
        'Nova Square': GoogleFonts.novaSquareTextTheme,
        'Numans': GoogleFonts.numansTextTheme,
        'Nunito': GoogleFonts.nunitoTextTheme,
        'Nunito Sans': GoogleFonts.nunitoSansTextTheme,
        'Odibee Sans': GoogleFonts.odibeeSansTextTheme,
        'Odor Mean Chey': GoogleFonts.odorMeanCheyTextTheme,
        'Offside': GoogleFonts.offsideTextTheme,
        'Oi': GoogleFonts.oiTextTheme,
        'Old Standard TT': GoogleFonts.oldStandardTtTextTheme,
        'Oldenburg': GoogleFonts.oldenburgTextTheme,
        'Oleo Script': GoogleFonts.oleoScriptTextTheme,
        'Oleo Script Swash Caps': GoogleFonts.oleoScriptSwashCapsTextTheme,
        'Open Sans': GoogleFonts.openSansTextTheme,
        'Open Sans Condensed': GoogleFonts.openSansCondensedTextTheme,
        'Oranienbaum': GoogleFonts.oranienbaumTextTheme,
        'Orbitron': GoogleFonts.orbitronTextTheme,
        'Oregano': GoogleFonts.oreganoTextTheme,
        'Orienta': GoogleFonts.orientaTextTheme,
        'Original Surfer': GoogleFonts.originalSurferTextTheme,
        'Oswald': GoogleFonts.oswaldTextTheme,
        'Otomanopee One': GoogleFonts.otomanopeeOneTextTheme,
        'Outfit': GoogleFonts.outfitTextTheme,
        'Over the Rainbow': GoogleFonts.overTheRainbowTextTheme,
        'Overlock': GoogleFonts.overlockTextTheme,
        'Overlock SC': GoogleFonts.overlockScTextTheme,
        'Overpass': GoogleFonts.overpassTextTheme,
        'Overpass Mono': GoogleFonts.overpassMonoTextTheme,
        'Ovo': GoogleFonts.ovoTextTheme,
        'Oxanium': GoogleFonts.oxaniumTextTheme,
        'Oxygen': GoogleFonts.oxygenTextTheme,
        'Oxygen Mono': GoogleFonts.oxygenMonoTextTheme,
        'PT Mono': GoogleFonts.ptMonoTextTheme,
        'PT Sans': GoogleFonts.ptSansTextTheme,
        'PT Sans Caption': GoogleFonts.ptSansCaptionTextTheme,
        'PT Sans Narrow': GoogleFonts.ptSansNarrowTextTheme,
        'PT Serif': GoogleFonts.ptSerifTextTheme,
        'PT Serif Caption': GoogleFonts.ptSerifCaptionTextTheme,
        'Pacifico': GoogleFonts.pacificoTextTheme,
        'Padauk': GoogleFonts.padaukTextTheme,
        'Palanquin': GoogleFonts.palanquinTextTheme,
        'Palanquin Dark': GoogleFonts.palanquinDarkTextTheme,
        'Palette Mosaic': GoogleFonts.paletteMosaicTextTheme,
        'Pangolin': GoogleFonts.pangolinTextTheme,
        'Paprika': GoogleFonts.paprikaTextTheme,
        'Parisienne': GoogleFonts.parisienneTextTheme,
        'Passero One': GoogleFonts.passeroOneTextTheme,
        'Passion One': GoogleFonts.passionOneTextTheme,
        'Passions Conflict': GoogleFonts.passionsConflictTextTheme,
        'Pathway Gothic One': GoogleFonts.pathwayGothicOneTextTheme,
        'Patrick Hand': GoogleFonts.patrickHandTextTheme,
        'Patrick Hand SC': GoogleFonts.patrickHandScTextTheme,
        'Pattaya': GoogleFonts.pattayaTextTheme,
        'Patua One': GoogleFonts.patuaOneTextTheme,
        'Pavanam': GoogleFonts.pavanamTextTheme,
        'Paytone One': GoogleFonts.paytoneOneTextTheme,
        'Peddana': GoogleFonts.peddanaTextTheme,
        'Peralta': GoogleFonts.peraltaTextTheme,
        'Permanent Marker': GoogleFonts.permanentMarkerTextTheme,
        'Petemoss': GoogleFonts.petemossTextTheme,
        'Petit Formal Script': GoogleFonts.petitFormalScriptTextTheme,
        'Petrona': GoogleFonts.petronaTextTheme,
        'Philosopher': GoogleFonts.philosopherTextTheme,
        'Piazzolla': GoogleFonts.piazzollaTextTheme,
        'Piedra': GoogleFonts.piedraTextTheme,
        'Pinyon Script': GoogleFonts.pinyonScriptTextTheme,
        'Pirata One': GoogleFonts.pirataOneTextTheme,
        'Plaster': GoogleFonts.plasterTextTheme,
        'Play': GoogleFonts.playTextTheme,
        'Playball': GoogleFonts.playballTextTheme,
        'Playfair Display': GoogleFonts.playfairDisplayTextTheme,
        'Playfair Display SC': GoogleFonts.playfairDisplayScTextTheme,
        'Podkova': GoogleFonts.podkovaTextTheme,
        'Poiret One': GoogleFonts.poiretOneTextTheme,
        'Poller One': GoogleFonts.pollerOneTextTheme,
        'Poly': GoogleFonts.polyTextTheme,
        'Pompiere': GoogleFonts.pompiereTextTheme,
        'Pontano Sans': GoogleFonts.pontanoSansTextTheme,
        'Poor Story': GoogleFonts.poorStoryTextTheme,
        'Poppins': GoogleFonts.poppinsTextTheme,
        'Port Lligat Sans': GoogleFonts.portLligatSansTextTheme,
        'Port Lligat Slab': GoogleFonts.portLligatSlabTextTheme,
        'Potta One': GoogleFonts.pottaOneTextTheme,
        'Pragati Narrow': GoogleFonts.pragatiNarrowTextTheme,
        'Praise': GoogleFonts.praiseTextTheme,
        'Prata': GoogleFonts.prataTextTheme,
        'Press Start 2P': GoogleFonts.pressStart2pTextTheme,
        'Pridi': GoogleFonts.pridiTextTheme,
        'Princess Sofia': GoogleFonts.princessSofiaTextTheme,
        'Prociono': GoogleFonts.procionoTextTheme,
        'Prompt': GoogleFonts.promptTextTheme,
        'Prosto One': GoogleFonts.prostoOneTextTheme,
        'Proza Libre': GoogleFonts.prozaLibreTextTheme,
        'Public Sans': GoogleFonts.publicSansTextTheme,
        'Puppies Play': GoogleFonts.puppiesPlayTextTheme,
        'Puritan': GoogleFonts.puritanTextTheme,
        'Purple Purse': GoogleFonts.purplePurseTextTheme,
        'Pushster': GoogleFonts.pushsterTextTheme,
        'Qahiri': GoogleFonts.qahiriTextTheme,
        'Quando': GoogleFonts.quandoTextTheme,
        'Quantico': GoogleFonts.quanticoTextTheme,
        'Quattrocento': GoogleFonts.quattrocentoTextTheme,
        'Quattrocento Sans': GoogleFonts.quattrocentoSansTextTheme,
        'Questrial': GoogleFonts.questrialTextTheme,
        'Quicksand': GoogleFonts.quicksandTextTheme,
        'Quintessential': GoogleFonts.quintessentialTextTheme,
        'Qwigley': GoogleFonts.qwigleyTextTheme,
        'Racing Sans One': GoogleFonts.racingSansOneTextTheme,
        'Radley': GoogleFonts.radleyTextTheme,
        'Rajdhani': GoogleFonts.rajdhaniTextTheme,
        'Rakkas': GoogleFonts.rakkasTextTheme,
        'Raleway': GoogleFonts.ralewayTextTheme,
        'Raleway Dots': GoogleFonts.ralewayDotsTextTheme,
        'Ramabhadra': GoogleFonts.ramabhadraTextTheme,
        'Ramaraja': GoogleFonts.ramarajaTextTheme,
        'Rambla': GoogleFonts.ramblaTextTheme,
        'Rammetto One': GoogleFonts.rammettoOneTextTheme,
        'Rampart One': GoogleFonts.rampartOneTextTheme,
        'Ranchers': GoogleFonts.ranchersTextTheme,
        'Rancho': GoogleFonts.ranchoTextTheme,
        'Ranga': GoogleFonts.rangaTextTheme,
        'Rasa': GoogleFonts.rasaTextTheme,
        'Rationale': GoogleFonts.rationaleTextTheme,
        'Ravi Prakash': GoogleFonts.raviPrakashTextTheme,
        'Readex Pro': GoogleFonts.readexProTextTheme,
        'Recursive': GoogleFonts.recursiveTextTheme,
        'Red Hat Display': GoogleFonts.redHatDisplayTextTheme,
        'Red Hat Mono': GoogleFonts.redHatMonoTextTheme,
        'Red Hat Text': GoogleFonts.redHatTextTextTheme,
        'Red Rose': GoogleFonts.redRoseTextTheme,
        'Redacted': GoogleFonts.redactedTextTheme,
        'Redacted Script': GoogleFonts.redactedScriptTextTheme,
        'Redressed': GoogleFonts.redressedTextTheme,
        'Reem Kufi': GoogleFonts.reemKufiTextTheme,
        'Reenie Beanie': GoogleFonts.reenieBeanieTextTheme,
        'Reggae One': GoogleFonts.reggaeOneTextTheme,
        'Revalia': GoogleFonts.revaliaTextTheme,
        'Rhodium Libre': GoogleFonts.rhodiumLibreTextTheme,
        'Ribeye': GoogleFonts.ribeyeTextTheme,
        'Ribeye Marrow': GoogleFonts.ribeyeMarrowTextTheme,
        'Righteous': GoogleFonts.righteousTextTheme,
        'Risque': GoogleFonts.risqueTextTheme,
        'Road Rage': GoogleFonts.roadRageTextTheme,
        'Roboto': GoogleFonts.robotoTextTheme,
        'Roboto Condensed': GoogleFonts.robotoCondensedTextTheme,
        'Roboto Mono': GoogleFonts.robotoMonoTextTheme,
        'Roboto Slab': GoogleFonts.robotoSlabTextTheme,
        'Rochester': GoogleFonts.rochesterTextTheme,
        'Rock 3D': GoogleFonts.rock3dTextTheme,
        'Rock Salt': GoogleFonts.rockSaltTextTheme,
        'RocknRoll One': GoogleFonts.rocknRollOneTextTheme,
        'Rokkitt': GoogleFonts.rokkittTextTheme,
        'Romanesco': GoogleFonts.romanescoTextTheme,
        'Ropa Sans': GoogleFonts.ropaSansTextTheme,
        'Rosario': GoogleFonts.rosarioTextTheme,
        'Rosarivo': GoogleFonts.rosarivoTextTheme,
        'Rouge Script': GoogleFonts.rougeScriptTextTheme,
        'Rowdies': GoogleFonts.rowdiesTextTheme,
        'Rozha One': GoogleFonts.rozhaOneTextTheme,
        'Rubik': GoogleFonts.rubikTextTheme,
        'Rubik Beastly': GoogleFonts.rubikBeastlyTextTheme,
        'Rubik Mono One': GoogleFonts.rubikMonoOneTextTheme,
        'Ruda': GoogleFonts.rudaTextTheme,
        'Rufina': GoogleFonts.rufinaTextTheme,
        'Ruge Boogie': GoogleFonts.rugeBoogieTextTheme,
        'Ruluko': GoogleFonts.rulukoTextTheme,
        'Rum Raisin': GoogleFonts.rumRaisinTextTheme,
        'Ruslan Display': GoogleFonts.ruslanDisplayTextTheme,
        'Russo One': GoogleFonts.russoOneTextTheme,
        'Ruthie': GoogleFonts.ruthieTextTheme,
        'Rye': GoogleFonts.ryeTextTheme,
        'STIX Two Text': GoogleFonts.stixTwoTextTextTheme,
        'Sacramento': GoogleFonts.sacramentoTextTheme,
        'Sahitya': GoogleFonts.sahityaTextTheme,
        'Sail': GoogleFonts.sailTextTheme,
        'Saira': GoogleFonts.sairaTextTheme,
        'Saira Condensed': GoogleFonts.sairaCondensedTextTheme,
        'Saira Extra Condensed': GoogleFonts.sairaExtraCondensedTextTheme,
        'Saira Semi Condensed': GoogleFonts.sairaSemiCondensedTextTheme,
        'Saira Stencil One': GoogleFonts.sairaStencilOneTextTheme,
        'Salsa': GoogleFonts.salsaTextTheme,
        'Sanchez': GoogleFonts.sanchezTextTheme,
        'Sancreek': GoogleFonts.sancreekTextTheme,
        'Sansita': GoogleFonts.sansitaTextTheme,
        'Sansita Swashed': GoogleFonts.sansitaSwashedTextTheme,
        'Sarabun': GoogleFonts.sarabunTextTheme,
        'Sarala': GoogleFonts.saralaTextTheme,
        'Sarina': GoogleFonts.sarinaTextTheme,
        'Sarpanch': GoogleFonts.sarpanchTextTheme,
        'Sassy Frass': GoogleFonts.sassyFrassTextTheme,
        'Satisfy': GoogleFonts.satisfyTextTheme,
        'Sawarabi Gothic': GoogleFonts.sawarabiGothicTextTheme,
        'Sawarabi Mincho': GoogleFonts.sawarabiMinchoTextTheme,
        'Scada': GoogleFonts.scadaTextTheme,
        'Scheherazade': GoogleFonts.scheherazadeTextTheme,
        'Scheherazade New': GoogleFonts.scheherazadeNewTextTheme,
        'Schoolbell': GoogleFonts.schoolbellTextTheme,
        'Scope One': GoogleFonts.scopeOneTextTheme,
        'Seaweed Script': GoogleFonts.seaweedScriptTextTheme,
        'Secular One': GoogleFonts.secularOneTextTheme,
        'Sedgwick Ave': GoogleFonts.sedgwickAveTextTheme,
        'Sedgwick Ave Display': GoogleFonts.sedgwickAveDisplayTextTheme,
        'Sen': GoogleFonts.senTextTheme,
        'Sevillana': GoogleFonts.sevillanaTextTheme,
        'Seymour One': GoogleFonts.seymourOneTextTheme,
        'Shadows Into Light': GoogleFonts.shadowsIntoLightTextTheme,
        'Shadows Into Light Two': GoogleFonts.shadowsIntoLightTwoTextTheme,
        'Shalimar': GoogleFonts.shalimarTextTheme,
        'Shanti': GoogleFonts.shantiTextTheme,
        'Share': GoogleFonts.shareTextTheme,
        'Share Tech': GoogleFonts.shareTechTextTheme,
        'Share Tech Mono': GoogleFonts.shareTechMonoTextTheme,
        'Shippori Antique': GoogleFonts.shipporiAntiqueTextTheme,
        'Shippori Antique B1': GoogleFonts.shipporiAntiqueB1TextTheme,
        'Shippori Mincho': GoogleFonts.shipporiMinchoTextTheme,
        'Shippori Mincho B1': GoogleFonts.shipporiMinchoB1TextTheme,
        'Shizuru': GoogleFonts.shizuruTextTheme,
        'Shojumaru': GoogleFonts.shojumaruTextTheme,
        'Short Stack': GoogleFonts.shortStackTextTheme,
        'Shrikhand': GoogleFonts.shrikhandTextTheme,
        'Sigmar One': GoogleFonts.sigmarOneTextTheme,
        'Signika': GoogleFonts.signikaTextTheme,
        'Signika Negative': GoogleFonts.signikaNegativeTextTheme,
        'Simonetta': GoogleFonts.simonettaTextTheme,
        'Single Day': GoogleFonts.singleDayTextTheme,
        'Sintony': GoogleFonts.sintonyTextTheme,
        'Sirin Stencil': GoogleFonts.sirinStencilTextTheme,
        'Six Caps': GoogleFonts.sixCapsTextTheme,
        'Skranji': GoogleFonts.skranjiTextTheme,
        'Slabo 13px': GoogleFonts.slabo13pxTextTheme,
        'Slabo 27px': GoogleFonts.slabo27pxTextTheme,
        'Slackey': GoogleFonts.slackeyTextTheme,
        'Smokum': GoogleFonts.smokumTextTheme,
        'Smooch': GoogleFonts.smoochTextTheme,
        'Smythe': GoogleFonts.smytheTextTheme,
        'Sniglet': GoogleFonts.snigletTextTheme,
        'Snippet': GoogleFonts.snippetTextTheme,
        'Snowburst One': GoogleFonts.snowburstOneTextTheme,
        'Sofadi One': GoogleFonts.sofadiOneTextTheme,
        'Sofia': GoogleFonts.sofiaTextTheme,
        'Solway': GoogleFonts.solwayTextTheme,
        'Song Myung': GoogleFonts.songMyungTextTheme,
        'Sonsie One': GoogleFonts.sonsieOneTextTheme,
        'Sora': GoogleFonts.soraTextTheme,
        'Sorts Mill Goudy': GoogleFonts.sortsMillGoudyTextTheme,
        'Source Code Pro': GoogleFonts.sourceCodeProTextTheme,
        'Source Sans 3': GoogleFonts.sourceSans3TextTheme,
        'Source Sans Pro': GoogleFonts.sourceSansProTextTheme,
        'Source Serif Pro': GoogleFonts.sourceSerifProTextTheme,
        'Space Grotesk': GoogleFonts.spaceGroteskTextTheme,
        'Space Mono': GoogleFonts.spaceMonoTextTheme,
        'Spartan': GoogleFonts.spartanTextTheme,
        'Special Elite': GoogleFonts.specialEliteTextTheme,
        'Spectral': GoogleFonts.spectralTextTheme,
        'Spectral SC': GoogleFonts.spectralScTextTheme,
        'Spicy Rice': GoogleFonts.spicyRiceTextTheme,
        'Spinnaker': GoogleFonts.spinnakerTextTheme,
        'Spirax': GoogleFonts.spiraxTextTheme,
        'Squada One': GoogleFonts.squadaOneTextTheme,
        'Sree Krushnadevaraya': GoogleFonts.sreeKrushnadevarayaTextTheme,
        'Sriracha': GoogleFonts.srirachaTextTheme,
        'Srisakdi': GoogleFonts.srisakdiTextTheme,
        'Staatliches': GoogleFonts.staatlichesTextTheme,
        'Stalemate': GoogleFonts.stalemateTextTheme,
        'Stalinist One': GoogleFonts.stalinistOneTextTheme,
        'Stardos Stencil': GoogleFonts.stardosStencilTextTheme,
        'Stick': GoogleFonts.stickTextTheme,
        'Stick No Bills': GoogleFonts.stickNoBillsTextTheme,
        'Stint Ultra Condensed': GoogleFonts.stintUltraCondensedTextTheme,
        'Stint Ultra Expanded': GoogleFonts.stintUltraExpandedTextTheme,
        'Stoke': GoogleFonts.stokeTextTheme,
        'Strait': GoogleFonts.straitTextTheme,
        'Style Script': GoogleFonts.styleScriptTextTheme,
        'Stylish': GoogleFonts.stylishTextTheme,
        'Sue Ellen Francisco': GoogleFonts.sueEllenFranciscoTextTheme,
        'Suez One': GoogleFonts.suezOneTextTheme,
        'Sulphur Point': GoogleFonts.sulphurPointTextTheme,
        'Sumana': GoogleFonts.sumanaTextTheme,
        'Sunflower': GoogleFonts.sunflowerTextTheme,
        'Sunshiney': GoogleFonts.sunshineyTextTheme,
        'Supermercado One': GoogleFonts.supermercadoOneTextTheme,
        'Sura': GoogleFonts.suraTextTheme,
        'Suranna': GoogleFonts.surannaTextTheme,
        'Suravaram': GoogleFonts.suravaramTextTheme,
        'Swanky and Moo Moo': GoogleFonts.swankyAndMooMooTextTheme,
        'Syncopate': GoogleFonts.syncopateTextTheme,
        'Syne': GoogleFonts.syneTextTheme,
        'Syne Mono': GoogleFonts.syneMonoTextTheme,
        'Syne Tactile': GoogleFonts.syneTactileTextTheme,
        'Tajawal': GoogleFonts.tajawalTextTheme,
        'Tangerine': GoogleFonts.tangerineTextTheme,
        'Tauri': GoogleFonts.tauriTextTheme,
        'Taviraj': GoogleFonts.tavirajTextTheme,
        'Teko': GoogleFonts.tekoTextTheme,
        'Telex': GoogleFonts.telexTextTheme,
        'Tenali Ramakrishna': GoogleFonts.tenaliRamakrishnaTextTheme,
        'Tenor Sans': GoogleFonts.tenorSansTextTheme,
        'Text Me One': GoogleFonts.textMeOneTextTheme,
        'Thasadith': GoogleFonts.thasadithTextTheme,
        'The Girl Next Door': GoogleFonts.theGirlNextDoorTextTheme,
        'Tienne': GoogleFonts.tienneTextTheme,
        'Tillana': GoogleFonts.tillanaTextTheme,
        'Timmana': GoogleFonts.timmanaTextTheme,
        'Tinos': GoogleFonts.tinosTextTheme,
        'Titan One': GoogleFonts.titanOneTextTheme,
        'Titillium Web': GoogleFonts.titilliumWebTextTheme,
        'Tomorrow': GoogleFonts.tomorrowTextTheme,
        'Tourney': GoogleFonts.tourneyTextTheme,
        'Trade Winds': GoogleFonts.tradeWindsTextTheme,
        'Train One': GoogleFonts.trainOneTextTheme,
        'Trirong': GoogleFonts.trirongTextTheme,
        'Trispace': GoogleFonts.trispaceTextTheme,
        'Trocchi': GoogleFonts.trocchiTextTheme,
        'Trochut': GoogleFonts.trochutTextTheme,
        'Trykker': GoogleFonts.trykkerTextTheme,
        'Tulpen One': GoogleFonts.tulpenOneTextTheme,
        'Turret Road': GoogleFonts.turretRoadTextTheme,
        'Ubuntu': GoogleFonts.ubuntuTextTheme,
        'Ubuntu Condensed': GoogleFonts.ubuntuCondensedTextTheme,
        'Ubuntu Mono': GoogleFonts.ubuntuMonoTextTheme,
        'Uchen': GoogleFonts.uchenTextTheme,
        'Ultra': GoogleFonts.ultraTextTheme,
        'Uncial Antiqua': GoogleFonts.uncialAntiquaTextTheme,
        'Underdog': GoogleFonts.underdogTextTheme,
        'Unica One': GoogleFonts.unicaOneTextTheme,
        'UnifrakturCook': GoogleFonts.unifrakturCookTextTheme,
        'UnifrakturMaguntia': GoogleFonts.unifrakturMaguntiaTextTheme,
        'Unkempt': GoogleFonts.unkemptTextTheme,
        'Unlock': GoogleFonts.unlockTextTheme,
        'Unna': GoogleFonts.unnaTextTheme,
        'Urbanist': GoogleFonts.urbanistTextTheme,
        'VT323': GoogleFonts.vt323TextTheme,
        'Vampiro One': GoogleFonts.vampiroOneTextTheme,
        'Varela': GoogleFonts.varelaTextTheme,
        'Varela Round': GoogleFonts.varelaRoundTextTheme,
        'Varta': GoogleFonts.vartaTextTheme,
        'Vast Shadow': GoogleFonts.vastShadowTextTheme,
        'Vesper Libre': GoogleFonts.vesperLibreTextTheme,
        'Viaoda Libre': GoogleFonts.viaodaLibreTextTheme,
        'Vibes': GoogleFonts.vibesTextTheme,
        'Vibur': GoogleFonts.viburTextTheme,
        'Vidaloka': GoogleFonts.vidalokaTextTheme,
        'Viga': GoogleFonts.vigaTextTheme,
        'Voces': GoogleFonts.vocesTextTheme,
        'Volkhov': GoogleFonts.volkhovTextTheme,
        'Vollkorn': GoogleFonts.vollkornTextTheme,
        'Vollkorn SC': GoogleFonts.vollkornScTextTheme,
        'Voltaire': GoogleFonts.voltaireTextTheme,
        'Waiting for the Sunrise': GoogleFonts.waitingForTheSunriseTextTheme,
        'Wallpoet': GoogleFonts.wallpoetTextTheme,
        'Walter Turncoat': GoogleFonts.walterTurncoatTextTheme,
        'Warnes': GoogleFonts.warnesTextTheme,
        'Wellfleet': GoogleFonts.wellfleetTextTheme,
        'Wendy One': GoogleFonts.wendyOneTextTheme,
        'WindSong': GoogleFonts.windSongTextTheme,
        'Wire One': GoogleFonts.wireOneTextTheme,
        'Work Sans': GoogleFonts.workSansTextTheme,
        'Xanh Mono': GoogleFonts.xanhMonoTextTheme,
        'Yaldevi': GoogleFonts.yaldeviTextTheme,
        'Yanone Kaffeesatz': GoogleFonts.yanoneKaffeesatzTextTheme,
        'Yantramanav': GoogleFonts.yantramanavTextTheme,
        'Yatra One': GoogleFonts.yatraOneTextTheme,
        'Yellowtail': GoogleFonts.yellowtailTextTheme,
        'Yeon Sung': GoogleFonts.yeonSungTextTheme,
        'Yeseva One': GoogleFonts.yesevaOneTextTheme,
        'Yesteryear': GoogleFonts.yesteryearTextTheme,
        'Yomogi': GoogleFonts.yomogiTextTheme,
        'Yrsa': GoogleFonts.yrsaTextTheme,
        'Yuji Boku': GoogleFonts.yujiBokuTextTheme,
        'Yuji Hentaigana Akari': GoogleFonts.yujiHentaiganaAkariTextTheme,
        'Yuji Hentaigana Akebono': GoogleFonts.yujiHentaiganaAkebonoTextTheme,
        'Yuji Mai': GoogleFonts.yujiMaiTextTheme,
        'Yuji Syuku': GoogleFonts.yujiSyukuTextTheme,
        'Yusei Magic': GoogleFonts.yuseiMagicTextTheme,
        'ZCOOL KuaiLe': GoogleFonts.zcoolKuaiLeTextTheme,
        'ZCOOL QingKe HuangYou': GoogleFonts.zcoolQingKeHuangYouTextTheme,
        'ZCOOL XiaoWei': GoogleFonts.zcoolXiaoWeiTextTheme,
        'Zen Antique': GoogleFonts.zenAntiqueTextTheme,
        'Zen Antique Soft': GoogleFonts.zenAntiqueSoftTextTheme,
        'Zen Kaku Gothic Antique': GoogleFonts.zenKakuGothicAntiqueTextTheme,
        'Zen Kaku Gothic New': GoogleFonts.zenKakuGothicNewTextTheme,
        'Zen Kurenaido': GoogleFonts.zenKurenaidoTextTheme,
        'Zen Loop': GoogleFonts.zenLoopTextTheme,
        'Zen Maru Gothic': GoogleFonts.zenMaruGothicTextTheme,
        'Zen Old Mincho': GoogleFonts.zenOldMinchoTextTheme,
        'Zen Tokyo Zoo': GoogleFonts.zenTokyoZooTextTheme,
        'Zeyada': GoogleFonts.zeyadaTextTheme,
        'Zhi Mang Xing': GoogleFonts.zhiMangXingTextTheme,
        'Zilla Slab': GoogleFonts.zillaSlabTextTheme,
        'Zilla Slab Highlight': GoogleFonts.zillaSlabHighlightTextTheme,
      };

  /// Retrieve a font by family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textStyle]
  /// and returns the resulting [TextStyle].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextStyle getFont(
    String fontFamily, {
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = GoogleFonts.asMap();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(
      textStyle: textStyle,
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
    );
  }

  /// Retrieve a text theme by its font family name.
  ///
  /// Applies the given font family from Google Fonts to the given [textTheme]
  /// and returns the resulting [textTheme].
  ///
  /// Note: [fontFamily] is case-sensitive.
  ///
  /// Parameter [fontFamily] must not be `null`. Throws if no font by name
  /// [fontFamily] exists.
  static TextTheme getTextTheme(String fontFamily, [TextTheme? textTheme]) {
    final fonts = _asMapOfTextThemes();
    if (!fonts.containsKey(fontFamily)) {
      throw Exception("No font family by name '$fontFamily' was found.");
    }
    return fonts[fontFamily]!(textTheme);
  }

  /// Applies the ABeeZee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextStyle aBeeZee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ff99dd1bd594806e1b9f7423a75f1c1dfbbbcddb2698b3ab91f5709b1b90caf',
        29632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8654a417521bf7fa4ffd1a7f7b62648648c5415ff0f7e0d53474e4436d049b7a',
        30984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ABeeZee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ABeeZee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ABeeZee
  static TextTheme aBeeZeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aBeeZee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aBeeZee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aBeeZee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aBeeZee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aBeeZee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aBeeZee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aBeeZee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aBeeZee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aBeeZee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aBeeZee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aBeeZee(textStyle: textTheme.caption),
      button: GoogleFonts.aBeeZee(textStyle: textTheme.button),
      overline: GoogleFonts.aBeeZee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Abel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextStyle abel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a44f872ce09b8a93244abfaf3741aa8e4da7cbf64de118635a7cf1c7bc1d5e',
        34924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Abel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abel
  static TextTheme abelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.abel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.abel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.abel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.abel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.abel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.abel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.abel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.abel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.abel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.abel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.abel(textStyle: textTheme.caption),
      button: GoogleFonts.abel(textStyle: textTheme.button),
      overline: GoogleFonts.abel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextStyle abhayaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8e1a260e8a56f8cdb2e2401be9e3a6903026becbf134336b9c8f6b2e2490cd5',
        282252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff52a780878fd838b81f8c96e548f49d7bbd4f92cb0a3dc68eb3f852ca3f3fd4',
        282512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3be63e1c52229673f453da3c6abd79dc0011d02fd57da38489880434556aa77',
        281648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c7bdb109ab0e98ef91a41ec55825dcb97c2ea2e9274c67dde899104f5b59878',
        281252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9457be94f81fc73b59af3e850d0dcb91790d60078cbdc252da50881c615173aa',
        280484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbhayaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abhaya Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abhaya+Libre
  static TextTheme abhayaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.abhayaLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.abhayaLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.abhayaLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.abhayaLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.abhayaLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.abhayaLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.abhayaLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.abhayaLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.abhayaLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.abhayaLibre(textStyle: textTheme.caption),
      button: GoogleFonts.abhayaLibre(textStyle: textTheme.button),
      overline: GoogleFonts.abhayaLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextStyle abrilFatface({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2baf7b134013a2183457312f0d26115640d0171829d024dfb1466616a3ac789a',
        67316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AbrilFatface',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Abril Fatface font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Abril+Fatface
  static TextTheme abrilFatfaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.abrilFatface(textStyle: textTheme.headline1),
      headline2: GoogleFonts.abrilFatface(textStyle: textTheme.headline2),
      headline3: GoogleFonts.abrilFatface(textStyle: textTheme.headline3),
      headline4: GoogleFonts.abrilFatface(textStyle: textTheme.headline4),
      headline5: GoogleFonts.abrilFatface(textStyle: textTheme.headline5),
      headline6: GoogleFonts.abrilFatface(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.abrilFatface(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.abrilFatface(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.abrilFatface(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.abrilFatface(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.abrilFatface(textStyle: textTheme.caption),
      button: GoogleFonts.abrilFatface(textStyle: textTheme.button),
      overline: GoogleFonts.abrilFatface(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aclonica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextStyle aclonica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e26afc4582406a86fc1e1b81aad6e16a03f9276419fa76e91b98f9e42d868cc8',
        68136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aclonica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aclonica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aclonica
  static TextTheme aclonicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aclonica(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aclonica(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aclonica(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aclonica(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aclonica(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aclonica(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aclonica(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aclonica(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aclonica(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aclonica(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aclonica(textStyle: textTheme.caption),
      button: GoogleFonts.aclonica(textStyle: textTheme.button),
      overline: GoogleFonts.aclonica(textStyle: textTheme.overline),
    );
  }

  /// Applies the Acme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextStyle acme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7d0b4054bd37012deca722e47899589c1d35302b51b2fd21ea83e7f3410bccd',
        23028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Acme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Acme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Acme
  static TextTheme acmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.acme(textStyle: textTheme.headline1),
      headline2: GoogleFonts.acme(textStyle: textTheme.headline2),
      headline3: GoogleFonts.acme(textStyle: textTheme.headline3),
      headline4: GoogleFonts.acme(textStyle: textTheme.headline4),
      headline5: GoogleFonts.acme(textStyle: textTheme.headline5),
      headline6: GoogleFonts.acme(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.acme(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.acme(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.acme(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.acme(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.acme(textStyle: textTheme.caption),
      button: GoogleFonts.acme(textStyle: textTheme.button),
      overline: GoogleFonts.acme(textStyle: textTheme.overline),
    );
  }

  /// Applies the Actor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextStyle actor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '417b785d001974cb097e1f84b068ed6f47fa9c5317bf90801a55709954b59350',
        42356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Actor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Actor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Actor
  static TextTheme actorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.actor(textStyle: textTheme.headline1),
      headline2: GoogleFonts.actor(textStyle: textTheme.headline2),
      headline3: GoogleFonts.actor(textStyle: textTheme.headline3),
      headline4: GoogleFonts.actor(textStyle: textTheme.headline4),
      headline5: GoogleFonts.actor(textStyle: textTheme.headline5),
      headline6: GoogleFonts.actor(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.actor(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.actor(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.actor(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.actor(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.actor(textStyle: textTheme.caption),
      button: GoogleFonts.actor(textStyle: textTheme.button),
      overline: GoogleFonts.actor(textStyle: textTheme.overline),
    );
  }

  /// Applies the Adamina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextStyle adamina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c241502ff8869d44e310b4e1782d5ca6f53b2d1844593bb0a360e12af0ddfcb1',
        76672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Adamina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Adamina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Adamina
  static TextTheme adaminaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.adamina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.adamina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.adamina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.adamina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.adamina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.adamina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.adamina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.adamina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.adamina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.adamina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.adamina(textStyle: textTheme.caption),
      button: GoogleFonts.adamina(textStyle: textTheme.button),
      overline: GoogleFonts.adamina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextStyle adventPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4041ce69b488624d0653057137ff69ead9c9496be2059ede6a5056fd48780850',
        46400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20f54f798dd883fc2fab8294006f8201f1deed59b0abd0ad6c6864bb0062eb47',
        46424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23462d311ba53dbeac614ad5c99742d75264652538c2aaaea50fa3f9a37c1111',
        46356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7084224aa15f7d31683e67bc3107aa12f725f4d20a10e9b65bbcec912162191',
        46836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21feddd6602a8e2daf17501cb32c4b27a26b6a357f3652ad357008c8a90f1646',
        51004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '908b9b388605933b6e469878f17c52da7e2cd9cd6c4ec72a3e12aa5a9c3b9b79',
        50772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962b3ce8591b2ca225b23e65b3914233c576d21700e3f24c6b820230fe8424e0',
        55976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AdventPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Advent Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Advent+Pro
  static TextTheme adventProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.adventPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.adventPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.adventPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.adventPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.adventPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.adventPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.adventPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.adventPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.adventPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.adventPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.adventPro(textStyle: textTheme.caption),
      button: GoogleFonts.adventPro(textStyle: textTheme.button),
      overline: GoogleFonts.adventPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextStyle aguafinaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '282b677fa945b70a3a5a57b8ffb8064638a07feb77edc68cf29591225bc7b5ce',
        47180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AguafinaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aguafina Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aguafina+Script
  static TextTheme aguafinaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aguafinaScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aguafinaScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aguafinaScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aguafinaScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aguafinaScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aguafinaScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aguafinaScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aguafinaScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aguafinaScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aguafinaScript(textStyle: textTheme.caption),
      button: GoogleFonts.aguafinaScript(textStyle: textTheme.button),
      overline: GoogleFonts.aguafinaScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextStyle akayaTelivigala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fdfb2a47ec1652741ecd9f23c21e7407998e21b7ac68f5743ef8282f27241dc',
        319968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AkayaTelivigala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akaya Telivigala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akaya+Telivigala
  static TextTheme akayaTelivigalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline1),
      headline2: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline2),
      headline3: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline3),
      headline4: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline4),
      headline5: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline5),
      headline6: GoogleFonts.akayaTelivigala(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.akayaTelivigala(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.akayaTelivigala(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.akayaTelivigala(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.akayaTelivigala(textStyle: textTheme.caption),
      button: GoogleFonts.akayaTelivigala(textStyle: textTheme.button),
      overline: GoogleFonts.akayaTelivigala(textStyle: textTheme.overline),
    );
  }

  /// Applies the Akronim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextStyle akronim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb077a1601fc7353abf83d6f7e667b5c1ff47a853f2a90f466be1dd738f4e6a1',
        107340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Akronim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Akronim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Akronim
  static TextTheme akronimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.akronim(textStyle: textTheme.headline1),
      headline2: GoogleFonts.akronim(textStyle: textTheme.headline2),
      headline3: GoogleFonts.akronim(textStyle: textTheme.headline3),
      headline4: GoogleFonts.akronim(textStyle: textTheme.headline4),
      headline5: GoogleFonts.akronim(textStyle: textTheme.headline5),
      headline6: GoogleFonts.akronim(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.akronim(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.akronim(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.akronim(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.akronim(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.akronim(textStyle: textTheme.caption),
      button: GoogleFonts.akronim(textStyle: textTheme.button),
      overline: GoogleFonts.akronim(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aladin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextStyle aladin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47e6aa68e0a6686d85005a8cd4e3c3055dc4828dc3b49d69fdf88f38491c8ae2',
        42112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aladin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aladin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aladin
  static TextTheme aladinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aladin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aladin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aladin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aladin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aladin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aladin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aladin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aladin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aladin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aladin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aladin(textStyle: textTheme.caption),
      button: GoogleFonts.aladin(textStyle: textTheme.button),
      overline: GoogleFonts.aladin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextStyle alata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e69926cd849e08f0dfa58fa809a89d58262ec6a29e3dd4e2c59ea279301b12e',
        63264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alata
  static TextTheme alataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alata(textStyle: textTheme.caption),
      button: GoogleFonts.alata(textStyle: textTheme.button),
      overline: GoogleFonts.alata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alatsi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextStyle alatsi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fa5a16b3bfdf1423bfccb98349fc2cee90ca48e42252467b9a36f5a3149622e',
        70056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alatsi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alatsi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alatsi
  static TextTheme alatsiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alatsi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alatsi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alatsi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alatsi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alatsi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alatsi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alatsi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alatsi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alatsi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alatsi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alatsi(textStyle: textTheme.caption),
      button: GoogleFonts.alatsi(textStyle: textTheme.button),
      overline: GoogleFonts.alatsi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aldrich font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextStyle aldrich({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e288c81eacbaee70be6e11a25f4fb3bdaffcc0ea0449f285c94fc558e64335f4',
        27932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aldrich',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aldrich font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aldrich
  static TextTheme aldrichTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aldrich(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aldrich(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aldrich(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aldrich(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aldrich(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aldrich(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aldrich(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aldrich(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aldrich(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aldrich(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aldrich(textStyle: textTheme.caption),
      button: GoogleFonts.aldrich(textStyle: textTheme.button),
      overline: GoogleFonts.aldrich(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextStyle alef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a50dedb5215d98f65036893675ded42762d4c7bdae624c71adb1ea584f5a1467',
        58300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acbe7d381fcdbd3bca38351290cba306a1dde6549d74fbdef431ee9fcb60030d',
        59936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alef
  static TextTheme alefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alef(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alef(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alef(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alef(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alef(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alef(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alef(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alef(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alef(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alef(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alef(textStyle: textTheme.caption),
      button: GoogleFonts.alef(textStyle: textTheme.button),
      overline: GoogleFonts.alef(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alegreya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextStyle alegreya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '530d78cba23c5d8e261ae9447b431e1fa550f9dc6563540a0c400be3f7ee88ab',
        63708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efba5f9b4495a2e911ec871cc4dfebb5dba60bc72d643c0dd346e8f90513f81a',
        61596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c00ad52d215d793be827a98a0661e13bbd3276c96c6aa5e6c8d71c9487a3da03',
        67268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bd912b8f7b092f81fc94ee9f3b769e57ecbb1a2443bfce7d405d2ad0c48c04b4',
        65700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2d4a4c114f8e7ad762e764046f117bf954b1ba7797bbe6b6d754decc9bdbf99',
        62328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01804c5bcb6aedbda393491d82c14328987c7fb66a6ef8c8313aed5d683d3dad',
        60620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alegreya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya
  static TextTheme alegreyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alegreya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alegreya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alegreya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alegreya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alegreya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alegreya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alegreya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alegreya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alegreya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alegreya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alegreya(textStyle: textTheme.caption),
      button: GoogleFonts.alegreya(textStyle: textTheme.button),
      overline: GoogleFonts.alegreya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextStyle alegreyaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7449fd0507a0808ae452506eb8fb2fb46b4abe72f8f5d982b25c963ba93bc094',
        72748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6b36a9c6614f3cea8c2846f74b6823f8d3c5edd8a8b2319eccae142e3bb42738',
        73048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16e159f79c1929fa884f232e47d45cb0cc16a55a22b127359024868245f4a2d4',
        71836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6920f9042274d5d0b37753d233b86c7066a47d1cb94015d70ecbb9a76359faa7',
        72428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd591a36a0d78f0315b16c23983d84d6d8b4bbf8ea5b5879019cad423941d5990',
        70500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd312d023b86792b3a0f7cd9594498720cdb9feb7bec946d75a3f25f6580c19c7',
        71700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+SC
  static TextTheme alegreyaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alegreyaSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alegreyaSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alegreyaSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alegreyaSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alegreyaSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alegreyaSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alegreyaSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alegreyaSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alegreyaSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alegreyaSc(textStyle: textTheme.caption),
      button: GoogleFonts.alegreyaSc(textStyle: textTheme.button),
      overline: GoogleFonts.alegreyaSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextStyle alegreyaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4fc2370a575c44ada0a88565af306c9e5f6f863cd3e594f68fbecb64d6eb45',
        86800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dfad029fd95bc8e1e6f4aff5ca9a40f7ee01b7c42436068b1a609af1036de968',
        75952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f413bb7452d6c3127865026e765917685dde894f8130417ee32c5c22d3332a5a',
        88928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53c675ca8ca26437bfdef9475e6be6a31d8f390904f2a25dc7f71ecacf749525',
        76244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5186af372dbc9306a0390c6a53c2b3ed7e398bf7e19390e4115779d9d4dcb9e0',
        90044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a1cf80b2ffea7f7a74c290c886e0853612aa20f2f2942a11b6221973a8b1125a',
        75740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b54080b02a55195adec0aed32ecb384095ddfef221504059e15682a59709d9a5',
        90304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16b83ef0510db5d9b7adeb15a6bf505975df75012e3f04118c8384165bae4c4f',
        75644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'baf6cfdcdaeaff8ae1997ba5a87f7c43b4823b8e094097eb354fdaeb531c610e',
        90308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3ea4ab25245b87d94c68e797ee68e472bf893023027f57d0dfb6aef204e650d',
        75464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2313ece3a1be01342c2f2b902904ce864b05c9ecf3a72e96580c84ed124b370c',
        90492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '296f24dc4713815e4ea5f25a60e938c00c6d94678ba90f140c4c4dcd5d3dae42',
        75552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1ae94a74aa4998c1ed777107095512b795dd19783a838e9eaffca2382405bf3',
        90324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63fa7d406f209d33ac9020dc3209f61bda016b2e851b369e2475f6c77bd65111',
        75748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans
  static TextTheme alegreyaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alegreyaSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alegreyaSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alegreyaSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alegreyaSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alegreyaSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alegreyaSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alegreyaSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alegreyaSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alegreyaSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alegreyaSans(textStyle: textTheme.caption),
      button: GoogleFonts.alegreyaSans(textStyle: textTheme.button),
      overline: GoogleFonts.alegreyaSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextStyle alegreyaSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f5b4f9e7531121c2163e92598f24222cdef538a04352553731f0c81f69c4227',
        77260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a8c6b334dbb0663e1b509d268363d557f9d231f702c2fb6ffe0727c0bb374b5',
        67308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d94b7e8e30244280988269fbefbf776d08ff9ad0be6df4f620a6a5b7e0362f0',
        79488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ccd17db40859ba985ad048cea705168d600d36d89c00086787c0e0c4b3d82350',
        67492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2487f405a054a83c784021b2c8e860860b9243fb34fc64b7a5fd2250d68bf4f9',
        80884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b427017865c854fea91f74c2c65b73010299f090c4ce77e0854fac9a1de8bc0a',
        67168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edb603dab26042252c435e746201e0f2f353dd09865130082f25072fb0969e0b',
        81296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de77ecc3bedb1b421aebae8d44d23fc290cb7f252c8cd7eea6cc478ee69e13ec',
        67248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c46b10c450739d774b11b6e3d2f51e421d416b9a8174d249ad85973c5018894c',
        81476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16e2233f43d03898a785024de868496150dfcba5754cec33d4e349b92c857453',
        67060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '356b90a20e5818313f51f03a05985f5c63745944a01aa92b78804caa0b7a4268',
        81900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85eb333661be027f374e08a28cc4b0c394fa0052fc64197c5a96409168532e87',
        67216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41a1bac96732155ce8415a0155d80de58383ab4223de540ad68c383f51b3cb5e',
        81560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7100fdd6d991e596021a3bc2578fd4eb74fb5bd5d7dfc6c30dcde981e6a27281',
        67304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlegreyaSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alegreya Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alegreya+Sans+SC
  static TextTheme alegreyaSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alegreyaSansSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alegreyaSansSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alegreyaSansSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alegreyaSansSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alegreyaSansSc(textStyle: textTheme.caption),
      button: GoogleFonts.alegreyaSansSc(textStyle: textTheme.button),
      overline: GoogleFonts.alegreyaSansSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aleo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextStyle aleo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8844034f7614859b836238cb530853c190b011335edbfc9fd9dbb15669134bcb',
        35800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d41d1b8e554c18ef31b39cd96576f58048ab1dacd1e03dd349c3f471917ab43',
        45124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4124c4a19546d618079ccad928418735907b0eff5c68a0faf16b8fd3ec1d5bc2',
        65892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7662bf685a6bddd2908c8392229aac54817f3666c9915cec596880a13eef66c9',
        68788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20df7d3bc69a847115b4c7f6de4db4d8aa878a8ad3ccc70a83b9beb9d29826c',
        60744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0277e97f9c04c3812b3987b151b56953251d09574f7f649b461074b2439a4026',
        64516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aleo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aleo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aleo
  static TextTheme aleoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aleo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aleo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aleo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aleo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aleo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aleo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aleo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aleo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aleo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aleo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aleo(textStyle: textTheme.caption),
      button: GoogleFonts.aleo(textStyle: textTheme.button),
      overline: GoogleFonts.aleo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextStyle alexBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb8044f112b9878ec59f0825d91a9f011fc4925ce2272737c02ce2be161c3efd',
        48660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlexBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alex Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alex+Brush
  static TextTheme alexBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alexBrush(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alexBrush(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alexBrush(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alexBrush(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alexBrush(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alexBrush(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alexBrush(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alexBrush(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alexBrush(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alexBrush(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alexBrush(textStyle: textTheme.caption),
      button: GoogleFonts.alexBrush(textStyle: textTheme.button),
      overline: GoogleFonts.alexBrush(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextStyle alfaSlabOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7da478a94cb0f5cdf81dc70a08204fc3d9b097463f65a9108151851580dd9151',
        64824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlfaSlabOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alfa Slab One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alfa+Slab+One
  static TextTheme alfaSlabOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alfaSlabOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alfaSlabOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alfaSlabOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alfaSlabOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alfaSlabOne(textStyle: textTheme.caption),
      button: GoogleFonts.alfaSlabOne(textStyle: textTheme.button),
      overline: GoogleFonts.alfaSlabOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextStyle alice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b09d7119f6ceba6b3b798683927d8bd51757498f4af762dc4509d1c76aafc6a3',
        95148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alice
  static TextTheme aliceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alice(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alice(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alice(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alice(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alice(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alice(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alice(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alice(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alice(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alice(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alice(textStyle: textTheme.caption),
      button: GoogleFonts.alice(textStyle: textTheme.button),
      overline: GoogleFonts.alice(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alike font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextStyle alike({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9683edf916072397bd15b9b312ff78533f85b4ac5598b5867733fb5670ed534',
        64584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Alike',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike
  static TextTheme alikeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alike(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alike(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alike(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alike(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alike(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alike(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alike(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alike(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alike(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alike(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alike(textStyle: textTheme.caption),
      button: GoogleFonts.alike(textStyle: textTheme.button),
      overline: GoogleFonts.alike(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextStyle alikeAngular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ae146a31a48840c579bbeefc31597a7c9b385c626ef8387ad461aeea8432452',
        97120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlikeAngular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alike Angular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alike+Angular
  static TextTheme alikeAngularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alikeAngular(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alikeAngular(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alikeAngular(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alikeAngular(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alikeAngular(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alikeAngular(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alikeAngular(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alikeAngular(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alikeAngular(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alikeAngular(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alikeAngular(textStyle: textTheme.caption),
      button: GoogleFonts.alikeAngular(textStyle: textTheme.button),
      overline: GoogleFonts.alikeAngular(textStyle: textTheme.overline),
    );
  }

  /// Applies the Allan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextStyle allan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83a268d06857cada4246725e7cc04eb4d7b87d19e6d4f44e745d33be739852fb',
        40992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b309341937b6f2a1893638c71f9877c70c658e6461e5b18011f9ab7f2782adc9',
        95644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allan
  static TextTheme allanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.allan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.allan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.allan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.allan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.allan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.allan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.allan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.allan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.allan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.allan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.allan(textStyle: textTheme.caption),
      button: GoogleFonts.allan(textStyle: textTheme.button),
      overline: GoogleFonts.allan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Allerta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextStyle allerta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df4ce73d43a2a1eb976d66944a0555b8ab45b8848b9e9be9355d0f68a9373270',
        18844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allerta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta
  static TextTheme allertaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.allerta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.allerta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.allerta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.allerta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.allerta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.allerta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.allerta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.allerta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.allerta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.allerta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.allerta(textStyle: textTheme.caption),
      button: GoogleFonts.allerta(textStyle: textTheme.button),
      overline: GoogleFonts.allerta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextStyle allertaStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd43b315a156fb147d0bcd2dad6a682e5a23d388f0d12365c29c2d46fbf1e2c96',
        19512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AllertaStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allerta Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allerta+Stencil
  static TextTheme allertaStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.allertaStencil(textStyle: textTheme.headline1),
      headline2: GoogleFonts.allertaStencil(textStyle: textTheme.headline2),
      headline3: GoogleFonts.allertaStencil(textStyle: textTheme.headline3),
      headline4: GoogleFonts.allertaStencil(textStyle: textTheme.headline4),
      headline5: GoogleFonts.allertaStencil(textStyle: textTheme.headline5),
      headline6: GoogleFonts.allertaStencil(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.allertaStencil(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.allertaStencil(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.allertaStencil(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.allertaStencil(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.allertaStencil(textStyle: textTheme.caption),
      button: GoogleFonts.allertaStencil(textStyle: textTheme.button),
      overline: GoogleFonts.allertaStencil(textStyle: textTheme.overline),
    );
  }

  /// Applies the Allison font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextStyle allison({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9a2afdaf9e19bae8275d7e758caa167d7378dd4def732cf707de5cb8da6c5c7',
        93716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allison',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allison font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allison
  static TextTheme allisonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.allison(textStyle: textTheme.headline1),
      headline2: GoogleFonts.allison(textStyle: textTheme.headline2),
      headline3: GoogleFonts.allison(textStyle: textTheme.headline3),
      headline4: GoogleFonts.allison(textStyle: textTheme.headline4),
      headline5: GoogleFonts.allison(textStyle: textTheme.headline5),
      headline6: GoogleFonts.allison(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.allison(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.allison(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.allison(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.allison(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.allison(textStyle: textTheme.caption),
      button: GoogleFonts.allison(textStyle: textTheme.button),
      overline: GoogleFonts.allison(textStyle: textTheme.overline),
    );
  }

  /// Applies the Allura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextStyle allura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32adf6de6bc3ee14bedf4674a1020492d2c2e4a939883aa672ff9a31777f63ed',
        88036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Allura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Allura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Allura
  static TextTheme alluraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.allura(textStyle: textTheme.headline1),
      headline2: GoogleFonts.allura(textStyle: textTheme.headline2),
      headline3: GoogleFonts.allura(textStyle: textTheme.headline3),
      headline4: GoogleFonts.allura(textStyle: textTheme.headline4),
      headline5: GoogleFonts.allura(textStyle: textTheme.headline5),
      headline6: GoogleFonts.allura(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.allura(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.allura(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.allura(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.allura(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.allura(textStyle: textTheme.caption),
      button: GoogleFonts.allura(textStyle: textTheme.button),
      overline: GoogleFonts.allura(textStyle: textTheme.overline),
    );
  }

  /// Applies the Almarai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextStyle almarai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd65c40f0692b45d73302895b80e837f57f1b4e69a5d3255c3f186919eab23780',
        85828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b22529a81e051312110ae38c450d9b4f5474030f2275dc4574f26c8fcf5318e',
        85912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf3b7ecc9ac853f7071684fc5dfb22dd3a13f41901fee6aeb54cd9cc81d1126',
        85696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55d68f8e4adef1c44ed2dbc154537092c330112b9ac46a94338e58f08f02bcb6',
        86588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almarai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almarai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almarai
  static TextTheme almaraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.almarai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.almarai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.almarai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.almarai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.almarai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.almarai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.almarai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.almarai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.almarai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.almarai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.almarai(textStyle: textTheme.caption),
      button: GoogleFonts.almarai(textStyle: textTheme.button),
      overline: GoogleFonts.almarai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Almendra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextStyle almendra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08fa6c15ee1bba267ec0f0f30bd11a5be545d922ebd057f450a702f87aa9aaa8',
        68696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd40d53b865a76778b1362d4e74f6c6294fbde5ae31f24f0173d9401c3fabcddc',
        35276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0792b18907bbbe9c24855a75a53fc8ac926ae12e181ec5bbc70fae19df05bfa',
        36684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb34d628f80f6ab95c12f0ef6dd4138d2182b94042d615028af5353e58b9f1ee',
        35448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Almendra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra
  static TextTheme almendraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.almendra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.almendra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.almendra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.almendra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.almendra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.almendra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.almendra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.almendra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.almendra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.almendra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.almendra(textStyle: textTheme.caption),
      button: GoogleFonts.almendra(textStyle: textTheme.button),
      overline: GoogleFonts.almendra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextStyle almendraDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8aa056bca4ab7efab868e9b7a435eea1109abde7b232725b1e1b41cf482191a',
        39284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+Display
  static TextTheme almendraDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.almendraDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.almendraDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.almendraDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.almendraDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.almendraDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.almendraDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.almendraDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.almendraDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.almendraDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.almendraDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.almendraDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.almendraDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextStyle almendraSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12f0d325f41e23a75aa0ddb706236e13487d31b43a77435817a684f239f324bd',
        36008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlmendraSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Almendra SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Almendra+SC
  static TextTheme almendraScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.almendraSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.almendraSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.almendraSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.almendraSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.almendraSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.almendraSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.almendraSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.almendraSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.almendraSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.almendraSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.almendraSc(textStyle: textTheme.caption),
      button: GoogleFonts.almendraSc(textStyle: textTheme.button),
      overline: GoogleFonts.almendraSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextStyle alumniSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22cf960c3683bef122e824082ac2322f51a3f06b3ebe530f3f9c326b2a9ff3e4',
        52760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9731e3ddbd4f9e45d9617a086592b46e501e6d1d30f42f3ec01d7c8479ec678d',
        52972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6917c8b390c96e08dd157f34e19ded5de00d7a3d302d89e4ab24bcc8d3eb79b0',
        52868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aeb6dbddb889269b4be32a085aa1f941c2098c131fc7928b83b4462ac77d919d',
        52924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dec3c3a9504cb4cc1b40a04cf3048a3ac4ac2920eff49adb5e0304d3b707ffba',
        53000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '368d76d774dbc1c3bd50998aba4462ccd4955f23f70cdfff39d01506c942d94c',
        52960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c54a59e7e9ed93a1abf33c6a573b84241d18a5e41836c170188c77053854a47',
        52876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9757fb03803e2088f83b77057e81bdefd4e65fe24d598fd00d0b0749b27e431d',
        52916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '841b3a70970a9399aeba5c113e2c15a5019aef0d8adb47b61da246b71a6d17b2',
        52616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab604215e1fd3bb22adf0da8f21da2c0d54fef3940478d5152a5b8d1d61f85ec',
        56016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3b3329ab61d8a9183bacc96c0b1991bd8ce80ce629e974cb11480cea67e0940',
        56200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0e2ed145c87634271c6d911965a17f586ca494260b835ee621fd0797f1d300f9',
        56208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '75c92ba4f103c080ab9bfc3fe83320ef265b7c67ea563ad71dcb5b66026c03c7',
        56096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34a9450ef14b5c993b45a81738389ca208157997d481676cc20f7d3cb65ad5fc',
        56192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0257441c61e8c7d6bb39f5b602c78b2f2e7491a06753b3908dd03de07c47d791',
        56152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd9675d29b154ca60b902d688e136c24736dd1b2daca568a8a8cf2347b6546b48',
        56020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '441ae442c960bc31d6c8476daa3fd44e390be09717b39b4bc73867eba21be70f',
        56012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3503c34b4b89a68ca685c984892e1334e7405ba4663084a6dba77f8c61227324',
        55920,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AlumniSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Alumni Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Alumni+Sans
  static TextTheme alumniSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.alumniSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.alumniSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.alumniSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.alumniSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.alumniSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.alumniSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.alumniSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.alumniSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.alumniSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.alumniSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.alumniSans(textStyle: textTheme.caption),
      button: GoogleFonts.alumniSans(textStyle: textTheme.button),
      overline: GoogleFonts.alumniSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amarante font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextStyle amarante({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f11a52c1a0f3e94f81dde8d9c60832c688c1d9b01c5bb1098c3ea30daac8ad29',
        74348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amarante',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amarante font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amarante
  static TextTheme amaranteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amarante(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amarante(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amarante(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amarante(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amarante(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amarante(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amarante(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amarante(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amarante(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amarante(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amarante(textStyle: textTheme.caption),
      button: GoogleFonts.amarante(textStyle: textTheme.button),
      overline: GoogleFonts.amarante(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amaranth font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextStyle amaranth({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b8c69a7d5f0b230b1b010da8da3ad4ccb84f4dff4a1247a14af83392c9ecf64',
        66272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '359639014bf096771cbebb373f2d347f8e1b44a2ef2b48556e1a21289dbc7eb5',
        74196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b35625ebc301f471cd70df7575f4fc81597a8ab27dc321418707c40d8a99616',
        65892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48c74968a6ddedd92d0c4d4e05959d24a1ae124fce3ab60c793c5a331dddee10',
        74616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amaranth',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amaranth font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amaranth
  static TextTheme amaranthTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amaranth(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amaranth(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amaranth(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amaranth(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amaranth(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amaranth(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amaranth(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amaranth(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amaranth(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amaranth(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amaranth(textStyle: textTheme.caption),
      button: GoogleFonts.amaranth(textStyle: textTheme.button),
      overline: GoogleFonts.amaranth(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextStyle amaticSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da6405b57357f309f00592371cf54bb3c1d57b8e7d9fc40fff6f364d6ca80fe',
        104904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81f4df2ecbc8d2fcae65290f5075ff98149f4f95ea00bb6bf3a0711e4e1afd75',
        99680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmaticSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amatic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatic+SC
  static TextTheme amaticScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amaticSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amaticSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amaticSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amaticSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amaticSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amaticSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amaticSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amaticSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amaticSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amaticSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amaticSc(textStyle: textTheme.caption),
      button: GoogleFonts.amaticSc(textStyle: textTheme.button),
      overline: GoogleFonts.amaticSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amatica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatica+SC
  static TextStyle amaticaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39a7e41edc371bdb0e8356c4e9f69ea62594cfd412fbb1f5c45a32c0a5e75516',
        140932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ead630d51d6f70a5e14a17fec1bffc04c9a13118b217101fd42eac20be2ae66',
        105524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AmaticaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amatica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amatica+SC
  static TextTheme amaticaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amaticaSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amaticaSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amaticaSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amaticaSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amaticaSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amaticaSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amaticaSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amaticaSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amaticaSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amaticaSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amaticaSc(textStyle: textTheme.caption),
      button: GoogleFonts.amaticaSc(textStyle: textTheme.button),
      overline: GoogleFonts.amaticaSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amethysta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextStyle amethysta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4d26711903ae08c3bd10750f3b713928bdd3ee56d00372e37bd8606a3fe2d7a',
        36864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amethysta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amethysta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amethysta
  static TextTheme amethystaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amethysta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amethysta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amethysta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amethysta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amethysta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amethysta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amethysta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amethysta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amethysta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amethysta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amethysta(textStyle: textTheme.caption),
      button: GoogleFonts.amethysta(textStyle: textTheme.button),
      overline: GoogleFonts.amethysta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amiko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextStyle amiko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2e782cc6b503328a87e3b81b3ee6afa1acb6cd66bd04d9da2ba5d3ff4c43e3f',
        143076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd56799efb6c3d56b106cae38c558a3f2f9da3d0a90d0d1ea64449c693d3cadfc',
        142664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '037bbdff86b70266d62abc94be043671d3c04188f477dbb0ead70ee89df98ecb',
        142052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiko
  static TextTheme amikoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amiko(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amiko(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amiko(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amiko(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amiko(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amiko(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amiko(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amiko(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amiko(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amiko(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amiko(textStyle: textTheme.caption),
      button: GoogleFonts.amiko(textStyle: textTheme.button),
      overline: GoogleFonts.amiko(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextStyle amiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15af380107efd8a082b372d1ba8027d5fd6d4720ccf7f7ce48345b845cfb83b6',
        370496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03496500b8efdd151ca91912b003f23e04fcb45a8d39cee588e4ea47b61fc052',
        357340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1f6fcfa01fc6084132c66ff5b8da7b655fbf82dae7a9200c4471400281678bb',
        351752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d9add54ab339fd5ca1f0b2fbda1117e04758800cefa39fa72d5f1e38b7a2e27',
        355324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amiri
  static TextTheme amiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amiri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amiri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amiri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amiri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amiri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amiri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amiri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amiri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amiri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amiri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amiri(textStyle: textTheme.caption),
      button: GoogleFonts.amiri(textStyle: textTheme.button),
      overline: GoogleFonts.amiri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Amita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextStyle amita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ab328073e1c729f0b4f38521b47bb39c63db396da1602f6b08a2a8775249f4',
        141504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e421cec126c6014995b96189e28c3c8b119e3e21dbe1c3dea8585ec31afa0679',
        141464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Amita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Amita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Amita
  static TextTheme amitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.amita(textStyle: textTheme.headline1),
      headline2: GoogleFonts.amita(textStyle: textTheme.headline2),
      headline3: GoogleFonts.amita(textStyle: textTheme.headline3),
      headline4: GoogleFonts.amita(textStyle: textTheme.headline4),
      headline5: GoogleFonts.amita(textStyle: textTheme.headline5),
      headline6: GoogleFonts.amita(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.amita(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.amita(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.amita(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.amita(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.amita(textStyle: textTheme.caption),
      button: GoogleFonts.amita(textStyle: textTheme.button),
      overline: GoogleFonts.amita(textStyle: textTheme.overline),
    );
  }

  /// Applies the Anaheim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextStyle anaheim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '738fa7ae0283744abbfcfd999eb71d255210a7ee0fa7e195a47482269b9e381e',
        27848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anaheim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anaheim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anaheim
  static TextTheme anaheimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.anaheim(textStyle: textTheme.headline1),
      headline2: GoogleFonts.anaheim(textStyle: textTheme.headline2),
      headline3: GoogleFonts.anaheim(textStyle: textTheme.headline3),
      headline4: GoogleFonts.anaheim(textStyle: textTheme.headline4),
      headline5: GoogleFonts.anaheim(textStyle: textTheme.headline5),
      headline6: GoogleFonts.anaheim(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.anaheim(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.anaheim(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.anaheim(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.anaheim(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.anaheim(textStyle: textTheme.caption),
      button: GoogleFonts.anaheim(textStyle: textTheme.button),
      overline: GoogleFonts.anaheim(textStyle: textTheme.overline),
    );
  }

  /// Applies the Andada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada
  static TextStyle andada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c3fda3cdd2dcc60f34129cdd9c0a2f139b2a4bec16bcff6b27521d87d222f1e',
        108572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Andada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada
  static TextTheme andadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.andada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.andada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.andada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.andada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.andada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.andada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.andada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.andada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.andada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.andada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.andada(textStyle: textTheme.caption),
      button: GoogleFonts.andada(textStyle: textTheme.button),
      overline: GoogleFonts.andada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextStyle andadaPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed76387fc9d8338e38a60301b4eb45b6a0312aa0f0aea7f7dbb36af00ce93ec',
        91072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59b2abc3156af3c0b9290b80215007e5361cedd91df77af007d181f189554e7a',
        91172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df6a3c84c9d210af208960990461be21ab58ff81eece8153c7017e9040be2ee',
        91200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'baa2fb757366dafa8722259957a668f3d8dcd7f9da72efc64fe8740d6b6a60f7',
        91168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97c10f4348eac46e4413e2a06cfd708f1e681ef0ab4ff58953df4d5f5eb7cc41',
        91236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '52fe324b4b0e03e8955414d84f932a2303cd8d4ed4e8dd4e634e95fedcd82067',
        89836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9a87f6de59cb013572282fa45df1ba695f7070fbdfc7eff33c6a85fd66b5ca5e',
        89908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3dad17cd3fa0d44dd7a7948f8d73739ee109cd70a505d9be31bfeef60d072d6e',
        89916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e93af0d8bcc75c67660fbdf94f50eaeb7ff456488e3d4dd20469cc8697ee86f',
        89848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8d922389d2631a5f89ec0fefde3f9bb68ed681a1e2d2341e7b4c4567bd11b35',
        89896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AndadaPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andada Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andada+Pro
  static TextTheme andadaProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.andadaPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.andadaPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.andadaPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.andadaPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.andadaPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.andadaPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.andadaPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.andadaPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.andadaPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.andadaPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.andadaPro(textStyle: textTheme.caption),
      button: GoogleFonts.andadaPro(textStyle: textTheme.button),
      overline: GoogleFonts.andadaPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Andika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextStyle andika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c10763224ab91314d3fae862634f6bddf0aae60bd71668d68950102ca77b5d4',
        964524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Andika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika
  static TextTheme andikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.andika(textStyle: textTheme.headline1),
      headline2: GoogleFonts.andika(textStyle: textTheme.headline2),
      headline3: GoogleFonts.andika(textStyle: textTheme.headline3),
      headline4: GoogleFonts.andika(textStyle: textTheme.headline4),
      headline5: GoogleFonts.andika(textStyle: textTheme.headline5),
      headline6: GoogleFonts.andika(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.andika(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.andika(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.andika(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.andika(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.andika(textStyle: textTheme.caption),
      button: GoogleFonts.andika(textStyle: textTheme.button),
      overline: GoogleFonts.andika(textStyle: textTheme.overline),
    );
  }

  /// Applies the Andika New Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika+New+Basic
  static TextStyle andikaNewBasic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48b18f488f9907c784ac7924a2d763257e1057f5ac3ee22c804ab0ba194253fb',
        71420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65eed85f74c45790107ec98d6a3098e99d4f54a7580b53d536891a35385b16ba',
        75508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50bbb54d0ec04a720a330e87931ea2be85d5fc406fd2e171ce44ca67855f8a8d',
        72220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2a105533f2063ef7f4a489f1d438cf7af064f1c5ed1c3ebc6ba7c1d46c8db40',
        76148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AndikaNewBasic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Andika New Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Andika+New+Basic
  static TextTheme andikaNewBasicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.andikaNewBasic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.andikaNewBasic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.andikaNewBasic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.andikaNewBasic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.andikaNewBasic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.andikaNewBasic(textStyle: textTheme.caption),
      button: GoogleFonts.andikaNewBasic(textStyle: textTheme.button),
      overline: GoogleFonts.andikaNewBasic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextStyle annieUseYourTelescope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65c0cd06d1ec2528de45688966f2971cf95fed9f810f246e08b4efd9e717d850',
        50692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnnieUseYourTelescope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Annie Use Your Telescope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Annie+Use+Your+Telescope
  static TextTheme annieUseYourTelescopeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.annieUseYourTelescope(textStyle: textTheme.caption),
      button: GoogleFonts.annieUseYourTelescope(textStyle: textTheme.button),
      overline:
          GoogleFonts.annieUseYourTelescope(textStyle: textTheme.overline),
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextStyle anonymousPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ca7beef0b5eb5c9e72533cd45bc1e4f41c8272dc2335f22d3649e32a795995f',
        106796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '71ce3ee6476a91f9e89e9f8010d9ea13314306b645af3e8d7b7add697e6f0d3e',
        108996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd00937283f3b530bee6700e02cfabfbb96b833d42559d48fc5fdfcfde2ff5b39',
        106604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60f1f3cae99bbc1323cdcdf9af6a0127d5b4684ef675e6836fa3034a297dc16a',
        108760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnonymousPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anonymous Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anonymous+Pro
  static TextTheme anonymousProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.anonymousPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.anonymousPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.anonymousPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.anonymousPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.anonymousPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.anonymousPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.anonymousPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.anonymousPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.anonymousPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.anonymousPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.anonymousPro(textStyle: textTheme.caption),
      button: GoogleFonts.anonymousPro(textStyle: textTheme.button),
      overline: GoogleFonts.anonymousPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Antic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextStyle antic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6526fff8a94a5503810bc8805b716126e91295380d0e970f089e3e663a4440d5',
        39272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Antic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic
  static TextTheme anticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.antic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.antic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.antic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.antic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.antic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.antic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.antic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.antic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.antic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.antic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.antic(textStyle: textTheme.caption),
      button: GoogleFonts.antic(textStyle: textTheme.button),
      overline: GoogleFonts.antic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextStyle anticDidone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed8ca32ea2c34cc27f4a10cdf51c0ddb35d0cd580df90b19e68d8096a145ec35',
        39640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticDidone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Didone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Didone
  static TextTheme anticDidoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.anticDidone(textStyle: textTheme.headline1),
      headline2: GoogleFonts.anticDidone(textStyle: textTheme.headline2),
      headline3: GoogleFonts.anticDidone(textStyle: textTheme.headline3),
      headline4: GoogleFonts.anticDidone(textStyle: textTheme.headline4),
      headline5: GoogleFonts.anticDidone(textStyle: textTheme.headline5),
      headline6: GoogleFonts.anticDidone(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.anticDidone(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.anticDidone(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.anticDidone(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.anticDidone(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.anticDidone(textStyle: textTheme.caption),
      button: GoogleFonts.anticDidone(textStyle: textTheme.button),
      overline: GoogleFonts.anticDidone(textStyle: textTheme.overline),
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextStyle anticSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1348202760ad87d67e74d3a921ad2be20b563b2cd2a8d6e99d54da029c7f2aad',
        36924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AnticSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Antic Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Antic+Slab
  static TextTheme anticSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.anticSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.anticSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.anticSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.anticSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.anticSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.anticSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.anticSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.anticSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.anticSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.anticSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.anticSlab(textStyle: textTheme.caption),
      button: GoogleFonts.anticSlab(textStyle: textTheme.button),
      overline: GoogleFonts.anticSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Anton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextStyle anton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0d29150a430129b0bfdaabaa46ba1e7967ccabc46440a5789bffe18b7dfcc2d',
        54896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Anton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Anton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Anton
  static TextTheme antonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.anton(textStyle: textTheme.headline1),
      headline2: GoogleFonts.anton(textStyle: textTheme.headline2),
      headline3: GoogleFonts.anton(textStyle: textTheme.headline3),
      headline4: GoogleFonts.anton(textStyle: textTheme.headline4),
      headline5: GoogleFonts.anton(textStyle: textTheme.headline5),
      headline6: GoogleFonts.anton(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.anton(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.anton(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.anton(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.anton(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.anton(textStyle: textTheme.caption),
      button: GoogleFonts.anton(textStyle: textTheme.button),
      overline: GoogleFonts.anton(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arapey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextStyle arapey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d4786e233fac8fe0069ba6efaa828eb2fffef7b1d21a92a6d4f250ae9710415',
        26716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '10f469eeecd1cca95a1881d5fbd920abff25911a343caf957f7b2a0e3d4de390',
        29520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arapey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arapey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arapey
  static TextTheme arapeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arapey(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arapey(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arapey(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arapey(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arapey(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arapey(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arapey(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arapey(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arapey(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arapey(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arapey(textStyle: textTheme.caption),
      button: GoogleFonts.arapey(textStyle: textTheme.button),
      overline: GoogleFonts.arapey(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arbutus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextStyle arbutus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1484fe1dd2948c05f4d1ab7f6acbbc88d4acea2e32880263ec8f991cba4905f',
        81792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arbutus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus
  static TextTheme arbutusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arbutus(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arbutus(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arbutus(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arbutus(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arbutus(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arbutus(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arbutus(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arbutus(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arbutus(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arbutus(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arbutus(textStyle: textTheme.caption),
      button: GoogleFonts.arbutus(textStyle: textTheme.button),
      overline: GoogleFonts.arbutus(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextStyle arbutusSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7c7bbc09f84fc70a8541195a960de7d282eeaee64c5b146253bd79fd209893d',
        39812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArbutusSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arbutus Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arbutus+Slab
  static TextTheme arbutusSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arbutusSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arbutusSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arbutusSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arbutusSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arbutusSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arbutusSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arbutusSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arbutusSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arbutusSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arbutusSlab(textStyle: textTheme.caption),
      button: GoogleFonts.arbutusSlab(textStyle: textTheme.button),
      overline: GoogleFonts.arbutusSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextStyle architectsDaughter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f5860f4b7aca9b95305b6c5a3b14e2f1c951eaddd28b5d1fffd374171ccdba',
        43356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchitectsDaughter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Architects Daughter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Architects+Daughter
  static TextTheme architectsDaughterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.architectsDaughter(textStyle: textTheme.headline1),
      headline2: GoogleFonts.architectsDaughter(textStyle: textTheme.headline2),
      headline3: GoogleFonts.architectsDaughter(textStyle: textTheme.headline3),
      headline4: GoogleFonts.architectsDaughter(textStyle: textTheme.headline4),
      headline5: GoogleFonts.architectsDaughter(textStyle: textTheme.headline5),
      headline6: GoogleFonts.architectsDaughter(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.architectsDaughter(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.architectsDaughter(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.architectsDaughter(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.architectsDaughter(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.architectsDaughter(textStyle: textTheme.caption),
      button: GoogleFonts.architectsDaughter(textStyle: textTheme.button),
      overline: GoogleFonts.architectsDaughter(textStyle: textTheme.overline),
    );
  }

  /// Applies the Archivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextStyle archivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3992a886b3891c9b073cf3e46b1c578cb31ab065cf9b5e07f6fc2a0200a495f',
        58160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8af059c64838f116e4c8afda7a5c344815c3fe3c2111749d7281a046087dfb8a',
        60944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '455a61b80b447af7647cb7bbbef6de06c3c3031d0ecbb2619fa9cffa73871e76',
        59648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c266aeada4adba34caec3d404c7953743cf0327123506b66cde56cf556ad2ddf',
        62104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ad030ef4465b1be7229c5326d24955683bea533c9646e4ed2773cd30697d031',
        59960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '453878357ed380bea09e3661badd4636234be8794956428236bc3a166d84fc92',
        62300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c37a5634c5b7802983e322dcc187d5b4bc26e238dd61828a71f184592b9032f',
        59436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '12b65a3c8f63eb390f4acb0a6ade0ac245782113ddc2e397c216c3605fc245f8',
        62036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Archivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo
  static TextTheme archivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.archivo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.archivo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.archivo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.archivo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.archivo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.archivo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.archivo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.archivo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.archivo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.archivo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.archivo(textStyle: textTheme.caption),
      button: GoogleFonts.archivo(textStyle: textTheme.button),
      overline: GoogleFonts.archivo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextStyle archivoBlack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdd008fdde6eaf026762810841b23a803c1fd8f7691df010d250df61e584703b',
        59204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoBlack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Black font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Black
  static TextTheme archivoBlackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.archivoBlack(textStyle: textTheme.headline1),
      headline2: GoogleFonts.archivoBlack(textStyle: textTheme.headline2),
      headline3: GoogleFonts.archivoBlack(textStyle: textTheme.headline3),
      headline4: GoogleFonts.archivoBlack(textStyle: textTheme.headline4),
      headline5: GoogleFonts.archivoBlack(textStyle: textTheme.headline5),
      headline6: GoogleFonts.archivoBlack(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.archivoBlack(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.archivoBlack(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.archivoBlack(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.archivoBlack(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.archivoBlack(textStyle: textTheme.caption),
      button: GoogleFonts.archivoBlack(textStyle: textTheme.button),
      overline: GoogleFonts.archivoBlack(textStyle: textTheme.overline),
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextStyle archivoNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95b4094186b9443c74e987b6a5ad660b55c7dc1e548d66cc53ead05a10bf096f',
        57132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5be034d89310f5e551f67507ef7bd0d5093e193d5e556598e1137cff7598ada',
        58796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '898e57eec4db5685859996bc7c9a87707d53ceca97c917edb0497302b7145fd5',
        55924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff034a0073d594043d35a5058bf44df331be4b22576c8a753b210bcc55789e50',
        59204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArchivoNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Archivo Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Archivo+Narrow
  static TextTheme archivoNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.archivoNarrow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.archivoNarrow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.archivoNarrow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.archivoNarrow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.archivoNarrow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.archivoNarrow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.archivoNarrow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.archivoNarrow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.archivoNarrow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.archivoNarrow(textStyle: textTheme.caption),
      button: GoogleFonts.archivoNarrow(textStyle: textTheme.button),
      overline: GoogleFonts.archivoNarrow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextStyle areYouSerious({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f5c158df53c0056890d3850938a75e61af027316853dc7eaa83dc29d32341f4',
        149320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AreYouSerious',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Are You Serious font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Are+You+Serious
  static TextTheme areYouSeriousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.areYouSerious(textStyle: textTheme.headline1),
      headline2: GoogleFonts.areYouSerious(textStyle: textTheme.headline2),
      headline3: GoogleFonts.areYouSerious(textStyle: textTheme.headline3),
      headline4: GoogleFonts.areYouSerious(textStyle: textTheme.headline4),
      headline5: GoogleFonts.areYouSerious(textStyle: textTheme.headline5),
      headline6: GoogleFonts.areYouSerious(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.areYouSerious(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.areYouSerious(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.areYouSerious(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.areYouSerious(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.areYouSerious(textStyle: textTheme.caption),
      button: GoogleFonts.areYouSerious(textStyle: textTheme.button),
      overline: GoogleFonts.areYouSerious(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextStyle arefRuqaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '483d6ce42473c62a61b38dc4e30c6b1a5d9b02921ab5034c8eec4b8f0496127d',
        112872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea198095e22fea5b0b08338b3b524a2ac489bd669154eab1927955f20124358',
        139992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArefRuqaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aref Ruqaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aref+Ruqaa
  static TextTheme arefRuqaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arefRuqaa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arefRuqaa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arefRuqaa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arefRuqaa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arefRuqaa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arefRuqaa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arefRuqaa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arefRuqaa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arefRuqaa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arefRuqaa(textStyle: textTheme.caption),
      button: GoogleFonts.arefRuqaa(textStyle: textTheme.button),
      overline: GoogleFonts.arefRuqaa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arima Madurai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima+Madurai
  static TextStyle arimaMadurai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20fe984789a290b9c540b82d788511cf37e7dcb0c94a3f808ed8a9980ce92262',
        92064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea122a5616110be9d6b0719ff9a8e5d87a5bb067671e53f60e9e2f34151a054',
        92944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9bb6dffdcb0e85ac571c284727a1ff484951f065ccff0e42668f232709bcfd0',
        93064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72a8a5252b9293d6af843e90bdda0f995b86531cb25d7a2489b5b58e7c495575',
        93452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b608979162b4bce202e22f3cba5768ef3c5f96294c41e1d36229b02393a70cf7',
        93560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9809fc1ba075315f2526aba738bb8c4bfb8af33451d402a57eae3edbdbe45b6',
        93480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030889c403dcab9b3a79394ed59d1d1da7d0dbafae26fc8c6d1b870d7732c997',
        93616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25561cbe875f9bad0c96c060f2a1f8108ba709366496e68ff510efdf5930429f',
        93604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ArimaMadurai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arima Madurai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arima+Madurai
  static TextTheme arimaMaduraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arimaMadurai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arimaMadurai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arimaMadurai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arimaMadurai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arimaMadurai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arimaMadurai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arimaMadurai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arimaMadurai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arimaMadurai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arimaMadurai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arimaMadurai(textStyle: textTheme.caption),
      button: GoogleFonts.arimaMadurai(textStyle: textTheme.button),
      overline: GoogleFonts.arimaMadurai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arimo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextStyle arimo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df255da5c656bbf01f4aa3012b4d4ba16f7bd17664a4e1fc011146a4eb95d436',
        242708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eafe825bf96517b1ff3b8d8710254e225584de1489e4c3deaa6b1cb8549a027d',
        249396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a4f400fb6090e3938136ea6fd3ec2c02777fb674d13b9582f96d4515044df23',
        240652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6b358f015564a1505c76b32db9b3f5c538a8f7d220dd04446697d286c820bf0',
        248528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arimo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arimo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arimo
  static TextTheme arimoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arimo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arimo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arimo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arimo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arimo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arimo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arimo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arimo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arimo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arimo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arimo(textStyle: textTheme.caption),
      button: GoogleFonts.arimo(textStyle: textTheme.button),
      overline: GoogleFonts.arimo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arizonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextStyle arizonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '603a1ae367969056ace1484bd5db4d882fabfa78008e6843d3ba07c08082c2c7',
        50688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arizonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arizonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arizonia
  static TextTheme arizoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arizonia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arizonia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arizonia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arizonia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arizonia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arizonia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arizonia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arizonia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arizonia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arizonia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arizonia(textStyle: textTheme.caption),
      button: GoogleFonts.arizonia(textStyle: textTheme.button),
      overline: GoogleFonts.arizonia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Armata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextStyle armata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7631b4ae2fae472da8b9d0b46acfec928c9c550e82dbee1685e72f389ab890d9',
        54772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Armata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Armata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Armata
  static TextTheme armataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.armata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.armata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.armata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.armata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.armata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.armata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.armata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.armata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.armata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.armata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.armata(textStyle: textTheme.caption),
      button: GoogleFonts.armata(textStyle: textTheme.button),
      overline: GoogleFonts.armata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arsenal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextStyle arsenal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b13a735c3c27289a74f4e934b380f078f89568b2633c5d8386e97a97d46158c',
        140064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f687cc6b9b17ac45aaf3391fbe649c2e1607804ce3ab85daddf9669f796d0a79',
        138944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ac62eb1c6ee28d30c2dacea06acdbec9c72bcbfdca1f76a873b8a2c18ac8ae6',
        141180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41b9ba2384a037e4ec361896e5868107cfa8535ab8befda2d9666584884aca80',
        139236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arsenal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arsenal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arsenal
  static TextTheme arsenalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arsenal(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arsenal(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arsenal(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arsenal(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arsenal(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arsenal(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arsenal(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arsenal(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arsenal(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arsenal(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arsenal(textStyle: textTheme.caption),
      button: GoogleFonts.arsenal(textStyle: textTheme.button),
      overline: GoogleFonts.arsenal(textStyle: textTheme.overline),
    );
  }

  /// Applies the Artifika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextStyle artifika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0d399a0a07f993bcb6bdd075a4e0f6ae155d222d230710b94d48933e8470dbf',
        100216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Artifika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Artifika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Artifika
  static TextTheme artifikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.artifika(textStyle: textTheme.headline1),
      headline2: GoogleFonts.artifika(textStyle: textTheme.headline2),
      headline3: GoogleFonts.artifika(textStyle: textTheme.headline3),
      headline4: GoogleFonts.artifika(textStyle: textTheme.headline4),
      headline5: GoogleFonts.artifika(textStyle: textTheme.headline5),
      headline6: GoogleFonts.artifika(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.artifika(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.artifika(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.artifika(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.artifika(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.artifika(textStyle: textTheme.caption),
      button: GoogleFonts.artifika(textStyle: textTheme.button),
      overline: GoogleFonts.artifika(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arvo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextStyle arvo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b816c4a4a7813e7daaa88e2f869b5c8acefbf8d52e00205c41d15dda95f1766c',
        22724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5250cf6a9f89eba5cb07686924135f2bce7a6f8775a569fac7276b5c83b03db7',
        22704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1126bb2afe7e919632493ca620fc94e998910794a9fd47d82092f6edc26f4368',
        22608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43a330e1b8afd2c95f4f6b1c9c67ef7dfab28ed90bfb6a4551efe8480a060222',
        23288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arvo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arvo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arvo
  static TextTheme arvoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arvo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arvo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arvo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arvo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arvo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arvo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arvo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arvo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arvo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arvo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arvo(textStyle: textTheme.caption),
      button: GoogleFonts.arvo(textStyle: textTheme.button),
      overline: GoogleFonts.arvo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Arya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextStyle arya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98cf640f609db3f8940fc4bc1566dda034961cb11d23f71a277f3ab268c8859a',
        120116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c168a53b559c7407d20692a42b94301046b15c4838d709b83992c32cab5732c',
        119776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Arya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Arya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Arya
  static TextTheme aryaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.arya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.arya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.arya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.arya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.arya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.arya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.arya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.arya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.arya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.arya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.arya(textStyle: textTheme.caption),
      button: GoogleFonts.arya(textStyle: textTheme.button),
      overline: GoogleFonts.arya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Asap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextStyle asap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3424989c5e2512f04cbd78fd70665961847d7307eb5d795caadac8db451f74cc',
        67676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6286c24191501089796508556c20c3086610ae6aeb56d9aadceaaa0b7d825c51',
        69828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7034a58c9a896f74c127472a7085dbd1d6bfb6fd2cafb4140dfde291f0bc399',
        67936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '13483b794adc9a08424049bbf8e6a03b399069e87c0c4d01777ae17c3328de81',
        69828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835a74fedec5a1877e092c739d9f213a3e41860462c70437da2465b5f99ea073',
        67904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce966470982f0031860428bc4a47e41d80471ac70ccc857fac1e948d6c964eb7',
        69648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asap
  static TextTheme asapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.asap(textStyle: textTheme.headline1),
      headline2: GoogleFonts.asap(textStyle: textTheme.headline2),
      headline3: GoogleFonts.asap(textStyle: textTheme.headline3),
      headline4: GoogleFonts.asap(textStyle: textTheme.headline4),
      headline5: GoogleFonts.asap(textStyle: textTheme.headline5),
      headline6: GoogleFonts.asap(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.asap(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.asap(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.asap(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.asap(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.asap(textStyle: textTheme.caption),
      button: GoogleFonts.asap(textStyle: textTheme.button),
      overline: GoogleFonts.asap(textStyle: textTheme.overline),
    );
  }

  /// Applies the Asar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextStyle asar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52cdc31a962e99a625bf96be5b06ab8118290c27e17701c4938182d9e56109af',
        410900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asar
  static TextTheme asarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.asar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.asar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.asar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.asar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.asar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.asar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.asar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.asar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.asar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.asar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.asar(textStyle: textTheme.caption),
      button: GoogleFonts.asar(textStyle: textTheme.button),
      overline: GoogleFonts.asar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Asset font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextStyle asset({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6423261d7b23d05ef705ee59a0151076feed8408f637b04693272b767ac6cfd5',
        52004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asset',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asset font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asset
  static TextTheme assetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.asset(textStyle: textTheme.headline1),
      headline2: GoogleFonts.asset(textStyle: textTheme.headline2),
      headline3: GoogleFonts.asset(textStyle: textTheme.headline3),
      headline4: GoogleFonts.asset(textStyle: textTheme.headline4),
      headline5: GoogleFonts.asset(textStyle: textTheme.headline5),
      headline6: GoogleFonts.asset(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.asset(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.asset(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.asset(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.asset(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.asset(textStyle: textTheme.caption),
      button: GoogleFonts.asset(textStyle: textTheme.button),
      overline: GoogleFonts.asset(textStyle: textTheme.overline),
    );
  }

  /// Applies the Assistant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextStyle assistant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f4c276bf1e4d52183015128074de4702a86fc31cce04f575a8ebef54a077c78',
        57240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad7ba792736448061fddf24806abe616e89d7a21a00d169ac4bf95db35ffe9cc',
        57400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ffb8d00a2bd6ab725bb34dc8eaf61737481f6b285988332e4f6a4b60279dbde',
        57088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1dc8095e8dddae977007770ce433f8ed1e374d0a83d7330ecea3b335109a4985',
        56812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81008b85f8a91125a8efe85a353982fe1b825def9ef33eed881b709a6debf250',
        56752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7370c1c3e5649abcfa6f44475eed601eb070ab934a708081b87627827d5463a',
        56872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Assistant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Assistant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Assistant
  static TextTheme assistantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.assistant(textStyle: textTheme.headline1),
      headline2: GoogleFonts.assistant(textStyle: textTheme.headline2),
      headline3: GoogleFonts.assistant(textStyle: textTheme.headline3),
      headline4: GoogleFonts.assistant(textStyle: textTheme.headline4),
      headline5: GoogleFonts.assistant(textStyle: textTheme.headline5),
      headline6: GoogleFonts.assistant(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.assistant(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.assistant(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.assistant(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.assistant(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.assistant(textStyle: textTheme.caption),
      button: GoogleFonts.assistant(textStyle: textTheme.button),
      overline: GoogleFonts.assistant(textStyle: textTheme.overline),
    );
  }

  /// Applies the Astloch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextStyle astloch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b51d807f9b0f818e44f8f40d4fbedacfff7df981efda85e7b722d62f6022a168',
        49860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b86a5f0e90945d44c5b629fde8c5a667dd7882ab201ccb397f96f482fd7e98bc',
        51544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Astloch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Astloch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Astloch
  static TextTheme astlochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.astloch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.astloch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.astloch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.astloch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.astloch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.astloch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.astloch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.astloch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.astloch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.astloch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.astloch(textStyle: textTheme.caption),
      button: GoogleFonts.astloch(textStyle: textTheme.button),
      overline: GoogleFonts.astloch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Asul font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextStyle asul({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd38e526c102508df44df01ded7aefa955a61c999e42e91cbcb82103aa1269875',
        33468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1810c0e0a5199932d466db95d83fab54bd1b5f6fd5b91664ca7240078d2dd1f0',
        33500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Asul',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Asul font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Asul
  static TextTheme asulTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.asul(textStyle: textTheme.headline1),
      headline2: GoogleFonts.asul(textStyle: textTheme.headline2),
      headline3: GoogleFonts.asul(textStyle: textTheme.headline3),
      headline4: GoogleFonts.asul(textStyle: textTheme.headline4),
      headline5: GoogleFonts.asul(textStyle: textTheme.headline5),
      headline6: GoogleFonts.asul(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.asul(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.asul(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.asul(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.asul(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.asul(textStyle: textTheme.caption),
      button: GoogleFonts.asul(textStyle: textTheme.button),
      overline: GoogleFonts.asul(textStyle: textTheme.overline),
    );
  }

  /// Applies the Athiti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextStyle athiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4abe61baf7f8762b4dcb6b88b0610de73f42b112a793e28b92da163ee7e441d7',
        112524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9c6df08ed329fa184304cf4bc64319e7812c62c2ae136dc89cb10a5d5c35018',
        111332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4559ae55fe1020c88dc144ae60afba5e282fcd3aa1c5107292df173d42135806',
        112320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e1f0a1706330d270d93ea13e88b35d9c6f4bf71d927e9468278c03b57986330',
        112508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '398a37b4c34df12c6ede4a85f215d56eaa5a8b515ea5e0bdad2ef676c2ae858a',
        112080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63b6ab040d22bd64ce5d5400f352fac3ecefa83827b1862b8a216d5c729ea286',
        112932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Athiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Athiti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Athiti
  static TextTheme athitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.athiti(textStyle: textTheme.headline1),
      headline2: GoogleFonts.athiti(textStyle: textTheme.headline2),
      headline3: GoogleFonts.athiti(textStyle: textTheme.headline3),
      headline4: GoogleFonts.athiti(textStyle: textTheme.headline4),
      headline5: GoogleFonts.athiti(textStyle: textTheme.headline5),
      headline6: GoogleFonts.athiti(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.athiti(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.athiti(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.athiti(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.athiti(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.athiti(textStyle: textTheme.caption),
      button: GoogleFonts.athiti(textStyle: textTheme.button),
      overline: GoogleFonts.athiti(textStyle: textTheme.overline),
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextStyle atkinsonHyperlegible({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34cbbb160a161e76615409702bd11d517714be485035c724a5b4823609e128f3',
        35240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de702b1afd3d264aaff860cd5aa76e5a28a9d5d4194616f8ab58461aa732ac2e',
        35640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1d77f8ab92ba17799673d4b74349ec47450a40ec2e275ccfb1521e4b411808b',
        35432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ae3af7b85ce5c0e45767b9ba419340fe3f91c78c181b9f09c5ebca7eb6505d0',
        35960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtkinsonHyperlegible',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atkinson Hyperlegible font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atkinson+Hyperlegible
  static TextTheme atkinsonHyperlegibleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.caption),
      button: GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.button),
      overline: GoogleFonts.atkinsonHyperlegible(textStyle: textTheme.overline),
    );
  }

  /// Applies the Atma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextStyle atma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd691cbd1df6f6a53328f8d9d9514102c915be55e93a8c1f0cb0826a27a60e4f2',
        196364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '702ceed58c58203ab0c8ad4bbbbda56c77b89a29496d748322180acbed120201',
        198056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc558572cee6afca8a8d34b8cb8a2397d749e0c22f9d9977f39eb0e84d636967',
        197528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b569b84d6ee492ead3f4c73af6244137b0e4c604c9e98cc57627162221d498bb',
        196596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127f716e96fc47aee7624acf9cebd859693a19f2fc1f7d832f33835e5bd3b834',
        193184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Atma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atma
  static TextTheme atmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.atma(textStyle: textTheme.headline1),
      headline2: GoogleFonts.atma(textStyle: textTheme.headline2),
      headline3: GoogleFonts.atma(textStyle: textTheme.headline3),
      headline4: GoogleFonts.atma(textStyle: textTheme.headline4),
      headline5: GoogleFonts.atma(textStyle: textTheme.headline5),
      headline6: GoogleFonts.atma(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.atma(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.atma(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.atma(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.atma(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.atma(textStyle: textTheme.caption),
      button: GoogleFonts.atma(textStyle: textTheme.button),
      overline: GoogleFonts.atma(textStyle: textTheme.overline),
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextStyle atomicAge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fc59a494c6184d973d9d5db8ec698d8acb6283fc807bd1a13c30000b83b832c',
        44272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AtomicAge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Atomic Age font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Atomic+Age
  static TextTheme atomicAgeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.atomicAge(textStyle: textTheme.headline1),
      headline2: GoogleFonts.atomicAge(textStyle: textTheme.headline2),
      headline3: GoogleFonts.atomicAge(textStyle: textTheme.headline3),
      headline4: GoogleFonts.atomicAge(textStyle: textTheme.headline4),
      headline5: GoogleFonts.atomicAge(textStyle: textTheme.headline5),
      headline6: GoogleFonts.atomicAge(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.atomicAge(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.atomicAge(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.atomicAge(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.atomicAge(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.atomicAge(textStyle: textTheme.caption),
      button: GoogleFonts.atomicAge(textStyle: textTheme.button),
      overline: GoogleFonts.atomicAge(textStyle: textTheme.overline),
    );
  }

  /// Applies the Aubrey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextStyle aubrey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1464a409557010421785a4857a333c92eb6c4a28c0dbeeb0b1f8441f5e68ab96',
        96976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Aubrey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Aubrey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Aubrey
  static TextTheme aubreyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.aubrey(textStyle: textTheme.headline1),
      headline2: GoogleFonts.aubrey(textStyle: textTheme.headline2),
      headline3: GoogleFonts.aubrey(textStyle: textTheme.headline3),
      headline4: GoogleFonts.aubrey(textStyle: textTheme.headline4),
      headline5: GoogleFonts.aubrey(textStyle: textTheme.headline5),
      headline6: GoogleFonts.aubrey(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.aubrey(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.aubrey(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.aubrey(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.aubrey(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.aubrey(textStyle: textTheme.caption),
      button: GoogleFonts.aubrey(textStyle: textTheme.button),
      overline: GoogleFonts.aubrey(textStyle: textTheme.overline),
    );
  }

  /// Applies the Audiowide font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextStyle audiowide({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2054b5910bd5457176b1479122e09690d5afe73d3749e5ef89a3686e6f724c29',
        70472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Audiowide',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Audiowide font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Audiowide
  static TextTheme audiowideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.audiowide(textStyle: textTheme.headline1),
      headline2: GoogleFonts.audiowide(textStyle: textTheme.headline2),
      headline3: GoogleFonts.audiowide(textStyle: textTheme.headline3),
      headline4: GoogleFonts.audiowide(textStyle: textTheme.headline4),
      headline5: GoogleFonts.audiowide(textStyle: textTheme.headline5),
      headline6: GoogleFonts.audiowide(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.audiowide(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.audiowide(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.audiowide(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.audiowide(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.audiowide(textStyle: textTheme.caption),
      button: GoogleFonts.audiowide(textStyle: textTheme.button),
      overline: GoogleFonts.audiowide(textStyle: textTheme.overline),
    );
  }

  /// Applies the Autour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextStyle autourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee63c9c20873c21ac935c1493e94bb24b9dc9782f63d01761b54dfedf4b3972c',
        59552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AutourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Autour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Autour+One
  static TextTheme autourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.autourOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.autourOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.autourOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.autourOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.autourOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.autourOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.autourOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.autourOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.autourOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.autourOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.autourOne(textStyle: textTheme.caption),
      button: GoogleFonts.autourOne(textStyle: textTheme.button),
      overline: GoogleFonts.autourOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Average font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextStyle average({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce0697844aa3a978d483dfa380fbebd5bff8e7e6dc0897bf6c2c009fb9ae4ab2',
        37788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Average',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average
  static TextTheme averageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.average(textStyle: textTheme.headline1),
      headline2: GoogleFonts.average(textStyle: textTheme.headline2),
      headline3: GoogleFonts.average(textStyle: textTheme.headline3),
      headline4: GoogleFonts.average(textStyle: textTheme.headline4),
      headline5: GoogleFonts.average(textStyle: textTheme.headline5),
      headline6: GoogleFonts.average(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.average(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.average(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.average(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.average(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.average(textStyle: textTheme.caption),
      button: GoogleFonts.average(textStyle: textTheme.button),
      overline: GoogleFonts.average(textStyle: textTheme.overline),
    );
  }

  /// Applies the Average Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextStyle averageSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'defa6f6e46057de37a3b075c74765ba7cd6a46e0ac756e83f454dfb8b1afa95c',
        43964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AverageSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Average Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Average+Sans
  static TextTheme averageSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.averageSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.averageSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.averageSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.averageSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.averageSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.averageSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.averageSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.averageSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.averageSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.averageSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.averageSans(textStyle: textTheme.caption),
      button: GoogleFonts.averageSans(textStyle: textTheme.button),
      overline: GoogleFonts.averageSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextStyle averiaGruesaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c60fda1756722c9f8d80009e0627d49eb2106d9eada7962d132e3ebef09c96a',
        111344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaGruesaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Gruesa Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Gruesa+Libre
  static TextTheme averiaGruesaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.caption),
      button: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.button),
      overline: GoogleFonts.averiaGruesaLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextStyle averiaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '446105043cce1cc90406cda4c387ef2100b294d9d63b3946d4a395d3f2a9ce07',
        108192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8a24e13d7d611dd8a4e15743ac34b163b1e96d1c9a9e82746f0bd9d3a878613',
        133544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b819eb7a1c11f4de65f3bfe1a8f658ea56fc62b2b7a24b2cf8688e9ced04c96',
        108468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '793d505e83fbdbef6ceeabd6897693fb515a4890b822623deb545b53e7ec68dd',
        128848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b157a260e6fd6b7cdd2d54fc4f46e1a72fbb33034b74a6929cbc4d0a7d83e3d',
        112228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '08c2c28ffffd04d884122fa538e0c615e52983959363269b543084794a60955f',
        135664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Libre
  static TextTheme averiaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.averiaLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.averiaLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.averiaLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.averiaLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.averiaLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.averiaLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.averiaLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.averiaLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.averiaLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.averiaLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.averiaLibre(textStyle: textTheme.caption),
      button: GoogleFonts.averiaLibre(textStyle: textTheme.button),
      overline: GoogleFonts.averiaLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextStyle averiaSansLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '452436a08a43ba5da912a2ed71aa4e0c67ae680532317c5affb99278cedc4eb8',
        107752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '056589edb0d0f068b768b9b9f6361bb5c4a2d53a33006288c9d089b1e6421f66',
        134200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5f843350837023c845544f24fa59e8c71cbe7bc284c0ea4127aa872c4fcac41',
        108360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a79e7e7aecba032e6272d99a93c69868328db8d34091d1c70ccfd4a839f70489',
        128896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8af8ea3669721038ea729e975cadce19a0032e981378e23c8377e2faf979aca',
        113016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0509fc7d0b873424deb4340ab1bafca704241ecfda08cdafeab623999d12bdfd',
        135852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSansLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Sans Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Sans+Libre
  static TextTheme averiaSansLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.averiaSansLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.averiaSansLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.averiaSansLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.averiaSansLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.averiaSansLibre(textStyle: textTheme.caption),
      button: GoogleFonts.averiaSansLibre(textStyle: textTheme.button),
      overline: GoogleFonts.averiaSansLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextStyle averiaSerifLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '605722d0534e8b2a7a4ce36ebc7ecfa14868d5aeae52ba3419e14a19e67c92ba',
        109972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b675f9e2f2962fb69b7145f35ea9df241cdc9b91744abeac3cdfbf7aca1740b',
        135976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1939fc59e6192c78872b151f71d328c64c84552c1f8f7548f3278d3db023959f',
        109988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '383c63d8878e96726e26c44d5a631030fcf28d4abdcb9bdadd86dbb01a623de9',
        130956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19af7d57b5ea32ff5df3f2405e0d51759fdbab503fa4cfd420a5eb4943805fcc',
        113956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '164c3a01088756eebd948641705d6759b2fc7dabfd77d6e36490aa39befa0028',
        138208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AveriaSerifLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Averia Serif Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Averia+Serif+Libre
  static TextTheme averiaSerifLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.averiaSerifLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.averiaSerifLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.averiaSerifLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.averiaSerifLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.averiaSerifLibre(textStyle: textTheme.caption),
      button: GoogleFonts.averiaSerifLibre(textStyle: textTheme.button),
      overline: GoogleFonts.averiaSerifLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextStyle azeretMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17eadd900e8697179e86daa8727665092ebec16832f9ee199de8b8e54fda5aa7',
        36332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fbb2b6e56d74da49cd1b04d6ed9cfc80aaa81561b455427db77b7b1a12759b4',
        36372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3d65bcd9f306acf8c3744450b92f85380524a8dfa9b586dcccf56eb1c400c1d',
        36288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '966e02b75e7454d55d4b1a2974a330c2b76779ccba8f6d684d848de14dce93ce',
        36248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03fda14a0ebe8a246f3f9521b14c6a9a91dc70f72072d4b746308def23eec808',
        36312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd729517045d72ae5a8787d73efb2290c35d850c6729525a10d485421cc057889',
        36188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd04e67b0254378c3a21eb212f76251a059f22b5e23d47f38c4e1d1187fe8919a',
        36100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54e96a6c30b11221465bf0071fbd2d431b9053cd1aceae988b3ab0edf7f5bcaa',
        36272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8067b9c0891f914b2e18396d78759a447a7f05e9e9962bfcced62c5ac17451f6',
        36320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb9d34f997abe93294bac0aeb7f3a3a0890ddc714764ec04efacb5dd4d3ad804',
        37464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ae97ba631af094633e309222572eac2797a918e9b915b16b00fb951079f2e88b',
        37556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f8e6637fa70bd1135e9a8a8e948df66e815acbaa4bb7276e7d11b299ec8070f',
        37448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '296c839ed98ffa90d3501f16cbda77bbfc970812fd973684ca4e9d810d96935e',
        37344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1617eb8b69ff5da2019ed9928aa01fe94ecd8772c4c74142f5cdffbd85113482',
        37496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91ddb90e7301d3c70287c8c2e8aa1e78e0abe3a98885fe318d7a64c4cbf4be5d',
        37464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00eb258d2de95fbe13fb792f6489d0ca99bf660874bde4af33b6fe4c225bfb41',
        37236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd6f6f39f052a155a9dcf80659f3740a1477100fa486592f4bd51d70079cbd3fb',
        37412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6836a6e60b3516ec45ba9a8ccb68f827c2ec3880feaaa71d6258aa021eaf63ae',
        37468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'AzeretMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Azeret Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Azeret+Mono
  static TextTheme azeretMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.azeretMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.azeretMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.azeretMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.azeretMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.azeretMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.azeretMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.azeretMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.azeretMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.azeretMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.azeretMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.azeretMono(textStyle: textTheme.caption),
      button: GoogleFonts.azeretMono(textStyle: textTheme.button),
      overline: GoogleFonts.azeretMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the B612 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextStyle b612({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b11c6d50f8a4ef2abd6df134192e3770a9b392c814caf916bcf0efa87e6743d2',
        89048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4250a2e42f4ceda476c771828532dfb8cb2e9170ceb541e8aecc34ecea7977b4',
        92732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3f9b01c62cb7bf3bc87cbc07452bc98a3058af8a40db93b64528fb711a429ea',
        88700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f930926cd0cbbde94c51659420d91fb464c93fa3109c6bdf553a706985e307e2',
        91740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612
  static TextTheme b612TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.b612(textStyle: textTheme.headline1),
      headline2: GoogleFonts.b612(textStyle: textTheme.headline2),
      headline3: GoogleFonts.b612(textStyle: textTheme.headline3),
      headline4: GoogleFonts.b612(textStyle: textTheme.headline4),
      headline5: GoogleFonts.b612(textStyle: textTheme.headline5),
      headline6: GoogleFonts.b612(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.b612(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.b612(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.b612(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.b612(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.b612(textStyle: textTheme.caption),
      button: GoogleFonts.b612(textStyle: textTheme.button),
      overline: GoogleFonts.b612(textStyle: textTheme.overline),
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextStyle b612Mono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ffa9cacfa6fcd1a7a413d3b87f6f5ac6e2b201649b64695d976e0af5a46d512',
        86196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '55c1dcdfe00e2848cd4e1946617c601f62a0828e6ba3c73924b8b4f4e705785c',
        88684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '515c42e5f2790fd973f2ee9685301efa0110bc2dfb33df69b57875318ad1e100',
        85172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4a6d28684fe7467e89b15c82070e98ed4c0623a5df5a9a05d347f757cda41e6',
        87488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'B612Mono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the B612 Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/B612+Mono
  static TextTheme b612MonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.b612Mono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.b612Mono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.b612Mono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.b612Mono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.b612Mono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.b612Mono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.b612Mono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.b612Mono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.b612Mono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.b612Mono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.b612Mono(textStyle: textTheme.caption),
      button: GoogleFonts.b612Mono(textStyle: textTheme.button),
      overline: GoogleFonts.b612Mono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bad Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextStyle badScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85388546eb146e3e3bf5803d4a47f053ad2a9491ee3470c23912777bfbfbc111',
        54372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BadScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bad Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bad+Script
  static TextTheme badScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.badScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.badScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.badScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.badScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.badScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.badScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.badScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.badScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.badScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.badScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.badScript(textStyle: textTheme.caption),
      button: GoogleFonts.badScript(textStyle: textTheme.button),
      overline: GoogleFonts.badScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bahiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextStyle bahiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1134edff7d2708933a16883c07c5223938a3500e9880b289c754c2602b9181f7',
        51296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahiana
  static TextTheme bahianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bahiana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bahiana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bahiana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bahiana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bahiana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bahiana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bahiana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bahiana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bahiana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bahiana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bahiana(textStyle: textTheme.caption),
      button: GoogleFonts.bahiana(textStyle: textTheme.button),
      overline: GoogleFonts.bahiana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bahianita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextStyle bahianita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eae7d3828ad86d4af376a41fb9bd577433f7b9acf6f561f8c3383bf8f37224b',
        91540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bahianita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bahianita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bahianita
  static TextTheme bahianitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bahianita(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bahianita(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bahianita(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bahianita(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bahianita(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bahianita(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bahianita(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bahianita(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bahianita(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bahianita(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bahianita(textStyle: textTheme.caption),
      button: GoogleFonts.bahianita(textStyle: textTheme.button),
      overline: GoogleFonts.bahianita(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextStyle baiJamjuree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdb9acd5c9a309240a161cc16a0a5e3a1f3bf9258d1f2cf14fdfdf6f79d83c8e',
        78044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fff587a7a746a3d84947c3982968551180877152f29ac4e6b58a5d060e741ee3',
        83600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '253ea5a1c8d0d3dacbf5b9f0db496617c2af6b95a5e0680df9c9c62b989b1799',
        78384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c31f0c72862a5db7605a1625ddf34cc3c20c1c8a756b7d8848bf7f57a2707e0c',
        83780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1dad5e37560fcacf02277fc359aecaab78b734f4a4839c6cf910296b20101fa',
        78416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8939d2176c550b12487aed8e2fbc3b25917494c1174787534ed05c61be397f2',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f9c01d94ba412108985bed479c74ca19d6b1b8c6982ee1fc113a970d5d323ea',
        78428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01569d323f908485836ed8c94772695fc05a4b02812f4f29a62ec257f911b55b',
        83944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2ef2b81cbfb6b9a14a4bb8931a87a0887e676e237a098c40aa9e61d601dcbd2',
        78412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7db95e5673e505c331643e67b6172b4465e72300e3642242b55e75a28d7f5883',
        83776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e456eaafee629c1aa6ffda2fbc121b9b76b54ab7f4b6dcaac6a4a523263b2237',
        78104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3445df11af52dc901fce718f3b68b4df5dc14a6c7b2ae6399dcf47c7fa7dd34b',
        83360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BaiJamjuree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bai Jamjuree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bai+Jamjuree
  static TextTheme baiJamjureeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.baiJamjuree(textStyle: textTheme.headline1),
      headline2: GoogleFonts.baiJamjuree(textStyle: textTheme.headline2),
      headline3: GoogleFonts.baiJamjuree(textStyle: textTheme.headline3),
      headline4: GoogleFonts.baiJamjuree(textStyle: textTheme.headline4),
      headline5: GoogleFonts.baiJamjuree(textStyle: textTheme.headline5),
      headline6: GoogleFonts.baiJamjuree(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.baiJamjuree(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.baiJamjuree(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.baiJamjuree(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.baiJamjuree(textStyle: textTheme.caption),
      button: GoogleFonts.baiJamjuree(textStyle: textTheme.button),
      overline: GoogleFonts.baiJamjuree(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextStyle bakbakOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad261ccadac3c182a1a7fe97f1a4451e76fe99ddcfdf24cc848ca6e14fb22b90',
        146024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BakbakOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bakbak One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bakbak+One
  static TextTheme bakbakOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bakbakOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bakbakOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bakbakOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bakbakOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bakbakOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bakbakOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bakbakOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bakbakOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bakbakOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bakbakOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bakbakOne(textStyle: textTheme.caption),
      button: GoogleFonts.bakbakOne(textStyle: textTheme.button),
      overline: GoogleFonts.bakbakOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo
  static TextStyle baloo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2466b115f1d612b5be7c3c51aa118d952041ad4c9ebc6b790d3659c11ae3681d',
        386736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baloo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo
  static TextTheme balooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.baloo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.baloo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.baloo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.baloo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.baloo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.baloo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.baloo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.baloo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.baloo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.baloo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.baloo(textStyle: textTheme.caption),
      button: GoogleFonts.baloo(textStyle: textTheme.button),
      overline: GoogleFonts.baloo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextStyle baloo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50f1fa75576179db905615b5082a9cc002d428b28978b665b2104c7bb66dc734',
        418540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a75bd421ee450e7d822122c1a1a14bc950175c2ffacf755fae53c2a69081e5a8',
        418852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29ae9534de2fdb12104bd01aed59e45714043b2385ae9e27260c70f3d313df1a',
        418760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19b747c63cb3dfb634894e1724013a5013b9913f344e4db2d926bc8ad66b0d11',
        418628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3e109e93272c4824337c012dd567915c1a7a0cf9542c54f46fca29cfec233d8',
        418236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baloo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+2
  static TextTheme baloo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.baloo2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.baloo2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.baloo2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.baloo2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.baloo2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.baloo2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.baloo2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.baloo2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.baloo2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.baloo2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.baloo2(textStyle: textTheme.caption),
      button: GoogleFonts.baloo2(textStyle: textTheme.button),
      overline: GoogleFonts.baloo2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai
  static TextStyle balooBhai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '678bfe33602fe168ee8732abcdc1ea3a454798cd99cb4f81f7e9d16581a7e2ed',
        277392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai
  static TextTheme balooBhaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhai(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhai(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextStyle balooBhai2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f77231e378c1e0f35889351005528d442b76a08b428547f8681a58d8a25018d',
        539732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8256fc1059c0c31c79bf1055af14dfbf465482649e9aaf7b46ae7037a1ee46d',
        539852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '543bb68e0d2faeab4410e4bbb6304a4e64cbf1ea00eff0afc875fb5476f3d64d',
        540084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ddd339d75d662fd3a7e3df7a3ecb9f7b63b9f644edbdf30f10d5cd30f4269608',
        539956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c5414d8fbd676015be0628b947eba4b4ca682a2e13e759d308a53a56b6d3ae1',
        539476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhai2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhai 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhai+2
  static TextTheme balooBhai2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhai2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhai2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhai2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhai2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhai2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhai2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhai2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhai2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhai2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhai2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhai2(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhai2(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhai2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhaijaan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan
  static TextStyle balooBhaijaan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52b00fb70a18a89da089a7492d3d97836ec7bd211288d3ec4ad6a60914db3dd3',
        171132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaijaan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaijaan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan
  static TextTheme balooBhaijaanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhaijaan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhaijaan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhaijaan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhaijaan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhaijaan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhaijaan(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhaijaan(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhaijaan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextStyle balooBhaijaan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bdf9cf4da53391e4964ce53fa661740d80743524fc9c63410fa46975b1c6bb9',
        167644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '015ae39bc2f2da3e78cba0e127c7d2a12354e09a5347cf3b1399840ed12ebeb4',
        167880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5458f762cd4c6c4bd759c1040c9768a3f4dd6a7192fd8c7ec53c6ae3d3c24707',
        167896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0a76003e8d5c7207e0b2c47761dc720f2a641c917788860e7668e03583c5333',
        167880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a93ab0920d84c5e00dc61f4c359999f8a1e5a5d05c7997b8b86a50fe3ee07d73',
        167716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaijaan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaijaan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaijaan+2
  static TextTheme balooBhaijaan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhaijaan2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhaijaan2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhaijaan2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhaijaan2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhaijaan2(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhaijaan2(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhaijaan2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhaina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina
  static TextStyle balooBhaina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86bbf2a9f2b3936c4b1907de7136a4ca0f71efacfe22b7a6fa1b8a8a81f86282',
        262212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina
  static TextTheme balooBhainaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhaina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhaina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhaina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhaina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhaina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhaina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhaina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhaina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhaina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhaina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhaina(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhaina(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhaina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextStyle balooBhaina2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b9208ff3dd1e0390cef097fa5e5d7d6ec9812dbf9e21b0d6a6fb65dc1af33b4',
        273820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0573a15884d1a9ff4d1c8c6f73f9ba9ed56be4eb55bc274f1bcd50711fd29f52',
        274868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a439bf203f075c1959d34a6980c5a25f43c792eba25ca64383b84ea525e2904',
        274900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6b18bc5ebd33d0a8665cc890dfd74ed52496b7ba6df8dd3d2c857d29e195f3',
        274736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81f55e89e694069e05eab12c0d4b4cf1c4b3d76aba366df382d04cab2d710b07',
        273220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooBhaina2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Bhaina 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Bhaina+2
  static TextTheme balooBhaina2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooBhaina2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooBhaina2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooBhaina2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooBhaina2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooBhaina2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooBhaina2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooBhaina2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooBhaina2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooBhaina2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooBhaina2(textStyle: textTheme.caption),
      button: GoogleFonts.balooBhaina2(textStyle: textTheme.button),
      overline: GoogleFonts.balooBhaina2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Chettan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan
  static TextStyle balooChettan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e430d6e47dbe9220996407624585cda368b6ce19a23c3f46844a06db3c0a679',
        217796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooChettan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Chettan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan
  static TextTheme balooChettanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooChettan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooChettan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooChettan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooChettan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooChettan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooChettan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooChettan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooChettan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooChettan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooChettan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooChettan(textStyle: textTheme.caption),
      button: GoogleFonts.balooChettan(textStyle: textTheme.button),
      overline: GoogleFonts.balooChettan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextStyle balooChettan2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af187faa14f0b4d90d4b7fe397e38be6fd453e3aa17a729b517c0ef726922ad4',
        191080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96aea35a01a609c9b9684550058fb7bf16b63c3f66fd6e90179350f0f9495a05',
        191676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05698cf8974676fc630d827c82d2d9c3551cc40539fcd5cd5bc139b320445ab0',
        191668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a3cdaa152c3ac6d72497123ce30e38cd5e698598db3ae1b9a29f374e2528c8d',
        191576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee8f98eeeaae014a51bcc36d2f594d850842e4eeeb155b7edb6404c9d567593e',
        191428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooChettan2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Chettan 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Chettan+2
  static TextTheme balooChettan2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooChettan2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooChettan2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooChettan2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooChettan2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooChettan2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooChettan2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooChettan2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooChettan2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooChettan2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooChettan2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooChettan2(textStyle: textTheme.caption),
      button: GoogleFonts.balooChettan2(textStyle: textTheme.button),
      overline: GoogleFonts.balooChettan2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Da font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da
  static TextStyle balooDa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88a331b2ae3e4db09605af2b1076b22c3734e2ecfd1b4ef1f4ca57446672e6cf',
        288676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooDa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Da font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da
  static TextTheme balooDaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooDa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooDa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooDa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooDa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooDa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooDa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooDa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooDa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooDa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooDa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooDa(textStyle: textTheme.caption),
      button: GoogleFonts.balooDa(textStyle: textTheme.button),
      overline: GoogleFonts.balooDa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextStyle balooDa2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4320e8c2c249a46f3d46e23da2f071abe081b23cf282495ba93a3d6f79d52c3',
        269952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db6079f2c759d759c23845143ca2279d4a7dcc4750d38092979d3a97e53be87c',
        270480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ab5d23427bc5a4390f10308d0ebf872aad08181af3d50b23a1c2b1bfd7847dd',
        270608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efbd830048983225f35b73d86f55eb1ccc8a6fb89967ac8187570c946f4275ad',
        270288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8d1033cf085ab33c1c97619c67bdc6f46d6656a955227f30a7cc79390327a52',
        269412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooDa2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Da 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Da+2
  static TextTheme balooDa2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooDa2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooDa2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooDa2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooDa2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooDa2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooDa2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooDa2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooDa2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooDa2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooDa2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooDa2(textStyle: textTheme.caption),
      button: GoogleFonts.balooDa2(textStyle: textTheme.button),
      overline: GoogleFonts.balooDa2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Paaji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji
  static TextStyle balooPaaji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95ba9f62ad854dc07958f311af18c674ca943fa7450fa4f6640d18e8eccdfe3f',
        185064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooPaaji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Paaji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji
  static TextTheme balooPaajiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooPaaji(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooPaaji(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooPaaji(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooPaaji(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooPaaji(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooPaaji(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooPaaji(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooPaaji(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooPaaji(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooPaaji(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooPaaji(textStyle: textTheme.caption),
      button: GoogleFonts.balooPaaji(textStyle: textTheme.button),
      overline: GoogleFonts.balooPaaji(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextStyle balooPaaji2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a99cd8c935313e394111a744d82a8f539a54d43b38cf43797f1ffe788b157b2',
        148084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd686d10ca6d4b9ecfe632d22b6cfaa345cd6ce5ff327f65fd0de3b083b8481e1',
        148324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf268c63ba37c47821e4e9322f3e865d0921f0de24cdd5c1f59e63a61da79db2',
        148316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54e7da8c2ced370202fb07d7d8136c0e739f5eaa321585db788716f48801d04',
        148188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '664ee4d64437ca980964284054825a3241c268749e439537f993ff69025bacba',
        148120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooPaaji2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Paaji 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Paaji+2
  static TextTheme balooPaaji2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooPaaji2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooPaaji2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooPaaji2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooPaaji2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooPaaji2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooPaaji2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooPaaji2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooPaaji2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooPaaji2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooPaaji2(textStyle: textTheme.caption),
      button: GoogleFonts.balooPaaji2(textStyle: textTheme.button),
      overline: GoogleFonts.balooPaaji2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Tamma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma
  static TextStyle balooTamma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8005871563cf3cfadf580fba66361b46649b342e9e1765d65405765af6e92c4',
        389440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTamma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tamma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma
  static TextTheme balooTammaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooTamma(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooTamma(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooTamma(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooTamma(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooTamma(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooTamma(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooTamma(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooTamma(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooTamma(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooTamma(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooTamma(textStyle: textTheme.caption),
      button: GoogleFonts.balooTamma(textStyle: textTheme.button),
      overline: GoogleFonts.balooTamma(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextStyle balooTamma2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f92657afb4b2f15e8fac2d4691d62acee86045cca51a987f8f4f04873bf38e1',
        280440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a73e821f0858fd50d0cce6b298e3d40d04548f464385f283118dde9aeccc0ac',
        281528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de3910900e7a20797c8ea9ccad5c24ec1593ce226f1c7258bb39e08e900a2386',
        281668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebe046951e426194621fe77ed17a6f500e804a1016d550c34817e4010e87d505',
        281592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '224e88a3618a2dd207255fb20e5981bc75d28fff2efe84200280bbac80a42a26',
        280984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTamma2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tamma 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tamma+2
  static TextTheme balooTamma2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooTamma2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooTamma2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooTamma2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooTamma2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooTamma2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooTamma2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooTamma2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooTamma2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooTamma2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooTamma2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooTamma2(textStyle: textTheme.caption),
      button: GoogleFonts.balooTamma2(textStyle: textTheme.button),
      overline: GoogleFonts.balooTamma2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Tammudu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu
  static TextStyle balooTammudu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bc7db26ac47d3561769f8cb3dfb93afd2767965efbd2770a77f8ffb33c5a013',
        406812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTammudu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tammudu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu
  static TextTheme balooTammuduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooTammudu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooTammudu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooTammudu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooTammudu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooTammudu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooTammudu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooTammudu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooTammudu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooTammudu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooTammudu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooTammudu(textStyle: textTheme.caption),
      button: GoogleFonts.balooTammudu(textStyle: textTheme.button),
      overline: GoogleFonts.balooTammudu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextStyle balooTammudu2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26d89904983b89ec9d35c3ff0926caddbd573d1819c9cc5e075076e32fae1e2e',
        388492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '450e924c9b1553fb6a2dac936b4969a3c17e945106eda976bc3a9430495bb944',
        389948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5240982376f483e2f466392812aaf742861add0608c00f1a0e4fd75c39537fdd',
        389924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127c1d082ab229aa23f6cbe6d8bf4896cca953566fdd2ac230cbac1c93d2cf09',
        389872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a68cd6a9804defcaa7cab652a50f1ca88488833995452234d85f82222ba0a33e',
        388168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooTammudu2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Tammudu 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Tammudu+2
  static TextTheme balooTammudu2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooTammudu2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooTammudu2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooTammudu2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooTammudu2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooTammudu2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooTammudu2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooTammudu2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooTammudu2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooTammudu2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooTammudu2(textStyle: textTheme.caption),
      button: GoogleFonts.balooTammudu2(textStyle: textTheme.button),
      overline: GoogleFonts.balooTammudu2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Thambi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi
  static TextStyle balooThambi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eb4d30c776f864b83a43cfbbcf1d05dda4a119a042f5a735adb014fdb4707e3',
        200468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooThambi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Thambi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi
  static TextTheme balooThambiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooThambi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooThambi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooThambi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooThambi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooThambi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooThambi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooThambi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooThambi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooThambi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooThambi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooThambi(textStyle: textTheme.caption),
      button: GoogleFonts.balooThambi(textStyle: textTheme.button),
      overline: GoogleFonts.balooThambi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextStyle balooThambi2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0832b1721d4a2eaacea1a3ea56da049a7ac7bc37e948ba4ea6a7055aac3233cf',
        171208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bf994fbad7fcb711fc55e9a3873edbef46b1ac4f147c0922c0c3f13831057f7',
        171444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74c3fee0953424c375ad7dd24c84125a3ad2b582171e7d5aa4fafd74493cd3ac',
        171516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a983a3ba859b623947f3e05e74976932e533aa647a5a992bedc19bc034b0fb8d',
        171152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f02c70eca53d0c0e93cd1aa4811516f597efc42ca65f6f3830a55958e855ce54',
        171152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalooThambi2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baloo Thambi 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baloo+Thambi+2
  static TextTheme balooThambi2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balooThambi2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balooThambi2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balooThambi2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balooThambi2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balooThambi2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balooThambi2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balooThambi2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balooThambi2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balooThambi2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balooThambi2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balooThambi2(textStyle: textTheme.caption),
      button: GoogleFonts.balooThambi2(textStyle: textTheme.button),
      overline: GoogleFonts.balooThambi2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextStyle balsamiqSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e06cc657444119a9850424b46ff940639699d52e1c3031047cb7fc3691a6c33e',
        303084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '029988fdbc0ec2b09771bb360c222d7c13d7247fd1c37c3e82858febc4f78349',
        283788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de004fda1323e24a4c16a3f11bb31263cbef6c1ed531a72ff49866f47c488fa1',
        275832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7734baad3cbcee8aea5640e4c79b22fe23e57a1a619020095e4e4d2d723f98b',
        257140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BalsamiqSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balsamiq Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balsamiq+Sans
  static TextTheme balsamiqSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balsamiqSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balsamiqSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balsamiqSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balsamiqSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balsamiqSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balsamiqSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balsamiqSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balsamiqSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balsamiqSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balsamiqSans(textStyle: textTheme.caption),
      button: GoogleFonts.balsamiqSans(textStyle: textTheme.button),
      overline: GoogleFonts.balsamiqSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Balthazar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextStyle balthazar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f532266accd2179da995d74ed36fa8bf3095162e9404d68381594561a335b66',
        28176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Balthazar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Balthazar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Balthazar
  static TextTheme balthazarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.balthazar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.balthazar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.balthazar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.balthazar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.balthazar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.balthazar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.balthazar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.balthazar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.balthazar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.balthazar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.balthazar(textStyle: textTheme.caption),
      button: GoogleFonts.balthazar(textStyle: textTheme.button),
      overline: GoogleFonts.balthazar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bangers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextStyle bangers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42a6646ed15dc91b9430f7e69e6259203235b48fa12c9cc10b6b72afab348de0',
        75700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bangers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bangers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bangers
  static TextTheme bangersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bangers(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bangers(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bangers(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bangers(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bangers(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bangers(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bangers(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bangers(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bangers(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bangers(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bangers(textStyle: textTheme.caption),
      button: GoogleFonts.bangers(textStyle: textTheme.button),
      overline: GoogleFonts.bangers(textStyle: textTheme.overline),
    );
  }

  /// Applies the Barlow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextStyle barlow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbc7c82fdee3fa8b92bb23c3b9a2e8030733dbbc7322cd0c547b7c1889e7ecc0',
        61884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f69e0bff8f7ab1739bd00636f1efa74a5937c7d34ae95b4ce353b4baad0eae33',
        65692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6759b2d507f1549918b6b4a394efcca8982958de5ac4134d359b7162e12701ba',
        62392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f750383a2bd7ca69e5e24c2f3fcf974a67a9e98818703c12d9fd2600d62b49cf',
        66844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f582c8c58e673f459c2daf36fb9e1d3522dd5a7c50e0b8ee02d5a95089fff221',
        64984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5ccb6cff74b4b842a4da09f1543e6f2ab54f86a0e75b997b7ef375159d0f9bca',
        68556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1e3cf893b74f13d898b529820f0e01dd59c5c3f6f69635604600893cc99c914',
        62316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '512de0e21c7303a0b6718ff5cf57c376345786cc521ce3851053764f55398e53',
        66936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ed898f9a3aa42d3615c69b731f57305ce7006e87e29042e8467203889f0ff3a',
        64904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b84f9e4475585d31451021e3e9d27e8336f00eac47c6753193de4033f15ea30d',
        68204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88497110ef5b50e3903b3c97ee671e01497a9a6d49f64218c9a70fd5042c3b49',
        62368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53cad3b96c2a07c4af9d7111e1b6eaf07718e6510b0ccf65140b1ee7040da9b3',
        67272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7513399e0a26a50c0f81fab7a114c8f40337b1d2edd0f28abed3f23ff5232c1',
        62356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '274e649f86e4323b0b8553520d855c49523b84eb9269b8e0cf9f41d201e76068',
        65900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6063124468c1350716105b1b52edec1c02bbbea85a0d675477016f425f457c9a',
        64856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4cbccba78e5ea3a5c9560b15ff91d04b88b7a8cadb3c81b64ceb9ebd5fc266f',
        68012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb60a33ebebe512faae572e414c6865041ea47c278458a28cdcadc762958bd4b',
        61268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cabd84f11a9c742e6116cea169752a0f8c03073eeb60dc0ab4532987bd853878',
        66736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barlow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow
  static TextTheme barlowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.barlow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.barlow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.barlow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.barlow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.barlow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.barlow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.barlow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.barlow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.barlow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.barlow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.barlow(textStyle: textTheme.caption),
      button: GoogleFonts.barlow(textStyle: textTheme.button),
      overline: GoogleFonts.barlow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextStyle barlowCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6f3686935062113e7b09390ffc3c690c608aa440f3e30db068b64420664ec5d',
        60532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea5455d6f97ca5ea27d76f30e87b842dc23d6a9fdd9566ccffb6415a3a56bcb0',
        65992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '410b2efcf0b449d214182287f404b669840f4cc0a3c2f04940cee2d94b6eed4e',
        60752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bba549e676526ff4957a986006a9290f70d407fc1fd00d34135a1291ce6138d4',
        65952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bcf33e336ef2238ede09a908f8b86c6cca1586df6b1fbe0d59e462e3149b8ba',
        60544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49c62182eb883aeeab13fa2dbfcde072f2aac31e8bf77a232696bebc3b14e856',
        65664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e5dff25ad8b2553decdba77625dc57cdcba97555b53612a9c9bfa40f43f953c',
        60524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65d8e8aa8d380e24c33fe4d2da62c7f9ec3de8e3429671ef5ff32782d21d649a',
        65840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8014ab571e1d04db59a24744420219343b4d1806c983ac73e808a9e96c638306',
        60404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc26bbeb004e7e2084d0662973c4742fa65fd15b7eda3cb74826a27d686f44b0',
        65284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36127289f54d9e42dd6bba46b0f52ce7e1839e79ce1b4d8fc5b22a54ee7c30f3',
        63120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70e3edc6f039c1a69acb610d298d522d5b46330458810ec9647e08c87b476dbb',
        66768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec8d231a02a1e88872bef49e1099c712e93f3a723722a3d3ddc0fe2bfbe40962',
        63072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'edbf575a42819a83bc5539e63b01efa4299d750d2f679579ef7673c972e3211e',
        66532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e17df55a2cb70a97d869d33d55b38a29d60d31ae75c0bcaf61aca5f1215702cd',
        62876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34b5cbd8a9497c32949bcad7e8bd3f63019f7d28e693401b3ac39a69b5cd778d',
        66084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5db2f838d3b4d86fe437bcaef0fb569cf99cfda6377a230687348897a816eeb5',
        61360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de353be0369b799b090de4e2e272ebe13c6fd496973ff92b9e391656334ad1f2',
        64724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Condensed
  static TextTheme barlowCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.barlowCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.barlowCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.barlowCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.barlowCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.barlowCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.barlowCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.barlowCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.barlowCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.barlowCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.barlowCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.barlowCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.barlowCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextStyle barlowSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '429d1fa72c7702c9b3dcb38d750756505166e563306daaf1b66cb753a68f9e2d',
        62376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '39a411a6e0b959d02638199381cb91af60eb4da3e34ac231c61bea08043966e1',
        67272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4d4a161e4199c955202ca92d228838efee2dfa3cf68a0cf388085e19395aa5f',
        62680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79508f19bd17b1cdbf0b5b6f486c964d65c4a893a7f8f739a63cb71d206bb157',
        67540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b2c8175065ed2235c4db66650397fad918d8f97db3f1b3991125f2df604b76c',
        62680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b1eca79a9e101dd60e1836afb98fee66886d6042c2870f88b7ec822a7b97877b',
        67388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a9dca109aaa256a5afb98477989b87e0e102269f948949e5573b65b45779d4e',
        62588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97fff70c506e46d82a769311aa3efd01c86a10161c92dee921fb6c75da5ba39c',
        67012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e602f9d74684f25a9d352cc61a0cfefc4ab505dfecb50b843492b1b5a87c3e',
        62528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1b5d4427848534739c734c5af7bdae1967a666e5c68e04156f0c5a60c1a1c78',
        66868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b98dce5b8a6c1c5c2804cd26be37b203c56aee083840f4bad5d1907c4bf0b295',
        65064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82e1d9e57f5b1c3fba390bb1e428d9b26538ead3342f04c40e60ded6325cc06e',
        68404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acfd284673d183fe78a563ebf695ce70f7800151495260debfa9532d93289a55',
        65208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e07191b9549a6c8c553608c75269487bb83c555c9e2fd9c08cfe704a5416e750',
        68320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b42194ff2e3637db2ee27a0720eed118d756d564014725a948bcdc8964d25901',
        65240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '36f4cee581975816949c810a10be068d6131acdc211a99acb3a2ce6c9586174f',
        68236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2305373351846fd5f75bfb35b24697021e9bd4ea4fac80bb25bfe62c9afcb604',
        63764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '29476cff7567544f2a04e61c90254033e0eb160089bfae4dea9871e8f6fbe2f9',
        67124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BarlowSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barlow Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barlow+Semi+Condensed
  static TextTheme barlowSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.barlowSemiCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.barlowSemiCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.barlowSemiCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.barlowSemiCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Barriecito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextStyle barriecito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbd439bbca5ece3347c1497394d9cdfd488742cc10ccd2413cdba4e819f236bb',
        167636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barriecito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barriecito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barriecito
  static TextTheme barriecitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.barriecito(textStyle: textTheme.headline1),
      headline2: GoogleFonts.barriecito(textStyle: textTheme.headline2),
      headline3: GoogleFonts.barriecito(textStyle: textTheme.headline3),
      headline4: GoogleFonts.barriecito(textStyle: textTheme.headline4),
      headline5: GoogleFonts.barriecito(textStyle: textTheme.headline5),
      headline6: GoogleFonts.barriecito(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.barriecito(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.barriecito(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.barriecito(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.barriecito(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.barriecito(textStyle: textTheme.caption),
      button: GoogleFonts.barriecito(textStyle: textTheme.button),
      overline: GoogleFonts.barriecito(textStyle: textTheme.overline),
    );
  }

  /// Applies the Barrio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextStyle barrio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1745250902305ccc432fd4ac10b9b248159dddd57634c31c70b8b4f3e3983f1',
        146692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Barrio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Barrio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Barrio
  static TextTheme barrioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.barrio(textStyle: textTheme.headline1),
      headline2: GoogleFonts.barrio(textStyle: textTheme.headline2),
      headline3: GoogleFonts.barrio(textStyle: textTheme.headline3),
      headline4: GoogleFonts.barrio(textStyle: textTheme.headline4),
      headline5: GoogleFonts.barrio(textStyle: textTheme.headline5),
      headline6: GoogleFonts.barrio(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.barrio(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.barrio(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.barrio(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.barrio(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.barrio(textStyle: textTheme.caption),
      button: GoogleFonts.barrio(textStyle: textTheme.button),
      overline: GoogleFonts.barrio(textStyle: textTheme.overline),
    );
  }

  /// Applies the Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextStyle basic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29cf0f576451b712f706b5f33a2e8e1b6e2be41ed145ebce30bcf8828ec37960',
        45400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Basic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Basic
  static TextTheme basicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.basic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.basic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.basic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.basic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.basic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.basic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.basic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.basic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.basic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.basic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.basic(textStyle: textTheme.caption),
      button: GoogleFonts.basic(textStyle: textTheme.button),
      overline: GoogleFonts.basic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baskervville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextStyle baskervville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f83292ed3ada742c822e6b55c57b05a68a0d27b136b872ed2cb3edaf2dd778c',
        46788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fdcacb6cacae51af7ce0b4bc57b4400feedcf38a9e21898b144205607cd15185',
        48936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baskervville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baskervville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baskervville
  static TextTheme baskervvilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.baskervville(textStyle: textTheme.headline1),
      headline2: GoogleFonts.baskervville(textStyle: textTheme.headline2),
      headline3: GoogleFonts.baskervville(textStyle: textTheme.headline3),
      headline4: GoogleFonts.baskervville(textStyle: textTheme.headline4),
      headline5: GoogleFonts.baskervville(textStyle: textTheme.headline5),
      headline6: GoogleFonts.baskervville(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.baskervville(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.baskervville(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.baskervville(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.baskervville(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.baskervville(textStyle: textTheme.caption),
      button: GoogleFonts.baskervville(textStyle: textTheme.button),
      overline: GoogleFonts.baskervville(textStyle: textTheme.overline),
    );
  }

  /// Applies the Baumans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextStyle baumans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f9e8b94de7e96a118ae0165a927ffde8127bb9105f38bc5c39359622c7c40f4',
        38752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Baumans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Baumans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Baumans
  static TextTheme baumansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.baumans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.baumans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.baumans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.baumans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.baumans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.baumans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.baumans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.baumans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.baumans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.baumans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.baumans(textStyle: textTheme.caption),
      button: GoogleFonts.baumans(textStyle: textTheme.button),
      overline: GoogleFonts.baumans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Be Vietnam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam
  static TextStyle beVietnam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cc0f5cd392e42154ccdcf1ffc6987159ee0807caf89c6ac0796a273c9c80cd4',
        43452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '11b1d7f41abb8a24b4ba203416df07809dbaf7de51619a1d167ab9af0361b6b7',
        44588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03d32b9f1d2ddaa56a41075b22ab477cbc078409bda7fe7f7e030491bf70988a',
        43992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a46d7c089e1fe8c124bc2de7b2cdf8a7f23fc0e9724766f3029c5c528b88b2cf',
        45400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79220c67d8f8488a5dc457833419e884bef66e01eae43ec9c9b7e2944c5d88f0',
        43896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2928c1924824c824cac4ddaa74885a1fb9f3723429fa145c579cde5e79eeba5',
        45368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d504a978c86a628884d737bacc817b24a74963f8e36e6cab5e9b81b9977b1f4',
        43948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2af11a383bfb3ee1ef8731946b78f349dce66a9151e6724f9428a29af43faac',
        45316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94efd29230ff40c08cd89d8ae44d0e847ad17d53088280868a4bfbe29bc9afe0',
        43864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2e18bd0f37b3e15856f513a8bd6b5d019948460f502359bf06716759b5b07664',
        45424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f6fdb78c7c80b7871c787918369b6f9908cb55d29a6f68602b90d557a0ef839',
        43720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c54104de856f3762629b69585ceb0eed536f7f7a19d2a2e1cdb44c1b1398e6b8',
        45380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920f1f8cbfb2d9b94b66296e1f4ddf430a02ce638be482c79c598832645fda13',
        43640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2140e6025b6df417db0a543e64c090a9a5aa119d7523fd43a5f806a1550bdb37',
        45296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeVietnam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Be Vietnam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam
  static TextTheme beVietnamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.beVietnam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.beVietnam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.beVietnam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.beVietnam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.beVietnam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.beVietnam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.beVietnam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.beVietnam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.beVietnam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.beVietnam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.beVietnam(textStyle: textTheme.caption),
      button: GoogleFonts.beVietnam(textStyle: textTheme.button),
      overline: GoogleFonts.beVietnam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextStyle beVietnamPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '031b377b332f95da1996500fb97fca5a8cd5f95522e852083d196c0bcefca6b2',
        72348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '623f374adea67c8f650c9c6e5d90b30602e7e5eccfb92bdbd59f607381e3d685',
        73916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6d33c91e88361e46ef97084811ce5943e715f130e6c5eb655c509cb61e56cd6',
        72252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'beca4da968f8fd5d2ff57f072c08b3ef5b719a6177c0cdaf5af411352ccac3ee',
        74416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '640424e70dcdaa495bf299facdf0bd803ea0492bd99642ff227a3f7a57b8ebdd',
        72484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5a100db64d132fccebb61d4bd41cdbe878baba40f6d4969a091b3e9c5835fab',
        74252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bec39a3895ccc7eec7131ac011754fa70315afed0061ec49d08dd587215174b',
        72288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efcd7cebb01e08925565bf7304c7721c3846ab9ad36fe89f9dc79c49cdd4379a',
        74040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb68c949987e445999e4f0474fb0224289c6bc8fb00e56d7d9dfcc3006114598',
        72424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '377d647aa2a9f0f0220ca01557c18d98375005eb4e971aef8bee1a048bf2c90c',
        73976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2966316c8748b3e3167941ae9b48ee38c4af7e5c110202875d7cc0567a0169e9',
        72268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f243bdb9ef0545663215bfdfa72ddc42fa004725b443b4670fb52adb61480284',
        73448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d6b7608799789c3f8e5c896afc5f11d07402482092f341a4224e4d362f58b68',
        72172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a18cf3c2a37908a0d2bfbfd37376f4029e5709763df1e4df858ec281407afe8c',
        73308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77e480c26df369171a0dcddf6eef76082774637010ae0bacefbae59159e34224',
        71864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ffebfacff73e9d3225844e5efde238061ea50ac72c7eed5536f0334c1efae2b',
        73248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '632cec316b2bd7f440c0c647b9d1e95ef6e55338d4cc8c1979d642f0178ce981',
        70768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd41536742311aacb3cada2492ea78f67ff700057c9af14f8fcb2cb05b45c37e',
        72052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BeVietnamPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Be Vietnam Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Be+Vietnam+Pro
  static TextTheme beVietnamProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.beVietnamPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.beVietnamPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.beVietnamPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.beVietnamPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.beVietnamPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.beVietnamPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.beVietnamPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.beVietnamPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.beVietnamPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.beVietnamPro(textStyle: textTheme.caption),
      button: GoogleFonts.beVietnamPro(textStyle: textTheme.button),
      overline: GoogleFonts.beVietnamPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextStyle bebasNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd16210fc689a14930beb51e89f3890e3167bdb105c0e7618abb62d6c4a2cc5d',
        37392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BebasNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bebas Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bebas+Neue
  static TextTheme bebasNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bebasNeue(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bebasNeue(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bebasNeue(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bebasNeue(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bebasNeue(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bebasNeue(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bebasNeue(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bebasNeue(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bebasNeue(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bebasNeue(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bebasNeue(textStyle: textTheme.caption),
      button: GoogleFonts.bebasNeue(textStyle: textTheme.button),
      overline: GoogleFonts.bebasNeue(textStyle: textTheme.overline),
    );
  }

  /// Applies the Belgrano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextStyle belgrano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b66b889e699bfe12ea9cc04621e48eed308f79ef2955cd4f20d0e7ddbcbaeab',
        29028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belgrano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belgrano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belgrano
  static TextTheme belgranoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.belgrano(textStyle: textTheme.headline1),
      headline2: GoogleFonts.belgrano(textStyle: textTheme.headline2),
      headline3: GoogleFonts.belgrano(textStyle: textTheme.headline3),
      headline4: GoogleFonts.belgrano(textStyle: textTheme.headline4),
      headline5: GoogleFonts.belgrano(textStyle: textTheme.headline5),
      headline6: GoogleFonts.belgrano(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.belgrano(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.belgrano(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.belgrano(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.belgrano(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.belgrano(textStyle: textTheme.caption),
      button: GoogleFonts.belgrano(textStyle: textTheme.button),
      overline: GoogleFonts.belgrano(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bellefair font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextStyle bellefair({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '581fd752c6fe9933425b7868917fe51b6d222b42336b931e58385cea219007a0',
        46492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellefair',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellefair font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellefair
  static TextTheme bellefairTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bellefair(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bellefair(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bellefair(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bellefair(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bellefair(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bellefair(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bellefair(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bellefair(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bellefair(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bellefair(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bellefair(textStyle: textTheme.caption),
      button: GoogleFonts.bellefair(textStyle: textTheme.button),
      overline: GoogleFonts.bellefair(textStyle: textTheme.overline),
    );
  }

  /// Applies the Belleza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextStyle belleza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '916c38d3ec21ba4e080cbb7c82b60f62b023224acf789357a9338460a610def2',
        27772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Belleza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Belleza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Belleza
  static TextTheme bellezaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.belleza(textStyle: textTheme.headline1),
      headline2: GoogleFonts.belleza(textStyle: textTheme.headline2),
      headline3: GoogleFonts.belleza(textStyle: textTheme.headline3),
      headline4: GoogleFonts.belleza(textStyle: textTheme.headline4),
      headline5: GoogleFonts.belleza(textStyle: textTheme.headline5),
      headline6: GoogleFonts.belleza(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.belleza(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.belleza(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.belleza(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.belleza(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.belleza(textStyle: textTheme.caption),
      button: GoogleFonts.belleza(textStyle: textTheme.button),
      overline: GoogleFonts.belleza(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bellota font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextStyle bellota({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29b1164370f0eca544e3c2cb64f06324bd098c99c35f5ecdd5527d6642e5a78f',
        87324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2876a1892bc886d0df661eef1cc4fd3273dc8bce9563d1a7fba2c72987e340c5',
        90184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ae1ca7fd73a6c369b6bf3b7326788cb2a360b467fa83a298140dac4166b8efa',
        86996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd628b046cfc942ee35db112226b78f9ac3973ccaf005074bbbe867656201b8ec',
        89836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac23e7ab6ffb89ee1593424695c867b8150bd97cd85fdbe2a3d7f89bf32a0973',
        87220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e876bb51e7fba1f8fadcef59f4b68e3020a0909557cef70a98c84253c9e32f2f',
        90052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bellota',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota
  static TextTheme bellotaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bellota(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bellota(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bellota(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bellota(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bellota(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bellota(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bellota(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bellota(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bellota(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bellota(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bellota(textStyle: textTheme.caption),
      button: GoogleFonts.bellota(textStyle: textTheme.button),
      overline: GoogleFonts.bellota(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextStyle bellotaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0643b4ed7b9e5fe0a6023e98e3c731ac5ed3dd6a93688e6d319415902455806',
        85396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e0b3916debc6fdfc7a7fd3129785215a68039360ca58fff2137a5855ee962138',
        88396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd71701b5f03e11645c6c76521346bb0658b950d8e568f92dbad4c0f832775eb',
        85276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cab1408381b8c09a1322d14913d773a9ecd2af835363efced81df2db8aa5107b',
        88112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c08136cdca5423cf6e4f79255b1d8968b3ce107c396b03445f6c49c286dd349',
        85352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec9c1edafbe6c75409ba2200628821ee1f0dbad581d6f79db100aeb366b12ee4',
        88192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BellotaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bellota Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bellota+Text
  static TextTheme bellotaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bellotaText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bellotaText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bellotaText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bellotaText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bellotaText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bellotaText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bellotaText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bellotaText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bellotaText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bellotaText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bellotaText(textStyle: textTheme.caption),
      button: GoogleFonts.bellotaText(textStyle: textTheme.button),
      overline: GoogleFonts.bellotaText(textStyle: textTheme.overline),
    );
  }

  /// Applies the BenchNine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextStyle benchNine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '819e7479fd3310e52e9754666e7a85aae97b6ea92363f425c93d1763341c5720',
        38056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ff13f62cc4e1011ea688bc0bdad0ec34826a3c14cbc1b9ec0ed2b768a756be1',
        38812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad7761d772dd04c7cf6c3ea55ea6f5bc9ca1540a2961a12251b37aee5d067022',
        38748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BenchNine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BenchNine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BenchNine
  static TextTheme benchNineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.benchNine(textStyle: textTheme.headline1),
      headline2: GoogleFonts.benchNine(textStyle: textTheme.headline2),
      headline3: GoogleFonts.benchNine(textStyle: textTheme.headline3),
      headline4: GoogleFonts.benchNine(textStyle: textTheme.headline4),
      headline5: GoogleFonts.benchNine(textStyle: textTheme.headline5),
      headline6: GoogleFonts.benchNine(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.benchNine(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.benchNine(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.benchNine(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.benchNine(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.benchNine(textStyle: textTheme.caption),
      button: GoogleFonts.benchNine(textStyle: textTheme.button),
      overline: GoogleFonts.benchNine(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bentham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextStyle bentham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36b9c399aae73bd09e01d76e51e8697f80e9e34f14e954b929a08d6cfbc5f697',
        40176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bentham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bentham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bentham
  static TextTheme benthamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bentham(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bentham(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bentham(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bentham(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bentham(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bentham(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bentham(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bentham(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bentham(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bentham(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bentham(textStyle: textTheme.caption),
      button: GoogleFonts.bentham(textStyle: textTheme.button),
      overline: GoogleFonts.bentham(textStyle: textTheme.overline),
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextStyle berkshireSwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e73eb938ce44215938a21b199bc0a7eba8e1805d0d2528c3300ad7a1813d5e0',
        57948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BerkshireSwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Berkshire Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Berkshire+Swash
  static TextTheme berkshireSwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.berkshireSwash(textStyle: textTheme.headline1),
      headline2: GoogleFonts.berkshireSwash(textStyle: textTheme.headline2),
      headline3: GoogleFonts.berkshireSwash(textStyle: textTheme.headline3),
      headline4: GoogleFonts.berkshireSwash(textStyle: textTheme.headline4),
      headline5: GoogleFonts.berkshireSwash(textStyle: textTheme.headline5),
      headline6: GoogleFonts.berkshireSwash(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.berkshireSwash(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.berkshireSwash(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.berkshireSwash(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.berkshireSwash(textStyle: textTheme.caption),
      button: GoogleFonts.berkshireSwash(textStyle: textTheme.button),
      overline: GoogleFonts.berkshireSwash(textStyle: textTheme.overline),
    );
  }

  /// Applies the Besley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextStyle besley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '996fc0a7ae5a8dd33cf37073dc2ce08b220591215bcca76fe67834abc8962810',
        55960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f9bbdb98ffb8273aa66a11445e812d98e8e11542cc38b1def0ec270814a042a',
        56036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c3a17ae1149f3cdb1158266bb4b5c22ae62ce044e951124fe273d065f8fda1b',
        56044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f37839fc3286096ea12deb215849f68765998f3f2a4854d9c631f0183317bf87',
        55988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51a4fdf8f05eed2b6fb62479e644dcfcac56c8bb7fcc26fae2192486e0c5b5e8',
        56048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62dfbeb5cf9e9f58e47c752855ac2890cf1ae580028e5e93bf916a8bbad416e7',
        56008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56678de811af0d473572cc095f2cd93e18e10a82207b54ec581a6ad4b4375d81',
        56532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff33ded3060192d7714b5bd91a5d7df7dc6d3393150f7a3df190f6a0e6b83e81',
        56728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '13401ce4349820156fcec4b0e53b29a81820897114e081a0e8f35ddd1ecd96c3',
        56764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ce81f5bd7d1a13df8b7f99836d01b64d645545ec261172a638b3d31f176a436',
        56684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'abff22f994971a0ca872d74e8a52b95d4c77955822766b5633eed8789b70dd1e',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18a9e8ab8c41769a85ac8bdf65517815fb36c31c37238b5f8063337073577b9a',
        56728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Besley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Besley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Besley
  static TextTheme besleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.besley(textStyle: textTheme.headline1),
      headline2: GoogleFonts.besley(textStyle: textTheme.headline2),
      headline3: GoogleFonts.besley(textStyle: textTheme.headline3),
      headline4: GoogleFonts.besley(textStyle: textTheme.headline4),
      headline5: GoogleFonts.besley(textStyle: textTheme.headline5),
      headline6: GoogleFonts.besley(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.besley(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.besley(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.besley(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.besley(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.besley(textStyle: textTheme.caption),
      button: GoogleFonts.besley(textStyle: textTheme.button),
      overline: GoogleFonts.besley(textStyle: textTheme.overline),
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextStyle bethEllen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33f7d9b097ad741e56ef314b447fa4e0d310aab981ba6aea5db368053b65bc56',
        115600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BethEllen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Beth Ellen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Beth+Ellen
  static TextTheme bethEllenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bethEllen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bethEllen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bethEllen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bethEllen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bethEllen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bethEllen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bethEllen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bethEllen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bethEllen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bethEllen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bethEllen(textStyle: textTheme.caption),
      button: GoogleFonts.bethEllen(textStyle: textTheme.button),
      overline: GoogleFonts.bethEllen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bevan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextStyle bevan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95fb9ca931c31e79c8312fb66d76a2239472f842f9aeed9c261367a55723370f',
        55536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bevan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bevan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bevan
  static TextTheme bevanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bevan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bevan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bevan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bevan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bevan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bevan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bevan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bevan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bevan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bevan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bevan(textStyle: textTheme.caption),
      button: GoogleFonts.bevan(textStyle: textTheme.button),
      overline: GoogleFonts.bevan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextStyle bigShouldersDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '243bc59e9459b35c35fa0bc5cc49219e1cbf248be840664569ca730a8a7a7e5e',
        60384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9d601dd24fc0f4bb73ca5a9bc3fb23c2d744597df0f10a2894d566903ba1154',
        64044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1c3a1a7aca284022f6d11318ac148fe815d11c400a02d20e25768bbcf17f16',
        63888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '782f7156f414a376945013c065917553e525e9f55dc801588c0f2f47406a51a3',
        63824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'abf50d14f1c83beca50dbf4875c46279d06f2120f997bd0b3670236cf24bf1aa',
        63924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '908c135c2591d12f000c0af1d59e56e72fb77beb39c1ba091505f250575b4ea6',
        63876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19b8e205eb51647a9245e28993f1aa99df1cdc107cab1e823db05dce048363ca',
        63916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71c2e1ad1b8e3abbf78e31165b5b054095b45b80cdd32410b9df8abaa45a631f',
        65188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Display
  static TextTheme bigShouldersDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.bigShouldersDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bigShouldersDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.bigShouldersDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.bigShouldersDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextStyle bigShouldersInlineDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cecd28ac71e6d26fe426d809a967ca89fd34ebf00666daf5e72be698043690f8',
        98144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3710b6162121414170f4ee83003c9a801a07d3a8b78f6abbab39e670edc08a0b',
        99972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45fd384c9df07fc26138ac660041a108fad83e7e900169cd69ff9e1ff683c79e',
        100792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4485432c8a8581e0b3f3b507691b848e4673ba5d3606ccc8c51d573b9950d995',
        101060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8429a118926e0997b6894777f001d3c63d792b7b82f9bbd3ee909b393e049c73',
        101340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80e5e506aebe63f25614ef4b8b1a69935d750ff148abb1ed248d7c94b23cfb19',
        101752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1b12519d38230d280f84445cb7e50edb127c715cdd6fb9e7697e29f7f77a0bf',
        102272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d986bf2e9666f76e4a791c20a4aa9255ec6f92d62eac8c45365f456e9b64bc1',
        102192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Display
  static TextTheme bigShouldersInlineDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.caption),
      button:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.button),
      overline:
          GoogleFonts.bigShouldersInlineDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextStyle bigShouldersInlineText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '914a99a3f7a36509645da4d56298db3eaf53f8fe091adc6f511305a5b5415d94',
        98832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4e1ca3362feca7026abcdc3f6cd27be00d437bdca4963451e70f627fc47285e',
        100608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8171ef16c4d2ccf81271d6bb77a9a25723b54e3033e75e930b47738e9f8f738c',
        101584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07dddac8ecdf608d7eecb9031c91626e78dc9e0721d6e3861ce58cd5b205d8a7',
        101584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3e3a0152deb77bbf594da21360ad2cd1012e94424ef6fb664f876cbeec5ee45',
        101692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0a7d5ffddfee40b18b44e3f89aac2801f82ed5cabcc11e6707b05525a55d3bb',
        102024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26b8f325b1bcca1f6b88728184699789e3bf7ec260804d04421b5db694ae4157',
        102752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0169fdfd36818b76f6f2182152276acbf8129be7a3e4d0ad77755b6d069acb71',
        102380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersInlineText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Inline Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Inline+Text
  static TextTheme bigShouldersInlineTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bigShouldersInlineText(textStyle: textTheme.caption),
      button: GoogleFonts.bigShouldersInlineText(textStyle: textTheme.button),
      overline:
          GoogleFonts.bigShouldersInlineText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextStyle bigShouldersStencilDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e745115111f02d5a11cdf1328f3eecff1bb5f775cb0f2b06b4d8f24b196ac32e',
        57612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f312a4998a7fdb735ce3e5c2cebb4c88987d6b221039c3ec51117af72a7a92d',
        59556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b8e0ce085bdd03707db89704d38ea6f6523ee0a6dc14dbe5e41ca65b3266958',
        59596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d0ca21a6f86141b1d824eecc8a4b221e2f9b0a2d99c35b4b8da6132324a2431',
        59536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c5b5b3228b0893035ab61f43b1666de4e2ac70346c6b5a0af6212dc881b2895',
        59488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f18fa1842c04a9bb7b65cd8865d8db3ad6129de5aba757f7dac332de21e2e557',
        59548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '999379e5037b63a0d57539a9aa7b10a200910a43531557a752265827a074c079',
        59848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6055fdd83b00cf395678263ba7a8d07c043046f85db67776ca586dfd72ced1a5',
        59592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Display
  static TextTheme bigShouldersStencilDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bigShouldersStencilDisplay(
          textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.bigShouldersStencilDisplay(textStyle: textTheme.caption),
      button:
          GoogleFonts.bigShouldersStencilDisplay(textStyle: textTheme.button),
      overline:
          GoogleFonts.bigShouldersStencilDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextStyle bigShouldersStencilText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce5239dead961193d7ed14ae8ad117d8ac7c38b3004ce5268f79858cb05dff20',
        58792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b72cc9791d7c353499dd3cdd8cb057f1b737306474a92e64d32b94e60e63300a',
        60148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c3218546f3f3c56203170cf14894c6b0f93024f0759022205174bd64fe18b52',
        60140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b32127d757a06294d75c04041ebf65257d3b861075010b125b52b1872f0164a',
        60000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f502e0a1bfb3a7c94c8bd1d80fce760f9dbc080b53d928803846e0705859c342',
        59900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e82a1e08ebbaaabd1a452bd3461bc4174ec94b641c99774dd41a1d552de12a7',
        59980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '814371b884bf588132731087f41533e3852bfa4953739fca42c71fcba588f073',
        59980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b6e75385f85cfb30647c3935bf4ed6f0dfad6012a0a38bad71cf46c32d2d9ce',
        59508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersStencilText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Stencil Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Stencil+Text
  static TextTheme bigShouldersStencilTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.caption),
      button: GoogleFonts.bigShouldersStencilText(textStyle: textTheme.button),
      overline:
          GoogleFonts.bigShouldersStencilText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextStyle bigShouldersText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627d92b7b60e71b44920b0badb4fab35e76dc999346110b16b5503642b274d9c',
        60972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8aef88ac2024c3940f399eee0642162cf1880de4b3072c385da26169385aaff9',
        64304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b28c250237404079c092e1f0bbe96a9877935f854758b23d0c596474d2dc0a9',
        64348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ceadafc7d9e2a44c734bb0219be7688bb6f03e1d0788f1a6fdaff25989c7c821',
        64240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891fff63a87492e0329b1ad1261d5d60e1e276099f63a26b28497f66fddb1e58',
        64288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089e74d0e80e3f820d20c2dadb61e35e88025df110b9bfdf6878dd0c88300f35',
        64144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3090bbff39b913daac1ce49ed0afcd52cba93db2e114faba5840a983ff222f0',
        64208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a6e0bec5c1e7d0a62882e4f6be1b781665211f69d499f61aa439ad6bb097e60',
        65320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigShouldersText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Big Shoulders Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Big+Shoulders+Text
  static TextTheme bigShouldersTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bigShouldersText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bigShouldersText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bigShouldersText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bigShouldersText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bigShouldersText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bigShouldersText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bigShouldersText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bigShouldersText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bigShouldersText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bigShouldersText(textStyle: textTheme.caption),
      button: GoogleFonts.bigShouldersText(textStyle: textTheme.button),
      overline: GoogleFonts.bigShouldersText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextStyle bigelowRules({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b86229b1bc741bc11ef0517467d96769485504f74278c1011120697a17d74d26',
        59028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigelowRules',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigelow Rules font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigelow+Rules
  static TextTheme bigelowRulesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bigelowRules(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bigelowRules(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bigelowRules(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bigelowRules(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bigelowRules(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bigelowRules(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bigelowRules(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bigelowRules(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bigelowRules(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bigelowRules(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bigelowRules(textStyle: textTheme.caption),
      button: GoogleFonts.bigelowRules(textStyle: textTheme.button),
      overline: GoogleFonts.bigelowRules(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextStyle bigshotOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd6b11ed5794f665b3e412e676ae624b63b086b93992d6c0b00c9afd26180c79',
        36972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BigshotOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bigshot One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bigshot+One
  static TextTheme bigshotOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bigshotOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bigshotOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bigshotOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bigshotOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bigshotOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bigshotOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bigshotOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bigshotOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bigshotOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bigshotOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bigshotOne(textStyle: textTheme.caption),
      button: GoogleFonts.bigshotOne(textStyle: textTheme.button),
      overline: GoogleFonts.bigshotOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bilbo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextStyle bilbo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55d2e6fb7257d5ade5d2419927eebf1f0c78ba65154b64d0cb737b6c8fa6a7df',
        42864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bilbo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo
  static TextTheme bilboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bilbo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bilbo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bilbo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bilbo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bilbo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bilbo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bilbo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bilbo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bilbo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bilbo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bilbo(textStyle: textTheme.caption),
      button: GoogleFonts.bilbo(textStyle: textTheme.button),
      overline: GoogleFonts.bilbo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextStyle bilboSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e55126acc93a6cae98b3736d06e24e1301a26f9aa4ac2173998ab1fa142b1736',
        58124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BilboSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bilbo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bilbo+Swash+Caps
  static TextTheme bilboSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bilboSwashCaps(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bilboSwashCaps(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bilboSwashCaps(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bilboSwashCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bilboSwashCaps(textStyle: textTheme.caption),
      button: GoogleFonts.bilboSwashCaps(textStyle: textTheme.button),
      overline: GoogleFonts.bilboSwashCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextStyle bioRhyme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c7047e02059b7ea10893cf7bcfe3dc06e450dd3fb6000e05171462fedc43f7e',
        69848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9ee5307ca507a88bed949ef452d4b6c835e503ef09b30cbb1ace6d65030e873',
        72476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfe90585ffc1c3fc0d661d75c86187e9b6176836b56026b7882465f43a328616',
        71764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd56fec3e00f732e0ff393a16cd304a5b4818b7b5bc437e4f418142a976284e6',
        71756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43c38cd7da3c0c61638db3dbfd450b28e4abcacc9a48011176274140cf681c2b',
        68792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhyme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme
  static TextTheme bioRhymeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bioRhyme(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bioRhyme(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bioRhyme(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bioRhyme(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bioRhyme(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bioRhyme(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bioRhyme(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bioRhyme(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bioRhyme(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bioRhyme(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bioRhyme(textStyle: textTheme.caption),
      button: GoogleFonts.bioRhyme(textStyle: textTheme.button),
      overline: GoogleFonts.bioRhyme(textStyle: textTheme.overline),
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextStyle bioRhymeExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7770459b3448470de7eebc842dd6d1b27857480f955caa6fda9114f30f9c487a',
        69024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '564af9bc89e9baac8c99c4a2b2bb1262ed16deaec1971840ab3e348ed0dc8e22',
        72648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fa6003a77f1c41cfe89fc6db7c98358f0e6fa62b61c965e0e1a04ed960601b9',
        72028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89375361cdabf9dbf2e57378fa40cc8c19512e518617d5e8502c9db8aa4ee2a1',
        71960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '586a8d74b8042767a173971c026734fb6cb75934497b3c9d2ebd80ad9e60c31d',
        71188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BioRhymeExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the BioRhyme Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/BioRhyme+Expanded
  static TextTheme bioRhymeExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.caption),
      button: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.button),
      overline: GoogleFonts.bioRhymeExpanded(textStyle: textTheme.overline),
    );
  }

  /// Applies the Birthstone font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextStyle birthstone({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3d248062a495d35e1234712de6d4e67724c5ebe2436f5597a457129950a850c',
        97112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Birthstone',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone
  static TextTheme birthstoneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.birthstone(textStyle: textTheme.headline1),
      headline2: GoogleFonts.birthstone(textStyle: textTheme.headline2),
      headline3: GoogleFonts.birthstone(textStyle: textTheme.headline3),
      headline4: GoogleFonts.birthstone(textStyle: textTheme.headline4),
      headline5: GoogleFonts.birthstone(textStyle: textTheme.headline5),
      headline6: GoogleFonts.birthstone(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.birthstone(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.birthstone(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.birthstone(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.birthstone(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.birthstone(textStyle: textTheme.caption),
      button: GoogleFonts.birthstone(textStyle: textTheme.button),
      overline: GoogleFonts.birthstone(textStyle: textTheme.overline),
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextStyle birthstoneBounce({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db4a20734f94b167a8b7b97639a8c07289d1f25c41afec846ea4d0fa0863fcf0',
        131944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87c3ba7dc30ec3cc8a7538a0a49d8a2b382dadbee3bd9b366843510f7a6f6357',
        129296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BirthstoneBounce',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Birthstone Bounce font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Birthstone+Bounce
  static TextTheme birthstoneBounceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline1),
      headline2: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline2),
      headline3: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline3),
      headline4: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline4),
      headline5: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline5),
      headline6: GoogleFonts.birthstoneBounce(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.birthstoneBounce(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.birthstoneBounce(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.birthstoneBounce(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.birthstoneBounce(textStyle: textTheme.caption),
      button: GoogleFonts.birthstoneBounce(textStyle: textTheme.button),
      overline: GoogleFonts.birthstoneBounce(textStyle: textTheme.overline),
    );
  }

  /// Applies the Biryani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextStyle biryani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f65303a20787e99a61c757c6e4cbc9ee68af544a375dac932049def734163642',
        123500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '842f2d86cd486de76ca080714383fb99a105dfb85b3bae4360d00e8ac8db8c9f',
        124924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16e70205340aba8294e2da2cc8581ec3c5fb3f2af846d51a3de360f447d6f254',
        124200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80169a7f1fadd79859c89b0e9a066fd8dbbc460f13a4e5df8389cd853dc67be9',
        124224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8834894534eb39412acdbc906f20b8d4addd5339d6777eaf647ee1ecbd44538c',
        123988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba9bcb5882f72d4ac114689fb32db356c2be660bc64a16c88ac2457bdbefd777',
        124032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bad25e5e05861d1da7ddd858aefac18d200688fc997bf2760059fcc2c2ad30d',
        123080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Biryani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Biryani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Biryani
  static TextTheme biryaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.biryani(textStyle: textTheme.headline1),
      headline2: GoogleFonts.biryani(textStyle: textTheme.headline2),
      headline3: GoogleFonts.biryani(textStyle: textTheme.headline3),
      headline4: GoogleFonts.biryani(textStyle: textTheme.headline4),
      headline5: GoogleFonts.biryani(textStyle: textTheme.headline5),
      headline6: GoogleFonts.biryani(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.biryani(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.biryani(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.biryani(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.biryani(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.biryani(textStyle: textTheme.caption),
      button: GoogleFonts.biryani(textStyle: textTheme.button),
      overline: GoogleFonts.biryani(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bitter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextStyle bitter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '937e0cb8bbc92b1b89eafc86f73c06dec677f4e8d2c39de72208ae4fffedc7fa',
        24208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a9ae7d2a6428de7df36662a7014e91b880c5d09663ae9c66abb8a928c0ad371',
        39064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c41cd10ef080e4d415bc6da6d86b29b73fe87ba84afe455423476109ed6addbd',
        25616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bitter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bitter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bitter
  static TextTheme bitterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bitter(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bitter(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bitter(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bitter(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bitter(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bitter(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bitter(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bitter(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bitter(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bitter(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bitter(textStyle: textTheme.caption),
      button: GoogleFonts.bitter(textStyle: textTheme.button),
      overline: GoogleFonts.bitter(textStyle: textTheme.overline),
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextStyle blackAndWhitePicture({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c951e047e8f1e152232363c35791b975f78ae96c97bfa6f14634c7a2551970c',
        9586680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackAndWhitePicture',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black And White Picture font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+And+White+Picture
  static TextTheme blackAndWhitePictureTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.blackAndWhitePicture(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.blackAndWhitePicture(textStyle: textTheme.caption),
      button: GoogleFonts.blackAndWhitePicture(textStyle: textTheme.button),
      overline: GoogleFonts.blackAndWhitePicture(textStyle: textTheme.overline),
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextStyle blackHanSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea3e07623642e89ce9ae84a698b9557dd6361db9bc40b993b7715531404db088',
        382952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackHanSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Han Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Han+Sans
  static TextTheme blackHanSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.blackHanSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.blackHanSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.blackHanSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.blackHanSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.blackHanSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.blackHanSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.blackHanSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.blackHanSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.blackHanSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.blackHanSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.blackHanSans(textStyle: textTheme.caption),
      button: GoogleFonts.blackHanSans(textStyle: textTheme.button),
      overline: GoogleFonts.blackHanSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextStyle blackOpsOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a9eebffdb4d3c168c63bfcd5d0ec80a1571160a66e46ef698786f9c56922256',
        41404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BlackOpsOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Black Ops One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Black+Ops+One
  static TextTheme blackOpsOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.blackOpsOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.blackOpsOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.blackOpsOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.blackOpsOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.blackOpsOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.blackOpsOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.blackOpsOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.blackOpsOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.blackOpsOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.blackOpsOne(textStyle: textTheme.caption),
      button: GoogleFonts.blackOpsOne(textStyle: textTheme.button),
      overline: GoogleFonts.blackOpsOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Blinker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextStyle blinker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c240948a3fc8d5d8689c3a63f7f8ebc6306f7c85e807823569843f0f54195f9',
        47168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a79a8324609cc2b3bcdaec6541902337b886042ed55c471dbb6f257c65b280f',
        48596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dd96a764325a06a02dcd84be7a03f3a2f2b6808e40d63328015690bf81f6c96',
        48440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51b0da89566f911a7458b35be7b50dd97cb0ac23dff1eeb067b4d64a79911f3c',
        47676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a51856bff19a13b746d4d2d4b3ebb07157b40df14a94c526837c9e5586337f01',
        53416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6eba9015f99f6f510f713d65f3f324ba543c2e9d3bc5eac9cbdd446b738eda1f',
        48892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd898f7f6b1fb3ed914d6dfaa20bc29b0f94d293822df46b2a78b5759f2637549',
        53068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d02003dcc4ca64b3de96560fffcdd9e05125270589caabebc0da78d05d0f61e',
        52352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Blinker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Blinker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Blinker
  static TextTheme blinkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.blinker(textStyle: textTheme.headline1),
      headline2: GoogleFonts.blinker(textStyle: textTheme.headline2),
      headline3: GoogleFonts.blinker(textStyle: textTheme.headline3),
      headline4: GoogleFonts.blinker(textStyle: textTheme.headline4),
      headline5: GoogleFonts.blinker(textStyle: textTheme.headline5),
      headline6: GoogleFonts.blinker(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.blinker(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.blinker(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.blinker(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.blinker(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.blinker(textStyle: textTheme.caption),
      button: GoogleFonts.blinker(textStyle: textTheme.button),
      overline: GoogleFonts.blinker(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextStyle bonaNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '078d2bfcfc80d682132d953545812db70e0f9f0b98ae0cac142ea71b158d1318',
        198112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f09688cecf4b8ba9818a169e25b836f04679a229109cb520cc95adef6e6ad81d',
        215808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43adb619f6b73f11f25abeeb80e1afc75285c402742402228abf38595b558505',
        196232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonaNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bona Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bona+Nova
  static TextTheme bonaNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bonaNova(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bonaNova(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bonaNova(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bonaNova(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bonaNova(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bonaNova(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bonaNova(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bonaNova(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bonaNova(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bonaNova(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bonaNova(textStyle: textTheme.caption),
      button: GoogleFonts.bonaNova(textStyle: textTheme.button),
      overline: GoogleFonts.bonaNova(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bonbon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextStyle bonbon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7c2ebdfc96584f15448c9196a29a7983cad1097756e748e6d3d89db0cab6796',
        38740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bonbon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonbon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonbon
  static TextTheme bonbonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bonbon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bonbon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bonbon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bonbon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bonbon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bonbon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bonbon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bonbon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bonbon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bonbon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bonbon(textStyle: textTheme.caption),
      button: GoogleFonts.bonbon(textStyle: textTheme.button),
      overline: GoogleFonts.bonbon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextStyle bonheurRoyale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '962bd9c44fd65031a838196c18c0b1056fa2a0e51177c9bfa257707464c1cd34',
        87220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BonheurRoyale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bonheur Royale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bonheur+Royale
  static TextTheme bonheurRoyaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bonheurRoyale(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bonheurRoyale(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bonheurRoyale(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bonheurRoyale(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bonheurRoyale(textStyle: textTheme.caption),
      button: GoogleFonts.bonheurRoyale(textStyle: textTheme.button),
      overline: GoogleFonts.bonheurRoyale(textStyle: textTheme.overline),
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextStyle boogaloo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecd8d89eafeb4669ce51f02cef4e529aa97180ed7c2a9cfcbad4714ed9ede46f',
        33880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Boogaloo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Boogaloo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Boogaloo
  static TextTheme boogalooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.boogaloo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.boogaloo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.boogaloo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.boogaloo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.boogaloo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.boogaloo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.boogaloo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.boogaloo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.boogaloo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.boogaloo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.boogaloo(textStyle: textTheme.caption),
      button: GoogleFonts.boogaloo(textStyle: textTheme.button),
      overline: GoogleFonts.boogaloo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextStyle bowlbyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d04430262e4d8e8e549ffcc4c97a27cb31ad26f9d2d85b2ba224381697b1a8d',
        61596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One
  static TextTheme bowlbyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bowlbyOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bowlbyOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bowlbyOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bowlbyOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bowlbyOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bowlbyOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bowlbyOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bowlbyOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bowlbyOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bowlbyOne(textStyle: textTheme.caption),
      button: GoogleFonts.bowlbyOne(textStyle: textTheme.button),
      overline: GoogleFonts.bowlbyOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextStyle bowlbyOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2826dfb2cc015f4d1a83c121524eff701bea716ad41719d21b0baaf0462abae',
        45072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BowlbyOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bowlby One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bowlby+One+SC
  static TextTheme bowlbyOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bowlbyOneSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bowlbyOneSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bowlbyOneSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bowlbyOneSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bowlbyOneSc(textStyle: textTheme.caption),
      button: GoogleFonts.bowlbyOneSc(textStyle: textTheme.button),
      overline: GoogleFonts.bowlbyOneSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Brawler font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextStyle brawler({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58683ec3f93abe0d96615faa1fc7fce9f3297205572a4c8c6265d0be27219279',
        64320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brawler',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brawler font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brawler
  static TextTheme brawlerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.brawler(textStyle: textTheme.headline1),
      headline2: GoogleFonts.brawler(textStyle: textTheme.headline2),
      headline3: GoogleFonts.brawler(textStyle: textTheme.headline3),
      headline4: GoogleFonts.brawler(textStyle: textTheme.headline4),
      headline5: GoogleFonts.brawler(textStyle: textTheme.headline5),
      headline6: GoogleFonts.brawler(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.brawler(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.brawler(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.brawler(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.brawler(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.brawler(textStyle: textTheme.caption),
      button: GoogleFonts.brawler(textStyle: textTheme.button),
      overline: GoogleFonts.brawler(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextStyle breeSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a7248ed16d47821a8836aa345a8297f6c44d86162fdbc6475497bc799db0e9f',
        46612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BreeSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bree Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bree+Serif
  static TextTheme breeSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.breeSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.breeSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.breeSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.breeSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.breeSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.breeSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.breeSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.breeSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.breeSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.breeSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.breeSerif(textStyle: textTheme.caption),
      button: GoogleFonts.breeSerif(textStyle: textTheme.button),
      overline: GoogleFonts.breeSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextStyle brygada1918({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7fcc3f4acfcaa3d245edff8d0218d3330b35bbaa5a62c069edd37caa13c764e',
        121484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '087e581b96d490f120e58844c91fffb13af8934bfc433bb8e34ee28838d9b989',
        122024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed5884598cf23102d8295885a8e4ff3e48a0b978407ff2374331c2efb8f84bbd',
        121992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76749402ad6df348c5ed7d152476f687e8bcff08e6686495979d6624036f2102',
        121920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '81286c6a2d8405995a5c5b45e325a5e281a816bc60f7f912596c468032408045',
        120804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d3d91639e7be0623deaffe68fb0a69c19a1e3af86cfb94b9741d53a90cc1bd4',
        121000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5944de849b60ea9ce63de8e400e74bdb6a5e988ad1d32ec474f98316ac2a2b86',
        121124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c024f6b3f3ca23a435568420b6d9ee12cc4c6c325b844775af731595bc8da8cd',
        121028,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Brygada1918',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Brygada 1918 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Brygada+1918
  static TextTheme brygada1918TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.brygada1918(textStyle: textTheme.headline1),
      headline2: GoogleFonts.brygada1918(textStyle: textTheme.headline2),
      headline3: GoogleFonts.brygada1918(textStyle: textTheme.headline3),
      headline4: GoogleFonts.brygada1918(textStyle: textTheme.headline4),
      headline5: GoogleFonts.brygada1918(textStyle: textTheme.headline5),
      headline6: GoogleFonts.brygada1918(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.brygada1918(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.brygada1918(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.brygada1918(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.brygada1918(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.brygada1918(textStyle: textTheme.caption),
      button: GoogleFonts.brygada1918(textStyle: textTheme.button),
      overline: GoogleFonts.brygada1918(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextStyle bubblegumSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53e2f591d5b22787b4fd506e06145d2652da6014e1707f782a92395533188726',
        38772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblegumSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubblegum Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubblegum+Sans
  static TextTheme bubblegumSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bubblegumSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bubblegumSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bubblegumSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bubblegumSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bubblegumSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bubblegumSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bubblegumSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bubblegumSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bubblegumSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bubblegumSans(textStyle: textTheme.caption),
      button: GoogleFonts.bubblegumSans(textStyle: textTheme.button),
      overline: GoogleFonts.bubblegumSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextStyle bubblerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd7ed8791a88cc19effc14df166be456cef77a85b707501822da21df19386254',
        30944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BubblerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bubbler One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bubbler+One
  static TextTheme bubblerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bubblerOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bubblerOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bubblerOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bubblerOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bubblerOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bubblerOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bubblerOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bubblerOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bubblerOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bubblerOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bubblerOne(textStyle: textTheme.caption),
      button: GoogleFonts.bubblerOne(textStyle: textTheme.button),
      overline: GoogleFonts.bubblerOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Buda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextStyle buda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '385d4247a0218281950ea513488d597434ce1d22bafe1b9e0b0853fce9304338',
        90392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buda
  static TextTheme budaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.buda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.buda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.buda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.buda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.buda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.buda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.buda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.buda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.buda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.buda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.buda(textStyle: textTheme.caption),
      button: GoogleFonts.buda(textStyle: textTheme.button),
      overline: GoogleFonts.buda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Buenard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextStyle buenard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98e52931f613305f11ff078f1cb569682195e516554178bf3c4127f644df907a',
        59764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b680cec9af406d125f721b89472951a526fcf17393adea7449be902ffb7f5cd',
        58608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Buenard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Buenard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Buenard
  static TextTheme buenardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.buenard(textStyle: textTheme.headline1),
      headline2: GoogleFonts.buenard(textStyle: textTheme.headline2),
      headline3: GoogleFonts.buenard(textStyle: textTheme.headline3),
      headline4: GoogleFonts.buenard(textStyle: textTheme.headline4),
      headline5: GoogleFonts.buenard(textStyle: textTheme.headline5),
      headline6: GoogleFonts.buenard(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.buenard(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.buenard(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.buenard(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.buenard(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.buenard(textStyle: textTheme.caption),
      button: GoogleFonts.buenard(textStyle: textTheme.button),
      overline: GoogleFonts.buenard(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bungee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextStyle bungee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee34fb3fe185999f9942b2b39a37688866c1a4e25eab17c7a67765e7f47f6dbe',
        110116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Bungee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee
  static TextTheme bungeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bungee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bungee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bungee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bungee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bungee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bungee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bungee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bungee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bungee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bungee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bungee(textStyle: textTheme.caption),
      button: GoogleFonts.bungee(textStyle: textTheme.button),
      overline: GoogleFonts.bungee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextStyle bungeeHairline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7082ad6f58a7ae0bdd49f1c56b50fdd5f19c8e5a7a760de15f353ff47bf2c391',
        97300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeHairline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Hairline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Hairline
  static TextTheme bungeeHairlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bungeeHairline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bungeeHairline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bungeeHairline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bungeeHairline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bungeeHairline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bungeeHairline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bungeeHairline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bungeeHairline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bungeeHairline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bungeeHairline(textStyle: textTheme.caption),
      button: GoogleFonts.bungeeHairline(textStyle: textTheme.button),
      overline: GoogleFonts.bungeeHairline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextStyle bungeeInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c34108c66136e4485dbe7f75f62e6d782066911952901a3b1657b8d37d5bf414',
        147660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Inline
  static TextTheme bungeeInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bungeeInline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bungeeInline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bungeeInline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bungeeInline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bungeeInline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bungeeInline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bungeeInline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bungeeInline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bungeeInline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bungeeInline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bungeeInline(textStyle: textTheme.caption),
      button: GoogleFonts.bungeeInline(textStyle: textTheme.button),
      overline: GoogleFonts.bungeeInline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextStyle bungeeOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53bb5dbad57c06403c9f7c9503b0397f17f001d2a0881305c5bee9de3c610f78',
        200136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Outline
  static TextTheme bungeeOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bungeeOutline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bungeeOutline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bungeeOutline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bungeeOutline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bungeeOutline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bungeeOutline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bungeeOutline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bungeeOutline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bungeeOutline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bungeeOutline(textStyle: textTheme.caption),
      button: GoogleFonts.bungeeOutline(textStyle: textTheme.button),
      overline: GoogleFonts.bungeeOutline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextStyle bungeeShade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd736a1fd1e9468b036a7df272341d90fa2864fa1a985cfef42c164898cadd99',
        330628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'BungeeShade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Bungee Shade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Bungee+Shade
  static TextTheme bungeeShadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.bungeeShade(textStyle: textTheme.headline1),
      headline2: GoogleFonts.bungeeShade(textStyle: textTheme.headline2),
      headline3: GoogleFonts.bungeeShade(textStyle: textTheme.headline3),
      headline4: GoogleFonts.bungeeShade(textStyle: textTheme.headline4),
      headline5: GoogleFonts.bungeeShade(textStyle: textTheme.headline5),
      headline6: GoogleFonts.bungeeShade(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.bungeeShade(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.bungeeShade(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.bungeeShade(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.bungeeShade(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.bungeeShade(textStyle: textTheme.caption),
      button: GoogleFonts.bungeeShade(textStyle: textTheme.button),
      overline: GoogleFonts.bungeeShade(textStyle: textTheme.overline),
    );
  }

  /// Applies the Butcherman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextStyle butcherman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bcf1ab19e7b312ef6a3f23116fef277d7af2240e6ee5719e5a8688f36f00e23',
        66300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Butcherman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butcherman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butcherman
  static TextTheme butchermanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.butcherman(textStyle: textTheme.headline1),
      headline2: GoogleFonts.butcherman(textStyle: textTheme.headline2),
      headline3: GoogleFonts.butcherman(textStyle: textTheme.headline3),
      headline4: GoogleFonts.butcherman(textStyle: textTheme.headline4),
      headline5: GoogleFonts.butcherman(textStyle: textTheme.headline5),
      headline6: GoogleFonts.butcherman(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.butcherman(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.butcherman(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.butcherman(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.butcherman(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.butcherman(textStyle: textTheme.caption),
      button: GoogleFonts.butcherman(textStyle: textTheme.button),
      overline: GoogleFonts.butcherman(textStyle: textTheme.overline),
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextStyle butterflyKids({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e78c92335db0b2820b46df2d4a84c41e8690af1bac099b4a552e36736643b61',
        202408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ButterflyKids',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Butterfly Kids font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Butterfly+Kids
  static TextTheme butterflyKidsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.butterflyKids(textStyle: textTheme.headline1),
      headline2: GoogleFonts.butterflyKids(textStyle: textTheme.headline2),
      headline3: GoogleFonts.butterflyKids(textStyle: textTheme.headline3),
      headline4: GoogleFonts.butterflyKids(textStyle: textTheme.headline4),
      headline5: GoogleFonts.butterflyKids(textStyle: textTheme.headline5),
      headline6: GoogleFonts.butterflyKids(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.butterflyKids(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.butterflyKids(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.butterflyKids(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.butterflyKids(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.butterflyKids(textStyle: textTheme.caption),
      button: GoogleFonts.butterflyKids(textStyle: textTheme.button),
      overline: GoogleFonts.butterflyKids(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cabin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextStyle cabin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ff30e9e9a66cf6a4e65d444d6bf8afdea7d574b27589397657972c2f9b2194f',
        81084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'db35751de9b88dfbea004784c70c96bca9d813b5521cf320e5cb30adfd7384a2',
        80436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4851465297f9c9aa19d41a969b28272f070f43271c7f279eb6daf3f291a47609',
        81516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f1dff32a90462507aca783f85d6b2ed780858dd81a2a13bf217afbbfe5cce77',
        81408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7e9674a2fca64e9eddd32df2987e72643c1fbadb5cc8158e4a429f8a99ea39a',
        81656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da97f68bcdcff651e97b599499a784fc828a6e26feb94f391324076d060e3f7f',
        81548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9adb3df669ae368a467dbe74951a83ec476b74739063459b95b664e6ea2bf36a',
        78196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4a3605f6b618e79e1d2bc2e4890babb2828cca85fee80608cb7d4a810b06eab',
        80320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cabin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin
  static TextTheme cabinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cabin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cabin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cabin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cabin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cabin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cabin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cabin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cabin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cabin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cabin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cabin(textStyle: textTheme.caption),
      button: GoogleFonts.cabin(textStyle: textTheme.button),
      overline: GoogleFonts.cabin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextStyle cabinCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8864cf658e1904654fb267649af1a35b07c0f9e7b2df523910efcfa047857270',
        75132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19d7c8b72085fd1898042b6adfa002bee67aa85565ea042e3383c6d9718262f3',
        74864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '204e4e214a76e3cc970598f75636fbe098a6541146bb02dd3d1ec67c8e155e5b',
        74872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b3d243ed807d45b1666f9a3866bc69260a7d81fe656a1d0fc9335302b4d82fa',
        74732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Condensed
  static TextTheme cabinCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cabinCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cabinCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cabinCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cabinCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cabinCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cabinCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cabinCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cabinCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cabinCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cabinCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.cabinCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.cabinCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextStyle cabinSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c56ec3d2c6227ce0f5959e906b36dda6fbf2ea830ed4edeb9000ee53197c122e',
        155128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dab969699fde26ddd2636960d9e77e5178036db4b98b1f3761df0e74e17ca88',
        269912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CabinSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cabin Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cabin+Sketch
  static TextTheme cabinSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cabinSketch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cabinSketch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cabinSketch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cabinSketch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cabinSketch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cabinSketch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cabinSketch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cabinSketch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cabinSketch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cabinSketch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cabinSketch(textStyle: textTheme.caption),
      button: GoogleFonts.cabinSketch(textStyle: textTheme.button),
      overline: GoogleFonts.cabinSketch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextStyle caesarDressing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee89ad88164ca8c3eeb747410087b9deecb5d306172af188f53bd267ec033f9c',
        89212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaesarDressing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caesar Dressing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caesar+Dressing
  static TextTheme caesarDressingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caesarDressing(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caesarDressing(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caesarDressing(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caesarDressing(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caesarDressing(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caesarDressing(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caesarDressing(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caesarDressing(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caesarDressing(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caesarDressing(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caesarDressing(textStyle: textTheme.caption),
      button: GoogleFonts.caesarDressing(textStyle: textTheme.button),
      overline: GoogleFonts.caesarDressing(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextStyle cagliostro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f57e12bc813bf3381233056c5544a970ea10f321f64dc63eef3ae1e650b2b93',
        37772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cagliostro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cagliostro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cagliostro
  static TextTheme cagliostroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cagliostro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cagliostro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cagliostro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cagliostro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cagliostro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cagliostro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cagliostro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cagliostro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cagliostro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cagliostro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cagliostro(textStyle: textTheme.caption),
      button: GoogleFonts.cagliostro(textStyle: textTheme.button),
      overline: GoogleFonts.cagliostro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cairo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextStyle cairo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4138b4fc3c1369eee1151ad813f76e1b371364feb318c2dfed606c6c7a98dc',
        105268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22d57a326952ad111119348fad278153f66b456e3f1e1b3eba074a4dc167f96e',
        104816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1537c4e5a58de46dea37716791ce13157250bce598772e19adbf07abdaa2f5c0',
        103204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f5b7f284695e2fd50ce750d2a479bcbdc7f701be3c33893f0773866193c8fba',
        104040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56f0547834a0a361e7216604988268770c085dcbd6f3241778f613b02d6db926',
        98368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cf0e64d282c925bd689d2224fc9f34075e4586dbbebdbfa585ebab25a42059c',
        105544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cairo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cairo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cairo
  static TextTheme cairoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cairo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cairo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cairo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cairo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cairo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cairo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cairo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cairo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cairo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cairo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cairo(textStyle: textTheme.caption),
      button: GoogleFonts.cairo(textStyle: textTheme.button),
      overline: GoogleFonts.cairo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caladea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextStyle caladea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60f1d4e3a572497f3530ac2ae1478709e606b3bdaaa56f97fd7efbc48e01de08',
        51516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a200599eb491ec914c9ce2fe7b2cdda1f14b4d082af53d054932993d3db7e7bb',
        50840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb25a8c8d05e937b9c5c3a001d1801276ba670641e4332a5f5d83cdc357cc5c3',
        52576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d6a8296a9489017c434820f994212d73ffe43b80bc9b3913f0eec7a4b3d4ed5',
        50968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caladea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caladea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caladea
  static TextTheme caladeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caladea(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caladea(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caladea(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caladea(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caladea(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caladea(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caladea(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caladea(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caladea(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caladea(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caladea(textStyle: textTheme.caption),
      button: GoogleFonts.caladea(textStyle: textTheme.button),
      overline: GoogleFonts.caladea(textStyle: textTheme.overline),
    );
  }

  /// Applies the Calistoga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextStyle calistoga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbcc8c6618b098df3f7de4ee7afbe7a4ebe1832e5d8cca3579199c4e73ef5e8f',
        77552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calistoga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calistoga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calistoga
  static TextTheme calistogaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.calistoga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.calistoga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.calistoga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.calistoga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.calistoga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.calistoga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.calistoga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.calistoga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.calistoga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.calistoga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.calistoga(textStyle: textTheme.caption),
      button: GoogleFonts.calistoga(textStyle: textTheme.button),
      overline: GoogleFonts.calistoga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextStyle calligraffitti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '580e522ce80a61e980096a261015c86696213b70822d677e4de3902787578e63',
        46940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Calligraffitti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Calligraffitti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Calligraffitti
  static TextTheme calligraffittiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.calligraffitti(textStyle: textTheme.headline1),
      headline2: GoogleFonts.calligraffitti(textStyle: textTheme.headline2),
      headline3: GoogleFonts.calligraffitti(textStyle: textTheme.headline3),
      headline4: GoogleFonts.calligraffitti(textStyle: textTheme.headline4),
      headline5: GoogleFonts.calligraffitti(textStyle: textTheme.headline5),
      headline6: GoogleFonts.calligraffitti(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.calligraffitti(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.calligraffitti(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.calligraffitti(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.calligraffitti(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.calligraffitti(textStyle: textTheme.caption),
      button: GoogleFonts.calligraffitti(textStyle: textTheme.button),
      overline: GoogleFonts.calligraffitti(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cambay font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextStyle cambay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7bad4e2ac4cc5bdeef53e890b4b3d52b065fdae8ebe5f754f263384995f7c73',
        140024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e821a1eb24db547646223e8b5065d6feeed373e25daf722bd4c3499785d3b6aa',
        155856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ece04d3d10726b39914e7a3c3ebbef7ccadcf7a26272fc090c83d3bf7690eea4',
        139576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd17daa8d61f0a8bdd69696d0da7fc566e3a13141eb0ae45e512b48dcafb92565',
        151048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambay font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambay
  static TextTheme cambayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cambay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cambay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cambay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cambay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cambay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cambay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cambay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cambay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cambay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cambay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cambay(textStyle: textTheme.caption),
      button: GoogleFonts.cambay(textStyle: textTheme.button),
      overline: GoogleFonts.cambay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cambo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextStyle cambo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d8d683131ae5168d1210d9676808b76b985ad2a151d3a7514ec02f7b8a776b9',
        29056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cambo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cambo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cambo
  static TextTheme camboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cambo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cambo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cambo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cambo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cambo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cambo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cambo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cambo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cambo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cambo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cambo(textStyle: textTheme.caption),
      button: GoogleFonts.cambo(textStyle: textTheme.button),
      overline: GoogleFonts.cambo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Candal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextStyle candal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e16795a5489340834dda623038868a2e7f48f4bc0f154f98c1a1962894a2598',
        32200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Candal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Candal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Candal
  static TextTheme candalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.candal(textStyle: textTheme.headline1),
      headline2: GoogleFonts.candal(textStyle: textTheme.headline2),
      headline3: GoogleFonts.candal(textStyle: textTheme.headline3),
      headline4: GoogleFonts.candal(textStyle: textTheme.headline4),
      headline5: GoogleFonts.candal(textStyle: textTheme.headline5),
      headline6: GoogleFonts.candal(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.candal(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.candal(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.candal(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.candal(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.candal(textStyle: textTheme.caption),
      button: GoogleFonts.candal(textStyle: textTheme.button),
      overline: GoogleFonts.candal(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cantarell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextStyle cantarell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e62d82800c92f72ed501733b5d52d7b8a5d88d1c6315bfdaf7f8ce781108c00',
        47436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6d9559dd0df30daed7da97dc8ef05e7f39b72205fb9bd7a055ddaa5242afd36f',
        50000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db0c34021061680135f973a2cb5565811527ea91f2fa07d023f4e105eb6f45d3',
        49208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb2c0f469972ec2016c3b8b8254ea0077f46207efb249afb3c4d356cf2c5418e',
        52132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cantarell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantarell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantarell
  static TextTheme cantarellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cantarell(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cantarell(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cantarell(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cantarell(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cantarell(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cantarell(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cantarell(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cantarell(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cantarell(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cantarell(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cantarell(textStyle: textTheme.caption),
      button: GoogleFonts.cantarell(textStyle: textTheme.button),
      overline: GoogleFonts.cantarell(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cantata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextStyle cantataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b58597daf95866fac678391238aefbae4bc3e31e826a3b85a2c749c3844a4dfe',
        57144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantata+One
  static TextTheme cantataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cantataOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cantataOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cantataOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cantataOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cantataOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cantataOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cantataOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cantataOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cantataOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cantataOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cantataOne(textStyle: textTheme.caption),
      button: GoogleFonts.cantataOne(textStyle: textTheme.button),
      overline: GoogleFonts.cantataOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cantora One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextStyle cantoraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '242d2167789079107cbe59c3e9ccd0339ca51419245296a4659c6b3ad73cc41c',
        109236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CantoraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cantora One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cantora+One
  static TextTheme cantoraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cantoraOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cantoraOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cantoraOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cantoraOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cantoraOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cantoraOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cantoraOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cantoraOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cantoraOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cantoraOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cantoraOne(textStyle: textTheme.caption),
      button: GoogleFonts.cantoraOne(textStyle: textTheme.button),
      overline: GoogleFonts.cantoraOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Capriola font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextStyle capriola({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '938d0b1c7f521513ee9bb1114d92827718670e0e5a495ccd564d70b0ddc59594',
        78168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Capriola',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Capriola font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Capriola
  static TextTheme capriolaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.capriola(textStyle: textTheme.headline1),
      headline2: GoogleFonts.capriola(textStyle: textTheme.headline2),
      headline3: GoogleFonts.capriola(textStyle: textTheme.headline3),
      headline4: GoogleFonts.capriola(textStyle: textTheme.headline4),
      headline5: GoogleFonts.capriola(textStyle: textTheme.headline5),
      headline6: GoogleFonts.capriola(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.capriola(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.capriola(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.capriola(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.capriola(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.capriola(textStyle: textTheme.caption),
      button: GoogleFonts.capriola(textStyle: textTheme.button),
      overline: GoogleFonts.capriola(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caramel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextStyle caramel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a80d114cb9fa5025551733589efa28c9b6f18d17fa1d0a64a019760e66369bac',
        77520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caramel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caramel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caramel
  static TextTheme caramelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caramel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caramel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caramel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caramel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caramel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caramel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caramel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caramel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caramel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caramel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caramel(textStyle: textTheme.caption),
      button: GoogleFonts.caramel(textStyle: textTheme.button),
      overline: GoogleFonts.caramel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Carattere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextStyle carattere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ac879fd9028443388930525ff30f4a8a05587cdc1c63f8cfac7b8efd056b6a4',
        78436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carattere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carattere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carattere
  static TextTheme carattereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.carattere(textStyle: textTheme.headline1),
      headline2: GoogleFonts.carattere(textStyle: textTheme.headline2),
      headline3: GoogleFonts.carattere(textStyle: textTheme.headline3),
      headline4: GoogleFonts.carattere(textStyle: textTheme.headline4),
      headline5: GoogleFonts.carattere(textStyle: textTheme.headline5),
      headline6: GoogleFonts.carattere(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.carattere(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.carattere(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.carattere(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.carattere(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.carattere(textStyle: textTheme.caption),
      button: GoogleFonts.carattere(textStyle: textTheme.button),
      overline: GoogleFonts.carattere(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cardo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextStyle cardo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '286e6a4bde92ea6087b503978338898808df924a3cdd8144741fa780d11603a2',
        400420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43bee56e6bb3d2ad574558a859227592f0b0ac881a70fd8f2cf74b808bb9be00',
        262820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10c0bab22a674656a3d5e94e05e64f9c6c6ea25acce0d0fc846f964985b142ce',
        348296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cardo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cardo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cardo
  static TextTheme cardoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cardo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cardo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cardo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cardo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cardo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cardo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cardo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cardo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cardo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cardo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cardo(textStyle: textTheme.caption),
      button: GoogleFonts.cardo(textStyle: textTheme.button),
      overline: GoogleFonts.cardo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Carme font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextStyle carme({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79973fb109b078d0e49d90287e9f6527dc8829c6076c878ed07743d78cfb988b',
        60852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Carme',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carme font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carme
  static TextTheme carmeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.carme(textStyle: textTheme.headline1),
      headline2: GoogleFonts.carme(textStyle: textTheme.headline2),
      headline3: GoogleFonts.carme(textStyle: textTheme.headline3),
      headline4: GoogleFonts.carme(textStyle: textTheme.headline4),
      headline5: GoogleFonts.carme(textStyle: textTheme.headline5),
      headline6: GoogleFonts.carme(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.carme(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.carme(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.carme(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.carme(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.carme(textStyle: textTheme.caption),
      button: GoogleFonts.carme(textStyle: textTheme.button),
      overline: GoogleFonts.carme(textStyle: textTheme.overline),
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextStyle carroisGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd013d780a3d17a244794f0d2649a6214a1946f102ddf0a02fe366fa7bb8bb6ec',
        26212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic
  static TextTheme carroisGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.carroisGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.carroisGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.carroisGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.carroisGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.carroisGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.carroisGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.carroisGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.carroisGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.carroisGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.carroisGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.carroisGothic(textStyle: textTheme.caption),
      button: GoogleFonts.carroisGothic(textStyle: textTheme.button),
      overline: GoogleFonts.carroisGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextStyle carroisGothicSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b50b78ae9eb35706d3d9923b420465d6c6245e9469dcbe4a96c30d118338edf',
        26084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarroisGothicSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carrois Gothic SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carrois+Gothic+SC
  static TextTheme carroisGothicScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.carroisGothicSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.carroisGothicSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.carroisGothicSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.carroisGothicSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.carroisGothicSc(textStyle: textTheme.caption),
      button: GoogleFonts.carroisGothicSc(textStyle: textTheme.button),
      overline: GoogleFonts.carroisGothicSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Carter One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextStyle carterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64cdbf0babf6eb9e23f0a780f283a930636589b4b8d9a5d0cdf24888a7719292',
        63872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CarterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Carter One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Carter+One
  static TextTheme carterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.carterOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.carterOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.carterOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.carterOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.carterOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.carterOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.carterOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.carterOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.carterOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.carterOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.carterOne(textStyle: textTheme.caption),
      button: GoogleFonts.carterOne(textStyle: textTheme.button),
      overline: GoogleFonts.carterOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Castoro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextStyle castoro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1c0fdc4bf42e6acc4514d8e123a56bfa4101a0bf4d339c2f0a71bfcb0f6d02e',
        70892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14b88401404e0d4111e8147bff13b3e811ece5feb299cd9259f3571ceb0de230',
        72080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Castoro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Castoro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Castoro
  static TextTheme castoroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.castoro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.castoro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.castoro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.castoro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.castoro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.castoro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.castoro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.castoro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.castoro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.castoro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.castoro(textStyle: textTheme.caption),
      button: GoogleFonts.castoro(textStyle: textTheme.button),
      overline: GoogleFonts.castoro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Catamaran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextStyle catamaran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8e9d704be93826d9781f133277934bb6184afd9522b149f005c78f5d89e62ac',
        51516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f24bc068d63c199fab01e5c0690d6e034f485057c3c19571b656e705a78756b',
        51520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '853537ef3cef46cebdd3f2ee0f94b33861095d50b2584d6f96a47725f6f4b79d',
        51428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6af095039ae2cc21b9f8e147b290dc6fae99dd4f45843dd262a9e30557dd4e65',
        51200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b80fad7d7ef99a42af9235090775e879520d07fb7b3deda4986a64c81be4a96',
        51172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd77e1072b0d92cfa66cc458ff7e053b1e33cfa9dd663fb52f75062ba9a134122',
        51028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47d32e32345049db4c0f41c0ffba707afcf0ac18cb7000817fd26ae811255728',
        50828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '342bd0052b9b81ca6df68a9cdda635ad6f77c796e37045545bfa1d0a071c0bc8',
        50464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa466db090fa897764fa413a006d0c4f7a975a118db3de634988a14f674446cb',
        50220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Catamaran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Catamaran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Catamaran
  static TextTheme catamaranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.catamaran(textStyle: textTheme.headline1),
      headline2: GoogleFonts.catamaran(textStyle: textTheme.headline2),
      headline3: GoogleFonts.catamaran(textStyle: textTheme.headline3),
      headline4: GoogleFonts.catamaran(textStyle: textTheme.headline4),
      headline5: GoogleFonts.catamaran(textStyle: textTheme.headline5),
      headline6: GoogleFonts.catamaran(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.catamaran(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.catamaran(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.catamaran(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.catamaran(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.catamaran(textStyle: textTheme.caption),
      button: GoogleFonts.catamaran(textStyle: textTheme.button),
      overline: GoogleFonts.catamaran(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caudex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextStyle caudex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0c195632ea06158f87e86ee898119dd8a7f59788999552ed79be77c33c6a726',
        466276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53374860983e21bb358d83d1162c824903649ae49f873a963c665b066514bb9d',
        559392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09a6db433fd45eb3e1423e9947afe5b766008cc358cb482b42103970fc840676',
        471660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45c118976f77e53a2a5122e22cace7fb846373a14892fbb7e0ff61e1a46de1d4',
        555108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caudex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caudex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caudex
  static TextTheme caudexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caudex(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caudex(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caudex(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caudex(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caudex(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caudex(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caudex(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caudex(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caudex(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caudex(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caudex(textStyle: textTheme.caption),
      button: GoogleFonts.caudex(textStyle: textTheme.button),
      overline: GoogleFonts.caudex(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caveat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextStyle caveat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ffe3acdd9c8d91838d7ba021d1c4e9111151e34a104318a8aafe0efeda5755f',
        165376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6993da01fa90c359d45a03be9927b46be80d261978de6f5805f43d75ed2d172f',
        166236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Caveat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat
  static TextTheme caveatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caveat(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caveat(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caveat(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caveat(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caveat(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caveat(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caveat(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caveat(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caveat(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caveat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caveat(textStyle: textTheme.caption),
      button: GoogleFonts.caveat(textStyle: textTheme.button),
      overline: GoogleFonts.caveat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextStyle caveatBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70de81a815f44819880ddba3c93eda87ab6bd1a4b21db15e5ba29c9271cba521',
        232640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CaveatBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Caveat Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Caveat+Brush
  static TextTheme caveatBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.caveatBrush(textStyle: textTheme.headline1),
      headline2: GoogleFonts.caveatBrush(textStyle: textTheme.headline2),
      headline3: GoogleFonts.caveatBrush(textStyle: textTheme.headline3),
      headline4: GoogleFonts.caveatBrush(textStyle: textTheme.headline4),
      headline5: GoogleFonts.caveatBrush(textStyle: textTheme.headline5),
      headline6: GoogleFonts.caveatBrush(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.caveatBrush(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.caveatBrush(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.caveatBrush(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.caveatBrush(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.caveatBrush(textStyle: textTheme.caption),
      button: GoogleFonts.caveatBrush(textStyle: textTheme.button),
      overline: GoogleFonts.caveatBrush(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextStyle cedarvilleCursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1296a081a20bf4a1936ace5eac4d05fa6702cdfaab5f94a5088af4c0aa46c3d',
        68704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CedarvilleCursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cedarville Cursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cedarville+Cursive
  static TextTheme cedarvilleCursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cedarvilleCursive(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cedarvilleCursive(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cedarvilleCursive(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cedarvilleCursive(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cedarvilleCursive(textStyle: textTheme.caption),
      button: GoogleFonts.cedarvilleCursive(textStyle: textTheme.button),
      overline: GoogleFonts.cedarvilleCursive(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextStyle cevicheOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ed3cdc36bf356dbe366b2198c633acbf26815fc96c14ba05a7847b274043909',
        36688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CevicheOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ceviche One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ceviche+One
  static TextTheme cevicheOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cevicheOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cevicheOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cevicheOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cevicheOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cevicheOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cevicheOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cevicheOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cevicheOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cevicheOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cevicheOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cevicheOne(textStyle: textTheme.caption),
      button: GoogleFonts.cevicheOne(textStyle: textTheme.button),
      overline: GoogleFonts.cevicheOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextStyle chakraPetch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecaf4ae2d67c61e2a3fa8df13a271ccea00d43000ba74107e7bfda439f60b1d2',
        70452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '020376f9083d9c7e6f32ecb879dee72b6fadef64ea9a3df0bd01d4952a06f1aa',
        72720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6854c9992a9a1345525235ab8e75582a0f6f3f828c37e4720a78aad1de6c0aa5',
        70160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '114572d34834d0022111a2a7a0eaf1d6bb7e3b70537f2c52e283219fa86ccd02',
        72412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '179d4e7774a67d1c01789bcf1bf48e72fbc37fa173f3373470769b54a505ad17',
        70152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f7172b64774efd15a32d833b00836c9e30c0ee766c096a08de2a427c904f5c2d',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6b54f7d68496d966460fe300af5b72cc91ca631822110de9fbc976ceabb2591',
        70164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7a04e1ebef703c41253da2ca8a90c83a63649e471590d939c69828a0e0e591f',
        72524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e409c139ac42c535be29bfb904109788499a4b3971f95c0853dce713da259ea9',
        70068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86042cd1693573443cb56c465a3f44172486eb888d707fcc03eb3dc8600008cb',
        72408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChakraPetch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chakra Petch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chakra+Petch
  static TextTheme chakraPetchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chakraPetch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chakraPetch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chakraPetch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chakraPetch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chakraPetch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chakraPetch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chakraPetch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chakraPetch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chakraPetch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chakraPetch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chakraPetch(textStyle: textTheme.caption),
      button: GoogleFonts.chakraPetch(textStyle: textTheme.button),
      overline: GoogleFonts.chakraPetch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Changa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextStyle changa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e248c51b3bc1f8fd1d6b980400670c54bf2cdf89f4c5e075bca29f09ecdb936b',
        81252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f083dc8e9965f9e9b8c6c977bcfac5a504f4ef820e8c8237f1217d4edf3bdd9a',
        80888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01d71ec0cc7235bb908cc0c3ae45d1e10a2f87e4a61ad5ef855af157f39e8a80',
        80184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb1d544301460f01712f06d94a05af7420497d1b5791bdf43b542c0351227242',
        80588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c22f4b8d7a97aaa32759b9336354bdcf999861dac5d589a4e02e7e5bb9504f98',
        80472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a274e0c0a7aa46f455bf65caff8b972998ce8fc975bf677ae154d5765ac4c0f',
        79956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d419cee41ca204d194f089cfd5d8d35ea6bc706a8f606ecaa69132df9854893',
        79556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Changa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa
  static TextTheme changaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.changa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.changa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.changa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.changa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.changa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.changa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.changa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.changa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.changa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.changa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.changa(textStyle: textTheme.caption),
      button: GoogleFonts.changa(textStyle: textTheme.button),
      overline: GoogleFonts.changa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Changa One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextStyle changaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55a043f0a2eb34269cfb137a6203fdc338019e9bdaabee1e685c6b37495cb962',
        22668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '241077b802e7b6209a41ea93aae98aa81d9f09e6f78fce924c863af6ca96b529',
        26680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChangaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Changa One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Changa+One
  static TextTheme changaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.changaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.changaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.changaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.changaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.changaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.changaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.changaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.changaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.changaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.changaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.changaOne(textStyle: textTheme.caption),
      button: GoogleFonts.changaOne(textStyle: textTheme.button),
      overline: GoogleFonts.changaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chango font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextStyle chango({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66d5dcae03b7a0d59f38640d05bb920cc6d3b4e2a1cdb176628330e20ab9a6ca',
        40684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chango',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chango font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chango
  static TextTheme changoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chango(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chango(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chango(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chango(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chango(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chango(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chango(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chango(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chango(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chango(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chango(textStyle: textTheme.caption),
      button: GoogleFonts.chango(textStyle: textTheme.button),
      overline: GoogleFonts.chango(textStyle: textTheme.overline),
    );
  }

  /// Applies the Charm font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextStyle charm({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2803aafd875584dcb262e1eddd8dc7542342f4d2d76ac5f9b06c6b5e2bae18f',
        121276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40f34767fa59a87e641da20236b9966135321cb03c1ed68d88a6234d432d2604',
        122112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charm',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charm font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charm
  static TextTheme charmTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.charm(textStyle: textTheme.headline1),
      headline2: GoogleFonts.charm(textStyle: textTheme.headline2),
      headline3: GoogleFonts.charm(textStyle: textTheme.headline3),
      headline4: GoogleFonts.charm(textStyle: textTheme.headline4),
      headline5: GoogleFonts.charm(textStyle: textTheme.headline5),
      headline6: GoogleFonts.charm(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.charm(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.charm(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.charm(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.charm(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.charm(textStyle: textTheme.caption),
      button: GoogleFonts.charm(textStyle: textTheme.button),
      overline: GoogleFonts.charm(textStyle: textTheme.overline),
    );
  }

  /// Applies the Charmonman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextStyle charmonman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c4d7f973e9f5d882d38668d863ec90889ddc79cd302e832da538621ac970513',
        100884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1492915dc59b590610a5b5bcf4d1b9aca380c377b870a0a9de187fc05146908',
        100612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Charmonman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Charmonman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Charmonman
  static TextTheme charmonmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.charmonman(textStyle: textTheme.headline1),
      headline2: GoogleFonts.charmonman(textStyle: textTheme.headline2),
      headline3: GoogleFonts.charmonman(textStyle: textTheme.headline3),
      headline4: GoogleFonts.charmonman(textStyle: textTheme.headline4),
      headline5: GoogleFonts.charmonman(textStyle: textTheme.headline5),
      headline6: GoogleFonts.charmonman(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.charmonman(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.charmonman(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.charmonman(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.charmonman(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.charmonman(textStyle: textTheme.caption),
      button: GoogleFonts.charmonman(textStyle: textTheme.button),
      overline: GoogleFonts.charmonman(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chathura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextStyle chathura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78a5a2532fd10bcf3317ec8440d1e758a309bd152369607ccea764abddbcb168',
        345716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b8357f2b60bfe270ca77801978a0bd5e729870ffad8b19d54ff69cded800a1f',
        340972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8abdba026fb7a58e3f5b2cbe302ab4d9e817e69dfd7c6fce0ffbf22fe9600f5',
        330780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '129573e675c52db3364e6d6ac3d517a6cb8113531a3bc2b54276e1d28d28c11a',
        329608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6190f40f502b8b950146bbe4ba7b7b02eea38047766ba5b56895059e3b6c655',
        328760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chathura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chathura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chathura
  static TextTheme chathuraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chathura(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chathura(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chathura(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chathura(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chathura(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chathura(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chathura(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chathura(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chathura(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chathura(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chathura(textStyle: textTheme.caption),
      button: GoogleFonts.chathura(textStyle: textTheme.button),
      overline: GoogleFonts.chathura(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextStyle chauPhilomeneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c44d00d1e4d0cfcf8ae3458b12571cdd000ce9df7849a29afa3dd3aadfdb6224',
        39692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5be1fbfb8c59a78422d618850745eeabe8bebc7aef35518a599c765168ad124a',
        43992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChauPhilomeneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chau Philomene One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chau+Philomene+One
  static TextTheme chauPhilomeneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.caption),
      button: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.button),
      overline: GoogleFonts.chauPhilomeneOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chela One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextStyle chelaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3efd79a48f37981dfb1dd9c73243093c103f990459d6cc0e0918ed692c2beef0',
        35492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chela One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chela+One
  static TextTheme chelaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chelaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chelaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chelaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chelaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chelaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chelaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chelaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chelaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chelaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chelaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chelaOne(textStyle: textTheme.caption),
      button: GoogleFonts.chelaOne(textStyle: textTheme.button),
      overline: GoogleFonts.chelaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextStyle chelseaMarket({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7841b0525f53772efeff1353b0297e9faa176874f84319d11057dfa3d129147b',
        172508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ChelseaMarket',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chelsea Market font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chelsea+Market
  static TextTheme chelseaMarketTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chelseaMarket(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chelseaMarket(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chelseaMarket(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chelseaMarket(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chelseaMarket(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chelseaMarket(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chelseaMarket(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chelseaMarket(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chelseaMarket(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chelseaMarket(textStyle: textTheme.caption),
      button: GoogleFonts.chelseaMarket(textStyle: textTheme.button),
      overline: GoogleFonts.chelseaMarket(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cherish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextStyle cherish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c27293defe6805cbe5d44a9ef638bc71b43a7df0ed9e38511d64c4f2c0be74d',
        195668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cherish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherish
  static TextTheme cherishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cherish(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cherish(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cherish(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cherish(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cherish(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cherish(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cherish(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cherish(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cherish(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cherish(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cherish(textStyle: textTheme.caption),
      button: GoogleFonts.cherish(textStyle: textTheme.button),
      overline: GoogleFonts.cherish(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextStyle cherryCreamSoda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47e79c87ca78a16fd9c841454bdf7ea5a7485a08a7f78baddcc83bbc2f510729',
        40208,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherryCreamSoda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Cream Soda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Cream+Soda
  static TextTheme cherryCreamSodaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cherryCreamSoda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cherryCreamSoda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cherryCreamSoda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cherryCreamSoda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cherryCreamSoda(textStyle: textTheme.caption),
      button: GoogleFonts.cherryCreamSoda(textStyle: textTheme.button),
      overline: GoogleFonts.cherryCreamSoda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextStyle cherrySwash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c16f18e4a0ef56672f00dcd810fae50a7468eccc6174968c6890ca1ed1eb4dc0',
        30548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46fc53776950e3047f5b647b1819e4ec28a5521b733a7e614aa9d97562cb5371',
        29984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CherrySwash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cherry Swash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cherry+Swash
  static TextTheme cherrySwashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cherrySwash(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cherrySwash(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cherrySwash(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cherrySwash(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cherrySwash(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cherrySwash(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cherrySwash(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cherrySwash(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cherrySwash(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cherrySwash(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cherrySwash(textStyle: textTheme.caption),
      button: GoogleFonts.cherrySwash(textStyle: textTheme.button),
      overline: GoogleFonts.cherrySwash(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chewy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextStyle chewy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd88ead910c7aca7ef7e4aec8e38bc7bd8ea2f85b93181a960e2747192d839469',
        36096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chewy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chewy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chewy
  static TextTheme chewyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chewy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chewy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chewy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chewy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chewy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chewy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chewy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chewy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chewy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chewy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chewy(textStyle: textTheme.caption),
      button: GoogleFonts.chewy(textStyle: textTheme.button),
      overline: GoogleFonts.chewy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chicle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextStyle chicle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '463fc42349dcac85fa8e161556aa92b7ae3f8d9cd174ef7b134ac072382d6069',
        40964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chicle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chicle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chicle
  static TextTheme chicleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chicle(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chicle(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chicle(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chicle(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chicle(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chicle(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chicle(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chicle(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chicle(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chicle(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chicle(textStyle: textTheme.caption),
      button: GoogleFonts.chicle(textStyle: textTheme.button),
      overline: GoogleFonts.chicle(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chilanka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextStyle chilanka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0b4dcbe94cf228d02f67f71242fed2881a691a3b3516a791881a3428605d6dc',
        338888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chilanka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chilanka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chilanka
  static TextTheme chilankaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chilanka(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chilanka(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chilanka(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chilanka(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chilanka(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chilanka(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chilanka(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chilanka(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chilanka(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chilanka(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chilanka(textStyle: textTheme.caption),
      button: GoogleFonts.chilanka(textStyle: textTheme.button),
      overline: GoogleFonts.chilanka(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextStyle chivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '994635489f0d118a198cb7efcdd1b61cbd4431c9e6426fffad5b731c4d2c1a5c',
        44544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f512baee58b1fc81a387836a8de41c055d2bebbfde221bd5f6829c1db58d9baa',
        38544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45551e766074f40061345617f0e07c5a4a2ecbd70ce90f3c7456284827c3184',
        41264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1940d6e1383f625468fbb0231dc6d8ea95eda2d8483e23e66e94d6bb05996ca2',
        35312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49e634b98df69d1812b9406be76ebe8c76888e0202ae16c267aff5f9897d279f',
        33884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eea6f18e9fa02d840e18d03dfe74e65437743472807f1f0a93bb11254419cdb4',
        35400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b16f1d6acd367f8f1dd75d71e56027975f5f4c661b7272c0ae41a0635d55908a',
        34680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da92d63af2ecddbae2e8cf92a528caebcba3ed94b7b00e2ab04d228c4622c806',
        36840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chivo
  static TextTheme chivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chivo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chivo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chivo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chivo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chivo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chivo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chivo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chivo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chivo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chivo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chivo(textStyle: textTheme.caption),
      button: GoogleFonts.chivo(textStyle: textTheme.button),
      overline: GoogleFonts.chivo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Chonburi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextStyle chonburi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8e4b1d59bd57981915ee60262422c0d7b7bc237ec938d181c684425e608baca',
        112300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Chonburi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Chonburi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Chonburi
  static TextTheme chonburiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.chonburi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.chonburi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.chonburi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.chonburi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.chonburi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.chonburi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.chonburi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.chonburi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.chonburi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.chonburi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.chonburi(textStyle: textTheme.caption),
      button: GoogleFonts.chonburi(textStyle: textTheme.button),
      overline: GoogleFonts.chonburi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cinzel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextStyle cinzel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a1d67206903b7688f4187df3dd0563dce75a49b26d036c7e88798adcd6c8fab',
        55732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd385de045feb981ef4256fb3f82d128c1835f686ed5611dd1c5b01e8b615e7bb',
        57244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbb068fbb60eb4c57957c490b9e8c4b00d9c8cc14bd064d85fca96516f5ae46f',
        58144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cinzel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel
  static TextTheme cinzelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cinzel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cinzel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cinzel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cinzel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cinzel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cinzel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cinzel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cinzel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cinzel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cinzel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cinzel(textStyle: textTheme.caption),
      button: GoogleFonts.cinzel(textStyle: textTheme.button),
      overline: GoogleFonts.cinzel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextStyle cinzelDecorative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2559504f7da1fc2410b4eca9cb5ca6fee8c1ead7c3920a0b225ef4f1da9034f',
        60044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a01d62b7c7d50b908e2fd62beb09363fb5e99ea2f21e0e79f71e5a6c356ceba',
        61900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9e463550cabc5d5d694e24c136e6d235212011e58c21d523229960a16bc5148',
        62320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CinzelDecorative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cinzel Decorative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cinzel+Decorative
  static TextTheme cinzelDecorativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cinzelDecorative(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cinzelDecorative(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cinzelDecorative(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cinzelDecorative(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cinzelDecorative(textStyle: textTheme.caption),
      button: GoogleFonts.cinzelDecorative(textStyle: textTheme.button),
      overline: GoogleFonts.cinzelDecorative(textStyle: textTheme.overline),
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextStyle clickerScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d266712bdee3e9dc58039be9fe3d6492b6d9de30e12c387ff7726b7bc43566',
        63596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ClickerScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Clicker Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Clicker+Script
  static TextTheme clickerScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.clickerScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.clickerScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.clickerScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.clickerScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.clickerScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.clickerScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.clickerScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.clickerScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.clickerScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.clickerScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.clickerScript(textStyle: textTheme.caption),
      button: GoogleFonts.clickerScript(textStyle: textTheme.button),
      overline: GoogleFonts.clickerScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Coda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextStyle coda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3286b71ee83e8775ab6ae6fef1580c62d0344ad5a8a10ba144104648a36f9749',
        37032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f385f570ff23725ac544ecfcf2ec8b8cbca733a730d2038266a6eb8b071e4c0',
        31676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda
  static TextTheme codaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.coda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.coda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.coda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.coda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.coda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.coda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.coda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.coda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.coda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.coda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.coda(textStyle: textTheme.caption),
      button: GoogleFonts.coda(textStyle: textTheme.button),
      overline: GoogleFonts.coda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextStyle codaCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28b801f8b4a3bbeae1f47a3081d64a60cba59d844b8d9719165a993bbfd5424b',
        59700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CodaCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coda Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coda+Caption
  static TextTheme codaCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.codaCaption(textStyle: textTheme.headline1),
      headline2: GoogleFonts.codaCaption(textStyle: textTheme.headline2),
      headline3: GoogleFonts.codaCaption(textStyle: textTheme.headline3),
      headline4: GoogleFonts.codaCaption(textStyle: textTheme.headline4),
      headline5: GoogleFonts.codaCaption(textStyle: textTheme.headline5),
      headline6: GoogleFonts.codaCaption(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.codaCaption(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.codaCaption(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.codaCaption(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.codaCaption(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.codaCaption(textStyle: textTheme.caption),
      button: GoogleFonts.codaCaption(textStyle: textTheme.button),
      overline: GoogleFonts.codaCaption(textStyle: textTheme.overline),
    );
  }

  /// Applies the Codystar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextStyle codystar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8599cf77d1a295657a62a9be2067a1d7c27dad40e7ae89910c6516e57f1fdb1',
        101120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d2fb67af692de14dd1f3b942de494168b78c1cef3cc103867d36c4281ac0b00',
        106084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Codystar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Codystar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Codystar
  static TextTheme codystarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.codystar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.codystar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.codystar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.codystar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.codystar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.codystar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.codystar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.codystar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.codystar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.codystar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.codystar(textStyle: textTheme.caption),
      button: GoogleFonts.codystar(textStyle: textTheme.button),
      overline: GoogleFonts.codystar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Coiny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextStyle coiny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7c4ad8ba1a68159f3a01ce26a6ae52110298a54077d3aa35b12d216941a3f28',
        88036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coiny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coiny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coiny
  static TextTheme coinyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.coiny(textStyle: textTheme.headline1),
      headline2: GoogleFonts.coiny(textStyle: textTheme.headline2),
      headline3: GoogleFonts.coiny(textStyle: textTheme.headline3),
      headline4: GoogleFonts.coiny(textStyle: textTheme.headline4),
      headline5: GoogleFonts.coiny(textStyle: textTheme.headline5),
      headline6: GoogleFonts.coiny(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.coiny(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.coiny(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.coiny(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.coiny(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.coiny(textStyle: textTheme.caption),
      button: GoogleFonts.coiny(textStyle: textTheme.button),
      overline: GoogleFonts.coiny(textStyle: textTheme.overline),
    );
  }

  /// Applies the Combo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextStyle combo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb7529647493cbe7db3d0199e9c64a31b084ffe6f9bc8408a5eef9a588daffdd',
        37416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Combo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Combo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Combo
  static TextTheme comboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.combo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.combo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.combo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.combo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.combo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.combo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.combo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.combo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.combo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.combo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.combo(textStyle: textTheme.caption),
      button: GoogleFonts.combo(textStyle: textTheme.button),
      overline: GoogleFonts.combo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextStyle comfortaa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c42dde162aca0ef35c66a372266676483320b31bd2d1069fd2ec3879d092000',
        106812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1a86afe9202b2f23f62ea6a901f0f299515c34673aea8cf0d8ab2270b4d7013',
        106948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30b5d292bb0fe9543a8ae812c3a2ce1ca57f9fd6701afafad31156536db5f08d',
        106956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comfortaa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comfortaa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comfortaa
  static TextTheme comfortaaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.comfortaa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.comfortaa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.comfortaa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.comfortaa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.comfortaa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.comfortaa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.comfortaa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.comfortaa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.comfortaa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.comfortaa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.comfortaa(textStyle: textTheme.caption),
      button: GoogleFonts.comfortaa(textStyle: textTheme.button),
      overline: GoogleFonts.comfortaa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Comforter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextStyle comforter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a872bb0333d058d54cd22ba0be216837040a1c83f4bee5adcd89d6327f51f9ba',
        149600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Comforter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter
  static TextTheme comforterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.comforter(textStyle: textTheme.headline1),
      headline2: GoogleFonts.comforter(textStyle: textTheme.headline2),
      headline3: GoogleFonts.comforter(textStyle: textTheme.headline3),
      headline4: GoogleFonts.comforter(textStyle: textTheme.headline4),
      headline5: GoogleFonts.comforter(textStyle: textTheme.headline5),
      headline6: GoogleFonts.comforter(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.comforter(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.comforter(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.comforter(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.comforter(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.comforter(textStyle: textTheme.caption),
      button: GoogleFonts.comforter(textStyle: textTheme.button),
      overline: GoogleFonts.comforter(textStyle: textTheme.overline),
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextStyle comforterBrush({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dc374f3f2bd680b2ca6cbfb08753f8ec83378606e3b8d0f0e01a13656c2fe80',
        600784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComforterBrush',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comforter Brush font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comforter+Brush
  static TextTheme comforterBrushTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.comforterBrush(textStyle: textTheme.headline1),
      headline2: GoogleFonts.comforterBrush(textStyle: textTheme.headline2),
      headline3: GoogleFonts.comforterBrush(textStyle: textTheme.headline3),
      headline4: GoogleFonts.comforterBrush(textStyle: textTheme.headline4),
      headline5: GoogleFonts.comforterBrush(textStyle: textTheme.headline5),
      headline6: GoogleFonts.comforterBrush(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.comforterBrush(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.comforterBrush(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.comforterBrush(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.comforterBrush(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.comforterBrush(textStyle: textTheme.caption),
      button: GoogleFonts.comforterBrush(textStyle: textTheme.button),
      overline: GoogleFonts.comforterBrush(textStyle: textTheme.overline),
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextStyle comicNeue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03e7eb4282b1113db14871908b545b6c90e66c01c71e25eebd86710af1675dc6',
        36488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3f90ddc32d7c1de1802b67c219fcaa9a3363ffd6798d5135d4f660a1dda1b26',
        35420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d7ebe6d4d4dfaab467fe4a423295d991fdfbf4d1989fcaad2f84c5f338ab089',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b5fb7946d3c3a90935983acd29701d85ed3c845dbea8a353f82e297d2c3c0fc6',
        35484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b38da288c36361aa89d7bd2d0cb55585417eef4ae2b1c087d41fa9d3616eb70',
        35256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77d1c55b067195ccd5450ef65c41c0bc9adb016fdc56465fa2323318e59a9fef',
        35480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComicNeue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Comic Neue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Comic+Neue
  static TextTheme comicNeueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.comicNeue(textStyle: textTheme.headline1),
      headline2: GoogleFonts.comicNeue(textStyle: textTheme.headline2),
      headline3: GoogleFonts.comicNeue(textStyle: textTheme.headline3),
      headline4: GoogleFonts.comicNeue(textStyle: textTheme.headline4),
      headline5: GoogleFonts.comicNeue(textStyle: textTheme.headline5),
      headline6: GoogleFonts.comicNeue(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.comicNeue(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.comicNeue(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.comicNeue(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.comicNeue(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.comicNeue(textStyle: textTheme.caption),
      button: GoogleFonts.comicNeue(textStyle: textTheme.button),
      overline: GoogleFonts.comicNeue(textStyle: textTheme.overline),
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextStyle comingSoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '193064f6768240e8165c7b8f6dec7b2dd4cf009b638b76c7b879098469346c5e',
        49836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ComingSoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coming Soon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coming+Soon
  static TextTheme comingSoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.comingSoon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.comingSoon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.comingSoon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.comingSoon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.comingSoon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.comingSoon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.comingSoon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.comingSoon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.comingSoon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.comingSoon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.comingSoon(textStyle: textTheme.caption),
      button: GoogleFonts.comingSoon(textStyle: textTheme.button),
      overline: GoogleFonts.comingSoon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Commissioner font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextStyle commissioner({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3f150dcb086a17069e52d54fa21cb1f24dc198b7e05359b9b24fa4697da6bd7',
        345392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1978b19a2dcf7ed0ba2354f75892138d7ae51193a8afe0df8359513bff60c42e',
        352032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '759373804a16aef0f59d2c1c0ef804972ad9ad65708142d58807d7eac8a311f6',
        356932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ea57d9c20f9490ea132318ac9b31671cbe5253e441caf88d170d86d5f00d950',
        363648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e3fadda38391b661f465e8511fce1ae10c4f52b08b3e4879191039f0de43c75',
        364704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a56720c0fc63f34becc7efc84659cbdacd2bca91b73617065d62ff00f255c2f6',
        367584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a70994c9420407b957fdc6ed64040600d77318665536587db62dcd33b03e6516',
        368552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e80c7844535ca64a4b3af21c23f195c9b9bb1f10bd74b7520474fb574b967177',
        367652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04a4f501c4e3bc2ac11cee31535057bad6c58b0bf9620c3f1acd704c333eb689',
        362176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Commissioner',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Commissioner font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Commissioner
  static TextTheme commissionerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.commissioner(textStyle: textTheme.headline1),
      headline2: GoogleFonts.commissioner(textStyle: textTheme.headline2),
      headline3: GoogleFonts.commissioner(textStyle: textTheme.headline3),
      headline4: GoogleFonts.commissioner(textStyle: textTheme.headline4),
      headline5: GoogleFonts.commissioner(textStyle: textTheme.headline5),
      headline6: GoogleFonts.commissioner(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.commissioner(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.commissioner(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.commissioner(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.commissioner(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.commissioner(textStyle: textTheme.caption),
      button: GoogleFonts.commissioner(textStyle: textTheme.button),
      overline: GoogleFonts.commissioner(textStyle: textTheme.overline),
    );
  }

  /// Applies the Concert One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextStyle concertOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2539111a44381dd36a5a1ab7f50323edd3755088027d0c83419b5ecb88ac14e2',
        44788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ConcertOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Concert One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Concert+One
  static TextTheme concertOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.concertOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.concertOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.concertOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.concertOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.concertOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.concertOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.concertOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.concertOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.concertOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.concertOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.concertOne(textStyle: textTheme.caption),
      button: GoogleFonts.concertOne(textStyle: textTheme.button),
      overline: GoogleFonts.concertOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Condiment font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextStyle condiment({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '404ef1b407aafc9555242dbfc0416b9761054b9bc16abacf2ab328af7b034b66',
        43344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Condiment',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Condiment font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Condiment
  static TextTheme condimentTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.condiment(textStyle: textTheme.headline1),
      headline2: GoogleFonts.condiment(textStyle: textTheme.headline2),
      headline3: GoogleFonts.condiment(textStyle: textTheme.headline3),
      headline4: GoogleFonts.condiment(textStyle: textTheme.headline4),
      headline5: GoogleFonts.condiment(textStyle: textTheme.headline5),
      headline6: GoogleFonts.condiment(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.condiment(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.condiment(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.condiment(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.condiment(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.condiment(textStyle: textTheme.caption),
      button: GoogleFonts.condiment(textStyle: textTheme.button),
      overline: GoogleFonts.condiment(textStyle: textTheme.overline),
    );
  }

  /// Applies the Contrail One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextStyle contrailOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51cdbe97cef3cc835b94974aeff5d8805b5d25b1904ad5355836afe27b0cc199',
        31136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ContrailOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Contrail One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Contrail+One
  static TextTheme contrailOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.contrailOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.contrailOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.contrailOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.contrailOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.contrailOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.contrailOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.contrailOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.contrailOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.contrailOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.contrailOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.contrailOne(textStyle: textTheme.caption),
      button: GoogleFonts.contrailOne(textStyle: textTheme.button),
      overline: GoogleFonts.contrailOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Convergence font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextStyle convergence({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bee94289e5374af0501d83d8b767d631571ce0a2ab1c16a765bad418a9fbbf22',
        30172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Convergence',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Convergence font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Convergence
  static TextTheme convergenceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.convergence(textStyle: textTheme.headline1),
      headline2: GoogleFonts.convergence(textStyle: textTheme.headline2),
      headline3: GoogleFonts.convergence(textStyle: textTheme.headline3),
      headline4: GoogleFonts.convergence(textStyle: textTheme.headline4),
      headline5: GoogleFonts.convergence(textStyle: textTheme.headline5),
      headline6: GoogleFonts.convergence(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.convergence(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.convergence(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.convergence(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.convergence(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.convergence(textStyle: textTheme.caption),
      button: GoogleFonts.convergence(textStyle: textTheme.button),
      overline: GoogleFonts.convergence(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cookie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextStyle cookie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d01e7c434faf0f6a1c7c2f49021b8ac01590d10ba4cb8c15683299ed0997536',
        43752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cookie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cookie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cookie
  static TextTheme cookieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cookie(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cookie(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cookie(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cookie(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cookie(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cookie(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cookie(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cookie(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cookie(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cookie(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cookie(textStyle: textTheme.caption),
      button: GoogleFonts.cookie(textStyle: textTheme.button),
      overline: GoogleFonts.cookie(textStyle: textTheme.overline),
    );
  }

  /// Applies the Copse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextStyle copse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ace02d3cf195f5ddfbe562a9361241356d198ed56d25ec6d8dfb69e08a50133a',
        59116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Copse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Copse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Copse
  static TextTheme copseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.copse(textStyle: textTheme.headline1),
      headline2: GoogleFonts.copse(textStyle: textTheme.headline2),
      headline3: GoogleFonts.copse(textStyle: textTheme.headline3),
      headline4: GoogleFonts.copse(textStyle: textTheme.headline4),
      headline5: GoogleFonts.copse(textStyle: textTheme.headline5),
      headline6: GoogleFonts.copse(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.copse(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.copse(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.copse(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.copse(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.copse(textStyle: textTheme.caption),
      button: GoogleFonts.copse(textStyle: textTheme.button),
      overline: GoogleFonts.copse(textStyle: textTheme.overline),
    );
  }

  /// Applies the Corben font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextStyle corben({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7fa399441299ed2b575ab62e7d0338bebb9b110c569b1ab9661d8df90029b6e',
        35760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '101e1a5b8d96f12fffab739f046c3a869a5edc6a0a4d2f980c26cef6648331c0',
        113588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corben',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corben font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corben
  static TextTheme corbenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.corben(textStyle: textTheme.headline1),
      headline2: GoogleFonts.corben(textStyle: textTheme.headline2),
      headline3: GoogleFonts.corben(textStyle: textTheme.headline3),
      headline4: GoogleFonts.corben(textStyle: textTheme.headline4),
      headline5: GoogleFonts.corben(textStyle: textTheme.headline5),
      headline6: GoogleFonts.corben(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.corben(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.corben(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.corben(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.corben(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.corben(textStyle: textTheme.caption),
      button: GoogleFonts.corben(textStyle: textTheme.button),
      overline: GoogleFonts.corben(textStyle: textTheme.overline),
    );
  }

  /// Applies the Corinthia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextStyle corinthia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48312e4cc29a5ad3b7b9a476239ca436889df20bf27cb0c8d5fd39ce770ae1ac',
        111160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ede762f904f5793b7957d1600bbb92dc091acb515afe54b6358e8730ae53baf8',
        107260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Corinthia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Corinthia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Corinthia
  static TextTheme corinthiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.corinthia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.corinthia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.corinthia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.corinthia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.corinthia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.corinthia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.corinthia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.corinthia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.corinthia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.corinthia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.corinthia(textStyle: textTheme.caption),
      button: GoogleFonts.corinthia(textStyle: textTheme.button),
      overline: GoogleFonts.corinthia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextStyle cormorant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d9142c8c73577fb3546a40795e753bab11f4e22663e2f1168cbc485cbaa542',
        369920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd90d995e2a130e04d6e32ee3778e059092e41f5d9c1c812a659c7ffb52951a19',
        241020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd04cb22306c1c15bb1727fc4b3d2344de940e929b75dbe3faa9b7f43f9e0d6d',
        370052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f64218505ec6321eba3b8df95d0806808f61c872f9c081bce39c00a402a4429',
        240392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20c11bc6844b3f25ad300ce80d94c0c0fc2fb997b51e04cd1959156c6d78309d',
        369256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47bba53369e3f5bcda0e230d7e6fe60ae86b40b59b80d57c603c50e273d2f17c',
        240280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1821d5e327189284afba6a7a2a9831a3025677c5afb37910353410a72391791',
        369328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c02d2b3a07288427fe5cd64e378eebe86d6a308b6d7dfe0e8cc4d1975d32e0d5',
        240048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a91dc6bed8f499ba7dfc43c8259fa142dc1d0097d84aba2a73c003c35b409845',
        368108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '01317d3f16a7d1e98e9fcb9e49778326433ab76c291971e501f5e721ac437b0d',
        239228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cormorant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant
  static TextTheme cormorantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorant(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorant(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorant(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorant(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorant(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorant(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorant(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorant(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorant(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorant(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorant(textStyle: textTheme.caption),
      button: GoogleFonts.cormorant(textStyle: textTheme.button),
      overline: GoogleFonts.cormorant(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextStyle cormorantGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e5ae2850e0033754375df527e1bb29ed63bd133553ce65b8d9313dd4cc944f8',
        674036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86bc19f83cdf358de6e84a3bdbdc0f24e24d47bbdbf7cc2eac80d7bfe24dfdd4',
        426064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a2dd210ea12467e5697bb32480d20e0ebfbe2c2af1c64b1679567cf3486a8a5',
        673208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4766c3793328466bbd4f974a3843b2bffb312bd22c98098b0dec8990ba48f5e2',
        424232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31bc31d93d2a5c505ca03887ae0ad2ad816caf59499f35016d89fe4d5db18ced',
        672392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e2b5d7b06e08f325bc0513179903b1423183f6533fec2645b64a6e1f24ad699c',
        424904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25068099ded344cf0919185bae33e11bca97b6c8b1a528dede8ac80325e27c6b',
        671588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e316fc5e36acd433eb0c3ea1b28d8475a1ff9d0da27bf329fa1bd5d54eb870bf',
        424716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b273c7be0b4af1389631638e4f056f5d9066fc17d321e665b3a28d43001736af',
        670200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1c32c701a4b7594cd169653bc0feceed0160066ce7cedd06999fc884ddd6c02',
        423900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Garamond
  static TextTheme cormorantGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorantGaramond(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorantGaramond(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorantGaramond(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorantGaramond(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorantGaramond(textStyle: textTheme.caption),
      button: GoogleFonts.cormorantGaramond(textStyle: textTheme.button),
      overline: GoogleFonts.cormorantGaramond(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextStyle cormorantInfant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9168080bdab2d447729e3f3046722e4d88cfd4cb5a1862dc6d916cba737791c5',
        674136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6958c39fabaf907bdde7ba424eb0c17f3fef77c989edbaa01115b1fe5c6e067',
        425328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47164cf35cfe61e120d0e8c3e775559372e1a738f9e2c57cf85aa05e8c4bc806',
        673248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '84f78b4a61cce77b8c2c9663434b1c6cf0316b556002a2c9ea9df9265533cf6b',
        423500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d23820c90080bfb4aa4f9cec1e1ef64424729ef0c9b0e977e27806b21d81304',
        671764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8a57af623179b25d7e59c823c1acd0563f9cfb6f1f03da9532e49bf49739dab',
        424168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6a06c7e0bd73d14e395e0d977119af3b5fae58a9ce153ab18a277182316b424',
        671652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e1ae8191f481ca057de000de05308f0098090fd60456b76f13b1ffdc82ac1b1d',
        423936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a03a98979c43146bda66d723dfb38c68b77012ab2433f4eafcbda573433d75b5',
        670304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ceb4474fec6832dee11e5cc5624186c760e7993898bc39599f3fe8248cbb1b70',
        423176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantInfant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Infant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Infant
  static TextTheme cormorantInfantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorantInfant(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorantInfant(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorantInfant(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorantInfant(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorantInfant(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorantInfant(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorantInfant(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorantInfant(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorantInfant(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorantInfant(textStyle: textTheme.caption),
      button: GoogleFonts.cormorantInfant(textStyle: textTheme.button),
      overline: GoogleFonts.cormorantInfant(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextStyle cormorantSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20075e607eb45ea2e8f60f9365f2bf608df1251f443ae12295d751b425dd9b62',
        652740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c091c9484c2f6ac490d1613295b59e76d359ad34e1c52fb2f853a8c2ea0aac',
        651888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85cf334d625e0deec8283f8aa03ec6295e20a52c371096595411dcee4bef2039',
        650624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a187b0fe3cebc137da0b069c1017ad0c1cfb10ef8992089d21b8261bbc9ad0c',
        650308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29e53a056b50572310c96ff3a83932d488c6954871aced226c122e7f3ff8b00b',
        648928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+SC
  static TextTheme cormorantScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorantSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorantSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorantSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorantSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorantSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorantSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorantSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorantSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorantSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorantSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorantSc(textStyle: textTheme.caption),
      button: GoogleFonts.cormorantSc(textStyle: textTheme.button),
      overline: GoogleFonts.cormorantSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextStyle cormorantUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b2f697aa9071850538a594d14122faff09a953f9e6b7897e5284ae9afe2c2b0',
        653392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a075bd869512a69bf9bfcb4b1987513cf71f5b0f8931adc373783f751c44553a',
        652624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa07955427124a8c76b2621bceba09805d61cc57efe1c57120f9fd91a46e04ce',
        651372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34d64ee75c05feffc586b864ce55af03115c3fd6a3c3fabeeef53742fd991848',
        651056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad4713eaa8a5f3198c0bed735f60707e4cb0c77de5643d8b4df7f61e8a8979a6',
        649664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Unicase
  static TextTheme cormorantUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorantUnicase(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorantUnicase(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorantUnicase(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorantUnicase(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorantUnicase(textStyle: textTheme.caption),
      button: GoogleFonts.cormorantUnicase(textStyle: textTheme.button),
      overline: GoogleFonts.cormorantUnicase(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextStyle cormorantUpright({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29c9067ec4aab7f8532dfad801cd638d35f8738903ec7c40f80069030e231431',
        156128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7c8d8d44c6591234b85e43c1b61a5f4adc82016e3c7f315b206cf31fda62572',
        155736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e1c85ea60d180f0a621d975977e7e75c7d398a4d4fcb569d2ccadd85c42adce',
        156096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d60d4f81c0c154612e2e9b3b5dd56c2ab5e74e4d8e8507d9725ce908a54c914',
        156140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '441604498e23b982bd6adbe6fe749140f9955eddd7a905329bb88bf4ca9a8f85',
        156320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CormorantUpright',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cormorant Upright font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cormorant+Upright
  static TextTheme cormorantUprightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cormorantUpright(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cormorantUpright(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cormorantUpright(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cormorantUpright(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cormorantUpright(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cormorantUpright(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cormorantUpright(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cormorantUpright(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cormorantUpright(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cormorantUpright(textStyle: textTheme.caption),
      button: GoogleFonts.cormorantUpright(textStyle: textTheme.button),
      overline: GoogleFonts.cormorantUpright(textStyle: textTheme.overline),
    );
  }

  /// Applies the Courgette font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextStyle courgette({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2754f22af579b8f14d78397e6cc4d3879519ad579085e8c047ba2f7719c592a4',
        93820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Courgette',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courgette font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courgette
  static TextTheme courgetteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.courgette(textStyle: textTheme.headline1),
      headline2: GoogleFonts.courgette(textStyle: textTheme.headline2),
      headline3: GoogleFonts.courgette(textStyle: textTheme.headline3),
      headline4: GoogleFonts.courgette(textStyle: textTheme.headline4),
      headline5: GoogleFonts.courgette(textStyle: textTheme.headline5),
      headline6: GoogleFonts.courgette(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.courgette(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.courgette(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.courgette(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.courgette(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.courgette(textStyle: textTheme.caption),
      button: GoogleFonts.courgette(textStyle: textTheme.button),
      overline: GoogleFonts.courgette(textStyle: textTheme.overline),
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextStyle courierPrime({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ab28865b2644070e548699748855f2d5a34b5bf8adea09607e18d4a7adc8999',
        40588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7109c63818181b56013b7ced3e5da53d756aab727e6a9786a0c8a58affe4ec23',
        46896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '385e70d216befbb71f12f5009f1824d235e0f4f2ab653bb0296d5d999afdfd3f',
        42136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3f61e15019812e414a4dba4f3b4fbdda453e8c4dd18deafacb7c55686cef11a7',
        47340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CourierPrime',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Courier Prime font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Courier+Prime
  static TextTheme courierPrimeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.courierPrime(textStyle: textTheme.headline1),
      headline2: GoogleFonts.courierPrime(textStyle: textTheme.headline2),
      headline3: GoogleFonts.courierPrime(textStyle: textTheme.headline3),
      headline4: GoogleFonts.courierPrime(textStyle: textTheme.headline4),
      headline5: GoogleFonts.courierPrime(textStyle: textTheme.headline5),
      headline6: GoogleFonts.courierPrime(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.courierPrime(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.courierPrime(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.courierPrime(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.courierPrime(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.courierPrime(textStyle: textTheme.caption),
      button: GoogleFonts.courierPrime(textStyle: textTheme.button),
      overline: GoogleFonts.courierPrime(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cousine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextStyle cousine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '753f2dd34e36271520e1bf057a91850492b226f76d6da301cf6955b4b32177a1',
        191380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '23ddf22bc3d06b028fce6e266632d38c97fa151a580be71b5ad43ee7d34d13a0',
        200304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e472053ed3d50c647f75d5654f0d2ff42cbf5221cb14e1b1af3dc25dbbd6ea4',
        191172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b14c04baa12f36602157da1c6c26f539163a93e571133c17d0b5acc34345bfa',
        199244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cousine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cousine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cousine
  static TextTheme cousineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cousine(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cousine(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cousine(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cousine(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cousine(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cousine(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cousine(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cousine(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cousine(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cousine(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cousine(textStyle: textTheme.caption),
      button: GoogleFonts.cousine(textStyle: textTheme.button),
      overline: GoogleFonts.cousine(textStyle: textTheme.overline),
    );
  }

  /// Applies the Coustard font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextStyle coustard({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '657fe3ebd0e1b0402731533db6ddbe6120271871430adfff3ea617c35120f166',
        39700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9288e8be500e6cb9ea6f0ae05167d9ee149c0d91fc8a422055f396236b1e413',
        42376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Coustard',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Coustard font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Coustard
  static TextTheme coustardTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.coustard(textStyle: textTheme.headline1),
      headline2: GoogleFonts.coustard(textStyle: textTheme.headline2),
      headline3: GoogleFonts.coustard(textStyle: textTheme.headline3),
      headline4: GoogleFonts.coustard(textStyle: textTheme.headline4),
      headline5: GoogleFonts.coustard(textStyle: textTheme.headline5),
      headline6: GoogleFonts.coustard(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.coustard(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.coustard(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.coustard(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.coustard(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.coustard(textStyle: textTheme.caption),
      button: GoogleFonts.coustard(textStyle: textTheme.button),
      overline: GoogleFonts.coustard(textStyle: textTheme.overline),
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextStyle coveredByYourGrace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2e2deb5e6914da1e25b2a2f5161ff4e08d65d6e00d26081708efc7ffacca93a',
        57040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CoveredByYourGrace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Covered By Your Grace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Covered+By+Your+Grace
  static TextTheme coveredByYourGraceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline1),
      headline2: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline2),
      headline3: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline3),
      headline4: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline4),
      headline5: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline5),
      headline6: GoogleFonts.coveredByYourGrace(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.coveredByYourGrace(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.coveredByYourGrace(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.coveredByYourGrace(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.coveredByYourGrace(textStyle: textTheme.caption),
      button: GoogleFonts.coveredByYourGrace(textStyle: textTheme.button),
      overline: GoogleFonts.coveredByYourGrace(textStyle: textTheme.overline),
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextStyle craftyGirls({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc184885668047ca66db5a530c0462f1b1ef2f2d6867b7f938c59dbc9d282de2',
        61632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CraftyGirls',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crafty Girls font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crafty+Girls
  static TextTheme craftyGirlsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.craftyGirls(textStyle: textTheme.headline1),
      headline2: GoogleFonts.craftyGirls(textStyle: textTheme.headline2),
      headline3: GoogleFonts.craftyGirls(textStyle: textTheme.headline3),
      headline4: GoogleFonts.craftyGirls(textStyle: textTheme.headline4),
      headline5: GoogleFonts.craftyGirls(textStyle: textTheme.headline5),
      headline6: GoogleFonts.craftyGirls(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.craftyGirls(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.craftyGirls(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.craftyGirls(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.craftyGirls(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.craftyGirls(textStyle: textTheme.caption),
      button: GoogleFonts.craftyGirls(textStyle: textTheme.button),
      overline: GoogleFonts.craftyGirls(textStyle: textTheme.overline),
    );
  }

  /// Applies the Creepster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextStyle creepster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb14e63f8fb5e6bd8706e47aea59d9e2b6b3da1b2f987d1468a6ba5cda2d1fc1',
        62700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Creepster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Creepster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Creepster
  static TextTheme creepsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.creepster(textStyle: textTheme.headline1),
      headline2: GoogleFonts.creepster(textStyle: textTheme.headline2),
      headline3: GoogleFonts.creepster(textStyle: textTheme.headline3),
      headline4: GoogleFonts.creepster(textStyle: textTheme.headline4),
      headline5: GoogleFonts.creepster(textStyle: textTheme.headline5),
      headline6: GoogleFonts.creepster(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.creepster(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.creepster(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.creepster(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.creepster(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.creepster(textStyle: textTheme.caption),
      button: GoogleFonts.creepster(textStyle: textTheme.button),
      overline: GoogleFonts.creepster(textStyle: textTheme.overline),
    );
  }

  /// Applies the Crete Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextStyle creteRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62fbd9c68fa6485a1a4fde14a03ed6a5268f26365fff7614e5704531390f0363',
        59264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8e915bc50126a1af673b8fbd3181aa9f8eac78545ec1b8d827ac5bac66b5cc5',
        67216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CreteRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crete Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crete+Round
  static TextTheme creteRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.creteRound(textStyle: textTheme.headline1),
      headline2: GoogleFonts.creteRound(textStyle: textTheme.headline2),
      headline3: GoogleFonts.creteRound(textStyle: textTheme.headline3),
      headline4: GoogleFonts.creteRound(textStyle: textTheme.headline4),
      headline5: GoogleFonts.creteRound(textStyle: textTheme.headline5),
      headline6: GoogleFonts.creteRound(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.creteRound(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.creteRound(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.creteRound(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.creteRound(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.creteRound(textStyle: textTheme.caption),
      button: GoogleFonts.creteRound(textStyle: textTheme.button),
      overline: GoogleFonts.creteRound(textStyle: textTheme.overline),
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextStyle crimsonPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b66abfec21e34e91fc61b2ac08084816d4d166259ea2198ed01578a1ac727e5',
        89240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9abd9060a62aa38f10dc60738f37bada274814485a3b3bef4353cbc2503358cc',
        89212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '510241ec6793070724a690b137fdfb9f98422a611b8f81c1e6f22d345a0fef65',
        89216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c758f7367d51b291ba0a17386117e7269f7a438bb2dc40acedc1574b113e43e2',
        89248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0668cef91f47f8b6609de80f66e247d934bc12467bed847c61ad8397297db31',
        89292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a3b4d93b35047eba32401d0e748ed133547287e16a5bacc9e40c85d85b489c',
        89208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fff124d10656b451037180b7611d390d0fb4f603400346db8986461325e2503',
        89300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e12367e6d503736e81c46a7e8dec43a84b804f31bcd06c8cd2e318cac7888b3',
        89264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02069dd1baa583bd54af1c82cd1979f3a078ee4087ddd6f64eb34b23c9370ee1',
        91212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '96b97a5f9ec116f9f218a3b7de6daa5e95e9c6cb1c49b21f12e2df59d5ff2380',
        91168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '737b0264b20a8110302dc2f70673ca8320d865b82c59d69c354a1e54b2edde3e',
        91044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '654dd004b7fefe64e3ef615227b16e1da3abce493c844e6359cebe3bc1e98f18',
        91188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c98a3ef2ed0a7bc571852f4b28fe383e22c671bf9696106fb88605680abfe9eb',
        91192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dfc39b2565c337e814711b840e339b33b5f5b223042561963c34a8a4cfcd41c8',
        91052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2dfc4edba8a2ecffbdf37c1e7ffc640034bbf2e83449b7e5df15e39cd78be80',
        91200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a99ef7991d1f3adeaa296d774cdf32d4441511e024a0bf21a52b3cac625c49e9',
        91156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Pro
  static TextTheme crimsonProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.crimsonPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.crimsonPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.crimsonPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.crimsonPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.crimsonPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.crimsonPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.crimsonPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.crimsonPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.crimsonPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.crimsonPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.crimsonPro(textStyle: textTheme.caption),
      button: GoogleFonts.crimsonPro(textStyle: textTheme.button),
      overline: GoogleFonts.crimsonPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextStyle crimsonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '883d56072155a485051564cd3019bb34a608ddfa0553e2295413e7a59c67bd28',
        186656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33025a7588fc7f2ca1b8eb2b599e2420ad23278ee100a8f7e11c881d385af57a',
        98404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37e75069b54a5c937eec2ba3fd3d193e3825fab2122bef2b86d86bc5ff1caab3',
        76316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15672e6c5d2b277c8dee2e6dcbffc17d3ba0c9a3018c446e199636f68dd227b1',
        74068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6bfa338154c86d462eef6a8dc69f2443ecc35740bbdc2f2da06e7599c037cbc',
        92296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c79dc3f51f37e16300b571c6835d06bff022a018b65d9ea69f1f897137acc238',
        74264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CrimsonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crimson Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crimson+Text
  static TextTheme crimsonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.crimsonText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.crimsonText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.crimsonText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.crimsonText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.crimsonText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.crimsonText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.crimsonText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.crimsonText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.crimsonText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.crimsonText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.crimsonText(textStyle: textTheme.caption),
      button: GoogleFonts.crimsonText(textStyle: textTheme.button),
      overline: GoogleFonts.crimsonText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Croissant One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextStyle croissantOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a51f330afdb3504b94cb09686589076855186483e4e89665623ebe0f655ce6ec',
        54696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CroissantOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Croissant One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Croissant+One
  static TextTheme croissantOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.croissantOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.croissantOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.croissantOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.croissantOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.croissantOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.croissantOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.croissantOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.croissantOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.croissantOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.croissantOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.croissantOne(textStyle: textTheme.caption),
      button: GoogleFonts.croissantOne(textStyle: textTheme.button),
      overline: GoogleFonts.croissantOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Crushed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextStyle crushed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8487a87e68819238f02206a3eab5aedf7deae9e72b1010c364816df3934ab08',
        57404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Crushed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Crushed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Crushed
  static TextTheme crushedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.crushed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.crushed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.crushed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.crushed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.crushed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.crushed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.crushed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.crushed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.crushed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.crushed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.crushed(textStyle: textTheme.caption),
      button: GoogleFonts.crushed(textStyle: textTheme.button),
      overline: GoogleFonts.crushed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cuprum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextStyle cuprum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bddf1f3b7162539ab2c939e699c275d83ee353437fc657257d945347dce5c66d',
        69128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27d4e15720e86dcbe0f0f3e93656c40e57203137b143f5a396d8a56e654963c8',
        73796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a3719a13307973f16e4ebfb3980da3f7d190316e71ada51aa42650b95524c97',
        68608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9bac99436b2027f87f8c0f692398a62b76be18874fbda4ea2b56aaa99553e6b2',
        73828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cuprum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cuprum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cuprum
  static TextTheme cuprumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cuprum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cuprum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cuprum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cuprum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cuprum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cuprum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cuprum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cuprum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cuprum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cuprum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cuprum(textStyle: textTheme.caption),
      button: GoogleFonts.cuprum(textStyle: textTheme.button),
      overline: GoogleFonts.cuprum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cute Font font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextStyle cuteFont({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '264e6741d6541397294f9de009ed33b609adf005445eaf7a346c99b03ae75feb',
        598524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CuteFont',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cute Font font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cute+Font
  static TextTheme cuteFontTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cuteFont(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cuteFont(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cuteFont(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cuteFont(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cuteFont(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cuteFont(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cuteFont(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cuteFont(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cuteFont(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cuteFont(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cuteFont(textStyle: textTheme.caption),
      button: GoogleFonts.cuteFont(textStyle: textTheme.button),
      overline: GoogleFonts.cuteFont(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cutive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextStyle cutive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e0849ce3a9bd06c1d093ce26a2727da8b032430d3d39d191cfd79df0983d490',
        41960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Cutive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive
  static TextTheme cutiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cutive(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cutive(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cutive(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cutive(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cutive(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cutive(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cutive(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cutive(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cutive(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cutive(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cutive(textStyle: textTheme.caption),
      button: GoogleFonts.cutive(textStyle: textTheme.button),
      overline: GoogleFonts.cutive(textStyle: textTheme.overline),
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextStyle cutiveMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0582d0fd288afe72a3eeebdace411705bd456580eb96ee5ef7214afd771ebfce',
        47056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'CutiveMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Cutive Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Cutive+Mono
  static TextTheme cutiveMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.cutiveMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.cutiveMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.cutiveMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.cutiveMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.cutiveMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.cutiveMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.cutiveMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.cutiveMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.cutiveMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.cutiveMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.cutiveMono(textStyle: textTheme.caption),
      button: GoogleFonts.cutiveMono(textStyle: textTheme.button),
      overline: GoogleFonts.cutiveMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the DM Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextStyle dmMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67638f30d87fc69f052f1ff91f488200a8696ecf2b7e200036b6ba7134665f02',
        27896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '531245107d1e3f2c1cd8ddeb9bbf214cc2f7412495cc15ffd4a9a6553b677537',
        29060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9692116a4d8c7abc9a734c6963264b73434254a7b6997a40c0df383364df2c2',
        27932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb74ddafb17f67359ab3426667e45e12054b3f2cd578a90880155a897a551ebf',
        29072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c46ab9994bad814204dd36ade2daafac04937ed6c8620de135d159ee5a4aaad',
        27776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe7c6a70b6d89fc903dcb90540d3cba6a078c080ad52ed9eda41becba14ff343',
        29096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Mono
  static TextTheme dmMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dmMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dmMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dmMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dmMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dmMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dmMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dmMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dmMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dmMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dmMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dmMono(textStyle: textTheme.caption),
      button: GoogleFonts.dmMono(textStyle: textTheme.button),
      overline: GoogleFonts.dmMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the DM Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextStyle dmSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e518fdb0a5c0ebe0d1d1b02a9025067837e79d235418ab9dc8366e7ce87fad55',
        43504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de4a1215c7928ebdd157181021531f87614894038bb9396b05826b7ae9595611',
        44712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '683cd0ce949642886f9652656cfe66d569a79d1530fcde104214769c266ae121',
        43300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c3126b61a6d535d42dd4e6e4eb66648863d4d4f9bf639d63da74d20cb3fa1fb4',
        44576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '940d8601e85100233071b73474474f0ea11612beecddd6da32efb7cd8a3971bd',
        43236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '579b8c8cd4a4fd71ee7ac563e399eacbcba63f3f8556516c95830d98bb9fbae9',
        44512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Sans
  static TextTheme dmSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dmSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dmSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dmSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dmSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dmSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dmSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dmSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dmSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dmSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dmSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dmSans(textStyle: textTheme.caption),
      button: GoogleFonts.dmSans(textStyle: textTheme.button),
      overline: GoogleFonts.dmSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextStyle dmSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1157689ec181ea520aeee52f8f7f8c16e0ced52d30800c402aae31faf50985a',
        56068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '007cfd580d7b1323a1b43156d2591b8119745361daba6117832dcbfb0146a36a',
        50564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Display
  static TextTheme dmSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dmSerifDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dmSerifDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dmSerifDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dmSerifDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dmSerifDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.dmSerifDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.dmSerifDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextStyle dmSerifText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fe3c6727cf74e86cfd545dfe7e6aa3a1dbdff9563e84e085acd65c07f633744',
        56120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '13b9bbb9c2b065c645eb14efbe2bc8dd2a4e41e635d12f8bc15b532e1d5fc628',
        50372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DMSerifText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DM Serif Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DM+Serif+Text
  static TextTheme dmSerifTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dmSerifText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dmSerifText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dmSerifText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dmSerifText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dmSerifText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dmSerifText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dmSerifText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dmSerifText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dmSerifText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dmSerifText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dmSerifText(textStyle: textTheme.caption),
      button: GoogleFonts.dmSerifText(textStyle: textTheme.button),
      overline: GoogleFonts.dmSerifText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Damion font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextStyle damion({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b178966c9329bdd54a10c83e076dc1647443dddd2471c9aa477780c6852294c',
        51972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Damion',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Damion font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Damion
  static TextTheme damionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.damion(textStyle: textTheme.headline1),
      headline2: GoogleFonts.damion(textStyle: textTheme.headline2),
      headline3: GoogleFonts.damion(textStyle: textTheme.headline3),
      headline4: GoogleFonts.damion(textStyle: textTheme.headline4),
      headline5: GoogleFonts.damion(textStyle: textTheme.headline5),
      headline6: GoogleFonts.damion(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.damion(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.damion(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.damion(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.damion(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.damion(textStyle: textTheme.caption),
      button: GoogleFonts.damion(textStyle: textTheme.button),
      overline: GoogleFonts.damion(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextStyle dancingScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40f021e25f9f4e2b67f5072ac941218596581a1621931f44173cbf5245b91fd3',
        90100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a2aa446dc86aad49ec46eb66fb313889bded9ef23f286664bba90a2eb156f87',
        89456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DancingScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dancing Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dancing+Script
  static TextTheme dancingScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dancingScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dancingScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dancingScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dancingScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dancingScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dancingScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dancingScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dancingScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dancingScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dancingScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dancingScript(textStyle: textTheme.caption),
      button: GoogleFonts.dancingScript(textStyle: textTheme.button),
      overline: GoogleFonts.dancingScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextStyle darkerGrotesque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f789e82ef267fb0b5f0798267ba5e3340b661840b52e1de87f7830b7d87a180e',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60303e0b600c0176b00422a680228f744d38795fbd8d35344f494b02400628c1',
        42704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6e1eb6614b97b3298d1d253f5ed4399556da5b06bb191596cebfc813bdd3505',
        42568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e516ad3d1d4cec56249227f367cba1e2830faa7cedbcf49abca81e7c202b434',
        42552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b56136288e57809ada8707a74f6756261c3763b3a2686398738c1fd25f157d9c',
        42600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf5f4f44b908aeed8723415a103b1ad9c5550388d2c8e139adab630a61a74712',
        42632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eae6b24bfd325c090ef4a304519707f58942487ea7e118bfe036175f8c4690aa',
        42032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DarkerGrotesque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Darker Grotesque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Darker+Grotesque
  static TextTheme darkerGrotesqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline1),
      headline2: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline2),
      headline3: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline3),
      headline4: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline4),
      headline5: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline5),
      headline6: GoogleFonts.darkerGrotesque(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.darkerGrotesque(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.darkerGrotesque(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.darkerGrotesque(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.darkerGrotesque(textStyle: textTheme.caption),
      button: GoogleFonts.darkerGrotesque(textStyle: textTheme.button),
      overline: GoogleFonts.darkerGrotesque(textStyle: textTheme.overline),
    );
  }

  /// Applies the David Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextStyle davidLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8319053cbaa4074884c0364b74327548dbe246119e76a214a864d9d55a12353d',
        91296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '288d258f0790230352ec2d9b0eef7f533d14554250a99cd0b5cfc80c349d2b38',
        91348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd02a7be354414e34512a70b5f00901c7c3c4e7df88c6bab47e8ed2e50c770c71',
        92540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DavidLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the David Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/David+Libre
  static TextTheme davidLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.davidLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.davidLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.davidLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.davidLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.davidLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.davidLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.davidLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.davidLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.davidLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.davidLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.davidLibre(textStyle: textTheme.caption),
      button: GoogleFonts.davidLibre(textStyle: textTheme.button),
      overline: GoogleFonts.davidLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextStyle dawningOfANewDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8fb2c187b599f0368577f599628c83a2543f4c757231bb2c0843e98624eeb4a',
        65320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DawningofaNewDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dawning of a New Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dawning+of+a+New+Day
  static TextTheme dawningOfANewDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dawningOfANewDay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dawningOfANewDay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dawningOfANewDay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dawningOfANewDay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dawningOfANewDay(textStyle: textTheme.caption),
      button: GoogleFonts.dawningOfANewDay(textStyle: textTheme.button),
      overline: GoogleFonts.dawningOfANewDay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Days One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextStyle daysOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd74812297ac57cf4ce637c47f01cbcab907136f76e2a4028e2ad1e80bd7b8ab0',
        65556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DaysOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Days One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Days+One
  static TextTheme daysOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.daysOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.daysOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.daysOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.daysOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.daysOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.daysOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.daysOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.daysOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.daysOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.daysOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.daysOne(textStyle: textTheme.caption),
      button: GoogleFonts.daysOne(textStyle: textTheme.button),
      overline: GoogleFonts.daysOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dekko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextStyle dekko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71d66d24dfda326e074654507fa7b6be6a766f318cf01f17b000fdc6f870fb4d',
        214656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dekko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dekko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dekko
  static TextTheme dekkoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dekko(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dekko(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dekko(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dekko(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dekko(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dekko(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dekko(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dekko(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dekko(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dekko(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dekko(textStyle: textTheme.caption),
      button: GoogleFonts.dekko(textStyle: textTheme.button),
      overline: GoogleFonts.dekko(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextStyle delaGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8825afa97c13ea7c67cf2d8eb9592299f1b9db127b64d4968f9ad5470315cecb',
        2477616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DelaGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dela Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dela+Gothic+One
  static TextTheme delaGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.delaGothicOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.delaGothicOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.delaGothicOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.delaGothicOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.delaGothicOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.delaGothicOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.delaGothicOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.delaGothicOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.delaGothicOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.delaGothicOne(textStyle: textTheme.caption),
      button: GoogleFonts.delaGothicOne(textStyle: textTheme.button),
      overline: GoogleFonts.delaGothicOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Delius font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextStyle delius({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '882839f3551cbef380971b00494ffc16ba5b2f9841166599a0248fa4f6855cae',
        77440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Delius',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius
  static TextTheme deliusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.delius(textStyle: textTheme.headline1),
      headline2: GoogleFonts.delius(textStyle: textTheme.headline2),
      headline3: GoogleFonts.delius(textStyle: textTheme.headline3),
      headline4: GoogleFonts.delius(textStyle: textTheme.headline4),
      headline5: GoogleFonts.delius(textStyle: textTheme.headline5),
      headline6: GoogleFonts.delius(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.delius(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.delius(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.delius(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.delius(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.delius(textStyle: textTheme.caption),
      button: GoogleFonts.delius(textStyle: textTheme.button),
      overline: GoogleFonts.delius(textStyle: textTheme.overline),
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextStyle deliusSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a724c6c792da2cb102b6583bf9f9ed02312ab78bbeeb3c6a6efb9ddb096ae29',
        63004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Swash+Caps
  static TextTheme deliusSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline1),
      headline2: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline2),
      headline3: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline3),
      headline4: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline4),
      headline5: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline5),
      headline6: GoogleFonts.deliusSwashCaps(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.deliusSwashCaps(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.deliusSwashCaps(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.deliusSwashCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.deliusSwashCaps(textStyle: textTheme.caption),
      button: GoogleFonts.deliusSwashCaps(textStyle: textTheme.button),
      overline: GoogleFonts.deliusSwashCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextStyle deliusUnicase({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bbebd3cb94431156468b1ce457ee032a1f68d964171655b60f5ae2ecf0243cb',
        32856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f761b09efebd15e0a91eabc186d565aec75f56f2b04f9cb1ed1f72d91be340ef',
        36072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DeliusUnicase',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Delius Unicase font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Delius+Unicase
  static TextTheme deliusUnicaseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.deliusUnicase(textStyle: textTheme.headline1),
      headline2: GoogleFonts.deliusUnicase(textStyle: textTheme.headline2),
      headline3: GoogleFonts.deliusUnicase(textStyle: textTheme.headline3),
      headline4: GoogleFonts.deliusUnicase(textStyle: textTheme.headline4),
      headline5: GoogleFonts.deliusUnicase(textStyle: textTheme.headline5),
      headline6: GoogleFonts.deliusUnicase(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.deliusUnicase(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.deliusUnicase(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.deliusUnicase(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.deliusUnicase(textStyle: textTheme.caption),
      button: GoogleFonts.deliusUnicase(textStyle: textTheme.button),
      overline: GoogleFonts.deliusUnicase(textStyle: textTheme.overline),
    );
  }

  /// Applies the Della Respira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextStyle dellaRespira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62fa46916df65faadfa21dd5608cda99cea245fc2f736046a2118b3a95fa93ff',
        51140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DellaRespira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Della Respira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Della+Respira
  static TextTheme dellaRespiraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dellaRespira(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dellaRespira(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dellaRespira(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dellaRespira(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dellaRespira(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dellaRespira(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dellaRespira(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dellaRespira(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dellaRespira(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dellaRespira(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dellaRespira(textStyle: textTheme.caption),
      button: GoogleFonts.dellaRespira(textStyle: textTheme.button),
      overline: GoogleFonts.dellaRespira(textStyle: textTheme.overline),
    );
  }

  /// Applies the Denk One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextStyle denkOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '213821a54136d58fd7013e4aca0f3b0307e9ec564c83ce75d6a9e63bfb6b1714',
        36128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DenkOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Denk One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Denk+One
  static TextTheme denkOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.denkOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.denkOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.denkOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.denkOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.denkOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.denkOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.denkOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.denkOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.denkOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.denkOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.denkOne(textStyle: textTheme.caption),
      button: GoogleFonts.denkOne(textStyle: textTheme.button),
      overline: GoogleFonts.denkOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Devonshire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextStyle devonshire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62bc196f0a12683281e3842a99600f4f4755582173bca74502c02f9cf997854',
        67192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Devonshire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Devonshire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Devonshire
  static TextTheme devonshireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.devonshire(textStyle: textTheme.headline1),
      headline2: GoogleFonts.devonshire(textStyle: textTheme.headline2),
      headline3: GoogleFonts.devonshire(textStyle: textTheme.headline3),
      headline4: GoogleFonts.devonshire(textStyle: textTheme.headline4),
      headline5: GoogleFonts.devonshire(textStyle: textTheme.headline5),
      headline6: GoogleFonts.devonshire(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.devonshire(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.devonshire(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.devonshire(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.devonshire(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.devonshire(textStyle: textTheme.caption),
      button: GoogleFonts.devonshire(textStyle: textTheme.button),
      overline: GoogleFonts.devonshire(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextStyle dhurjati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee0b382be9acedd63b3e624d49e646e5951cb5e8d54c0724ad01128bd8690012',
        546952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dhurjati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dhurjati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dhurjati
  static TextTheme dhurjatiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dhurjati(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dhurjati(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dhurjati(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dhurjati(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dhurjati(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dhurjati(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dhurjati(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dhurjati(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dhurjati(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dhurjati(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dhurjati(textStyle: textTheme.caption),
      button: GoogleFonts.dhurjati(textStyle: textTheme.button),
      overline: GoogleFonts.dhurjati(textStyle: textTheme.overline),
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextStyle didactGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c28f009d8ad88ab0414e29aabe1ad9f19a95836e772d9cb369f27a1ee0b23fa0',
        132548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DidactGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Didact Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Didact+Gothic
  static TextTheme didactGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.didactGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.didactGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.didactGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.didactGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.didactGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.didactGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.didactGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.didactGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.didactGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.didactGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.didactGothic(textStyle: textTheme.caption),
      button: GoogleFonts.didactGothic(textStyle: textTheme.button),
      overline: GoogleFonts.didactGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Diplomata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextStyle diplomata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff25ccc70ef0385bf72a71864293132375bd427ee6e3f974f22a732523948936',
        43060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Diplomata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata
  static TextTheme diplomataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.diplomata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.diplomata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.diplomata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.diplomata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.diplomata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.diplomata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.diplomata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.diplomata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.diplomata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.diplomata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.diplomata(textStyle: textTheme.caption),
      button: GoogleFonts.diplomata(textStyle: textTheme.button),
      overline: GoogleFonts.diplomata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextStyle diplomataSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35ea29b9848142b1f5c17b6b53c1ee204e69fe31d85cd0d67ab75f358b968c33',
        42396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DiplomataSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Diplomata SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Diplomata+SC
  static TextTheme diplomataScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.diplomataSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.diplomataSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.diplomataSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.diplomataSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.diplomataSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.diplomataSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.diplomataSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.diplomataSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.diplomataSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.diplomataSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.diplomataSc(textStyle: textTheme.caption),
      button: GoogleFonts.diplomataSc(textStyle: textTheme.button),
      overline: GoogleFonts.diplomataSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextStyle doHyeon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f24aa5cecd71141bf907f712b4e1a8d1ae20bfc48e6f4c397af431431965c7c3',
        408356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoHyeon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Do Hyeon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Do+Hyeon
  static TextTheme doHyeonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.doHyeon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.doHyeon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.doHyeon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.doHyeon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.doHyeon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.doHyeon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.doHyeon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.doHyeon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.doHyeon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.doHyeon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.doHyeon(textStyle: textTheme.caption),
      button: GoogleFonts.doHyeon(textStyle: textTheme.button),
      overline: GoogleFonts.doHyeon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextStyle dokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b88083d5e2a376a3766403b0ff323016dd93814b3d540b48859e517dbcc28d08',
        1385696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dokdo
  static TextTheme dokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dokdo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dokdo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dokdo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dokdo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dokdo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dokdo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dokdo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dokdo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dokdo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dokdo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dokdo(textStyle: textTheme.caption),
      button: GoogleFonts.dokdo(textStyle: textTheme.button),
      overline: GoogleFonts.dokdo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Domine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextStyle domine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b5d61cb478ce2e3fd32416939a39f3b9aa118d0eb76c107195e0857c44ada1c',
        89788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5865b0de838f6cabefc862631b06e8c7e86a0b8865e9ee530819d8590dd23e6f',
        91860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Domine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Domine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Domine
  static TextTheme domineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.domine(textStyle: textTheme.headline1),
      headline2: GoogleFonts.domine(textStyle: textTheme.headline2),
      headline3: GoogleFonts.domine(textStyle: textTheme.headline3),
      headline4: GoogleFonts.domine(textStyle: textTheme.headline4),
      headline5: GoogleFonts.domine(textStyle: textTheme.headline5),
      headline6: GoogleFonts.domine(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.domine(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.domine(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.domine(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.domine(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.domine(textStyle: textTheme.caption),
      button: GoogleFonts.domine(textStyle: textTheme.button),
      overline: GoogleFonts.domine(textStyle: textTheme.overline),
    );
  }

  /// Applies the Donegal One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextStyle donegalOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75cadf3ba9559e8ba497b68a3e7695d2c733b4ce2264119f7f181974902025ba',
        44828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DonegalOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Donegal One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Donegal+One
  static TextTheme donegalOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.donegalOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.donegalOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.donegalOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.donegalOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.donegalOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.donegalOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.donegalOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.donegalOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.donegalOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.donegalOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.donegalOne(textStyle: textTheme.caption),
      button: GoogleFonts.donegalOne(textStyle: textTheme.button),
      overline: GoogleFonts.donegalOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dongle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextStyle dongle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00cf800a1961d54767175112d3fc5714a35af62105ea002d0013af47e6a5ed45',
        4386532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22511e15c764953ca20404f9799b77345c9e1087ebd7110a6863b812f1d912c2',
        4456124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aab04b03581d5f427450ebdf2bc4412ba797d22a00d3399417aff167053ce079',
        4474064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dongle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dongle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dongle
  static TextTheme dongleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dongle(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dongle(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dongle(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dongle(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dongle(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dongle(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dongle(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dongle(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dongle(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dongle(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dongle(textStyle: textTheme.caption),
      button: GoogleFonts.dongle(textStyle: textTheme.button),
      overline: GoogleFonts.dongle(textStyle: textTheme.overline),
    );
  }

  /// Applies the Doppio One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextStyle doppioOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72f56b16a716f87ccdb2d2fa52196eb1c365c8b142e58ef5bc106a01345cdc28',
        36952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DoppioOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Doppio One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Doppio+One
  static TextTheme doppioOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.doppioOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.doppioOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.doppioOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.doppioOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.doppioOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.doppioOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.doppioOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.doppioOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.doppioOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.doppioOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.doppioOne(textStyle: textTheme.caption),
      button: GoogleFonts.doppioOne(textStyle: textTheme.button),
      overline: GoogleFonts.doppioOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dorsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextStyle dorsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0126c6beb66497797a2fe86e3ceecbd95fadcc67cd7ba35e2b604acdda520730',
        20796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dorsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dorsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dorsa
  static TextTheme dorsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dorsa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dorsa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dorsa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dorsa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dorsa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dorsa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dorsa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dorsa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dorsa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dorsa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dorsa(textStyle: textTheme.caption),
      button: GoogleFonts.dorsa(textStyle: textTheme.button),
      overline: GoogleFonts.dorsa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dosis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextStyle dosis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ae9ee353b3e8df71d17a46208649ec71c145848f8db69eb86b9cc1c129304b7',
        82420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be02e69501081e964d549ca957d036bbb12e816c1d224d1ce145ca31499bdfa0',
        82544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '313cd3d73107761779313dba36f6ec6a100a5a4daf06f4b78f8f733538936cdf',
        83240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1bef4924c728f63829085fe2ca4995a6a41c495df45c5830d51bf649e273031',
        82808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b8741fdb78479290fcd114044c58c9263670dd32db70b744dd56764a8d0b734',
        82668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4124ad4492dbb70075dd1bce8976da33cbad57f2fc10eeedc7da35592285605d',
        82876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a7b18554b3247dd3b1384afabd828043b9a9417221c7480c2bb78a99bc4190b',
        84236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dosis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dosis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dosis
  static TextTheme dosisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dosis(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dosis(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dosis(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dosis(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dosis(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dosis(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dosis(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dosis(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dosis(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dosis(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dosis(textStyle: textTheme.caption),
      button: GoogleFonts.dosis(textStyle: textTheme.button),
      overline: GoogleFonts.dosis(textStyle: textTheme.overline),
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextStyle dotGothic16({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '399e314ba5f5d5f04744d6ce5e0fb74c594dfa7801d8fc06481d458e644df2d6',
        1904328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DotGothic16',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the DotGothic16 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/DotGothic16
  static TextTheme dotGothic16TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dotGothic16(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dotGothic16(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dotGothic16(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dotGothic16(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dotGothic16(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dotGothic16(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dotGothic16(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dotGothic16(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dotGothic16(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dotGothic16(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dotGothic16(textStyle: textTheme.caption),
      button: GoogleFonts.dotGothic16(textStyle: textTheme.button),
      overline: GoogleFonts.dotGothic16(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextStyle drSugiyama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '222640befef81fb644265039a2b7df8ab86103b0d4427b5a88b9fb9ebbbcd273',
        39880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DrSugiyama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dr Sugiyama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dr+Sugiyama
  static TextTheme drSugiyamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.drSugiyama(textStyle: textTheme.headline1),
      headline2: GoogleFonts.drSugiyama(textStyle: textTheme.headline2),
      headline3: GoogleFonts.drSugiyama(textStyle: textTheme.headline3),
      headline4: GoogleFonts.drSugiyama(textStyle: textTheme.headline4),
      headline5: GoogleFonts.drSugiyama(textStyle: textTheme.headline5),
      headline6: GoogleFonts.drSugiyama(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.drSugiyama(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.drSugiyama(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.drSugiyama(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.drSugiyama(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.drSugiyama(textStyle: textTheme.caption),
      button: GoogleFonts.drSugiyama(textStyle: textTheme.button),
      overline: GoogleFonts.drSugiyama(textStyle: textTheme.overline),
    );
  }

  /// Applies the Droid Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Sans
  static TextStyle droidSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1efe4b6a8b73a7069e3a5ede472fb84130f7ffaaded682d112e93f0d0fa5a9f',
        25204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32b87a290fa91f892687dcef391f2b06945d1be8f3dc243b55ffb118388368de',
        25328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DroidSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Droid Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Sans
  static TextTheme droidSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.droidSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.droidSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.droidSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.droidSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.droidSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.droidSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.droidSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.droidSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.droidSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.droidSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.droidSans(textStyle: textTheme.caption),
      button: GoogleFonts.droidSans(textStyle: textTheme.button),
      overline: GoogleFonts.droidSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Droid Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Sans+Mono
  static TextStyle droidSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dedfe943434b0c1c69af3c64930ea43797584f7c25bfe1bafe167c5b9ed0909',
        65556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DroidSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Droid Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Sans+Mono
  static TextTheme droidSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.droidSansMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.droidSansMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.droidSansMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.droidSansMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.droidSansMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.droidSansMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.droidSansMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.droidSansMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.droidSansMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.droidSansMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.droidSansMono(textStyle: textTheme.caption),
      button: GoogleFonts.droidSansMono(textStyle: textTheme.button),
      overline: GoogleFonts.droidSansMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Droid Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Serif
  static TextStyle droidSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcdbbe04f7d65d6dd062e948aad5cedf59b28322fcd555a4dbff9564ba77f032',
        28380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2412575e58a24ba7f60d09803924763e7420e8a18ef8535551454a69b0e2765',
        23792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11fcb243238a8c4df11d23a99078e060b56b2f23e44efcdf3323fde6290297fb',
        28408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5072734295fa76a5684706f1c6fab998057ea2dbd03ed74b92b6b105d694e505',
        29980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DroidSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Droid Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Droid+Serif
  static TextTheme droidSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.droidSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.droidSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.droidSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.droidSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.droidSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.droidSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.droidSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.droidSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.droidSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.droidSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.droidSerif(textStyle: textTheme.caption),
      button: GoogleFonts.droidSerif(textStyle: textTheme.button),
      overline: GoogleFonts.droidSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextStyle duruSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97e1b1a772ca2113d6a27390b0c7b2ce1a3b72cebf29a876a253b200136fd5b1',
        50832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'DuruSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Duru Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Duru+Sans
  static TextTheme duruSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.duruSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.duruSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.duruSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.duruSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.duruSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.duruSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.duruSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.duruSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.duruSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.duruSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.duruSans(textStyle: textTheme.caption),
      button: GoogleFonts.duruSans(textStyle: textTheme.button),
      overline: GoogleFonts.duruSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Dynalight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextStyle dynalight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3380e0bde50ff63e8151f548155d2d265154e826a3fcd8e17eda92dd29d14064',
        52732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Dynalight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Dynalight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Dynalight
  static TextTheme dynalightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.dynalight(textStyle: textTheme.headline1),
      headline2: GoogleFonts.dynalight(textStyle: textTheme.headline2),
      headline3: GoogleFonts.dynalight(textStyle: textTheme.headline3),
      headline4: GoogleFonts.dynalight(textStyle: textTheme.headline4),
      headline5: GoogleFonts.dynalight(textStyle: textTheme.headline5),
      headline6: GoogleFonts.dynalight(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.dynalight(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.dynalight(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.dynalight(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.dynalight(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.dynalight(textStyle: textTheme.caption),
      button: GoogleFonts.dynalight(textStyle: textTheme.button),
      overline: GoogleFonts.dynalight(textStyle: textTheme.overline),
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextStyle ebGaramond({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45b9fd8b021be544bd8edb0bce9007faafdc3029fdb0f19e4deb80b50e9c4adb',
        231176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EBGaramond',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the EB Garamond font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/EB+Garamond
  static TextTheme ebGaramondTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ebGaramond(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ebGaramond(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ebGaramond(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ebGaramond(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ebGaramond(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ebGaramond(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ebGaramond(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ebGaramond(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ebGaramond(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ebGaramond(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ebGaramond(textStyle: textTheme.caption),
      button: GoogleFonts.ebGaramond(textStyle: textTheme.button),
      overline: GoogleFonts.ebGaramond(textStyle: textTheme.overline),
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextStyle eagleLake({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a898ae440d1344e4a9d2174f6ee6479f00108b9baa6830fa6535a8cae6185fe',
        77584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EagleLake',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eagle Lake font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eagle+Lake
  static TextTheme eagleLakeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.eagleLake(textStyle: textTheme.headline1),
      headline2: GoogleFonts.eagleLake(textStyle: textTheme.headline2),
      headline3: GoogleFonts.eagleLake(textStyle: textTheme.headline3),
      headline4: GoogleFonts.eagleLake(textStyle: textTheme.headline4),
      headline5: GoogleFonts.eagleLake(textStyle: textTheme.headline5),
      headline6: GoogleFonts.eagleLake(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.eagleLake(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.eagleLake(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.eagleLake(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.eagleLake(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.eagleLake(textStyle: textTheme.caption),
      button: GoogleFonts.eagleLake(textStyle: textTheme.button),
      overline: GoogleFonts.eagleLake(textStyle: textTheme.overline),
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextStyle eastSeaDokdo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28e44e5875cc0c761d9fa6492d1a738977cb5a555b57aa3016e44e2a138df2f7',
        3175644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EastSeaDokdo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the East Sea Dokdo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/East+Sea+Dokdo
  static TextTheme eastSeaDokdoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.eastSeaDokdo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.eastSeaDokdo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.eastSeaDokdo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.eastSeaDokdo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.eastSeaDokdo(textStyle: textTheme.caption),
      button: GoogleFonts.eastSeaDokdo(textStyle: textTheme.button),
      overline: GoogleFonts.eastSeaDokdo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Eater font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextStyle eater({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8bc103f8051b7be6a60a18aaf892d18014b8c4d925fdcea5d77a5830c3cbb47',
        83904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eater',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eater font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eater
  static TextTheme eaterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.eater(textStyle: textTheme.headline1),
      headline2: GoogleFonts.eater(textStyle: textTheme.headline2),
      headline3: GoogleFonts.eater(textStyle: textTheme.headline3),
      headline4: GoogleFonts.eater(textStyle: textTheme.headline4),
      headline5: GoogleFonts.eater(textStyle: textTheme.headline5),
      headline6: GoogleFonts.eater(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.eater(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.eater(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.eater(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.eater(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.eater(textStyle: textTheme.caption),
      button: GoogleFonts.eater(textStyle: textTheme.button),
      overline: GoogleFonts.eater(textStyle: textTheme.overline),
    );
  }

  /// Applies the Economica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextStyle economica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73b7c6770eb6ca35b71cc345a389203c788cc27aac43302793865dc33771dcd9',
        26708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce63d04fe7b161c08efa83fba9b4d096be6f6390a294e904e16f2d7eecc90820',
        27644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2886009c049eeeb1a75ea749115fbfece59efeb95fcaf29b5f8a82a8c680ab99',
        27148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8f54eb9ef53335c26d3f638df8a0bcbdd291dff65990970ea5cd5a2529dfd91',
        26976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Economica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Economica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Economica
  static TextTheme economicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.economica(textStyle: textTheme.headline1),
      headline2: GoogleFonts.economica(textStyle: textTheme.headline2),
      headline3: GoogleFonts.economica(textStyle: textTheme.headline3),
      headline4: GoogleFonts.economica(textStyle: textTheme.headline4),
      headline5: GoogleFonts.economica(textStyle: textTheme.headline5),
      headline6: GoogleFonts.economica(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.economica(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.economica(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.economica(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.economica(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.economica(textStyle: textTheme.caption),
      button: GoogleFonts.economica(textStyle: textTheme.button),
      overline: GoogleFonts.economica(textStyle: textTheme.overline),
    );
  }

  /// Applies the Eczar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextStyle eczar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6e04a6ef288e1fca3e9420bfd9752bfdc230a20ce55a05855a8896bdb763a8e',
        196536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd91586e1decf2874b409ef01f87cf50e9725e5f419ea08e5158a6c0a06595fbe',
        196484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba1eb42528b2001e261653b3e56b8566ae08e9a3a6709b57e20f58b84b82a76a',
        196224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '254b1a9878dd1e9479e9aab40683ad5d17b35782b413a724f71d89952f460b39',
        195864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9144eab6daf83585fcb44f4726902a8cbca81d5df060ed6f09787fd5192239f',
        192624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Eczar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Eczar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Eczar
  static TextTheme eczarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.eczar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.eczar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.eczar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.eczar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.eczar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.eczar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.eczar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.eczar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.eczar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.eczar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.eczar(textStyle: textTheme.caption),
      button: GoogleFonts.eczar(textStyle: textTheme.button),
      overline: GoogleFonts.eczar(textStyle: textTheme.overline),
    );
  }

  /// Applies the El Messiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextStyle elMessiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05a194beec1a2e2d57ac0ee1d517ad0b59142391481adbd18fee77752639ddda',
        81504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da80f76bf936a3cccb71afc2d2a95fcb8eb5be79a494c0b44e5e75f61031a05',
        82784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc6415daf94f76a9dbea542ec17e7df4f5b01a18796c44448bd0c817cd2d433e',
        82764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a25eabeb2e7f6f2cbe92e832bf052cb0bd0930c95b6457ee6cb8469552b97c63',
        81596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElMessiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the El Messiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/El+Messiri
  static TextTheme elMessiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.elMessiri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.elMessiri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.elMessiri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.elMessiri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.elMessiri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.elMessiri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.elMessiri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.elMessiri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.elMessiri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.elMessiri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.elMessiri(textStyle: textTheme.caption),
      button: GoogleFonts.elMessiri(textStyle: textTheme.button),
      overline: GoogleFonts.elMessiri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Electrolize font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextStyle electrolize({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c68d85c8396ce2228f3bd601b3423d838c24c546404f25a38db6c05e64a4521b',
        34676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Electrolize',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Electrolize font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Electrolize
  static TextTheme electrolizeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.electrolize(textStyle: textTheme.headline1),
      headline2: GoogleFonts.electrolize(textStyle: textTheme.headline2),
      headline3: GoogleFonts.electrolize(textStyle: textTheme.headline3),
      headline4: GoogleFonts.electrolize(textStyle: textTheme.headline4),
      headline5: GoogleFonts.electrolize(textStyle: textTheme.headline5),
      headline6: GoogleFonts.electrolize(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.electrolize(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.electrolize(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.electrolize(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.electrolize(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.electrolize(textStyle: textTheme.caption),
      button: GoogleFonts.electrolize(textStyle: textTheme.button),
      overline: GoogleFonts.electrolize(textStyle: textTheme.overline),
    );
  }

  /// Applies the Elsie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextStyle elsie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc0b83b9cbe3b25809361a2f4e495bdc9f10756f669072da3bc89689a42c8845',
        40644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aca439d3b5c4abdf62ae59fb1a643c185345724ebdb002f388d25d7926f8f98',
        41932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Elsie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie
  static TextTheme elsieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.elsie(textStyle: textTheme.headline1),
      headline2: GoogleFonts.elsie(textStyle: textTheme.headline2),
      headline3: GoogleFonts.elsie(textStyle: textTheme.headline3),
      headline4: GoogleFonts.elsie(textStyle: textTheme.headline4),
      headline5: GoogleFonts.elsie(textStyle: textTheme.headline5),
      headline6: GoogleFonts.elsie(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.elsie(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.elsie(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.elsie(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.elsie(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.elsie(textStyle: textTheme.caption),
      button: GoogleFonts.elsie(textStyle: textTheme.button),
      overline: GoogleFonts.elsie(textStyle: textTheme.overline),
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextStyle elsieSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5073c3bee53b70fcf6b284c6882db47468b86bb95077b497007cfecf47b76bdb',
        37692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3610e846ce9868a9ba2c54980426523ef730f265ae56366cb7fa77fd9cdce35',
        38904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ElsieSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Elsie Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Elsie+Swash+Caps
  static TextTheme elsieSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline1),
      headline2: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline2),
      headline3: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline3),
      headline4: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline4),
      headline5: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline5),
      headline6: GoogleFonts.elsieSwashCaps(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.elsieSwashCaps(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.elsieSwashCaps(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.elsieSwashCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.elsieSwashCaps(textStyle: textTheme.caption),
      button: GoogleFonts.elsieSwashCaps(textStyle: textTheme.button),
      overline: GoogleFonts.elsieSwashCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the Emblema One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextStyle emblemaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae7300f04f026825b14eaefb3738782763992c203df0821debfdf47a5bd349ed',
        61832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmblemaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emblema One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emblema+One
  static TextTheme emblemaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.emblemaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.emblemaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.emblemaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.emblemaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.emblemaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.emblemaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.emblemaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.emblemaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.emblemaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.emblemaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.emblemaOne(textStyle: textTheme.caption),
      button: GoogleFonts.emblemaOne(textStyle: textTheme.button),
      overline: GoogleFonts.emblemaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextStyle emilysCandy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '333e01b7709d7ade3e2afa1ce5b5d193cbb59ce4909a4bd8a9061d7f12368e33',
        236800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EmilysCandy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Emilys Candy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Emilys+Candy
  static TextTheme emilysCandyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.emilysCandy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.emilysCandy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.emilysCandy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.emilysCandy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.emilysCandy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.emilysCandy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.emilysCandy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.emilysCandy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.emilysCandy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.emilysCandy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.emilysCandy(textStyle: textTheme.caption),
      button: GoogleFonts.emilysCandy(textStyle: textTheme.button),
      overline: GoogleFonts.emilysCandy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextStyle encodeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c0f6eafec00e65a8d851e33e6e7e658e34b858ffc9f2ee39ec4bf972891fdf0',
        123088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e78947fa53e3e3269b141c073de12ac5c7ad7767084452cf00d157c8c0a623b',
        126316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd81973e76c4a72a0723f8d83671c01e6a763e4c108b05dcb921abfe786017850',
        126120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '726603f17d4dde111b9e7c3a3ceab5b48d4d9fa010f95c39308a05f7744918c7',
        126176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e6070ed7f7df855034f826d501716460f36b8d45f7920099539a66c5ccc44b5',
        125848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ed81c5a76ba3b44f2c7b4faaee7440283325e7bbe8efbbd976893ed9798166c',
        126108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2bf7fce49ca2e3dd0d2fc1203ba30dea4e97ef171f1d693e9e21e23437dd8b8',
        126352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '474df7202478321bede629db8dd5a6720566e44763591e17dc881df6a0b50144',
        126980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '276a8dae33896588063889970f61a2b2ace3957ebb2024662e9637dc144c0e1a',
        125896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans
  static TextTheme encodeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.encodeSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.encodeSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.encodeSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.encodeSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.encodeSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.encodeSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.encodeSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.encodeSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.encodeSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.encodeSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.encodeSans(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSans(textStyle: textTheme.button),
      overline: GoogleFonts.encodeSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextStyle encodeSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2d65f9836891e7be8e4f366b0daa5300822ec7e50add6db5597d2947739ea20',
        123152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138b74330c8e0d86094f3164019df7594d74187b1d46294fc1be869488146eb5',
        126308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2fbe98bd01eed6d6e9965149ece772f8df140fa27924151375ad388148a46a3',
        125988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '864d5dbdc88484d744c5f412429aee361f61759144cb2a09436e172e49cb0396',
        125864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd681997db3c7754ba70e3d8b22cbe560677787b73469a962a069f9e257235795',
        125816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c085d57fde1c82f5051fcdd197852a958132024196a3989c6ab00f550576534',
        125612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9dde6d2d55aa492820fd930f6d9358fe60b27d9deb328384adca6f7efd4984d',
        126044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e295aa9a8ecab00ca9e9012a789c72ec620a1e03dabae570058ecf0b61ad43f0',
        126828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65117e9c412bff42a1dd46d75a60d81bf0f70390e437c1d689525a2c422e4a71',
        125332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Condensed
  static TextTheme encodeSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.encodeSansCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.encodeSansCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSansCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.encodeSansCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextStyle encodeSansExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '380345d9f11a5d51121f04ec7692992b4393552df2a3a7d880f4fee2445141d0',
        123684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a7de0181c2afd610c6c4f4cdd0c1b277e273ce075ebc1aeac436fad20e45419',
        125872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b50fe9a059788e12206f492db451f122f3ae30e6b8aa5944b51f4fa9b128373',
        125664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2fa9b86d419104b4b7ab7aa2d8507d9998032c843e7127317c103b55c3900c3',
        125524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ec9211a546cbefbb5fdbdca840aa8782bdbfdef2bc24a03e769b5676d869dd1',
        125672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57adaf522bbff1044518d732d894dc3b9619455577129c3806e15c41ab7a0cf0',
        125848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ff65de1f2f27bec57c2af88329ff74b61c90a349cda06d054d87125aa4d4588',
        126108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93137f85c3ca94e2b0d5d2501170e4b955208bf20d99d3279a12420033315efe',
        126540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc58d2db7b8afc49e3bc54a2ffd46ce334497d9361768e992654a18428895228',
        125144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Expanded
  static TextTheme encodeSansExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline1),
      headline2: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline2),
      headline3: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline3),
      headline4: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline4),
      headline5: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline5),
      headline6: GoogleFonts.encodeSansExpanded(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.encodeSansExpanded(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.encodeSansExpanded(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.encodeSansExpanded(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.encodeSansExpanded(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSansExpanded(textStyle: textTheme.button),
      overline: GoogleFonts.encodeSansExpanded(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextStyle encodeSansSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a349950248a126253f1e3bdb86591570f4f19b3e78f0bc6847290a4ccb57759',
        69004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67000b2b465015a85cd93c7fb9d523877bdedbc53ba1bd5303096c8524cab03a',
        69244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f524b8295f18356416a864b27136f5730d2b584741428f5842fedbff500f0e2',
        69400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aad5f326f3c617bfba4b63acf6eb36dbba91a95b0399f6594e5ed674f0a9ee69',
        69452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f753609daf4153960d1c3ba2cb55051b449eff1d0ec0fa23abad84470fd56293',
        69512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecea0652e7ee072e6191a2492f6c1b6ae92afc455308b757e259459aac3c3d83',
        69632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c62afaeb6b2326ed9a044a4d4b34867577b1dfca1c36db7367484a9ec0ea4aaa',
        69856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1316ea494cf987b4867032a271efa8d20ce47465db980d7963b3ffb0ecac297',
        70004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d06636f8c623e3e6f7730387ef54e3d4e25f1aa6b3542f871b934eef59822d6',
        69676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+SC
  static TextTheme encodeSansScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.encodeSansSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.encodeSansSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.encodeSansSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.encodeSansSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.encodeSansSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.encodeSansSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.encodeSansSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.encodeSansSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.encodeSansSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.encodeSansSc(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSansSc(textStyle: textTheme.button),
      overline: GoogleFonts.encodeSansSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextStyle encodeSansSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05e33431ccd816003d590171a6110b72fc3f122c224c46c4f5339f4919b57873',
        123124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06726656f1a2937a42770740e0772bbcd1187d2bdbe2f5bfd42bab081286b643',
        126604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ea764a1fca4cd3308fdc9f6284e890fe9ef8409ab991115bb08a4d0be1b544a',
        126332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec67d15d3d449c0b0cf65c4fc57fbca88395b306ff4f30d409b4c8eb4d06abbf',
        126216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '972df21a043f38bbac81d476692cdd0ccea7537ceac026fe837daf17c4836aa4',
        126012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '654f95bfaeb0563e8a7622832f25016d47e3f8e60e4dd59c2ef9cf3835f5e1b1',
        126148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99c6ae51b272d20f915f0c4b8454b27ac9400423ba0a207b770a7dc3201f9d5c',
        126476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d33b1fd6f457c91d58d3287767a4f0089fa3fd5ee2c18539c597f8a895b3646',
        127116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7075bb5ddbdaca47f1356022fa375630ca868fc11d6ac6e53026c8bac0888b1',
        126184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Condensed
  static TextTheme encodeSansSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.button),
      overline:
          GoogleFonts.encodeSansSemiCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextStyle encodeSansSemiExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dac238a8febf393531eee30878adc66774dcd33b426136f91db2c3094cdbbc87',
        123324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a57cc45a15668d01ed3de253cf2cdf14b05212ccf8f5ed876ecdf23610598f7d',
        126728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce3f3d0f672e4bdcd7688f38c1ba9cb57ed89bab6f5028da4bb87ed3407edd2',
        126540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e3397e73831600b41c8b2381dae7b2f9fbaf91ad2dd7eda631a23dcfa4b9d95',
        126584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fe7f827d5bc65690cf565f4e5a7662f8ae67d2871679b9cd6e8551a94ad4faa',
        126272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ab6bbce3162ec2c3cdd343f0ff38a4d8988517afb002ad887736c6a2df3a9d1',
        126556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35e2e50ea2e448f64fd31c6479eedc42e754710a0efb4e16fb6bc55724dc3b0c',
        126828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff573a59e5988f277836dfe45250f8fb62d9289084f3798c5b8d3adef115da9',
        127356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f945eac695f316de1c89017007aef0369d2d9c13e4564a642da83224ea32e464',
        126324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EncodeSansSemiExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Encode Sans Semi Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Encode+Sans+Semi+Expanded
  static TextTheme encodeSansSemiExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.caption),
      button: GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.button),
      overline:
          GoogleFonts.encodeSansSemiExpanded(textStyle: textTheme.overline),
    );
  }

  /// Applies the Engagement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextStyle engagement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14dc139d3b6796ff833b0eb8daf08b16fcc822ca78db05a4bb8c6e65c16507ce',
        75992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Engagement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Engagement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Engagement
  static TextTheme engagementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.engagement(textStyle: textTheme.headline1),
      headline2: GoogleFonts.engagement(textStyle: textTheme.headline2),
      headline3: GoogleFonts.engagement(textStyle: textTheme.headline3),
      headline4: GoogleFonts.engagement(textStyle: textTheme.headline4),
      headline5: GoogleFonts.engagement(textStyle: textTheme.headline5),
      headline6: GoogleFonts.engagement(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.engagement(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.engagement(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.engagement(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.engagement(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.engagement(textStyle: textTheme.caption),
      button: GoogleFonts.engagement(textStyle: textTheme.button),
      overline: GoogleFonts.engagement(textStyle: textTheme.overline),
    );
  }

  /// Applies the Englebert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextStyle englebert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5ceab7490f339b83c9f46a3baf7274203de3e060802b185fbd65c2aa9f5ec76c',
        52632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Englebert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Englebert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Englebert
  static TextTheme englebertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.englebert(textStyle: textTheme.headline1),
      headline2: GoogleFonts.englebert(textStyle: textTheme.headline2),
      headline3: GoogleFonts.englebert(textStyle: textTheme.headline3),
      headline4: GoogleFonts.englebert(textStyle: textTheme.headline4),
      headline5: GoogleFonts.englebert(textStyle: textTheme.headline5),
      headline6: GoogleFonts.englebert(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.englebert(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.englebert(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.englebert(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.englebert(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.englebert(textStyle: textTheme.caption),
      button: GoogleFonts.englebert(textStyle: textTheme.button),
      overline: GoogleFonts.englebert(textStyle: textTheme.overline),
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextStyle enriqueta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8efdf359579cbd9731b621eb32ddd55b3311bb4f3efe2479e1b87a731deb2b3f',
        53432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75092b77ab687551bb7a93707771fa18a40ebfe0621befe7dbaca438b8a8c954',
        45192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Enriqueta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Enriqueta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Enriqueta
  static TextTheme enriquetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.enriqueta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.enriqueta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.enriqueta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.enriqueta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.enriqueta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.enriqueta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.enriqueta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.enriqueta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.enriqueta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.enriqueta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.enriqueta(textStyle: textTheme.caption),
      button: GoogleFonts.enriqueta(textStyle: textTheme.button),
      overline: GoogleFonts.enriqueta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ephesis font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextStyle ephesis({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7f4d946b77629ef8dba4b9364627dd33e5abfa9594c3644b93792427a4baeb0',
        89232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ephesis',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ephesis font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ephesis
  static TextTheme ephesisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ephesis(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ephesis(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ephesis(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ephesis(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ephesis(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ephesis(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ephesis(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ephesis(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ephesis(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ephesis(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ephesis(textStyle: textTheme.caption),
      button: GoogleFonts.ephesis(textStyle: textTheme.button),
      overline: GoogleFonts.ephesis(textStyle: textTheme.overline),
    );
  }

  /// Applies the Epilogue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextStyle epilogue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '934ed8ab6e183975f80ad82892575488c2782a9615b1400a387aad7620523914',
        62672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21e429f05987a7aca3a77bb0363f1173299780f5a8639421f5a907e75382dda2',
        62740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aecc8fc018c4c0c01656e7b5b240e7ad991724dbc1632f587aa4fb25b9d3d347',
        62704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bd3b9b33996414143458aa43a3493658b0e1de32e07ae92f79d99d74477ddc7',
        62724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09a4cc8f9ea019cc7dd32ef52c655e35bbfbbe2b638b7e220005770d755b4253',
        62724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2302ab2f5cea5ca2227c52a78bfb1781d26fc8d5c1aa195463a946e0e123d57',
        62932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37ffd49cdad9eab49dcef1051878acdaabb57eddfd7c18e399cc9c5bbf36f68d',
        62900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c619d499262fb8366255790c916b2b1bd0ae203635a5b9d9394fe932f5b55ed',
        63064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfd277d5255f4737808869f0e783828dac257c19970023681d7b096446212ad8',
        63112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0990ee09b7f5a5c312282656658441e1bb45f351d85817a8b51ae36e1812ae6',
        63172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1d5813f9f268cc0af9827b8a88a024d3fa4b4e427a11d14df7d2993de7de09e8',
        63228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44568c2c560d85bf1b8f39042351a0706e6136b3fe2313a772f775eff64b03f8',
        63112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27aed996948a7545acb378db00d78ffd89a2b2969ce69080c8dfcb53ba1a2827',
        63020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b19fa21b613f1c9097824173a63f396e8beb7b0b9b630989498ee837424cfb5',
        63132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4348c0a36320d21529131aea11b56f9d7978ef1929efecb3bf4bd50b9b8cc514',
        63332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0bb89cdcf45aca9840f41ac7aff2f2e0a112faf5fa7f99e7467d9157d0e6425f',
        63236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6a9879b4cda595ff7e74ad85300d0aeb3e496a2b4b24c1bc9538dd6d518392d',
        63468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a714f90ed7246693aa0cdcabddb0af0cc70a78a591943311a735d4ba049c087',
        63432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Epilogue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Epilogue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Epilogue
  static TextTheme epilogueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.epilogue(textStyle: textTheme.headline1),
      headline2: GoogleFonts.epilogue(textStyle: textTheme.headline2),
      headline3: GoogleFonts.epilogue(textStyle: textTheme.headline3),
      headline4: GoogleFonts.epilogue(textStyle: textTheme.headline4),
      headline5: GoogleFonts.epilogue(textStyle: textTheme.headline5),
      headline6: GoogleFonts.epilogue(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.epilogue(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.epilogue(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.epilogue(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.epilogue(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.epilogue(textStyle: textTheme.caption),
      button: GoogleFonts.epilogue(textStyle: textTheme.button),
      overline: GoogleFonts.epilogue(textStyle: textTheme.overline),
    );
  }

  /// Applies the Erica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextStyle ericaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '718a969fb44854ce221ced461f15a49e4e53dea2478eb4fb6bac911b5dc5a99b',
        25996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EricaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Erica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Erica+One
  static TextTheme ericaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ericaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ericaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ericaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ericaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ericaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ericaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ericaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ericaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ericaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ericaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ericaOne(textStyle: textTheme.caption),
      button: GoogleFonts.ericaOne(textStyle: textTheme.button),
      overline: GoogleFonts.ericaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Esteban font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextStyle esteban({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0226acf9a0738f8dba187bbb11a569ea1e5329575144243525a23e543276b37',
        46456,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Esteban',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Esteban font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Esteban
  static TextTheme estebanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.esteban(textStyle: textTheme.headline1),
      headline2: GoogleFonts.esteban(textStyle: textTheme.headline2),
      headline3: GoogleFonts.esteban(textStyle: textTheme.headline3),
      headline4: GoogleFonts.esteban(textStyle: textTheme.headline4),
      headline5: GoogleFonts.esteban(textStyle: textTheme.headline5),
      headline6: GoogleFonts.esteban(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.esteban(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.esteban(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.esteban(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.esteban(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.esteban(textStyle: textTheme.caption),
      button: GoogleFonts.esteban(textStyle: textTheme.button),
      overline: GoogleFonts.esteban(textStyle: textTheme.overline),
    );
  }

  /// Applies the Estonia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextStyle estonia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '262f8005654c26e90a7ef55c8de11d8ebb8c7771404686ab6a42477fb06f6960',
        383736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Estonia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Estonia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Estonia
  static TextTheme estoniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.estonia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.estonia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.estonia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.estonia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.estonia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.estonia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.estonia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.estonia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.estonia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.estonia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.estonia(textStyle: textTheme.caption),
      button: GoogleFonts.estonia(textStyle: textTheme.button),
      overline: GoogleFonts.estonia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextStyle euphoriaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49720d65299334ddc97b89311f78ec792b2862791a226a49f7bb5f8e19d709a5',
        38376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'EuphoriaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Euphoria Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Euphoria+Script
  static TextTheme euphoriaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.euphoriaScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.euphoriaScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.euphoriaScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.euphoriaScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.euphoriaScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.euphoriaScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.euphoriaScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.euphoriaScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.euphoriaScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.euphoriaScript(textStyle: textTheme.caption),
      button: GoogleFonts.euphoriaScript(textStyle: textTheme.button),
      overline: GoogleFonts.euphoriaScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ewert font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextStyle ewert({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2a4aed1fe4d33019eb7c6a9273a251e7f28ac19b2820f61ef61329d32cb89a8',
        70704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ewert',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ewert font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ewert
  static TextTheme ewertTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ewert(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ewert(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ewert(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ewert(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ewert(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ewert(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ewert(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ewert(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ewert(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ewert(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ewert(textStyle: textTheme.caption),
      button: GoogleFonts.ewert(textStyle: textTheme.button),
      overline: GoogleFonts.ewert(textStyle: textTheme.overline),
    );
  }

  /// Applies the Exo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextStyle exo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2eda7d4b0bab32b1724ead985ca4ab23ba46b1647e60b50df836f3e142105e85',
        109668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5315edfaf9326a2112d609345e056a733da22ecf1c3aed8f0a78d51539300ec7',
        115720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9271134900d316a8aa07b17a3850ad179e6c77b533419aad39926ab5fbbba5e',
        109812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58251d3b9daf7e91b2c9371c9800e0dbcd1374a54b0eee6b026a237c4d9fe63c',
        116352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf846eb403540e7bfaae3e3975ff0577b88730403c02d4b2e57bb241e7294e1f',
        109416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '278cc62e59aeca97f6e14f44ded0943df0201e7aa692faff1b40a9e6d7b22dc0',
        115868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab24d45bd0887f54e98614ec395c5addfe82b0e8389b4721f5465954e1e2f060',
        109144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b79a6db3b900824a3c9cbd804a328bc0bd070b648e0615e9a45f5a5c0eb8dd63',
        115404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb038971b993fa7fa126ed43d4dc54e20af90eeb8213b0c2a9c735a2c82c0d4e',
        108848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '224493dbc8c8852c0a452618d375990f1383d43ba5f9f4726b4d87ec6c6f50c0',
        115204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '754632bf7096e73d05f2e15e3f52a82b34201bad1aa105d6e650de745d120eda',
        108772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '397a2c49640d1470bf9df914dfbbfa914148dd86642d25e248193a1f649b27dc',
        114872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0e87021af2542173d6c39db5a95d9e18ba59c0c9aa7ad37b6df04523947309',
        108476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '75d249c747ae8332516fd6d2c3996d3f2c440f659339765dc8e13a97f942ad64',
        114360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e5a390588a0eb152906de109ebd9c65d662628da5f1afbb3d17bd4a237c873d',
        108380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0c6ffd7e0358672dd7d40462c46a11562e062f1cab60d82d80b8a71737cb3141',
        114288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d12eeaf10d56d2e39321c9d10253d25ccce5e188ab6684ec5eac5d7d9ac99be',
        108500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5a6cc3dfdcfe4e6990da4fa3f55a861ed2ae701a0ae1a30d30b23daafa215604',
        113996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo
  static TextTheme exoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.exo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.exo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.exo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.exo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.exo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.exo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.exo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.exo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.exo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.exo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.exo(textStyle: textTheme.caption),
      button: GoogleFonts.exo(textStyle: textTheme.button),
      overline: GoogleFonts.exo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextStyle exo2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f19c0e2523de9afe6da463f303aefcf3e38b416875d48ef6c98328379e1a61ce',
        73868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd39266e34642d4861ef777d4d3ae4150ae0b18b16d94713a78bb60cf03bf85b4',
        79980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbf766d9b363fe87cee0afda4c59bc8a59f1c8d0a0d245063c720108d85dd9d6',
        75360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb55978ca6abd55f49aab78def94b5c8b96bed1439a6dc4dae6dd1d0596ced50',
        81004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64d41ba51bf8991e5322fbc8d80e400281604f70cd061562aad4bdf6aedd582e',
        75152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '110c181389ab4ffd19a1212a2c7b53e86dd2deefa76fbd3208663e85b34cd46e',
        80724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0dfef91dddc6d2e9820c4faf4c31bfa1533f090efe935e91150ee1b4cc59f4f',
        75456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7c5bd167ace5154cd5e8806a913d620cb479062db24c06433f7f38b3e6811cf',
        80784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9b5326ebe6f800499e333e88b5d52d47d995cb1eb20ce541991deb5ae2792a4',
        75568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6abd6d5f1ca760d693fe03958a2e85de8ffeeabb5e2794bc2725ce8775807924',
        81168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8999193c1336c6f666fba9f56ec1d12485be48c9f31a2e97e00056b311d2b79a',
        77592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73cdbc23b75cf90b91216670334c663046fe0b9d08f39991d5b9d26942b358a0',
        81332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fa1bb398f33123661ab6d19927457c499ee32ba16819269d005ec1a4343aaf5',
        77316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '656cda11a815f2f5c7ef493608481f3ea6da47880dbcc3b6be65059319597393',
        80652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88f76cbd5e824b5c45fb8278750d69a37690ede91efd8901a27dc5f20c69de70',
        77484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa96b010fc061593439675e03f0f7b4f36bcf4ef79b2f68d5820122313c84ac9',
        80764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78b737edc063f02e62ffc88e8b71820aa12f17972b3dc70d9cc6aa20cbf8bb81',
        76568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c49337689c4c8e998cdfc92575356ddef9b8d31b07c19c2e7d466c806b5de15',
        79492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Exo2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Exo 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Exo+2
  static TextTheme exo2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.exo2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.exo2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.exo2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.exo2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.exo2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.exo2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.exo2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.exo2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.exo2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.exo2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.exo2(textStyle: textTheme.caption),
      button: GoogleFonts.exo2(textStyle: textTheme.button),
      overline: GoogleFonts.exo2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextStyle expletusSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e8194fbcb2069328e5c506a10ab38e405a359ec0ab5c0d2379659cdff0830db',
        26352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '072928d584fe0a92e93d576c43798a1dc6d1bf065c7db59d28112cb4733cad2a',
        27304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5cd6f4acc507801fef499ca08c7da56ff9e5df77a4ba14eac1718e7ccfe49e5',
        26656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b16455d3607896d0b779898db128a332df5ed111317da3f1341a85a07317b209',
        50592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '732974a8456ad103e02e3ad28c0844e71113017aae30a88969af3ec454dc2043',
        26636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '935e18b8d6f075d9b37b0017bde129fd0e68ee0800f60eac4c68f6534c528aa3',
        27828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f5f64f05469211d27b24f1b1f39e57ec0ca9e4211a24b28c336f629254bd482',
        26620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77c1827497333ee775fc45b32a1c0c2da85ac489afa78e6ee3808130e850e355',
        29012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ExpletusSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Expletus Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Expletus+Sans
  static TextTheme expletusSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.expletusSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.expletusSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.expletusSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.expletusSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.expletusSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.expletusSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.expletusSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.expletusSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.expletusSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.expletusSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.expletusSans(textStyle: textTheme.caption),
      button: GoogleFonts.expletusSans(textStyle: textTheme.button),
      overline: GoogleFonts.expletusSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Explora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextStyle explora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e876028e0071bc2704bbf53f9f77444d4b5251a12b4c3f785a9dce7ef6b04738',
        124340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Explora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Explora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Explora
  static TextTheme exploraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.explora(textStyle: textTheme.headline1),
      headline2: GoogleFonts.explora(textStyle: textTheme.headline2),
      headline3: GoogleFonts.explora(textStyle: textTheme.headline3),
      headline4: GoogleFonts.explora(textStyle: textTheme.headline4),
      headline5: GoogleFonts.explora(textStyle: textTheme.headline5),
      headline6: GoogleFonts.explora(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.explora(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.explora(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.explora(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.explora(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.explora(textStyle: textTheme.caption),
      button: GoogleFonts.explora(textStyle: textTheme.button),
      overline: GoogleFonts.explora(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextStyle fahkwang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07a682d6bc044cbd486744e34dcb061077bac07d9501f34c8f50b67aa2c02b7f',
        79476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c9cba18dabd9762bcd5cd460bbc145d71a364a65255b3ff8514cb385997506c8',
        82060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f936e2bce0a9dc318b8e50537d34ffd7475cd6199842a810f7b9ef9072cdae',
        79520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a1ef09b096105c18faf5fadb52cbeb7979873ad7e9d50910b116ce244b4fe166',
        82128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e288aad85ecd44f0568c3d218d1478f896a2e9656dea8978a0462f0432102f7',
        79356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd39b9b3782631bd9e5ca85b327f2e86ade2f88ca6d30a9f85112209c08f703e5',
        82044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7b5bd7dd6726ca8619156e571f3ab9429a229e110e87eb4807508a6e603b055',
        79100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '99dff1eec80cee80e76e31de570b32a627c8b114c5f4a6edda2349c62ef7eb9e',
        82064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b415ad58dda4167eef2957ac799ec99e305a626797d3f015c814096dcab8244f',
        79136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a3cb35f606a6f504a703c26834f242e79e57064c9cc15b016acd7ead15c1c379',
        82048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d4c87b61ab6b7a8c8fd345b20f1bdea3f0eaf90b1f3d014ba9a1aed4df71bc5',
        78988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02444f0d64cab232aa85ca6646af07c761791397753194217bec25ee19e4107e',
        81940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fahkwang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fahkwang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fahkwang
  static TextTheme fahkwangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fahkwang(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fahkwang(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fahkwang(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fahkwang(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fahkwang(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fahkwang(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fahkwang(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fahkwang(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fahkwang(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fahkwang(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fahkwang(textStyle: textTheme.caption),
      button: GoogleFonts.fahkwang(textStyle: textTheme.button),
      overline: GoogleFonts.fahkwang(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextStyle fanwoodText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37c7865d9942ebc3e421992f87faa2a1c1f686716fd40054035736abd0938f1d',
        119168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ebb9e6f0a9aad6a9a9a13de40ed43e94061e0aefeb1fc8ab3399b0a3307dfee8',
        96316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FanwoodText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fanwood Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fanwood+Text
  static TextTheme fanwoodTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fanwoodText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fanwoodText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fanwoodText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fanwoodText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fanwoodText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fanwoodText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fanwoodText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fanwoodText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fanwoodText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fanwoodText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fanwoodText(textStyle: textTheme.caption),
      button: GoogleFonts.fanwoodText(textStyle: textTheme.button),
      overline: GoogleFonts.fanwoodText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Farro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextStyle farro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca8a2c854888fbeb59e572d229d903a5793ba08741fb5effc6484dad0baca84b',
        38668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04c2276c71a6e273507190f49761498509d6b0b4dda77befd400b8b093ca1ad8',
        38536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43a287bb29da4b09c5492c818eeb5cab21180fcead8c66a9340ba185728d5ab5',
        38584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f000197888095e4fccd58e6e7af75f410a611fe4292e359d52d9110505fb0373',
        38012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farro
  static TextTheme farroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.farro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.farro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.farro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.farro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.farro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.farro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.farro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.farro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.farro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.farro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.farro(textStyle: textTheme.caption),
      button: GoogleFonts.farro(textStyle: textTheme.button),
      overline: GoogleFonts.farro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Farsan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextStyle farsan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06d96e20a2d15a86aca97dc3632eec9628587c3c335c563af7181458c2e91c54',
        243680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Farsan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Farsan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Farsan
  static TextTheme farsanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.farsan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.farsan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.farsan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.farsan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.farsan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.farsan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.farsan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.farsan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.farsan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.farsan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.farsan(textStyle: textTheme.caption),
      button: GoogleFonts.farsan(textStyle: textTheme.button),
      overline: GoogleFonts.farsan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fascinate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextStyle fascinate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f23d154a851bb211f83de2d4f7dd5242620662579daa75f0a4ac8e4c692a1832',
        51484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fascinate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate
  static TextTheme fascinateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fascinate(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fascinate(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fascinate(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fascinate(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fascinate(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fascinate(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fascinate(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fascinate(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fascinate(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fascinate(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fascinate(textStyle: textTheme.caption),
      button: GoogleFonts.fascinate(textStyle: textTheme.button),
      overline: GoogleFonts.fascinate(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextStyle fascinateInline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c052c5d8595ae4b44c8e2c92cd12be41381064837072f05fc6a3f4807f1d80e7',
        59188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FascinateInline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fascinate Inline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fascinate+Inline
  static TextTheme fascinateInlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fascinateInline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fascinateInline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fascinateInline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fascinateInline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fascinateInline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fascinateInline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fascinateInline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fascinateInline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fascinateInline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fascinateInline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fascinateInline(textStyle: textTheme.caption),
      button: GoogleFonts.fascinateInline(textStyle: textTheme.button),
      overline: GoogleFonts.fascinateInline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Faster One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextStyle fasterOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbde65e70c94e07f0152fa5b1506d0a77cf338a94d29423fec1aa0730891cd04',
        44372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FasterOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faster One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faster+One
  static TextTheme fasterOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fasterOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fasterOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fasterOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fasterOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fasterOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fasterOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fasterOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fasterOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fasterOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fasterOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fasterOne(textStyle: textTheme.caption),
      button: GoogleFonts.fasterOne(textStyle: textTheme.button),
      overline: GoogleFonts.fasterOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fauna One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextStyle faunaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afbf7594d1feb78a9b5e6262887492adcf721a6e1d033b1c6d26aeba06bcc132',
        30196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FaunaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fauna One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fauna+One
  static TextTheme faunaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.faunaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.faunaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.faunaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.faunaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.faunaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.faunaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.faunaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.faunaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.faunaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.faunaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.faunaOne(textStyle: textTheme.caption),
      button: GoogleFonts.faunaOne(textStyle: textTheme.button),
      overline: GoogleFonts.faunaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Faustina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextStyle faustina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b83e2bcd1f015e1e288c5870cf0301c94cff5d1d346b1c0b7d0e497ec7165a06',
        83308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a7f8c492e8ce7588c67e918c52ae5a4c9517a62c3057c9aaa9f2a2f8bcc1278d',
        84980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ced47c330edb05d2c4dc0cfe0e0b69f9b23cfce448a95ab12a7179b3f3e7d8e9',
        88172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02caa39209526de5d9a8cd33d2d06056bd7dd2c4f91748ddd6a5af7fb9abfa87',
        90276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '617c505971ec93fa27bd52270f4a605f1f9e8c04efa06181c1f9e6a684cb907a',
        88292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f2f74ee4758fad98604d34c6a8e8df131c924bfd4654546327cc02df81af527',
        90052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e680d2565c4001336be567bd147c16b8d88d21b36f499cd98e689a429568ebcd',
        84148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32a38ed85ba3470cf4ff6929aae4fdb13233d68ba71b97ce606bc2ce782b0961',
        86792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Faustina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Faustina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Faustina
  static TextTheme faustinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.faustina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.faustina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.faustina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.faustina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.faustina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.faustina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.faustina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.faustina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.faustina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.faustina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.faustina(textStyle: textTheme.caption),
      button: GoogleFonts.faustina(textStyle: textTheme.button),
      overline: GoogleFonts.faustina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Federant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextStyle federant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64e759e186856942cf96caca16925f320d145c552c214f61546d51aad8e02bbe',
        32556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federant
  static TextTheme federantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.federant(textStyle: textTheme.headline1),
      headline2: GoogleFonts.federant(textStyle: textTheme.headline2),
      headline3: GoogleFonts.federant(textStyle: textTheme.headline3),
      headline4: GoogleFonts.federant(textStyle: textTheme.headline4),
      headline5: GoogleFonts.federant(textStyle: textTheme.headline5),
      headline6: GoogleFonts.federant(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.federant(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.federant(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.federant(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.federant(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.federant(textStyle: textTheme.caption),
      button: GoogleFonts.federant(textStyle: textTheme.button),
      overline: GoogleFonts.federant(textStyle: textTheme.overline),
    );
  }

  /// Applies the Federo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextStyle federo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cefb7b8c896226fdb5493d3bd75dbb0baae167b10f60d892578bc75dc1acc5b5',
        116756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Federo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Federo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Federo
  static TextTheme federoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.federo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.federo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.federo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.federo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.federo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.federo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.federo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.federo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.federo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.federo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.federo(textStyle: textTheme.caption),
      button: GoogleFonts.federo(textStyle: textTheme.button),
      overline: GoogleFonts.federo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Felipa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextStyle felipa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1636ce9582e69c11f567c7e8cbea02601d37fb40da1e6affdd5b71a01c7cd36b',
        39952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Felipa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Felipa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Felipa
  static TextTheme felipaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.felipa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.felipa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.felipa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.felipa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.felipa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.felipa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.felipa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.felipa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.felipa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.felipa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.felipa(textStyle: textTheme.caption),
      button: GoogleFonts.felipa(textStyle: textTheme.button),
      overline: GoogleFonts.felipa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fenix font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextStyle fenix({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8601d9f9c9a93dcbc9a75b2e7e9e1f567e66ca628768e1567225078fee043e8f',
        45096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fenix',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fenix font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fenix
  static TextTheme fenixTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fenix(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fenix(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fenix(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fenix(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fenix(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fenix(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fenix(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fenix(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fenix(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fenix(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fenix(textStyle: textTheme.caption),
      button: GoogleFonts.fenix(textStyle: textTheme.button),
      overline: GoogleFonts.fenix(textStyle: textTheme.overline),
    );
  }

  /// Applies the Festive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextStyle festive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '190f5a0125f78fa8f745e983d4a6a871a152f76427227fb2a1db940eafce9d2e',
        422864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Festive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Festive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Festive
  static TextTheme festiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.festive(textStyle: textTheme.headline1),
      headline2: GoogleFonts.festive(textStyle: textTheme.headline2),
      headline3: GoogleFonts.festive(textStyle: textTheme.headline3),
      headline4: GoogleFonts.festive(textStyle: textTheme.headline4),
      headline5: GoogleFonts.festive(textStyle: textTheme.headline5),
      headline6: GoogleFonts.festive(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.festive(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.festive(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.festive(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.festive(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.festive(textStyle: textTheme.caption),
      button: GoogleFonts.festive(textStyle: textTheme.button),
      overline: GoogleFonts.festive(textStyle: textTheme.overline),
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextStyle fingerPaint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ab3ff7f8e0eaf096c590997201b069ff984623d2eae2b71d8712f4a94a504a9',
        101364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FingerPaint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Finger Paint font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Finger+Paint
  static TextTheme fingerPaintTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fingerPaint(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fingerPaint(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fingerPaint(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fingerPaint(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fingerPaint(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fingerPaint(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fingerPaint(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fingerPaint(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fingerPaint(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fingerPaint(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fingerPaint(textStyle: textTheme.caption),
      button: GoogleFonts.fingerPaint(textStyle: textTheme.button),
      overline: GoogleFonts.fingerPaint(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fira Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextStyle firaCode({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53d9824e306c207a6de228abf02372c59c9b2166fc2a5b38d40d9f8b2cca4f53',
        140772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '952b0d5a1d329fa4c8229aa97143ed9ff3f239f1b4bd84e4c14b6f4f1ccdd705',
        140656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eeca9b497781ac45524ddd9ca6fdfa383130e3d2a613045bc288fbeaf3796ce6',
        140608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9272ceedc952a0945683c249045952038f3cd3c1cf0bd0bfda3a07417e44fd48',
        140904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e534947b075377251fa622cf2ae6881dd4073346a5fefda144b1406f45b9ade9',
        141148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraCode',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Code
  static TextTheme firaCodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.firaCode(textStyle: textTheme.headline1),
      headline2: GoogleFonts.firaCode(textStyle: textTheme.headline2),
      headline3: GoogleFonts.firaCode(textStyle: textTheme.headline3),
      headline4: GoogleFonts.firaCode(textStyle: textTheme.headline4),
      headline5: GoogleFonts.firaCode(textStyle: textTheme.headline5),
      headline6: GoogleFonts.firaCode(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.firaCode(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.firaCode(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.firaCode(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.firaCode(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.firaCode(textStyle: textTheme.caption),
      button: GoogleFonts.firaCode(textStyle: textTheme.button),
      overline: GoogleFonts.firaCode(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextStyle firaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f17d60778f78f5928584a4f314a221b328dbce03da62fcc09caeebac82f76809',
        131780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '003aa1dc6866482549cf715d4075e470701e918eadd47a035568d8d254f63e02',
        131368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dab36f8faa3f89e09e177a6ef40eaacd307b98b2a38a14426be96ce9ed67a3b',
        131392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Mono
  static TextTheme firaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.firaMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.firaMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.firaMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.firaMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.firaMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.firaMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.firaMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.firaMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.firaMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.firaMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.firaMono(textStyle: textTheme.caption),
      button: GoogleFonts.firaMono(textStyle: textTheme.button),
      overline: GoogleFonts.firaMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextStyle firaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c710b8842ec687cf4d723fa7cf54656e4600a5fc0b35581c6c5db5811eb3648',
        363328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c12ca8dc162546809677cd3a931692841e7d605b092be571767436772cbca571',
        377284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fdce9dc421c231fd5eb33b58fa54bfc22e73eb766fbf24c099102a3c9745a04',
        367616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6fc161a574855f456dd5f6aca03b07bd5fbbda95409eaaeea8d32b83efdd82d4',
        381668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cf10b5f7c89c8b6cc74e27189f128a0632fcc969d1d71639d7df41a988241ea',
        366972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed16991f9880c1cdf370062abe98f041f9c4227d7b7533bf2f7915cd203d33a6',
        380468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d5c70026b4ecf845ee6e70a5db8152c460c77457ee2c198f857b9dc194d2f3',
        366252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68cee55e27446a07ee1a11f047f9ce975c099a77beb93636576f205f1f79e949',
        379696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92c4968351b66aa1751300d33479286d7efbba08a54f8e4ff3bf2f46a9cf39be',
        366356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '61820fb5cb8cddf45429ac27bd1b3ddc92f5fa8df2558b86f251a7d3b02eb896',
        379848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63399ee49cc66340dce320237ad9177a3c4425f1e2e067f36fc16613bff0566e',
        366296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bb43f8686cc19df2202a071cae38722fe0cc2a3a3fe6e23a2cf6a96f7744782',
        380132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87babfdf164afa1f458032e5d4166b48f6e1fe8599501da30592a5f2fb2dd18a',
        366376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b86fe4a8430dc147fd75bedeb04f37cb3fc160fcb9b905263e11f945cf8de60',
        379804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c11b26719603ed8ca563718737b415405dd2010a56408dc403bf6292e3c11561',
        366128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c5bac7e128fa9013ef3cdc329d8f441aea8fdca1051acdb22814bfcf14f8aff',
        379332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a957f6ef941a2c07855a9f053c3f0c03091299a68530247f3bb1c3c6ab574c4',
        365756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2813a992761a32da93a8230e2d86dbc1f4c430516ebc63b870d6865995d8233',
        379500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans
  static TextTheme firaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.firaSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.firaSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.firaSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.firaSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.firaSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.firaSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.firaSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.firaSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.firaSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.firaSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.firaSans(textStyle: textTheme.caption),
      button: GoogleFonts.firaSans(textStyle: textTheme.button),
      overline: GoogleFonts.firaSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextStyle firaSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf9b3d9811dd234f65f59b0d76d65a3e1e0c670aebac4deba38952c2a936f715',
        362440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '90a6e0b1a1c39abb49b18aa5dbe06d7495f40394b01fab73b9e1e2bfec8a63f1',
        376612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a88fd0b03c58284d60144855004f6888c1b91eb5a7d21ac6060d56968934163e',
        366560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07ba37d808679122d7388590ccc622b6f8f48bfad8116ba243f202818d5cd687',
        380672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '028eb7598bbb6f3a2bf5ea109d7df59dc6518811cde6bc25a6f865eca25b8cee',
        366388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c87c9cbd8b98469f1021dcdc5e28dc336195b600990e646a06cd9e832b747236',
        380244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '169ee94c3194b600460cd09916275e7fb039fb87644ad57a8892658bba9306c3',
        365908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a80c7a96e3707ecec8c736d84d84610e8872d361a22b5dbe0ebc3edd438d0d73',
        378688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '703cb9e1a6d80a19812381b5edceb1970b68ee76546ba8ae6ffed4c952fc475c',
        366208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ad537677b67359092459fe782eab5dbddc81f5a162d5e5089e46dab0d6d3dd5',
        379868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c134a6d726ac821a9d923951743e3265e9f99a3853356396d759d0fb71cda42a',
        365892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '59ba972744bb1ef52a903a84b4b035e2086ee740963c12a11f352474b9aa841e',
        379376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29ce6255f4e521be2749f9557160ebbff60c5d160cd3a920e7bfc471c723dc3f',
        366196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02a6c070347c5261fef75b88834e9b34ca51774d98830932ac9082d60713a416',
        379104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3fb82c69c6f36043219173b6f3137c43ead2f79f748d4a4a92ab045215eee54',
        366556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '22f5b83e1b510958faf311954f84c3a505ac7ca89aa279ee4e6a9274ec38e37f',
        379268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbc26fda4428ab404d1e295ba3295da5cacf05e0851f8e4db99a4f65e1a0b382',
        366044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd732a2087e508d3999de6ed5f8c8834fe6eed4e270dabbce0bdc668087bace49',
        379108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Condensed
  static TextTheme firaSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.firaSansCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.firaSansCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.firaSansCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.firaSansCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.firaSansCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.firaSansCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.firaSansCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextStyle firaSansExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa0b73aa84c42a6d80d67e8301430b1553b52c7bd68fb79ebe8a2ff750ff58d7',
        361612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9f3e0c06798b24d5853a7192055d69133a9cbd73a9af9f24f62a00b0040d5776',
        376268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbe50e8aab5ce91f02434c94791440b79cfbc9ee514967d9db84519325fb09bc',
        365232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c79fb24ec14754ab4fcb134db375dcab006d976fab22d0b109e35fdfcd23366',
        380328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40d22d65e7e493b473980345c73d89b480fede26e26e656d2f209dca5e38c1ff',
        364864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'facbc467dbce58d849a1d881e13552a97aac95f1729e1fc2616bcbb139bc454e',
        379592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86b9aeff0987b7a36348174495862b0223a80ca3b251901d0ee4e171911f3313',
        364844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9b18a404b2171c7bd6f0b62b4a449ac30caaf7479ea04cf72848bf1e102975a',
        378808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fcaa10bd6c77effd3a995f07ef8dcc91c68362f20f82be9f906ba8cd66e3a36',
        365952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf42464fc9f3e1569e0e1538e46fcc39fd02dba1db928aa594205dd74b6e7c72',
        379444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0763b0bd415a608f8406877206fbac60d4785217a0983cf5569a0a2ed2922a87',
        365700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f8d32c8579b66b9a1c5be889f3a3b21d4bd26f53af102bd2b4669b8407da059',
        379196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f844b8d0ff4049bc54bf6eeb2fadd15e2e910f98d0a77a3ca693111015e8a365',
        365784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07bfb33f5214d059269b95893bcb1220d50d72c1912c6b53f105a147900b7806',
        379176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a9cf07642c68b3200835e3a7e3688ed58ed76a3180a2e5cf9b94ce09e158671',
        365784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16f3dcda792af199394d486b422a6a669c52ee944c7bacd532337e88d9840501',
        379648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99e363528f9256b35bd83f2a25a2e5f6739df4eeb724246bc87c5ab657192270',
        366184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53c97db75ae729e99796dc36bad33e04ea9d0036b759f49f202c3b403c3df3eb',
        380528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FiraSansExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fira Sans Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fira+Sans+Extra+Condensed
  static TextTheme firaSansExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.button),
      overline:
          GoogleFonts.firaSansExtraCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextStyle fjallaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bcbda294de33762d864eb998b9a19f1590afc95fe83a252472514751bd3ec21',
        26548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjallaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjalla One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjalla+One
  static TextTheme fjallaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fjallaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fjallaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fjallaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fjallaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fjallaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fjallaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fjallaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fjallaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fjallaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fjallaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fjallaOne(textStyle: textTheme.caption),
      button: GoogleFonts.fjallaOne(textStyle: textTheme.button),
      overline: GoogleFonts.fjallaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fjord One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextStyle fjordOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d617688444b306b1af1ecd21190c110fcd2299e6164c66b9828f25bfaeeefa2',
        54132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FjordOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fjord One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fjord+One
  static TextTheme fjordOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fjordOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fjordOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fjordOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fjordOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fjordOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fjordOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fjordOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fjordOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fjordOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fjordOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fjordOne(textStyle: textTheme.caption),
      button: GoogleFonts.fjordOne(textStyle: textTheme.button),
      overline: GoogleFonts.fjordOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Flamenco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextStyle flamenco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e1405fc92b58d9d35feb160e51edfaa54ace38f1e035d9fe2bfbf79a4087fe2',
        34360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5146448316dfb5f65a04e6a343c26f45f45587351d34559af1459a54eaa864c',
        36340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flamenco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flamenco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flamenco
  static TextTheme flamencoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.flamenco(textStyle: textTheme.headline1),
      headline2: GoogleFonts.flamenco(textStyle: textTheme.headline2),
      headline3: GoogleFonts.flamenco(textStyle: textTheme.headline3),
      headline4: GoogleFonts.flamenco(textStyle: textTheme.headline4),
      headline5: GoogleFonts.flamenco(textStyle: textTheme.headline5),
      headline6: GoogleFonts.flamenco(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.flamenco(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.flamenco(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.flamenco(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.flamenco(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.flamenco(textStyle: textTheme.caption),
      button: GoogleFonts.flamenco(textStyle: textTheme.button),
      overline: GoogleFonts.flamenco(textStyle: textTheme.overline),
    );
  }

  /// Applies the Flavors font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextStyle flavors({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f56d6a319c30faa62651b4a9fde87c7e4a496c678e7fb6642dccfa9c815d29dd',
        186224,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Flavors',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flavors font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flavors
  static TextTheme flavorsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.flavors(textStyle: textTheme.headline1),
      headline2: GoogleFonts.flavors(textStyle: textTheme.headline2),
      headline3: GoogleFonts.flavors(textStyle: textTheme.headline3),
      headline4: GoogleFonts.flavors(textStyle: textTheme.headline4),
      headline5: GoogleFonts.flavors(textStyle: textTheme.headline5),
      headline6: GoogleFonts.flavors(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.flavors(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.flavors(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.flavors(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.flavors(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.flavors(textStyle: textTheme.caption),
      button: GoogleFonts.flavors(textStyle: textTheme.button),
      overline: GoogleFonts.flavors(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextStyle fleurDeLeah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71a604d85f19f4cdf0c0601783495f73d98364d296a62fc1eb66ac988262e88c',
        133660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FleurDeLeah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fleur De Leah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fleur+De+Leah
  static TextTheme fleurDeLeahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fleurDeLeah(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fleurDeLeah(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fleurDeLeah(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fleurDeLeah(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fleurDeLeah(textStyle: textTheme.caption),
      button: GoogleFonts.fleurDeLeah(textStyle: textTheme.button),
      overline: GoogleFonts.fleurDeLeah(textStyle: textTheme.overline),
    );
  }

  /// Applies the Flow Block font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextStyle flowBlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f169cb497f9ce16fa91049368a1d3c5656d6658840edbfbb51917fb197a8c923',
        29860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowBlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Block font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Block
  static TextTheme flowBlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.flowBlock(textStyle: textTheme.headline1),
      headline2: GoogleFonts.flowBlock(textStyle: textTheme.headline2),
      headline3: GoogleFonts.flowBlock(textStyle: textTheme.headline3),
      headline4: GoogleFonts.flowBlock(textStyle: textTheme.headline4),
      headline5: GoogleFonts.flowBlock(textStyle: textTheme.headline5),
      headline6: GoogleFonts.flowBlock(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.flowBlock(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.flowBlock(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.flowBlock(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.flowBlock(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.flowBlock(textStyle: textTheme.caption),
      button: GoogleFonts.flowBlock(textStyle: textTheme.button),
      overline: GoogleFonts.flowBlock(textStyle: textTheme.overline),
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextStyle flowCircular({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd58de24b09e4c6ba5fe14f310675e7d15597aad782b2029d60a78c64843965ee',
        36392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowCircular',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Circular font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Circular
  static TextTheme flowCircularTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.flowCircular(textStyle: textTheme.headline1),
      headline2: GoogleFonts.flowCircular(textStyle: textTheme.headline2),
      headline3: GoogleFonts.flowCircular(textStyle: textTheme.headline3),
      headline4: GoogleFonts.flowCircular(textStyle: textTheme.headline4),
      headline5: GoogleFonts.flowCircular(textStyle: textTheme.headline5),
      headline6: GoogleFonts.flowCircular(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.flowCircular(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.flowCircular(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.flowCircular(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.flowCircular(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.flowCircular(textStyle: textTheme.caption),
      button: GoogleFonts.flowCircular(textStyle: textTheme.button),
      overline: GoogleFonts.flowCircular(textStyle: textTheme.overline),
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextStyle flowRounded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b36aa3b9cbc7ac0ab4423e2e5c3cf94c7f44f81bb0ac12634081640a0f4f7e3',
        34380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FlowRounded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Flow Rounded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Flow+Rounded
  static TextTheme flowRoundedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.flowRounded(textStyle: textTheme.headline1),
      headline2: GoogleFonts.flowRounded(textStyle: textTheme.headline2),
      headline3: GoogleFonts.flowRounded(textStyle: textTheme.headline3),
      headline4: GoogleFonts.flowRounded(textStyle: textTheme.headline4),
      headline5: GoogleFonts.flowRounded(textStyle: textTheme.headline5),
      headline6: GoogleFonts.flowRounded(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.flowRounded(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.flowRounded(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.flowRounded(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.flowRounded(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.flowRounded(textStyle: textTheme.caption),
      button: GoogleFonts.flowRounded(textStyle: textTheme.button),
      overline: GoogleFonts.flowRounded(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fondamento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextStyle fondamento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75f9d66c336050a69b4366a5bd1cd8d8a0a5b7338dddd16b9af1f679ed3f6543',
        86560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '78976bc375126e59b80ff99b8d26195e4332d5cc86505149fc21d183b60e8340',
        78140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fondamento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fondamento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fondamento
  static TextTheme fondamentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fondamento(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fondamento(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fondamento(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fondamento(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fondamento(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fondamento(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fondamento(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fondamento(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fondamento(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fondamento(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fondamento(textStyle: textTheme.caption),
      button: GoogleFonts.fondamento(textStyle: textTheme.button),
      overline: GoogleFonts.fondamento(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextStyle fontdinerSwanky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf7bb77a0222af06961048f7335a7c3ced76ac59796882a14738b145a87f9b7a',
        45108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FontdinerSwanky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fontdiner Swanky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fontdiner+Swanky
  static TextTheme fontdinerSwankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fontdinerSwanky(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fontdinerSwanky(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fontdinerSwanky(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fontdinerSwanky(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fontdinerSwanky(textStyle: textTheme.caption),
      button: GoogleFonts.fontdinerSwanky(textStyle: textTheme.button),
      overline: GoogleFonts.fontdinerSwanky(textStyle: textTheme.overline),
    );
  }

  /// Applies the Forum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextStyle forum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dd2cb0744af0bc963b13a121b6194f8d271243f3973b40041c90b6113d168b2',
        204156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Forum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Forum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Forum
  static TextTheme forumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.forum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.forum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.forum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.forum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.forum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.forum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.forum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.forum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.forum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.forum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.forum(textStyle: textTheme.caption),
      button: GoogleFonts.forum(textStyle: textTheme.button),
      overline: GoogleFonts.forum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Francois One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextStyle francoisOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9732016aa4f374d99be54bb4dff92ffaa1133a4d293595c2bd7f621e01b38e85',
        57756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrancoisOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Francois One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Francois+One
  static TextTheme francoisOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.francoisOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.francoisOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.francoisOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.francoisOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.francoisOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.francoisOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.francoisOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.francoisOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.francoisOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.francoisOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.francoisOne(textStyle: textTheme.caption),
      button: GoogleFonts.francoisOne(textStyle: textTheme.button),
      overline: GoogleFonts.francoisOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextStyle frankRuhlLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5522476a201c815bdc0a30e19c5eb768edd4ddbe563647bf958a6326d7de351',
        62032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a33b30005cd2b612a70785a7205c43bf5f1a43c839b44d7ab7ddb581503e7ea',
        63180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '009ea0ba06f79de2ac7a440b5f01b2aa767bbe10be39cfb151cef128d8c5c378',
        62764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf711279089d27a7d3707704287cee15972baf963565dccb30e23486a65697cf',
        63068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1be4c921fb7b84259c4252c3caadda7f65b0ed5ad332ce0b680224f76e280363',
        63056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrankRuhlLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frank Ruhl Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frank+Ruhl+Libre
  static TextTheme frankRuhlLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.frankRuhlLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.frankRuhlLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.frankRuhlLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.frankRuhlLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.frankRuhlLibre(textStyle: textTheme.caption),
      button: GoogleFonts.frankRuhlLibre(textStyle: textTheme.button),
      overline: GoogleFonts.frankRuhlLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fraunces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextStyle fraunces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd900c5e7c21d6a656061f76e8b35850081e6b5f4d1c79b3ccc810de326856264',
        64836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44a19981fe2aa754aaeb06cf74c310df1b0a3f8b39480f0f062c91519630d135',
        65092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ca9190aefdfe929bf1bf7d8427e0698deb0e431e1d227ab44422fd2f9e6ab0f',
        65156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6614ff6a91390010260d3a667c5376fe821f8a42cb80b6aafd7cda6742f01bb8',
        65180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd1da6d4ca2fb801a00575fc9f126c39971a6bd892c8f0a6e618351a32bef3cd',
        65204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2479851101e2899e533b00b37198a6d0651c0ec6d71f0ac394b00b9108905e1',
        65236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a93a3e6559a15ea27733c53e6e7502e5cf7293c46a26e9e1fa84705e65b10bc4',
        65192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b03d8878b2e916deb87f3248147de1f5a362a78c9dcbd90d3aa4c4f092d75a7d',
        65248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627caa3761664db664fc5696dca651dc39185ff859c73f0cf45c6fd5459f3a66',
        65284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe71fdadb7f0f3291a48c18ce4ea85c5d43311da4f1cf1beb3c9eb7fdae5578f',
        78464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b026994e693313f3192474e6c97c7342f4bb901f76197c904f2db4716f14a9a3',
        78628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f8ec75b94bf9bf34ce44fa022134ae5cb8f071ebc35e86da2ed1299daff3d784',
        78684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '646ab5bcfa86872b15fc6ec5c75dc6aa5e71959ddd4dbbf7b1379791ad0cacba',
        78632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89f7a03ab5876ff35d51603bf66e41fc46a218b6990bae89e752844b6a7bd504',
        78712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd58f242796551124a334dd48265d36ee828d367d78e377f599b6efde4325fb0a',
        78784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4e842fa45d7770f0d2be7bae12e6694838b5e7f0cfc4185ebedcad05ccb0c86a',
        78688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9eb1f4be3bb43f44d63b98bfd7ed4ea85c24aeb9bc588b88bef34e42f8e45413',
        78720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'debe015577f85100a540d7110609c10a9ec1818cb48814478ff9401c34a4dfa9',
        78684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fraunces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fraunces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fraunces
  static TextTheme frauncesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fraunces(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fraunces(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fraunces(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fraunces(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fraunces(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fraunces(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fraunces(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fraunces(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fraunces(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fraunces(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fraunces(textStyle: textTheme.caption),
      button: GoogleFonts.fraunces(textStyle: textTheme.button),
      overline: GoogleFonts.fraunces(textStyle: textTheme.overline),
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextStyle freckleFace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c910c4a9c496679a818b2d0399b140f598d9f2f8b80bd1ad82b11b1aee3e93d',
        120676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FreckleFace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Freckle Face font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Freckle+Face
  static TextTheme freckleFaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.freckleFace(textStyle: textTheme.headline1),
      headline2: GoogleFonts.freckleFace(textStyle: textTheme.headline2),
      headline3: GoogleFonts.freckleFace(textStyle: textTheme.headline3),
      headline4: GoogleFonts.freckleFace(textStyle: textTheme.headline4),
      headline5: GoogleFonts.freckleFace(textStyle: textTheme.headline5),
      headline6: GoogleFonts.freckleFace(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.freckleFace(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.freckleFace(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.freckleFace(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.freckleFace(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.freckleFace(textStyle: textTheme.caption),
      button: GoogleFonts.freckleFace(textStyle: textTheme.button),
      overline: GoogleFonts.freckleFace(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextStyle frederickaTheGreat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '532a820c85a4591fdb49ad776bcc3950cb9e66fec68cb9263fc47c65406e575d',
        486172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FrederickatheGreat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredericka the Great font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredericka+the+Great
  static TextTheme frederickaTheGreatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline1),
      headline2: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline2),
      headline3: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline3),
      headline4: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline4),
      headline5: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline5),
      headline6: GoogleFonts.frederickaTheGreat(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.frederickaTheGreat(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.frederickaTheGreat(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.frederickaTheGreat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.frederickaTheGreat(textStyle: textTheme.caption),
      button: GoogleFonts.frederickaTheGreat(textStyle: textTheme.button),
      overline: GoogleFonts.frederickaTheGreat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fredoka One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka+One
  static TextStyle fredokaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b002f69e5dfa418bb4943743c033c0ace0b62544c935797166842e3571c6e8c9',
        43452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FredokaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fredoka One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fredoka+One
  static TextTheme fredokaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fredokaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fredokaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fredokaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fredokaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fredokaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fredokaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fredokaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fredokaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fredokaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fredokaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fredokaOne(textStyle: textTheme.caption),
      button: GoogleFonts.fredokaOne(textStyle: textTheme.button),
      overline: GoogleFonts.fredokaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fresca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextStyle fresca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2fb3bbb67399806b72a60bce8a66e5e8c7260a33a6ac9368b6130534242f340',
        32596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fresca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fresca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fresca
  static TextTheme frescaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fresca(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fresca(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fresca(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fresca(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fresca(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fresca(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fresca(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fresca(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fresca(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fresca(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fresca(textStyle: textTheme.caption),
      button: GoogleFonts.fresca(textStyle: textTheme.button),
      overline: GoogleFonts.fresca(textStyle: textTheme.overline),
    );
  }

  /// Applies the Frijole font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextStyle frijole({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82733a19e8b30ed4cd1325f58bf2631042b40495acd959d7dd5e38a7437ca7b1',
        227444,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Frijole',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Frijole font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Frijole
  static TextTheme frijoleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.frijole(textStyle: textTheme.headline1),
      headline2: GoogleFonts.frijole(textStyle: textTheme.headline2),
      headline3: GoogleFonts.frijole(textStyle: textTheme.headline3),
      headline4: GoogleFonts.frijole(textStyle: textTheme.headline4),
      headline5: GoogleFonts.frijole(textStyle: textTheme.headline5),
      headline6: GoogleFonts.frijole(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.frijole(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.frijole(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.frijole(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.frijole(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.frijole(textStyle: textTheme.caption),
      button: GoogleFonts.frijole(textStyle: textTheme.button),
      overline: GoogleFonts.frijole(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fruktur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextStyle fruktur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78b40ffd5e4efdcbad2cda23700072933938f41123f3149b98ceef2c1abdea2e',
        53120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fruktur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fruktur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fruktur
  static TextTheme frukturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fruktur(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fruktur(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fruktur(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fruktur(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fruktur(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fruktur(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fruktur(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fruktur(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fruktur(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fruktur(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fruktur(textStyle: textTheme.caption),
      button: GoogleFonts.fruktur(textStyle: textTheme.button),
      overline: GoogleFonts.fruktur(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextStyle fugazOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfd2016b130a197bdc3a7842cf6711aea8a2bc92fc2b0962ff9c9c266e680a07',
        27820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FugazOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fugaz One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fugaz+One
  static TextTheme fugazOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fugazOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fugazOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fugazOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fugazOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fugazOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fugazOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fugazOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fugazOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fugazOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fugazOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fugazOne(textStyle: textTheme.caption),
      button: GoogleFonts.fugazOne(textStyle: textTheme.button),
      overline: GoogleFonts.fugazOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fuggles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextStyle fuggles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd70b09da0c5a6cc0cb0dde2e6ab837577a4e37016c51b3dfaa2505325621d12',
        99576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Fuggles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuggles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuggles
  static TextTheme fugglesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fuggles(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fuggles(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fuggles(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fuggles(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fuggles(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fuggles(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fuggles(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fuggles(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fuggles(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fuggles(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fuggles(textStyle: textTheme.caption),
      button: GoogleFonts.fuggles(textStyle: textTheme.button),
      overline: GoogleFonts.fuggles(textStyle: textTheme.overline),
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextStyle fuzzyBubbles({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37aef7e943493423dabc0d7c483cf7d180ea32cd9da04cc106c375bbab4ca527',
        95880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0710f9ccddb21e1cd7a2f739585e017ad3329afc86f346fc7adb4862fda147e',
        88976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'FuzzyBubbles',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Fuzzy Bubbles font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Fuzzy+Bubbles
  static TextTheme fuzzyBubblesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline1),
      headline2: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline2),
      headline3: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline3),
      headline4: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline4),
      headline5: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline5),
      headline6: GoogleFonts.fuzzyBubbles(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.fuzzyBubbles(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.fuzzyBubbles(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.fuzzyBubbles(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.fuzzyBubbles(textStyle: textTheme.caption),
      button: GoogleFonts.fuzzyBubbles(textStyle: textTheme.button),
      overline: GoogleFonts.fuzzyBubbles(textStyle: textTheme.overline),
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextStyle gfsDidot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1953ca586ed73b65dd476de045e1f32b7446b71165bff9533f465ac46c73741',
        191144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSDidot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Didot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Didot
  static TextTheme gfsDidotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gfsDidot(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gfsDidot(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gfsDidot(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gfsDidot(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gfsDidot(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gfsDidot(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gfsDidot(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gfsDidot(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gfsDidot(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gfsDidot(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gfsDidot(textStyle: textTheme.caption),
      button: GoogleFonts.gfsDidot(textStyle: textTheme.button),
      overline: GoogleFonts.gfsDidot(textStyle: textTheme.overline),
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextStyle gfsNeohellenic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd8b39a679957cee00c5e50a23c2e6d3d6ba8d207873672a245c1de120f75028',
        189340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '44d41c717d709e6a615d33a24a85f8bd9bb4eff83466d4fafb85844a41ac142b',
        164156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07ff63886ca5101d1a9bc31d7fb3f8dba0dfe2b725183cfb5349444e2ad8d4ad',
        148172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3317aac2c90d40a458f2817b4d514af6fa109becec2a0735a3415f2fda7a4603',
        161008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GFSNeohellenic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the GFS Neohellenic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/GFS+Neohellenic
  static TextTheme gfsNeohellenicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gfsNeohellenic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gfsNeohellenic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gfsNeohellenic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gfsNeohellenic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gfsNeohellenic(textStyle: textTheme.caption),
      button: GoogleFonts.gfsNeohellenic(textStyle: textTheme.button),
      overline: GoogleFonts.gfsNeohellenic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gabriela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextStyle gabriela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2de2bbd02e6ea795828c6e6d6f6caf4fa1606b6a34d85e13e2700bba2b35e174',
        60904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gabriela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gabriela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gabriela
  static TextTheme gabrielaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gabriela(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gabriela(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gabriela(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gabriela(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gabriela(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gabriela(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gabriela(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gabriela(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gabriela(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gabriela(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gabriela(textStyle: textTheme.caption),
      button: GoogleFonts.gabriela(textStyle: textTheme.button),
      overline: GoogleFonts.gabriela(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gaegu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextStyle gaegu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b15c05b09479751067fd7c35435678b929504ea6e4a7e996ab5d09a77df6a9c',
        1665520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aee336135ec347654a2f36421c05f5d68a6017eec18e264e58e7aeda0f702951',
        1687664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '047c721d06b371ebfb6f94beb758b1de181d8afc8c8e6eca6829405bd8a1cb91',
        1588560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gaegu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gaegu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gaegu
  static TextTheme gaeguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gaegu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gaegu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gaegu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gaegu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gaegu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gaegu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gaegu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gaegu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gaegu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gaegu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gaegu(textStyle: textTheme.caption),
      button: GoogleFonts.gaegu(textStyle: textTheme.button),
      overline: GoogleFonts.gaegu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gafata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextStyle gafata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd93ec736426526ff4d866b0522a300711a10168b8198ae7985029233601b84ac',
        37384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gafata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gafata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gafata
  static TextTheme gafataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gafata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gafata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gafata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gafata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gafata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gafata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gafata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gafata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gafata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gafata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gafata(textStyle: textTheme.caption),
      button: GoogleFonts.gafata(textStyle: textTheme.button),
      overline: GoogleFonts.gafata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Galada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextStyle galada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51eded8448fda4469fa2bddc7f049589ba69c75270cdf61adabbe4453abc8728',
        155660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galada
  static TextTheme galadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.galada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.galada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.galada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.galada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.galada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.galada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.galada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.galada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.galada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.galada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.galada(textStyle: textTheme.caption),
      button: GoogleFonts.galada(textStyle: textTheme.button),
      overline: GoogleFonts.galada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Galdeano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextStyle galdeano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '854bd50aee5dea55f44b1b53ec61e1810043d0a16cdc4adaf2cd764a30bb3424',
        24820,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galdeano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galdeano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galdeano
  static TextTheme galdeanoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.galdeano(textStyle: textTheme.headline1),
      headline2: GoogleFonts.galdeano(textStyle: textTheme.headline2),
      headline3: GoogleFonts.galdeano(textStyle: textTheme.headline3),
      headline4: GoogleFonts.galdeano(textStyle: textTheme.headline4),
      headline5: GoogleFonts.galdeano(textStyle: textTheme.headline5),
      headline6: GoogleFonts.galdeano(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.galdeano(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.galdeano(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.galdeano(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.galdeano(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.galdeano(textStyle: textTheme.caption),
      button: GoogleFonts.galdeano(textStyle: textTheme.button),
      overline: GoogleFonts.galdeano(textStyle: textTheme.overline),
    );
  }

  /// Applies the Galindo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextStyle galindo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0d36dd1f81706dfcb698113c2682bb84feeffd515b1fa33d5c947ecc09e9719',
        57688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Galindo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Galindo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Galindo
  static TextTheme galindoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.galindo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.galindo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.galindo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.galindo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.galindo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.galindo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.galindo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.galindo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.galindo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.galindo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.galindo(textStyle: textTheme.caption),
      button: GoogleFonts.galindo(textStyle: textTheme.button),
      overline: GoogleFonts.galindo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextStyle gamjaFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1315b2ce49da4d60b566f31827736a5b33670f46d95c26c4df7a7608f8634ea',
        6240108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GamjaFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gamja Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gamja+Flower
  static TextTheme gamjaFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gamjaFlower(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gamjaFlower(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gamjaFlower(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gamjaFlower(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gamjaFlower(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gamjaFlower(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gamjaFlower(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gamjaFlower(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gamjaFlower(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gamjaFlower(textStyle: textTheme.caption),
      button: GoogleFonts.gamjaFlower(textStyle: textTheme.button),
      overline: GoogleFonts.gamjaFlower(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gayathri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextStyle gayathri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d8dba16325ef843155b024f792235ef54403fc4ce39f71ffe50c6a7cca110da',
        149780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5538d385b6f28efddc8cc7d5e5cf0dcbe3243febfcb81ba4112a03ab5901d1e',
        148700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dac84e865cf4bf1f5f2bd54100f9b5ded81e0b2e3904ba8a3a6a992df1c13627',
        149624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gayathri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gayathri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gayathri
  static TextTheme gayathriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gayathri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gayathri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gayathri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gayathri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gayathri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gayathri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gayathri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gayathri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gayathri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gayathri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gayathri(textStyle: textTheme.caption),
      button: GoogleFonts.gayathri(textStyle: textTheme.button),
      overline: GoogleFonts.gayathri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gelasio font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextStyle gelasio({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c178f975cfe7fd1383143d870be6652cd515bc4ce08487980cc8a24cb7d6658',
        81660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89d39a153c70693460a8dfc8abc227627e98f02a750210cdf30eafeaa3c07eff',
        83204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '065abbe7b6a9053e634e391d0b4b626891e33a25a559b218467c09f92b7cbae7',
        82068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1f797bb1ec2839e88936d4386b44e04912d4d0dd8d71e154e831a3219ef0ccd2',
        83592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b65a3501691d4bc3cf001ba7b5ce1b366cf394b48c365a5cdd65d100d824c21b',
        82096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60cd6e57a0fbd73db6d7c92723083486d34b20aaca29bd13abfcdd63d30a6965',
        83636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f820053044147cdbb3843e05a662ec45de690ea2b00e3fa9d7b8ef154b1caa0c',
        82276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '14cfaa5707e104d5c01401d62d8b27006faa96f78acc2952512962cd9a5059b1',
        83448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gelasio',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gelasio font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gelasio
  static TextTheme gelasioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gelasio(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gelasio(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gelasio(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gelasio(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gelasio(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gelasio(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gelasio(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gelasio(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gelasio(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gelasio(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gelasio(textStyle: textTheme.caption),
      button: GoogleFonts.gelasio(textStyle: textTheme.button),
      overline: GoogleFonts.gelasio(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextStyle gemunuLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '445fb64ab6eb22bb95b27a8f2c28a3ad28bb412d282e3bad413ffbc26897dfb2',
        145064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbb8bec8815cf8ae33580b4baecaecf2a09a03b6ae3722a2f2e5e48e9894b4e0',
        145056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c48545a2e73c635aa5955264e2eac0ac698d014fd1336163b6a755fa2c7fff1b',
        145052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '153d06e0e46c89e137c6feeb41f92a452848015781d57654c336e67b5be69338',
        144916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67103d0b77a47ae76950dd53c1c795f9cb1b74478a4f3762f5125cf7b1c7f7bf',
        144900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '938197efbc2091421bc2b8eef43e14a86394ec3cae217b788190654a325dae70',
        144788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9f371c829ff2c33b96a1be4be1ee179d064ce94df49884e4bd98fefb440024f',
        144540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GemunuLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gemunu Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gemunu+Libre
  static TextTheme gemunuLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gemunuLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gemunuLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gemunuLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gemunuLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gemunuLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gemunuLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gemunuLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gemunuLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gemunuLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gemunuLibre(textStyle: textTheme.caption),
      button: GoogleFonts.gemunuLibre(textStyle: textTheme.button),
      overline: GoogleFonts.gemunuLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Genos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextStyle genos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '693316091ed01368d02c3fa490818eade714d4a3d211e26741972e3d243d0016',
        74608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16fedce975a72acff45f9d4840ddb75075ac458bb416c4b01178eba7a2b64b8a',
        74780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41029c3447d1593d2b5f79909f7c13506d5a4a554e9cfa032a47e50fd13fdd01',
        74740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3dbaa3256f72cc775824f03267a7a3733aab2439066bb988bb235e2b757c5027',
        74776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2be4c8ec9bff2c6e9222d96b93ca7dfea7d3ad0a062407fa2f675a0a5478dc80',
        74704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2002d4b660c6a8cb173aab2c6d9def3b505865166675d3b3742a948e0142b54a',
        74724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '808c5b2e2700be934a6889ef68af7e16b86bc2dcc055eee7ec75f022188d682c',
        74784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01405a10819bdf2ce140d2d33b46e6c65791cf8778d01b947843b298d8348f40',
        74808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '683d8fcbad0dc80feba402bdb675b9d1e412c88f756c7311f5a9d1efce009fed',
        74432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d62302b72abb71c5c1963570bea2e4084d4d42bf0406a237df12575446c2b17',
        80668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c5cae4d1804fb1305eafeb2f5da62f1ee9490d10793cd9e2fdde5723a837d81',
        80796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f6425014d934eab6742907cda8840a3f522e5257df06fc83ffa0b20ca4e6901c',
        80808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b6dd181d3be4fb1ae19487ad94120a74038cc9390f02c3444bdaeb4b360a91b',
        80716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '64fe1be0bbdd4d9277a87626d0338b11349d15a129a98b8d9e337bffd93c8031',
        80892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '034afdf99245edbbf81fe3573c83332a7471d465db0abcc0fa1426bdf89a2b38',
        80916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '53f96a9fdfc154430676303f19d3e80d881002495b303b2981657e3e714293d9',
        80864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f548f957ccf2b1cb6f222ef3668c8cdf01fc415c1e4e57b17d6b14864928e718',
        80824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7dc63af55570444d817472e560097d1bb7a0d0fc82d194fa844f0c17752ef36',
        80612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Genos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Genos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Genos
  static TextTheme genosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.genos(textStyle: textTheme.headline1),
      headline2: GoogleFonts.genos(textStyle: textTheme.headline2),
      headline3: GoogleFonts.genos(textStyle: textTheme.headline3),
      headline4: GoogleFonts.genos(textStyle: textTheme.headline4),
      headline5: GoogleFonts.genos(textStyle: textTheme.headline5),
      headline6: GoogleFonts.genos(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.genos(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.genos(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.genos(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.genos(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.genos(textStyle: textTheme.caption),
      button: GoogleFonts.genos(textStyle: textTheme.button),
      overline: GoogleFonts.genos(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gentium Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Basic
  static TextStyle gentiumBasic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86bcf47467c7c966ff4e8c216451273329982a4bbf3477b33615c1e5ff916fb2',
        204224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd84eb1ad32e37c3f5e4a8eeaf077b66ec63a516eb0a631a71b3b17b0d6c43de1',
        211200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33b22faef221568e2734ae86ee972b4499a967b00f6d6ae128b1649a904044d7',
        207812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b1ea05dbd54b903a6206abbb48c0183924236546ddb457db2f97273aa1d47fcd',
        213608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumBasic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Basic
  static TextTheme gentiumBasicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gentiumBasic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gentiumBasic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gentiumBasic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gentiumBasic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gentiumBasic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gentiumBasic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gentiumBasic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gentiumBasic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gentiumBasic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gentiumBasic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gentiumBasic(textStyle: textTheme.caption),
      button: GoogleFonts.gentiumBasic(textStyle: textTheme.button),
      overline: GoogleFonts.gentiumBasic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gentium Book Basic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Basic
  static TextStyle gentiumBookBasic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0323cf4ee5a40f059eff7a114c130fd29fb414699c37336d6d305d42e3d30318',
        206468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '105db1c75307402ef0aaf8126c049e1910ec90f6a89c2745ac1fff1eb7525d03',
        212700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '743cd21e49c299921cf5cdf719c179e0adc85a19aa73a142726805c1cb607f82',
        207756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73ca1eff2db69f993bfff34753f6f216404bceaeb657dbf84734a8bce6f279a5',
        214236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GentiumBookBasic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gentium Book Basic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gentium+Book+Basic
  static TextTheme gentiumBookBasicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gentiumBookBasic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gentiumBookBasic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gentiumBookBasic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gentiumBookBasic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gentiumBookBasic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gentiumBookBasic(textStyle: textTheme.caption),
      button: GoogleFonts.gentiumBookBasic(textStyle: textTheme.button),
      overline: GoogleFonts.gentiumBookBasic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Geo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextStyle geo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1eea344681e2eab82088131eca8f88554cd2107b68a5bc70ac8e0eeb7877920e',
        27012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6aff203bbf11c87ca0cbd331d3181277be2cc5f373a85fc6a0c898ed393d151b',
        27932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geo
  static TextTheme geoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.geo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.geo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.geo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.geo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.geo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.geo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.geo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.geo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.geo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.geo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.geo(textStyle: textTheme.caption),
      button: GoogleFonts.geo(textStyle: textTheme.button),
      overline: GoogleFonts.geo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Georama font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextStyle georama({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f01f5d17222f36ee30861ddc904d6f3199c70b276378d6dbab3a15afef38532d',
        90144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ac77cb500da2c449f494db795c1193cae4b635f7c26b6489c849d9f020ed3d1',
        91696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a9e3dcb9c640910468e2a068da7b50ea659a61b1075bfcb33b7cacc25968c3f',
        91688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ffd3b55c5178ce369f4079c8ba1107e716cf6d1ef068ccca07e3957847dada4',
        91668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0eb0c43533583555ae4f43810589acf00952e421f144ac2e750e391f4044808e',
        91640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1a053e36f41e3784c69542dfc3fcd56fc31b5217a4f9491b5a86d6cd9c18ec0',
        91676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b2b7c57a70c1027e1a068f1ba7fc595b41a46fccf7d55ab171f536ce7acea14',
        91564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fcf8b5e64a4948a6616b4420ecbc1d85fbf759f2be037dc6f4529b1422fcbcc',
        91584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e53f034373851ea42da422ca6f6eab5c61765f0d7cee46572dba0e462d03e38e',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de6071fabacbb96bca962107105d3c0d05f138b74938c9409295704b3358a792',
        91908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4b605b92b4c2d80772b2df211e4f68581bfb53e6c3266c3e27380cc89232dd14',
        92804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '087b1f0c2cd01b48528abfec3869a036a10bf6952bedb6da3344cad31288cf60',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd48971f9b72de3ea665ce1ffc91157c1e325175d9bdc1450e946c302aed5983',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '602ebe68ec93561339b2a8f96b1e27a0fd8622ed067ddd7066d1b4fabbe6260d',
        92748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '38727aa6bdd5b90cb202fc57655865edbef6eeb01f2be124bdd9170b06ccedcf',
        92752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c44045b775c5d6afcc6008ff724416ee2b76ed5cf986b7584be638fd9dd1922',
        92628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8fb44a777e7f3fa7fd81a4a08a71ad75d216d09a0c52174aef62824846995508',
        92744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '084fa47ec081276349d1bb9a4499bde0a23708f57d04970ac95d4f2cbb6628be',
        92608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Georama',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Georama font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Georama
  static TextTheme georamaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.georama(textStyle: textTheme.headline1),
      headline2: GoogleFonts.georama(textStyle: textTheme.headline2),
      headline3: GoogleFonts.georama(textStyle: textTheme.headline3),
      headline4: GoogleFonts.georama(textStyle: textTheme.headline4),
      headline5: GoogleFonts.georama(textStyle: textTheme.headline5),
      headline6: GoogleFonts.georama(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.georama(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.georama(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.georama(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.georama(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.georama(textStyle: textTheme.caption),
      button: GoogleFonts.georama(textStyle: textTheme.button),
      overline: GoogleFonts.georama(textStyle: textTheme.overline),
    );
  }

  /// Applies the Geostar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextStyle geostar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b9967368c76fa8693221781a74e18323bde42a1df8fff30b1d5b2dd2e654dc5',
        41264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Geostar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar
  static TextTheme geostarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.geostar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.geostar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.geostar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.geostar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.geostar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.geostar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.geostar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.geostar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.geostar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.geostar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.geostar(textStyle: textTheme.caption),
      button: GoogleFonts.geostar(textStyle: textTheme.button),
      overline: GoogleFonts.geostar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextStyle geostarFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4be1af95d7c9c5f412f0bd7ca965a79a3691840d102dc4d542068f95fc8a04ac',
        38800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GeostarFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Geostar Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Geostar+Fill
  static TextTheme geostarFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.geostarFill(textStyle: textTheme.headline1),
      headline2: GoogleFonts.geostarFill(textStyle: textTheme.headline2),
      headline3: GoogleFonts.geostarFill(textStyle: textTheme.headline3),
      headline4: GoogleFonts.geostarFill(textStyle: textTheme.headline4),
      headline5: GoogleFonts.geostarFill(textStyle: textTheme.headline5),
      headline6: GoogleFonts.geostarFill(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.geostarFill(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.geostarFill(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.geostarFill(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.geostarFill(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.geostarFill(textStyle: textTheme.caption),
      button: GoogleFonts.geostarFill(textStyle: textTheme.button),
      overline: GoogleFonts.geostarFill(textStyle: textTheme.overline),
    );
  }

  /// Applies the Germania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextStyle germaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b7dd1af0258695612f37eb7db169c99f09801337d690f6880dc4a7c351f830d',
        33192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GermaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Germania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Germania+One
  static TextTheme germaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.germaniaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.germaniaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.germaniaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.germaniaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.germaniaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.germaniaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.germaniaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.germaniaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.germaniaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.germaniaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.germaniaOne(textStyle: textTheme.caption),
      button: GoogleFonts.germaniaOne(textStyle: textTheme.button),
      overline: GoogleFonts.germaniaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextStyle gideonRoman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8bd4ce3c2e5a50c6fa4dd4b370727af90f8e71f13ba5d0d88681da9d5765e0a',
        95056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GideonRoman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gideon Roman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gideon+Roman
  static TextTheme gideonRomanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gideonRoman(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gideonRoman(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gideonRoman(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gideonRoman(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gideonRoman(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gideonRoman(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gideonRoman(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gideonRoman(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gideonRoman(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gideonRoman(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gideonRoman(textStyle: textTheme.caption),
      button: GoogleFonts.gideonRoman(textStyle: textTheme.button),
      overline: GoogleFonts.gideonRoman(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gidugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextStyle gidugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cbe8c40904c76d293cafa7611edff01d450f676f40d33e66863b5f7b10e7e1e',
        185544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gidugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gidugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gidugu
  static TextTheme giduguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gidugu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gidugu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gidugu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gidugu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gidugu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gidugu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gidugu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gidugu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gidugu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gidugu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gidugu(textStyle: textTheme.caption),
      button: GoogleFonts.gidugu(textStyle: textTheme.button),
      overline: GoogleFonts.gidugu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextStyle gildaDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd46a827dcf6e69348a898d71938544f7f63de075eaea97cb6cb797bd3c234904',
        36756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GildaDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gilda Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gilda+Display
  static TextTheme gildaDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gildaDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gildaDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gildaDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gildaDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gildaDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gildaDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gildaDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gildaDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gildaDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gildaDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.gildaDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.gildaDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Girassol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextStyle girassol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ac0b37ea4560c8fe837a50cfdeb9b18f00c84d4fe2556fd1934257270c6c1a3',
        31140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Girassol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Girassol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Girassol
  static TextTheme girassolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.girassol(textStyle: textTheme.headline1),
      headline2: GoogleFonts.girassol(textStyle: textTheme.headline2),
      headline3: GoogleFonts.girassol(textStyle: textTheme.headline3),
      headline4: GoogleFonts.girassol(textStyle: textTheme.headline4),
      headline5: GoogleFonts.girassol(textStyle: textTheme.headline5),
      headline6: GoogleFonts.girassol(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.girassol(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.girassol(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.girassol(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.girassol(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.girassol(textStyle: textTheme.caption),
      button: GoogleFonts.girassol(textStyle: textTheme.button),
      overline: GoogleFonts.girassol(textStyle: textTheme.overline),
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextStyle giveYouGlory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '309c5df7e1fe41874a8f14de3edeb9c32a42ec3e31d17e863696920deb848095',
        42564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GiveYouGlory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Give You Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Give+You+Glory
  static TextTheme giveYouGloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.giveYouGlory(textStyle: textTheme.headline1),
      headline2: GoogleFonts.giveYouGlory(textStyle: textTheme.headline2),
      headline3: GoogleFonts.giveYouGlory(textStyle: textTheme.headline3),
      headline4: GoogleFonts.giveYouGlory(textStyle: textTheme.headline4),
      headline5: GoogleFonts.giveYouGlory(textStyle: textTheme.headline5),
      headline6: GoogleFonts.giveYouGlory(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.giveYouGlory(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.giveYouGlory(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.giveYouGlory(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.giveYouGlory(textStyle: textTheme.caption),
      button: GoogleFonts.giveYouGlory(textStyle: textTheme.button),
      overline: GoogleFonts.giveYouGlory(textStyle: textTheme.overline),
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextStyle glassAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e175bb6abcc9cd23e8e7fff60b5a13a870ecafeb7aab3af67614547c14354aad',
        62964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GlassAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glass Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glass+Antiqua
  static TextTheme glassAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.glassAntiqua(textStyle: textTheme.headline1),
      headline2: GoogleFonts.glassAntiqua(textStyle: textTheme.headline2),
      headline3: GoogleFonts.glassAntiqua(textStyle: textTheme.headline3),
      headline4: GoogleFonts.glassAntiqua(textStyle: textTheme.headline4),
      headline5: GoogleFonts.glassAntiqua(textStyle: textTheme.headline5),
      headline6: GoogleFonts.glassAntiqua(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.glassAntiqua(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.glassAntiqua(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.glassAntiqua(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.glassAntiqua(textStyle: textTheme.caption),
      button: GoogleFonts.glassAntiqua(textStyle: textTheme.button),
      overline: GoogleFonts.glassAntiqua(textStyle: textTheme.overline),
    );
  }

  /// Applies the Glegoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextStyle glegoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91a94e2b397503a978c0e061d4d1f39323e741fd649d6f743538a8d947cc1f13',
        226220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32ba529e1df310b4629e2a4b94b577e8d2b995647f1b0b02b97cbc401c43100c',
        221232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glegoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glegoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glegoo
  static TextTheme glegooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.glegoo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.glegoo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.glegoo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.glegoo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.glegoo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.glegoo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.glegoo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.glegoo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.glegoo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.glegoo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.glegoo(textStyle: textTheme.caption),
      button: GoogleFonts.glegoo(textStyle: textTheme.button),
      overline: GoogleFonts.glegoo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextStyle gloriaHallelujah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ea0610b2d462be9ddfd55db487fd670e7b0855857d198cc6293f623adc66ff8',
        56248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GloriaHallelujah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gloria Hallelujah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gloria+Hallelujah
  static TextTheme gloriaHallelujahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gloriaHallelujah(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gloriaHallelujah(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gloriaHallelujah(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gloriaHallelujah(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gloriaHallelujah(textStyle: textTheme.caption),
      button: GoogleFonts.gloriaHallelujah(textStyle: textTheme.button),
      overline: GoogleFonts.gloriaHallelujah(textStyle: textTheme.overline),
    );
  }

  /// Applies the Glory font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextStyle glory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09ed3d0a56f03fb0771887640a73c7d78983d7b9c453141cc5f51b9b721d5202',
        52380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8177008d4565c2ba78dec1d59aa47f16358193c5d34973ba2fb3bf9114be03a8',
        52608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '545e64f2cb25b2c8616a88edbff4a9f0eb0d6fc0d5e988188dbf25b4b50a6a80',
        52636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6cc263a3bbe7dff586c72be9701439feeb53fa933bddac39ba89a1a85a611ea',
        52660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8890328016f40866dc9e0c26f7c405d1a7d275396e89f375edcdcc004db0e48',
        52724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fb2aa2f1e7028bc5e379b586cc06c274d6ccd637f7f59f9e2ac354411384e93',
        52608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9353f1bb354f11d37f3fd78ca656d3e58a11158adcbbc090fa6effe13e89795',
        52552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a92e787797333733b70593d726e9b99dd4116d744a72f1132bd4ec50b5319c6',
        52580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '84c681db3fb65e45115345ec54c93c0d489203828b141c906ee8b243cb20bf89',
        53992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00929012e3399ea048fea1569f8deb29fbb5c46e71ad8481e1d3ba7a763ec927',
        54264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2c64ebf935813bf7fa1b7bea736959746321d5f49726ffbad19187962b4fd001',
        54300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '36adc4f2cf10f2207758080dbee6fdf14b5f221286c76c7ee5e6d710e6ec82f1',
        54264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c0bbd022f057afb52fc013c502664c97a05f676094879708e083032b85193aa',
        54368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b79f3b813f68a4a26a3d56dce64ebbc3c19b8ea198fa01dfe028890b64c2c4b',
        54488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbcefed43ff0709def09855d6efe084244d529cbbf03c20c799f3b78bd63fad0',
        54392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '097ec11c9d7174b64e61c04d69168d4e6ecfe9961978b59cc295b6f41c949fdf',
        54428,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Glory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Glory font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Glory
  static TextTheme gloryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.glory(textStyle: textTheme.headline1),
      headline2: GoogleFonts.glory(textStyle: textTheme.headline2),
      headline3: GoogleFonts.glory(textStyle: textTheme.headline3),
      headline4: GoogleFonts.glory(textStyle: textTheme.headline4),
      headline5: GoogleFonts.glory(textStyle: textTheme.headline5),
      headline6: GoogleFonts.glory(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.glory(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.glory(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.glory(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.glory(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.glory(textStyle: textTheme.caption),
      button: GoogleFonts.glory(textStyle: textTheme.button),
      overline: GoogleFonts.glory(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gluten font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextStyle gluten({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96e898cc6f74a15eb8f1218cbbe67442c2e8701e172835372d256c2a76b97ef3',
        85888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82b5029557b67c0d5877adbcc3248fa31e00ce97eb98b172b6d92de43304776a',
        86460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2354d8b617f9ff368f69c8930ee43b1a7037bf6bdef1c1f2b462acbd4308c8d5',
        86524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f015f3bf9d452ddcc986c052600e7e456f08777ec7ec3c1eba9fd498a3dbbfec',
        86588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79ce49ca3e514d9814fb4fdad211f117bdaa31c0b98d223b76e3392d4fae566b',
        86648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab6186a7074b90d25e80da0ed65ad4cb1a1835077bfaf23f1c4916b12fbcbc17',
        86692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eedc32c3c64621f792e5a757ca28e06820e1b3d0cda8f97fc7aeb98e321e5859',
        86676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06bcce4afcd4d83d806324ece0945b454a3f3ab0bb3624908f18992cd8ac0a39',
        86744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67519085ef8dccba08ca5b6098f100b1497d145b3f5f9f9f14145326a43960ba',
        86628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gluten',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gluten font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gluten
  static TextTheme glutenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gluten(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gluten(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gluten(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gluten(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gluten(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gluten(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gluten(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gluten(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gluten(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gluten(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gluten(textStyle: textTheme.caption),
      button: GoogleFonts.gluten(textStyle: textTheme.button),
      overline: GoogleFonts.gluten(textStyle: textTheme.overline),
    );
  }

  /// Applies the Goblin One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextStyle goblinOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d2f4678ed209cc09bfe4cefb1df66ef95e21a1b2f6f71fdf1c8408b5135472f',
        36712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoblinOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goblin One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goblin+One
  static TextTheme goblinOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.goblinOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.goblinOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.goblinOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.goblinOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.goblinOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.goblinOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.goblinOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.goblinOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.goblinOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.goblinOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.goblinOne(textStyle: textTheme.caption),
      button: GoogleFonts.goblinOne(textStyle: textTheme.button),
      overline: GoogleFonts.goblinOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextStyle gochiHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e396d3d6d4147d9267b06c9619b938d34176559c67b48c046d971904edf8ce36',
        36908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GochiHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gochi Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gochi+Hand
  static TextTheme gochiHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gochiHand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gochiHand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gochiHand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gochiHand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gochiHand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gochiHand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gochiHand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gochiHand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gochiHand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gochiHand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gochiHand(textStyle: textTheme.caption),
      button: GoogleFonts.gochiHand(textStyle: textTheme.button),
      overline: GoogleFonts.gochiHand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Goldman font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextStyle goldman({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcd1ae24891a07f6290dc08c898027cce4db97ed083aa2a36fc100e4b14afcb6',
        53460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22fe54c333c535b13743b02667f696f92fafb66605f4cc08de38154504789f8e',
        53248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Goldman',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goldman font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goldman
  static TextTheme goldmanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.goldman(textStyle: textTheme.headline1),
      headline2: GoogleFonts.goldman(textStyle: textTheme.headline2),
      headline3: GoogleFonts.goldman(textStyle: textTheme.headline3),
      headline4: GoogleFonts.goldman(textStyle: textTheme.headline4),
      headline5: GoogleFonts.goldman(textStyle: textTheme.headline5),
      headline6: GoogleFonts.goldman(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.goldman(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.goldman(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.goldman(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.goldman(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.goldman(textStyle: textTheme.caption),
      button: GoogleFonts.goldman(textStyle: textTheme.button),
      overline: GoogleFonts.goldman(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gorditas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextStyle gorditas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '987a5551dac8207ac89158c984bb117eac9569a4def85c67405a6f7ee656ca7b',
        76880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a73ab190434815fb46d5c9f8095a8d40543c248bd203391f3e120aebb2c223e',
        78612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gorditas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gorditas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gorditas
  static TextTheme gorditasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gorditas(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gorditas(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gorditas(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gorditas(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gorditas(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gorditas(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gorditas(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gorditas(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gorditas(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gorditas(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gorditas(textStyle: textTheme.caption),
      button: GoogleFonts.gorditas(textStyle: textTheme.button),
      overline: GoogleFonts.gorditas(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextStyle gothicA1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ae3fbdff726cb716a361659f8efd51296b280ce94f4582c7eea6a69905050e0',
        1315216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2132aa2e6fae5ce3ac066aa23fc45e7a83571666c0b4cc9c4dd7bf734363f05',
        1313548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91a462996301381a669ea6f51dc5030f155c0a85e896a575a5d80dfbd8471779',
        1314204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9676e8d54fdeef2976f9c8fde17f39fec21956933f3ee203655c2655f350e08',
        1311208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d0781b8cc09648594a3bba783b1d463592a004fea48584b181b631e2bfc9956',
        1311800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94fbbaaaa3c999db13176f3b5a8cc657f1e471472f8efc8fd47d298191d6ea56',
        1311192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e689bf118e2ff1a2884e3170b3d1829ccfdd0147baf98523e7fe0494299969f1',
        1310932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db82d9a4e6dabe467f8879d6c23074f7bb1b8ea95857527aec64201e53126f6d',
        1310760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad367f71a0970215c6e16efbe180999b11228c398745e8021187b0aa608fdd2d',
        1312032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GothicA1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gothic A1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gothic+A1
  static TextTheme gothicA1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gothicA1(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gothicA1(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gothicA1(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gothicA1(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gothicA1(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gothicA1(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gothicA1(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gothicA1(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gothicA1(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gothicA1(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gothicA1(textStyle: textTheme.caption),
      button: GoogleFonts.gothicA1(textStyle: textTheme.button),
      overline: GoogleFonts.gothicA1(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gotu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextStyle gotu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8a68ca0799b2cb999b3b4c9ed791251063ffa4c8d870256ebc31438c8e3c5f1',
        517000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gotu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gotu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gotu
  static TextTheme gotuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gotu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gotu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gotu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gotu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gotu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gotu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gotu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gotu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gotu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gotu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gotu(textStyle: textTheme.caption),
      button: GoogleFonts.gotu(textStyle: textTheme.button),
      overline: GoogleFonts.gotu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextStyle goudyBookletter1911({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4ea1fd345de7df9251d754f6ecc38147180ed991b78a0979f3ec409ee987e8b',
        53284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GoudyBookletter1911',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Goudy Bookletter 1911 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Goudy+Bookletter+1911
  static TextTheme goudyBookletter1911TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.goudyBookletter1911(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.goudyBookletter1911(textStyle: textTheme.caption),
      button: GoogleFonts.goudyBookletter1911(textStyle: textTheme.button),
      overline: GoogleFonts.goudyBookletter1911(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextStyle gowunBatang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1256292a2f7fb2f8f73d9e20030408aa2ff0c7e3fab8d1715dc094bb594fd5b0',
        8430916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c26cf829c92cef1c0d8cf6eeb6e99eacb9ea1021010b68922068062620e3314',
        8175220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunBatang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Batang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Batang
  static TextTheme gowunBatangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gowunBatang(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gowunBatang(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gowunBatang(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gowunBatang(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gowunBatang(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gowunBatang(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gowunBatang(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gowunBatang(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gowunBatang(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gowunBatang(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gowunBatang(textStyle: textTheme.caption),
      button: GoogleFonts.gowunBatang(textStyle: textTheme.button),
      overline: GoogleFonts.gowunBatang(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextStyle gowunDodum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4f73f91c50079a3140edee56a09d818531340544221e32e70bcbc960a7969d7',
        7226720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GowunDodum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gowun Dodum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gowun+Dodum
  static TextTheme gowunDodumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gowunDodum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gowunDodum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gowunDodum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gowunDodum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gowunDodum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gowunDodum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gowunDodum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gowunDodum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gowunDodum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gowunDodum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gowunDodum(textStyle: textTheme.caption),
      button: GoogleFonts.gowunDodum(textStyle: textTheme.button),
      overline: GoogleFonts.gowunDodum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Graduate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextStyle graduate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26483ff4a5a591dbbd59a7a59b4dfcfbc10b96f20b67a1b2af0da6fbc33dc2da',
        22684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Graduate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Graduate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Graduate
  static TextTheme graduateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.graduate(textStyle: textTheme.headline1),
      headline2: GoogleFonts.graduate(textStyle: textTheme.headline2),
      headline3: GoogleFonts.graduate(textStyle: textTheme.headline3),
      headline4: GoogleFonts.graduate(textStyle: textTheme.headline4),
      headline5: GoogleFonts.graduate(textStyle: textTheme.headline5),
      headline6: GoogleFonts.graduate(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.graduate(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.graduate(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.graduate(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.graduate(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.graduate(textStyle: textTheme.caption),
      button: GoogleFonts.graduate(textStyle: textTheme.button),
      overline: GoogleFonts.graduate(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextStyle grandHotel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0804e7944e677d28eec42a45ba39935faadd27b2b1a8aab2e96c1736b7bb4e2d',
        64596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrandHotel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grand Hotel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grand+Hotel
  static TextTheme grandHotelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.grandHotel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.grandHotel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.grandHotel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.grandHotel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.grandHotel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.grandHotel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.grandHotel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.grandHotel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.grandHotel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.grandHotel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.grandHotel(textStyle: textTheme.caption),
      button: GoogleFonts.grandHotel(textStyle: textTheme.button),
      overline: GoogleFonts.grandHotel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grandstander font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextStyle grandstander({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4728f0d725d8b6a76c16070768044b9e6b6236a1628bb1ad24e9f50d95e85322',
        77324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae29f98ccf49de9457db8cb4d9146e1c4ba7e9d2a45b5075c9dedfec40abf67f',
        77436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8193fdba834ec833e32ab815cdb1c7637a538abac0a55e2643d1a21920a7e0d9',
        77428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2c1590aac3af3109a3f0f52084234f7d917d5446571816e7be76ef662aa05b1',
        77376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29dccd81bd511856971d9e11bcfb9c1e4b724f2c99d71ba4640765e0f74eddc7',
        77440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'baff651d2552b4ff658decc4c24b9d1441f7e2f4edb2320302eba113473a3f4a',
        77524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2168833f9cb80d9d3adcb7b1a9435f687a76914791e8a3419387728a9e232ac',
        77428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d505c16c32b5d8c7d7cde0728a342d3a573f37e6a9ef881f0a0129aa3ab6f04',
        77524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbb55db42cb6dfee25da8fcfbf0c4c3b46c6362b1f7b9c5f0164b1f473ea2b03',
        77388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5443451f9161dd49fcf0d8d005fa4c515212104a03ae55cc97aec53e9a7c2d2f',
        77988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef9d72ee3df361c727f567bad43b474be4b602a25122af6ad4678a302f7dbf92',
        78116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f51d56b5df52fe7659247f6bfa8ad45ba13e1476512b42c520eb1c9834080849',
        77952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd43f0a89cc73b807dd79cff8a129e8d307413088dbfd9aeb43dfc5afdb5818e1',
        77816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '833f88d7d64e5f6e66783359b2e830e690548e64bed4b0222b3cac874860c653',
        77932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5fb6a65ca4e9bd753f2a2d2996602407ced5748f0ab0c16492c700e2f5bfbfd4',
        77952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bdad650a656e4ee7285056730af9939c46c0137ab7e534126aa5b1b117354289',
        77876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf38a0abf71444761ea9920e2bd481d20c2cb7ae9c54e42b481d98d5fb8f5be0',
        78012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb1dc21dffbf8e7edc9f5a5d7f465b65cd836849be40c3c234c976c668d5b2e2',
        77912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grandstander',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grandstander font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grandstander
  static TextTheme grandstanderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.grandstander(textStyle: textTheme.headline1),
      headline2: GoogleFonts.grandstander(textStyle: textTheme.headline2),
      headline3: GoogleFonts.grandstander(textStyle: textTheme.headline3),
      headline4: GoogleFonts.grandstander(textStyle: textTheme.headline4),
      headline5: GoogleFonts.grandstander(textStyle: textTheme.headline5),
      headline6: GoogleFonts.grandstander(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.grandstander(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.grandstander(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.grandstander(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.grandstander(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.grandstander(textStyle: textTheme.caption),
      button: GoogleFonts.grandstander(textStyle: textTheme.button),
      overline: GoogleFonts.grandstander(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextStyle gravitasOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8173c77c59dd22de492971f099b97bde163e13062c6df365ffe3f201cf4de551',
        41424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GravitasOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gravitas One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gravitas+One
  static TextTheme gravitasOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gravitasOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gravitasOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gravitasOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gravitasOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gravitasOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gravitasOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gravitasOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gravitasOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gravitasOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gravitasOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gravitasOne(textStyle: textTheme.caption),
      button: GoogleFonts.gravitasOne(textStyle: textTheme.button),
      overline: GoogleFonts.gravitasOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextStyle greatVibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4131255cb3cb73cefc120a8d68c6888fa33a5c24045934a0353f0c199fe254d',
        105956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreatVibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Great Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Great+Vibes
  static TextTheme greatVibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.greatVibes(textStyle: textTheme.headline1),
      headline2: GoogleFonts.greatVibes(textStyle: textTheme.headline2),
      headline3: GoogleFonts.greatVibes(textStyle: textTheme.headline3),
      headline4: GoogleFonts.greatVibes(textStyle: textTheme.headline4),
      headline5: GoogleFonts.greatVibes(textStyle: textTheme.headline5),
      headline6: GoogleFonts.greatVibes(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.greatVibes(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.greatVibes(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.greatVibes(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.greatVibes(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.greatVibes(textStyle: textTheme.caption),
      button: GoogleFonts.greatVibes(textStyle: textTheme.button),
      overline: GoogleFonts.greatVibes(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextStyle grechenFuemen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '016c04b70a0a153039c9cec6efe925ef6e85adae60ca926afbcbfc0720ce7ff4',
        90244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrechenFuemen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grechen Fuemen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grechen+Fuemen
  static TextTheme grechenFuemenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.grechenFuemen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.grechenFuemen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.grechenFuemen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.grechenFuemen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.grechenFuemen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.grechenFuemen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.grechenFuemen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.grechenFuemen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.grechenFuemen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.grechenFuemen(textStyle: textTheme.caption),
      button: GoogleFonts.grechenFuemen(textStyle: textTheme.button),
      overline: GoogleFonts.grechenFuemen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grenze font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextStyle grenze({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0990a8c493d15ce4bc040461ac83778fbd658ffb4e5470ded379c5d932c0ad64',
        62884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b76ab96616d0138d6376f8da6777f4dcd53174ecd6cc3d105f926d138412156a',
        65344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea5652640e0126eca9dd8ec9af72afd38c03f0608cf8066ba85e8d3cc84b72f5',
        63156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62177aecb9fc857767b77f93de0e28aaff0aa14d6743fcb2e074b3b17d10ed6a',
        65532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '306db261f5db582fb834c4d4bd749cd7bbd220410f22c0f91e9da3906fea195a',
        62964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8328aa2d7be6cb51506689c284e11d44e22a65cc87f444619d3e74029b3c6b4d',
        65500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c881a6bd46175e518a6059d0c5fd2fef4f0e1ad8433e903ab0df21ac113772f6',
        62924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '396353d483f4c64a4c320999b4a8ea7bd7d3fc2f3d1126d31dd62c2bd7474f60',
        64960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7685525db63573b7d2818041934dd2608e56fd7eaf5af7bcbb29f02b9cd5f948',
        62892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da991020ed06646693057a5dfc4dae9bed270609081f0e2167ff1b6d6893483a',
        65556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4b885545038f7f41fa22671f8e1d9becd9672ffe403f1267a77e244c2ebbe7f',
        62772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e85fde935308bfd3bcdc33373ab0a7296b4c852c9689504d830dd8a2c722828c',
        65404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59bbcbbac7dbc3b0875ff2e1f9b73917427553fe9494ce5072c9408e4805693c',
        62696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b408bf29942d61415edcf80e8d329a6c9d54eedf1b2a0be057164e93cda0029a',
        65328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10f31373e1d786f62febeb25a546f803218359aefe0c2e9d0247008665f54a92',
        62844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c6bbecf82467b9cbc2bc5373b2132d2a72fc1ab1d19beab9247d96b9aeaf437',
        65244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e99c2c3ccee2de60f0fa0836977cfb7f1f5db667eaba9c59b205a9860377cb15',
        62624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '26ebaa2c75db3de90f21f701605ab5e085a7f4c1f23fcb5235a754a34ef4defa',
        65320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Grenze',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze
  static TextTheme grenzeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.grenze(textStyle: textTheme.headline1),
      headline2: GoogleFonts.grenze(textStyle: textTheme.headline2),
      headline3: GoogleFonts.grenze(textStyle: textTheme.headline3),
      headline4: GoogleFonts.grenze(textStyle: textTheme.headline4),
      headline5: GoogleFonts.grenze(textStyle: textTheme.headline5),
      headline6: GoogleFonts.grenze(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.grenze(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.grenze(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.grenze(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.grenze(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.grenze(textStyle: textTheme.caption),
      button: GoogleFonts.grenze(textStyle: textTheme.button),
      overline: GoogleFonts.grenze(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextStyle grenzeGotisch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '630eddc1a2f2cf8afebfc8fa0195e160fc518760531dc30f6db8bcac1438161f',
        61512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9839fe32fe46b5f6944aa5a606dbfce3b3d3b0bc0c0d754aa3ab8aac65ee400',
        61668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7045b9de777a2a5a10b243555575e0b557bb010d12e8a8130d2defb5c87dbb98',
        61716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66e9cb492a660dcf2f6845561edcaccd7e3de7cb23b39d658ab0068c1cb2a86b',
        61580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f87b69505d4746d8702cd79495b820385e7d8c381b94486ce7db3bbeca5cd05',
        61708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd890da87927a99881c558f0cdd02ddc9fd27eb8fbe93dce51b3f45b78d0c6b9',
        61800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3adffa3e98ccd30dc75f064ef660b6e0c25ac58975e3acc6600c1f4700421cd',
        61736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbc64ccba2dd0be9a898ff22c2baf7e251f48d1fa437d46493bece1afebf6bf6',
        61820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '822b841e7c07f59217780cbbf7a49b3744dc75bb0e0644dfee1e3d4a7ff1ca43',
        61776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GrenzeGotisch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grenze Gotisch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grenze+Gotisch
  static TextTheme grenzeGotischTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.grenzeGotisch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.grenzeGotisch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.grenzeGotisch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.grenzeGotisch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.grenzeGotisch(textStyle: textTheme.caption),
      button: GoogleFonts.grenzeGotisch(textStyle: textTheme.button),
      overline: GoogleFonts.grenzeGotisch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextStyle greyQo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92fb429683f1af40c5aae834f91ff48bda04d196e22004a3fe2d81137db9ac4e',
        110152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'GreyQo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Grey Qo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Grey+Qo
  static TextTheme greyQoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.greyQo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.greyQo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.greyQo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.greyQo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.greyQo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.greyQo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.greyQo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.greyQo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.greyQo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.greyQo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.greyQo(textStyle: textTheme.caption),
      button: GoogleFonts.greyQo(textStyle: textTheme.button),
      overline: GoogleFonts.greyQo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Griffy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextStyle griffy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f37c4a3b39667330abe546b4133f6acfb3799da67a89997fb46b39dbc3fc6d8',
        208332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Griffy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Griffy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Griffy
  static TextTheme griffyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.griffy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.griffy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.griffy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.griffy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.griffy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.griffy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.griffy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.griffy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.griffy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.griffy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.griffy(textStyle: textTheme.caption),
      button: GoogleFonts.griffy(textStyle: textTheme.button),
      overline: GoogleFonts.griffy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gruppo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextStyle gruppo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf289ec6fe4592706aa68de1f9711e3f1967db26053962cfbddd4e51a7ac65e',
        58988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gruppo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gruppo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gruppo
  static TextTheme gruppoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gruppo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gruppo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gruppo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gruppo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gruppo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gruppo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gruppo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gruppo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gruppo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gruppo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gruppo(textStyle: textTheme.caption),
      button: GoogleFonts.gruppo(textStyle: textTheme.button),
      overline: GoogleFonts.gruppo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gudea font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextStyle gudea({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b41bce93d5a05ba71bb86e2be22eb03b270fa198be7df07c9c5a818a1724c0f',
        22884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab00b4c571bb901b0d274550fab83154da5b8bb4529e382ae7d58962b0d05f80',
        26980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1c48f399971799fe09414206e205ea8a5f37a1e17adc5ed4329ee9ddb9d074e',
        22512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gudea',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gudea font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gudea
  static TextTheme gudeaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gudea(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gudea(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gudea(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gudea(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gudea(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gudea(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gudea(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gudea(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gudea(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gudea(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gudea(textStyle: textTheme.caption),
      button: GoogleFonts.gudea(textStyle: textTheme.button),
      overline: GoogleFonts.gudea(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextStyle gugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fbf616bf21ec330d026a7115b7224fe9baf30418cdbb19b26eed6ebcd6ce2cc',
        552880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gugi
  static TextTheme gugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gugi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gugi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gugi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gugi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gugi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gugi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gugi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gugi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gugi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gugi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gugi(textStyle: textTheme.caption),
      button: GoogleFonts.gugi(textStyle: textTheme.button),
      overline: GoogleFonts.gugi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gupter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextStyle gupter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98ef59cfa0eb83781f6573b4ad1964bf98369e70db38156479c353702557fa01',
        33868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84381b04d635b2daeb369d9c0afa5ff2489d0cda8d9660ee7631bfdf82f2eaeb',
        33688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e63fe340f8e61f9d4d9c5bbc638e79930af1125c534f656814a99d3909674b0',
        33692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gupter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gupter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gupter
  static TextTheme gupterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gupter(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gupter(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gupter(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gupter(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gupter(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gupter(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gupter(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gupter(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gupter(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gupter(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gupter(textStyle: textTheme.caption),
      button: GoogleFonts.gupter(textStyle: textTheme.button),
      overline: GoogleFonts.gupter(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gurajada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextStyle gurajada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9647a956c03e34f58b38200ffb45cc56377e8ba1c333ce052b8e20c3216198c3',
        234900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gurajada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gurajada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gurajada
  static TextTheme gurajadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gurajada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gurajada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gurajada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gurajada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gurajada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gurajada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gurajada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gurajada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gurajada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gurajada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gurajada(textStyle: textTheme.caption),
      button: GoogleFonts.gurajada(textStyle: textTheme.button),
      overline: GoogleFonts.gurajada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextStyle gwendolyn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b9fd6702ec71dbd7320574c728c3583e5677d25c3974e23dfcb844f85ac07d',
        105900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f7ac7d62b7a952e8313a32e013d3f246f42844704ef04624036087df9ee0fc8',
        109060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Gwendolyn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Gwendolyn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Gwendolyn
  static TextTheme gwendolynTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.gwendolyn(textStyle: textTheme.headline1),
      headline2: GoogleFonts.gwendolyn(textStyle: textTheme.headline2),
      headline3: GoogleFonts.gwendolyn(textStyle: textTheme.headline3),
      headline4: GoogleFonts.gwendolyn(textStyle: textTheme.headline4),
      headline5: GoogleFonts.gwendolyn(textStyle: textTheme.headline5),
      headline6: GoogleFonts.gwendolyn(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.gwendolyn(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.gwendolyn(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.gwendolyn(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.gwendolyn(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.gwendolyn(textStyle: textTheme.caption),
      button: GoogleFonts.gwendolyn(textStyle: textTheme.button),
      overline: GoogleFonts.gwendolyn(textStyle: textTheme.overline),
    );
  }

  /// Applies the Habibi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextStyle habibi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9177d379d59937eb418704aa1a5f16ff6bfa046d3828ba6f495ffe7c2d040c5c',
        36236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Habibi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Habibi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Habibi
  static TextTheme habibiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.habibi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.habibi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.habibi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.habibi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.habibi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.habibi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.habibi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.habibi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.habibi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.habibi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.habibi(textStyle: textTheme.caption),
      button: GoogleFonts.habibi(textStyle: textTheme.button),
      overline: GoogleFonts.habibi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextStyle hachiMaruPop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'decd9292c362ead9975bf878b925165ad643d3cb7e6b671962f6dfe790a07acb',
        4374692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HachiMaruPop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hachi Maru Pop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hachi+Maru+Pop
  static TextTheme hachiMaruPopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hachiMaruPop(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hachiMaruPop(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hachiMaruPop(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hachiMaruPop(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hachiMaruPop(textStyle: textTheme.caption),
      button: GoogleFonts.hachiMaruPop(textStyle: textTheme.button),
      overline: GoogleFonts.hachiMaruPop(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextStyle hahmlet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '908de9360718495dd95368b1e56bcfc6612963737141a540ecca60f5ca151aa8',
        1468436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a196896aa4dcd7734cf9675a0746f9b0bfba0eca6bc7196666e91b06b751f466',
        1476952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3803ff40410e39a537c470a7b37ebe36636b4af3fd6c07dcb15a53d004c08bd2',
        1480708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc3ea89a1cdeb55a1a2e88e7c04415c2038f824207489627c657da15a449e181',
        1483952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee41d256c73d64162d5d6f50bbd0a555bd2575ab425ddad73b1f1b5af07a8e43',
        1486632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3baa2b0b0d5dde95e68e1fd90f677d99db884a88a406c14cd2186c52716039b',
        1487152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad1d9c61b9946972768122ecb1b87c595426e1c58cef13fec879bb392ec88dd',
        1484400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51aa839c21c2044d61ea82fce613f349dcbcd6772e0ab8279940a08b2d2adced',
        1482244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c354679ae4a154122bb4912fe5e89068c0f524dcaab4e13f99820022fdd116af',
        1478312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hahmlet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hahmlet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hahmlet
  static TextTheme hahmletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hahmlet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hahmlet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hahmlet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hahmlet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hahmlet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hahmlet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hahmlet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hahmlet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hahmlet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hahmlet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hahmlet(textStyle: textTheme.caption),
      button: GoogleFonts.hahmlet(textStyle: textTheme.button),
      overline: GoogleFonts.hahmlet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Halant font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextStyle halant({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efbf1567d1ee285b609cc33198f6bf85b75ffc137871c0c74b770bda82fe5f96',
        163344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2becc2fc9d31bd06f7378b501b26b4eb057167cc3722297588a277f45b05fba',
        163064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6e6c9b73832eb91900f4298ec5c6b73e8d537163220299fa6213b8d702b9f37',
        161020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c38923af0ef17edd914dfb2737891b725cd1cc9dfc36bd72ba413213e99839a3',
        159016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d09a5ce42fc23e8619b6c817a9bc5522bc64ede74b5a75d99fe2815244ca6a8',
        157804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Halant',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Halant font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Halant
  static TextTheme halantTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.halant(textStyle: textTheme.headline1),
      headline2: GoogleFonts.halant(textStyle: textTheme.headline2),
      headline3: GoogleFonts.halant(textStyle: textTheme.headline3),
      headline4: GoogleFonts.halant(textStyle: textTheme.headline4),
      headline5: GoogleFonts.halant(textStyle: textTheme.headline5),
      headline6: GoogleFonts.halant(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.halant(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.halant(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.halant(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.halant(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.halant(textStyle: textTheme.caption),
      button: GoogleFonts.halant(textStyle: textTheme.button),
      overline: GoogleFonts.halant(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextStyle hammersmithOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbd2dab2dede4753a7b96c8c6c16d212a15b9feda00f0620edbe4cb62e1604fe',
        57584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HammersmithOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hammersmith One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hammersmith+One
  static TextTheme hammersmithOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hammersmithOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hammersmithOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hammersmithOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hammersmithOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hammersmithOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hammersmithOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hammersmithOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hammersmithOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hammersmithOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hammersmithOne(textStyle: textTheme.caption),
      button: GoogleFonts.hammersmithOne(textStyle: textTheme.button),
      overline: GoogleFonts.hammersmithOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hanalei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextStyle hanalei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5f5db562e15a26c9d07e75a9375af4b46c68460a9dbaaf21847567dafcf8619',
        183760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hanalei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei
  static TextTheme hanaleiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hanalei(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hanalei(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hanalei(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hanalei(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hanalei(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hanalei(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hanalei(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hanalei(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hanalei(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hanalei(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hanalei(textStyle: textTheme.caption),
      button: GoogleFonts.hanalei(textStyle: textTheme.button),
      overline: GoogleFonts.hanalei(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextStyle hanaleiFill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a762eb869da8deb93071d72d31cc3f5d6ab83cbeff8da397a582e507aa65465',
        91692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HanaleiFill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hanalei Fill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hanalei+Fill
  static TextTheme hanaleiFillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hanaleiFill(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hanaleiFill(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hanaleiFill(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hanaleiFill(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hanaleiFill(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hanaleiFill(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hanaleiFill(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hanaleiFill(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hanaleiFill(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hanaleiFill(textStyle: textTheme.caption),
      button: GoogleFonts.hanaleiFill(textStyle: textTheme.button),
      overline: GoogleFonts.hanaleiFill(textStyle: textTheme.overline),
    );
  }

  /// Applies the Handlee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextStyle handlee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10f3e83c9fcbcd234b04cde9d1f8001a0255ea2bf3be48eb39ba87a44ff27fac',
        39084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Handlee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Handlee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Handlee
  static TextTheme handleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.handlee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.handlee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.handlee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.handlee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.handlee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.handlee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.handlee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.handlee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.handlee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.handlee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.handlee(textStyle: textTheme.caption),
      button: GoogleFonts.handlee(textStyle: textTheme.button),
      overline: GoogleFonts.handlee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextStyle happyMonkey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edf47e48fdc5ee842cf7de5d9333a50f1455140283974d5f0585583198b0b994',
        55964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HappyMonkey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Happy Monkey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Happy+Monkey
  static TextTheme happyMonkeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.happyMonkey(textStyle: textTheme.headline1),
      headline2: GoogleFonts.happyMonkey(textStyle: textTheme.headline2),
      headline3: GoogleFonts.happyMonkey(textStyle: textTheme.headline3),
      headline4: GoogleFonts.happyMonkey(textStyle: textTheme.headline4),
      headline5: GoogleFonts.happyMonkey(textStyle: textTheme.headline5),
      headline6: GoogleFonts.happyMonkey(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.happyMonkey(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.happyMonkey(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.happyMonkey(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.happyMonkey(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.happyMonkey(textStyle: textTheme.caption),
      button: GoogleFonts.happyMonkey(textStyle: textTheme.button),
      overline: GoogleFonts.happyMonkey(textStyle: textTheme.overline),
    );
  }

  /// Applies the Harmattan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextStyle harmattan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41320202de91ac539042bef1e0b4e68bb221cb422a2afcfd15a946a73ac99f64',
        528540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Harmattan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Harmattan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Harmattan
  static TextTheme harmattanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.harmattan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.harmattan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.harmattan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.harmattan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.harmattan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.harmattan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.harmattan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.harmattan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.harmattan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.harmattan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.harmattan(textStyle: textTheme.caption),
      button: GoogleFonts.harmattan(textStyle: textTheme.button),
      overline: GoogleFonts.harmattan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Headland One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextStyle headlandOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09bc81418bd95b221c7661eb2081838c8bd80b6bcd38c45d2e560ff3983c9fde',
        75448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeadlandOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Headland One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Headland+One
  static TextTheme headlandOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.headlandOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.headlandOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.headlandOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.headlandOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.headlandOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.headlandOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.headlandOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.headlandOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.headlandOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.headlandOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.headlandOne(textStyle: textTheme.caption),
      button: GoogleFonts.headlandOne(textStyle: textTheme.button),
      overline: GoogleFonts.headlandOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Heebo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextStyle heebo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f2d859884539805a307db5a1953174f56bbb1e6903e915be95fe2a03d9ccacf',
        45672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eca72d49e0e063205daeaedb86fcdfc0cc36c5aaeb2d564ace316302e6ae62d9',
        45524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afb3fdd559b309c81c88a054148d94587299a397f1e8a3798cfb7cc2d485369c',
        44868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6655017f4c44bf09c5f66243feddb0c2cc8654284f24057da878243794d13286',
        44708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61bb78902136df2bcd0ef85590cbe95a59a3d85b975e0778906df1211029bd34',
        44840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1324f3250d2f9405f19d63450423cd5a8a8cf6c6b7129e3afda9592f69c2df4',
        44964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '500b1881e185310128c33157aa1484b2a52573bfe32f11d60065e0deffe8471c',
        45328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Heebo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Heebo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Heebo
  static TextTheme heeboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.heebo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.heebo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.heebo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.heebo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.heebo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.heebo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.heebo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.heebo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.heebo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.heebo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.heebo(textStyle: textTheme.caption),
      button: GoogleFonts.heebo(textStyle: textTheme.button),
      overline: GoogleFonts.heebo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextStyle hennyPenny({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0a1cf7a7ff413b8e4b7efebd74b65892f11e78dc663ec993b133ccfd9177864',
        78004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HennyPenny',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Henny Penny font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Henny+Penny
  static TextTheme hennyPennyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hennyPenny(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hennyPenny(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hennyPenny(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hennyPenny(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hennyPenny(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hennyPenny(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hennyPenny(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hennyPenny(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hennyPenny(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hennyPenny(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hennyPenny(textStyle: textTheme.caption),
      button: GoogleFonts.hennyPenny(textStyle: textTheme.button),
      overline: GoogleFonts.hennyPenny(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextStyle heptaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '534d777769f5477f07228b5576ec1d9e5f8524ebb5568ee0c7ead05433221d78',
        96352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de95a9d08b1575d9f362c8b8fdd65bd2909ac29ad85189cbcc2d2bb7b79bae55',
        96348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cd4b89cf596ab747187626051fcb2da9f1ee5facedc163666b009c58d2e6a4a',
        96164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd8aa078be565bf9944c3c9a7158b16836fdcd409b6df1377b7ce805078acf7f',
        95980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d62a8746b071e53a6b32f2f3a0052555f9d40c47fecd5bd70697f632af7b585',
        95988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b2cd08d92feb50e4548237182dede8320631fffad112e55ac8ffec9bd254dbc',
        96144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c732dc9ed4d5762dd9391ce2ed11a31606c9ec3305bef745bce6d06bdb2403df',
        96504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4ba935b82b68baaeb5bc719f5132fb28f94a27979e65e4ad25c5ff85d02303f',
        96856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf562116fb32949fa7d908466470e1c6d03ae7bb83023d1428527ecec91d9201',
        96924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HeptaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hepta Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hepta+Slab
  static TextTheme heptaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.heptaSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.heptaSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.heptaSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.heptaSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.heptaSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.heptaSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.heptaSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.heptaSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.heptaSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.heptaSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.heptaSlab(textStyle: textTheme.caption),
      button: GoogleFonts.heptaSlab(textStyle: textTheme.button),
      overline: GoogleFonts.heptaSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextStyle herrVonMuellerhoff({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c993280c6ba0eaa30f678b4c9821389abad4632e23c3a1629655afe7f463395',
        46576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HerrVonMuellerhoff',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Herr Von Muellerhoff font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Herr+Von+Muellerhoff
  static TextTheme herrVonMuellerhoffTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline1),
      headline2: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline2),
      headline3: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline3),
      headline4: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline4),
      headline5: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline5),
      headline6: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.caption),
      button: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.button),
      overline: GoogleFonts.herrVonMuellerhoff(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextStyle hiMelody({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '306d4c79415f43cc2f655c997e9edc971ad12227c39d46aef4fae766ba572d12',
        6090832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HiMelody',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hi Melody font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hi+Melody
  static TextTheme hiMelodyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hiMelody(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hiMelody(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hiMelody(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hiMelody(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hiMelody(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hiMelody(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hiMelody(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hiMelody(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hiMelody(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hiMelody(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hiMelody(textStyle: textTheme.caption),
      button: GoogleFonts.hiMelody(textStyle: textTheme.button),
      overline: GoogleFonts.hiMelody(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextStyle hinaMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '202b4965a9e4d598a00844becc9141db0e16ca5611258dc4ff65430fb4b757de',
        6420156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HinaMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hina Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hina+Mincho
  static TextTheme hinaMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hinaMincho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hinaMincho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hinaMincho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hinaMincho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hinaMincho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hinaMincho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hinaMincho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hinaMincho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hinaMincho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hinaMincho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hinaMincho(textStyle: textTheme.caption),
      button: GoogleFonts.hinaMincho(textStyle: textTheme.button),
      overline: GoogleFonts.hinaMincho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hind font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextStyle hind({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa60918477db30de0e2a697db644a3ada9014744668b10708e487b2731a95e70',
        152472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6c2ab346a94eb5613fbc0721b8b1b9062968050182abaa239ca636a32911d90',
        152124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4fd25d01c80707a336cb4b040f3a52767f1cd612f042572d044e0b575c4d05b',
        151708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98d33c7c6f79077dfb001ecff6aa383168fca5cebe664a277c74acff145e6685',
        151452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e7dd62cde147432a10070b99d17f623f3c13f9c8796be3afa987f6e0707f030',
        149692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hind',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind
  static TextTheme hindTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hind(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hind(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hind(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hind(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hind(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hind(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hind(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hind(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hind(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hind(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hind(textStyle: textTheme.caption),
      button: GoogleFonts.hind(textStyle: textTheme.button),
      overline: GoogleFonts.hind(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextStyle hindGuntur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83f2591cf78a025ae8e85ebecda4a590c393eb80bf83f18bace7e5d144b57bc8',
        173452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58962c61fd64e7df2aa4d0fbf8b7044df4531b4098533fd14348043d05fb8b42',
        172528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1548c29a01fac4cf5904cd44cf584eaec84e08ed0b15f96638c1cb9ff8995583',
        171468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12aa908469a5d74ca315816664934ede78906a4593e2310e5ea1894cd964c2a1',
        170280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '751c8dd12898b1caafe20c6458531dce8773242b36537ea2e341d9a4bd01bafe',
        169956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindGuntur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Guntur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Guntur
  static TextTheme hindGunturTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hindGuntur(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hindGuntur(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hindGuntur(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hindGuntur(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hindGuntur(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hindGuntur(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hindGuntur(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hindGuntur(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hindGuntur(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hindGuntur(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hindGuntur(textStyle: textTheme.caption),
      button: GoogleFonts.hindGuntur(textStyle: textTheme.button),
      overline: GoogleFonts.hindGuntur(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextStyle hindMadurai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d2a60f4ad6943bf7f1de4b16722cf8992b893d91bdb242860538507d4514dfa',
        71760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe0b759733d5d95da02f65af60da858c2e45e9fc35332036694fef1e4f2369aa',
        71136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '367a1897906f0dafe97990639330a1ad8058b45f8d8deae93db5e40a9ae90f44',
        71428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '559d4bdf4c6fc62a412864ae9323ea997294ef17fda3b84684d928c0e042c1a0',
        71476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59964f77b9fded7f3b4030894b5bde3bf552e70132670a0108ec2218ae31fb9b',
        70344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindMadurai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Madurai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Madurai
  static TextTheme hindMaduraiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hindMadurai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hindMadurai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hindMadurai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hindMadurai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hindMadurai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hindMadurai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hindMadurai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hindMadurai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hindMadurai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hindMadurai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hindMadurai(textStyle: textTheme.caption),
      button: GoogleFonts.hindMadurai(textStyle: textTheme.button),
      overline: GoogleFonts.hindMadurai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextStyle hindSiliguri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac4fb0e6616374786c8c79c069fb7ec555580917d9534053bbc5cfca7cc35a6b',
        135788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f3c785b698527e53bc193bce4c13e1eedc1eadefe7c65720c5eb0ddafcc78c4',
        135144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f112da1e6bbd4b1fbf998db772359e0812e0bf2acc7c60e21a0e99c24ec1e48f',
        134792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c80fdec935e6023f68b5a13e7bde8edff218450fe58f3ca7c3fe6e454b4cdd54',
        134828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b363f06eb2b3264843731ba51fa467aba8cf06454281e9ceab83a3bc8c802ce',
        133192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindSiliguri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Siliguri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Siliguri
  static TextTheme hindSiliguriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hindSiliguri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hindSiliguri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hindSiliguri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hindSiliguri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hindSiliguri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hindSiliguri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hindSiliguri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hindSiliguri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hindSiliguri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hindSiliguri(textStyle: textTheme.caption),
      button: GoogleFonts.hindSiliguri(textStyle: textTheme.button),
      overline: GoogleFonts.hindSiliguri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextStyle hindVadodara({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28ad92a17d66f3a0995bb68875c29dba3cdaf9fb43feb40a882e2eb2638b7d0e',
        132940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ceba975d8428bc0815764806b013c8ab2629dd726f64eedc432d9089567ba31',
        132588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99808cdfa62f14d0fb695cf7a37fd7987ec1f14b71dfd11d87f428432e5641c7',
        132420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '931dba7983e3c75f3bcfc57cbb486114347aa39bd48e261bf327bfc5d2b2f7cd',
        131916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e717f555c38c3a3665cdb7fc053e8b12904225205d5eab82b472417208c7c483',
        130448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HindVadodara',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hind Vadodara font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hind+Vadodara
  static TextTheme hindVadodaraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hindVadodara(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hindVadodara(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hindVadodara(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hindVadodara(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hindVadodara(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hindVadodara(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hindVadodara(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hindVadodara(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hindVadodara(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hindVadodara(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hindVadodara(textStyle: textTheme.caption),
      button: GoogleFonts.hindVadodara(textStyle: textTheme.button),
      overline: GoogleFonts.hindVadodara(textStyle: textTheme.overline),
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextStyle holtwoodOneSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e13ec5f1ab20c1d4d3cd916510331011904e2d9a5083dff4b0bdfa42c86a4eac',
        36652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HoltwoodOneSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Holtwood One SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Holtwood+One+SC
  static TextTheme holtwoodOneScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.holtwoodOneSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.holtwoodOneSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.holtwoodOneSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.holtwoodOneSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.holtwoodOneSc(textStyle: textTheme.caption),
      button: GoogleFonts.holtwoodOneSc(textStyle: textTheme.button),
      overline: GoogleFonts.holtwoodOneSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextStyle homemadeApple({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '492f1c4f1d496ff595958cd8454693eccded599173fc699c93cb2df8a2561201',
        109592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'HomemadeApple',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homemade Apple font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homemade+Apple
  static TextTheme homemadeAppleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.homemadeApple(textStyle: textTheme.headline1),
      headline2: GoogleFonts.homemadeApple(textStyle: textTheme.headline2),
      headline3: GoogleFonts.homemadeApple(textStyle: textTheme.headline3),
      headline4: GoogleFonts.homemadeApple(textStyle: textTheme.headline4),
      headline5: GoogleFonts.homemadeApple(textStyle: textTheme.headline5),
      headline6: GoogleFonts.homemadeApple(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.homemadeApple(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.homemadeApple(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.homemadeApple(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.homemadeApple(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.homemadeApple(textStyle: textTheme.caption),
      button: GoogleFonts.homemadeApple(textStyle: textTheme.button),
      overline: GoogleFonts.homemadeApple(textStyle: textTheme.overline),
    );
  }

  /// Applies the Homenaje font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextStyle homenaje({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efaa8006929ef2ce2bc82593647ea2be59dcb513e048e4cb4b105cc66119d343',
        21568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Homenaje',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Homenaje font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Homenaje
  static TextTheme homenajeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.homenaje(textStyle: textTheme.headline1),
      headline2: GoogleFonts.homenaje(textStyle: textTheme.headline2),
      headline3: GoogleFonts.homenaje(textStyle: textTheme.headline3),
      headline4: GoogleFonts.homenaje(textStyle: textTheme.headline4),
      headline5: GoogleFonts.homenaje(textStyle: textTheme.headline5),
      headline6: GoogleFonts.homenaje(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.homenaje(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.homenaje(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.homenaje(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.homenaje(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.homenaje(textStyle: textTheme.caption),
      button: GoogleFonts.homenaje(textStyle: textTheme.button),
      overline: GoogleFonts.homenaje(textStyle: textTheme.overline),
    );
  }

  /// Applies the Hurricane font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextStyle hurricane({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '841bc5c7ef1192aa28ff9a52dbbd34e93fa30eaf584f8b00fd3ac3e303365c05',
        123080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Hurricane',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Hurricane font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Hurricane
  static TextTheme hurricaneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.hurricane(textStyle: textTheme.headline1),
      headline2: GoogleFonts.hurricane(textStyle: textTheme.headline2),
      headline3: GoogleFonts.hurricane(textStyle: textTheme.headline3),
      headline4: GoogleFonts.hurricane(textStyle: textTheme.headline4),
      headline5: GoogleFonts.hurricane(textStyle: textTheme.headline5),
      headline6: GoogleFonts.hurricane(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.hurricane(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.hurricane(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.hurricane(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.hurricane(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.hurricane(textStyle: textTheme.caption),
      button: GoogleFonts.hurricane(textStyle: textTheme.button),
      overline: GoogleFonts.hurricane(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextStyle ibmPlexMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0b176030119e3bf8008cc3a1ab395de2490609893cbf42c9ad93a1b97131c1ad',
        62804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49cc21b7b1c2e02aec83be236218fc1bf64c43ab6693d02e5f57dc5c4d580a42',
        69308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84f407c2acc498e7797432543eba48500150e851182f2706d2a48e4fc61aef13',
        62428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '973e67e339972330580f84b47bc69af70b6ffb871605061a2c44830772432449',
        69268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7860eafcb749cd16c35f7d63a81d0d83919b82475eeb29338cd5eea961a4bbfd',
        62176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad14a6133399a3b691d1311e56718da47fe30d69f6f48d68f43c25f62084f4d0',
        68876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e5360e6435ca0fda23ac8bde947e30a690395bedc6a0e0f9b360aceeb490851',
        62712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b7513201954154b316d56ba7185e0f58200a044e0150145e17d797a98dcbb52',
        69680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bea2481c75885bfb6d132add1b2ac6d4ccdbedfa94dda1d4dc34e7d00ca8ffd',
        62328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eb363301d9364248dd094562021ed86fc2b1b9e2351f313c635e72b14d98179f',
        68924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6f0266c5d40d72cd5d4051aaa3dc1836d7874fc40471cae205892e07fdd87ad',
        62288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '48174c08a0c28ee87d255c8380c23b2beca649d5ed46c8287c5062304417209b',
        68600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089c2f087950891775cef79553f8c15f825bea671e0a1323f495354feb06d3b3',
        62324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fdca15f4f471d5ef3f57c790ad9b09474ab6d24e75f300f10c9eb8219ddad39',
        68980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Mono
  static TextTheme ibmPlexMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexMono(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexMono(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextStyle ibmPlexSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '813b794a62b57fce9544b834ad183c1e5175f1825c2fa2067d3480518d81f446',
        97392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '550fbb9acc0447f5ddf482b1659912f8f4076179a59e288fd71dc1e7d86885c9',
        105688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6209628705dc0331422f8e21345a1e1387a26fd07293496dbcc6a3551859177',
        99360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '224494b659d44d626398ec8760d4b0e4ea459e0be556f8219de0ddf0f170cebb',
        107380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86b8f04cfeba166a0a6eed0b57970518f638c9745fea6212e6805b004579da75',
        99180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60e2fc65f3e87d1813c4a598c88cc21e21334a5b6b8e1d821dbb7b17edabbf21',
        107012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cd70b2671db7396694b0e2a1a3a9859018db199711237cdf67322e3d9060bbf',
        98888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7e4bb3b1d26be9695d85cfc1cdaef4376e22aca80f216e22c43c28ce7969ae0',
        106248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8d348ccb6205cc4dd9833d972d8decd8b526df3d482aedc4aa47ae9f7bd46f1',
        99256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c576912fcd0266aba72ffcf4b1b7d770bdf1353f90c2a0bdc8686e8dd740eac6',
        106664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26aefb8b77b2efc1dd517b6c5baaca61435844c281e5a51125bd65213f2cc5e0',
        99140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1aeff1379a138b4aa07f5fd0066ca778f321b9a1c8f1b234d858812b684ebb66',
        106720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13670a62ca981b5bc10df4425d93c3c41647b8934455c891e16f9384881606ef',
        98260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '64d98b387f5233a7cbc684f09cd4b5c622058a02d63fe1af27e247ee88e4573e',
        105704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans
  static TextTheme ibmPlexSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSans(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSans(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextStyle ibmPlexSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d61866ed0914c2828e5c61093d3b890e52963ca4eaea61f7148355c3cbfb7f',
        159384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '483a3e276be01f16c715df2cd15c079164d4beb68266a30ad5dfcc48aac6fefe',
        160532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2e4bb9aa896ff1d1306f67e9870fe641954cd4f85381091808b00e684ae632a',
        160468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55abe30e56d5776ec6b3c09c6ea6ec4c640ee83a4a235bf26fc442d9e11d0953',
        158856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e468fc6a226df9105a7568d2fcd96bdfa2f0c7b762821483fac189a3254b892b',
        163668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4cd8296a65505980451d55bd3ba0656e86cc83c940c21587e8ea8fd27994c87',
        163836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b18fa1174e5f95dd549b181faec50fff050ef1cdfefcbcfced302b9b74011fef',
        162652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Arabic
  static TextTheme ibmPlexSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSansArabic(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextStyle ibmPlexSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95cb5ef68ced474a2288be174bf62af93746ddbce9a8be785d59e05d46221cb9',
        64480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea2881ac7cbb7d0a0d0d89b3c81e0ccbd79e1dd040b84f4b28c7ea083a958926',
        68820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a51cec8648be38680ff0325b258659173e8d6cf8bf91ce3af4dfe72d96ad57bd',
        64844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '459eb773994095169ba8f6f04dfad1a45c205782fd393d467e9c8d3a21701fa2',
        69132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8260d42c2195a564a8bc5b74144874ac850ad48b4c507271d5fe4151f4802b6',
        64424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b1c9ad90a1fb240d2e8ebb5f3a3d4a544c37662964daf7dc0941d047876b826',
        68452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f14a51d14c32df9b6829dbd95e680ca603bb1f0e0c8a23f3d18f6e96f970eef',
        64056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2c2c799b5a7b8b957579016dedfd8bd110c064310c1a491a71ee84964ff0a56',
        68720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c6dabfa0ed7d9b258acae9bd3a20e61dbd27fa029bd3df75a0deadaa90e24e',
        63756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b605737f157c6f7c5977d9a151ff622fa93439d4b364d24f6431f52eb6a5affd',
        67728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '368b327e4f44c9bf4ba628ecb081c53e0e3f087a4c0822435fe6ad6527dbe958',
        63804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4fd2820e497b76a6c413f52ce87fa7521d6ff5bd0fac82b9c53e48c5febf174',
        67920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58ace9c95662b3ff47b0a066336d863bcc0515df78f5a23e9e424c1fbd4f451a',
        63812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '064ee4d57bfdc62832b848b5c300e9abaadd59d151ca0279ad569edceffcf029',
        68712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Condensed
  static TextTheme ibmPlexSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSansCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextStyle ibmPlexSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7798a3ee523bbe845f86fa7863fae2421c3767506c243915de093d3cf4610500',
        227092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73e7df206cd6b3c8a952d7b05dafe0133c00089198384199422c03c122e3eec1',
        226176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f450798ce25cc310232f0c1076864a49e507554808b7574be064760d669c9ce6',
        223832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5b8480ad5d31af39c71b33b6f1677f217fc544d6b9705ae9b40d1754c244613',
        216720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0f071613c832756e9a25722208e518616f477dd292b299ad3ba844fa83c5624',
        216144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c34c9cee851745e633000e95e70c75bdf562fbfecdbbf18801d54e1fa0392ca',
        215672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd891ea2d71f3ec9643b821a0a6c9ba5daecb2740aaed7abac920e6456a61fdee',
        207328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Devanagari
  static TextTheme ibmPlexSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.button),
      overline:
          GoogleFonts.ibmPlexSansDevanagari(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextStyle ibmPlexSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bc32e0702040a9a4b9f595de977505e364d4f7c1e68a76b32fb631f1e5a8d46',
        59316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f612af657788292566b19fda0282e15e03e618e49d2be418de9b467b2cd3b676',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb89dd202e92ef15d98c751726068064488a4825037e40ffd5d9264591cb476b',
        59412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6128403352aeceb4b47d1b84c01042a9dc1541e9dbfa2dfdcc850fd35037f97',
        58320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef1729d91585d28c5d3c1729a2a1effa5b199f96876be977ab4514f20fb73898',
        59020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1132a61747a26ba7b6775d74b9e6f0a9a865049ed90fe78909b6b535907a3ae',
        58880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '926aade155b0180efc85d09fe7be34cbdb428da60821ba01e325fbd3dc3c6ce5',
        58824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Hebrew
  static TextTheme ibmPlexSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSansHebrew(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextStyle ibmPlexSansKr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02f87e238d7bffa620972a12850ffdd7b449efe89c71f15ded170f2880c7dba6',
        2508648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f5ab62910a6916c4de40bf8120f1fcd07ab5e0523b22f99a30af80795724b5b',
        2466112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd887433d1318e86b9b1841f3c11f0bef380ad4c07e850f35dbc78e60fbaf1048',
        2443504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a53e169d73d25180ceea9d348a1e488d5587a7bddd0e31aa2e2d69b3aff660d2',
        2430632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1be691e60e8feffe0a38f53404e1825f346970a1c3c2d3433c0abfba4c2a978',
        2414528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f619977087e96dedb06641c275e7c228829e587eeef5d91e17d91e3201c26f95',
        2406700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5fb8194be4cf74d42982ab17f3c8b3cb80c0393e39818fd230dd2fcfa44781b',
        2402612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansKR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans KR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+KR
  static TextTheme ibmPlexSansKrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSansKr(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextStyle ibmPlexSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '211373f9dfcac4efe4dbff0ca1511b87a57c8e3805db192046079cf9eed605be',
        67296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3f0fafd7f2bf2c1a0a919fd9a7e556d1286701c805976a2def3f9668c3b840c',
        67380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f08e51bc9e9ac48c0afd5c8998cc988f892664889937a9d036f221a185bb578',
        67104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc88a40c66095346c4598a71c7c1e998cc8fd3d0b6e676a2e3ecb929820dc179',
        66480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ec11d5aea72e210db7e11dc79fff528fb2b469f284cf71c6a6cb0aac4b0d58f7',
        66624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c617e4494f1b335cb11f62542d29195c0253bd444eb030ad4a361ceec8126744',
        66516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f9b95d75427554ed81296b1f42ca6c6c0acc223706bb160277fde2452e9a21',
        66572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai
  static TextTheme ibmPlexSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSansThai(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextStyle ibmPlexSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf3a1432260a7775ea4144edd6c0ba0590595815a6c18977995b131e1afef734',
        73916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1a59197f440919b96782aa8d0c6bc7e6aa6673065c16ba2b157b27f549ae2e5',
        73896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0bdf2dac00460ee725bf5a623aa56673d02aaa2c05a1a16bafdcadd51af692f',
        73364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06facf933e2da4fc85f7426b3e0dc60080126641ccc3616e972baedaa6ffb4a9',
        72656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4edf2918b1e65f195833a1efcd877e95c811abd4e005025e1dbd7a1cdf2d1783',
        72540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85e389fbddfa35be5a1572655da46a08a3e772dd37045b3288f06b8c466c997e',
        72300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70013e17a6c3540eb1fbd16e7c546987f22bf68376d1545df89627637e546d8e',
        72236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Sans+Thai+Looped
  static TextTheme ibmPlexSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.button),
      overline:
          GoogleFonts.ibmPlexSansThaiLooped(textStyle: textTheme.overline),
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextStyle ibmPlexSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7d42efee4f1a7ac97d078340d6652728fe15929c68ba6d23cb2bb12c08ade3c',
        104216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d6348f0337897dfd4f35a24aeb41df7d2026b073c6e62091ba3d4be45deccef',
        114056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22d162d23ce0e5ad78699d3f15d64aee792adff19238b2d5fff9ed6e4e2aeaa6',
        106996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eca320d0ebf030d252c42622bd633b638607e007a1106887d72c483f4ab3703b',
        117848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b62452067d16ab5b1653fe5af7e516fd1d6a727050d37060d0f83941b25ff44',
        106800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66bf94992c7ae7e495fcd422302ec2554955bf1ee81cc891a365b889836f3386',
        117812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69cbfef212c06c3e226a30329e377aa4501105e862a1d1c6cd3fde2b6c15507d',
        106692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '454337a7189c7dcf2a8c37a8d69c51ece177de9ba36cb5133fc924e7bfd7042b',
        117816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9700f2e4399528de12a7e7ec1551047d64261256a776bcdd963c55963568f4b9',
        107204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92215eb3720b2d7e6181a7f1a7f330fc9668b05e48e1160a1d0bde3d1ebd34d9',
        117868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85939ee252119c0a4249c1d780751347047ccdc1fe552595be038544c3792788',
        107392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4373c99de7c1eefefd7971019ac15ad2bc0db7cd3f62c3013925018d0586e38c',
        117840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe6766f5ba5906651095f3917fbfa426cf5904f0f0c7490a7b6d246dae8d60b9',
        106036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8728efc5271b4928172f32a8701ff0e2cde5210bd8277aa95cd936d723eecceb',
        116836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IBMPlexSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IBM Plex Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IBM+Plex+Serif
  static TextTheme ibmPlexSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibmPlexSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibmPlexSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibmPlexSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibmPlexSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibmPlexSerif(textStyle: textTheme.caption),
      button: GoogleFonts.ibmPlexSerif(textStyle: textTheme.button),
      overline: GoogleFonts.ibmPlexSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextStyle imFellDwPica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04268ecc548fa2dfe787958a051a8e1b42b355a945f5a4d47f003e70886debc3',
        216968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2109f0f97280a92b37673b7bf664eee72f3b3874097dcbf1906740841b17fb0',
        244584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica
  static TextTheme imFellDwPicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellDwPica(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellDwPica(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellDwPica(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellDwPica(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellDwPica(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellDwPica(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellDwPica(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellDwPica(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellDwPica(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellDwPica(textStyle: textTheme.caption),
      button: GoogleFonts.imFellDwPica(textStyle: textTheme.button),
      overline: GoogleFonts.imFellDwPica(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextStyle imFellDwPicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fb16b0108016bc27dd4f279a9d1e8247d0028f492cfca827753ea01a8423c83',
        198012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDWPicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell DW Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+DW+Pica+SC
  static TextTheme imFellDwPicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.caption),
      button: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.button),
      overline: GoogleFonts.imFellDwPicaSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextStyle imFellDoublePica({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '450b7878b03e1b88b59cd3c88d5a9dab68e698f5e89d49f6bd99bd40514f1eff',
        210916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63f80b5f83de7edd9b6a5674a903289d1c0f0679fefe1835d013e2c6910afacd',
        255092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePica',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica
  static TextTheme imFellDoublePicaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellDoublePica(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellDoublePica(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellDoublePica(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellDoublePica(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellDoublePica(textStyle: textTheme.caption),
      button: GoogleFonts.imFellDoublePica(textStyle: textTheme.button),
      overline: GoogleFonts.imFellDoublePica(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextStyle imFellDoublePicaSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f63ae624a66cf32943ef34cf81b7d800305ce516f8396bd0b01895abf588d8d6',
        197012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellDoublePicaSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Double Pica SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Double+Pica+SC
  static TextTheme imFellDoublePicaScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.caption),
      button: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.button),
      overline: GoogleFonts.imFellDoublePicaSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextStyle imFellEnglish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f559be93fb1947f0551b021260410225bbafe0586dd5236d734d852bf0769f1',
        194992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '67701b098b491cf87633fd626de486662128571e48aee106245d472750bcd7c4',
        202368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English
  static TextTheme imFellEnglishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellEnglish(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellEnglish(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellEnglish(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellEnglish(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellEnglish(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellEnglish(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellEnglish(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellEnglish(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellEnglish(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellEnglish(textStyle: textTheme.caption),
      button: GoogleFonts.imFellEnglish(textStyle: textTheme.button),
      overline: GoogleFonts.imFellEnglish(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextStyle imFellEnglishSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b52b93a50244bb83984cf1b52863db1a14baf8f683fe002dd71199783477502a',
        183932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellEnglishSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell English SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+English+SC
  static TextTheme imFellEnglishScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellEnglishSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellEnglishSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellEnglishSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellEnglishSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellEnglishSc(textStyle: textTheme.caption),
      button: GoogleFonts.imFellEnglishSc(textStyle: textTheme.button),
      overline: GoogleFonts.imFellEnglishSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextStyle imFellFrenchCanon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a31b3ab35a73617ff634ad3017bc55e23ceb3daa2bf23c00c25afa3331aade8',
        145832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '54332a8adf4fa4b9bd5ba4553b7f66a4e8c5ffb07d61701dbfee60bfac4394a4',
        158184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon
  static TextTheme imFellFrenchCanonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.caption),
      button: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.button),
      overline: GoogleFonts.imFellFrenchCanon(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextStyle imFellFrenchCanonSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '618df3e2380b8d244fa861a295bcae3cb41ac4f0cea67f01a815355fcd198ce8',
        136188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellFrenchCanonSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell French Canon SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+French+Canon+SC
  static TextTheme imFellFrenchCanonScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.caption),
      button: GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.button),
      overline: GoogleFonts.imFellFrenchCanonSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextStyle imFellGreatPrimer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fede2a25cf42680231c7bfb90da7306e0962092c8e1074fbfc44ef59289257ec',
        216552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '020c8f65ef327b827d6e28ca2e4be8f019b4a81075f1c7c00a53993664b41b93',
        249324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer
  static TextTheme imFellGreatPrimerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.caption),
      button: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.button),
      overline: GoogleFonts.imFellGreatPrimer(textStyle: textTheme.overline),
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextStyle imFellGreatPrimerSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8894f603e127ce2093a63d487149eb1cf10f58b20ea4abbae6ac6635472dcc85',
        203776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IMFellGreatPrimerSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the IM Fell Great Primer SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/IM+Fell+Great+Primer+SC
  static TextTheme imFellGreatPrimerScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.caption),
      button: GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.button),
      overline: GoogleFonts.imFellGreatPrimerSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextStyle ibarraRealNova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa62d319d71f5e7580a79ee36ecae3548c35a0e2d7892f8695afa7e237a3b660',
        58948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f9205ed765c8774cf31fd539aee83f11aec36439f0fd12bfab29a491352b9f7',
        62160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91c844d08ae013b372d204d91e5dd37e879057e12a50150929228512c78eec5d',
        58676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '77e539a16bef74671e0c9ea382e533233bfa3f2b0219d2bd7d2d11db7502dc23',
        62244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2ae8b1765ec3d56c893888f27607c49f613d48918f01ed3034e7c5119269948',
        58544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be0a49f8da3aff4a325e615fb9bd69330b92f562ff4c805471e29bca7ec57e72',
        62316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IbarraRealNova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ibarra Real Nova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ibarra+Real+Nova
  static TextTheme ibarraRealNovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ibarraRealNova(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ibarraRealNova(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ibarraRealNova(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ibarraRealNova(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ibarraRealNova(textStyle: textTheme.caption),
      button: GoogleFonts.ibarraRealNova(textStyle: textTheme.button),
      overline: GoogleFonts.ibarraRealNova(textStyle: textTheme.overline),
    );
  }

  /// Applies the Iceberg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextStyle iceberg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4863f9363951873a52e866b2ad79c760da5a5c1c076692511a8fae46789aedae',
        16680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceberg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceberg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceberg
  static TextTheme icebergTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.iceberg(textStyle: textTheme.headline1),
      headline2: GoogleFonts.iceberg(textStyle: textTheme.headline2),
      headline3: GoogleFonts.iceberg(textStyle: textTheme.headline3),
      headline4: GoogleFonts.iceberg(textStyle: textTheme.headline4),
      headline5: GoogleFonts.iceberg(textStyle: textTheme.headline5),
      headline6: GoogleFonts.iceberg(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.iceberg(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.iceberg(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.iceberg(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.iceberg(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.iceberg(textStyle: textTheme.caption),
      button: GoogleFonts.iceberg(textStyle: textTheme.button),
      overline: GoogleFonts.iceberg(textStyle: textTheme.overline),
    );
  }

  /// Applies the Iceland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextStyle iceland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd15cc78dabadb60a047db08291c49cb8c2d05c29de29c7505de00383b8f447cf',
        17548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Iceland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Iceland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Iceland
  static TextTheme icelandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.iceland(textStyle: textTheme.headline1),
      headline2: GoogleFonts.iceland(textStyle: textTheme.headline2),
      headline3: GoogleFonts.iceland(textStyle: textTheme.headline3),
      headline4: GoogleFonts.iceland(textStyle: textTheme.headline4),
      headline5: GoogleFonts.iceland(textStyle: textTheme.headline5),
      headline6: GoogleFonts.iceland(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.iceland(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.iceland(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.iceland(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.iceland(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.iceland(textStyle: textTheme.caption),
      button: GoogleFonts.iceland(textStyle: textTheme.button),
      overline: GoogleFonts.iceland(textStyle: textTheme.overline),
    );
  }

  /// Applies the Imprima font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextStyle imprima({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40a584db206f3a44197d5245155bcca66a72cf6c2dd346e78ca4b30b36af92b4',
        24864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Imprima',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Imprima font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Imprima
  static TextTheme imprimaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.imprima(textStyle: textTheme.headline1),
      headline2: GoogleFonts.imprima(textStyle: textTheme.headline2),
      headline3: GoogleFonts.imprima(textStyle: textTheme.headline3),
      headline4: GoogleFonts.imprima(textStyle: textTheme.headline4),
      headline5: GoogleFonts.imprima(textStyle: textTheme.headline5),
      headline6: GoogleFonts.imprima(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.imprima(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.imprima(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.imprima(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.imprima(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.imprima(textStyle: textTheme.caption),
      button: GoogleFonts.imprima(textStyle: textTheme.button),
      overline: GoogleFonts.imprima(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextStyle inconsolata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b710cb16b36b86fd08be8de67824345433e776ff152ce4d819f8dac26b76bb2',
        70528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '499bfec42f5525e40e1acc5d044cce315e80cc9c1205db693cf68fd5a7b724d3',
        74916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inconsolata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inconsolata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inconsolata
  static TextTheme inconsolataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inconsolata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inconsolata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inconsolata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inconsolata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inconsolata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inconsolata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inconsolata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inconsolata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inconsolata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inconsolata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inconsolata(textStyle: textTheme.caption),
      button: GoogleFonts.inconsolata(textStyle: textTheme.button),
      overline: GoogleFonts.inconsolata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inder font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextStyle inder({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb41a206e08e82f74d76415f5d8d2feeaf53587676b8ed6c2ea15bb2e88ccf8d',
        31008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inder',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inder font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inder
  static TextTheme inderTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inder(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inder(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inder(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inder(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inder(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inder(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inder(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inder(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inder(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inder(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inder(textStyle: textTheme.caption),
      button: GoogleFonts.inder(textStyle: textTheme.button),
      overline: GoogleFonts.inder(textStyle: textTheme.overline),
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextStyle indieFlower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61c24604992861512306296260abd7382a4e89dbe2d6e0d5ba3dbd1a15b95ff4',
        60484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IndieFlower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Indie Flower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Indie+Flower
  static TextTheme indieFlowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.indieFlower(textStyle: textTheme.headline1),
      headline2: GoogleFonts.indieFlower(textStyle: textTheme.headline2),
      headline3: GoogleFonts.indieFlower(textStyle: textTheme.headline3),
      headline4: GoogleFonts.indieFlower(textStyle: textTheme.headline4),
      headline5: GoogleFonts.indieFlower(textStyle: textTheme.headline5),
      headline6: GoogleFonts.indieFlower(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.indieFlower(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.indieFlower(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.indieFlower(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.indieFlower(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.indieFlower(textStyle: textTheme.caption),
      button: GoogleFonts.indieFlower(textStyle: textTheme.button),
      overline: GoogleFonts.indieFlower(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextStyle inika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4a85642ea25e8b6a0657684af8ab67401b31b1f39ef952616d46f1ee711107e',
        39652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e831ff700e7e5ee39b33fb1ae47d7f98ce526a136e1d90c4aaf1cbfbba0d4336',
        38688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inika
  static TextTheme inikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inika(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inika(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inika(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inika(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inika(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inika(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inika(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inika(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inika(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inika(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inika(textStyle: textTheme.caption),
      button: GoogleFonts.inika(textStyle: textTheme.button),
      overline: GoogleFonts.inika(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextStyle inknutAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fae03035a8fb6772fc7bcac683c4a01747a3902ede69b6897be980d35cd3c42',
        279252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad6e7b6f2580d3870d5242c04a7edbb0712500e639570759d1b76b16ad225af',
        274980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7bad3658649b817553e3c3a1e3b75b8b1c2f93af24d3ee0c2f491f13695cee4',
        277544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4249a7edc9acfbbb46d50638be038427a109d75df9478fd696a6d61ac2c6262b',
        277284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed4800a911bc4a319bbb68949167b0e0c9149ae4542444b3643b0949f21dbebb',
        275168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58f6a2abd44b4a7ba81f42611ec481c40e08bed9129fec6f638b2dca583bf20d',
        274600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '068486e18282d9c5300c186834bd1a055d1d4d2697ac3498756bc41e999b676b',
        269264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InknutAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inknut Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inknut+Antiqua
  static TextTheme inknutAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inknutAntiqua(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inknutAntiqua(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inknutAntiqua(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inknutAntiqua(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inknutAntiqua(textStyle: textTheme.caption),
      button: GoogleFonts.inknutAntiqua(textStyle: textTheme.button),
      overline: GoogleFonts.inknutAntiqua(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextStyle inriaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bde5e08b5ec7274f1c28704b62bd581c28724f8cf4412d56a9e24435e927789',
        45140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e33d8e62a895c0402146425676e4254906218e07c6adde8532ae0f436aff96ae',
        46472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78a5989461a98cf7daa6612f5b9240f06cf592fcaeb0684a49a73d5616085753',
        45356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dea0c172e0ec1669869a55587b188534d474341d049a62012e316cdd79e82f22',
        46704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7747b367f8106ba29552aff3126864e3d6b20c008e33d214252ca30fff47f65c',
        44708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '70544f369add81b1bf7a0b8f3d4108c7bdca0f1426f9251c47d8d54ae6820b90',
        46364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Sans
  static TextTheme inriaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inriaSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inriaSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inriaSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inriaSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inriaSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inriaSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inriaSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inriaSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inriaSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inriaSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inriaSans(textStyle: textTheme.caption),
      button: GoogleFonts.inriaSans(textStyle: textTheme.button),
      overline: GoogleFonts.inriaSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextStyle inriaSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843b3e9e758e66cd88535ad2c67fba727e83e342a871227e9d6dd1640acbd496',
        55144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f4537cff635316910c2b9f1449b29caaa2d9aaf852dc13bd2d82adc9070e861d',
        54868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e86dfe8f6fc1e2431b0a39040b2dc845fe91b448d1a75733f8a2e1d8dd54586',
        55368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '911f907aefd837c9e50f383f376f437fef8b69dee712ca4f5513ffc70769cc5a',
        55020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee42dcf7120d640f7b28930c80818aaec0e114784ea1935fbf0721429519d6c5',
        55188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '503bdc8982bd9fc8af24dadb68f8e5304ddeb3d2aa5f9135811977c9b4c4eb80',
        54952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'InriaSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inria Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inria+Serif
  static TextTheme inriaSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inriaSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inriaSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inriaSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inriaSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inriaSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inriaSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inriaSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inriaSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inriaSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inriaSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inriaSerif(textStyle: textTheme.caption),
      button: GoogleFonts.inriaSerif(textStyle: textTheme.button),
      overline: GoogleFonts.inriaSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the Inter font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextStyle inter({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '897d64cd0dfbeb56e7867aff5fb59519c0a18eaa535b4d4f9d636ac43028afb5',
        257128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8c528f80a6ad8d07eb0a822ff9763e3286ce1463b1cd881cafbc2d3d9018512',
        256936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cedc5ced62f88258ed3781a814ff426d7c63e5ef822bc77e66b393b3316ce86',
        256628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74b0b48ce5240039e1a17c62f24f5abc322d3d77d4bf96efcdad6d637123cc9d',
        256476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177913939a2c83016eaf35b8dcf5b863fcb5d8e86fcb78a14ad753d055d06436',
        257944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0a9e5b2bc1eef6c3241a779a62cea7c34b88535d7e586390fdcdf28ab01d673',
        258828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94c9d9a14fc9ae26fd08041b634823238718b745b8a34986ddfb57cf3db367da',
        259260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5493c1e805b48142688a216308108352fd538721635d7f990c47996dcf8e2c4',
        259864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2a712f761390199ddad75da5123d6f97f529f5d6dab247f94ceb954a8fe381e',
        260212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Inter',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Inter font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Inter
  static TextTheme interTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.inter(textStyle: textTheme.headline1),
      headline2: GoogleFonts.inter(textStyle: textTheme.headline2),
      headline3: GoogleFonts.inter(textStyle: textTheme.headline3),
      headline4: GoogleFonts.inter(textStyle: textTheme.headline4),
      headline5: GoogleFonts.inter(textStyle: textTheme.headline5),
      headline6: GoogleFonts.inter(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.inter(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.inter(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.inter(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.inter(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.inter(textStyle: textTheme.caption),
      button: GoogleFonts.inter(textStyle: textTheme.button),
      overline: GoogleFonts.inter(textStyle: textTheme.overline),
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextStyle irishGrover({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '871e6c825a4e60667eb8131be9f23ace65f65e3f15a9c08c3a798797c9e361b2',
        52272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IrishGrover',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Irish Grover font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Irish+Grover
  static TextTheme irishGroverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.irishGrover(textStyle: textTheme.headline1),
      headline2: GoogleFonts.irishGrover(textStyle: textTheme.headline2),
      headline3: GoogleFonts.irishGrover(textStyle: textTheme.headline3),
      headline4: GoogleFonts.irishGrover(textStyle: textTheme.headline4),
      headline5: GoogleFonts.irishGrover(textStyle: textTheme.headline5),
      headline6: GoogleFonts.irishGrover(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.irishGrover(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.irishGrover(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.irishGrover(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.irishGrover(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.irishGrover(textStyle: textTheme.caption),
      button: GoogleFonts.irishGrover(textStyle: textTheme.button),
      overline: GoogleFonts.irishGrover(textStyle: textTheme.overline),
    );
  }

  /// Applies the Istok Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextStyle istokWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69f0e211d11c1acf74b2c9076af79b8c4437700758d0282acf48674ef128953a',
        137024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05eee5ff9d276f82970504c5e15e6097ae58262e043f86c6620a18611cdcf94e',
        89568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '000e33f7e7a72f87087ee83ef75edf7993294fc065f5f8e52ae6ca1c90c7517f',
        92660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c19d7189ef0fb5066351d3851d3a386722d97b98c62fc344ffce8f4f1889512a',
        89608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'IstokWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Istok Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Istok+Web
  static TextTheme istokWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.istokWeb(textStyle: textTheme.headline1),
      headline2: GoogleFonts.istokWeb(textStyle: textTheme.headline2),
      headline3: GoogleFonts.istokWeb(textStyle: textTheme.headline3),
      headline4: GoogleFonts.istokWeb(textStyle: textTheme.headline4),
      headline5: GoogleFonts.istokWeb(textStyle: textTheme.headline5),
      headline6: GoogleFonts.istokWeb(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.istokWeb(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.istokWeb(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.istokWeb(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.istokWeb(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.istokWeb(textStyle: textTheme.caption),
      button: GoogleFonts.istokWeb(textStyle: textTheme.button),
      overline: GoogleFonts.istokWeb(textStyle: textTheme.overline),
    );
  }

  /// Applies the Italiana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextStyle italiana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1324621b4067c2f4664c85776eaa7a358556c72c41adc3672d1e85e255b715a',
        31560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italiana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italiana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italiana
  static TextTheme italianaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.italiana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.italiana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.italiana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.italiana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.italiana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.italiana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.italiana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.italiana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.italiana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.italiana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.italiana(textStyle: textTheme.caption),
      button: GoogleFonts.italiana(textStyle: textTheme.button),
      overline: GoogleFonts.italiana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Italianno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextStyle italianno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfbaa565dcb115e0d8e8af969814850e25a50df02022afefd5b2ba3174c386e3',
        137316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Italianno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Italianno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Italianno
  static TextTheme italiannoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.italianno(textStyle: textTheme.headline1),
      headline2: GoogleFonts.italianno(textStyle: textTheme.headline2),
      headline3: GoogleFonts.italianno(textStyle: textTheme.headline3),
      headline4: GoogleFonts.italianno(textStyle: textTheme.headline4),
      headline5: GoogleFonts.italianno(textStyle: textTheme.headline5),
      headline6: GoogleFonts.italianno(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.italianno(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.italianno(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.italianno(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.italianno(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.italianno(textStyle: textTheme.caption),
      button: GoogleFonts.italianno(textStyle: textTheme.button),
      overline: GoogleFonts.italianno(textStyle: textTheme.overline),
    );
  }

  /// Applies the Itim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextStyle itim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd649b08c03fa8e37e169c6e7fc22372fe2c6f97d639fbcbe67f8702afb9ef1bc',
        249260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Itim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Itim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Itim
  static TextTheme itimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.itim(textStyle: textTheme.headline1),
      headline2: GoogleFonts.itim(textStyle: textTheme.headline2),
      headline3: GoogleFonts.itim(textStyle: textTheme.headline3),
      headline4: GoogleFonts.itim(textStyle: textTheme.headline4),
      headline5: GoogleFonts.itim(textStyle: textTheme.headline5),
      headline6: GoogleFonts.itim(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.itim(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.itim(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.itim(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.itim(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.itim(textStyle: textTheme.caption),
      button: GoogleFonts.itim(textStyle: textTheme.button),
      overline: GoogleFonts.itim(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextStyle jacquesFrancois({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd263121e53613f81bea06459cb1ac924693f48b654d9943d34776a3efa1fc52e',
        42580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancois',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois
  static TextTheme jacquesFrancoisTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jacquesFrancois(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jacquesFrancois(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jacquesFrancois(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jacquesFrancois(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jacquesFrancois(textStyle: textTheme.caption),
      button: GoogleFonts.jacquesFrancois(textStyle: textTheme.button),
      overline: GoogleFonts.jacquesFrancois(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextStyle jacquesFrancoisShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4664490f27116a48b79a15fc06c1817e3669ac1d3ee0e65f80b093997b5e935',
        56088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JacquesFrancoisShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jacques Francois Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jacques+Francois+Shadow
  static TextTheme jacquesFrancoisShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.caption),
      button: GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.button),
      overline:
          GoogleFonts.jacquesFrancoisShadow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jaldi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextStyle jaldi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fd0aecfd94af32615e102201a3d6b70dd7b98a317a4b6457f9d5683435f2680',
        273184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1eb9040b249dbbf98470eca20e05d667c64d16570d20f4f3b5c8082472d03566',
        272924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jaldi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jaldi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jaldi
  static TextTheme jaldiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jaldi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jaldi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jaldi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jaldi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jaldi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jaldi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jaldi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jaldi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jaldi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jaldi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jaldi(textStyle: textTheme.caption),
      button: GoogleFonts.jaldi(textStyle: textTheme.button),
      overline: GoogleFonts.jaldi(textStyle: textTheme.overline),
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextStyle jetBrainsMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d9c45ef613517fe16ef9b98e22bf42c9cde2e64c3b5dec28eccf19ef951214f',
        100036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8b7b6fd7549d056bacd72fc5a44509b6dd60e79e23ca39138266fef6eec1d99',
        100112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bbf6f151ea26ab4020ab3909444b7c480cd0bdd14f3c9bf990940802430a691',
        100048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcad6628b88dabe2c7128a8d8da7517d30d291d2196c242d6bd064803b6bc81b',
        99952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72df06f080fd2a3a7de54b16f2f4fe430ea07ac88edb13547f226cf40fad1359',
        99964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c883998d81a7f0fc7d29b754d6d4c760f78c2c2754cd83d4be49deacfde3eea',
        99920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62eedf885d199e8fd5996d76b7d0b957d51de06048b818877cb45dd5e6cc886a',
        99860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a90822ddce5280355142856207a3cdb8ceff10d064bad9984be6d4f9538ca54',
        99880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '17cd635d99cdf2bc587f7edfa12afb833fe73442f6c24bb75416096abf343c4c',
        102952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '082c46dba74facd18763c2f8b46464050249389890cc0525442bfe5b9dcb696f',
        103036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8019ed5d2dbb8b331bbe43d8b629a7ba5e60ce45a97c73b9aaa909f92cd68a82',
        102924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '06f5559c182b0ee9933f08da76d9029034d0acf76dd368b61b0f804d5dffe847',
        102740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b8cba00588c1b76e016aed0322ec1115b1911eb617aa0c3d8d964ba93172f33',
        102848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac952bea8f76559fa60e09cbf07cd2e30763530ee53b62399a6057ed8e503b2b',
        102796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f5e1d2fb4b360d37a9a0dd3b54218280d0c71852e56d046d3a1ec88b61457eae',
        102732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dcc9bc14c86097e41cd2ff409e2bfd72f92ab8c5a6e1d3f0f55ae8078b37c79f',
        102808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JetBrainsMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the JetBrains Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/JetBrains+Mono
  static TextTheme jetBrainsMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jetBrainsMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jetBrainsMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jetBrainsMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jetBrainsMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jetBrainsMono(textStyle: textTheme.caption),
      button: GoogleFonts.jetBrainsMono(textStyle: textTheme.button),
      overline: GoogleFonts.jetBrainsMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextStyle jimNightshade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69667733e323bd8537cd7e8ab6c0cde0b0d48e1f336695228e8a9de962feec29',
        153264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JimNightshade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jim Nightshade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jim+Nightshade
  static TextTheme jimNightshadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jimNightshade(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jimNightshade(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jimNightshade(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jimNightshade(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jimNightshade(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jimNightshade(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jimNightshade(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jimNightshade(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jimNightshade(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jimNightshade(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jimNightshade(textStyle: textTheme.caption),
      button: GoogleFonts.jimNightshade(textStyle: textTheme.button),
      overline: GoogleFonts.jimNightshade(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jockey One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextStyle jockeyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbdbfa4fff4214a6685ff84262303ce8f4c9a4b6e563f149a8cc5322417aae81',
        48560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JockeyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jockey One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jockey+One
  static TextTheme jockeyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jockeyOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jockeyOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jockeyOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jockeyOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jockeyOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jockeyOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jockeyOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jockeyOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jockeyOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jockeyOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jockeyOne(textStyle: textTheme.caption),
      button: GoogleFonts.jockeyOne(textStyle: textTheme.button),
      overline: GoogleFonts.jockeyOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextStyle jollyLodger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '816f864e770d0e20f949a3c6064291765734593637efde29ea2295a773c7afa2',
        39384,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JollyLodger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jolly Lodger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jolly+Lodger
  static TextTheme jollyLodgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jollyLodger(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jollyLodger(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jollyLodger(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jollyLodger(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jollyLodger(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jollyLodger(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jollyLodger(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jollyLodger(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jollyLodger(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jollyLodger(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jollyLodger(textStyle: textTheme.caption),
      button: GoogleFonts.jollyLodger(textStyle: textTheme.button),
      overline: GoogleFonts.jollyLodger(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextStyle jomhuria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dce267ed457cc6f5511cd60d4fbbc941e2c0cf029959a91effbd93815f66d47',
        170560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomhuria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomhuria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomhuria
  static TextTheme jomhuriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jomhuria(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jomhuria(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jomhuria(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jomhuria(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jomhuria(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jomhuria(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jomhuria(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jomhuria(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jomhuria(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jomhuria(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jomhuria(textStyle: textTheme.caption),
      button: GoogleFonts.jomhuria(textStyle: textTheme.button),
      overline: GoogleFonts.jomhuria(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextStyle jomolhari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ee25009d9daf59851273c5b12d4656fbdfd943f715735eda3c58bbf19ebd677',
        1002648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jomolhari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jomolhari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jomolhari
  static TextTheme jomolhariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jomolhari(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jomolhari(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jomolhari(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jomolhari(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jomolhari(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jomolhari(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jomolhari(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jomolhari(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jomolhari(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jomolhari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jomolhari(textStyle: textTheme.caption),
      button: GoogleFonts.jomolhari(textStyle: textTheme.button),
      overline: GoogleFonts.jomolhari(textStyle: textTheme.overline),
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextStyle josefinSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9274027036e4bec6eeac49709c56529144d0714f2d42cfefabb8f29aa669110',
        71844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe583724f6b3b6ff7f2a65b872c7a8be86957b1f03d8efb03b7c3a83271d22f0',
        71124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bfd7038e00c3bcb80df604697efc092891a519557503aab5b119fad6fb79d41',
        70504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7ab4a22bc24c0da9b9abeae23dcabe78ebe9cb10010845ffc5b916764b87f63a',
        70336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad0ce8b3f694b796a43e60893235246f404c728782ef2719a3122b54b6aee1d6',
        71316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e240205c12a00fd8fec9a99ee4ce68015307c91c1dc38586775ff103177bbf6b',
        70608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1af031215debaf6e64b6373e58d995de8763c248952fcf2a5f2b03b1cff3e26f',
        73004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8d67f5eb2f1bd5f94c9574d8aee64e7e1706e25d0e4715e73d236bf12efeca0',
        71876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd252f6382ade7107cb7955cfb5062f3b8b8546376fd9bdb6774fc830292db75',
        70672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'de8609adb9deaf3cd40532c56050226a1aa22c9f100b56fd248fd4b77fd8fd88',
        72656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Sans
  static TextTheme josefinSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.josefinSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.josefinSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.josefinSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.josefinSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.josefinSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.josefinSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.josefinSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.josefinSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.josefinSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.josefinSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.josefinSans(textStyle: textTheme.caption),
      button: GoogleFonts.josefinSans(textStyle: textTheme.button),
      overline: GoogleFonts.josefinSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextStyle josefinSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '447b30a4f09ce882924bc14b5cb2d46ed8a09e31fbd138c82200fce2411f2612',
        20404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e521fdac6770840a2382fe98c7220bc471558f801d8965edf8573e7f30b69b5',
        21704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed15a28fd4c2b8d4813431c543e1e1d9293d3054ccc2ba5ef342f99ce5a44c08',
        20896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e1991a7b37703dc6b6e746ddc357b7310c82534d6438bdb6f7ae3748790800e',
        22096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95bda8e2687087242a1a437c00ed9c693590a2280a21d2a4734a3ad6dfce08b',
        20448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '61d7f09bf0f42191d6840eb606f9898b7faf7fe6493a630405fe91aac97327f4',
        21468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a3215f9937cb8a3b66779e1b69158645771177c7433046a9d0929ddc30e126e',
        20744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'efaff26fee494b1b09da8456684d5c03d3bb898803d186aa6a88154f10bfdfee',
        22096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00f4364ef7f981110c8e894aa31ef2195629999eeb5bc8689c21745ec03cf534',
        19936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '999b995ee79a2865d9ed663bd3b3d65fcd10a6c15198afb228ca225b210eac8c',
        21064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JosefinSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Josefin Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Josefin+Slab
  static TextTheme josefinSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.josefinSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.josefinSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.josefinSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.josefinSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.josefinSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.josefinSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.josefinSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.josefinSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.josefinSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.josefinSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.josefinSlab(textStyle: textTheme.caption),
      button: GoogleFonts.josefinSlab(textStyle: textTheme.button),
      overline: GoogleFonts.josefinSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jost font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextStyle jost({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31432208500b7e66df8a5d57e07a15f8e19d393d52c66c1235b6f96cd67fb8a8',
        55268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35fe1d6bba11d22fcc08d886caff10018f9ba95aeafb027b41d7b2586de1df73',
        55380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a6599583e03ffc84b1c01cc9fcbc561a5622de236557a41ab56be41974d74d0',
        55308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36eb9b6e0e94dfd1365f08c9c8e37814033cae517e950ebf055cc379799c0858',
        55196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a5a78c6e6cf8e5f36debdb534e39fc078da16f3fc6ef10929f3d0b168b5f84e',
        55332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab8278b6cf97aa444c220fd6090733690620c191570e0f61470346cd536ba134',
        55332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cfbb2aadaea6d6c0696ee82db2dee3dfd9bd89628bc1c14b861f1da86d60e02',
        55276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8e684e803f32dbae5ad9b45ae980c40c898972641a78d441469b89432707dc3',
        55396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65f8b5baa6c4889d4ad2f68ae989147de8186bc7ef87cfcf256ea9a78e04a841',
        55368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e6ac5ab9629d57d9df4d798a1453231439e40641633bac30b2e3852f5e284b7d',
        58936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '257071dd21f3821a5d7a2c380126160b553eb24154ecdaa9f5649c558fc2ea41',
        59140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '683edc2f30f8d2164e6553ebe92f11f02f5316ef0505b9536cdebbddf7260b03',
        59112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1d09478db8be26fb7b6479bdc340c9186f450a6eaf59730c13bedba7c7a48a4',
        59052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e444b83bcb702db1b08395ed4749d541cfef5445bc9dc75b152365dda25f0527',
        59232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '61bb2ccedeb641b230a6dcc2c035e4206bba308fc1cb8cbc61a0646b73ee44cc',
        59168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60e2bcbc06ff7e44cf657267af33dec235628900a555eeb3578039d5f0fb2f4a',
        59024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '76bad08c8165c8029d667758703fb5d17e464c5abafb306c7650148c9337f263',
        59036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c8ba2e060d6c68ce19e625780c780a90009416e4ed1a69c272fc70ebcc33f3db',
        59008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jost',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jost font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jost
  static TextTheme jostTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jost(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jost(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jost(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jost(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jost(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jost(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jost(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jost(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jost(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jost(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jost(textStyle: textTheme.caption),
      button: GoogleFonts.jost(textStyle: textTheme.button),
      overline: GoogleFonts.jost(textStyle: textTheme.overline),
    );
  }

  /// Applies the Joti One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextStyle jotiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f5feca23a0920be0f78e1eb58c62cdb9ef32b1c4142f6b1ebc3cf13e172683d',
        45536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JotiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Joti One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Joti+One
  static TextTheme jotiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jotiOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jotiOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jotiOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jotiOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jotiOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jotiOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jotiOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jotiOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jotiOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jotiOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jotiOne(textStyle: textTheme.caption),
      button: GoogleFonts.jotiOne(textStyle: textTheme.button),
      overline: GoogleFonts.jotiOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextStyle jua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e140114334d538cd7aba3f5c53621623e62b941efa1a0fd2aa8d5dbea4c61e1',
        1366212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jua
  static TextTheme juaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jua(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jua(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jua(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jua(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jua(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jua(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jua(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jua(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jua(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jua(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jua(textStyle: textTheme.caption),
      button: GoogleFonts.jua(textStyle: textTheme.button),
      overline: GoogleFonts.jua(textStyle: textTheme.overline),
    );
  }

  /// Applies the Judson font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextStyle judson({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0e44f8bee5db23549c40c2bdd46ee689a1d4427410df98883638059880eb73b',
        120496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '434a445b96fb17f89c47a66f76abe63757bb6c0997d49bc83a86e2b0cca56b58',
        111732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b39af14b252a5cb398202d4738e995ef23ad94afe48fbd78fac58759d298f49e',
        107400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Judson',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Judson font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Judson
  static TextTheme judsonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.judson(textStyle: textTheme.headline1),
      headline2: GoogleFonts.judson(textStyle: textTheme.headline2),
      headline3: GoogleFonts.judson(textStyle: textTheme.headline3),
      headline4: GoogleFonts.judson(textStyle: textTheme.headline4),
      headline5: GoogleFonts.judson(textStyle: textTheme.headline5),
      headline6: GoogleFonts.judson(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.judson(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.judson(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.judson(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.judson(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.judson(textStyle: textTheme.caption),
      button: GoogleFonts.judson(textStyle: textTheme.button),
      overline: GoogleFonts.judson(textStyle: textTheme.overline),
    );
  }

  /// Applies the Julee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextStyle julee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f334d6179a0a109566471f8a12eb16eb9b7ce8b2fb4ae975450fc8a2dd71358',
        30828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Julee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julee
  static TextTheme juleeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.julee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.julee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.julee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.julee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.julee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.julee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.julee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.julee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.julee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.julee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.julee(textStyle: textTheme.caption),
      button: GoogleFonts.julee(textStyle: textTheme.button),
      overline: GoogleFonts.julee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextStyle juliusSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2453dedd8ffddbabbe0e7b6822b7cf607757d98524241a40596bb7ae18212156',
        27868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JuliusSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Julius Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Julius+Sans+One
  static TextTheme juliusSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.juliusSansOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.juliusSansOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.juliusSansOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.juliusSansOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.juliusSansOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.juliusSansOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.juliusSansOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.juliusSansOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.juliusSansOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.juliusSansOne(textStyle: textTheme.caption),
      button: GoogleFonts.juliusSansOne(textStyle: textTheme.button),
      overline: GoogleFonts.juliusSansOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Junge font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextStyle junge({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '573f4ddfb30769905cf4446b3fc01243dd50c8d9ad1f810c91f3b009b109d031',
        38872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Junge',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Junge font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Junge
  static TextTheme jungeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.junge(textStyle: textTheme.headline1),
      headline2: GoogleFonts.junge(textStyle: textTheme.headline2),
      headline3: GoogleFonts.junge(textStyle: textTheme.headline3),
      headline4: GoogleFonts.junge(textStyle: textTheme.headline4),
      headline5: GoogleFonts.junge(textStyle: textTheme.headline5),
      headline6: GoogleFonts.junge(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.junge(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.junge(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.junge(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.junge(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.junge(textStyle: textTheme.caption),
      button: GoogleFonts.junge(textStyle: textTheme.button),
      overline: GoogleFonts.junge(textStyle: textTheme.overline),
    );
  }

  /// Applies the Jura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextStyle jura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77bf0cc35f4472e54d1b2daf9d1bfc5f02b062280d8dccd089869c247b4787ee',
        130688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33eb5cfd183074e05fa8299bd75531ec22a6a6d5f8778170d27310d95b1bbbb6',
        131592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77d5a89082924bbe692443c95c536a679eef0891bfbe46d7e30f206f8486631f',
        132540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85ee38dc27e08fef91f43a628bfb4a044e79102b07af8ea7d859b249c169aada',
        134512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8215e86097df83eb3473c6f3ee4d3c63cd00dce9d02b9cd816d27f4e13616183',
        136056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Jura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Jura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Jura
  static TextTheme juraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.jura(textStyle: textTheme.headline1),
      headline2: GoogleFonts.jura(textStyle: textTheme.headline2),
      headline3: GoogleFonts.jura(textStyle: textTheme.headline3),
      headline4: GoogleFonts.jura(textStyle: textTheme.headline4),
      headline5: GoogleFonts.jura(textStyle: textTheme.headline5),
      headline6: GoogleFonts.jura(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.jura(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.jura(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.jura(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.jura(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.jura(textStyle: textTheme.caption),
      button: GoogleFonts.jura(textStyle: textTheme.button),
      overline: GoogleFonts.jura(textStyle: textTheme.overline),
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextStyle justAnotherHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a03840122f7580fc7dfc0c3371d5450fd3b1c04f891bcc1e86780354e7c53d4',
        164136,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustAnotherHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Another Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Another+Hand
  static TextTheme justAnotherHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.justAnotherHand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.justAnotherHand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.justAnotherHand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.justAnotherHand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.justAnotherHand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.justAnotherHand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.justAnotherHand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.justAnotherHand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.justAnotherHand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.justAnotherHand(textStyle: textTheme.caption),
      button: GoogleFonts.justAnotherHand(textStyle: textTheme.button),
      overline: GoogleFonts.justAnotherHand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextStyle justMeAgainDownHere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc0ac5f253850191002f529e5fd66829627682a2f9740fe0345a4bb339da7438',
        52984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'JustMeAgainDownHere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Just Me Again Down Here font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Just+Me+Again+Down+Here
  static TextTheme justMeAgainDownHereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.justMeAgainDownHere(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.justMeAgainDownHere(textStyle: textTheme.caption),
      button: GoogleFonts.justMeAgainDownHere(textStyle: textTheme.button),
      overline: GoogleFonts.justMeAgainDownHere(textStyle: textTheme.overline),
    );
  }

  /// Applies the K2D font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextStyle k2d({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd221fa3a362d33d180e193b479bfddbf9e8ab02b545540d3a80121af669090de',
        90864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ee77370590db6101099fae848e5f0e4fad425bcb6a8bb711390100587eacf49',
        94760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84c5594915b66f9cd68b4acb3820acdf5be79979f881f4edbece711c1a63d0cd',
        90688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '989bf534f4958d0d4655079703f5c6788e8cd7b1add81d08a1de93c354d69c1c',
        94820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bad065e1eeca31036e60587a4472530b8db84eb93149d94f2b687a28c8b0af39',
        90728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1696fa34076cad6a8c919ffbe3247882c29a281086a573ddb8abc0c175794aed',
        94808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebd6d32612d7badd90f78a25b0a45e1573bcbd0b93954b702d17188d178d9e87',
        90976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7dc126127f8fcfeda097e5da4a1097f60e396ed7c4696060eaa0da6f1727366',
        95068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57c28cc8eae5e455cd2000ea358ed6be014ff9f0e69866e18a1e7b9c6345bce0',
        91356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00dc6e342b171a8e55a277d83326c4612d8f176cd576ee5f666636b13fc4ca18',
        95456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ceb3795ff3e683d9c70a4d12f431d94434b2527d61dcc11d59f840bfd644a8a',
        91488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3bff6acc9a59d6af0e9d2b3170d55987d1c96e9bb88ff5c20be84053cdb0dd81',
        95596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42e6c8a5b79abf6121af3fc8777219f39b88045a96a42dfe628d28c2112a4e12',
        91500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d449eedd3718213cee306d0dd007fccf31827c55aa2d25b3d14ca933471e53b',
        95704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f35ce22ce957eeee7bffef62f142fb7bf751169767ad5ab73cd78ba6c135821',
        91496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2141bd5b98bac331831e687a2131f46a8d23093831953a533451e0081a54f6aa',
        95800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'K2D',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the K2D font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/K2D
  static TextTheme k2dTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.k2d(textStyle: textTheme.headline1),
      headline2: GoogleFonts.k2d(textStyle: textTheme.headline2),
      headline3: GoogleFonts.k2d(textStyle: textTheme.headline3),
      headline4: GoogleFonts.k2d(textStyle: textTheme.headline4),
      headline5: GoogleFonts.k2d(textStyle: textTheme.headline5),
      headline6: GoogleFonts.k2d(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.k2d(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.k2d(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.k2d(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.k2d(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.k2d(textStyle: textTheme.caption),
      button: GoogleFonts.k2d(textStyle: textTheme.button),
      overline: GoogleFonts.k2d(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kadwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextStyle kadwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b5f18ab4eefeddcf41f6246b7bdc63d6971c57ff6d628b86fc955f8eacc2e01',
        216352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2355f2b7cea1ab51a7388a8586f175dbb411a58e530e26b1f86b5a62ca80faa2',
        208480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kadwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kadwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kadwa
  static TextTheme kadwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kadwa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kadwa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kadwa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kadwa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kadwa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kadwa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kadwa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kadwa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kadwa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kadwa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kadwa(textStyle: textTheme.caption),
      button: GoogleFonts.kadwa(textStyle: textTheme.button),
      overline: GoogleFonts.kadwa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextStyle kaiseiDecol({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae8676268347f3f666e023fce2288b1becca0acaec604c754503c3ddabf502e8',
        4162272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32091b8f3d69899426f26c7ba9a7379e44fcffc1a3657ade6e5da268b7cf0f9d',
        3965292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ad73d25293ba4387b4df23d6c1e9d360c35b5dda236c9bd2d4f9923fc402968',
        3954772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiDecol',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Decol font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Decol
  static TextTheme kaiseiDecolTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kaiseiDecol(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kaiseiDecol(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kaiseiDecol(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kaiseiDecol(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kaiseiDecol(textStyle: textTheme.caption),
      button: GoogleFonts.kaiseiDecol(textStyle: textTheme.button),
      overline: GoogleFonts.kaiseiDecol(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextStyle kaiseiHarunoUmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8a6fa5812f88f851ff77aba5f29fb010c38edd23b3af21d28e5dff037465ecc',
        4208568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c1437ad15cc9376a947e61e4e0db54e13daa3790150461fd267bbde64f5909',
        4009888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aa7ea08df69d80950ea9f5214a797a06c1ea66e180dd7f26c2c9b4111f80cad',
        4000392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiHarunoUmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei HarunoUmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+HarunoUmi
  static TextTheme kaiseiHarunoUmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.caption),
      button: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.button),
      overline: GoogleFonts.kaiseiHarunoUmi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextStyle kaiseiOpti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '47395621672a90047f82385473ab4cb145432ab40cd597ae4928f9e71c4c3aa7',
        4162144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e82b9f62169233a376c7c5d36eced32168859574142e70065137381adb06ce18',
        3965476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '551de8f3873b1b4b0924d176fd10ccdd229febaf4496c03356176813dfa28812',
        3955376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiOpti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Opti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Opti
  static TextTheme kaiseiOptiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kaiseiOpti(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kaiseiOpti(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kaiseiOpti(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kaiseiOpti(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kaiseiOpti(textStyle: textTheme.caption),
      button: GoogleFonts.kaiseiOpti(textStyle: textTheme.button),
      overline: GoogleFonts.kaiseiOpti(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextStyle kaiseiTokumin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '790ce97811960a925ea4c0b5a0ed84e08a6a4f9cef5d49f18f71d3d3e7bb8360',
        4215052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d1259427a9099137280a32061bb0fb25d991904acffd82b81fb6dcef41bd289',
        4009556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed3767bd60bc3b37cc8358a63734d1ee6691dad4cb8ef5835cd19f9baf1854f4',
        4010064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e375908fdfe08cce90ba3e1cbf6f79df7ece586c0127a7bc971228da33d91992',
        4192728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaiseiTokumin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaisei Tokumin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaisei+Tokumin
  static TextTheme kaiseiTokuminTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kaiseiTokumin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kaiseiTokumin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kaiseiTokumin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kaiseiTokumin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kaiseiTokumin(textStyle: textTheme.caption),
      button: GoogleFonts.kaiseiTokumin(textStyle: textTheme.button),
      overline: GoogleFonts.kaiseiTokumin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextStyle kalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc410247649f3164d61952a81b88737fb56977ac409e4d5f35d960e3b13747a',
        220496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '546c956074b4cd1c7d9936a82b03a712ec46df693b5a0faa80d4233f6bc17d2c',
        220796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd48470c951c546b15999abb42141211e85484cffff16ce7612d07676efb9d0d8',
        223060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kalam
  static TextTheme kalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kalam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kalam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kalam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kalam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kalam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kalam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kalam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kalam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kalam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kalam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kalam(textStyle: textTheme.caption),
      button: GoogleFonts.kalam(textStyle: textTheme.button),
      overline: GoogleFonts.kalam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kameron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextStyle kameron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31d4c66237b8a2353dcb28cc0c0fcf347f10cb20582071c7db1e3d2820bc9d29',
        39420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba1c38d9290bf8209d9ff96941f976a43f44f9bd3eee9b066349fe39d6a0eef6',
        40328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kameron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kameron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kameron
  static TextTheme kameronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kameron(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kameron(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kameron(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kameron(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kameron(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kameron(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kameron(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kameron(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kameron(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kameron(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kameron(textStyle: textTheme.caption),
      button: GoogleFonts.kameron(textStyle: textTheme.button),
      overline: GoogleFonts.kameron(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kanit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextStyle kanit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ae2534d6b4ec69c677d8c2cf336e1ba3c802e9e316c028c99a8db43ebb63f70',
        91856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07d136289c506d3788ccbfcdf9e764427270b557b1b601d925bf997d002827ff',
        101028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a7bd784e91a9a006ec021a5f891a29ac3d867878f998bb1c2d7cdeac7dcb6b2',
        91724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4171f0d7fdb919ffe44d9fb9fcccb08610ca5646f6e1f258e62ebe1b237d40b7',
        101072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af3df5dc97d26cade1367d07a411e2ce209ab130f0d0f22c73594f2f9488f231',
        91856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '684fbd0330c7997a7aa6d6b72454ed7dbcaab91d2c54be50157988c9669ff845',
        100884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7996f53043acf5b6c782024a9c21ccd0bbab714f137cba3f64a2108709df989b',
        91176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9367b66fe82713a777016d80d74986e22f272688d4fa1a7aaa2e8d999d31b0d4',
        100492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '696301b8ecd45c7227d2c5ff3a308bbf701b05428b121fa43523622416c87e12',
        90588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6dd4b995a1dde18512697195090fb6bee9d0f44b124e8deb55d8619204637957',
        99036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ccc6cb20ad4fe61a7cd12f4124476933985e5e8c105008bf5549dee46d671fcb',
        90688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5f81f4c0eae984a4ba6dec488b4b74c2b72db9871111ee3b595473a73be34d5b',
        99316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9844297d29f6a9c9d97cfa435750cc2933cc8d47b30e9c380e080d665310aaad',
        89616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '84a74264e2a1b11040aa80b859501eb498938736938cc12e1838be482ca1681f',
        99564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac86afa00dd8b070dc0325ff6ee63daee98cd4004aacce60aab9a9f147d3151e',
        90344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d3cf6f6f9f8952c9fbffa0fba60279f3b0fee229b846a4ff1d127732642c3c8',
        99912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '593120b5c1292664ccee5994d9936265b8372449097d70ce0cdc3737408f0c1f',
        89780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '887e5a2586587398cc15672b3f3fef3e35836150f74ff4c8f80a34895effe69a',
        119368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kanit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kanit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kanit
  static TextTheme kanitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kanit(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kanit(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kanit(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kanit(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kanit(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kanit(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kanit(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kanit(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kanit(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kanit(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kanit(textStyle: textTheme.caption),
      button: GoogleFonts.kanit(textStyle: textTheme.button),
      overline: GoogleFonts.kanit(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kantumruy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy
  static TextStyle kantumruy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1d181333c6beb8df855376481f36dcaa1e27f9c6fe7ba0c990035a73aca6686',
        43484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b0483d5bc7f567f83bda10131a033929865349c666f585d4feaa69600a60802',
        42468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e6b33a5b9d03c7ed3f4e94d9704262ca70dc513ac1f129964f79ccddba04e06',
        41952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kantumruy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kantumruy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kantumruy
  static TextTheme kantumruyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kantumruy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kantumruy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kantumruy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kantumruy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kantumruy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kantumruy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kantumruy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kantumruy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kantumruy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kantumruy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kantumruy(textStyle: textTheme.caption),
      button: GoogleFonts.kantumruy(textStyle: textTheme.button),
      overline: GoogleFonts.kantumruy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Karla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextStyle karla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f59c39b7fe5470c4c19a0bd67174cb94cdbe2053382046ea00b00fbfd5008a7',
        16768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8dfdedc9371e4b6c128ba66b488cc38a94142de7a6aec5633026651dbbe7fd50',
        18500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60f1379da84423da4c84a9d3ad1a1293ce82daf3c8337c5f3d027e5e0aa892c3',
        17820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '11cdf8ae7a17fbd7e9d7e2b43ced2e092b6d3a77cd2846dbf42cf3d82ffcb5e8',
        18624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karla
  static TextTheme karlaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.karla(textStyle: textTheme.headline1),
      headline2: GoogleFonts.karla(textStyle: textTheme.headline2),
      headline3: GoogleFonts.karla(textStyle: textTheme.headline3),
      headline4: GoogleFonts.karla(textStyle: textTheme.headline4),
      headline5: GoogleFonts.karla(textStyle: textTheme.headline5),
      headline6: GoogleFonts.karla(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.karla(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.karla(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.karla(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.karla(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.karla(textStyle: textTheme.caption),
      button: GoogleFonts.karla(textStyle: textTheme.button),
      overline: GoogleFonts.karla(textStyle: textTheme.overline),
    );
  }

  /// Applies the Karma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextStyle karma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3efd1dc089cbb099173fc03a8bfc22d406db0671888af830ca7137e548369989',
        213140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8852b0f721a3603b10be618c6a5ad02f581025568b8db801a75130da5f0c8d48',
        213320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2701feff031a171c4d982c100c27cf15d52d5051c49481762f43eeecc4bd54bd',
        212556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '932cd064de412606a66f2a06a29ed0003de9669fe26d7f1f9f3e76bfc74dbb78',
        213564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '132e41c0f90df6a2646b59a685af793e0ce62b2b64245d2db081d1ab1f6889e8',
        214132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Karma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Karma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Karma
  static TextTheme karmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.karma(textStyle: textTheme.headline1),
      headline2: GoogleFonts.karma(textStyle: textTheme.headline2),
      headline3: GoogleFonts.karma(textStyle: textTheme.headline3),
      headline4: GoogleFonts.karma(textStyle: textTheme.headline4),
      headline5: GoogleFonts.karma(textStyle: textTheme.headline5),
      headline6: GoogleFonts.karma(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.karma(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.karma(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.karma(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.karma(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.karma(textStyle: textTheme.caption),
      button: GoogleFonts.karma(textStyle: textTheme.button),
      overline: GoogleFonts.karma(textStyle: textTheme.overline),
    );
  }

  /// Applies the Katibeh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextStyle katibeh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16765d8ec4094a1fc5253399ebcf655c81c391de1a03f36d75059b0118e154a0',
        188360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Katibeh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Katibeh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Katibeh
  static TextTheme katibehTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.katibeh(textStyle: textTheme.headline1),
      headline2: GoogleFonts.katibeh(textStyle: textTheme.headline2),
      headline3: GoogleFonts.katibeh(textStyle: textTheme.headline3),
      headline4: GoogleFonts.katibeh(textStyle: textTheme.headline4),
      headline5: GoogleFonts.katibeh(textStyle: textTheme.headline5),
      headline6: GoogleFonts.katibeh(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.katibeh(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.katibeh(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.katibeh(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.katibeh(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.katibeh(textStyle: textTheme.caption),
      button: GoogleFonts.katibeh(textStyle: textTheme.button),
      overline: GoogleFonts.katibeh(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextStyle kaushanScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a873f20587d6d9f0fc829b52f62b3d79665f806ca3062b6d5c14e6450e10c623',
        138340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KaushanScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kaushan Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kaushan+Script
  static TextTheme kaushanScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kaushanScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kaushanScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kaushanScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kaushanScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kaushanScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kaushanScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kaushanScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kaushanScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kaushanScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kaushanScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kaushanScript(textStyle: textTheme.caption),
      button: GoogleFonts.kaushanScript(textStyle: textTheme.button),
      overline: GoogleFonts.kaushanScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextStyle kavivanar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18f829fa1d200c2774144c3fcc8eb4f393a7bf7e2c8e3d95ecf831dd96e498ae',
        66336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavivanar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavivanar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavivanar
  static TextTheme kavivanarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kavivanar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kavivanar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kavivanar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kavivanar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kavivanar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kavivanar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kavivanar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kavivanar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kavivanar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kavivanar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kavivanar(textStyle: textTheme.caption),
      button: GoogleFonts.kavivanar(textStyle: textTheme.button),
      overline: GoogleFonts.kavivanar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kavoon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextStyle kavoon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c2328be5a827d790cddbe56db46b1c94043f473e5d01286be1567e454a4038d',
        52288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kavoon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kavoon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kavoon
  static TextTheme kavoonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kavoon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kavoon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kavoon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kavoon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kavoon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kavoon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kavoon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kavoon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kavoon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kavoon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kavoon(textStyle: textTheme.caption),
      button: GoogleFonts.kavoon(textStyle: textTheme.button),
      overline: GoogleFonts.kavoon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kdam Thmor font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor
  static TextStyle kdamThmor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fc30fa8d328331e5132a7c7bf04cc803ada727681101c00dce2c9e84732f191',
        56332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KdamThmor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kdam Thmor font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kdam+Thmor
  static TextTheme kdamThmorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kdamThmor(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kdamThmor(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kdamThmor(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kdamThmor(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kdamThmor(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kdamThmor(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kdamThmor(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kdamThmor(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kdamThmor(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kdamThmor(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kdamThmor(textStyle: textTheme.caption),
      button: GoogleFonts.kdamThmor(textStyle: textTheme.button),
      overline: GoogleFonts.kdamThmor(textStyle: textTheme.overline),
    );
  }

  /// Applies the Keania One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextStyle keaniaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39c288c7a1580666e2ebb839a9df6cfb69104742879e8e61900550b02a4f9fb8',
        38764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KeaniaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Keania One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Keania+One
  static TextTheme keaniaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.keaniaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.keaniaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.keaniaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.keaniaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.keaniaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.keaniaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.keaniaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.keaniaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.keaniaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.keaniaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.keaniaOne(textStyle: textTheme.caption),
      button: GoogleFonts.keaniaOne(textStyle: textTheme.button),
      overline: GoogleFonts.keaniaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextStyle kellySlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e2083c69e8813f4eaba66f9dbe4960cd23ce5e098577997c4a3ae8d09c15c31',
        77792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KellySlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kelly Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kelly+Slab
  static TextTheme kellySlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kellySlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kellySlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kellySlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kellySlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kellySlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kellySlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kellySlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kellySlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kellySlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kellySlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kellySlab(textStyle: textTheme.caption),
      button: GoogleFonts.kellySlab(textStyle: textTheme.button),
      overline: GoogleFonts.kellySlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kenia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextStyle kenia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '504cbb4c7a6888c5333bff718cde206f914f047b6247076cd4033f6457a2a9a6',
        39060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kenia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kenia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kenia
  static TextTheme keniaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kenia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kenia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kenia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kenia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kenia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kenia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kenia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kenia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kenia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kenia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kenia(textStyle: textTheme.caption),
      button: GoogleFonts.kenia(textStyle: textTheme.button),
      overline: GoogleFonts.kenia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Khand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextStyle khand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cd4683a916646dd278fb0eb4426f6826ca4f0cc92ce083de087f2287fb11f98',
        168560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '325e1b6938310cd0385a917b47fcadabece70ea8fa6356a276e20fb171d57af5',
        168592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dd2785eedd866d3f7e329ad7264d66157ec7a40ef41d48aab098287b5a8863d',
        167652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2471269ec4d3228c379da2bc6e54db78b4c7b315613d0cd1e639539c7d92d75d',
        167892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '609dc9682e1321a8db6ab6a4caeffe07395b8517327ee5ce936b365e586fb402',
        167440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khand
  static TextTheme khandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.khand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.khand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.khand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.khand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.khand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.khand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.khand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.khand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.khand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.khand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.khand(textStyle: textTheme.caption),
      button: GoogleFonts.khand(textStyle: textTheme.button),
      overline: GoogleFonts.khand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Khula font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextStyle khula({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '565c281fe5c11e451834dd30eda6e6d94a41c1a9c186c175541aa8ddef492d4f',
        103456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '743e9de20b77192c80fd43452b591fcc85ef36aa1dd7746171503962b5687046',
        101668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af7d4733894aa875443cf8921445981662df9f4f3ee13e8cc151dee7c9ca5dde',
        101652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8536c085e0c982334e632c44c763535658fd643b50254fb20784b8f377a6231',
        101984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '976ee869557699be72a4b83bbb3362cc7be7de27930b5b671210b69063a49d2f',
        103132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Khula',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Khula font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Khula
  static TextTheme khulaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.khula(textStyle: textTheme.headline1),
      headline2: GoogleFonts.khula(textStyle: textTheme.headline2),
      headline3: GoogleFonts.khula(textStyle: textTheme.headline3),
      headline4: GoogleFonts.khula(textStyle: textTheme.headline4),
      headline5: GoogleFonts.khula(textStyle: textTheme.headline5),
      headline6: GoogleFonts.khula(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.khula(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.khula(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.khula(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.khula(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.khula(textStyle: textTheme.caption),
      button: GoogleFonts.khula(textStyle: textTheme.button),
      overline: GoogleFonts.khula(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kings font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextStyle kings({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9083dcaebaa49d9237d56f7eec56d166925457c935d8736e15e2788d3a1dbbed',
        115552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kings',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kings font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kings
  static TextTheme kingsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kings(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kings(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kings(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kings(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kings(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kings(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kings(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kings(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kings(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kings(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kings(textStyle: textTheme.caption),
      button: GoogleFonts.kings(textStyle: textTheme.button),
      overline: GoogleFonts.kings(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextStyle kirangHaerang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '419ae98f0574b7c2a5b81ce99a859d0db9335d7be00145712bad1d7d8881abb1',
        3554608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KirangHaerang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kirang Haerang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kirang+Haerang
  static TextTheme kirangHaerangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kirangHaerang(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kirangHaerang(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kirangHaerang(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kirangHaerang(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kirangHaerang(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kirangHaerang(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kirangHaerang(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kirangHaerang(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kirangHaerang(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kirangHaerang(textStyle: textTheme.caption),
      button: GoogleFonts.kirangHaerang(textStyle: textTheme.button),
      overline: GoogleFonts.kirangHaerang(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kite One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextStyle kiteOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34684b654cf048f7030568588f753ee06c120f4d68ba9426e47995af21a6aa8b',
        37560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KiteOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kite One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kite+One
  static TextTheme kiteOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kiteOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kiteOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kiteOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kiteOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kiteOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kiteOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kiteOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kiteOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kiteOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kiteOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kiteOne(textStyle: textTheme.caption),
      button: GoogleFonts.kiteOne(textStyle: textTheme.button),
      overline: GoogleFonts.kiteOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Klee One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextStyle kleeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c307a4574ab7ef8cf7a859d7ea760d7e70644f72577dcd8e762ca364cd104b2',
        6649824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c0c75277d4d6e298dfc4b0910a4bba5b6f0b228887531a34855427250d4f284',
        6798992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KleeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Klee One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Klee+One
  static TextTheme kleeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kleeOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kleeOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kleeOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kleeOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kleeOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kleeOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kleeOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kleeOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kleeOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kleeOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kleeOne(textStyle: textTheme.caption),
      button: GoogleFonts.kleeOne(textStyle: textTheme.button),
      overline: GoogleFonts.kleeOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Knewave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextStyle knewave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3a13f54f0f82d09a1c116c40d693c4e9a6212437c8602f91acb88a205ea9fdc',
        32412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Knewave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Knewave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Knewave
  static TextTheme knewaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.knewave(textStyle: textTheme.headline1),
      headline2: GoogleFonts.knewave(textStyle: textTheme.headline2),
      headline3: GoogleFonts.knewave(textStyle: textTheme.headline3),
      headline4: GoogleFonts.knewave(textStyle: textTheme.headline4),
      headline5: GoogleFonts.knewave(textStyle: textTheme.headline5),
      headline6: GoogleFonts.knewave(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.knewave(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.knewave(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.knewave(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.knewave(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.knewave(textStyle: textTheme.caption),
      button: GoogleFonts.knewave(textStyle: textTheme.button),
      overline: GoogleFonts.knewave(textStyle: textTheme.overline),
    );
  }

  /// Applies the KoHo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextStyle koHo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b4addbdb3d0cadc2f6c0149b90b29c059dc7f2be08d0b28292acb880db45124',
        86716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '73dd6271884581477beeb0860878fd6b524f3e880cc020295c24e2bf1d41a70c',
        90908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '676e89293e4714a1c63fdd477c5dc88950461834031e2ea0437e65b31fc5a03a',
        86412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c2ce20516635678f4f67581782cd3c0429b8cf361e732c24021bc1711fc609e',
        90612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8128e00cc778e37cc7db7f518f22ca833399d8c4bdfac07fd1fd063435ba658',
        86204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3225382b5d36a6963f8d1cc5fb60086a657ecb39882bab5259eda483f292af57',
        90532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '90a011adf31d93ee90f5e105dd20a7a69e7de53626672d10449e9bced87b5916',
        85892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd0a466ebee7135ca6790a7908264c0457b65dbd9c927ec7082f43827d45f5d4',
        90208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cf86562498ddfbbaa3a3b5d46e848407702a925472a4a3e76ab1ef1a7949106',
        85700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cd527fcf4a07b728233b2d93e0ef12477bf9988918e604f16fd823a15a2c3639',
        89800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c059ce850125c2f3bec60528a808fea56f6191b9b9bac380a4a38da9d2f42bfa',
        85128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '16a471d3f9b251d19034945ede1cd8c304c08caba74db67fc08e01556ec0e3b4',
        88844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KoHo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the KoHo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/KoHo
  static TextTheme koHoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.koHo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.koHo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.koHo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.koHo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.koHo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.koHo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.koHo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.koHo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.koHo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.koHo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.koHo(textStyle: textTheme.caption),
      button: GoogleFonts.koHo(textStyle: textTheme.button),
      overline: GoogleFonts.koHo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextStyle kodchasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2edcba243e7c1435577d6a15a666013f9b4f4db824a08ac150024e2000e4b7de',
        95536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6dabeb02077bcb1ee80b8aa519c66632dc2429a3cd60c6cabd5f91154288b103',
        99884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6eb43574315a2c2b393aa7ca05550b9b578bddd384857e454e5fbe82b515bfea',
        96716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fb557cb4f6efc30f933535fb5248e6730fbdcd42302a4b7ee4a58357d71aa0a9',
        100924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eeae77f326fa242ac959bdcb27637f93f6ca476033b7d1e36f106cd40c510317',
        96988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec040aba86add77fe833d612e33ecb85ef59b26b83c92a86771db7e3f11a8f55',
        101700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d7924da481a4595e389025f7a5d21b4bdcc49e7e9766bcdb939f3fe48a3f11',
        97288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '86198a3feb862a0d1abbba874238ef724e7f0e39221baf31690c24d363b75c52',
        102088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa4d9b59366b50f70d33afeb164cee9a13230055602bfdd410ceba9ec9c94132',
        97376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bcc4ef0fab22eb3e1e2ef611c53721b1d133ddc5ae972a8e978c4b8024b6aa30',
        102560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df1e9c701a40ce05b3d8a4189480e045deff521a283218f2094f2cbbc434e17',
        97212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37e6fe167fcb53ce25beebb7983c99d3fb3831d1891cb10d36bdffdcc9bef707',
        102668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kodchasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kodchasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kodchasan
  static TextTheme kodchasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kodchasan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kodchasan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kodchasan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kodchasan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kodchasan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kodchasan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kodchasan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kodchasan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kodchasan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kodchasan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kodchasan(textStyle: textTheme.caption),
      button: GoogleFonts.kodchasan(textStyle: textTheme.button),
      overline: GoogleFonts.kodchasan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextStyle kohSantepheap({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e738adaf6a082e02188dac56fd34fe840b13984412b3d9db6084f3a892698af2',
        96388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c3607f8520e45a00337e40ab3dd6a0aa3515d73c9cd8723b4a096a1f09b3c99',
        90144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41a4e351c6d884e2eddb595970d56dd4b30230ac086a9f7a0f523887feecc3b1',
        85560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bcbc2674cddb4ae88fbaadd0df982bea36af831efaa96b5f0b52b2213e35030',
        82212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77bdcd98381fd920f982a94cee738e4d009bc0402e2f031c5ffa8475e5aa8efd',
        74864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KohSantepheap',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Koh Santepheap font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Koh+Santepheap
  static TextTheme kohSantepheapTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kohSantepheap(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kohSantepheap(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kohSantepheap(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kohSantepheap(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kohSantepheap(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kohSantepheap(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kohSantepheap(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kohSantepheap(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kohSantepheap(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kohSantepheap(textStyle: textTheme.caption),
      button: GoogleFonts.kohSantepheap(textStyle: textTheme.button),
      overline: GoogleFonts.kohSantepheap(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kosugi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextStyle kosugi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '100d52cf4a5ea4cf706199b6573e20b6963747dbf39a6fa2bd5eace488da7cfa',
        1918404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kosugi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi
  static TextTheme kosugiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kosugi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kosugi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kosugi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kosugi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kosugi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kosugi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kosugi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kosugi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kosugi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kosugi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kosugi(textStyle: textTheme.caption),
      button: GoogleFonts.kosugi(textStyle: textTheme.button),
      overline: GoogleFonts.kosugi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextStyle kosugiMaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fbe25d62fc496dd41c965a6a410bcb248978277da1dedd4682e2b1d72c4ade9',
        2558132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KosugiMaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kosugi Maru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kosugi+Maru
  static TextTheme kosugiMaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kosugiMaru(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kosugiMaru(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kosugiMaru(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kosugiMaru(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kosugiMaru(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kosugiMaru(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kosugiMaru(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kosugiMaru(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kosugiMaru(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kosugiMaru(textStyle: textTheme.caption),
      button: GoogleFonts.kosugiMaru(textStyle: textTheme.button),
      overline: GoogleFonts.kosugiMaru(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kotta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextStyle kottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d0a0a70c6c66af4f55948fe817266bdb57b4ac8de0a0fe31f41350ccb139a41',
        36576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kotta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kotta+One
  static TextTheme kottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kottaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kottaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kottaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kottaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kottaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kottaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kottaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kottaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kottaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kottaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kottaOne(textStyle: textTheme.caption),
      button: GoogleFonts.kottaOne(textStyle: textTheme.button),
      overline: GoogleFonts.kottaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kranky font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextStyle kranky({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ede337ff9d5b44d7958a35407098749494ddd69efd07cad00c906439794d962',
        198904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kranky',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kranky font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kranky
  static TextTheme krankyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kranky(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kranky(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kranky(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kranky(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kranky(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kranky(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kranky(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kranky(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kranky(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kranky(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kranky(textStyle: textTheme.caption),
      button: GoogleFonts.kranky(textStyle: textTheme.button),
      overline: GoogleFonts.kranky(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kreon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextStyle kreon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '988fb49f563aec3452b26437e4cef99cd52bf368c5fb6c30e7b9e1419e4a3723',
        37016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95de76c3d8f95714fbfda4a89b6cf0b74a4285d9d0f81908cbd91c7146109d83',
        36852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d9092c90a6173026afefda0a94456688b33166363b733d8d42200e68837b012',
        37648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kreon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kreon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kreon
  static TextTheme kreonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kreon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kreon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kreon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kreon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kreon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kreon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kreon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kreon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kreon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kreon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kreon(textStyle: textTheme.caption),
      button: GoogleFonts.kreon(textStyle: textTheme.button),
      overline: GoogleFonts.kreon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kristi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextStyle kristi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6769ae6a5019b65b4c320170421385429bc0ab627affdc0b481ad8b7f7e2814b',
        26988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kristi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kristi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kristi
  static TextTheme kristiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kristi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kristi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kristi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kristi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kristi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kristi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kristi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kristi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kristi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kristi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kristi(textStyle: textTheme.caption),
      button: GoogleFonts.kristi(textStyle: textTheme.button),
      overline: GoogleFonts.kristi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Krona One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextStyle kronaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3051123d5b341e07e0a0c83f46022f8c16edd2373a7405e1857ddbf3ac95132',
        35168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KronaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krona One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krona+One
  static TextTheme kronaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kronaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kronaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kronaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kronaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kronaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kronaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kronaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kronaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kronaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kronaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kronaOne(textStyle: textTheme.caption),
      button: GoogleFonts.kronaOne(textStyle: textTheme.button),
      overline: GoogleFonts.kronaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Krub font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextStyle krub({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e99da9729e8beb706a3f7dd95ff2b13b7e33f89ceabaf9f2330e61896b93fa39',
        81664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '63f21c0600aea197624e3d1c2e40daafe5eabdfd3f3b604ef5a0240158275df3',
        84648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c051f20fb436fad0503f887fa3835d2787be9ae5fbe5be539dc1532d24f8df2f',
        81100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7745d1a884ad74618766af351077c4625adf1e3ba22d4d86f3aa7cf49306b98',
        83988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0e841ab6bf1b00cdeb73777db2ee1a1cfa53adda512b49fbd12511e8fd15169',
        80988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e23fec650c8fabcf0ecb628c198acb3c2a8cc928f9ab5814f5eafa81c9ceeaa',
        84040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2964f338dadae9da331e3cb292ca6fa5a8fe4eb8267fc4846b40115fbb645f2b',
        80900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'defa6560ee637da7a34fda9c66033c4a5465e3bc8b92a02da190b58dfdd71ad6',
        83856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f875531446bca4ea9d68ff550096ba0371fb5c0b8fa84667d9de385848b424e',
        80800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'af1dcba5de7428e1ddd0d849ddffc16f048518210fefe8a98bf21ff22234b3f1',
        83792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '066231a170b822e951eb201a38fd17e6a13d82773be17af5e9b184928e32c6c7',
        80756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bb202066513c0b7b93b2e8552d17feeaf2580daa45fdf8e88f3e98205ca2342e',
        83796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Krub',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Krub font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Krub
  static TextTheme krubTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.krub(textStyle: textTheme.headline1),
      headline2: GoogleFonts.krub(textStyle: textTheme.headline2),
      headline3: GoogleFonts.krub(textStyle: textTheme.headline3),
      headline4: GoogleFonts.krub(textStyle: textTheme.headline4),
      headline5: GoogleFonts.krub(textStyle: textTheme.headline5),
      headline6: GoogleFonts.krub(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.krub(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.krub(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.krub(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.krub(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.krub(textStyle: textTheme.caption),
      button: GoogleFonts.krub(textStyle: textTheme.button),
      overline: GoogleFonts.krub(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kufam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextStyle kufam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c2bb31f9dd171bed88ba502db12721774a13319071394e56e851504328cced1',
        141620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '628f6fa7084fc9014fba2e3c27aba50a901a708970eb6979b3fda1ec867cc2ba',
        141724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26c69927ca903d5e5ddedc392efcbf0623458d9d352cb29d93560e14a9091a15',
        141764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18dcfedf39aa5d3740934b3acb3353f04a783bd3837cc96274c8d41714c10959',
        141772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80506455dc52f96e1c01dc03895ffd7b6acb1f00e8f25fe7e31f9f23ecd11b5e',
        141780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91956312f9838b7521ffc47c1f995a3e8dab1db5066c4a0c795bb0859bae2d3c',
        141636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fb37298bd90094fe92ba44840e627b41bfd6e6efb0815463dd4d930f5c1147a',
        73236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d94116c2e09feac74f75c363668984bebf577bf9b7ca8536389327c3307d3f5',
        73392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acba03eb543ba4c89ad5147f7e9e38a08359468fd5207a25654c7ac769fc4f74',
        73420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c905cb847568b45ec8c0e52155436db8588c324545088a9152d3e65b0cec2cf9',
        73292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '65a1ad9ba5604756d5e0cc9e15ad2e96b5eca8118c8686f1b7a60b10853a0d84',
        73356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d2ee6303973ef6ff89e5b07b8ee5193f461009ed343aea533496c3c5e2f3f15',
        73304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kufam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kufam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kufam
  static TextTheme kufamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kufam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kufam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kufam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kufam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kufam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kufam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kufam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kufam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kufam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kufam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kufam(textStyle: textTheme.caption),
      button: GoogleFonts.kufam(textStyle: textTheme.button),
      overline: GoogleFonts.kufam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextStyle kulimPark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '840c4d3989e45ba899e1b3d09646ca3f9bef766fb66b167c5ea95b0726f44a0b',
        42840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8737e36ff5a77edc8d6596fcaa803b3cf72b11b077e0b7b0397fa81c2f03dd31',
        44900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f528827be704c4d4f91d75915cedac8ff4754733bcac2e61e48bdac1e6752eb',
        43988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62e148954a2bd0e9e8c26272bfc3eedaaeecdf3a318ade20223eb51d2b83abdb',
        45800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2dc8ced6a590e1bfbabfeaf4b27a7366fccc572cfee1fe459f22618ab3f1e58',
        43976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd3d40eaa8f0ae675fa6895c58f65a5c082236f54ee433a53963584e3f308f7c8',
        45616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cea3878ffef1244f27d1495beb506d10f3206d59da7d09f737ac355fde66784e',
        43876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62a7e064a37929edd5a709ff870cd8bafcf530cd6439f26277ab061d4128a8ad',
        45616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e77b347e0afbacac1a4ba530b6fc6e0a7e166bd3edf29bdc414dd6497b806d',
        43444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'baa22986aa8baf32baf6fbbd27e630ee792aac59cbf10df4701f9cd85d3232cd',
        45424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KulimPark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kulim Park font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kulim+Park
  static TextTheme kulimParkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kulimPark(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kulimPark(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kulimPark(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kulimPark(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kulimPark(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kulimPark(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kulimPark(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kulimPark(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kulimPark(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kulimPark(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kulimPark(textStyle: textTheme.caption),
      button: GoogleFonts.kulimPark(textStyle: textTheme.button),
      overline: GoogleFonts.kulimPark(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kumar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextStyle kumarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7aa5fb44eb6e2f7f5a30bf8ae90da684a6d448b161974422dee1109dcdb3cab',
        94132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One
  static TextTheme kumarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kumarOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kumarOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kumarOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kumarOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kumarOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kumarOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kumarOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kumarOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kumarOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kumarOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kumarOne(textStyle: textTheme.caption),
      button: GoogleFonts.kumarOne(textStyle: textTheme.button),
      overline: GoogleFonts.kumarOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextStyle kumarOneOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b69d95adfdc90ffb8852e1828c7d227219b5374737613f23a88cfbb02439e915',
        127824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumarOneOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumar One Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumar+One+Outline
  static TextTheme kumarOneOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kumarOneOutline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kumarOneOutline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kumarOneOutline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kumarOneOutline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kumarOneOutline(textStyle: textTheme.caption),
      button: GoogleFonts.kumarOneOutline(textStyle: textTheme.button),
      overline: GoogleFonts.kumarOneOutline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextStyle kumbhSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43966dbbdeb9f3181e27f1b0dd5f376b20aeae923063baf51cdf00f5a5824b86',
        29836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd7e6e35c2af2000577cd756754e4bf710f2fb83ecb7bd9c2252d606f4692770',
        39632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c164b10128145b6c5fe70f3178d4723c7e6c0c73a40c2a529441dbbe775c61d3',
        33032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'KumbhSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kumbh Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kumbh+Sans
  static TextTheme kumbhSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kumbhSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kumbhSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kumbhSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kumbhSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kumbhSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kumbhSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kumbhSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kumbhSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kumbhSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kumbhSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kumbhSans(textStyle: textTheme.caption),
      button: GoogleFonts.kumbhSans(textStyle: textTheme.button),
      overline: GoogleFonts.kumbhSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Kurale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextStyle kurale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dfcb85ac1c2a3ca188df6595b0099ece1a830475577e1897d491f575e6746e56',
        164312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Kurale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Kurale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Kurale
  static TextTheme kuraleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.kurale(textStyle: textTheme.headline1),
      headline2: GoogleFonts.kurale(textStyle: textTheme.headline2),
      headline3: GoogleFonts.kurale(textStyle: textTheme.headline3),
      headline4: GoogleFonts.kurale(textStyle: textTheme.headline4),
      headline5: GoogleFonts.kurale(textStyle: textTheme.headline5),
      headline6: GoogleFonts.kurale(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.kurale(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.kurale(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.kurale(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.kurale(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.kurale(textStyle: textTheme.caption),
      button: GoogleFonts.kurale(textStyle: textTheme.button),
      overline: GoogleFonts.kurale(textStyle: textTheme.overline),
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextStyle laBelleAurore({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '604ab650c1e1ab2e45459ba2bc1302e120467025e2f3a9946978bb7e7e0d03a3',
        58692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LaBelleAurore',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the La Belle Aurore font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/La+Belle+Aurore
  static TextTheme laBelleAuroreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.laBelleAurore(textStyle: textTheme.headline1),
      headline2: GoogleFonts.laBelleAurore(textStyle: textTheme.headline2),
      headline3: GoogleFonts.laBelleAurore(textStyle: textTheme.headline3),
      headline4: GoogleFonts.laBelleAurore(textStyle: textTheme.headline4),
      headline5: GoogleFonts.laBelleAurore(textStyle: textTheme.headline5),
      headline6: GoogleFonts.laBelleAurore(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.laBelleAurore(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.laBelleAurore(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.laBelleAurore(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.laBelleAurore(textStyle: textTheme.caption),
      button: GoogleFonts.laBelleAurore(textStyle: textTheme.button),
      overline: GoogleFonts.laBelleAurore(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lacquer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextStyle lacquer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d33d0518b8cf4ae8d6149c8bc8e7e19ced4124d6b80d47934fd4e7897cda55a',
        203048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lacquer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lacquer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lacquer
  static TextTheme lacquerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lacquer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lacquer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lacquer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lacquer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lacquer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lacquer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lacquer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lacquer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lacquer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lacquer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lacquer(textStyle: textTheme.caption),
      button: GoogleFonts.lacquer(textStyle: textTheme.button),
      overline: GoogleFonts.lacquer(textStyle: textTheme.overline),
    );
  }

  /// Applies the Laila font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextStyle laila({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8aac335fe109f453ca82438785143a3d54ca6b5860f929a066015b366dd23603',
        203036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba573905733e8e1ec12baa194825add1cb80997c3c08b032d6439d524eef298a',
        203952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '445309cf766b79874168d66f2dc2f5eb067c865989ed496a8e2389411de9e18b',
        202320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f393a4935161c1ac8a55a20d2a1107e698de003ace696ae5c6db50c7bf8c0781',
        202264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2cfeefaeb650171ed23e31b4fe85b7c5b8605f36e351821ffd3a351aeec6c17',
        201144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Laila',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Laila font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Laila
  static TextTheme lailaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.laila(textStyle: textTheme.headline1),
      headline2: GoogleFonts.laila(textStyle: textTheme.headline2),
      headline3: GoogleFonts.laila(textStyle: textTheme.headline3),
      headline4: GoogleFonts.laila(textStyle: textTheme.headline4),
      headline5: GoogleFonts.laila(textStyle: textTheme.headline5),
      headline6: GoogleFonts.laila(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.laila(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.laila(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.laila(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.laila(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.laila(textStyle: textTheme.caption),
      button: GoogleFonts.laila(textStyle: textTheme.button),
      overline: GoogleFonts.laila(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextStyle lakkiReddy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7517025d73568d9d811b25e8c5ef20a9f9d94bb816d4f334668f3c2d2830d079',
        379840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LakkiReddy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lakki Reddy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lakki+Reddy
  static TextTheme lakkiReddyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lakkiReddy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lakkiReddy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lakkiReddy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lakkiReddy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lakkiReddy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lakkiReddy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lakkiReddy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lakkiReddy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lakkiReddy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lakkiReddy(textStyle: textTheme.caption),
      button: GoogleFonts.lakkiReddy(textStyle: textTheme.button),
      overline: GoogleFonts.lakkiReddy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lalezar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextStyle lalezar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fb2ddb0068e2bc905effaccf71a86ff357486d6a30804cd2e1a8109d0f165fc',
        190024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lalezar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lalezar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lalezar
  static TextTheme lalezarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lalezar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lalezar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lalezar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lalezar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lalezar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lalezar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lalezar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lalezar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lalezar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lalezar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lalezar(textStyle: textTheme.caption),
      button: GoogleFonts.lalezar(textStyle: textTheme.button),
      overline: GoogleFonts.lalezar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lancelot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextStyle lancelot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a717264fe5246a5aae3c8706eb7368a7a36008880de093d205dadca67f8cfc97',
        30668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lancelot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lancelot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lancelot
  static TextTheme lancelotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lancelot(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lancelot(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lancelot(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lancelot(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lancelot(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lancelot(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lancelot(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lancelot(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lancelot(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lancelot(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lancelot(textStyle: textTheme.caption),
      button: GoogleFonts.lancelot(textStyle: textTheme.button),
      overline: GoogleFonts.lancelot(textStyle: textTheme.overline),
    );
  }

  /// Applies the Langar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextStyle langar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d494b520a215cbab3c0c1e50463bfebb2e00da8370f5ea578b2c88e43ea824d',
        137468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Langar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Langar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Langar
  static TextTheme langarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.langar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.langar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.langar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.langar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.langar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.langar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.langar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.langar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.langar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.langar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.langar(textStyle: textTheme.caption),
      button: GoogleFonts.langar(textStyle: textTheme.button),
      overline: GoogleFonts.langar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lateef font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextStyle lateef({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db6ed59fb822daefac366cd24ad8a0d2b7d9bf35e1ea45490ab50b3f50b0de88',
        172748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lateef',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lateef font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lateef
  static TextTheme lateefTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lateef(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lateef(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lateef(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lateef(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lateef(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lateef(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lateef(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lateef(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lateef(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lateef(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lateef(textStyle: textTheme.caption),
      button: GoogleFonts.lateef(textStyle: textTheme.button),
      overline: GoogleFonts.lateef(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lato font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextStyle lato({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e734a39ad0b4a1dffd327f552cce678e867791007200be49b6a93a6c7c71b27',
        83268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '00d4076b836620336e608f16588994045e53f8aca14d9e430205db56649a8a55',
        78920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b25850654f3dd59daf526a3d63dcca1c435e231c9fa2dd949ccde9cea994366',
        80608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4cf23877950718d8775e526ee06380072a1bba6692d47bb5fb623fefb650b74b',
        79388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a649aaf21573a59079c46db19314fd95648f531e610fa932101f2705616b2882',
        80676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '484dd58cc095656f129f756067ede55183de20d70a6260c22ac747ed583672d6',
        79376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '407592da08cb1f6060fbc69262ad33edd0b61ec9160521455eca8f726bbd4353',
        84716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6449b474d050304983a9431099406936e7f6978e22025a4a5ff8533871529bba',
        79536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'abae7ec6de16f8108f1a3e1e3dc9edf11c5903ab89b3513821f4e079a51ae175',
        81116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '60407472b091a98e26c61f47900329eb3f971651fa76edc26d9f32f87e27f13f',
        76532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lato',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lato font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lato
  static TextTheme latoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lato(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lato(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lato(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lato(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lato(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lato(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lato(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lato(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lato(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lato(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lato(textStyle: textTheme.caption),
      button: GoogleFonts.lato(textStyle: textTheme.button),
      overline: GoogleFonts.lato(textStyle: textTheme.overline),
    );
  }

  /// Applies the League Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextStyle leagueScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffa526d6dea17c40fade9bfb691be36a5db63e9da4a760462b7df5dce51f4e51',
        51724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeagueScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the League Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/League+Script
  static TextTheme leagueScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.leagueScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.leagueScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.leagueScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.leagueScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.leagueScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.leagueScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.leagueScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.leagueScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.leagueScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.leagueScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.leagueScript(textStyle: textTheme.caption),
      button: GoogleFonts.leagueScript(textStyle: textTheme.button),
      overline: GoogleFonts.leagueScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextStyle leckerliOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f4b119a522d79aaa310d37682ccbfd758366df5ab6009b1bd0ff022a5405a5f',
        43164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LeckerliOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Leckerli One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Leckerli+One
  static TextTheme leckerliOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.leckerliOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.leckerliOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.leckerliOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.leckerliOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.leckerliOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.leckerliOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.leckerliOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.leckerliOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.leckerliOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.leckerliOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.leckerliOne(textStyle: textTheme.caption),
      button: GoogleFonts.leckerliOne(textStyle: textTheme.button),
      overline: GoogleFonts.leckerliOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ledger font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextStyle ledger({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d3e17668a2b5762ca671d8a2496ba50de6e3896eaada54fa3f74ad82f0daf43',
        62272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ledger',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ledger font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ledger
  static TextTheme ledgerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ledger(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ledger(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ledger(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ledger(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ledger(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ledger(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ledger(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ledger(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ledger(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ledger(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ledger(textStyle: textTheme.caption),
      button: GoogleFonts.ledger(textStyle: textTheme.button),
      overline: GoogleFonts.ledger(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lekton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextStyle lekton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '919f93dff330901c348455426b31bc6ad6270b29b4527387ab2f16ae1a8b1b37',
        114272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bdc665e2f574f3cde6b0db13ba296956f6736f4277decf03a015151ca063072',
        34164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34d7bf522a1cd2ddb84bd57082d9651c5155029004a5a66c713dec61c865ab08',
        113636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lekton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lekton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lekton
  static TextTheme lektonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lekton(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lekton(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lekton(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lekton(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lekton(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lekton(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lekton(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lekton(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lekton(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lekton(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lekton(textStyle: textTheme.caption),
      button: GoogleFonts.lekton(textStyle: textTheme.button),
      overline: GoogleFonts.lekton(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lemon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextStyle lemon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '512e0e1aeb4008ca5b6b9a325a936751f306ba97d1a480fe76da5adfc1f404c8',
        34600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemon
  static TextTheme lemonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lemon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lemon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lemon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lemon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lemon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lemon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lemon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lemon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lemon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lemon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lemon(textStyle: textTheme.caption),
      button: GoogleFonts.lemon(textStyle: textTheme.button),
      overline: GoogleFonts.lemon(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lemonada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextStyle lemonada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd1018b5355f76f3e9ff9d859172bbccef3a0e0bb0b6956ed913a2edba4e9673',
        101408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c9760a51ed4b78cf2a172836b2cbc10f540963fdcaf88ef76d10cd4559ee07e',
        101664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b17674113757a97537383dc22f4c28496ce5d1fc8274386430fd9d602216a6a7',
        101480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f8159cd531775a6fab18432a618771064672ca7a1c6c7db49780d18de0d87d0',
        101300,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lemonada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lemonada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lemonada
  static TextTheme lemonadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lemonada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lemonada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lemonada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lemonada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lemonada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lemonada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lemonada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lemonada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lemonada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lemonada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lemonada(textStyle: textTheme.caption),
      button: GoogleFonts.lemonada(textStyle: textTheme.button),
      overline: GoogleFonts.lemonada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextStyle lexend({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63b68a23af7dc17ea71be39cfc0ebba268e2e253c42e8c2f7130c4e1d2d724a0',
        70676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa9fdccd9b440760d6dbc10182207a60ed4211eb594cc9a09bad226b21d3d27d',
        70800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07d709641c4cc41dd613099c09502a02f774d7a6b30c0922ba746c0a01a69358',
        70952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bb8954e74f17edcd3ce2a9f92d45dba62deee7029b2275b0b1f857edcd5f410',
        70644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7884202cdecc77d0f4cbb9a1dce01d8d6e39a7fc15880eba7adb6c4d1ef7ed6b',
        70952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '372f41f4807a57b2cf44236aef550c457ca8a7c6aa2311fb6517b7a45ee34228',
        71000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f11935752fd0a69a512c15266511efeaadd4f598890e4eb8e6f27230f0f500d7',
        70868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af56c0ad26f169812b4ca23d13038aadf7a6a4719108c39d7e54f98c5ccc0e70',
        70980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '863e9a4370b05f1e3ee5c92ea56fcfe306ada024b42ce48b138275ae02465294',
        70768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lexend',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend
  static TextTheme lexendTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexend(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexend(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexend(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexend(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexend(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexend(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexend(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexend(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexend(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexend(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexend(textStyle: textTheme.caption),
      button: GoogleFonts.lexend(textStyle: textTheme.button),
      overline: GoogleFonts.lexend(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextStyle lexendDeca({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8189083bf427d48fec9a74c5fc413be97f92e3b7533eb6682832054fc561e6a4',
        65388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendDeca',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Deca font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Deca
  static TextTheme lexendDecaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendDeca(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendDeca(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendDeca(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendDeca(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendDeca(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendDeca(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendDeca(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendDeca(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendDeca(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendDeca(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendDeca(textStyle: textTheme.caption),
      button: GoogleFonts.lexendDeca(textStyle: textTheme.button),
      overline: GoogleFonts.lexendDeca(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextStyle lexendExa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb84184cbd1e9470db5355e5c25309509f5f98bf0676304b47958907ba6f7e12',
        65876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendExa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Exa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Exa
  static TextTheme lexendExaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendExa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendExa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendExa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendExa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendExa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendExa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendExa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendExa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendExa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendExa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendExa(textStyle: textTheme.caption),
      button: GoogleFonts.lexendExa(textStyle: textTheme.button),
      overline: GoogleFonts.lexendExa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextStyle lexendGiga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1239824b7d568f46db623f61bf9aa0fc21275920dbb5861fdd9d57f132aec548',
        65932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendGiga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Giga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Giga
  static TextTheme lexendGigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendGiga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendGiga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendGiga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendGiga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendGiga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendGiga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendGiga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendGiga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendGiga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendGiga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendGiga(textStyle: textTheme.caption),
      button: GoogleFonts.lexendGiga(textStyle: textTheme.button),
      overline: GoogleFonts.lexendGiga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextStyle lexendMega({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a632f61e3b47867cf774fb3d70ed1a0007cf19ae44be394ea6b878c35648111',
        65940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendMega',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Mega font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Mega
  static TextTheme lexendMegaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendMega(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendMega(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendMega(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendMega(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendMega(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendMega(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendMega(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendMega(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendMega(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendMega(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendMega(textStyle: textTheme.caption),
      button: GoogleFonts.lexendMega(textStyle: textTheme.button),
      overline: GoogleFonts.lexendMega(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextStyle lexendPeta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '417f097595c2e66cb6c0ddc8f6add4e4f493b24f53527848dc0d03462e133fd5',
        66008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendPeta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Peta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Peta
  static TextTheme lexendPetaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendPeta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendPeta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendPeta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendPeta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendPeta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendPeta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendPeta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendPeta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendPeta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendPeta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendPeta(textStyle: textTheme.caption),
      button: GoogleFonts.lexendPeta(textStyle: textTheme.button),
      overline: GoogleFonts.lexendPeta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextStyle lexendTera({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d4d1da38f1fe26a0b69152ff29cb43aa95028fdd9ceda04924ee0236771e324',
        66040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendTera',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Tera font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Tera
  static TextTheme lexendTeraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendTera(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendTera(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendTera(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendTera(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendTera(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendTera(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendTera(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendTera(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendTera(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendTera(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendTera(textStyle: textTheme.caption),
      button: GoogleFonts.lexendTera(textStyle: textTheme.button),
      overline: GoogleFonts.lexendTera(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextStyle lexendZetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6de0f389e45c6725bfc8b444ce22b404d8ef5f4649f41b979fdf5cb1125dfd1',
        65904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LexendZetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lexend Zetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lexend+Zetta
  static TextTheme lexendZettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lexendZetta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lexendZetta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lexendZetta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lexendZetta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lexendZetta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lexendZetta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lexendZetta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lexendZetta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lexendZetta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lexendZetta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lexendZetta(textStyle: textTheme.caption),
      button: GoogleFonts.lexendZetta(textStyle: textTheme.button),
      overline: GoogleFonts.lexendZetta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextStyle libreBarcode128({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a60bde92bb99e259f050c9d55ccd67ee6844aacf2e4af2b0e58f75109406ae95',
        11724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128
  static TextTheme libreBarcode128TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreBarcode128(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreBarcode128(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreBarcode128(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreBarcode128(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreBarcode128(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreBarcode128(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreBarcode128(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreBarcode128(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreBarcode128(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBarcode128(textStyle: textTheme.caption),
      button: GoogleFonts.libreBarcode128(textStyle: textTheme.button),
      overline: GoogleFonts.libreBarcode128(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextStyle libreBarcode128Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4129dbbda4ac792c69c162a644275345c7a08c7619a041d31702eca3b14b308',
        23364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode128Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 128 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+128+Text
  static TextTheme libreBarcode128TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.libreBarcode128Text(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBarcode128Text(textStyle: textTheme.caption),
      button: GoogleFonts.libreBarcode128Text(textStyle: textTheme.button),
      overline: GoogleFonts.libreBarcode128Text(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextStyle libreBarcode39({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a605309329470cf91b7f9343b36bcc438da6738fec78fce2ac7a62acf989e1c1',
        7248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39
  static TextTheme libreBarcode39TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreBarcode39(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreBarcode39(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreBarcode39(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreBarcode39(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreBarcode39(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreBarcode39(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreBarcode39(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreBarcode39(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreBarcode39(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBarcode39(textStyle: textTheme.caption),
      button: GoogleFonts.libreBarcode39(textStyle: textTheme.button),
      overline: GoogleFonts.libreBarcode39(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextStyle libreBarcode39Extended({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edfdd0513a19347cac4818ed891b4a30a77b1e694da00c3a0e6a1cb397e33c77',
        9912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Extended',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended
  static TextTheme libreBarcode39ExtendedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBarcode39Extended(textStyle: textTheme.caption),
      button: GoogleFonts.libreBarcode39Extended(textStyle: textTheme.button),
      overline:
          GoogleFonts.libreBarcode39Extended(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextStyle libreBarcode39ExtendedText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1a436e9eac25119a1f5a775ca357a2bceb9bd198386f7c5ea1d29e70aa83257',
        21148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39ExtendedText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Extended Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Extended+Text
  static TextTheme libreBarcode39ExtendedTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreBarcode39ExtendedText(
          textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.libreBarcode39ExtendedText(textStyle: textTheme.caption),
      button:
          GoogleFonts.libreBarcode39ExtendedText(textStyle: textTheme.button),
      overline:
          GoogleFonts.libreBarcode39ExtendedText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextStyle libreBarcode39Text({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee70d574bc973714d8a7d914d0647a5125c638ce6a1f231fae84020e61b2576e',
        12448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBarcode39Text',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Barcode 39 Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Barcode+39+Text
  static TextTheme libreBarcode39TextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreBarcode39Text(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreBarcode39Text(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreBarcode39Text(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreBarcode39Text(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBarcode39Text(textStyle: textTheme.caption),
      button: GoogleFonts.libreBarcode39Text(textStyle: textTheme.button),
      overline: GoogleFonts.libreBarcode39Text(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextStyle libreBaskerville({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9823638a0177e6fb752280379b200fdaa407e687c8c8e2e7f67bb73b6098f478',
        101356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47c63ebb507fc5ce683210642c5b0529745a907c2a98ca886eef85e798558b3b',
        121336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4f9416f4d8d90e78dc3993de94575a0c44a72da6b4216e5f6346cfee242d201',
        101584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreBaskerville',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Baskerville font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Baskerville
  static TextTheme libreBaskervilleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreBaskerville(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreBaskerville(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreBaskerville(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreBaskerville(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreBaskerville(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreBaskerville(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreBaskerville(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreBaskerville(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreBaskerville(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreBaskerville(textStyle: textTheme.caption),
      button: GoogleFonts.libreBaskerville(textStyle: textTheme.button),
      overline: GoogleFonts.libreBaskerville(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextStyle libreCaslonDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c30a6ef1396c17e855a72b95f2848b064fceedce5de3bc974c99f5a75c48148f',
        63388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Display
  static TextTheme libreCaslonDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.libreCaslonDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextStyle libreCaslonText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf61a45047b0948452918933bf02a0c550f66b703720c33a588f9d912c930525',
        58628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9127e87ed024695b4753bfa734aa694e4e7ca57ec318f8e69856ba19b8bbd8d6',
        64300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b9e7454ac79e153edca85178361ae1f5f7e9de7ade1e87c1bc514bdbd0baa5a',
        58284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreCaslonText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Caslon Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Caslon+Text
  static TextTheme libreCaslonTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreCaslonText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreCaslonText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreCaslonText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreCaslonText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreCaslonText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreCaslonText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreCaslonText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreCaslonText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreCaslonText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreCaslonText(textStyle: textTheme.caption),
      button: GoogleFonts.libreCaslonText(textStyle: textTheme.button),
      overline: GoogleFonts.libreCaslonText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextStyle libreFranklin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1f21b9a28ecb3d6ea935dfde51aee05540140c3a25253b0641b9444dda667c1',
        57732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '09e958f9da1c899ed89026561f56a7c052b9408db021ae9a897f9247aad44039',
        61308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97dcc6cedbef15bad22ec4941bcf10ede26cae6bbf0844281f0935c77e475130',
        59320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd7ed8c62c5358fda45d46e54541af5e0e8397f71242f11a485c04dc39a11218d',
        63088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '948626a8cfb11d7e06c5fafa6b5e1c4fa4be5db5351c6a223f2ca782b9795798',
        59124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '34e2e0606ed438b0a6d4debccf0e4c6db3db50b9963425c4f53fa58c91e75aae',
        63500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd81c9f4f52bd37777bfda74e64a609d354ef7ccbae5ccc54d946e46d0355ce5d',
        59384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6f8c531931908db5a4f8c02ab8f7bb923b97ba2db982c240715f93114bcd958',
        63856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05ef5f27b97c4867b996bc39496419b7ece8741ac22d6eefe59e893a9a499089',
        59800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '92e317ea35eba4231dde4a6c824a53ccfa8c615e10e8ecc6cae2d148cdff6b49',
        64444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b31f2f6914b461a54f80a39780a73cfc0e9fdb98c0025558fc780865881f4379',
        59952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '51e7bd4a4cc8faf0e20e3a2f9ee81132e7a586a1cd64c19fa34654b505fd56ec',
        64912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df03d679c9dba10b0ec29c9d44006aba2dd476ae7c3886c4b3e713665ca443fe',
        60492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6883fda2b8a258fd408d8655880863ebf75e8eb0c22afc895f6e7f60d955d6c',
        65272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09d37126271e3ab9282776debe97a4652875fb69f4d98f773a1b6b8d37256299',
        61056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1a059fcf7d8cb61a71e33599611f5f014c20d34592f0ce2d4afb7ce9e3dfbbd8',
        65812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41ab0fe0ad9c37f298d693d6b8e4c5f3cef041ad27ed08c25ee44af8653ee501',
        61128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '136f29fe980b3eaed9bf88c730b2383f963681429fc8d55de10ce71392487a12',
        65916,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LibreFranklin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Libre Franklin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Libre+Franklin
  static TextTheme libreFranklinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.libreFranklin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.libreFranklin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.libreFranklin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.libreFranklin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.libreFranklin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.libreFranklin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.libreFranklin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.libreFranklin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.libreFranklin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.libreFranklin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.libreFranklin(textStyle: textTheme.caption),
      button: GoogleFonts.libreFranklin(textStyle: textTheme.button),
      overline: GoogleFonts.libreFranklin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Life Savers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextStyle lifeSavers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04d39ceac525bd7119947e50ca506cd62efc8803e38347a7b1d07e401463bcee',
        136132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '362b7da392f70200e34ca8d939a7739b45fdd4cb54b9aee41f6a1db39d13a08b',
        109788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LifeSavers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Life Savers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Life+Savers
  static TextTheme lifeSaversTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lifeSavers(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lifeSavers(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lifeSavers(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lifeSavers(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lifeSavers(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lifeSavers(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lifeSavers(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lifeSavers(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lifeSavers(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lifeSavers(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lifeSavers(textStyle: textTheme.caption),
      button: GoogleFonts.lifeSavers(textStyle: textTheme.button),
      overline: GoogleFonts.lifeSavers(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lilita One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextStyle lilitaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bec8798e040c1fbce51e8a057cea3e28ed1d6af1f649b2abec2cba17eb20016',
        28044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilitaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lilita One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lilita+One
  static TextTheme lilitaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lilitaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lilitaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lilitaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lilitaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lilitaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lilitaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lilitaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lilitaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lilitaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lilitaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lilitaOne(textStyle: textTheme.caption),
      button: GoogleFonts.lilitaOne(textStyle: textTheme.button),
      overline: GoogleFonts.lilitaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextStyle lilyScriptOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8c1fa639d81f625fc5e1f8d3e2988ea5a29d0a6b0a0b6b6a617ee21af28ffc6',
        37524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LilyScriptOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lily Script One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lily+Script+One
  static TextTheme lilyScriptOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lilyScriptOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lilyScriptOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lilyScriptOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lilyScriptOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lilyScriptOne(textStyle: textTheme.caption),
      button: GoogleFonts.lilyScriptOne(textStyle: textTheme.button),
      overline: GoogleFonts.lilyScriptOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Limelight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextStyle limelight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba79f57019c587202d831e35a7e10e6dc9ab23546f46ec9da01aa4d25d509913',
        63860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Limelight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Limelight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Limelight
  static TextTheme limelightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.limelight(textStyle: textTheme.headline1),
      headline2: GoogleFonts.limelight(textStyle: textTheme.headline2),
      headline3: GoogleFonts.limelight(textStyle: textTheme.headline3),
      headline4: GoogleFonts.limelight(textStyle: textTheme.headline4),
      headline5: GoogleFonts.limelight(textStyle: textTheme.headline5),
      headline6: GoogleFonts.limelight(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.limelight(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.limelight(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.limelight(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.limelight(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.limelight(textStyle: textTheme.caption),
      button: GoogleFonts.limelight(textStyle: textTheme.button),
      overline: GoogleFonts.limelight(textStyle: textTheme.overline),
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextStyle lindenHill({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f32a2438962995a6cced863561c2653cdbd06a951ca2497da2a9275d3fb83fcb',
        124796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '312de55c585397a60a43de01015efb512a794ffb875c4edd86fcb2e8af39db39',
        94492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LindenHill',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Linden Hill font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Linden+Hill
  static TextTheme lindenHillTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lindenHill(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lindenHill(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lindenHill(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lindenHill(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lindenHill(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lindenHill(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lindenHill(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lindenHill(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lindenHill(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lindenHill(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lindenHill(textStyle: textTheme.caption),
      button: GoogleFonts.lindenHill(textStyle: textTheme.button),
      overline: GoogleFonts.lindenHill(textStyle: textTheme.overline),
    );
  }

  /// Applies the Literata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextStyle literata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f994a4c14415cfac63df0a88d12df379634376d190047a3aac8c1ccac859181b',
        136204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1011ff34c164167eb8c8e3cca7b775188431d8992affa5794a30375c51b6d938',
        136324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '497b001be8a26d6015abe84fe17796af4a7dc95f03ad846ec89f4a5555f9f588',
        136392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '438f5478b62d5696ec3eb207a5421131200429183907d6e3b4beb353b7169c6c',
        136280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fbac7c28db9313dc90a0f798d878fbe937ab215b86a35aef428cbba8f8fa8594',
        130704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4842145089ec9a11f9e11c7ebcfba39e857c3b88315313402619eb2a34bda353',
        130820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49a0d45ea7e35b031a48ab51d25b49734acf802145bcb84f0870c6629241d148',
        130820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b5feaa5aa4ea544737c3a07671e847a9c6664d791d284ccd3866fe24d45f2927',
        130680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Literata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Literata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Literata
  static TextTheme literataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.literata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.literata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.literata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.literata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.literata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.literata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.literata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.literata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.literata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.literata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.literata(textStyle: textTheme.caption),
      button: GoogleFonts.literata(textStyle: textTheme.button),
      overline: GoogleFonts.literata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextStyle liuJianMaoCao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b88821c3a72f98bbab2428a3b3f4a51c2f0eba1644fd8877d195afdf32143cdd',
        4937244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LiuJianMaoCao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Liu Jian Mao Cao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Liu+Jian+Mao+Cao
  static TextTheme liuJianMaoCaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline1),
      headline2: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline2),
      headline3: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline3),
      headline4: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline4),
      headline5: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline5),
      headline6: GoogleFonts.liuJianMaoCao(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.liuJianMaoCao(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.liuJianMaoCao(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.liuJianMaoCao(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.liuJianMaoCao(textStyle: textTheme.caption),
      button: GoogleFonts.liuJianMaoCao(textStyle: textTheme.button),
      overline: GoogleFonts.liuJianMaoCao(textStyle: textTheme.overline),
    );
  }

  /// Applies the Livvic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextStyle livvic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69cf7d68bd7ea7e4f1eea68a6ce1241109949e773f7342713cc8394cfc3a9350',
        75488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bac5d8a0627f56ade7281b777b0753a1e5c0d8954b749c43c474cef3987fabb3',
        76756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4339e04cdaa30779650ab9cd08a8e6208806c5d3e61ae9934286f6a0fb3045e2',
        75700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e90ead4569f3a9562d934ed81529f5b9f77d31c3f3fb04d0761808cc8121c00',
        77044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d4d9954fddbfe812dc3f05be50de4c32cc79db0ac03c061be82e347885a0d16',
        75612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56eb0ced8438e313f473ed5c0d4ee2b2a14fd14f795e437c8fe91da30d6bfa87',
        77080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '684c0977078ce7a0aa4baca696a867093d47a8b698ac6524e6cba0262e63cc57',
        75488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed0c728d0a90d1b99fd01bfbc0371e526ddad2ea79d269182c60cd5bb8241393',
        77004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9399fe200dc52728dd923fc8ef5e8f2566eaa599bfcc903102b49126535701f',
        75736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eebd5e2f0a3762de32ae06a0aecd96d94322b7e078bc768455d63e202a74411f',
        77136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38ef1c46a21565d37981213d2daba4d8f216e1f0f25972c1003069f2c05df6d1',
        75880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c557b68961f711648417be8fe965f0ee26452f0b78ade0beda7fdfa4a13b939',
        77048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87b0c42cfd0f29daea2867b06adda2fdf978a1c565072fc54ba65774ef420c1e',
        75936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5431f875e19403b74700eaecfee54e157b5661d8a1fb32712bee2165274e7b03',
        77016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a61243d45e4b7c886a8af1be0488f4cd259518fea160b655891a491dc90bd01',
        76060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '541bf67ff4d9b5b56c9d47e30220519bc5d38c2ca202037bf673fba3fe3a8b77',
        77112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Livvic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Livvic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Livvic
  static TextTheme livvicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.livvic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.livvic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.livvic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.livvic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.livvic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.livvic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.livvic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.livvic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.livvic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.livvic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.livvic(textStyle: textTheme.caption),
      button: GoogleFonts.livvic(textStyle: textTheme.button),
      overline: GoogleFonts.livvic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lobster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextStyle lobster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce455bfe5094ab723cf0b59871eb112f9f9acbe6d58811590b3d22a7236fa435',
        257344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lobster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster
  static TextTheme lobsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lobster(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lobster(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lobster(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lobster(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lobster(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lobster(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lobster(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lobster(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lobster(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lobster(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lobster(textStyle: textTheme.caption),
      button: GoogleFonts.lobster(textStyle: textTheme.button),
      overline: GoogleFonts.lobster(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextStyle lobsterTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c7a1501aa183946996d6a6dd00639131356d161f596511cf06339053570e634',
        108456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0dbd5c04e410d8e4da9017651e742b0e62adac50ae9b77ad22cf0407e27e211',
        111476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '510f984a2bfaf23d533e8c389063fe40f2e0d02c2d16889ff79e565345b3aaa5',
        106956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '37a829bca6d8cab14c9768897a1dafc7fcc08b7b459ba3bd2a2e0dac406eead9',
        110608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LobsterTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lobster Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lobster+Two
  static TextTheme lobsterTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lobsterTwo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lobsterTwo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lobsterTwo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lobsterTwo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lobsterTwo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lobsterTwo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lobsterTwo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lobsterTwo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lobsterTwo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lobsterTwo(textStyle: textTheme.caption),
      button: GoogleFonts.lobsterTwo(textStyle: textTheme.button),
      overline: GoogleFonts.lobsterTwo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextStyle londrinaOutline({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2c1c90df8f0b2111b8b45fe4112b8016fcde0874de248c3bd10e4f63da86e57',
        79572,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaOutline',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Outline font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Outline
  static TextTheme londrinaOutlineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.londrinaOutline(textStyle: textTheme.headline1),
      headline2: GoogleFonts.londrinaOutline(textStyle: textTheme.headline2),
      headline3: GoogleFonts.londrinaOutline(textStyle: textTheme.headline3),
      headline4: GoogleFonts.londrinaOutline(textStyle: textTheme.headline4),
      headline5: GoogleFonts.londrinaOutline(textStyle: textTheme.headline5),
      headline6: GoogleFonts.londrinaOutline(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.londrinaOutline(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.londrinaOutline(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.londrinaOutline(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.londrinaOutline(textStyle: textTheme.caption),
      button: GoogleFonts.londrinaOutline(textStyle: textTheme.button),
      overline: GoogleFonts.londrinaOutline(textStyle: textTheme.overline),
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextStyle londrinaShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84cd8dae1b878c823a1c39d7d9e9893bae747ef212a4a917ab537193b2399287',
        85464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Shadow
  static TextTheme londrinaShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.londrinaShadow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.londrinaShadow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.londrinaShadow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.londrinaShadow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.londrinaShadow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.londrinaShadow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.londrinaShadow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.londrinaShadow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.londrinaShadow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.londrinaShadow(textStyle: textTheme.caption),
      button: GoogleFonts.londrinaShadow(textStyle: textTheme.button),
      overline: GoogleFonts.londrinaShadow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextStyle londrinaSketch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0bd303136aee90e673136b6266fb6b196cc94ef0966d955269deffaecbffacc',
        172392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSketch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Sketch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Sketch
  static TextTheme londrinaSketchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.londrinaSketch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.londrinaSketch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.londrinaSketch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.londrinaSketch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.londrinaSketch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.londrinaSketch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.londrinaSketch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.londrinaSketch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.londrinaSketch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.londrinaSketch(textStyle: textTheme.caption),
      button: GoogleFonts.londrinaSketch(textStyle: textTheme.button),
      overline: GoogleFonts.londrinaSketch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextStyle londrinaSolid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85115a63ada513540474540a077cb696b1e089220014e3496bbb17c6d81ae8af',
        51980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LondrinaSolid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Londrina Solid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Londrina+Solid
  static TextTheme londrinaSolidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.londrinaSolid(textStyle: textTheme.headline1),
      headline2: GoogleFonts.londrinaSolid(textStyle: textTheme.headline2),
      headline3: GoogleFonts.londrinaSolid(textStyle: textTheme.headline3),
      headline4: GoogleFonts.londrinaSolid(textStyle: textTheme.headline4),
      headline5: GoogleFonts.londrinaSolid(textStyle: textTheme.headline5),
      headline6: GoogleFonts.londrinaSolid(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.londrinaSolid(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.londrinaSolid(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.londrinaSolid(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.londrinaSolid(textStyle: textTheme.caption),
      button: GoogleFonts.londrinaSolid(textStyle: textTheme.button),
      overline: GoogleFonts.londrinaSolid(textStyle: textTheme.overline),
    );
  }

  /// Applies the Long Cang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextStyle longCang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'abadf560e9284e557329d5cac93ab26b805d175ed1d48da30b843ac4c21623a2',
        5150448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LongCang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Long Cang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Long+Cang
  static TextTheme longCangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.longCang(textStyle: textTheme.headline1),
      headline2: GoogleFonts.longCang(textStyle: textTheme.headline2),
      headline3: GoogleFonts.longCang(textStyle: textTheme.headline3),
      headline4: GoogleFonts.longCang(textStyle: textTheme.headline4),
      headline5: GoogleFonts.longCang(textStyle: textTheme.headline5),
      headline6: GoogleFonts.longCang(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.longCang(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.longCang(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.longCang(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.longCang(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.longCang(textStyle: textTheme.caption),
      button: GoogleFonts.longCang(textStyle: textTheme.button),
      overline: GoogleFonts.longCang(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextStyle lora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab4a36d4eeabba7b21d6d9f9cf3402c3cfc28c64a4fb06cb6c424de03a8c98b9',
        116620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5bda244cfbcaf07666bfff144e4e1e5809f93966fa537d9ba1a29fcfd7e0ebb5',
        127672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aada77cdac3a872737be48f8c95b39befadbb124e16cc8b8e5076dd429400ea1',
        114072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b8238541d0dfa01767e098baf5d7942885a58372a7b97e09d2af15e9d295f2f2',
        118464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lora
  static TextTheme loraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lora(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lora(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lora(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lora(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lora(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lora(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lora(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lora(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lora(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lora(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lora(textStyle: textTheme.caption),
      button: GoogleFonts.lora(textStyle: textTheme.button),
      overline: GoogleFonts.lora(textStyle: textTheme.overline),
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextStyle loveYaLikeASister({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd7068a0e071e73ae0e18893c97cb33a901b4cd1482fed4150d017e6ac0f7a636',
        271876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoveYaLikeASister',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Love Ya Like A Sister font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Love+Ya+Like+A+Sister
  static TextTheme loveYaLikeASisterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline1),
      headline2: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline2),
      headline3: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline3),
      headline4: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline4),
      headline5: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline5),
      headline6: GoogleFonts.loveYaLikeASister(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.loveYaLikeASister(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.loveYaLikeASister(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.loveYaLikeASister(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.loveYaLikeASister(textStyle: textTheme.caption),
      button: GoogleFonts.loveYaLikeASister(textStyle: textTheme.button),
      overline: GoogleFonts.loveYaLikeASister(textStyle: textTheme.overline),
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextStyle lovedByTheKing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a37e323dc32cf1679842583e8ac1cf460c0cbf68f0367394bb943ad1f662a77b',
        27432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LovedbytheKing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Loved by the King font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Loved+by+the+King
  static TextTheme lovedByTheKingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lovedByTheKing(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lovedByTheKing(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lovedByTheKing(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lovedByTheKing(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lovedByTheKing(textStyle: textTheme.caption),
      button: GoogleFonts.lovedByTheKing(textStyle: textTheme.button),
      overline: GoogleFonts.lovedByTheKing(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextStyle loversQuarrel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b3afd5d2a24b3641cc9053301da4dd11e595d360d1f052a9527036e96ab00e9',
        61824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LoversQuarrel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lovers Quarrel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lovers+Quarrel
  static TextTheme loversQuarrelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.loversQuarrel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.loversQuarrel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.loversQuarrel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.loversQuarrel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.loversQuarrel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.loversQuarrel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.loversQuarrel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.loversQuarrel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.loversQuarrel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.loversQuarrel(textStyle: textTheme.caption),
      button: GoogleFonts.loversQuarrel(textStyle: textTheme.button),
      overline: GoogleFonts.loversQuarrel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextStyle luckiestGuy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a9e5eaeb4d4b04aa5e82f16dabc4206d86d2981ac19d033b535be88d1a773e7',
        72952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuckiestGuy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luckiest Guy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luckiest+Guy
  static TextTheme luckiestGuyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.luckiestGuy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.luckiestGuy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.luckiestGuy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.luckiestGuy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.luckiestGuy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.luckiestGuy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.luckiestGuy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.luckiestGuy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.luckiestGuy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.luckiestGuy(textStyle: textTheme.caption),
      button: GoogleFonts.luckiestGuy(textStyle: textTheme.button),
      overline: GoogleFonts.luckiestGuy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lusitana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextStyle lusitana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6df963163bf20f6d3c7e20307b4e363715e13d9047b5707caa9407e11af4ebb',
        30140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5505e39683b141ee21482fcfc3818a5bb6f049abf15928c81caac05296eba18',
        29236,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lusitana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lusitana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lusitana
  static TextTheme lusitanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lusitana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lusitana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lusitana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lusitana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lusitana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lusitana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lusitana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lusitana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lusitana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lusitana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lusitana(textStyle: textTheme.caption),
      button: GoogleFonts.lusitana(textStyle: textTheme.button),
      overline: GoogleFonts.lusitana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Lustria font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextStyle lustria({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba208c56243ec0aa08c1b911132f8649f5d87f93a699d115fbb59cf02e5bd636',
        37352,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Lustria',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Lustria font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Lustria
  static TextTheme lustriaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.lustria(textStyle: textTheme.headline1),
      headline2: GoogleFonts.lustria(textStyle: textTheme.headline2),
      headline3: GoogleFonts.lustria(textStyle: textTheme.headline3),
      headline4: GoogleFonts.lustria(textStyle: textTheme.headline4),
      headline5: GoogleFonts.lustria(textStyle: textTheme.headline5),
      headline6: GoogleFonts.lustria(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.lustria(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.lustria(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.lustria(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.lustria(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.lustria(textStyle: textTheme.caption),
      button: GoogleFonts.lustria(textStyle: textTheme.button),
      overline: GoogleFonts.lustria(textStyle: textTheme.overline),
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextStyle luxuriousScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '308f774dab9371c6ee799c901add408af99eb176b24569dd3c9ea19c420a018e',
        129488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'LuxuriousScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Luxurious Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Luxurious+Script
  static TextTheme luxuriousScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.luxuriousScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.luxuriousScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.luxuriousScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.luxuriousScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.luxuriousScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.luxuriousScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.luxuriousScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.luxuriousScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.luxuriousScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.luxuriousScript(textStyle: textTheme.caption),
      button: GoogleFonts.luxuriousScript(textStyle: textTheme.button),
      overline: GoogleFonts.luxuriousScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextStyle mPlus1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3eba46bbe6acaafa91012efb1f2fa3382ae439db43b4968dc9c1f85795464f39',
        1746144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77e241d0310585e36aa447fb87eb9060e1ed1cc308ab5da10dfb40e14681f1a1',
        1746828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f82dcd985b8041b84a1cb5efd6920f84477f077cf660d83ce6891a350b2cc2f8',
        1744380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29eee8b34c1d6f935df45fc86861ea40fef17a6eeccd832bd74e205ba820bd74',
        1740868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6bab4b1659a12399b4157eaee90936d2db698484f609a635e07ec69bbb5bbd4',
        1736256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6420bf138771f2033e62ade5a2f9518dce90e6a3fc44a538fa9d7a34fea35ca9',
        1735400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be0ae53a478b71426e57492616b8eca4c741c4a1b795b97e75d4b08b78f2bd1a',
        1733776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac421b43f7d6a93d43286561e8c906bdb5d220dc77a99ff3c323ec6fe5e190dd',
        1730724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cfb40e0e697517be1959f206b828b7b4331698d0c926e66bd7526ae28ae255e',
        1724376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1
  static TextTheme mPlus1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlus1(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlus1(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlus1(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlus1(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlus1(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlus1(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlus1(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlus1(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlus1(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlus1(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlus1(textStyle: textTheme.caption),
      button: GoogleFonts.mPlus1(textStyle: textTheme.button),
      overline: GoogleFonts.mPlus1(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextStyle mPlus1Code({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '85c466bc5b0c265cf50e16153a419fea49e5120b502ca7ae2eaa64f996dfaaa6',
        1715484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '552bd1899a7321389b79750e770ab2c56f29772f8d31e7949ee0b74442649329',
        1715208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d524eca6df0020d7c4119085de4142b7b382ef91cb08cd92751c20512afc62e',
        1712792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e508d0f4061cc01efd59b09e9f3b796683bf24e72924e1ffd95747aa8fd7289b',
        1708984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30abac59796e4dab2b705975da2b354a86f640fddff90e9cfd6c95cbedca341f',
        1706092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ce47b92c34d03bc0f18f27b204a497f80d4eaadccda7b7034a5ba9d3a154183',
        1704340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a23e94f98573f780ab679c1e0f1e2f727120ea576f26bbb92959655f8a684d8',
        1702292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1Code',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1 Code font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1+Code
  static TextTheme mPlus1CodeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlus1Code(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlus1Code(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlus1Code(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlus1Code(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlus1Code(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlus1Code(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlus1Code(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlus1Code(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlus1Code(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlus1Code(textStyle: textTheme.caption),
      button: GoogleFonts.mPlus1Code(textStyle: textTheme.button),
      overline: GoogleFonts.mPlus1Code(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextStyle mPlus1p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0654233f2cc095bd1af48724031070c0b16e3dd46fc5c29bd87070d485b7a366',
        1766584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '328d60a811d0715a23a96805dda2004f69c4b0a888dc1711c77a2d589650c97f',
        1762104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d33f3ea856c224db5e2d573ab252d85cc66e3d2ec9981d4dded4cb5df17a345',
        1753640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45129fd4450f7465b6ad68ee3a7f2579df75712cdedec1690b2f2b8e2a008400',
        1753792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42106dfc33cc933616115e3c69191bc75d0675df68106571eedbe23c14b5ad1f',
        1761472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27bd65580cfc4564b1dc3ee85e12bdc336861dc586fd838a943bdef4a3bd8730',
        1768720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21baffc573a6103dcd6c23b9ad751e3686f142c921212717fa3b4356e01a38bc',
        1769116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS1p',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 1p font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+1p
  static TextTheme mPlus1pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlus1p(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlus1p(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlus1p(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlus1p(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlus1p(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlus1p(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlus1p(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlus1p(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlus1p(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlus1p(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlus1p(textStyle: textTheme.caption),
      button: GoogleFonts.mPlus1p(textStyle: textTheme.button),
      overline: GoogleFonts.mPlus1p(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextStyle mPlus2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c1128cb9960232c4b141fc182e51183bc6f4e82811397ab3760cf95cc2cd741',
        1748452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23fe79aebbafd260ce04d28fd8e15a32674bf8dbaea7163893da63604a134222',
        1749132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0f813036e87fcc3390a0f0c7c2b274846441f92e69fa4488d2cf3c7eba0b309',
        1746688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4690a0d234a545a1e205f7d69017b5aac0393adb3a14486708fd89e14218df18',
        1743140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82060fb17c5923eaa25f8eb0177362a92286d0a4a6521068cb7732d214172c09',
        1738568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06dc987c18cac93d657545bd14c4f313ddac1975c1ddc3ad1dd4c401c451f122',
        1737700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8430d9dcff67eb5b4cc0f1562dc8789afe84caad9b79eb30fb5d9197d7ab07a3',
        1736056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e855cd52cf93fb11051e880d080147cf5ed7e8eadcb568755814114f6c03a49',
        1733036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '205978c8b8bc6b4c1488c7ab4a4639592d07f29d2886050f23212b8918cd38e4',
        1726688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUS2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+2
  static TextTheme mPlus2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlus2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlus2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlus2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlus2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlus2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlus2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlus2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlus2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlus2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlus2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlus2(textStyle: textTheme.caption),
      button: GoogleFonts.mPlus2(textStyle: textTheme.button),
      overline: GoogleFonts.mPlus2(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextStyle mPlusCodeLatin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6ca26b4e500419128ba135a440cb0674da04d9d5bba161322fe4653174807a4',
        45940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14b126444a8a6b92a433d6bd8ba6a5ef2c317f3b601aea085a23552ffe1b97e9',
        47200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53bffb469262d3ddc919e13d9401ba269163e49c730a1c9cebc6f92a8d210e7e',
        47160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3a5a73a5e1f7d63d3dab87e710a9b82ff61ff17446d7a63635a4175c7650f10',
        47120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbd2469fab20bb3e365d590dc7d02949fe2071f4c961e5300b9a423814d634f8',
        47164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '862b25e042a501c12bdc31c67033e538b8fc5ce4461a3e5b9582c30fd573a649',
        47180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8de499c10fec0ebfe588d67bb20e523351ffc6c5dff8de4014d0a87872400a71',
        47008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSCodeLatin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Code Latin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Code+Latin
  static TextTheme mPlusCodeLatinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.caption),
      button: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.button),
      overline: GoogleFonts.mPlusCodeLatin(textStyle: textTheme.overline),
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextStyle mPlusRounded1c({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d028025ec621f30d69f25f3b121f0eb6e4678e96d47f16d760f1fcf59248d2c',
        2899200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6655c0fc1e40abbfe6631bef1b71cf55ed1f706c0d130fa9fc82cfb1a644c7',
        3284736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff70cb1f3f4fe4691c6ec7c7725c4a0aa37e2d1fa2704d659c9efcd304a6bb24',
        3379736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6066483cf3c5b68c17d69a4a957e9a50dbe366ac10cbf88a9f3776744ec5048',
        3422384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9070409f93c9e7a46a302d0205de1c15bdde3b59f65c32ff73315592afaf17e',
        3532232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7b92c0902d7c3f543a4ecc04c44c8cf62f26c4bcc92ecb26e40ef9849277e61',
        3617848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cadad2376795cd1bcdaae984a16f1fef7e2f18ca27fd2493f32f620867a1ef05',
        3624724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MPLUSRounded1c',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the M PLUS Rounded 1c font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/M+PLUS+Rounded+1c
  static TextTheme mPlusRounded1cTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mPlusRounded1c(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mPlusRounded1c(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mPlusRounded1c(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mPlusRounded1c(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mPlusRounded1c(textStyle: textTheme.caption),
      button: GoogleFonts.mPlusRounded1c(textStyle: textTheme.button),
      overline: GoogleFonts.mPlusRounded1c(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextStyle maShanZheng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b09c8b63681f2770158618c3110f15aa53948e2ef43d7bcbee34cfe43cdfa646',
        5855516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaShanZheng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ma Shan Zheng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ma+Shan+Zheng
  static TextTheme maShanZhengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.maShanZheng(textStyle: textTheme.headline1),
      headline2: GoogleFonts.maShanZheng(textStyle: textTheme.headline2),
      headline3: GoogleFonts.maShanZheng(textStyle: textTheme.headline3),
      headline4: GoogleFonts.maShanZheng(textStyle: textTheme.headline4),
      headline5: GoogleFonts.maShanZheng(textStyle: textTheme.headline5),
      headline6: GoogleFonts.maShanZheng(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.maShanZheng(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.maShanZheng(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.maShanZheng(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.maShanZheng(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.maShanZheng(textStyle: textTheme.caption),
      button: GoogleFonts.maShanZheng(textStyle: textTheme.button),
      overline: GoogleFonts.maShanZheng(textStyle: textTheme.overline),
    );
  }

  /// Applies the Macondo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextStyle macondo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecbf710a53864dd6307e2422a043a2a6904563df10226e7278fea2ef2d293dbd',
        48728,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Macondo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo
  static TextTheme macondoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.macondo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.macondo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.macondo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.macondo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.macondo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.macondo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.macondo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.macondo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.macondo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.macondo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.macondo(textStyle: textTheme.caption),
      button: GoogleFonts.macondo(textStyle: textTheme.button),
      overline: GoogleFonts.macondo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextStyle macondoSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4143af0ceceb156b80e5e2055d178d84cfca13b39056f49121b05c6b3843f1fd',
        32968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MacondoSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Macondo Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Macondo+Swash+Caps
  static TextTheme macondoSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline1),
      headline2: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline2),
      headline3: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline3),
      headline4: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline4),
      headline5: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline5),
      headline6: GoogleFonts.macondoSwashCaps(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.macondoSwashCaps(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.macondoSwashCaps(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.macondoSwashCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.macondoSwashCaps(textStyle: textTheme.caption),
      button: GoogleFonts.macondoSwashCaps(textStyle: textTheme.button),
      overline: GoogleFonts.macondoSwashCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextStyle mada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e8f4edc7b74697883d4382000502d7429481f7ccc59b65ac62c28e99481cbc3',
        40552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4987425fde45e8da45ede3fad409b0ac00e32ca0255a60b44b8e1f701764346c',
        40352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e3c24ab83037a6d4fc5b72d068caaa6a0767414bd20d7defe31c562ced6d6e7',
        40316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3e70bf71ab0557ddd82906726c36d89e199792db1997040b1599f61e00acd78',
        40136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052e0e0f174e9e8ff63bf2a85f70db6cc59d3391a016a31ace8e20c49d0fa0d6',
        40004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94e1f9c917ae40e5e6b8d95fe24de1817e37942aafb9b9310d5e0d4b049221a',
        39924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7746a4ca1c6767a971c0db31ec18594fa5211adcc318e293d27b55efc36bded9',
        40036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mada
  static TextTheme madaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mada(textStyle: textTheme.caption),
      button: GoogleFonts.mada(textStyle: textTheme.button),
      overline: GoogleFonts.mada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Magra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextStyle magra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9af41cbbd0f37a100cfb6828248fbfbac10111faefb7b379eb4d74092ebd2f8b',
        45488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab81d03efbb8cfb766cdee7ef1e7333d196769ab264426971367541a4feee673',
        44452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Magra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Magra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Magra
  static TextTheme magraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.magra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.magra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.magra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.magra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.magra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.magra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.magra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.magra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.magra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.magra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.magra(textStyle: textTheme.caption),
      button: GoogleFonts.magra(textStyle: textTheme.button),
      overline: GoogleFonts.magra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextStyle maidenOrange({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4952dcb36962c7d3f35f54be08eb204ab4600cfc9afad59f213d36b5ff5e8e6',
        60316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MaidenOrange',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maiden Orange font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maiden+Orange
  static TextTheme maidenOrangeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.maidenOrange(textStyle: textTheme.headline1),
      headline2: GoogleFonts.maidenOrange(textStyle: textTheme.headline2),
      headline3: GoogleFonts.maidenOrange(textStyle: textTheme.headline3),
      headline4: GoogleFonts.maidenOrange(textStyle: textTheme.headline4),
      headline5: GoogleFonts.maidenOrange(textStyle: textTheme.headline5),
      headline6: GoogleFonts.maidenOrange(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.maidenOrange(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.maidenOrange(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.maidenOrange(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.maidenOrange(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.maidenOrange(textStyle: textTheme.caption),
      button: GoogleFonts.maidenOrange(textStyle: textTheme.button),
      overline: GoogleFonts.maidenOrange(textStyle: textTheme.overline),
    );
  }

  /// Applies the Maitree font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextStyle maitree({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0739208db7083eb1320ec06ca68d5399840b972ed04401c338c373289f55ea74',
        123008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19f05ca05c789289a2d8b35a68f7d2eb186a1bdbb47ff7d630f96485b8d06f67',
        120308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acbe712e2f0c98c52be38409f5b250521e6124b9af003a579b4c94e4e1ad0f49',
        121608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40f80d32ae82b7f67fe5a2ba972ccaecdf4b1cafee213b04baf2deb885eaf0a5',
        123172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa9e3fc69089c2a19cf33871b62432a04f1b7d8bbb7faa0150665802ed267f0e',
        124716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dd3d4080658f7cdb11b91c35ec62b8ff94caac9d5808f03343f66556b2f0ed9',
        126316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Maitree',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maitree font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maitree
  static TextTheme maitreeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.maitree(textStyle: textTheme.headline1),
      headline2: GoogleFonts.maitree(textStyle: textTheme.headline2),
      headline3: GoogleFonts.maitree(textStyle: textTheme.headline3),
      headline4: GoogleFonts.maitree(textStyle: textTheme.headline4),
      headline5: GoogleFonts.maitree(textStyle: textTheme.headline5),
      headline6: GoogleFonts.maitree(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.maitree(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.maitree(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.maitree(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.maitree(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.maitree(textStyle: textTheme.caption),
      button: GoogleFonts.maitree(textStyle: textTheme.button),
      overline: GoogleFonts.maitree(textStyle: textTheme.overline),
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextStyle majorMonoDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9901077f5681d4ec7e01e0ebe4bd61ba47669c64a7aedea472cd94fe1175751b',
        73196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MajorMonoDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Major Mono Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Major+Mono+Display
  static TextTheme majorMonoDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.majorMonoDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.majorMonoDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.majorMonoDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.majorMonoDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.majorMonoDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.majorMonoDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.majorMonoDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mako font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextStyle mako({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db4609e335050755bb95ce1a179f4666e1a93d3fac9c679e99d96b472582d0a1',
        64280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mako',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mako font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mako
  static TextTheme makoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mako(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mako(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mako(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mako(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mako(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mako(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mako(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mako(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mako(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mako(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mako(textStyle: textTheme.caption),
      button: GoogleFonts.mako(textStyle: textTheme.button),
      overline: GoogleFonts.mako(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextStyle mali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e492669e95f03389c8fdab60ebc0fc25dc89f921dfa3b4156ed4ee3556b26a22',
        104192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9c4049d3990bfb82d515b0f6b44c0669352cf1d4f0ad71a6c39c4d800d91afc5',
        107084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ea3a4d356e5cb938ea97489c60b148dd2e33b9bdc641f01c245b965a8028725',
        104400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4aec4ec351696e4bc5a49deed841e02a84880d0fdc72dafdedce7154770dd8d0',
        107256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc1fb36bca8387ebe3fdb1a9052a01ed8312a51a3ac265b51d93b7a6bf6ae45c',
        104480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '575418ad9604b624f1d09cbaa0d15edbdec2653423419c83fae61131d0f0fdc5',
        107544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56baed7152d5e08635cc8a9e3a241afd0e7659f30374cb82033266959d273382',
        104528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd1e4f0963402e82a0e541cc7ff0d371c1311270840c7059b94bd710b0953210a',
        107536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d34348744efcb7d239f7d07237bf644507c1d98545de940f5e36475267d7937',
        104580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '56a65ebf56f24e0082786c224207d28f9e3ac7d58473839ef4e014f58dddc92e',
        107532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d22887c912c6d24c96e8a7bd85a8bec285b2f6e82cb0f1239c7d62df8d66db1',
        103972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0cf0f0229db8cba537f46efd1c9a4734268f6011e5e10fc1ad8981849edfc421',
        107396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mali
  static TextTheme maliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mali(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mali(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mali(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mali(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mali(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mali(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mali(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mali(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mali(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mali(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mali(textStyle: textTheme.caption),
      button: GoogleFonts.mali(textStyle: textTheme.button),
      overline: GoogleFonts.mali(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mallanna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextStyle mallanna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '81feb01d40b2b7875e496dde6320f6af4ca381b03d376608ba5d8f9a8eb72db4',
        359540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mallanna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mallanna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mallanna
  static TextTheme mallannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mallanna(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mallanna(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mallanna(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mallanna(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mallanna(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mallanna(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mallanna(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mallanna(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mallanna(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mallanna(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mallanna(textStyle: textTheme.caption),
      button: GoogleFonts.mallanna(textStyle: textTheme.button),
      overline: GoogleFonts.mallanna(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mandali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextStyle mandali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf8fcb272aa15d749c2b5a6660a64af1b0014a47b0fe3ed3394e761ce7637f1d',
        368992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mandali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mandali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mandali
  static TextTheme mandaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mandali(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mandali(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mandali(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mandali(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mandali(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mandali(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mandali(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mandali(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mandali(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mandali(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mandali(textStyle: textTheme.caption),
      button: GoogleFonts.mandali(textStyle: textTheme.button),
      overline: GoogleFonts.mandali(textStyle: textTheme.overline),
    );
  }

  /// Applies the Manjari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextStyle manjari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf27671bb835dda0357f930bf36e8187a3b84c55eee29c45942c1f24658669b6',
        136496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f336f99d4a94b987c207d844c5dcf944f0499c38fa5136e75debe864ea9cb43',
        136428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3679ad318e4f3587d288eeeedd62d875b904a491a6163aecc418b38e359be2d4',
        135944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manjari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manjari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manjari
  static TextTheme manjariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.manjari(textStyle: textTheme.headline1),
      headline2: GoogleFonts.manjari(textStyle: textTheme.headline2),
      headline3: GoogleFonts.manjari(textStyle: textTheme.headline3),
      headline4: GoogleFonts.manjari(textStyle: textTheme.headline4),
      headline5: GoogleFonts.manjari(textStyle: textTheme.headline5),
      headline6: GoogleFonts.manjari(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.manjari(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.manjari(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.manjari(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.manjari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.manjari(textStyle: textTheme.caption),
      button: GoogleFonts.manjari(textStyle: textTheme.button),
      overline: GoogleFonts.manjari(textStyle: textTheme.overline),
    );
  }

  /// Applies the Manrope font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextStyle manrope({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e0aac7c30d815ffee8f590cf386f62ccea077282904c5bcc089f83e1e3fa6ba',
        84572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b00c95e47bd20d7096fc9bd66552bab89fdaee62611c600e651efcc4c1808b29',
        84708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f742b6ef495bb5b9f5b968a27c50281ca1f9822bb53ec99bb3757ff2f3febfd',
        84680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b26cd5641c96028ba3251bc1c3017c3b7f0f66db8bffa236e6a9fba9273dbe4',
        84776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2926db83b22f15d5dead94c407d4b830fe032adae54af4611e4a3b1d95e5059b',
        84684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89fbadf5ffbbcf438d182a4931c241c4beb528b1c11c22290afc4b4b8c8f854d',
        84536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f94757bb3fe3b1f1a20cdb49284c1a311dec4ed72554c5858d186fc93db7afaf',
        85448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manrope',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manrope font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manrope
  static TextTheme manropeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.manrope(textStyle: textTheme.headline1),
      headline2: GoogleFonts.manrope(textStyle: textTheme.headline2),
      headline3: GoogleFonts.manrope(textStyle: textTheme.headline3),
      headline4: GoogleFonts.manrope(textStyle: textTheme.headline4),
      headline5: GoogleFonts.manrope(textStyle: textTheme.headline5),
      headline6: GoogleFonts.manrope(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.manrope(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.manrope(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.manrope(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.manrope(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.manrope(textStyle: textTheme.caption),
      button: GoogleFonts.manrope(textStyle: textTheme.button),
      overline: GoogleFonts.manrope(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mansalva font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextStyle mansalva({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7918b7006d7a856d653dd2465a093d28c6a2fd94aca6109ecd700d5e4c09dc7e',
        79052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mansalva',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mansalva font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mansalva
  static TextTheme mansalvaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mansalva(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mansalva(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mansalva(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mansalva(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mansalva(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mansalva(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mansalva(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mansalva(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mansalva(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mansalva(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mansalva(textStyle: textTheme.caption),
      button: GoogleFonts.mansalva(textStyle: textTheme.button),
      overline: GoogleFonts.mansalva(textStyle: textTheme.overline),
    );
  }

  /// Applies the Manuale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextStyle manuale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfd06fa1d33d937fd3d097835096788da1e29fe217c0e6619d7f4e92770987f2',
        91676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b7144bb9db9fc28df1a2f22173a91396c535d078a58256b0937d0ed4916ac08d',
        96700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bee63de104b5fab81c246551830fd9cf2910da15ffb1fe837913493df2612797',
        94432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b9d7d38e3301e49ed48cee4bdbfdf8bf85004f299e7d33795cc55fad29b5406f',
        101664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b0e482a58bde31d3c0408ea84a5ce8287b1669e24bb7e75648b20ee859ade8b',
        94576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '023ded306bfcddff115b0b04ed36de8a5184275774cd972ce1fb34d8d917c61e',
        101776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50014d6214dc09001362c4e4a770de808a95fc3f590d52d895c9eef86b71d68a',
        91536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a59ed27fb6985f70acb9fc94d9038ae63cfc4a2ddc5226dfecb7c8407b5a93f',
        96612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Manuale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Manuale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Manuale
  static TextTheme manualeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.manuale(textStyle: textTheme.headline1),
      headline2: GoogleFonts.manuale(textStyle: textTheme.headline2),
      headline3: GoogleFonts.manuale(textStyle: textTheme.headline3),
      headline4: GoogleFonts.manuale(textStyle: textTheme.headline4),
      headline5: GoogleFonts.manuale(textStyle: textTheme.headline5),
      headline6: GoogleFonts.manuale(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.manuale(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.manuale(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.manuale(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.manuale(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.manuale(textStyle: textTheme.caption),
      button: GoogleFonts.manuale(textStyle: textTheme.button),
      overline: GoogleFonts.manuale(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marcellus font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextStyle marcellus({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da6549c2bc3ceec2f36d4caac4758fda610e67ff654b4c90304b83b55ee36084',
        45588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marcellus',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus
  static TextTheme marcellusTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.marcellus(textStyle: textTheme.headline1),
      headline2: GoogleFonts.marcellus(textStyle: textTheme.headline2),
      headline3: GoogleFonts.marcellus(textStyle: textTheme.headline3),
      headline4: GoogleFonts.marcellus(textStyle: textTheme.headline4),
      headline5: GoogleFonts.marcellus(textStyle: textTheme.headline5),
      headline6: GoogleFonts.marcellus(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.marcellus(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.marcellus(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.marcellus(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.marcellus(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.marcellus(textStyle: textTheme.caption),
      button: GoogleFonts.marcellus(textStyle: textTheme.button),
      overline: GoogleFonts.marcellus(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextStyle marcellusSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c5ce48eb9c8ceab009d792056be549983c1b1322fca2784a6e75e7579b347f9',
        47472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarcellusSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marcellus SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marcellus+SC
  static TextTheme marcellusScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.marcellusSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.marcellusSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.marcellusSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.marcellusSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.marcellusSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.marcellusSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.marcellusSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.marcellusSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.marcellusSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.marcellusSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.marcellusSc(textStyle: textTheme.caption),
      button: GoogleFonts.marcellusSc(textStyle: textTheme.button),
      overline: GoogleFonts.marcellusSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marck Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextStyle marckScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f111edb73a2a290328fb706396fd239519a491528780e18030fc8b0265a1b669',
        83616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarckScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marck Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marck+Script
  static TextTheme marckScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.marckScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.marckScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.marckScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.marckScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.marckScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.marckScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.marckScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.marckScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.marckScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.marckScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.marckScript(textStyle: textTheme.caption),
      button: GoogleFonts.marckScript(textStyle: textTheme.button),
      overline: GoogleFonts.marckScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Margarine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextStyle margarine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86d801ed5c2e92441a7292c5dd8599a87757c63d0c8723543bcd44b504f37776',
        148404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Margarine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Margarine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Margarine
  static TextTheme margarineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.margarine(textStyle: textTheme.headline1),
      headline2: GoogleFonts.margarine(textStyle: textTheme.headline2),
      headline3: GoogleFonts.margarine(textStyle: textTheme.headline3),
      headline4: GoogleFonts.margarine(textStyle: textTheme.headline4),
      headline5: GoogleFonts.margarine(textStyle: textTheme.headline5),
      headline6: GoogleFonts.margarine(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.margarine(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.margarine(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.margarine(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.margarine(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.margarine(textStyle: textTheme.caption),
      button: GoogleFonts.margarine(textStyle: textTheme.button),
      overline: GoogleFonts.margarine(textStyle: textTheme.overline),
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextStyle markaziText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e5e6bb8cf276742072a5a22282dd79c7d532219e9a950faad9fcf21d2cf8cea',
        120520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6f033a9cc38e8da2e1570b35f84c43b8312a13a2f126dfd89f67a322513d7eb',
        120652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68bfe2ab439b778907c8544102bbbb7de31be886ff40a6bf5172cab6c7c23eee',
        120692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '342d38b7c70eeaf282e54f367d5ba4eba6d1c07b2c2363023084bcbed4d1c05e',
        120648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkaziText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Markazi Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Markazi+Text
  static TextTheme markaziTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.markaziText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.markaziText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.markaziText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.markaziText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.markaziText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.markaziText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.markaziText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.markaziText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.markaziText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.markaziText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.markaziText(textStyle: textTheme.caption),
      button: GoogleFonts.markaziText(textStyle: textTheme.button),
      overline: GoogleFonts.markaziText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextStyle markoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f84b713ecebd47ffa67dc6fea96096b65f6a1abfb9819f1014a1ed0d1a4c1455',
        34436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MarkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marko+One
  static TextTheme markoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.markoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.markoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.markoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.markoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.markoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.markoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.markoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.markoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.markoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.markoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.markoOne(textStyle: textTheme.caption),
      button: GoogleFonts.markoOne(textStyle: textTheme.button),
      overline: GoogleFonts.markoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marmelad font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextStyle marmelad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d26c08790a329b7df0bf3cd14c6102856d22040c14545f72c05a2f1f47633d6',
        64620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marmelad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marmelad font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marmelad
  static TextTheme marmeladTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.marmelad(textStyle: textTheme.headline1),
      headline2: GoogleFonts.marmelad(textStyle: textTheme.headline2),
      headline3: GoogleFonts.marmelad(textStyle: textTheme.headline3),
      headline4: GoogleFonts.marmelad(textStyle: textTheme.headline4),
      headline5: GoogleFonts.marmelad(textStyle: textTheme.headline5),
      headline6: GoogleFonts.marmelad(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.marmelad(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.marmelad(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.marmelad(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.marmelad(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.marmelad(textStyle: textTheme.caption),
      button: GoogleFonts.marmelad(textStyle: textTheme.button),
      overline: GoogleFonts.marmelad(textStyle: textTheme.overline),
    );
  }

  /// Applies the Martel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextStyle martel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4024da71647bc66c6880037b41d29ad5ae7b5426518ad225ee14562d6dae75a',
        120120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '138cff935a5284819d91b6908fed6fc1cb770eddf8d812c17ef1dc6092010fb9',
        121516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bd68a5be6ee9107bc21ade86bd0199d47d96c7895a7a1c2c3080377779b268a',
        121136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd22af0f3a51da296280637f9124f2579cf8b495c74ce080f84aca6ad6c12c889',
        120600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b81175087fcd5061785115771a9e1c7ab3c69ca0de682426b8338a372e23153',
        120924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e03eaab1b6ec761214d4dc76edf835a3eafc1c7170942a240f46c25a571bd41',
        121552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d00654db8f5901e4a51129ff21160fe34513ff2284309ccd0b00cc79684c7cb',
        114876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Martel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel
  static TextTheme martelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.martel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.martel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.martel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.martel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.martel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.martel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.martel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.martel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.martel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.martel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.martel(textStyle: textTheme.caption),
      button: GoogleFonts.martel(textStyle: textTheme.button),
      overline: GoogleFonts.martel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextStyle martelSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fc958d478da9b8b19e77c989d4fb6dbbd2f412a15b122ba72a2b11ee450907f',
        107308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2115f8757576a27c80ccede4ba84e8febb53a0ec9f63840ab713b4d5e848f950',
        107084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f782be9e1cecfb4c75dd0bb7a8d88dce2794738a35bf5532079d99d4d529502d',
        107068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52f4a456d3927808cd2aa64f46cd6d63f7a938b904b289f66ab69c0db2e884a7',
        106336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcf8c1bb73f62f8c3e86ed5126daf3eb4ee130c49e70f7ebdcaf27ae635bfc1b',
        106340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0860874935148b1b8ffd9705d6ccef02322d3972a1bf7a38e63a65cf542e6395',
        106224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9145c71bcab8472ba22b19f9e4e898639945be5fed13f10cd4d399fd5eac5a83',
        105840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MartelSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Martel Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Martel+Sans
  static TextTheme martelSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.martelSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.martelSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.martelSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.martelSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.martelSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.martelSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.martelSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.martelSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.martelSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.martelSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.martelSans(textStyle: textTheme.caption),
      button: GoogleFonts.martelSans(textStyle: textTheme.button),
      overline: GoogleFonts.martelSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Marvel font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextStyle marvel({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3762fad5facc07dfebad111a683192dbddb8dc02a4a43406d2c79a4303b11b95',
        38196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aaf0a4ec8425cfad4c7d8c41f37da8d7de878baf6fe877de46e9bb6a21afa443',
        40644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84edf56bb5528f4a5a646cc54e1df7f8b8f0acfcab08ba176e2140d05e3576dc',
        36944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b41fd323f8f2702af4eac210e3a7aaccc576298b28256bf11c98cba436c90c9',
        40056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Marvel',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Marvel font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Marvel
  static TextTheme marvelTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.marvel(textStyle: textTheme.headline1),
      headline2: GoogleFonts.marvel(textStyle: textTheme.headline2),
      headline3: GoogleFonts.marvel(textStyle: textTheme.headline3),
      headline4: GoogleFonts.marvel(textStyle: textTheme.headline4),
      headline5: GoogleFonts.marvel(textStyle: textTheme.headline5),
      headline6: GoogleFonts.marvel(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.marvel(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.marvel(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.marvel(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.marvel(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.marvel(textStyle: textTheme.caption),
      button: GoogleFonts.marvel(textStyle: textTheme.button),
      overline: GoogleFonts.marvel(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextStyle mate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5701b2952429c600058781ef4db8a7525ee3bfcdc98015ed08588eff40647848',
        28168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '30cd036adcb37680b470e2671c3973733f6900c1cc99419e1fde6201aa100018',
        27660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate
  static TextTheme mateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mate(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mate(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mate(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mate(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mate(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mate(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mate(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mate(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mate(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mate(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mate(textStyle: textTheme.caption),
      button: GoogleFonts.mate(textStyle: textTheme.button),
      overline: GoogleFonts.mate(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mate SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextStyle mateSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9105b12c369a593ea31abf9530db6e89458635e2c5584c36d4e9af55177be4b8',
        29808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MateSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mate SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mate+SC
  static TextTheme mateScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mateSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mateSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mateSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mateSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mateSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mateSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mateSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mateSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mateSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mateSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mateSc(textStyle: textTheme.caption),
      button: GoogleFonts.mateSc(textStyle: textTheme.button),
      overline: GoogleFonts.mateSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextStyle mavenPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20ff29ac0e19858eec2689ee81f18e45489d0afec4b61a21036d0c755edafcd7',
        60872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afd784d77bd20f7e76864636023d94a988f8732c47ec791f79d096b11d1c327c',
        61472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f1c606af4cb59fd55c5e9d478e3c109eb47ee3c48c458ab10edcbcde15f0562',
        61364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a922f263eff247f7ccc3823865c2b9241e10c305b6c64b3754dbb06ce6b5e33',
        60948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MavenPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Maven Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Maven+Pro
  static TextTheme mavenProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mavenPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mavenPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mavenPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mavenPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mavenPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mavenPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mavenPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mavenPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mavenPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mavenPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mavenPro(textStyle: textTheme.caption),
      button: GoogleFonts.mavenPro(textStyle: textTheme.button),
      overline: GoogleFonts.mavenPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the McLaren font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextStyle mcLaren({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca48a5e17b0201057453d49c4271d139e5824b553505ad1c6fbbd7cbbbf4d1dc',
        54088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'McLaren',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the McLaren font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/McLaren
  static TextTheme mcLarenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mcLaren(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mcLaren(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mcLaren(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mcLaren(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mcLaren(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mcLaren(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mcLaren(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mcLaren(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mcLaren(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mcLaren(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mcLaren(textStyle: textTheme.caption),
      button: GoogleFonts.mcLaren(textStyle: textTheme.button),
      overline: GoogleFonts.mcLaren(textStyle: textTheme.overline),
    );
  }

  /// Applies the Meddon font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextStyle meddon({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50d2aafad12ffd4c696c904a7fdfa8fa855a6edc2d671fdd64af6375a052029e',
        79884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Meddon',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meddon font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meddon
  static TextTheme meddonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.meddon(textStyle: textTheme.headline1),
      headline2: GoogleFonts.meddon(textStyle: textTheme.headline2),
      headline3: GoogleFonts.meddon(textStyle: textTheme.headline3),
      headline4: GoogleFonts.meddon(textStyle: textTheme.headline4),
      headline5: GoogleFonts.meddon(textStyle: textTheme.headline5),
      headline6: GoogleFonts.meddon(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.meddon(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.meddon(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.meddon(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.meddon(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.meddon(textStyle: textTheme.caption),
      button: GoogleFonts.meddon(textStyle: textTheme.button),
      overline: GoogleFonts.meddon(textStyle: textTheme.overline),
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextStyle medievalSharp({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93afbe692f662b93c6faf17b061d07ad7b343db38496d49e05bc31fcfaf585ae',
        71108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedievalSharp',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MedievalSharp font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MedievalSharp
  static TextTheme medievalSharpTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.medievalSharp(textStyle: textTheme.headline1),
      headline2: GoogleFonts.medievalSharp(textStyle: textTheme.headline2),
      headline3: GoogleFonts.medievalSharp(textStyle: textTheme.headline3),
      headline4: GoogleFonts.medievalSharp(textStyle: textTheme.headline4),
      headline5: GoogleFonts.medievalSharp(textStyle: textTheme.headline5),
      headline6: GoogleFonts.medievalSharp(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.medievalSharp(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.medievalSharp(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.medievalSharp(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.medievalSharp(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.medievalSharp(textStyle: textTheme.caption),
      button: GoogleFonts.medievalSharp(textStyle: textTheme.button),
      overline: GoogleFonts.medievalSharp(textStyle: textTheme.overline),
    );
  }

  /// Applies the Medula One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextStyle medulaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01411348aab468ebfca2f176a931010b30ec982ff382993310e5cc4d65e49904',
        33636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MedulaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Medula One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Medula+One
  static TextTheme medulaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.medulaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.medulaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.medulaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.medulaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.medulaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.medulaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.medulaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.medulaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.medulaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.medulaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.medulaOne(textStyle: textTheme.caption),
      button: GoogleFonts.medulaOne(textStyle: textTheme.button),
      overline: GoogleFonts.medulaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextStyle meeraInimai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '199785360f92220660b6a90e66afd8907c31df21ef4e4470e2af99c968017208',
        72272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeeraInimai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meera Inimai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meera+Inimai
  static TextTheme meeraInimaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.meeraInimai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.meeraInimai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.meeraInimai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.meeraInimai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.meeraInimai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.meeraInimai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.meeraInimai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.meeraInimai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.meeraInimai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.meeraInimai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.meeraInimai(textStyle: textTheme.caption),
      button: GoogleFonts.meeraInimai(textStyle: textTheme.button),
      overline: GoogleFonts.meeraInimai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Megrim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextStyle megrim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af75cd9219b5b5df8c1ebc7dff3232935d81325c33d502dfabc83f32a310831d',
        32164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Megrim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Megrim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Megrim
  static TextTheme megrimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.megrim(textStyle: textTheme.headline1),
      headline2: GoogleFonts.megrim(textStyle: textTheme.headline2),
      headline3: GoogleFonts.megrim(textStyle: textTheme.headline3),
      headline4: GoogleFonts.megrim(textStyle: textTheme.headline4),
      headline5: GoogleFonts.megrim(textStyle: textTheme.headline5),
      headline6: GoogleFonts.megrim(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.megrim(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.megrim(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.megrim(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.megrim(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.megrim(textStyle: textTheme.caption),
      button: GoogleFonts.megrim(textStyle: textTheme.button),
      overline: GoogleFonts.megrim(textStyle: textTheme.overline),
    );
  }

  /// Applies the Meie Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextStyle meieScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aefe23d9bdd07bdf03debfd770abb2ea2f50634e5b0803593abf3eb0b9a784c4',
        53640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeieScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meie Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meie+Script
  static TextTheme meieScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.meieScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.meieScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.meieScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.meieScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.meieScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.meieScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.meieScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.meieScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.meieScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.meieScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.meieScript(textStyle: textTheme.caption),
      button: GoogleFonts.meieScript(textStyle: textTheme.button),
      overline: GoogleFonts.meieScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Meow Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextStyle meowScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1efb4e3f7d02119a4e3ae8a858cedb1187379d54d09c2944e9010796a913f129',
        101276,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeowScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Meow Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Meow+Script
  static TextTheme meowScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.meowScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.meowScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.meowScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.meowScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.meowScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.meowScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.meowScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.meowScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.meowScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.meowScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.meowScript(textStyle: textTheme.caption),
      button: GoogleFonts.meowScript(textStyle: textTheme.button),
      overline: GoogleFonts.meowScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Merienda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextStyle merienda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1132399bc1f3e2caf41c69cc4f7c590c83da549f8e9b8cf43dadc262df733048',
        41028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f177984e147fff648e2e2bd9ca6e74e13c2be2d6d14b466b154b51e93df5f14',
        34984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merienda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda
  static TextTheme meriendaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.merienda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.merienda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.merienda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.merienda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.merienda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.merienda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.merienda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.merienda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.merienda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.merienda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.merienda(textStyle: textTheme.caption),
      button: GoogleFonts.merienda(textStyle: textTheme.button),
      overline: GoogleFonts.merienda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Merienda One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda+One
  static TextStyle meriendaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa4c2d33606a440380daab12052cc4b38ac64de26f9dc46de18e3405571ea638',
        30500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MeriendaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merienda One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merienda+One
  static TextTheme meriendaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.meriendaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.meriendaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.meriendaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.meriendaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.meriendaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.meriendaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.meriendaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.meriendaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.meriendaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.meriendaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.meriendaOne(textStyle: textTheme.caption),
      button: GoogleFonts.meriendaOne(textStyle: textTheme.button),
      overline: GoogleFonts.meriendaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Merriweather font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextStyle merriweather({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e88a5324d8b8b44503a016700f8509fb935a78d5668c821daa0092bfea21493',
        73036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '328531f24df7325999a988ae9020486990b3f719e0380ebc4c92287bf487a8ff',
        77736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c2d3ddfee4c635410c77868a5443efcbf7f660b64d159ba2cbd7d03f43e02f3',
        74308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec0e385dcae93a7bfa85adcf27ca8465f179fba9a112e05f07384561b29a4b1a',
        77292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '853dd62f5464fdb7677eeceedf17f771b710501d4fb15dd7076912d7430e92e3',
        73672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acca91ffc59368ee6894a41c9c417f5d2ec9f03c2c181b8e90013e49a401caf4',
        77196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aeb362f6ad7c32d24b6a96265394b98c1da77b6620d79ecace57a083ff21c9d2',
        74176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6aef6fa65ac3afe1f4e813c13cc623329ddae356f8fa330370e3f1cd754f928',
        76980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Merriweather',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather
  static TextTheme merriweatherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.merriweather(textStyle: textTheme.headline1),
      headline2: GoogleFonts.merriweather(textStyle: textTheme.headline2),
      headline3: GoogleFonts.merriweather(textStyle: textTheme.headline3),
      headline4: GoogleFonts.merriweather(textStyle: textTheme.headline4),
      headline5: GoogleFonts.merriweather(textStyle: textTheme.headline5),
      headline6: GoogleFonts.merriweather(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.merriweather(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.merriweather(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.merriweather(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.merriweather(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.merriweather(textStyle: textTheme.caption),
      button: GoogleFonts.merriweather(textStyle: textTheme.button),
      overline: GoogleFonts.merriweather(textStyle: textTheme.overline),
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextStyle merriweatherSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f616380e06211b4f761656da4fa581a7d0342e10ef56f5be45bee9306dfc3a9b',
        41572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05ca1d14a17191d43a6d7622e29059462800af4da0f507c95243b2bad8fa630c',
        42068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bed429e28f419d7f2a83544104f8c0561a37b088ae9f84c2bcd7400c2589dea',
        41204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2064c7a30f875f7364657c94031f67a4ec37225a03e604d81190ef884df6b744',
        41616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa38d2e5c8adaa4e200490a344d5cf28495405d0d83c6a0620bef8510853c9ac',
        41152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c33c69255f4345f6510aeb92fb1edd05495c99313368face8b8c9f996bf5545',
        41752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '344758d11e4f83c18b0998f11d76dfc215dabfffa863207739c8a99248ec5f89',
        41740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '45321dfdc3c655bfed2b7abc7fb30131d49e307233bf42d8a8d477135890fc04',
        42420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MerriweatherSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Merriweather Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Merriweather+Sans
  static TextTheme merriweatherSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.merriweatherSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.merriweatherSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.merriweatherSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.merriweatherSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.merriweatherSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.merriweatherSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.merriweatherSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.merriweatherSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.merriweatherSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.merriweatherSans(textStyle: textTheme.caption),
      button: GoogleFonts.merriweatherSans(textStyle: textTheme.button),
      overline: GoogleFonts.merriweatherSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextStyle metalMania({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9495d91ee2029ca622be05cf5924ab5d44a3f54809cb02e792987386e0ba2265',
        215332,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MetalMania',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metal Mania font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metal+Mania
  static TextTheme metalManiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.metalMania(textStyle: textTheme.headline1),
      headline2: GoogleFonts.metalMania(textStyle: textTheme.headline2),
      headline3: GoogleFonts.metalMania(textStyle: textTheme.headline3),
      headline4: GoogleFonts.metalMania(textStyle: textTheme.headline4),
      headline5: GoogleFonts.metalMania(textStyle: textTheme.headline5),
      headline6: GoogleFonts.metalMania(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.metalMania(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.metalMania(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.metalMania(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.metalMania(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.metalMania(textStyle: textTheme.caption),
      button: GoogleFonts.metalMania(textStyle: textTheme.button),
      overline: GoogleFonts.metalMania(textStyle: textTheme.overline),
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextStyle metamorphous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83d03fe24f83517affbc43ea6f81ba72a2accf111f2e33ccc4cfe1a857789185',
        68972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metamorphous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metamorphous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metamorphous
  static TextTheme metamorphousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.metamorphous(textStyle: textTheme.headline1),
      headline2: GoogleFonts.metamorphous(textStyle: textTheme.headline2),
      headline3: GoogleFonts.metamorphous(textStyle: textTheme.headline3),
      headline4: GoogleFonts.metamorphous(textStyle: textTheme.headline4),
      headline5: GoogleFonts.metamorphous(textStyle: textTheme.headline5),
      headline6: GoogleFonts.metamorphous(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.metamorphous(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.metamorphous(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.metamorphous(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.metamorphous(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.metamorphous(textStyle: textTheme.caption),
      button: GoogleFonts.metamorphous(textStyle: textTheme.button),
      overline: GoogleFonts.metamorphous(textStyle: textTheme.overline),
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextStyle metrophobic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fba0d5a8f2ffaa5c02bcfc5580a50f6b1dac80580d8d3a77073e6a74aa189b5c',
        30912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Metrophobic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Metrophobic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Metrophobic
  static TextTheme metrophobicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.metrophobic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.metrophobic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.metrophobic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.metrophobic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.metrophobic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.metrophobic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.metrophobic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.metrophobic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.metrophobic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.metrophobic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.metrophobic(textStyle: textTheme.caption),
      button: GoogleFonts.metrophobic(textStyle: textTheme.button),
      overline: GoogleFonts.metrophobic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Michroma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextStyle michroma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5799106e7f554ca9657d0f56c31b6babe55b321aefea779d8eae0c68dec1fd03',
        46924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Michroma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Michroma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Michroma
  static TextTheme michromaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.michroma(textStyle: textTheme.headline1),
      headline2: GoogleFonts.michroma(textStyle: textTheme.headline2),
      headline3: GoogleFonts.michroma(textStyle: textTheme.headline3),
      headline4: GoogleFonts.michroma(textStyle: textTheme.headline4),
      headline5: GoogleFonts.michroma(textStyle: textTheme.headline5),
      headline6: GoogleFonts.michroma(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.michroma(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.michroma(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.michroma(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.michroma(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.michroma(textStyle: textTheme.caption),
      button: GoogleFonts.michroma(textStyle: textTheme.button),
      overline: GoogleFonts.michroma(textStyle: textTheme.overline),
    );
  }

  /// Applies the Milonga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextStyle milonga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0754de34c73ed1446cebd4a2c6594cd4e24a2b8cd3512ad6e0d157285e9c2f7f',
        128132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Milonga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Milonga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Milonga
  static TextTheme milongaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.milonga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.milonga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.milonga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.milonga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.milonga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.milonga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.milonga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.milonga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.milonga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.milonga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.milonga(textStyle: textTheme.caption),
      button: GoogleFonts.milonga(textStyle: textTheme.button),
      overline: GoogleFonts.milonga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Miltonian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextStyle miltonian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39ba52477439aa52410287a79a2d8064fb7b18f82af5f6ae22fd50b70e31d96c',
        91816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miltonian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian
  static TextTheme miltonianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.miltonian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.miltonian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.miltonian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.miltonian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.miltonian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.miltonian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.miltonian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.miltonian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.miltonian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.miltonian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.miltonian(textStyle: textTheme.caption),
      button: GoogleFonts.miltonian(textStyle: textTheme.button),
      overline: GoogleFonts.miltonian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextStyle miltonianTattoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6b0d4cb984d618866e97a59156c448971703186b779d38d1402b650790004cf',
        69528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiltonianTattoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miltonian Tattoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miltonian+Tattoo
  static TextTheme miltonianTattooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.miltonianTattoo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.miltonianTattoo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.miltonianTattoo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.miltonianTattoo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.miltonianTattoo(textStyle: textTheme.caption),
      button: GoogleFonts.miltonianTattoo(textStyle: textTheme.button),
      overline: GoogleFonts.miltonianTattoo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextStyle mina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2cb3c2707dad5e0a5f21dbad8da10b86eb3b1da477394a33f4d47a819fafb82d',
        151172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dae008ee6a398a7d7b23f1fbdeeaced41fd8ba3b71cb12b94900ded063f6467',
        152540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mina
  static TextTheme minaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mina(textStyle: textTheme.caption),
      button: GoogleFonts.mina(textStyle: textTheme.button),
      overline: GoogleFonts.mina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Miniver font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextStyle miniver({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fee893072a2326d9baa9122deb089cd6f8d0645ee00cd02de22b415de3c7c54',
        45408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Miniver',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miniver font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miniver
  static TextTheme miniverTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.miniver(textStyle: textTheme.headline1),
      headline2: GoogleFonts.miniver(textStyle: textTheme.headline2),
      headline3: GoogleFonts.miniver(textStyle: textTheme.headline3),
      headline4: GoogleFonts.miniver(textStyle: textTheme.headline4),
      headline5: GoogleFonts.miniver(textStyle: textTheme.headline5),
      headline6: GoogleFonts.miniver(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.miniver(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.miniver(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.miniver(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.miniver(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.miniver(textStyle: textTheme.caption),
      button: GoogleFonts.miniver(textStyle: textTheme.button),
      overline: GoogleFonts.miniver(textStyle: textTheme.overline),
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextStyle miriamLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4dc8662662a1708ab4d397f59152bba9bde4ce4c524d9286d49d078a8c58dc6',
        74628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cbe1ade0a4a8eddd786eb1050d18d81c71465545f3f80392927a36af9035c775',
        72092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MiriamLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miriam Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miriam+Libre
  static TextTheme miriamLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.miriamLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.miriamLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.miriamLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.miriamLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.miriamLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.miriamLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.miriamLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.miriamLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.miriamLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.miriamLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.miriamLibre(textStyle: textTheme.caption),
      button: GoogleFonts.miriamLibre(textStyle: textTheme.button),
      overline: GoogleFonts.miriamLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mirza font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextStyle mirza({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b1ac6cb285ca3492e313a53d5252b9784bf7607f2835a2d44cb3cbad0168539',
        177820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '423532407cc832ef84cc8f08a3359f26b50e721c8aa0e00221e4215cc83440b3',
        177352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4225215d0df4ad389c4ac29d48fddc531703776591ade64c23f6f995669d4078',
        177188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '306b412a39d9f93ca840c13ca62300eb5c7712e2afa94bd7ef2272b51131be6d',
        177052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mirza',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mirza font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mirza
  static TextTheme mirzaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mirza(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mirza(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mirza(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mirza(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mirza(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mirza(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mirza(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mirza(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mirza(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mirza(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mirza(textStyle: textTheme.caption),
      button: GoogleFonts.mirza(textStyle: textTheme.button),
      overline: GoogleFonts.mirza(textStyle: textTheme.overline),
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextStyle missFajardose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8de81a59ca34a15be7f6749a4f5247486c41ce79afb9b16e4212d54c0e5d9a89',
        58824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MissFajardose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Miss Fajardose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Miss+Fajardose
  static TextTheme missFajardoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.missFajardose(textStyle: textTheme.headline1),
      headline2: GoogleFonts.missFajardose(textStyle: textTheme.headline2),
      headline3: GoogleFonts.missFajardose(textStyle: textTheme.headline3),
      headline4: GoogleFonts.missFajardose(textStyle: textTheme.headline4),
      headline5: GoogleFonts.missFajardose(textStyle: textTheme.headline5),
      headline6: GoogleFonts.missFajardose(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.missFajardose(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.missFajardose(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.missFajardose(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.missFajardose(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.missFajardose(textStyle: textTheme.caption),
      button: GoogleFonts.missFajardose(textStyle: textTheme.button),
      overline: GoogleFonts.missFajardose(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mitr font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextStyle mitr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13aa43b100ddb2ef3f574409c44d5148c96e262d636030f3546632afc8bec583',
        140672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42aaeccd38bab09aab541391f181cf90544aed031b28240064e03a597d820aff',
        146132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51a838bb86fd8ae3d3b14861b86090b8e590d6cec16828f5ff85cc29e255fdd4',
        148012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8c0fad121eecc6ccc06afd51a3ed04b7632eabd778490fabe406d010d492fb6',
        148128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f52b41a04226fd35e8292e4074e68cf18847a0b362d1ea41038b6cebcad7953c',
        147556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '302b58d18b982fe3745338cc6ea87e5868436d2ba962262423c98cac9d161c47',
        148144,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mitr',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mitr font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mitr
  static TextTheme mitrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mitr(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mitr(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mitr(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mitr(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mitr(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mitr(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mitr(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mitr(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mitr(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mitr(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mitr(textStyle: textTheme.caption),
      button: GoogleFonts.mitr(textStyle: textTheme.button),
      overline: GoogleFonts.mitr(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextStyle mochiyPopOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3fb344386a811c67bdb3884a56a6abc44c1556024d68833039b968a1f15f7a27',
        4607440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+One
  static TextTheme mochiyPopOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mochiyPopOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mochiyPopOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mochiyPopOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mochiyPopOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mochiyPopOne(textStyle: textTheme.caption),
      button: GoogleFonts.mochiyPopOne(textStyle: textTheme.button),
      overline: GoogleFonts.mochiyPopOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextStyle mochiyPopPOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfbdc87a9c549aa86033713ca7edd8a7f2f9ba4cbe9b8d2d067a848ee1c9e5c8',
        4608112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MochiyPopPOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mochiy Pop P One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mochiy+Pop+P+One
  static TextTheme mochiyPopPOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mochiyPopPOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mochiyPopPOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mochiyPopPOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mochiyPopPOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mochiyPopPOne(textStyle: textTheme.caption),
      button: GoogleFonts.mochiyPopPOne(textStyle: textTheme.button),
      overline: GoogleFonts.mochiyPopPOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Modak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextStyle modak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '999298cc9b836b6d428706a18192f20ce4f95b9ffc84c016dd59527f7735bdd4',
        362296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Modak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modak
  static TextTheme modakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.modak(textStyle: textTheme.headline1),
      headline2: GoogleFonts.modak(textStyle: textTheme.headline2),
      headline3: GoogleFonts.modak(textStyle: textTheme.headline3),
      headline4: GoogleFonts.modak(textStyle: textTheme.headline4),
      headline5: GoogleFonts.modak(textStyle: textTheme.headline5),
      headline6: GoogleFonts.modak(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.modak(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.modak(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.modak(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.modak(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.modak(textStyle: textTheme.caption),
      button: GoogleFonts.modak(textStyle: textTheme.button),
      overline: GoogleFonts.modak(textStyle: textTheme.overline),
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextStyle modernAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df7e73ec3e130e1a70e2680351228d3e058ceea718f4e7ab314b98ce3978d7f9',
        70060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ModernAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Modern Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Modern+Antiqua
  static TextTheme modernAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.modernAntiqua(textStyle: textTheme.headline1),
      headline2: GoogleFonts.modernAntiqua(textStyle: textTheme.headline2),
      headline3: GoogleFonts.modernAntiqua(textStyle: textTheme.headline3),
      headline4: GoogleFonts.modernAntiqua(textStyle: textTheme.headline4),
      headline5: GoogleFonts.modernAntiqua(textStyle: textTheme.headline5),
      headline6: GoogleFonts.modernAntiqua(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.modernAntiqua(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.modernAntiqua(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.modernAntiqua(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.modernAntiqua(textStyle: textTheme.caption),
      button: GoogleFonts.modernAntiqua(textStyle: textTheme.button),
      overline: GoogleFonts.modernAntiqua(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextStyle mogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11a1b64ecdf329dcbc068f036c2c09a2058b63bda66c3a541102b48e959c2a4e',
        233848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mogra
  static TextTheme mograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mogra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mogra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mogra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mogra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mogra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mogra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mogra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mogra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mogra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mogra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mogra(textStyle: textTheme.caption),
      button: GoogleFonts.mogra(textStyle: textTheme.button),
      overline: GoogleFonts.mogra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mohave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextStyle mohave({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65fd2bda3aecbddcac253941e27fd7d238532a7d58c81f708ed4b27e2da7d85b',
        36972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '097b8d92d13b51dfcd7651a8a8590079519e8f0a416110fad7ebee9d24864bd1',
        36932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7ffa03d8f4c3e6cf9c276f64d41132f551d36cd189e551d477554691e5cb2bf',
        36920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '461d2521973770146d7bd0dda5c44c7dbb27036c58a34e34df68acd977c4bb1f',
        36944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c75da630c43de585d367b401fce247908cc732651e5fce82f888802d4b278d95',
        37048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '15365a0ca6013ab6ac838d95c98aa9873c9905eb0fcb0363fbcd57f4007726cc',
        38768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c6c430e68e62daf467afc664a155507820d0e74478a7fe2b77daa835c88d14dc',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c854120248d5af35f10cffe6e66d39f9e1f3ad9e2dba5f1312853223c7e0c97a',
        38728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02ac72b13795b690705928b5c0d2566b11b4fe4346af3d0bd3023215d86e3e6c',
        38756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd4a5d4178e4a292f1178af5e2c6c73532168f9bc0a56da45cc09bf3c436d02fd',
        38816,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mohave',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mohave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mohave
  static TextTheme mohaveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mohave(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mohave(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mohave(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mohave(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mohave(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mohave(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mohave(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mohave(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mohave(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mohave(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mohave(textStyle: textTheme.caption),
      button: GoogleFonts.mohave(textStyle: textTheme.button),
      overline: GoogleFonts.mohave(textStyle: textTheme.overline),
    );
  }

  /// Applies the Molengo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextStyle molengo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c17cda006ffaf122363be2ad7ed8394c0bf59581bd9e5e9a7e7f5c0ed161a4c0',
        34868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molengo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molengo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molengo
  static TextTheme molengoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.molengo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.molengo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.molengo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.molengo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.molengo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.molengo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.molengo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.molengo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.molengo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.molengo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.molengo(textStyle: textTheme.caption),
      button: GoogleFonts.molengo(textStyle: textTheme.button),
      overline: GoogleFonts.molengo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Molle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextStyle molle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd081c5d8d7d19361eaa68e5c05b211b519fa2d27ca94a3ec76da0a39f880acb9',
        35904,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Molle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Molle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Molle
  static TextTheme molleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.molle(textStyle: textTheme.headline1),
      headline2: GoogleFonts.molle(textStyle: textTheme.headline2),
      headline3: GoogleFonts.molle(textStyle: textTheme.headline3),
      headline4: GoogleFonts.molle(textStyle: textTheme.headline4),
      headline5: GoogleFonts.molle(textStyle: textTheme.headline5),
      headline6: GoogleFonts.molle(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.molle(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.molle(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.molle(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.molle(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.molle(textStyle: textTheme.caption),
      button: GoogleFonts.molle(textStyle: textTheme.button),
      overline: GoogleFonts.molle(textStyle: textTheme.overline),
    );
  }

  /// Applies the Monda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextStyle monda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b28adc169d42a434c7b435bab7f4c11ae50fdc1516bc03426f8835d8b70dbee7',
        28212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b05dc6798c3ea80d95c20709740c72bb72d07040538c1240f850c220292e3f6f',
        29004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monda
  static TextTheme mondaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.monda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.monda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.monda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.monda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.monda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.monda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.monda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.monda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.monda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.monda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.monda(textStyle: textTheme.caption),
      button: GoogleFonts.monda(textStyle: textTheme.button),
      overline: GoogleFonts.monda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Monofett font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextStyle monofett({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebeb36e324072bc8a4e7717f33c5c72271409af395fdf3b4f1e66b529addb881',
        58108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monofett',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monofett font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monofett
  static TextTheme monofettTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.monofett(textStyle: textTheme.headline1),
      headline2: GoogleFonts.monofett(textStyle: textTheme.headline2),
      headline3: GoogleFonts.monofett(textStyle: textTheme.headline3),
      headline4: GoogleFonts.monofett(textStyle: textTheme.headline4),
      headline5: GoogleFonts.monofett(textStyle: textTheme.headline5),
      headline6: GoogleFonts.monofett(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.monofett(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.monofett(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.monofett(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.monofett(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.monofett(textStyle: textTheme.caption),
      button: GoogleFonts.monofett(textStyle: textTheme.button),
      overline: GoogleFonts.monofett(textStyle: textTheme.overline),
    );
  }

  /// Applies the Monoton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextStyle monoton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '432f7ab89e5991e379800eb285fad653a999a44aca1f9204e62060bbf932b2bf',
        51556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Monoton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monoton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monoton
  static TextTheme monotonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.monoton(textStyle: textTheme.headline1),
      headline2: GoogleFonts.monoton(textStyle: textTheme.headline2),
      headline3: GoogleFonts.monoton(textStyle: textTheme.headline3),
      headline4: GoogleFonts.monoton(textStyle: textTheme.headline4),
      headline5: GoogleFonts.monoton(textStyle: textTheme.headline5),
      headline6: GoogleFonts.monoton(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.monoton(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.monoton(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.monoton(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.monoton(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.monoton(textStyle: textTheme.caption),
      button: GoogleFonts.monoton(textStyle: textTheme.button),
      overline: GoogleFonts.monoton(textStyle: textTheme.overline),
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextStyle monsieurLaDoulaise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'def26258142aeeb4021fb91331bd0a7dae943c48caa8b09211393a16ed3c53c9',
        54240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonsieurLaDoulaise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Monsieur La Doulaise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Monsieur+La+Doulaise
  static TextTheme monsieurLaDoulaiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline1),
      headline2: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline2),
      headline3: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline3),
      headline4: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline4),
      headline5: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline5),
      headline6: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.caption),
      button: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.button),
      overline: GoogleFonts.monsieurLaDoulaise(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montaga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextStyle montaga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b97268f12c527fb933009800e8d887c083f48fa733c69dba7961c887909d99e',
        33908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montaga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montaga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montaga
  static TextTheme montagaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.montaga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.montaga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.montaga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.montaga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.montaga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.montaga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.montaga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.montaga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.montaga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.montaga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montaga(textStyle: textTheme.caption),
      button: GoogleFonts.montaga(textStyle: textTheme.button),
      overline: GoogleFonts.montaga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextStyle montaguSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5dbaa8a6a8361657e312d78e8e998c488a890693f8618e8163372b5118ce1b7',
        132460,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b562e405f1714704660fa1a6883983b0e097147f47d2468d3b5e9af60afaf37',
        133188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef482351dac9c006f565e684609989df6dd0d52ec22a02902600d02fa73e4b57',
        133336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6445acbd5fc75f135b3bfb67c7df408890bb4bca77640fa6998ab915b853218',
        133340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1404bcd3b90fcf92681d12e2c80881aef1d03b95f15e13e5617de4e3589eb5a3',
        133240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1063bc426707b9c1b6f3d1eb8320d947dfc8aa750ea07c97600f17c851f21fcb',
        133312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1400897e8bf6626a93a7a747bc603e8c956836aa8ee883e4a0d9ce97040e717b',
        133284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontaguSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montagu Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montagu+Slab
  static TextTheme montaguSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.montaguSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.montaguSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.montaguSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.montaguSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.montaguSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.montaguSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.montaguSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.montaguSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.montaguSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.montaguSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montaguSlab(textStyle: textTheme.caption),
      button: GoogleFonts.montaguSlab(textStyle: textTheme.button),
      overline: GoogleFonts.montaguSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextStyle monteCarlo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd137afd5ac7ba670f755a8d38f6582e61d222f0dd8ce71c430be549c7c293457',
        270596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MonteCarlo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MonteCarlo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MonteCarlo
  static TextTheme monteCarloTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.monteCarlo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.monteCarlo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.monteCarlo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.monteCarlo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.monteCarlo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.monteCarlo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.monteCarlo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.monteCarlo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.monteCarlo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.monteCarlo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.monteCarlo(textStyle: textTheme.caption),
      button: GoogleFonts.monteCarlo(textStyle: textTheme.button),
      overline: GoogleFonts.monteCarlo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextStyle montez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2ffdd5ee7b2b6e5f8a08b9bc62a24eac29a4755576e27b7856e039043d596ea',
        76776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montez
  static TextTheme montezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.montez(textStyle: textTheme.headline1),
      headline2: GoogleFonts.montez(textStyle: textTheme.headline2),
      headline3: GoogleFonts.montez(textStyle: textTheme.headline3),
      headline4: GoogleFonts.montez(textStyle: textTheme.headline4),
      headline5: GoogleFonts.montez(textStyle: textTheme.headline5),
      headline6: GoogleFonts.montez(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.montez(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.montez(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.montez(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.montez(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montez(textStyle: textTheme.caption),
      button: GoogleFonts.montez(textStyle: textTheme.button),
      overline: GoogleFonts.montez(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montserrat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextStyle montserrat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13b843ab4d5acd6d99d06a88bbc492bd3ffb0d55b01f159c34a0a6237cb2f148',
        151968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '282f82e77ce6ec450987922f6c8c55456bd826c8a1557a007adeb4c460c6ce27',
        151680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b058309166a4bdbc1e36f0f4ca0b8349e9705f457bc71a190e34624de2062455',
        153076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '778b3406a7b740d7d857323720a66ef72ccb3b507b3488b2e56fb9c9f52977b8',
        152248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25cab2a480827c3b70f98fa4fe09b06a974b8afb996f60232b5acacb57acade2',
        152908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7b490e666930fe7f1379aa62b203966a6f284a9dc74b09e8dd5c59760da460f8',
        151788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '470e93c06a9fffa6851375f54047917a9d774ed6027d9f044cd1bc8d4cd5630b',
        152396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '83e171717660560888d9a84b2a2b1409b6fb43b806ce9b96059c974be4126d64',
        151288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cec0f6e0bfbfaa352eb189f0eb220916dd278b02aaf824be87055ba5cc38d58b',
        152092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a61fc08703fd75883c389503641242523b7140ac0b6df6b22106902767e7bb2c',
        150928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f82f6e55db43e905c6ab9d04395566b243c41798d6a53545ffbd10ed6c424c4',
        152148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '625ed5e1a74ead073b6562f04b509f83c2e1630b25ea4c98ccd3d275418c0308',
        150648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '052bfd7f3dc788ae3f0d59dc8e5d65be0c1ec9acaa6fbe53dc70640f64c075bd',
        151780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7c882260e0b6664897eb1747188ca151cea2a966109ae534e0eb706aa990510d',
        150528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bac23178f38bab6018ed343c524a822a5bcbe2a021decbf30f85a9cb61aade0',
        151776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2c00bb055d9f815d97ed28ae9e26ae9bff8d0ffa7c6e9ddd3cc47c070c922ea',
        150292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c64d95a01ae992dd8ff7474e55c16b2a05ea6c4e9aa944ccb51d4b1016232583',
        149380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6eac88b190248d68069db0de9c165f24aaffc22097fec98ba72710c2f9a96a71',
        148416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Montserrat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat
  static TextTheme montserratTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.montserrat(textStyle: textTheme.headline1),
      headline2: GoogleFonts.montserrat(textStyle: textTheme.headline2),
      headline3: GoogleFonts.montserrat(textStyle: textTheme.headline3),
      headline4: GoogleFonts.montserrat(textStyle: textTheme.headline4),
      headline5: GoogleFonts.montserrat(textStyle: textTheme.headline5),
      headline6: GoogleFonts.montserrat(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.montserrat(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.montserrat(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.montserrat(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.montserrat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montserrat(textStyle: textTheme.caption),
      button: GoogleFonts.montserrat(textStyle: textTheme.button),
      overline: GoogleFonts.montserrat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextStyle montserratAlternates({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c09b026797ce5fac448caefbdc866f5a81bf9cc625984ef1aa9403631484819',
        111412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c82e331c5ea52753b4551af7eff9d03c3662fb16fea5c00fa558120532424212',
        114640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a0f2fd4ee372169bc19522956923e1ade9563dbf8789d7a74576eca54c0cb98',
        111792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e8fdaa328523c20fe857f63acd10406a6fe6165bc82fd41a676e77c55374087',
        114648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '009e98fbd7f5568e68b9379e0d049e1f646ef5001f366eca34cd44c262443dbb',
        111672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd82d87be0bd762617314db90ed2694ea7a75e7aeb4e4da266a9581c67fd97d09',
        114248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2f5d183ba5588c36e0f975cd5c154bfab1c4defaf7edcacb101f20a83721bb0',
        111272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a94551458451c010e364df974a12e6de5911fe56b117390ba8d52ac82dfaaec5',
        113800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ad6f1c378b9acd74dc8ac990b61607e3b218a3fbf0988f0ef5c508fa13fdab1',
        110856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4afe42c2aeb0bd46a2c9f199560bd2ebedb166d1e67618651870b8421499c300',
        113540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2fec79e6e398e2c513322f7af66001553bf74c69cefe117fb05472b44f6d95ed',
        111008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ef634325d5a61d0891d3a6eacd265a2983cf1e9e84caafc7bc2addf2f554d69',
        113232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54d33b2d46c465e38dbbac2b2b8b5f0a6242270cf0d5511f0161c21e1f0d4ccf',
        110620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '95d8420481ab395146970da7489bd9b91f5c0437ac1806c84583787cdd4d9b58',
        113136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2dd175394efc14d9c412b3bad3e06b26a98655760909e676e5be12e642daee59',
        110684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ea02188bddfbe57ace54b7785d677eddcdd630d1073fdcda277f1186aaedf20',
        112928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d1eed87eda713f3f729c721ae1754c382e1517f51f29be05babf98f8e985693',
        109236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '59d0191230f070e7792b5c21e8a1f3ebc0c132ed6564d765d8759903325bda9b',
        111956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratAlternates',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Alternates font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Alternates
  static TextTheme montserratAlternatesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.montserratAlternates(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.montserratAlternates(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.montserratAlternates(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.montserratAlternates(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montserratAlternates(textStyle: textTheme.caption),
      button: GoogleFonts.montserratAlternates(textStyle: textTheme.button),
      overline: GoogleFonts.montserratAlternates(textStyle: textTheme.overline),
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextStyle montserratSubrayada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bcf81f50b96cbae5ccbd3337f693c53bbbe2bb5717bb8637eeaf4d5dff5699c4',
        24284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a2a4c0ee5aade485aa6bf9a1a43b1ef3fe0aa5dda27e70b0b9abe7625562124',
        24316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MontserratSubrayada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Montserrat Subrayada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Montserrat+Subrayada
  static TextTheme montserratSubrayadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.montserratSubrayada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.montserratSubrayada(textStyle: textTheme.caption),
      button: GoogleFonts.montserratSubrayada(textStyle: textTheme.button),
      overline: GoogleFonts.montserratSubrayada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextStyle mountainsOfChristmas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2200cef227dc27280b133ec5d366a7a1c5e8956523b6a69490c6d3be875831f',
        122496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52a7b2b21269dc6d67187a7882fa4bbc19f093792adc852c62497c6495d129e6',
        123356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MountainsofChristmas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mountains of Christmas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mountains+of+Christmas
  static TextTheme mountainsOfChristmasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.mountainsOfChristmas(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mountainsOfChristmas(textStyle: textTheme.caption),
      button: GoogleFonts.mountainsOfChristmas(textStyle: textTheme.button),
      overline: GoogleFonts.mountainsOfChristmas(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextStyle mouseMemoirs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36717824ce8893e8e49e371730b587484db4b095302a60970bffe613c3a81960',
        55516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MouseMemoirs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mouse Memoirs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mouse+Memoirs
  static TextTheme mouseMemoirsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mouseMemoirs(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mouseMemoirs(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mouseMemoirs(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mouseMemoirs(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mouseMemoirs(textStyle: textTheme.caption),
      button: GoogleFonts.mouseMemoirs(textStyle: textTheme.button),
      overline: GoogleFonts.mouseMemoirs(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextStyle mrBedfort({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e15139ad970a418042aa1bd423cac0ecbc77211a359ea93bf60c67ade7f97542',
        37204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrBedfort',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Bedfort font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Bedfort
  static TextTheme mrBedfortTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mrBedfort(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mrBedfort(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mrBedfort(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mrBedfort(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mrBedfort(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mrBedfort(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mrBedfort(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mrBedfort(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mrBedfort(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mrBedfort(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mrBedfort(textStyle: textTheme.caption),
      button: GoogleFonts.mrBedfort(textStyle: textTheme.button),
      overline: GoogleFonts.mrBedfort(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextStyle mrDafoe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7130e498cceb99869e8233972404152d7f191ca5b5e37435cbd7b31758dec294',
        47928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDafoe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr Dafoe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+Dafoe
  static TextTheme mrDafoeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mrDafoe(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mrDafoe(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mrDafoe(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mrDafoe(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mrDafoe(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mrDafoe(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mrDafoe(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mrDafoe(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mrDafoe(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mrDafoe(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mrDafoe(textStyle: textTheme.caption),
      button: GoogleFonts.mrDafoe(textStyle: textTheme.button),
      overline: GoogleFonts.mrDafoe(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextStyle mrDeHaviland({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8eabbdbc1c25c4982d316b366f4cd39f1d12589d7442ec03923353e8b739132',
        44624,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrDeHaviland',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mr De Haviland font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mr+De+Haviland
  static TextTheme mrDeHavilandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mrDeHaviland(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mrDeHaviland(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mrDeHaviland(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mrDeHaviland(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mrDeHaviland(textStyle: textTheme.caption),
      button: GoogleFonts.mrDeHaviland(textStyle: textTheme.button),
      overline: GoogleFonts.mrDeHaviland(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextStyle mrsSaintDelafield({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b864d74de51aa37c270217c9c01320fd78f8b1c23077b4ef0c20cb697a41d899',
        49092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSaintDelafield',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Saint Delafield font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Saint+Delafield
  static TextTheme mrsSaintDelafieldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.caption),
      button: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.button),
      overline: GoogleFonts.mrsSaintDelafield(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextStyle mrsSheppards({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e405bf3cb038e30fac744c48068e8e3687a50c1b5cff874a57476b07f44b3b04',
        42336,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MrsSheppards',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mrs Sheppards font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mrs+Sheppards
  static TextTheme mrsSheppardsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mrsSheppards(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mrsSheppards(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mrsSheppards(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mrsSheppards(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mrsSheppards(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mrsSheppards(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mrsSheppards(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mrsSheppards(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mrsSheppards(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mrsSheppards(textStyle: textTheme.caption),
      button: GoogleFonts.mrsSheppards(textStyle: textTheme.button),
      overline: GoogleFonts.mrsSheppards(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mukta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextStyle mukta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a09d53371d63ff1a2007025ba620e2d49a10d6fa1cfd9771079b881fb10260b',
        302792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afd7468706fa0ed52e0b848541b4e7443296d0e40213e7903e1d85de5b78c259',
        299500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7a26594f60f0a156f11685565fac877993f2081741d7eafc7a67d82010f730f8',
        303624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8691ddcdc7892d423b4906d2316da09de32309d3d68b21b5d3d640e28901896',
        297420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d8e1e1ee78a611bd420d3ad4fb7812e49164acc68f473ee133666fe5376d477',
        293224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6fcac27938712ebc52654eee052ffee3cb5608feef54db55a22964fe8c7d974',
        294800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861cea1030f95eb8f746e95524c8440b56afdd6606e07782193fe436cc52f46b',
        294532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mukta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta
  static TextTheme muktaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mukta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mukta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mukta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mukta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mukta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mukta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mukta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mukta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mukta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mukta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mukta(textStyle: textTheme.caption),
      button: GoogleFonts.mukta(textStyle: textTheme.button),
      overline: GoogleFonts.mukta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextStyle muktaMahee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'deb2926281b06e4d02371cd3f6f4883d13a38514549e581c6269cb16250c5a63',
        159216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '448813ce747d7ccc8e7b380c48932fe537454f9a86ac18052fa515874298334e',
        158236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e185695b95ca5300e131bf6cf64a2442b7517874432a1a82f968ee61ed116717',
        159340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e224c5c38bb5fe5efb69e8392dfd476427211ddb37a97f4fd77b807d5aad8b7c',
        155880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2c62fede24e5fe712f6f59500c550749c89e47b21cb749ea96f447ace17a57a',
        155776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0bde54d9dc9448b8d81abd2d849dade4e04c4b7c4ec8565ccb09e80f0fd2be99',
        155836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '561a2604bd143dc10cc3499ba4e3c7eef16b6705db72db31da22ad356b76feb5',
        155592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMahee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Mahee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Mahee
  static TextTheme muktaMaheeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.muktaMahee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.muktaMahee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.muktaMahee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.muktaMahee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.muktaMahee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.muktaMahee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.muktaMahee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.muktaMahee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.muktaMahee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.muktaMahee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.muktaMahee(textStyle: textTheme.caption),
      button: GoogleFonts.muktaMahee(textStyle: textTheme.button),
      overline: GoogleFonts.muktaMahee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextStyle muktaMalar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ae35f34ee0aecd84455b8074812b101d5d11bc4ae0ada4a90c3e6963cf1b93c',
        176484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d5b4747199d5f755d4d21f2dfb23f52cbeba3d94d82a526575d63a6be36c99b',
        175612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e58544a43eef9e9b107ca973ca2d3233a1e15b8eddffcc73a3cb767a82c86fd6',
        175612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05e1d0c09c615550bb87408248e0d42ce654f55e0757f1fa6f4f93323f8c8121',
        171128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4f26dcbc25c0f26d1fce4a3558f4aacdf8089148a638079c3353f6049ae21e9',
        171032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bacffc5f82b7219e1a4ff85b030aca1a5f805e0a1224534a6f2bfb01e4bd61cc',
        171620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '848b7be10b4d701ac02f5f2208071858aa399b564d503cd2e4ca428d25886da9',
        172316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaMalar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Malar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Malar
  static TextTheme muktaMalarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.muktaMalar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.muktaMalar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.muktaMalar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.muktaMalar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.muktaMalar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.muktaMalar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.muktaMalar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.muktaMalar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.muktaMalar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.muktaMalar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.muktaMalar(textStyle: textTheme.caption),
      button: GoogleFonts.muktaMalar(textStyle: textTheme.button),
      overline: GoogleFonts.muktaMalar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextStyle muktaVaani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29b1cbb5d158be22b06c5c6af360d55da720b6c8a7b9b218dd184cbfc2a97885',
        346528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b273ecb298d23bd198fdcf92d8137f3bb392abc1843e055c814580f254f3a4d2',
        354676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89cee2e2edc87643ff46594bc56da0b32e9f4fd9acb8b87979dda5d4da2bccb6',
        344512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5da49257aaa42ad92f5abf8235b58834033471554455112dea55a3a00761f1c0',
        351576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f14d4f17f14c4106a7fe56a9e591a9ef7d89e8dee221d5b4d359cac2667f138',
        349868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e1e0572586f30b3b9b794997b0b26cc725d41d3348eda988662d14d1fdc89b4',
        349956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09f9de8c00ef147925056cf61c1d7e324b50fd29b1fe15c95500c506ddd79aeb',
        342704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuktaVaani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mukta Vaani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mukta+Vaani
  static TextTheme muktaVaaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.muktaVaani(textStyle: textTheme.headline1),
      headline2: GoogleFonts.muktaVaani(textStyle: textTheme.headline2),
      headline3: GoogleFonts.muktaVaani(textStyle: textTheme.headline3),
      headline4: GoogleFonts.muktaVaani(textStyle: textTheme.headline4),
      headline5: GoogleFonts.muktaVaani(textStyle: textTheme.headline5),
      headline6: GoogleFonts.muktaVaani(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.muktaVaani(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.muktaVaani(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.muktaVaani(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.muktaVaani(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.muktaVaani(textStyle: textTheme.caption),
      button: GoogleFonts.muktaVaani(textStyle: textTheme.button),
      overline: GoogleFonts.muktaVaani(textStyle: textTheme.overline),
    );
  }

  /// Applies the Muli font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Muli
  static TextStyle muli({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbcba4190351f997830d7652727c7f42e0c882f325d1f75ba8a3c606f8ab0e23',
        66880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '939afc08c356b9f83c67ee2b78dec42c2f7e1eed1ade0be8b8fc1095d1429b04',
        68176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5de108957fcdaef883f06a6d0852f415189779437851b0d6d7abb06c9b717a86',
        66540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7cc6d79998df498ec95b3c68aa52f263ad62a25202e7971a6b75de645da069c2',
        67788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea4701f9a5e0b0e4c96b45b1c04278e62159ddb385941274af0394132622a139',
        66444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5a17a307589ccf860441ba4904d3819f0ce0a4d7001a6e4b7d0efd5858bcde8',
        67632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10d78b9b78e06d25335389823e4383b15fea791de3324adb6497069821c2e214',
        66332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9844bb9dc82723a3d8c41821d7ed75f37aa979969dbcf244e03676190a26c279',
        67648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ab6877022dc43f69329d1c8e73ede36b36ef3cd49a833da18c388c6311a18c7',
        66100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '93112f6142019f2669649529f27d3d42f5bc8859bf1dadaaf1ab66b07492b366',
        67360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ba6c90c1b1b2a61cc450ef443603f86e5acffbba7430c4d41e9ce1ef434b516',
        66120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dc2a00ad0b251d39d19272f9277b6940bb685b29b9cecca33bfb4008d5188d2c',
        67316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a887d75b7f4ca0f8a220638d755864474c4a89972ef84be00ba81d5764519e8c',
        66128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c1c38c7b31e983faf9ac1ba63d8a98cb93cdf7c854abd833e826a7bea94248c6',
        67448,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Muli',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Muli font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Muli
  static TextTheme muliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.muli(textStyle: textTheme.headline1),
      headline2: GoogleFonts.muli(textStyle: textTheme.headline2),
      headline3: GoogleFonts.muli(textStyle: textTheme.headline3),
      headline4: GoogleFonts.muli(textStyle: textTheme.headline4),
      headline5: GoogleFonts.muli(textStyle: textTheme.headline5),
      headline6: GoogleFonts.muli(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.muli(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.muli(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.muli(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.muli(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.muli(textStyle: textTheme.caption),
      button: GoogleFonts.muli(textStyle: textTheme.button),
      overline: GoogleFonts.muli(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mulish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextStyle mulish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc074694927dbce58bd63b595cc483ded638a26c22f710d73845272851b2213c',
        54528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbbab3b59151f460bdf1f12758d040c9e37221fdefdbf9fd481a7f50e9498569',
        54552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd52df2665a07c5362afe32bf698279bafe9ab2a37600e7497bda6db762c77ee8',
        54520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b94a4c139afb4207b54e2c678fb1f22ec963e2cee2971851ac2ca63db17bd6',
        54524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd471469a6b88140da82d8d273049b27e5b3aceabdc838a96638f37249ebe794a',
        54564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8bc3182a11f1754d82bfd883278a476fd5aed240f3563114703b3a2e6639f15',
        54496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32d3d52cf3d09684d2cd75cd09bc7d04f22dc8d3c814f83cad9b392425c751e4',
        54564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74162598504efb80255ca4edc6f6102f5d9c22ccbc48f6c1a46c4c61431b9a0a',
        54520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '995c490c95855f035c47bbe977ce3a1dbf25274a927c70878e505882f289b519',
        55608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ac161b22df9d48b43d4da45af4f3007eab8333ff64f40a93632161598120480',
        55616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2c129f664b0b43ed35946c2fdedabba6b0e6d4bcc9aa2c9962a69c4e54854db5',
        55524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '69b8fe61efaa11f5f869f2ae7b076bfdc68fe0ac6eda05b3937509de8893c377',
        55616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c4afaac18b96a0f0e80cc5f1ec8636eaf19a44ba4f3fa9c7c93779e658d030af',
        55668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9133e97bd644680203fea17a613c54fcd160a6d4ca9e3b941762359ba186ea67',
        55572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9f4fd9f9b2e55994361ce16aa2163406eeb8bc74416b02d1f90a254477655d30',
        55652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '41d7defaa9cd7ffb2ed9a76faa3a89f305b1359f572133232ecc1d35a18e2fe7',
        55616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Mulish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mulish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mulish
  static TextTheme mulishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mulish(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mulish(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mulish(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mulish(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mulish(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mulish(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mulish(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mulish(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mulish(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mulish(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mulish(textStyle: textTheme.caption),
      button: GoogleFonts.mulish(textStyle: textTheme.button),
      overline: GoogleFonts.mulish(textStyle: textTheme.overline),
    );
  }

  /// Applies the Murecho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextStyle murecho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28773993f7bc55e99803bc9b32b028b74e6f7fb0a560fa3900b076a3b52526ce',
        884284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9498c5cc6afc660a659cb23da6b807f55f775523ebe6e2994350adf0d13c77c6',
        885008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e554dad4a4a6606b07044a7fc2373d9b1fd46aebc91d587aa0baa3bc2b1b5ef',
        884696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbe80588e4d59e43b40be3be7dda6c6facbee4cea347a4f565490a1adab963a9',
        884372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b543fac54332e906db3ccc2f82f3a80873e73864e0a30a0737e6f9262584acfa',
        883616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8595dc64f8defc1722c9af232554c2af6e87ba354264407d92ae15fdddfe0824',
        883312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b933776f3d4c903fad3360461f9dea3070f7dc8072b9d754f51e2f622a7371c1',
        882832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88a74b29b8a81c3144edd19a3e290b37f1eee5480c91459a39c6030e6ad16859',
        882532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5748109517722d8ccb131b972c142eaee9d01c2144cab6557fc789aefa7631b3',
        882096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Murecho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Murecho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Murecho
  static TextTheme murechoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.murecho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.murecho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.murecho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.murecho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.murecho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.murecho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.murecho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.murecho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.murecho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.murecho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.murecho(textStyle: textTheme.caption),
      button: GoogleFonts.murecho(textStyle: textTheme.button),
      overline: GoogleFonts.murecho(textStyle: textTheme.overline),
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextStyle museoModerno({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cac957efd66e1fe4dc998a948578d0471cf18aa442a9a8f2f4d9174f5c1ae85',
        45816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b98ce4cb9c3f6d5b3a8e1a9e40d8ddf9fefca2892751c78af2a6341fd75ea039',
        45836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ce4f8c87125d83b607172cc4b2726e1802fb331be7e2cfee607108fc3b84686',
        45792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04f3a18b5a0e5e4fe7d617eac6117871f7181659f7fc1c6b05ff948d6e287e8a',
        45740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9998799cff52088708609e7e5f54ee0d8a833144d937036e932bb7d36c977be',
        45720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '812e04e6d5e42c6dcb8b016e5174959bd94fee17658653b9c2c2d9204fd75aba',
        45744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5e29fd93e2824b7d21f84cc95d9a04adc84707e76fa2152184f883aa09802b9',
        45684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bdab1653eee057851ba7fff16af3f2aed3fcb223f32fdd0b3eb31f5488dcd80',
        45700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fe3f5ff8e5303a6624b6ffb654c57a87c095ac8172cd65d3dc1eeddb96933b4',
        45652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MuseoModerno',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the MuseoModerno font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/MuseoModerno
  static TextTheme museoModernoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.museoModerno(textStyle: textTheme.headline1),
      headline2: GoogleFonts.museoModerno(textStyle: textTheme.headline2),
      headline3: GoogleFonts.museoModerno(textStyle: textTheme.headline3),
      headline4: GoogleFonts.museoModerno(textStyle: textTheme.headline4),
      headline5: GoogleFonts.museoModerno(textStyle: textTheme.headline5),
      headline6: GoogleFonts.museoModerno(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.museoModerno(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.museoModerno(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.museoModerno(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.museoModerno(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.museoModerno(textStyle: textTheme.caption),
      button: GoogleFonts.museoModerno(textStyle: textTheme.button),
      overline: GoogleFonts.museoModerno(textStyle: textTheme.overline),
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextStyle mysteryQuest({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45f3b5f241a077e28d45ad6f0d542f3d9f2e2204a6d7ba78f4438c3960639003',
        41708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'MysteryQuest',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Mystery Quest font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Mystery+Quest
  static TextTheme mysteryQuestTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.mysteryQuest(textStyle: textTheme.headline1),
      headline2: GoogleFonts.mysteryQuest(textStyle: textTheme.headline2),
      headline3: GoogleFonts.mysteryQuest(textStyle: textTheme.headline3),
      headline4: GoogleFonts.mysteryQuest(textStyle: textTheme.headline4),
      headline5: GoogleFonts.mysteryQuest(textStyle: textTheme.headline5),
      headline6: GoogleFonts.mysteryQuest(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.mysteryQuest(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.mysteryQuest(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.mysteryQuest(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.mysteryQuest(textStyle: textTheme.caption),
      button: GoogleFonts.mysteryQuest(textStyle: textTheme.button),
      overline: GoogleFonts.mysteryQuest(textStyle: textTheme.overline),
    );
  }

  /// Applies the NTR font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextStyle ntr({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a81d9625c6e1cc5d20f097e68c4604194966a833b0bacfa533a882ad3fe92592',
        197756,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NTR',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the NTR font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/NTR
  static TextTheme ntrTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ntr(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ntr(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ntr(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ntr(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ntr(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ntr(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ntr(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ntr(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ntr(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ntr(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ntr(textStyle: textTheme.caption),
      button: GoogleFonts.ntr(textStyle: textTheme.button),
      overline: GoogleFonts.ntr(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextStyle nanumBrushScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e99eadfe916b8afa1065e368b0c06a725089504ffa9cd2bb1832cbe59ecb4822',
        2740080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumBrushScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Brush Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Brush+Script
  static TextTheme nanumBrushScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nanumBrushScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nanumBrushScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nanumBrushScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nanumBrushScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nanumBrushScript(textStyle: textTheme.caption),
      button: GoogleFonts.nanumBrushScript(textStyle: textTheme.button),
      overline: GoogleFonts.nanumBrushScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextStyle nanumGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384554f92bd4d754bd8750f8885c456c5264d6814731376178dd0727fcf2d98c',
        2879864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66257cb7dbb7d38dd5d9b0c7a1f9df7ae828f4a2a79a37070603405220e9f32b',
        2891140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '560717e4c667f1bdf58f6426ef133e74637eb3c1868feff814bb8a5b707e6880',
        2951544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic
  static TextTheme nanumGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nanumGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nanumGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nanumGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nanumGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nanumGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nanumGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nanumGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nanumGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nanumGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nanumGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nanumGothic(textStyle: textTheme.caption),
      button: GoogleFonts.nanumGothic(textStyle: textTheme.button),
      overline: GoogleFonts.nanumGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextStyle nanumGothicCoding({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87aa4e424fb41b2eb66974966afbb9b9d113444c73ddfec8d9960d1c9f15ca2a',
        1432612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfd061e7ac41bb2ac41c1b32e194b64a92ea19253afc0008d1a5e58e330434f9',
        1458744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumGothicCoding',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Gothic Coding font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Gothic+Coding
  static TextTheme nanumGothicCodingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nanumGothicCoding(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nanumGothicCoding(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nanumGothicCoding(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nanumGothicCoding(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nanumGothicCoding(textStyle: textTheme.caption),
      button: GoogleFonts.nanumGothicCoding(textStyle: textTheme.button),
      overline: GoogleFonts.nanumGothicCoding(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextStyle nanumMyeongjo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3df71af0cacc55f9ee8f8e5e35a48672e379aefb187f3ae133a8fd5100c3810f',
        2167668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c78488cd4af94bf04459b776f90fbe7942e11af15dda46bd856a1abc0523ae11',
        2241272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2da8166e69673863a98b44792cb5b54e1a13b597c11dca437783e5a9336cfa9c',
        2293712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumMyeongjo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Myeongjo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Myeongjo
  static TextTheme nanumMyeongjoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nanumMyeongjo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nanumMyeongjo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nanumMyeongjo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nanumMyeongjo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nanumMyeongjo(textStyle: textTheme.caption),
      button: GoogleFonts.nanumMyeongjo(textStyle: textTheme.button),
      overline: GoogleFonts.nanumMyeongjo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextStyle nanumPenScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e0017c2efd9b7de2cf1b9d90c99ebfd4be478763a4f265915ce2302d928a6f4',
        2533592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NanumPenScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nanum Pen Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nanum+Pen+Script
  static TextTheme nanumPenScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nanumPenScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nanumPenScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nanumPenScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nanumPenScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nanumPenScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nanumPenScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nanumPenScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nanumPenScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nanumPenScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nanumPenScript(textStyle: textTheme.caption),
      button: GoogleFonts.nanumPenScript(textStyle: textTheme.button),
      overline: GoogleFonts.nanumPenScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nerko One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextStyle nerkoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '878f83135fb709ecde10c8995a744ad075b82815f89387dc1804f7a288fe9ff6',
        102004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NerkoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nerko One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nerko+One
  static TextTheme nerkoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nerkoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nerkoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nerkoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nerkoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nerkoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nerkoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nerkoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nerkoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nerkoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nerkoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nerkoOne(textStyle: textTheme.caption),
      button: GoogleFonts.nerkoOne(textStyle: textTheme.button),
      overline: GoogleFonts.nerkoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Neucha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextStyle neucha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e6e5577b90d7925c65ee7e36c988d5da0c8abd382abf4f7d7a5cbc0ab477a99',
        74808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neucha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neucha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neucha
  static TextTheme neuchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.neucha(textStyle: textTheme.headline1),
      headline2: GoogleFonts.neucha(textStyle: textTheme.headline2),
      headline3: GoogleFonts.neucha(textStyle: textTheme.headline3),
      headline4: GoogleFonts.neucha(textStyle: textTheme.headline4),
      headline5: GoogleFonts.neucha(textStyle: textTheme.headline5),
      headline6: GoogleFonts.neucha(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.neucha(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.neucha(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.neucha(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.neucha(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.neucha(textStyle: textTheme.caption),
      button: GoogleFonts.neucha(textStyle: textTheme.button),
      overline: GoogleFonts.neucha(textStyle: textTheme.overline),
    );
  }

  /// Applies the Neuton font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextStyle neuton({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52a1f786965c5e1a5ddb72c3453133e67248c6daa74320a01e034161e4476a0f',
        36124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ff0297b52f6d34d72fb14e197dd0504d57fdb2769b98619facc41590e900c8e9',
        35804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2147893351f8ace96b011dcc7c1c826ba84daac170ed6538e0456e5ed8ffe947',
        40944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8be52f34f889303ed24d24ec94bc56c8fb7130049db10eb3983aab619a05bcb5',
        38564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c83bf4d18e666ffe37bb75b7005b9ad99f4166347cbce93e1f798c45954f87e',
        37052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ccde11ee55979183e280ea4860ec28e4fd88da81c66a8eee82963c4fe2befca',
        36760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Neuton',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Neuton font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Neuton
  static TextTheme neutonTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.neuton(textStyle: textTheme.headline1),
      headline2: GoogleFonts.neuton(textStyle: textTheme.headline2),
      headline3: GoogleFonts.neuton(textStyle: textTheme.headline3),
      headline4: GoogleFonts.neuton(textStyle: textTheme.headline4),
      headline5: GoogleFonts.neuton(textStyle: textTheme.headline5),
      headline6: GoogleFonts.neuton(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.neuton(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.neuton(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.neuton(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.neuton(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.neuton(textStyle: textTheme.caption),
      button: GoogleFonts.neuton(textStyle: textTheme.button),
      overline: GoogleFonts.neuton(textStyle: textTheme.overline),
    );
  }

  /// Applies the New Rocker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextStyle newRocker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20dd1e4e2d3c0003707b649a59ebb5a729e108cc20929f1a1c06bb03319b07d7',
        128612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewRocker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Rocker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Rocker
  static TextTheme newRockerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.newRocker(textStyle: textTheme.headline1),
      headline2: GoogleFonts.newRocker(textStyle: textTheme.headline2),
      headline3: GoogleFonts.newRocker(textStyle: textTheme.headline3),
      headline4: GoogleFonts.newRocker(textStyle: textTheme.headline4),
      headline5: GoogleFonts.newRocker(textStyle: textTheme.headline5),
      headline6: GoogleFonts.newRocker(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.newRocker(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.newRocker(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.newRocker(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.newRocker(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.newRocker(textStyle: textTheme.caption),
      button: GoogleFonts.newRocker(textStyle: textTheme.button),
      overline: GoogleFonts.newRocker(textStyle: textTheme.overline),
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextStyle newTegomin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b5e03023a508cab6758d3c99c3bcb89bcc16e59e8b8efa2c8aa5b2cdb1d3ba2',
        7447024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewTegomin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the New Tegomin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/New+Tegomin
  static TextTheme newTegominTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.newTegomin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.newTegomin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.newTegomin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.newTegomin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.newTegomin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.newTegomin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.newTegomin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.newTegomin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.newTegomin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.newTegomin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.newTegomin(textStyle: textTheme.caption),
      button: GoogleFonts.newTegomin(textStyle: textTheme.button),
      overline: GoogleFonts.newTegomin(textStyle: textTheme.overline),
    );
  }

  /// Applies the News Cycle font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextStyle newsCycle({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dc74270959405ee468a6ea83452b01a8075067bf71cb96c8097511477f8aec6',
        178676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '301d13c6e3a40093c2244566226928b2e8bd2843d5cb06302c5c30b44c3d4bc2',
        60472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NewsCycle',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the News Cycle font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/News+Cycle
  static TextTheme newsCycleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.newsCycle(textStyle: textTheme.headline1),
      headline2: GoogleFonts.newsCycle(textStyle: textTheme.headline2),
      headline3: GoogleFonts.newsCycle(textStyle: textTheme.headline3),
      headline4: GoogleFonts.newsCycle(textStyle: textTheme.headline4),
      headline5: GoogleFonts.newsCycle(textStyle: textTheme.headline5),
      headline6: GoogleFonts.newsCycle(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.newsCycle(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.newsCycle(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.newsCycle(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.newsCycle(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.newsCycle(textStyle: textTheme.caption),
      button: GoogleFonts.newsCycle(textStyle: textTheme.button),
      overline: GoogleFonts.newsCycle(textStyle: textTheme.overline),
    );
  }

  /// Applies the Niconne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextStyle niconne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5d99f37c7fc29904227e4a5909347b604c87dbe244293db4353ba24f5263d28',
        45568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niconne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niconne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niconne
  static TextTheme niconneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.niconne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.niconne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.niconne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.niconne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.niconne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.niconne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.niconne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.niconne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.niconne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.niconne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.niconne(textStyle: textTheme.caption),
      button: GoogleFonts.niconne(textStyle: textTheme.button),
      overline: GoogleFonts.niconne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Niramit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextStyle niramit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e92669e514d741863c49ee66189090f4d5dca5b6a9d34ccbe435b2f5af660c42',
        89528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2d4697e15bf89f5f5ef604984ccc6a79f078de6f91e60deae5736de825110bc',
        92352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc8b41b318e8ef4a063f6a1d3c4b2b8b07029e70b412f4aff994ee4849efb09c',
        89344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8b5560e9959b3ffe8583ea5591a0852f3cb9dd7d8f256327fd1dfa761aebbc97',
        91988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b73b7564f064368ecc427a55f6f52ab3191726827cc1b6c8fe10059308a2c576',
        89224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f2f02627999eb05690e589cbb7e0c1ab1e977f24c976bbeafab5c8bb041cb23c',
        91860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd57314c8b28aa732f0904f616db80bd02f471e91a0c0620454016ddb37200371',
        89172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3c7d65b0b7438466a6707ae7ee57b82aad56e02798b2bd582110803cfd632e40',
        91624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '932bdc0ea4e9406b713a29b1a936c3bfba71853a8f834dcf9129914d6ed2f0e7',
        89112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'deb26883a193441eb594a0e8e42bac1d2d1ac822053c3bd7fcaf06161fbc281d',
        91760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67d40f2a9e3f3cc8c4e0873f0c6aa8b2db46210c344b6805eb7a3280b6430a85',
        89328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d5a53eeb80546748e52c84452b17b60d1e4abfcd7e01f6d6f909ad0446c9f19',
        91772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Niramit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Niramit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Niramit
  static TextTheme niramitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.niramit(textStyle: textTheme.headline1),
      headline2: GoogleFonts.niramit(textStyle: textTheme.headline2),
      headline3: GoogleFonts.niramit(textStyle: textTheme.headline3),
      headline4: GoogleFonts.niramit(textStyle: textTheme.headline4),
      headline5: GoogleFonts.niramit(textStyle: textTheme.headline5),
      headline6: GoogleFonts.niramit(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.niramit(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.niramit(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.niramit(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.niramit(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.niramit(textStyle: textTheme.caption),
      button: GoogleFonts.niramit(textStyle: textTheme.button),
      overline: GoogleFonts.niramit(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nixie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextStyle nixieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '087111fe60593408bf58ff7befff4b557a237a72d80e56ad3727d99693b4a087',
        52532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NixieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nixie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nixie+One
  static TextTheme nixieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nixieOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nixieOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nixieOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nixieOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nixieOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nixieOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nixieOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nixieOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nixieOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nixieOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nixieOne(textStyle: textTheme.caption),
      button: GoogleFonts.nixieOne(textStyle: textTheme.button),
      overline: GoogleFonts.nixieOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nobile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextStyle nobile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0fcaab1c3dc981d4dcbe2840d5a12039de03b68f4f2736ac648e6eb339249c1',
        35992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '88fda8926ed6fdf634aeaf690e2d21e66e8e88231993df94bf3b2359a617491b',
        44588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '809ce5e05bb84a8872fd7ec295e71892fab43593a18179bb43c2a0f94cca53d2',
        34836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c889dceebe4337abc148cab8adbcb5ad8e6277635316b13a75afb02db100212d',
        44532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nobile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nobile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nobile
  static TextTheme nobileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nobile(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nobile(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nobile(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nobile(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nobile(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nobile(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nobile(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nobile(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nobile(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nobile(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nobile(textStyle: textTheme.caption),
      button: GoogleFonts.nobile(textStyle: textTheme.button),
      overline: GoogleFonts.nobile(textStyle: textTheme.overline),
    );
  }

  /// Applies the Norican font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextStyle norican({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4fbc9fb71760f8b74862d7d705863f375de95bb99192acfeca61ab3185b6468',
        46812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Norican',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Norican font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Norican
  static TextTheme noricanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.norican(textStyle: textTheme.headline1),
      headline2: GoogleFonts.norican(textStyle: textTheme.headline2),
      headline3: GoogleFonts.norican(textStyle: textTheme.headline3),
      headline4: GoogleFonts.norican(textStyle: textTheme.headline4),
      headline5: GoogleFonts.norican(textStyle: textTheme.headline5),
      headline6: GoogleFonts.norican(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.norican(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.norican(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.norican(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.norican(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.norican(textStyle: textTheme.caption),
      button: GoogleFonts.norican(textStyle: textTheme.button),
      overline: GoogleFonts.norican(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nosifer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextStyle nosifer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db6d798eb7a5adc1193a4757fba4b3bf0f2bf34f9456f9b72dd63e8c21a304e3',
        43228,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nosifer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nosifer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nosifer
  static TextTheme nosiferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nosifer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nosifer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nosifer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nosifer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nosifer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nosifer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nosifer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nosifer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nosifer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nosifer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nosifer(textStyle: textTheme.caption),
      button: GoogleFonts.nosifer(textStyle: textTheme.button),
      overline: GoogleFonts.nosifer(textStyle: textTheme.overline),
    );
  }

  /// Applies the Notable font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextStyle notable({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17b2981242270d0087017ea92cac3bb8bad89c43bd4d9907ded7255e92dbc8aa',
        24588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Notable',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Notable font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Notable
  static TextTheme notableTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notable(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notable(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notable(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notable(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notable(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notable(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notable(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notable(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notable(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notable(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notable(textStyle: textTheme.caption),
      button: GoogleFonts.notable(textStyle: textTheme.button),
      overline: GoogleFonts.notable(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextStyle nothingYouCouldDo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be0f234b092c9c449e02760df9a51ff0a1bb5867a70825d7074238c1e26e9664',
        34872,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NothingYouCouldDo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nothing You Could Do font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nothing+You+Could+Do
  static TextTheme nothingYouCouldDoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.caption),
      button: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.button),
      overline: GoogleFonts.nothingYouCouldDo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextStyle noticiaText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8aa05df6db1fd8277eb2791ce573473314c741b8b6b0779c1f5156a33c24e54c',
        82260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'eae99ba15e584587a39b40e2c6b930d2c6da34555025ef2fcecdad8b5d1096ec',
        66644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16462e88dea5568eff3522e2b0e80ac4943e7ade072e98099a0ced914809837a',
        81364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89293c9cb0897a9fbf4e63241a6b72e62599bf45fe58a6163b953a9c980ad1f8',
        65616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NoticiaText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noticia Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noticia+Text
  static TextTheme noticiaTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.noticiaText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.noticiaText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.noticiaText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.noticiaText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.noticiaText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.noticiaText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.noticiaText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.noticiaText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.noticiaText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.noticiaText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.noticiaText(textStyle: textTheme.caption),
      button: GoogleFonts.noticiaText(textStyle: textTheme.button),
      overline: GoogleFonts.noticiaText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Color Emoji Compat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji+Compat
  static TextStyle notoColorEmojiCompat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c79eac35ffed2c79cc7f23f07f8bf78b93dd8055bed04b7c777a76ac1fb13854',
        10043088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoColorEmojiCompat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Color Emoji Compat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Color+Emoji+Compat
  static TextTheme notoColorEmojiCompatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.caption),
      button: GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.button),
      overline: GoogleFonts.notoColorEmojiCompat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextStyle notoKufiArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '398323a86091a305b98ba126d8337720d871b17d57a284bbd643e97394dbde1a',
        119028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8294c029f8fcd59322d9c5ab66c3028c91050ad2af2effede1896c1b6989b9c2',
        119596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '104623fed2f8c4985017c46620c25ae5a4008a05f67ea6ae2be713b312cfcad6',
        119508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f45080968c93fe324287ace9195b0e311956fd1c0ac9edd138cd7edb620ba692',
        118252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01c2338fc12200d21b405149f0483ceee9ba349dc1df835e4a4d052e6245ac60',
        119052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0d359ac97346094caa7e3f96128bef6ef97430b8d61d27a132b31201080ee6e',
        119144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35ef432a7e8f52c5e882ec412550f99b9ba4e2400c4b7830563e284e3f020fe2',
        118328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88373a1ae0f36be95fb888b00c319f8e94e3810cb2fd940abe4c6760b8829ae7',
        119904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41b661d05f1e4da7ed61ad27be1dd6ae7bf1e6da685f4aafee4dfee1b50fa708',
        119764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoKufiArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Kufi Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Kufi+Arabic
  static TextTheme notoKufiArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoKufiArabic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoKufiArabic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoKufiArabic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoKufiArabic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoKufiArabic(textStyle: textTheme.caption),
      button: GoogleFonts.notoKufiArabic(textStyle: textTheme.button),
      overline: GoogleFonts.notoKufiArabic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Music font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextStyle notoMusic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fb3268d454e87a6a529b185d4981380eef53f038722fe8c687efb12e9693552',
        79876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoMusic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Music font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Music
  static TextTheme notoMusicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoMusic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoMusic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoMusic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoMusic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoMusic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoMusic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoMusic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoMusic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoMusic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoMusic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoMusic(textStyle: textTheme.caption),
      button: GoogleFonts.notoMusic(textStyle: textTheme.button),
      overline: GoogleFonts.notoMusic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextStyle notoNaskhArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b749581c7052c2bb17674e9328c599ca5297d94c64cf4cb833f9c63ce733e677',
        128180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5773d73e9cc95d92a3967f76a26e5a23f4c68fd506900cf7c00dad294cb103a',
        128740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '980fbc048756182510be86e5e0efb2dc5f34f0dd9350c359a722d188b0977a12',
        128696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a30d70928dff522339a89bc5a355e0c12924563877639893ad7fe517e998b14c',
        128376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNaskhArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Naskh Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Naskh+Arabic
  static TextTheme notoNaskhArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoNaskhArabic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoNaskhArabic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoNaskhArabic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoNaskhArabic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoNaskhArabic(textStyle: textTheme.caption),
      button: GoogleFonts.notoNaskhArabic(textStyle: textTheme.button),
      overline: GoogleFonts.notoNaskhArabic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextStyle notoNastaliqUrdu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba130eb1b64ed20b5fc6b9afa6140d54e735828eb2b4b9a8ed74e85072b0a757',
        468812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a4f9cbbc7f4c3332cddabe1fc9035dcb1b40d9b0a0af44c1beebb85960db4dfb',
        476412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoNastaliqUrdu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Nastaliq Urdu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Nastaliq+Urdu
  static TextTheme notoNastaliqUrduTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.caption),
      button: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.button),
      overline: GoogleFonts.notoNastaliqUrdu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextStyle notoRashiHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f731bc4ae2f8054ee4c7b6a42061ed0737ce83b2a514f2f9a2be83d69ce1f77',
        15492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '876d2324a57aecade07d505c7b6b66a3e6aa43bc466d14d504a0762623da6b76',
        15580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0189362ae47c0993bd84b79162e9e754aaf0fb1d44ce09d4a196596ec4c532c4',
        15572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c4e54f1dc1de79a51b6ef6d11ea869f7bdf2e78d5340a2f91ea52146f70973f',
        15580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22a36cb446c28368b81150099c2be52cdb9476556aee60127405c6f3ef5ed9cb',
        15600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c09990e7e6c268e67a910ee6a8a7c947b1c87a332d9cad13be7aebf74ce964a6',
        15636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a28151f29fc78ea78e3ffd58caf93cd2e368a137d70e38f97d47223b27184f9',
        15588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feaf5633c552c2334368fec014c8cb594e7419c273473944c42b34003218f828',
        15628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f83b63baab37c1dfa0d3703faafeeb633fea2e8fd2f0f64cb2a762142fed4b3',
        15584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoRashiHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Rashi Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Rashi+Hebrew
  static TextTheme notoRashiHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoRashiHebrew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoRashiHebrew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoRashiHebrew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoRashiHebrew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoRashiHebrew(textStyle: textTheme.caption),
      button: GoogleFonts.notoRashiHebrew(textStyle: textTheme.button),
      overline: GoogleFonts.notoRashiHebrew(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextStyle notoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ae7b625c88992d250a617f91f64e254aa6ea78ca904f1e5fc1f588f0bb9a4ef',
        310656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3b65d8f4cdb5997c9e205e125755bec66ef6cd73fadfbf1b6b8b8592d4a952e3',
        211128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f16366c45a8cac801cadd57c692f16cf4c967e3758cf25a911f7df101c23dc11',
        307772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2b36c5bae3f90cb9def112b8d15a224e0f0e4a0a75a5d83718690c6927872140',
        214176,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans
  static TextTheme notoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSans(textStyle: textTheme.caption),
      button: GoogleFonts.notoSans(textStyle: textTheme.button),
      overline: GoogleFonts.notoSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextStyle notoSansAdlam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dacdf6b5dafdfbeecd04463db0b6ee7dcf9dc6fa94b671f488f7dee6aee4496',
        59552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f389c601777c843ef4d612f5794b9af41b8c59a80f468b3ab4a6fba3e707116f',
        59608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b5c45cd1fe2ea1fb734d7a792c097cf06f78d6edf78d5732989c7541fd97a9c',
        59628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59bb1671a37926ec754a915a1f79429eba36d5361999547a258ff6cee7a2d37e',
        59532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam
  static TextTheme notoSansAdlamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansAdlam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansAdlam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansAdlam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansAdlam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansAdlam(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansAdlam(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansAdlam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextStyle notoSansAdlamUnjoined({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dfb5494482df4ff061fdd5450b37f5916b47ccc35e4a9fb77c2e1335ac2ff78',
        22864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e03c776c311eb974185bb423b1acc2452e5fc58c96321e90ce715d7bc4e5ccb',
        22920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '433be904224664418b23320a789dfac697e1661a71bff1329a47f03df726c4de',
        22952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86cd50bfed9afec1f4dadbe6ca8d7db20d18eaee743a6bfa65d8224e2b7e4fd3',
        22860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAdlamUnjoined',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Adlam Unjoined font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Adlam+Unjoined
  static TextTheme notoSansAdlamUnjoinedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansAdlamUnjoined(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextStyle notoSansAnatolianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b7fec31fcf1999c0ed4806c3a1ba64c7301926c597bd38181f8d744a7fe8a7e',
        227240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAnatolianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Anatolian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Anatolian+Hieroglyphs
  static TextTheme notoSansAnatolianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansAnatolianHieroglyphs(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansAnatolianHieroglyphs(
          textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextStyle notoSansArabic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8eacf886e774d126b1b4b7b1961ae5dcf223b0fa58d8fed7ea56c4ba3e8d626b',
        162152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '383863122a567ed7fdf468a57de1062a757c9b46d00205231bd9cd4a0c2844db',
        162412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52362786b302d2b9dcb060a4d54d9276aaec7b4b69bb28a3251ef1cc472d3d01',
        162324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a12618cb144240b38bec84dece16e3d7eb974f5964d7f534f41940af03b2004',
        161592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1421ca0fa6fa38d72373089b46564bc1b0a2f95eae319b20207448668597932f',
        162156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1619be4db8a7e215b56c84f18032d071926aa4cd6a6eb9efbcfcc6f85c6b5800',
        162512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b7b1ea9fbe26069bb4e1ea850d1ca9b16b10aff98bc605e34f7f5ef2c030d6e',
        162268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2e7d4aac81cbdd93ebc5d31e034f3625f22fea84fae7121a8b9822a85e3c1db3',
        162896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '034e52c7c690d4553470e050eac877672b5891f1c02ead0243725a24410f8eea',
        162668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArabic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Arabic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Arabic
  static TextTheme notoSansArabicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansArabic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansArabic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansArabic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansArabic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansArabic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansArabic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansArabic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansArabic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansArabic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansArabic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansArabic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansArabic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextStyle notoSansArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e9fa62afe0d04a11c9d6f2868c1502ba64e282ec0d83c09434b29d1d6096668',
        19488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28829b1768d6de9dd1c6bdeea1a254ab82d147e94512a6902d41a6de7fe0fdc2',
        19544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d34fda04ff255d295231ee0992597b3026efe601e1f05af940823a0efb68931',
        19504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01e72fc8302c19954553f1bd7ef5753e832f95f4218e296435dba2f816534e40',
        19472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2426a5407bd5b91e70abf8eda3e26ec255934495f62bfd19955486615f5537dc',
        19520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c404090bd19156cdd55d9a1f05c28986f881479460c201c6564ce52fd66cb2d2',
        19528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '393bc45808d9d376868cd516da5b967738115e1225fe068eb1d44d00b9f46f68',
        19468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '118690566e216ac1c0fd3eea8211bc71f9a08484abc28dd3d9234c0f47ddeb4e',
        19548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7be78140cabee1600d75eca16681f16fede749c5c19a47b786fa9dcbc236909',
        19504,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Armenian
  static TextTheme notoSansArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansArmenian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansArmenian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansArmenian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansArmenian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansArmenian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansArmenian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansArmenian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextStyle notoSansAvestan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0134308750f9928828e7d4d68368a632246c06b98079cb1468a6e264a4f3a4c',
        11900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansAvestan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Avestan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Avestan
  static TextTheme notoSansAvestanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansAvestan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansAvestan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansAvestan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansAvestan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansAvestan(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansAvestan(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansAvestan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextStyle notoSansBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00e6ea37a47217441f103bfb55264a1a8b2eb6dbb4db76989d49a976389d7211',
        96660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9d71f564698f2c8349a6b0d20f184ff62282f29828a98c4f37305378bef45f4',
        96808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2efdf8d888a02b1d274f9f7d49ab031c60a1add28ff6c698ccbbcbeafa6fa4a3',
        96852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98443f9bcd933b4d1c991cb8df58a6bcbdfcca01059b046d25342666dec7e022',
        96696,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Balinese
  static TextTheme notoSansBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBalinese(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBalinese(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBalinese(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBalinese(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBalinese(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBalinese(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBalinese(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextStyle notoSansBamum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17818c990a9d1b602e11ff2a1f1069035de4bd61e8cbc280443ec1dc67eda6a5',
        146908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a3fa19dda4f9cddfba252520dbf0fb54cd6cd37836e39708b0d09fd4aff0096',
        146948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30804e01500f35f95211d2af1f239ef4e278e92306656db7297486d08feb3ebb',
        146956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f160dd319302860f0a9cdfc12c068011725831ce41261a163f0db4a10a9f8548',
        146888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBamum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bamum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bamum
  static TextTheme notoSansBamumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBamum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBamum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBamum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBamum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBamum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBamum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBamum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBamum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBamum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBamum(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBamum(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBamum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextStyle notoSansBassaVah({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df5f2d33d4c0ea33895474638bc8710dfffa556c28884511b2f66e2d513d4e7f',
        6700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBassaVah',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bassa Vah font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bassa+Vah
  static TextTheme notoSansBassaVahTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBassaVah(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBassaVah(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBassaVah(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBassaVah(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBassaVah(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBassaVah(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBassaVah(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextStyle notoSansBatak({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d807cba156289695d36534fa51d9f3e7b568c1dbe015f79e5cabf569653dccc',
        13996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBatak',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Batak font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Batak
  static TextTheme notoSansBatakTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBatak(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBatak(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBatak(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBatak(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBatak(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBatak(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBatak(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBatak(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBatak(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBatak(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBatak(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBatak(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextStyle notoSansBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '483eec23f25bf124d49a8ff51e4f666ca9e565d8b3806e9b610544778060fd8c',
        149624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd358259bd953af30e599879b2a7fc66d535136dc426ac25f825d321a7afd79dd',
        149812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cfec332bc2c062619887f783811e127cf82a5de70756fcfc8c819e00648a68d9',
        149852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4cd0443fff0b16d1c6d91197ee1bf99c634e6d4054902864a31c03c51bc18c8a',
        149640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0dda8d27d746115df30d9aaeb2afba8739d3b3a6b1551af8cc6bfcc27e8edf7',
        149948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f22b75a3addd1719db8d934ecf197d3680940fb151836329aa12a4ecfc52618c',
        150064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6988546d751b49b9b589a4a0840016c4ac61a1270c6f2cea37c0619b2e66357d',
        149840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8237c67400f350662fe66931fb46ec185bb2838894c4e95bf1153f79cab953d4',
        150084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c0364cc0c000093ea2d27655b85f6dd1ac63894d74072db9ac334f9a5845c3f',
        150020,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bengali
  static TextTheme notoSansBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBengali(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBengali(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBengali(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBengali(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBengali(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBengali(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBengali(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBengali(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBengali(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBengali(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBengali(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBengali(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextStyle notoSansBhaiksuki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c50262a44c9cccdb6dfd6c4a569f0ab1250449d4d3ec28ae629aa6f1c9588f3',
        246156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBhaiksuki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Bhaiksuki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Bhaiksuki
  static TextTheme notoSansBhaiksukiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBhaiksuki(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextStyle notoSansBrahmi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac833cf856e3f461dacd1f9f4dbd05cfac3270402d1907c2b0a241ac68b44231',
        40808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBrahmi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Brahmi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Brahmi
  static TextTheme notoSansBrahmiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBrahmi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBrahmi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBrahmi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBrahmi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBrahmi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBrahmi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBrahmi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextStyle notoSansBuginese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '769c450b71a3d7a7dd627622dc3bc29c98417edba54ff0519361a946b5e0a529',
        6092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuginese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buginese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buginese
  static TextTheme notoSansBugineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBuginese(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBuginese(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBuginese(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBuginese(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBuginese(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBuginese(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBuginese(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextStyle notoSansBuhid({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e64c70b2e89936dde4eaf640949839ff63b6fb0911f0e36b4e29419f0cdfea1',
        4668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansBuhid',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Buhid font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Buhid
  static TextTheme notoSansBuhidTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansBuhid(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansBuhid(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansBuhid(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansBuhid(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansBuhid(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansBuhid(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansBuhid(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextStyle notoSansCanadianAboriginal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c56c5e6e723e485fb3d27c6453cdcc1a2051cc460e52057eb108ec25afdbff8e',
        53696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a2fb5dbc26e1c5c1b17a29ca4f9012bdf8221663a56e0060611a086d6ec215e4',
        53648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ad8fa59734b28964707121d4ce604a4c8dd8c9f968443c6d636bb7521f4b1a3',
        53608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad9da5f9b035072ae353fa7dafb8f1386b8f6bb9b2aca51df513c0441dd7f570',
        53620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '060a6da5fb3366da70417bed68b8310c27840cacca7c4c06ab0e8552c1d0b78f',
        53624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76be833018f77d81480741f8bb739ec955e456a33dc38c8a1f9a58fec129b771',
        53604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27695552def06c59dae30d034183adcb0aa1b4344ffb415cd858aa1b5381e8e6',
        53572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bf83f52b0983871b386f1fc44fa671a831aeb5917164cf96a521eb481dd8998',
        53668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2afa51c08ec6f8a0cb2d28680b442c6d36e13cdf4db9873888b29efac245ba9e',
        53648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCanadianAboriginal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Canadian Aboriginal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Canadian+Aboriginal
  static TextTheme notoSansCanadianAboriginalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCanadianAboriginal(
          textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansCanadianAboriginal(textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansCanadianAboriginal(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansCanadianAboriginal(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextStyle notoSansCarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f91a0a8cd4ae5f183baf7ce214e9c21c01155a56c0ff62946d7e3920c8a663f3',
        5684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Carian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Carian
  static TextTheme notoSansCarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCarian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCarian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCarian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCarian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCarian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCarian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCarian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCarian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCarian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCarian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCarian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCarian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextStyle notoSansCaucasianAlbanian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e24578e93314ce131d4096ee16b09535c2f948ef0847f72f05053fde8c7638ec',
        25676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCaucasianAlbanian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Caucasian Albanian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Caucasian+Albanian
  static TextTheme notoSansCaucasianAlbanianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansCaucasianAlbanian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextStyle notoSansChakma({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0e92cdaeb010e07a2635c1c433593c46cc2eae633a16144c550137be97db65b6',
        37660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansChakma',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Chakma font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Chakma
  static TextTheme notoSansChakmaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansChakma(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansChakma(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansChakma(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansChakma(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansChakma(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansChakma(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansChakma(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansChakma(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansChakma(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansChakma(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansChakma(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansChakma(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextStyle notoSansCham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83a3e13604bbda69014e131bcaccfe7d04866bb47d5c46f7d2579ba5fda2480a',
        30356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fd16b499dbe06112e7f8d50766b9499ec60c58bcffde15d48491c7dadfa00f1',
        30792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76822bd148cf8fbaded4806c0e90f0c58c01280c61a2338495abc89154f4cfc4',
        30744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6212cd1fd2ce381f39443726dc8c852bbe3242c4347e3575aa39bbea0b564eba',
        30648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9acab5ab22b7d6c2da8039f576ae5ba54ebd01e7350ad123848279853698da5e',
        31168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f277d22abfd8626743d3cffefd07eb1cba96a85bb07267956af9ea54bcbaa49',
        31220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3156f150544697ca868dbf26065291081e34f497fd82f90817cc0eb94996f628',
        31144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '008fa63f3a99f2f68573a4ea5c4c28a12d9d14cf0f369d6556bb757dd036d84b',
        31192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b89fe00e361e320054a68582d823597cbc9b9d5bda3cb31fcb0abd6d8bc72a88',
        31120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cham
  static TextTheme notoSansChamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCham(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCham(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCham(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCham(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCham(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCham(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCham(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCham(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCham(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCham(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCham(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCham(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCham(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextStyle notoSansCherokee({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac1ac21fcedbc252172f809dfbe96d001934dbe09c490200302c2378dc65dcd3',
        58788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0b4b398ce84608b5d8eb3a0631b5a1d47ffe4319dff1497a5a7c65f0ea6f3ba',
        59064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29ebe8e1d9a7a4bde4a029bbba1ffb41f0242cb6e41a5ded6a342164007a0fd3',
        59056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f5dfe2f876e0394ad3fa1a40d947d30e17362a8a3560c99d83041eab5b2d06d',
        58444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e626c1a6875871cecb16a57bd05572ff8128b6b85c9314471a85c5079da9b03',
        58596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dedcc7a294393393d6f9ffac6874c0264000b1a04710166e96ff303d3e045c60',
        58728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65968be2ace40e7722d05795b96869b3da48cd84f7796b00187edf3ba7869297',
        58632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e28b3c35fae6aec17c408a149709b439736f777c9a9f515a5faaef383976ab04',
        58712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3f4046a4bf02c7ad2f69b83b1379fdfdb0a7320405d3d1fa5bcaa5f58d53d8d',
        58396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCherokee',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cherokee font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cherokee
  static TextTheme notoSansCherokeeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCherokee(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCherokee(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCherokee(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCherokee(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCherokee(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCherokee(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCherokee(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextStyle notoSansCoptic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '196215e459e1d7086943165acabd0604929098243d2eb69e9dee8df7748a8412',
        27104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCoptic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Coptic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Coptic
  static TextTheme notoSansCopticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCoptic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCoptic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCoptic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCoptic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCoptic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCoptic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCoptic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextStyle notoSansCuneiform({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f2b2a0acebd7dfd14f13fe15e3f6a07aa5ce8171003a37235ff682b8668d15c',
        819140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCuneiform',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cuneiform font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cuneiform
  static TextTheme notoSansCuneiformTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCuneiform(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCuneiform(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCuneiform(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCuneiform(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCuneiform(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCuneiform(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCuneiform(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextStyle notoSansCypriot({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64224a8da42c7dbb5a28bf1fbff3531acb044d8bf5bc5e71bd69b706503d732c',
        7328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansCypriot',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Cypriot font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Cypriot
  static TextTheme notoSansCypriotTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansCypriot(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansCypriot(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansCypriot(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansCypriot(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansCypriot(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansCypriot(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansCypriot(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextStyle notoSansDeseret({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd5d317ff72297736ce5816df14ca4ac568df2a12fe56cafff20c78c341be9eb',
        10088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDeseret',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Deseret font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Deseret
  static TextTheme notoSansDeseretTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansDeseret(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansDeseret(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansDeseret(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansDeseret(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansDeseret(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansDeseret(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansDeseret(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextStyle notoSansDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65718d297593d3527a9abc07361a338a54f11cc4dc74804ae6490c489494326d',
        168428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e752a3dcf4656710e40b52ffe724d9b6cdb4d76f795d794ee3b63549a44a9d8c',
        167952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dbd36d696eaa011f1f4306bf6b5339a7d9f8d39c778198b1bbca2cc3d983741',
        167344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a6e44e69b0991c5c6ea9771a78c97c44327b071c9406862ff57c99ef970d22de',
        166180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3af1cc17d6ba96b6c434d2a3ee8467c1516d8c06a318912bba5f728b75ff7e41',
        165564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c6111f193ad38cc470e3ab6c73f4de4da5bf5a3e30d28c85e9d618943d66a5b',
        167012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2285ee6e28c29d4268e33e763ab109ea1ea41d76cfad03f23aff0862ca1d30cf',
        166968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29d760b35ffc01ea13c6425b6065f4ba89a67bfadc21bc185b2e4ad4bb07ff6b',
        166288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1db65c4310266fc63a0d84fa2a9768764511f27f40937d57b26037893b866c54',
        164580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Devanagari
  static TextTheme notoSansDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansDevanagari(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansDevanagari(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansDevanagari(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansDevanagari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansDevanagari(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansDevanagari(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansDevanagari(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextStyle notoSansDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3438d1fa430cbe7134c83f7605b9a883056f0e2e8618415b93b8399f93f9e44',
        328296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2cc4b784800708669e03848fd99f2e7c6eedffbaa4b5a607785595644027aeb',
        328644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb28c0357e53c564f6c63a31ed77cf57d45ba0115953c7d5afe0e596f19022e4',
        328592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '940ea145d5de9f7825d4140ce979618cbfda473e5587565db243fec5fe2cf523',
        327984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0c8bc627cf75734584035536047c8c22862ece77ab1ec730b67cb692513f8ac',
        328452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea201ebc7cc535576ede9e9f2d39c7fc82487d8eefefb50e5a8ea5cf1da2d451',
        328548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5bb8fa04b442f103a75d8268bef9244ad5d798d1f485368a32655208e3e83ba8',
        328248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4935c7924b21e5f6129a7c1bf64d65046026964756aa8a39f572752176d16361',
        328724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34e1d960d42382f6860de10d4eab7564261d3c7015f3824ff028a5b90f7a8571',
        328764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dec6a4b83433b9cb55dda5ed79a4d2074632428d4816da710619e74433796749',
        350752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '97164a40c684631a40c1bd0fd90ff4d53c4dcd836459c7e1acc9d7349c9fef47',
        351224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c835ee6d9e6068000e6570920aa0731599e8026be21acb798f7ff34c06addee',
        350816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd2a9a4218cfd186b68d10cccce737581e3047162ba29bd9f017fdd933a7693c9',
        349532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '834871d34e21b23f7dfab9559282e8c39e399d5220e810268a32276ea372d2c0',
        349996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4597d3399c75fc9c8aeec44000134c6742b34695ec9f7b489c1e6e7d62ab15a',
        350104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '937d048c14f4f308acbffea5a25f5048667f47325a5eab4287f007ba6114b2a6',
        349660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ad99940a61f87c89299430c810f16f172f3a884d7a6c8dfe0cbacef3306f42ab',
        350328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '962411a7de73b1abbdda456ffa145edad2015f0eb85d7b2bc1f683208997346f',
        350188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Display
  static TextTheme notoSansDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextStyle notoSansDuployan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d65e0c35583d311f2fdef5c30714968e9d4a8323255cd4465cf5b89bd73439b',
        17464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansDuployan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Duployan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Duployan
  static TextTheme notoSansDuployanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansDuployan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansDuployan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansDuployan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansDuployan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansDuployan(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansDuployan(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansDuployan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextStyle notoSansEgyptianHieroglyphs({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8d8b24a7afab8914c32ed38152796f169fda238a2e0ae6e3275adf99c516b44',
        584220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansEgyptianHieroglyphs',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Egyptian Hieroglyphs font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Egyptian+Hieroglyphs
  static TextTheme notoSansEgyptianHieroglyphsTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansEgyptianHieroglyphs(textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansEgyptianHieroglyphs(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansEgyptianHieroglyphs(
          textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextStyle notoSansElbasan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8db1829d7d68f7956f38788a63610b7fe34d4f5427bab75d6904ea9f4e8bc085',
        10260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElbasan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elbasan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elbasan
  static TextTheme notoSansElbasanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansElbasan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansElbasan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansElbasan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansElbasan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansElbasan(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansElbasan(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansElbasan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextStyle notoSansElymaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2d50f9ce658090f90b8fa495cafda62832ac8ceadf0e68dc7eb792ae17e36f9',
        4720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansElymaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Elymaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Elymaic
  static TextTheme notoSansElymaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansElymaic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansElymaic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansElymaic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansElymaic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansElymaic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansElymaic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansElymaic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextStyle notoSansGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b703130543cce8a0ff8959beb56ecab6a8dac318caa1a83707e73965cd6ef93',
        37820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb27a093114c7b5464244e0619c71c5b4890c40c2d1e89dcd0fabdfbc88149f7',
        37884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a59c16a0bfb9b18f2f659af189d98779fc8af1917ff18439e8d370b903be654',
        37868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'edbf2629ad328c62085cea18600d4e82371e660220eb3217d71e020cc4747f66',
        37828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96c46b5a4e011c5aaa8c85b1cd38717d5ca6dfdcd75802a96f3c7ede8c4d39e0',
        37856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0d9241c81fda39269b4e7d04531ad5fe1b0798bf7edb53cfe0b2d659c41f34',
        37872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c61d7fe4507558a936d920ebbb0a95f19428b55f9e3ac3153bbebc4b3a9a24ef',
        37800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7d3145e01ef2f7678831dcb0a8a935dfccb68c4aba9a9e6fcfd2e65cf77f268',
        37852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a72de81c76c40c66098f22fda2e5271bbb40ab6e2aa5ba027fac3dbdbc8f730',
        37804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Georgian
  static TextTheme notoSansGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGeorgian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGeorgian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGeorgian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGeorgian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGeorgian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGeorgian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGeorgian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextStyle notoSansGlagolitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19a59c25a4ad15509971a871bb55fa977b00a705cb5d709e75ec4ce1807b9971',
        22288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGlagolitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Glagolitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Glagolitic
  static TextTheme notoSansGlagoliticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGlagolitic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextStyle notoSansGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33e4a647c2f0d107e063a33cde8d7b165cc640527a11f421bf2b2a95c0d42e3e',
        5140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gothic
  static TextTheme notoSansGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGothic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGothic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextStyle notoSansGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d8c0af4bd217c8730e63df79f13fc9ee95231940cc3f9d4e82d5d806d6880c9',
        296048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Grantha
  static TextTheme notoSansGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGrantha(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGrantha(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGrantha(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGrantha(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGrantha(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGrantha(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGrantha(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextStyle notoSansGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44a84370cfea6ff22c6fb59c648c4214e979c3e84f6e55fff546a8eada1662b4',
        143436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4ea81fe52b43e87d7c28ed5295be9d2cbc6b6a37043e0c24866d428ab327c2b',
        142844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5663053ce46de1b9eb767c46d5794f937c375f85c5d32dd8dcbb5c4ba839301',
        142928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aecf5732e4341e2ca55a01e1301363e6ade63ad4a6563813aa59f9fc351989b',
        144884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aeaa7e3ea9597c3f076c7e57a3747812e720799fffc4e71733cff6cd1ae33725',
        143692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2bda6d9f70123765f5925bb635fef71d6161bcbce8e36ff38fdfad970f98b2',
        140684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63013486aefaa1cfc1fe00820a734debe09725add90b9da22080c80ba3d3e441',
        140520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44c9389f9f8fb5402f51fa1d79f5a64b7d77fd20900837f6ea1197367430409e',
        138232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbedf7414db00632e9546080fffb74d790aa0e995bdd6c8558a52985a4b7c4a7',
        137520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gujarati
  static TextTheme notoSansGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGujarati(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGujarati(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGujarati(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGujarati(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGujarati(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGujarati(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGujarati(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextStyle notoSansGunjalaGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ae7923704e2060fcdcc69a151f360f8c6b7db71e8086550115b7981aea77a4',
        61064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGunjalaGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gunjala Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gunjala+Gondi
  static TextTheme notoSansGunjalaGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGunjalaGondi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextStyle notoSansGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a64cad811010d4f2d9e8a68a7ef31af9c48b8fd6d34c1f4d3f44647d485219b4',
        36020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c75b40aa9b0b702e409309bda16e4505cc77b5f50c07fee14779bb717d141c5c',
        36060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e186db19e5b334a5d7db5d3c56096420fc7eacb90dfc012e18a96697d2393da3',
        36028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72393f56e48836af0ed2d25a2f3a0b547dde14a81b5cad886fa7d1eb30f286ba',
        35952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7508a37f6edbbd3a29d0b2bb1c271964889a5c1498a293734a3060eebb72d3a',
        36008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9a0299c47b1de600eeea55c427637a74d6b8f48ce57ea81a9c1f873132bcc8f',
        36052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea1baebed1a44568199bf1b9435e87f13be0d82375e52a0e072eac5268bb287a',
        35948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6fcfb165b60a6d595823374e48775b87ad6e6786bb198878f91a3e93c982ba0b',
        36068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fa89b6efe9904dd79f4049fea4a138c7fc88f374ccd96608bc86564ab3c2441',
        36024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Gurmukhi
  static TextTheme notoSansGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansGurmukhi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextStyle notoSansHanifiRohingya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '341f572c72514e8df48dc869d2e52c4004b49c58441bcad37a2b78fece519ccd',
        18788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eab48ae57c3a71bd5f83a4d2f2dbbbfc70514138f94a40c85713b26383052ca6',
        18856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f9d4fe74784b6be6cf6973337d5cf46de1dd91dd318cede7cc011889b779d5b',
        18896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b88fb2821687cae4cac9093d6077251ead4d7fcfe1d835d60a5887195f744d0',
        18844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanifiRohingya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanifi Rohingya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanifi+Rohingya
  static TextTheme notoSansHanifiRohingyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansHanifiRohingya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextStyle notoSansHanunoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c40afeb33d3053598f158d702ef8de9088d6ff48e639c3d291eae640223cc8c',
        6600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHanunoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hanunoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hanunoo
  static TextTheme notoSansHanunooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansHanunoo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansHanunoo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansHanunoo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansHanunoo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansHanunoo(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansHanunoo(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansHanunoo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextStyle notoSansHatran({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a34cac0fc3e9de2739b68efdcf44d7d372e844e161c47b51da98dbb015544515',
        3936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHatran',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hatran font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hatran
  static TextTheme notoSansHatranTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansHatran(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansHatran(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansHatran(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansHatran(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansHatran(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansHatran(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansHatran(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansHatran(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansHatran(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansHatran(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansHatran(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansHatran(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextStyle notoSansHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c3b6ad507a6b2c76e964c657b2fa4a2e498cd19b1a6891d63eb13f2149b1213',
        16340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7e271205706806a7fa28c014ab7e2fa866e7eefed5e3bd5a2744678bb579d6b',
        16360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34ad8d4aef6a2b303ecaa2fd84db84bc3ddb98c743efb14ccfadd3f1ce706455',
        16340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c3d516e2eba7098616e872e7e117696affdd6eb0a675ac90da2e7a24748097b',
        16300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9aa7738465f74db834c21ddb4691de03d1af0973e3b703ca95b0774b23e736f8',
        16376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '464e4b4ec934d669c5e4fd1c27342fde513521b12bc063d0c21581870179acf2',
        16368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95ad6d7320790db5af38797b8facb7ce8e26cb3c0be935a4f196b7282fa6b92c',
        16292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3b02f482347cb158218e8178cfe72cfcd02edc09ba072973eb3fc4f8803eb59',
        16396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1b9cc0c85c2864958cf7be86066faa7db4be59df9a7cf98c00742504d1ae9c2',
        16316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Hebrew
  static TextTheme notoSansHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansHebrew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansHebrew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansHebrew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansHebrew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansHebrew(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansHebrew(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansHebrew(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextStyle notoSansImperialAramaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71d68e7f88e810673aa7152a814623ed781b2c484ed5ba0612fa4ffdddb51e47',
        5260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansImperialAramaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Imperial Aramaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Imperial+Aramaic
  static TextTheme notoSansImperialAramaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansImperialAramaic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextStyle notoSansIndicSiyaqNumbers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8778de4424790282d0ddb573efe2cc256ddd84cd262e5c955ef7fb6ac758803',
        21412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansIndicSiyaqNumbers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Indic Siyaq Numbers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Indic+Siyaq+Numbers
  static TextTheme notoSansIndicSiyaqNumbersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansIndicSiyaqNumbers(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextStyle notoSansInscriptionalPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdf5b6f1a8b597f7b8ab231369438a1c672d54982ffe35cf7795a5973a5ccee9',
        4804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Pahlavi
  static TextTheme notoSansInscriptionalPahlaviTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.caption),
      button:
          GoogleFonts.notoSansInscriptionalPahlavi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansInscriptionalPahlavi(
          textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextStyle notoSansInscriptionalParthian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcd697800a8f12c4eca32a89e51df6461b2581a979c420e02d9fbe40b72108fd',
        6564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansInscriptionalParthian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Inscriptional Parthian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Inscriptional+Parthian
  static TextTheme notoSansInscriptionalParthianTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.caption),
      button: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.button),
      overline: GoogleFonts.notoSansInscriptionalParthian(
          textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextStyle notoSansJavanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18c326bab3fdff872f16d6f5b25a39dad4fc91ef8800b8898ec25b903ec5fcb7',
        125924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b3918fb038870f9ba8af5bf0a06d99e2a72917d89c0647cd31667a25d156e3a',
        119040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansJavanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Javanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Javanese
  static TextTheme notoSansJavaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansJavanese(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansJavanese(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansJavanese(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansJavanese(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansJavanese(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansJavanese(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansJavanese(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextStyle notoSansKaithi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf66bb4e97c9896f9ee4a5e143bbcd2f844d52858a988470fe2f5c99ec715b4a',
        41908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKaithi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kaithi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kaithi
  static TextTheme notoSansKaithiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKaithi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKaithi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKaithi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKaithi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKaithi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKaithi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKaithi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextStyle notoSansKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd41ab8e57c2a1ba053cc918b996c29705fd4d96f436f3d6f2518c20b3def7f07',
        119344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '018a80f6b20a447938fc57cd5dd23cee196b1c619d0e86f5b762ae71c775ba5b',
        119476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6447799f4d3436323a896f17731c1e56193cf316916ec3979b888660711a539d',
        119448,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9834fffcba14653e11c5d5d65590d419cf0af0c0a55569e54d7809774976c02',
        119240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c2c21259a74a3abb8a47d54a9b816984ca813906ba01d42e4975d32e3f84b16',
        119336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '205b1070253a112c0e1d91d86a8c207b41b8ec4aed5e5c15ff6fb31a9d9ad1c3',
        119436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'caa0180a17a78bb6e64494ba5ed164b63d2e416393f8d63ce956e66e669d5d49',
        119352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4d27265c22e2962ecf1272c08bb1ab1e51bbe8d75db1eab92772552682e55b3',
        119504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd25bfb899e58bf4673a207d512ff69d5f4ba714b39ff98e110fd7439ce2bb1b1',
        119548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kannada
  static TextTheme notoSansKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKannada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKannada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKannada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKannada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKannada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKannada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKannada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKannada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKannada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKannada(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKannada(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKannada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextStyle notoSansKayahLi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2faacc7c75bce75739f365490a7b98f2d7e78d01e5aff808370d00881d619fe5',
        8476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e38eeb2897dd14cdb77613f742a7df88ff380c23a00caa32b35e8b45a698a467',
        8564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c43d2757b93afc111269d17eea5872299755d477d7268a9822f71327ec58ff34',
        8608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6dac28c971b972aa9cb005934936a9a2b83033852ae69fef7f33f0a315791e62',
        8536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKayahLi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kayah Li font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kayah+Li
  static TextTheme notoSansKayahLiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKayahLi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKayahLi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKayahLi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKayahLi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKayahLi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKayahLi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKayahLi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextStyle notoSansKharoshthi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b0fc06c8ae69cc2e3a29938b5866d1b8d5bfd6e70905f646c33f5b1c11caa0d',
        32924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKharoshthi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Kharoshthi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Kharoshthi
  static TextTheme notoSansKharoshthiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKharoshthi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextStyle notoSansKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34a5734dfa39b5aaa66ca9a4f8d6da2ed4653959ed4c6027a6d6b9661482ed14',
        75128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9766b1bb2fc5af105e5252e396f60ee218cded215162bfc1ab60a53125e749b9',
        75144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c6b68dc4f2cef9b3ca4d40cdda7fa015eadd62e5645d5ed38f573623c6f2bb1',
        75104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a48bdce4f9fbdca3348c6244ee7367683857b3ab93778c1e6314d93f04d1404a',
        74576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7995d153a6aad5bfb8867b9bda780c538d6486f2940b2cb681eea8715c2fe2f0',
        74984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a595703466a3e9414ddb044991a63ce31fe3b4c9d954ecfe5c03030a7c0adebc',
        75004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '092a39939a4706b2b1cdcbfc0a4bc5d616cbae015b6343271f70a0b188c46829',
        74948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48f8fa4037d15177ae2198e70c2b765dae0c7659f3d820aabb0273fe2c96b3bc',
        75084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a99d8b439840b2ea7e1cf524ebc699d738e78d945de10701a4b05ece8355abc',
        74964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khmer
  static TextTheme notoSansKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKhmer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKhmer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKhmer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKhmer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKhmer(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKhmer(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKhmer(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextStyle notoSansKhojki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '40689dffb4611e36c64e9831bcaba9edc1c4c69a6bc4f8686eca0906e54274eb',
        41344,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhojki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khojki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khojki
  static TextTheme notoSansKhojkiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKhojki(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKhojki(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKhojki(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKhojki(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKhojki(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKhojki(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKhojki(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextStyle notoSansKhudawadi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd20aafa8d8070841fab37a855f0be7e10ff9e45c734ea4134d377176b09e27c4',
        17804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansKhudawadi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Khudawadi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Khudawadi
  static TextTheme notoSansKhudawadiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansKhudawadi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextStyle notoSansLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dcdda4b71b53d2d0cb9a58c2dd5d91bc0fd3237d3746a8131383b1f9a15b3b3e',
        18428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '714568ac09475e2ad6ee03c75759efa6200eb9f9664a31402840dea335a7624d',
        18516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed1b71ecf4a41ad04629e013b167d25340ed88cd602c51a0337d967c0dec449b',
        18472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4130f41c582ba6c5144ed40ff926023c23eb18454b8913effcef4cc597edef7',
        18332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '982b797f5059db8c0d0ba86f299487a9f833c4fdabfec01abc2bf5d755a50162',
        18464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d795e00a59b15b266d18e6775eb6a859de2424fb37553bfe8f383fd83f1fcf7',
        18468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b94e587d449ddbe3d7f9923d1c01a26a70dab226383e1c4588d9da7dd9cc1d8a',
        18432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9facdb22a06ee8924aa06d8446a03724b96196b8e8eacd7e39c89a9a9d08e85a',
        18524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d2c2470b9408feb300bd8ca4fc2718122fc14733926b7271b6b56ea2341b014',
        18412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lao
  static TextTheme notoSansLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLao(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLao(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLao(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLao(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLao(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLao(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLao(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLao(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLao(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLao(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLao(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLao(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLao(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextStyle notoSansLepcha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc10e833812643f588464ced4a1afa8f6ae856c552c1b5b9c590abd5eeca70d8',
        23348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLepcha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lepcha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lepcha
  static TextTheme notoSansLepchaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLepcha(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLepcha(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLepcha(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLepcha(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLepcha(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLepcha(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLepcha(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextStyle notoSansLimbu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fef1146fbca0f5f17a725f8fbd149ad126c39cbf92bad30c7fc422be5fc0171',
        11760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLimbu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Limbu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Limbu
  static TextTheme notoSansLimbuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLimbu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLimbu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLimbu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLimbu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLimbu(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLimbu(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLimbu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextStyle notoSansLinearA({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1227f2e8ebf7d0e3fdc1fae2a3ae9d2f98b2d147c2947377683f565f8ec2f64f',
        57060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearA',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear A font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+A
  static TextTheme notoSansLinearATextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLinearA(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLinearA(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLinearA(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLinearA(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLinearA(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLinearA(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLinearA(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextStyle notoSansLinearB({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7957267e2b3c2710bfeee8f4fa0aa2ab588b29491462ef69ef35cc073556b474',
        61784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLinearB',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Linear B font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Linear+B
  static TextTheme notoSansLinearBTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLinearB(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLinearB(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLinearB(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLinearB(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLinearB(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLinearB(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLinearB(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextStyle notoSansLisu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '227977bdc14a266514f6fe076b5677e94484529d1835291efa6ead89458d7a1d',
        5492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c78988a9248ea822f3792b51ce3bc0501a4a1822d783ffa01ea31a61290cbee9',
        5516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '800763675264b96818982057bb9d1b0d71bb145446683a978b4358d1469b2ce3',
        5540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73a95b4e18abd9b760ae148aca23b80ddb8bc25dda0d293d7bafbfcae5369a69',
        5476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLisu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lisu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lisu
  static TextTheme notoSansLisuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLisu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLisu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLisu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLisu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLisu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLisu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLisu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLisu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLisu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLisu(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLisu(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLisu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextStyle notoSansLycian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df20c1793b03cf4d6caf915fad42333ef28a6a736083b45463ce7263e01329cf',
        3380,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLycian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lycian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lycian
  static TextTheme notoSansLycianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLycian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLycian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLycian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLycian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLycian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLycian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLycian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLycian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLycian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLycian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLycian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLycian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextStyle notoSansLydian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be20f86effa0edfe9e44af4bece86273f01401de2474475d3638020522375ab9',
        3416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansLydian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Lydian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Lydian
  static TextTheme notoSansLydianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansLydian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansLydian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansLydian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansLydian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansLydian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansLydian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansLydian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansLydian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansLydian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansLydian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansLydian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansLydian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextStyle notoSansMahajani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05fda04889edb50e9156b3e8cd76e1a18ae80cf358b080e27550506ee78df877',
        13188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMahajani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mahajani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mahajani
  static TextTheme notoSansMahajaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMahajani(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMahajani(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMahajani(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMahajani(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMahajani(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMahajani(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMahajani(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextStyle notoSansMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75ada8fe1275b3bb863f377a03e8c576f1f294b784516abf283133ac074b6d2c',
        82268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70b2ef1c25379caa52fd13cbcdee7b5fac5f0b0f24b02f50f30d9652db1d45d7',
        82332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be8b9a1bfceb93c9d7026b499bea4e134b9e66884b54ae4f64ff359cd15f4d26',
        82280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e71c03349906b6c626cb688c5cf6491af3c70ff46e3b17ecbb34eb1e69c9f5e',
        82180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50e1ce9581a96db91c25c0bbe71d650469f218544415cdd6f3a1e61c7b5eb9be',
        82360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2362bde5a30fea5091d9dc3d4c93f2e754686cbd45dc2425f1b825c34dea6773',
        82392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '665f6c843fc9b3a863e67d0ce78113ada050dca6de5bbb9656c3d9cec13fa43e',
        82264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9483d5afeba5a3cf58e8007bbd4d2e7226850753bc2f941d2cc4309b844b7939',
        82404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08c1ad5c056b7144a6122cfd53afffc3dd0c26c6f327167125116c837b935f3a',
        82324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Malayalam
  static TextTheme notoSansMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMalayalam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMalayalam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMalayalam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMalayalam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMalayalam(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMalayalam(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMalayalam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextStyle notoSansMandaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78fb7e8745af6b194703eabd0065aad9a2416b07929098e45d4d51dbdcb6255d',
        17580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMandaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mandaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mandaic
  static TextTheme notoSansMandaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMandaic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMandaic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMandaic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMandaic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMandaic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMandaic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMandaic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextStyle notoSansManichaean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37a692a9908045f47cb605073ef7998afdfc6c08bc09411f94b36613a08253b0',
        30528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansManichaean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Manichaean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Manichaean
  static TextTheme notoSansManichaeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansManichaean(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansManichaean(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansManichaean(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansManichaean(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansManichaean(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansManichaean(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansManichaean(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextStyle notoSansMarchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d31c71c74d9f12f7a49540daf0acaef930f175def7bb0745dcc7a7d3404c44b',
        130140,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMarchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Marchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Marchen
  static TextTheme notoSansMarchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMarchen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMarchen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMarchen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMarchen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMarchen(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMarchen(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMarchen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextStyle notoSansMasaramGondi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '047137c56386644b8d374b224b7421ad351fe3427cabf7177d728ef0a37ec4e9',
        27860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMasaramGondi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Masaram Gondi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Masaram+Gondi
  static TextTheme notoSansMasaramGondiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMasaramGondi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextStyle notoSansMath({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '58483f7c774ee00196ecfc9f293caa468f4ee7777943d47bfe4c4a0c0cc7b8b9',
        372264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMath',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Math font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Math
  static TextTheme notoSansMathTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMath(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMath(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMath(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMath(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMath(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMath(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMath(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMath(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMath(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMath(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMath(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMath(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMath(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextStyle notoSansMayanNumerals({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b07a0e7bdda2b80c6ce870eeb5239efa8389c65e4f51b02193cfc01a784bfba7',
        3608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMayanNumerals',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mayan Numerals font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mayan+Numerals
  static TextTheme notoSansMayanNumeralsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansMayanNumerals(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextStyle notoSansMedefaidrin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6188210d4f259c92d08af26f98d121d356665ac82aa7cdf8cdb68fd91b31d97d',
        30528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8bd9a2642c89f09aa25f471fbcfdbd41e56dba51368d4da590e8b4f110546f85',
        30572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bf6718b7772a12ea75c5b7c12369b637b23f67397e3ccafada730e6de872b80',
        30600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb5e528cede70c8a1fba1e2d1dc95378684ea9ec7bb32ac8634ab9d1d4cef672',
        30536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMedefaidrin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Medefaidrin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Medefaidrin
  static TextTheme notoSansMedefaidrinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMedefaidrin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextStyle notoSansMeeteiMayek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a8f93a08e1eba612f64fad828c062d730baf58f40ba5eda4b0b5d2cda321554',
        17064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '132f1f9ddfd29a1c1192a3927997f52246ee3fd2b9a01e8a80d39e633805a919',
        17112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48859939164fa237f5484aae7287b050297b5789ab939defc1f11be31364e119',
        17104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '224e0be76c98757e3e581934601e2837d2e416604cbc3d995fe1e17d91d5e892',
        17044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8edf22bea937e1a1d4bf0290ca6b2f8296477cdcf878a2a6444ae47dba423926',
        17092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e52898a561f9d4d7ec4bdc871d05dde69c53b2ff9acd04225b25fbfda3ec4d49',
        17096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62b20f4e2f2727af9a9111315e7b843812d742368db34e7e540ecb339c3993c2',
        17028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbfd375a4cd9986efff935890c41af933fbd79e49b3f48351ea376f34b5a0a4f',
        17136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '845c5a715aed0d7027c829a2aac1bbf8bfda97f058d89f4483aaf2f0e2649ccc',
        17068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeeteiMayek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meetei Mayek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meetei+Mayek
  static TextTheme notoSansMeeteiMayekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMeeteiMayek(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextStyle notoSansMeroitic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4e4b78790e277889349fc353d7649e5c3044d4819c84ada82f9b26fc9bb3b7bf',
        32356,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMeroitic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Meroitic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Meroitic
  static TextTheme notoSansMeroiticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMeroitic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMeroitic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMeroitic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMeroitic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMeroitic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMeroitic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMeroitic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextStyle notoSansMiao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'daf58ee2583b070523af86b806c4d6eb003851d9616b9edc5c8704d26ec011fc',
        35168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMiao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Miao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Miao
  static TextTheme notoSansMiaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMiao(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMiao(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMiao(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMiao(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMiao(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMiao(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMiao(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMiao(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMiao(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMiao(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMiao(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMiao(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextStyle notoSansModi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e517b257d2fedc2eec7c9c24b07828de220e6f6b7b9c4275541d702aeda940c8',
        41576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansModi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Modi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Modi
  static TextTheme notoSansModiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansModi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansModi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansModi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansModi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansModi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansModi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansModi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansModi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansModi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansModi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansModi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansModi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansModi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextStyle notoSansMongolian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1549bdc640cf63929b9422f2549565df34f6ff1bafabaec5fb0cd7a6c0399c8e',
        178948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMongolian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mongolian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mongolian
  static TextTheme notoSansMongolianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMongolian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMongolian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMongolian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMongolian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMongolian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMongolian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMongolian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextStyle notoSansMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f18546d3ac336eef4eede4a42e2235362e38c3019047cfdf24d5b3cebc113837',
        337064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10b41b763845c383139ae898a5d91906236de03e17945476aee3cb96b8a9a87e',
        337452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '684aec520aa02483ad7099a4c6dd0fa95b619077db7bbba68a002b12310c020a',
        337376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '985a230250f46262e1e08a3e70cd34e7fbc0fe9dd56b9059243311e6c4645827',
        336636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34983f5d772508aa841727bd884854aa78058e42bbbbc1d110e0eb3b47b6513b',
        336988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02d2dabcf2352f81818cbf8f5e6cd93a95cbc23388a9ad8740e8dbbd3470d3ab',
        336852,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e534fcc8eceb58f13cad7037d2cd56b97e9efb2f8df49a7b8e73d0e2667b5f30',
        336352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe2d7d54b70766c9d0aaac0333d73f71c68f606a11eb5de3a84ce7bda811d91e',
        336604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61315193a863a59fc3f7c53bc433b34bd974fb01420ba760b772f3a198e21fd5',
        336244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mono
  static TextTheme notoSansMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMono(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMono(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextStyle notoSansMro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2368bf2fe6e1744f065469532a1f16d573abb2a180348d8e46bff0f51ef44e17',
        5812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Mro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Mro
  static TextTheme notoSansMroTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMro(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMro(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextStyle notoSansMultani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de62062c7358243404bc7469441235462c0bd79536921186c79b6c65177fa114',
        9072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMultani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Multani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Multani
  static TextTheme notoSansMultaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMultani(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMultani(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMultani(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMultani(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMultani(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMultani(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMultani(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMultani(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMultani(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMultani(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMultani(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMultani(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextStyle notoSansMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f979ca37627e5212a79d2bf68419c85054e3310a5deeb5a1f7f34595f67b2a32',
        151988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c54a8217f763efd7148cefea05f798de6a49426516abec96d6a870ebabd883c8',
        150128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f9ef0623535f1522ec0af734d5b5e58696e2416e832a693ea927c903f850034',
        148240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0c9d06b2ef6a27c0e3c893cc3dc749b36045d249dcfb4d8eb1a68fe9534aadd',
        146952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd0c67134ef7337f8c3de5c53c0672c44e9aae5a1eb120f214f79af21524755e',
        145836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c88e9603fb22b1377132e7f92cdc51ad336270e3726f7ecfa218d03d69f5288',
        145144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32aef232e66dde0e3267acfc4a25118e5a5c2c9d553038fea849acb7d5ef35f7',
        144628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee98aabb35c85d90e8784df4e8d25761da43eea2c5965e6e798f97d58d1d40e6',
        144580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d87a8150edd32cc0b125045824f270b9406e6d30f9f8a69821655dc20be43d',
        146152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Myanmar
  static TextTheme notoSansMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansMyanmar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansMyanmar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansMyanmar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansMyanmar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansMyanmar(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansMyanmar(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansMyanmar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans N Ko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+N+Ko
  static TextStyle notoSansNKo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63f8a8a48ce590e90c14b5d0b15ef846ca5264b469bb8c9ddb7df426949154b3',
        22324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNKo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans N Ko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+N+Ko
  static TextTheme notoSansNKoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansNKo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansNKo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansNKo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansNKo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansNKo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansNKo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansNKo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansNKo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansNKo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansNKo(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansNKo(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansNKo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextStyle notoSansNabataean({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e8c3449feabfa772702ad83fc3dd0856914f08ceecd16b5f4c1a92276210d04',
        7220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNabataean',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nabataean font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nabataean
  static TextTheme notoSansNabataeanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansNabataean(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansNabataean(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansNabataean(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansNabataean(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansNabataean(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansNabataean(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansNabataean(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextStyle notoSansNewTaiLue({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '440dddb93ffa03b016d9e9a445842aeb4580d0fd7a508672095bcd7f531bd8ee',
        15864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewTaiLue',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans New Tai Lue font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+New+Tai+Lue
  static TextTheme notoSansNewTaiLueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansNewTaiLue(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextStyle notoSansNewa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '505c29b87461a74b2299f019143f25532ab9b7a46cdda1eca1325263dc08d66f',
        149464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNewa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Newa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Newa
  static TextTheme notoSansNewaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansNewa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansNewa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansNewa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansNewa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansNewa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansNewa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansNewa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansNewa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansNewa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansNewa(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansNewa(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansNewa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextStyle notoSansNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39fdd38fc6b232f6c1066296d6a3e47256aa572875e08fb7814d9c686c35c62d',
        114052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Nushu
  static TextTheme notoSansNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansNushu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansNushu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansNushu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansNushu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansNushu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansNushu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansNushu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansNushu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansNushu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansNushu(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansNushu(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansNushu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextStyle notoSansOgham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '294effb5be358f3c23b989a8494391ee075c64a16199eed47f2f68a0c3bf2cdd',
        3576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOgham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ogham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ogham
  static TextTheme notoSansOghamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOgham(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOgham(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOgham(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOgham(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOgham(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOgham(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOgham(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOgham(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOgham(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOgham(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOgham(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOgham(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextStyle notoSansOlChiki({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3333bb5b3ecbdc0d7d804f61be7d59eeb3a5806303d33e85ec9c78bf451279a1',
        7648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1811af840e4cd05c9c25c93fb1c2b02982e05a3395c14fe12472fee597a9574c',
        7684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b934cd8fcc813f15f01084b9ea505b596f7c5239317d06c2b6e9b0339b4f5a3',
        7692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4ce928754fd2197bbfd3c45b2bf77adced3493d2fdfcc323164f57a53a4d276',
        7616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOlChiki',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ol Chiki font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ol+Chiki
  static TextTheme notoSansOlChikiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOlChiki(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOlChiki(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOlChiki(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOlChiki(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOlChiki(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOlChiki(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOlChiki(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextStyle notoSansOldHungarian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9bdbb5dadef6da77dab44efa6ee39f42b1f05e6c9ae248d564d4bc3eb304270',
        51516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldHungarian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Hungarian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Hungarian
  static TextTheme notoSansOldHungarianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansOldHungarian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldHungarian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldHungarian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldHungarian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextStyle notoSansOldItalic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd972f97bde9d9beb1c5523f012d1a922b2404825cc97c7abca5ff3195a99fbe',
        6468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldItalic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Italic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Italic
  static TextTheme notoSansOldItalicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOldItalic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOldItalic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOldItalic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOldItalic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldItalic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldItalic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldItalic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextStyle notoSansOldNorthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbba4bfcba4ee5c7ebd24e3846976091dc9b8645dad791da43258929d7e17f8e',
        6052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldNorthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old North Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+North+Arabian
  static TextTheme notoSansOldNorthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansOldNorthArabian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextStyle notoSansOldPermic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56d277d03f0f1e1452a9a355a3e3cb48770eeac59a3a3bfa9d3069d3ea208f4e',
        8896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPermic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Permic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Permic
  static TextTheme notoSansOldPermicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOldPermic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOldPermic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOldPermic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOldPermic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldPermic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldPermic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldPermic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextStyle notoSansOldPersian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '528ce03546fe77eb57753de610acf14ff09997fbb209f719ab59cc0071beadad',
        11600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldPersian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Persian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Persian
  static TextTheme notoSansOldPersianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOldPersian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOldPersian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOldPersian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOldPersian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldPersian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldPersian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldPersian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextStyle notoSansOldSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f119c713211e3d8bf6be1de794962b8ee716e107bb141f0deaca2c217ac9326e',
        10808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Sogdian
  static TextTheme notoSansOldSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldSogdian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextStyle notoSansOldSouthArabian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ee26c031ce58b213f95a4622e9cc71cafee3721cbc5bf950748660a755e6b34',
        4100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldSouthArabian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old South Arabian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+South+Arabian
  static TextTheme notoSansOldSouthArabianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansOldSouthArabian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextStyle notoSansOldTurkic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c4df21a3b450dd95c0f4cac89e752c00575932aa0b504a0bc481b1e746e10bb6',
        7368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOldTurkic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Old Turkic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Old+Turkic
  static TextTheme notoSansOldTurkicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOldTurkic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextStyle notoSansOriya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa58ccbd76b8bb3aad81e10c716b229cc83ad4a5d1953f404078fb9631948f28',
        88284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '119f73737ce0d8cdd3c519eaa3d1b8ad7d56f76e3579de0fb16b0e0987034ba5',
        85444,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '392f538a71f595eb50e634bd072b97e35544f510ee724f9a54eb1f4e0aa9cf47',
        82812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97aacaf81a43dcf6dde45fba2e7e56b74fe66527a2cbefc44fe651dc1b3874af',
        80184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOriya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Oriya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Oriya
  static TextTheme notoSansOriyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOriya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOriya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOriya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOriya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOriya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOriya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOriya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOriya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOriya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOriya(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOriya(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOriya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextStyle notoSansOsage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '485d1b6c5ee3c93d7ebe76f96783aa6f96a43c3f4aee9312fadea6c6613e2037',
        11604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osage
  static TextTheme notoSansOsageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOsage(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOsage(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOsage(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOsage(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOsage(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOsage(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOsage(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOsage(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOsage(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOsage(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOsage(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOsage(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextStyle notoSansOsmanya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'acc4c242908f7096c676ecce9701500cef0acfecc4ccac0f93300fcef6346e4e',
        7600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansOsmanya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Osmanya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Osmanya
  static TextTheme notoSansOsmanyaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansOsmanya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansOsmanya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansOsmanya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansOsmanya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansOsmanya(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansOsmanya(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansOsmanya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextStyle notoSansPahawhHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ce7ee9181a92c5854a4ac16f72bfd9e18d08d8833d9ffd6d9c45d173ef2754e',
        17180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPahawhHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pahawh Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pahawh+Hmong
  static TextTheme notoSansPahawhHmongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansPahawhHmong(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextStyle notoSansPalmyrene({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6baf5aae853c00199a1ca94a0984a6cb1e2a9117b6a04bd069167b1fff053b53',
        7644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPalmyrene',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Palmyrene font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Palmyrene
  static TextTheme notoSansPalmyreneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansPalmyrene(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextStyle notoSansPauCinHau({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76ddc58921c55504f3ca98f7852ce63063f53627e2d65dc99474cb62b3c29b5c',
        8676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPauCinHau',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Pau Cin Hau font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Pau+Cin+Hau
  static TextTheme notoSansPauCinHauTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansPauCinHau(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextStyle notoSansPhagsPa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c550113dacfd66111e57e09469834b626d011947d89275b23eb84ba35af1f7',
        38180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhagsPa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phags Pa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phags+Pa
  static TextTheme notoSansPhagsPaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansPhagsPa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextStyle notoSansPhoenician({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bd17d1dbba92b5a391fced2df69da9531df480c6bcb5d9c081fc9b34db67c25',
        5084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPhoenician',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Phoenician font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Phoenician
  static TextTheme notoSansPhoenicianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansPhoenician(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansPhoenician(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansPhoenician(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansPhoenician(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPhoenician(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPhoenician(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansPhoenician(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextStyle notoSansPsalterPahlavi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eefea62df4bff86236cfd0645d22235acc2135a2a4661878c94c2444184307fb',
        20704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansPsalterPahlavi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Psalter Pahlavi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Psalter+Pahlavi
  static TextTheme notoSansPsalterPahlaviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansPsalterPahlavi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextStyle notoSansRejang({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aea5f40a86d5f749c927f0879553b6c07aafbb043fb853b43427a21a6c510c14',
        6460,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRejang',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Rejang font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Rejang
  static TextTheme notoSansRejangTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansRejang(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansRejang(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansRejang(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansRejang(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansRejang(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansRejang(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansRejang(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansRejang(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansRejang(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansRejang(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansRejang(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansRejang(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextStyle notoSansRunic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '566ee9e53d3557252c8c79fa2f468d026464006200b332c972006fa696095c33',
        7936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansRunic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Runic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Runic
  static TextTheme notoSansRunicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansRunic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansRunic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansRunic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansRunic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansRunic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansRunic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansRunic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansRunic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansRunic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansRunic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansRunic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansRunic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextStyle notoSansSamaritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '920a2c02a0e2c2fab6c34f318613b5ee6587a116e4158a955b55006c58a1f3b6',
        10012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSamaritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Samaritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Samaritan
  static TextTheme notoSansSamaritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSamaritan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSamaritan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSamaritan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSamaritan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSamaritan(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSamaritan(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSamaritan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextStyle notoSansSaurashtra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b8952bd760f1d2c83bec5fd4a38d9593275887f327d3eaaea5faadf1627017e',
        18812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSaurashtra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Saurashtra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Saurashtra
  static TextTheme notoSansSaurashtraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSaurashtra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextStyle notoSansSharada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34b01e2b84e4090583a05b6edb5c45821aba50610e8551a571fefaa528591de8',
        48148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSharada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sharada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sharada
  static TextTheme notoSansSharadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSharada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSharada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSharada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSharada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSharada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSharada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSharada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSharada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSharada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSharada(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSharada(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSharada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextStyle notoSansShavian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '835fe7e7c393b0ca630d753a483e51e5c256f4e8535bb9e693376922a7470091',
        5724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansShavian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Shavian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Shavian
  static TextTheme notoSansShavianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansShavian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansShavian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansShavian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansShavian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansShavian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansShavian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansShavian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansShavian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansShavian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansShavian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansShavian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansShavian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextStyle notoSansSiddham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '594ecec53ca662e49d461aa92fdfe50d319fae6b3694efc07c4e5cc10f177ea0',
        117692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSiddham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Siddham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Siddham
  static TextTheme notoSansSiddhamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSiddham(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSiddham(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSiddham(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSiddham(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSiddham(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSiddham(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSiddham(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextStyle notoSansSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861e315337275b44e094a2935d3ecc0d23731352b3bc0a860a5bf275145f1809',
        209508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '466ed49094db7bbc3646bdce4d401f3e30a6b0814a709112d88ee7c3aebb82ca',
        209536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0187aeeff3fe933f83b7f11af9eb5347ec6af0102cdb2776ce6f31ed483bd5ba',
        209620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2a450b50aeb8909baaf635581e47d2d693d133a1f0c7593330a4331f898f427',
        209472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09443319922a81d3e7993789bf64fc64e8216062c4c42ad20641905f64c7fd53',
        209544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509012afc1f9d45a8642b25e1bda15b24bb461d2a70a5be841294f8f23353df8',
        209484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8297c74958288e1f2c1a19e8c37fcaeb53f0841178ad116bc7f5bc642984a0af',
        209172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d13f0435982e45a184c7dfb30a9c076cf59c0ca8284dde62659592525fef143',
        209224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de888f705fc373f5cfb0864df516979ff29dc916a12e706e7f84ae9cef9533d5',
        208892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sinhala
  static TextTheme notoSansSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSinhala(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSinhala(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSinhala(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSinhala(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSinhala(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSinhala(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSinhala(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextStyle notoSansSogdian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '574fabb53f2fd5d310d2d6779bb40f17024a3f3dcc3e3d6a59a3f0f22c7320ed',
        63808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSogdian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sogdian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sogdian
  static TextTheme notoSansSogdianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSogdian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSogdian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSogdian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSogdian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSogdian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSogdian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSogdian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextStyle notoSansSoraSompeng({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b2b69ececf9fbb478589e7f17b981f740a7901a1a31d3da126b21874344cd6c',
        7496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cce7906d227803a1b1c77a7795eaf7bd711295bfd18362eba0f31ce644f7745f',
        7552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cdc82d6482884fdfd7bea92fe5fc4f4d213c6ad0bb3acc213ed448877b432e1',
        7572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'db569dcb56f43c5a2cb711a60af3ae4718b85889a58e754427a1600cff1bb581',
        7496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoraSompeng',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sora Sompeng font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sora+Sompeng
  static TextTheme notoSansSoraSompengTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSoraSompeng(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextStyle notoSansSoyombo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f02d35b6efba6a045abf92f6f60e73ac11b35c6773ba5383fcb441ab028bafb',
        65788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSoyombo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Soyombo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Soyombo
  static TextTheme notoSansSoyomboTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSoyombo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSoyombo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSoyombo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSoyombo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSoyombo(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSoyombo(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSoyombo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextStyle notoSansSundanese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9ae0e0149532742248aaf1b86163edf392d4f1dd341032c4b2776d9ebc6a03b',
        10500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030c18bc61917784cff5a0b7637646a9e8dc6cb0058e21150e8c531ce0bcda8d',
        10532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6eeba4960d7c5dae4f930749febd1cadbb1b629b3e41a410553426b5fb155535',
        10548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7f407897b5a6892ab42c35dc62a2b9a5a4a494c52108feb8af070f92b8e4bee',
        10468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSundanese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Sundanese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Sundanese
  static TextTheme notoSansSundaneseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSundanese(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSundanese(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSundanese(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSundanese(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSundanese(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSundanese(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSundanese(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextStyle notoSansSylotiNagri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '889d9bafb411612f6a93d7d01ca7b52dab167299e2b9ad34ae455cdf1255e98f',
        15664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSylotiNagri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syloti Nagri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syloti+Nagri
  static TextTheme notoSansSylotiNagriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSylotiNagri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextStyle notoSansSymbols({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4511f8e131849420f0939a3646a78dfb71255cca889411105c032fcaca8639fa',
        179144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60b000685aab387404ce89789ee8d0c8e505c6463b167906b1fba154d3043e1b',
        179228,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd905ba965b4d319cf5a85e0e9f0cb85bb37dd6bc0805263ce1e5fc3e2a7b1d10',
        179200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7326579f2ea1d4bc4418c3b28088640c02ce10973e0dd39b1eac5b428ff43897',
        178984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '110fe44782880f8a9108942675879c1272d318b0f9ef8b89d9763212947cc8b3',
        178952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07c4747bd33399ab5915737ff238dcfeee432fe6673a7e11f6f151bc9553605a',
        178876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '412f9632bc414691734168b7657dca093ad33de0adf06a321f0d6431f649323b',
        178628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76635715d5d50feec2ced660fdf95926aeb621ae50b10bc06c4c078d6edf3cc7',
        178580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c82913f2b08d8c05f197620e13cef089037210e683e0c47d7467033c00c08f6a',
        178424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols
  static TextTheme notoSansSymbolsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSymbols(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSymbols(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSymbols(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSymbols(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSymbols(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSymbols(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSymbols(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextStyle notoSansSymbols2({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7312190525b0c56caf4465a78ffd45458b96f7a94f14183bb797197a7a77ba68',
        655736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSymbols2',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Symbols 2 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Symbols+2
  static TextTheme notoSansSymbols2TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSymbols2(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSymbols2(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSymbols2(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSymbols2(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSymbols2(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSymbols2(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSymbols2(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextStyle notoSansSyriac({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '843b51d758cfb4eb7a1cdb283bc9305f2223b6750b6771037fb01ff633062ce4',
        177180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f103ddcb10c8322f8097c17d1a0920e8564e4b234b6a124d5e6eabdaf05007e',
        174204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e1c729cfbca80dcd1d07c28eaf72f4b7de2a10278910e17f26628bd4e73ce9b',
        178720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansSyriac',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Syriac font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Syriac
  static TextTheme notoSansSyriacTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansSyriac(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansSyriac(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansSyriac(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansSyriac(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansSyriac(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansSyriac(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansSyriac(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextStyle notoSansTagalog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11eed3048c50df340f0a06e567474b1133958cca1809142fb649a8efe847bacd',
        5496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagalog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagalog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagalog
  static TextTheme notoSansTagalogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTagalog(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTagalog(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTagalog(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTagalog(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTagalog(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTagalog(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTagalog(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextStyle notoSansTagbanwa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7ee34869df577cbb8e26075812c78f4357144931196fcdb69b7f118e4cb21612',
        5116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTagbanwa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tagbanwa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tagbanwa
  static TextTheme notoSansTagbanwaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTagbanwa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextStyle notoSansTaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dc941d3c70a093d379163f098c51b778da26888a9b8c42dbb7a746eca6fccea',
        11092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Le font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Le
  static TextTheme notoSansTaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTaiLe(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTaiLe(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTaiLe(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTaiLe(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTaiLe(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTaiLe(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTaiLe(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextStyle notoSansTaiTham({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c91863f755676bf4599969bf64e33dd94ecf89016f163bfc6802e51acf1a7e48',
        90560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65407d30d3cc7c9ed4733d3e9347908ea11cae3d883af9d7d0f30e8d132a54f8',
        91032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23e16839c3bf3b53d80506d05534a041674a76147e7f49dde3ec9c27c58f747c',
        91128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16e4b3e47be3be3cc5d49c727da180b105729aba2a7d55478c4e69535da42609',
        90552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiTham',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Tham font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Tham
  static TextTheme notoSansTaiThamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTaiTham(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTaiTham(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTaiTham(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTaiTham(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTaiTham(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTaiTham(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTaiTham(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextStyle notoSansTaiViet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '251e9520d765cd6c035b48383fc4e8c20e97f07cc3b815dda350698f88c15565',
        17232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTaiViet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tai Viet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tai+Viet
  static TextTheme notoSansTaiVietTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTaiViet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTaiViet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTaiViet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTaiViet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTaiViet(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTaiViet(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTaiViet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextStyle notoSansTakri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5620aec25d93c521070f7f46b215f2a91af5e5e26a4b351f95a5dd40184e4a4b',
        20720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTakri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Takri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Takri
  static TextTheme notoSansTakriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTakri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTakri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTakri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTakri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTakri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTakri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTakri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTakri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTakri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTakri(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTakri(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTakri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextStyle notoSansTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd2a5efd482e93c8ecc5e11ee1fa6d42460e36cf7d0d2bb7a5a312d4f97846de7',
        47556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4af4cfbafb02812fe2151c40e6856d3c3948df1a1dc3568b015b785d8a760991',
        47652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d658a2fde70dcda124f0456e3b3ab33a3274702e5e9ca36cf0a5372942afcd6',
        47656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd53b1cf7e6300ace8f3d12013c66f287e08b86c45f981170c9e6c7ede4c98b51',
        47596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93570ec645b7e0b7953150a642c5dfd2c7f1954aee4b167f6a9b51710fc43c2e',
        47680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '141b7aaa99913a612355feb95280cdddc6f1f30c7b9c739eb12e29ca43930d27',
        47708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '31f5cc6c333689e0654eec58a82016e821cbe8a2a5fe9173a5da4f4704c51cd9',
        47544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b11e0769240f1aa0ed9d58d6d2e0faea5684157e780a4022a62a719e3077e0c2',
        47672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fc6b321362dfa665829c448b080f5971a06813116e903e102e2c71debd6358f',
        47628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil
  static TextTheme notoSansTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTamil(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTamil(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTamil(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTamil(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTamil(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTamil(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTamil(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTamil(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTamil(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTamil(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTamil(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTamil(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextStyle notoSansTamilSupplement({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f348d8c6df01afb3c86986e2e48509bf954f3a1c36cebc2cf14620e8875d64c',
        14812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTamilSupplement',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tamil Supplement font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tamil+Supplement
  static TextTheme notoSansTamilSupplementTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansTamilSupplement(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextStyle notoSansTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc25d160ce9246822f3bed38cd9174a09362d3e539b9567a375f526b6ffabacc',
        146548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '95a525945ba71d1557aa9ad604982eaa5a1e332acf5ffba1094fd264a292abc7',
        146720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad00e0b2973dfdeb27c922f39cfb593e956c223f8c5dc5be6ccd084d07b71469',
        146656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2edfd52e75cd8286ba27ae59e3bf39e630631bcf7ebc7772877892cb647944ad',
        146616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd75d791d46ff0ab1d515ce34ecc2b991c414442c441da41d7cf06a3573c27146',
        146744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91af06f8136453eb6ddee6e580f1bdf641f32866d08f0c6ff54026eeeb8b3f49',
        146836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2684701610b40062d1904e8b1487ef924982880dd5b11a1b025f76c076ca4316',
        146568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c6a739a5cc9ee4ae60060460a998fb35546a9fb16fa1d3e45cbee8b2257ce6f4',
        146812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42029e0f0f51cda00cccbd1143c196de1811645109526c2dffb1aebff369294f',
        146784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Telugu
  static TextTheme notoSansTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTelugu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTelugu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTelugu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTelugu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTelugu(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTelugu(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTelugu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextStyle notoSansThaana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '157af06ed5213fbf68748b2dbf8ff001c3e09caa021f9b84b2441943b6d7a20c',
        18696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '369b519ce7aaddc44bbeb9cf132552191f40fff1383b4828de36117d50371d05',
        18748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17bdd5ebbc2127808cc4c108b9e83e5aa41641480c3b4af1a80a878875d8abd6',
        18720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8af3780655a2f6c5a3015b677ac6664e2c6346e3811cb3cdb083b694018067b',
        18680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5334e3c8ab366ba6417eecd3d850b71ca0729c517f125aa1afe435891ebfe78a',
        18728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1432e8390b5d4afaee6af949848c4d95a173e6fb7058423f146d2b2a4469a23',
        18732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e66e59382986e6a5b6a70fb7e952f6693a264af3918629c06917a4a3a2fb35f9',
        18652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7595e5257182308b5ca80221eca75505ee8fda7aa3ad6215a17aed142a52cf3e',
        18776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f192e5c9229c871acea532edd05552fbfaa556728c033d3a73a8e12ceafd2e8',
        18752,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thaana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thaana
  static TextTheme notoSansThaanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansThaana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansThaana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansThaana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansThaana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansThaana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansThaana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansThaana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansThaana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansThaana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansThaana(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansThaana(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansThaana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextStyle notoSansThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1cdfdf067bbb2c9266f257011021fe0900b58d509c232ce04fad7750bc5c938b',
        20512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94a1958038c8bc2b65c80babc8e4da5bb83cba68d7b3c5d49f0fa285639aa3a1',
        20620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ffd168bbcddb9d84022883748463af793a3c6d0d9e0f08ee0ccbd851d3fa1f9',
        20572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e97b55f0676c1bea0f2b4e9ecb5a70bd5c9b6ab04f82b942033b0cdd13e2d89',
        20500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc9c72e38f7066149b36fe83fbacd0f890970e993f6829538a86570cd7cbc7d5',
        20576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62c9e61dd9dba1e6a15bdfed318bcf959a93c642ab6db59900643e533f32d727',
        20592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77bf9d1682d4d027e7498684a3b18472efb9958a27fb3f64816726d5cd621736',
        20512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1729949104fdb62939df1aee77c7258b270047adae74a1ca4bc0061ff75202e',
        20608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf217a619444cbb8deb58ee97389daf00856cf19a67ff200d5aa9b29efc50109',
        20496,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai
  static TextTheme notoSansThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansThai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansThai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansThai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansThai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansThai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansThai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansThai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansThai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansThai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansThai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansThai(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansThai(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansThai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextStyle notoSansThaiLooped({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8299a72bc8a7f2d3dfbae3da7953c8a8ad0942904c399ecf44734acc9bdbb260',
        35924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7571d3db9944807ef884a1ef3a9df329c28ef3bab9f24b157917673c72da57ad',
        35620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f9290e2adfb8228e3eb2653016ec9960d78c639ca8ff4ab982bda39233f3ad2',
        35264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05bcd4fa6c1daf849c9dd486ff279faa685d5fe25e4f7ab4e7148f1d8917ed09',
        34504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a732f3ff505fe07401eec194b5dd200d4936fdbb0e45857721fcc38621ee34d',
        33908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '347848e38c75b81c7907c81086cbab705c02b7dbf38d904804b764bb8f83dabc',
        34560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a10d07806119c818e0370cb657889696912a16eea697903d1747032958f85f6',
        34292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f33672a3b3a89a916bbc0ee94032bce5ad94de0e4ae07934b93d660a6b0fce5',
        34280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07642074935e2074d0ae2debb954cf7efe1e81cb9fa4d5c28a71ee885063914',
        34324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansThaiLooped',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Thai Looped font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Thai+Looped
  static TextTheme notoSansThaiLoopedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansThaiLooped(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextStyle notoSansTifinagh({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60c0bd8ab3ba91a65ff6f019391816e54168e6dec90eeb21775eec927d5b532b',
        26936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTifinagh',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tifinagh font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tifinagh
  static TextTheme notoSansTifinaghTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTifinagh(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTifinagh(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTifinagh(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTifinagh(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTifinagh(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTifinagh(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTifinagh(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextStyle notoSansTirhuta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efa07c6b3f157b258dd2ac796311d3d0468e6c104d124c30186e8d10d29c1298',
        66912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansTirhuta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Tirhuta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Tirhuta
  static TextTheme notoSansTirhutaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansTirhuta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansTirhuta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansTirhuta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansTirhuta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansTirhuta(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansTirhuta(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansTirhuta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextStyle notoSansUgaritic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d9f37689815afee098c7697688ae1020a16706942a7110b8c6b3b0f6c6332fd',
        6192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansUgaritic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Ugaritic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Ugaritic
  static TextTheme notoSansUgariticTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansUgaritic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansUgaritic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansUgaritic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansUgaritic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansUgaritic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansUgaritic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansUgaritic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextStyle notoSansVai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cf25499374a72336093f1f41991d2ef34d900486df97c6c46ba707957969a17',
        54360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansVai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Vai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Vai
  static TextTheme notoSansVaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansVai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansVai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansVai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansVai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansVai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansVai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansVai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansVai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansVai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansVai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansVai(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansVai(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansVai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextStyle notoSansWancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12751aa4ba0999992634dbf1664b1a29af58cc2898de396c9f1ac4796ed0edf3',
        17832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Wancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Wancho
  static TextTheme notoSansWanchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansWancho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansWancho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansWancho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansWancho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansWancho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansWancho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansWancho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansWancho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansWancho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansWancho(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansWancho(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansWancho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextStyle notoSansWarangCiti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd05476239882122a6c59bf49cd5249d6c446550298887e3db7e8a5127f46c4e3',
        24316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansWarangCiti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Warang Citi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Warang+Citi
  static TextTheme notoSansWarangCitiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansWarangCiti(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextStyle notoSansYi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0d41e4488c610c8d1f73eec9cf10d8ebf711ca9adfd53981d980b0fb362de2a',
        181700,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansYi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Yi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Yi
  static TextTheme notoSansYiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSansYi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSansYi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSansYi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSansYi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSansYi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSansYi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSansYi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSansYi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSansYi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSansYi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSansYi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansYi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSansYi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextStyle notoSansZanabazarSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42fc5c228f82e8116d4db46d1544d56e1ae7eaa590034092f49980178b6476c9',
        18124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSansZanabazarSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Sans Zanabazar Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Sans+Zanabazar+Square
  static TextTheme notoSansZanabazarSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.bodyText2),
      caption:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.caption),
      button: GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.button),
      overline:
          GoogleFonts.notoSansZanabazarSquare(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextStyle notoSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756d85930a29b444fc130d6ab854e9f796a951dff740c2bedb926522aa2db185',
        219488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3a8f4b27348c68ceb866bc4d52c0eae507c8cf764c1ab8d398805aeb89e40eb6',
        220592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8ab5cf0042204e461a5d83a980849507daa6ef58dda05725bcfa7403675eb0d',
        220292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fff456cbd82e58d6ca98db85fc03a22b982377a0f7e36525541d06b1eaaa1db0',
        233960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif
  static TextTheme notoSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerif(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerif(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextStyle notoSerifAhom({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7753f8196281e7c6887d190bda10b2d6a1ff32222aa6c084b176f0b810e8a78e',
        17608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifAhom',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ahom font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ahom
  static TextTheme notoSerifAhomTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifAhom(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifAhom(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifAhom(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifAhom(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifAhom(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifAhom(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifAhom(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextStyle notoSerifArmenian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bf0f79c4ed434ba54905b88d6cc06bc38225456ec5623409d0d09a2bdf5d73c',
        19660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fca96a65ef9532eee9acf82680cb12940d4f5fa6ba2d9c956a3394545c2095cf',
        19728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '733bd2ee5bed33334448a7b8959b14ac61d73697bfd1843dd1f6cb9c64db945b',
        19692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a2f464b42b74f59f54ac96fb69fa9791417d3c1e11a453120fa16a6136b3b45',
        19668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ade1c0fd5099316d6cf46fb6e2a4b460be434426fee74d0715395a0ec17d3ce',
        19716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eac06e6f174a0449f26c63a3ca228720f21ec15e59016ded440ae40f6f70f6a9',
        19740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75b31ef52842f25a61f3ec2809f59057287c948e2444b74f0257d62eb917899f',
        19648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9893137332995463183c966e8f611a6ca57029138f7c43211cb452a847616e1',
        19764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5c1c060895297a73499a3a60475da3fa4a418a8d6aee5f1d7850481943944138',
        19720,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifArmenian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Armenian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Armenian
  static TextTheme notoSerifArmenianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifArmenian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifArmenian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifArmenian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifArmenian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifArmenian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifArmenian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifArmenian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextStyle notoSerifBalinese({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fd3c1ee70be4f95aa625686460aad9aa72620f9c121493a74deeed429bf8649',
        50092,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBalinese',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Balinese font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Balinese
  static TextTheme notoSerifBalineseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifBalinese(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifBalinese(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifBalinese(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifBalinese(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifBalinese(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifBalinese(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifBalinese(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextStyle notoSerifBengali({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3ea090ce69d0a6fca9f86ade41d01a87aad963daa24505040098067ec27bfb3',
        176148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f78c769a79c64a2fd88a4315a6080894c3ce5c433cfc99589319c4968502c092',
        177188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3de057591ab9ea8c46c0c52a5b8672c5d437a4990a9420e74a2fbe289fd07b53',
        177160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1621240ab1102c35730dd4e0e4e5a627894660b61909e32ef438c1ce711e989',
        176588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3b0f89433ff78385f5ec0b11b27d67d40879394a58fb229d3f6d74bd503035d',
        177896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5833049b50567496be437b7540bdbc5debfdf93187f3c1ee312f12457db52ad',
        178316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa492fcd675cd733cbdf11fb5508e6f471e4a14e4e447780f0bdd21248898127',
        178500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f4d2505002fa2c837c76c15e5c72c2cdacfe3315fd815f582aebb7c2003f639',
        178552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d802f1038aa6379193cf8220cf04a01f1aff07b935d3d33f20862cb84544359',
        178124,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifBengali',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Bengali font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Bengali
  static TextTheme notoSerifBengaliTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifBengali(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifBengali(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifBengali(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifBengali(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifBengali(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifBengali(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifBengali(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextStyle notoSerifDevanagari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '65bbf0196022f488012d4a1c1d2a0c0ed2e1f1d06dccf6bbc9986565b4fc6669',
        207236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1f2dd6dbe42fea380d9b016b6731c7ec496c75ad603a490f696aad33cb726f4',
        207524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '575281e8cbcf5494597eac724622e40babef604d86f7ad284972db7845413d7c',
        207548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '622a6699094f82ead0229f9d030e9c26ad0788cd23f46ee4cac338740f052859',
        207416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a1b5594084ca220e67ec2332204bba8d3b33446f51d43f7d83ac83399ea08e4',
        207856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14af40c8288d5f3e88ee596760d6402db46068252d9187ef5ca1e8b8c67fbe13',
        207916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80fcfd2ef88246a1b2556ef334fe79d99ecbc81daed244e7915626fa057aab9e',
        207824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8797890bac93d4e5a0a0400f58767a2853bd6b061ad368c84d860949452b78ae',
        207960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75896849fbf6161944d1ddb0529673d4132029776c9205b8ebc829f0108554a2',
        207868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDevanagari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Devanagari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Devanagari
  static TextTheme notoSerifDevanagariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoSerifDevanagari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifDevanagari(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifDevanagari(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifDevanagari(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextStyle notoSerifDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1b7a7784ae92e64e397f0d0151519c3895babd82b74febefbea53a5fd4816ad',
        398684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42f4e3c3cdc152ad68ebb96b21122563d6a7f569c9c7495ddf4f184fc8271eb5',
        399176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9eb794056cd6cd31a996a1e8589f164036c3ae042705d4ddb5d0361a5d0aa449',
        399280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7055b1584b844c9e2b37420aff470ef17f537fa332dcaa3238c85945f20150a6',
        397820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f4e10048f88c89f2f92bf98fd42af875b73db9ae755c58bf4e100eb10c9e86a',
        399220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c1c3c3676027d8965fc5c689207b6d764ba0d07c6a914857ac96b4fbc168358',
        398772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f34fc66c3dd8aaf37b19e996cd10b17438a7bccedbdc3ec5e87300dbb7dde64',
        397908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f79ad3d60153bfafe046db93453c23c28a817bd494e700443ed9928aa78e3ad',
        399904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '97c432cf121c9b80ae01a7db653aedd1e46dc27e0f69b6d95905f7156dfec48d',
        400036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '678e94d4778dc9407d6d7d833d0d2fbe29ed2d7837f14bb50fb7a8ee5f0f043f',
        417200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9700b058f983323a301697ffc7eb9214c45c068679d56fdd53246e2194b57b19',
        417796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ae38b096df2cacaf77e110bea4efd383c6b0e41c4bc4fb48ce8fa3288f9d7eb',
        417840,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9943a785e532756943ebe2234ee924073de5cde41ada3b426921234d68fdced1',
        416604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ff38dcfbb7df9c9e7d04326b38e23bd48e82796ccf64c427e3db743275ae9dcc',
        417508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '43117d0997228841425d99d03d7e950d1d7579f96e5fab625316bba93b6474dc',
        417796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fd365b742dec40d2d261c5aa66341b126c8ec04d971abe3282fd8407ecb3a57d',
        417120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '39eb3387b422c8a53a0bad0f4f4980fd66bb20405b7ef2f319f4af48d2fe101c',
        418248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '957b03e499277bd787513791c2e371aade3c0d92a880ae778891aa0efc746d88',
        418056,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Display
  static TextTheme notoSerifDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextStyle notoSerifDogra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '861d3fa005d5e07807519d816a1cf6cbb6317e2c925c46e791b417f0a26b84b7',
        17188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifDogra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Dogra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Dogra
  static TextTheme notoSerifDograTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifDogra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifDogra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifDogra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifDogra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifDogra(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifDogra(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifDogra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextStyle notoSerifEthiopic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b5e74bbb6d6b19d0389d582c18a1182b569acde3e5c79171dc4cf79ef9d2f0a',
        208084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '426a6f0377543bb94c7988468adf9b565e1786b8c30c92b86e42cee5aa1b7949',
        208224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9879e6e01107eb85e7e0a65b5be680d07408e38c8c75406eb56e4e035d172e5a',
        208440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61cfb91b70eeb93e168fb122c65d13cf1a8fd74c56a96f018541c701fc5c70a8',
        208612,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3cbdb3ad6c896b0db511fa63f825ac9f7aeb2def4cb0370882249b8c6479abc8',
        208752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62a69b1d94fa5a63a1f3a8067cc68623124586e3a068e8c0d67dd9668dbf23ae',
        208924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '230ceedf8f31bf2cee8e5f8744108600e75f9faa922245ff4080b81ed5f5c2c6',
        208940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '394fc3222b5e805511e3292e4cfc19732acbab86be7e711a65691a6cb9aa8971',
        208888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d69e13bb92c377f6d2862ed87d34c07c10f1e4682535e98ee317a8615d873d1',
        208844,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifEthiopic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Ethiopic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Ethiopic
  static TextTheme notoSerifEthiopicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifEthiopic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextStyle notoSerifGeorgian({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba9e1d74fa98155dc20511954d2693bd687f36aa1eab169a171db42fd3bf2664',
        45568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e22d1783e10e3f285c3f632675635d08130ef3ac382c9ecc91fe0a7695b97e5',
        45620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53cb5b158d89f094f278091ba75e0869f6d5d39a605b10305701fa7529cf33c5',
        45568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2fc92a67a20d10880e81406c44cef4feeef936327a501ae7c29038005b4907f',
        45528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feea82a7dd556770c1879815a15dedbb71334446eafcab12e9b07b16349bce04',
        45588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37ba0a91d85bdd2a8d940275a1cb2af7a086addbdf40f5bad6511e1b1bd88122',
        45588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a77a3580894f977033722497cd7c30bce96926dbafef1399dc75d197f1d38fc2',
        45468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbdd012bb9de7d5767e2f69ea18b8273b1aa818bea046696c08b0116fb46495c',
        45576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75172933ba34ffb3faf3ffc868106b36077c7ac5b26139084b6b5f1513aa6a6e',
        45548,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGeorgian',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Georgian font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Georgian
  static TextTheme notoSerifGeorgianTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifGeorgian(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextStyle notoSerifGrantha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b76c8c477257a4fe94150d5e428ae70f8d664608a96da9134205c016622c7ba',
        318688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGrantha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Grantha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Grantha
  static TextTheme notoSerifGranthaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifGrantha(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifGrantha(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifGrantha(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifGrantha(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifGrantha(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifGrantha(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifGrantha(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextStyle notoSerifGujarati({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75dede5abbffeb3264b6ef3e658231e06e0c4189b5b822ab8cf23cc8a94e4359',
        107828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c7ed89a527147b172b96da55bec08d6eb7ce479855d7d7fcd7b2e330e91fc1f',
        108104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '22907691b35efcad994a60138c6f0ab499852d81f1c0856887bc6e91d3e56adc',
        108048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b82e2604f7a0d86f18de183ca68080cc8e2f09972ae6a0a55977aa4379ff098',
        107920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f258e25dc61d5d7f25f827bf3f5ad5872e61933c789ee059964950f54d4b872',
        108044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd16b7478f7270e158edd4849dd854c08d95fd524f6610e303d902d32e80460f2',
        108128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16df9c403696bc0d507e8528b8bea9c0d9e47e5e17283d37ce25ecb6e1f618f8',
        107944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '35add5f847c7b99c46814d21188bc799768b157f9872b35077433003b96f0fcb',
        108136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bba5721aed1600011156473dbb6ca0364be810175d772f51583ab3b38a3af4fa',
        108036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGujarati',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gujarati font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gujarati
  static TextTheme notoSerifGujaratiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifGujarati(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifGujarati(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifGujarati(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifGujarati(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifGujarati(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifGujarati(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifGujarati(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextStyle notoSerifGurmukhi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55364a0eade3e93f6b47125e9eb7e8985dfeb3ff9821fdba87429768a77201cd',
        36484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'faf145d3dbff1d6343ff68b515e47fe2f9c811ba976c4d3a0c6d0c734fedcf54',
        36660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06f31e19e449e3ac78d3bb7703310687ba2d50effa2e30af186e7350c9b2f536',
        36632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a212465790c64758b373c8d13c0b684b00cda161a92c627e4e384708feacbd73',
        36616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38c8181176104ad00a041ac089f245da6b90797d3051cd79d36a26de828da4c6',
        36636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7bc276abe8846e1f7b163c0e433b307a2a9b749d99ff39b4176cdd4c87ac44e6',
        36672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27aebc247a5504d294683d788919549ca5f481054512c3da72c48e412d48f720',
        36580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a95cf6afb3864673294efdbe7614b60acd8416723035b63f6f7189f66efa86c',
        36668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6c3a8d354001080f96321bcbab3cb7ce94769c642295acd5ea4064b68baf6b20',
        36516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifGurmukhi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Gurmukhi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Gurmukhi
  static TextTheme notoSerifGurmukhiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifGurmukhi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextStyle notoSerifHebrew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'deb57672a4271d2e7639328b2d18d08152ad2d4c38ce213ff607996d23b0a501',
        19528,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7d98a646bc2de8bf389fd459ecf5bd9402f447e07af1270f2612bb2f24e926fb',
        19652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e14723a02c91ad661658b92b0097378bc868ed1cc520c389b96c51bcf2d365c',
        19712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2b30cdfd521e14450d9facef44de963b04e3136b0261a2bde57680c6b7022e1',
        19624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b45e6bc003c9f790e321cc34ffc157e487278d00e8b86b41efd10a41d94822f',
        19624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5738a3c8a5fe90f7216a46dbee9d4e3d2e76900e17377cf53064b260fd1e3e9e',
        19636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc84b232adcbad6924d1061a90929e36a824c488d995b8d1a27d62e76912902d',
        19576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e29d1f7b73e7502978d265e0239158b0f39ff5372cac976af2828359661bf51',
        19668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5899f0bac08b03b7406778a83258318bcf219ce4bf8c0d675b698cb7d7acef81',
        19568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifHebrew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Hebrew font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Hebrew
  static TextTheme notoSerifHebrewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifHebrew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifHebrew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifHebrew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifHebrew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifHebrew(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifHebrew(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifHebrew(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextStyle notoSerifKannada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26165042d08306a941038dc04a17e1cf564b443e4e18aa75448dee55b5b0bcb',
        141820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f5ee1e624add0354669237447409584119068e5b423b4a7b66f270435838556',
        142008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75e109e21c7b8c2069154881b167ce1b34a539fdd814ccc14620c242f93b46ad',
        142008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c41bcc837e0cc668df79b39ff23dc4c414dc9762f090d988cffc7a918c95c5b',
        141980,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd6dc510d55f9983ca4682c1f5604473f20dee858b7b6d8752093fc507399245',
        142012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f9e27a04a5fe0f2caaae598fa8b996c734ea7b1d9ab16def14a7d15a72afa6c',
        142024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cfdfd909e447db339baa7a1b3a0532858fb56a9c5cfaa149d673304dab933e8',
        142004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8da73da013dca7a86dd3602b4a8f993678478b82798ebcb217af9159e2d589a4',
        142108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b4f51d6e1020504dc3120f06ddad74db90cc1b65e340472343792e0666d2a1f',
        142024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKannada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Kannada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Kannada
  static TextTheme notoSerifKannadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifKannada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifKannada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifKannada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifKannada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifKannada(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifKannada(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifKannada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextStyle notoSerifKhmer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3959f5668fbadbe6ab944ab4cfd15bae6ff50bcca0494037cd757792a7ae5e2e',
        102948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e568b3be0adfed7cad938214b72bde8ec81c2f26e97754c1e0247c412c07dc22',
        103076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9878642cd133cc55699bb99e9bfb345ebeda6790a1648a5ba103a15f38ba887',
        103092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7605cc0b1d1f795023e8d4ce7deef1ab6e5a1bf44da6a44ae18dd304de0d4437',
        102788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dce8088ae8b9a159e79fc827f6dfd3421f87037a8127d479d64cb4f5285bf99f',
        102936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c5c78aaec4d10ffc7cd8b075fbd69585b5be106224e404bf4f7cacad68cfed1',
        103072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '555c59b0679d6166d72ec66959cd2e349f56b0cf59165115b70ce9db1539d8d7',
        102944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '71edfe8eed2fac51308e62022ca1213d8d888270095bae4296cbd045e276f3a3',
        103008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6966378688ae9170d1ef66440d2b9ad064d4efd0b11629e1f4a527c84667516e',
        102856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifKhmer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Khmer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Khmer
  static TextTheme notoSerifKhmerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifKhmer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifKhmer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifKhmer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifKhmer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifKhmer(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifKhmer(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifKhmer(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextStyle notoSerifLao({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33842ac9ae26fa6c1fa473893e07cdd377222dfc4e358068e433a840a53b4801',
        23896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ff6ff7c5798c5483852db834ba7001d162012c0f7adeb82fec099b0e8c7f2e1',
        23976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd47692e0f61e881a4b169f81aa47ab1be8b9b2ed76641f049f1ff34883ca7f9',
        23984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f403c24936fde1decd888750d48cb5cb77c11df8108283862a46e1e9f545fba7',
        23908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '32072fde081556e5f289fdb6a0796208c6f01da89d475e06779152955dc037aa',
        24016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e981dc488d67bac063e00eaef62da61f02bbfbc48f8a78462a5f5c952ba510ca',
        24052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17c12f67ee702f1b7568555a0afe203a60855c0129fcdfffd0c76f5b96c153cc',
        23968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8a571a87a116b36a22588139057e825f0b03388f0b6209d163fcc75cc9e6adf',
        24036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39e4ca8681722f75913d804f00ea91b85c66b63f71cc0f74ca285946579c91c9',
        23940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifLao',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Lao font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Lao
  static TextTheme notoSerifLaoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifLao(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifLao(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifLao(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifLao(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifLao(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifLao(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifLao(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifLao(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifLao(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifLao(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifLao(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifLao(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextStyle notoSerifMalayalam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eb2d1dec12fba5cc943bcbe07454048966f56258f9d5ca71a445b4bd76ec64b',
        75976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10b729fadd95b2ab0fe5f105377ef5a055adea2eab514ead8a639a54c51379bf',
        76124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a43d1b4a0aed01a66c4d758fc6791ee3e59ddc3141d8774a182cb032675bc789',
        75948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd004b4bac96d43e68f48f23a2f1437d6bb10d5abe1f7a6503043649a1f4bb8e1',
        75940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82816145239b0fd74db5e4454d4bbda4a4815b1f24eb1524f4eb325d06315a14',
        76028,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74f610e645e18a7f77a13be2ca08f1a737533adcff67424c9bd6aa2d6c389d17',
        76068,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3aac6bac76f5cb2eddad7ee19c5256b110464ebd8766161a26aa8a3c241addb9',
        76048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5c8a2118e9e1002c4c85f72c6c9f1a79d41b8b319008bee94d7166c9d176eb1',
        76108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c5e5b85c60fdeadffc6b93de58b00b49e2475fa0d65515c1ed756604aeb91d7',
        76052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMalayalam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Malayalam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Malayalam
  static TextTheme notoSerifMalayalamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifMalayalam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextStyle notoSerifMyanmar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '438218d60c4be2c3a7d215f784fb7cd714e30f5ef18080ed7ab1478cee957c5c',
        185260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e2b5b12588f36092bc455f6e4d546e81faec9d2cca283d27919c666691081a8',
        184624,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c91ef89e0f5d2c61287249037d0d20f00ce8856c5cdaa067812a6e4d45d637d4',
        192084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee046657538eeb83e39f8738059ee2580f8daab6fe65c436b304c79c6a2a6d4d',
        190336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a50f892970c9784f79c1f1e002935141b5d31fd2cea06ce0a9980fa3d3fb6f5',
        183092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fe3a066a6f537609693b6e1fc626190d0844b9ceda1c43a279ef5e8725ef0dc7',
        183192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d97d67e018337923faa5b9cc681cb22a11a72503757587836a6057cdb7532c4',
        192236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891c886c13564ec9edbbc0928d135cb4c8ff239a57131b64a2fe18013a56d369',
        184844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f07b66049bf83967df91919bcfa4ed222319ef1d691a07da30536671c4b6b67e',
        185012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifMyanmar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Myanmar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Myanmar
  static TextTheme notoSerifMyanmarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifMyanmar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Nyiakeng Puachue Hmong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Nyiakeng+Puachue+Hmong
  static TextStyle notoSerifNyiakengPuachueHmong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac0b27fd62e5d34c2ada2794e4f351caabbdebec8c5ddaf75857e91a28ddc1a5',
        14676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b45147ff5faf4470fdb8bc73ec54bbc23bef161babaa148bae5dc4ece38d7f4a',
        14704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c40db54e1f86711c90b97780eb5b60abaab9d212ca02ad3fddbf1845b18ea5eb',
        14680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3770bceb48318ef9cdc4a973ef3f31f36a64b456d40c3caad0a8c65346b17bf5',
        14620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifNyiakengPuachueHmong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Nyiakeng Puachue Hmong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Nyiakeng+Puachue+Hmong
  static TextTheme notoSerifNyiakengPuachueHmongTextTheme(
      [TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifNyiakengPuachueHmong(
          textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextStyle notoSerifSinhala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0dc6ec909aa3473db2e731538cdf0e56a9225f69913ccc786ce060d5c5b3b29f',
        205920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d9147f555d4ffd827cd450c0d11cc51d10796636ee50f6e94b441952d291880',
        206032,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7668328e18a0961199170471ead004bb3b437dd773f4bae2998a4a6a2bf4317a',
        206096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76d7e3621d27a68a2c45be80ce907c2efca36814da1b858a910c5a426a3add5d',
        205940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a72420eab2fc96a9b8a8a22b24356f65f1cf02e7a92212fa589b3f53d1fd6c7f',
        206004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1ac5566f06977aa9fb296e132c946a830bec8abb5ddf5fb42761c99e21e88ac',
        206048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebcd83e27ee5bdfb2306fa5817c234c9357d0907221729dae3a46d82a944c4f8',
        206012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9e31f984ef1408ac378bfc36246e22a6dcacff505f056daba69bd98a88aa254',
        205952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac3b322e37c8259d900668a90081b08892833ebf80f0c4bfef3f59d0eaeaa364',
        205900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifSinhala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Sinhala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Sinhala
  static TextTheme notoSerifSinhalaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifSinhala(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifSinhala(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifSinhala(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifSinhala(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifSinhala(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifSinhala(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifSinhala(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextStyle notoSerifTamil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d53312cd7a190b73232b6be369f748ed09f48a787bac0e2ca7365080f016bb4',
        53172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67f5eeb75fab1159f81bf47ec9ee89c70c83305b3edb18ce1127bdc22603d2f2',
        53316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8eb96fe42c7f587be22c703c779f6ab01e6e76f16e26d3418bb9bd3948e2298',
        53248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa8192c4ee299e9ddac1963a3761802d30e9ba618da16c49f6ebbc6347348fcc',
        53164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6003fc086f5fffdc4e8bf9916088cae1d9793b3f1964042925328bf03c3e6d3',
        53260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '282ff9883670a2bb5af4307d6d6d5d8c46252985937a2dfff82d2445c2486c22',
        53324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '29a24055a4009ce4efe7ca7084382bd4d18c087e01a5d10acdef79a9d84f2a78',
        53184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '111ca9a82f384b0432e188d6df749f5f3446481ebb58bfb68902040644915302',
        53412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00a90df7680ddd861c823edcde344c9757d0ccc20802358d2dc94de0e59b2526',
        53400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fe8339f8911fd3f700cbc227e78290d8ed1077152f5f97b34700e870eb7e1992',
        54132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a2a427e9aa63c921345b6c8c7adb51ce31852de3413c4ae4f428ff2818b86602',
        54268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bc487c5e521c456d73b3df3abafaa75022de4f31f31817a0152580d9d2fc8308',
        54184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47af982ffbe21077550a199f9643d637f09d8275eb3d07bd645de520a044eb7c',
        54104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3af4f6ae5e1d211308280fa0aec4d5b0312f809ac2e61011529786e929258094',
        54280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c9a6fbb81d6240efeca1041e932259b269a855fe9dfc1326ed2a2a5a3aa953c',
        54292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb24661b6251289c660826df7288ead0414563d1cfd5e5512ac29a08669e972e',
        54120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18356b71290b731871043add7b3e49fd0246c197704292e75bd98634b7bb391e',
        54372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1b676cb0644f0d5bd6483bff40d3a33f46a8437c3fa65e866b42e1eafc7d5573',
        54368,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTamil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tamil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tamil
  static TextTheme notoSerifTamilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifTamil(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifTamil(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifTamil(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifTamil(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifTamil(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifTamil(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifTamil(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextStyle notoSerifTangut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '024d9681f91ec8979de208aebd8b3ef0e5c42106cb1281d9fcb3eea68fb487f2',
        3417888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTangut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tangut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tangut
  static TextTheme notoSerifTangutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifTangut(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifTangut(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifTangut(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifTangut(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifTangut(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifTangut(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifTangut(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextStyle notoSerifTelugu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc0660b2aa932f2a08ec4ec7cd4ef56b9c96d889a7f85759f660b12a73fc939a',
        205508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ee4db04cf658382c616b59f45abb8c4ba14202de23b8a79c602bbf97d6cd5b7',
        205816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79477213b7727c6d4dcc2b95fbffe1064f748a866a1213e4343cfe896834c30b',
        206120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8afb3356d900363d2c876817c46933700020811929d23a871c2bf27185a3f824',
        206052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef98aecb9ff0652cb4a6f609eb24d5a708a1fe3d9f633d9fb0c85d99fe3ef51b',
        206288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f99aa93fc0fd70e58e91db43154ebcdf161383dbba419fe5eb4fb109bb1dae11',
        206440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '424950ebefe3320118d0266d6b301e3102b25bb68f5fbf351efccd0ae523a229',
        206304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df22310dca7992125d314f7ac7fd8d279244782c845e4f0348c58a1a31718351',
        206520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57d1ab1fdacef8dd4bdb4bc2a9091455b24e60fc0e867c975277952b89604996',
        206420,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTelugu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Telugu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Telugu
  static TextTheme notoSerifTeluguTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifTelugu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifTelugu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifTelugu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifTelugu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifTelugu(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifTelugu(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifTelugu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextStyle notoSerifThai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd4af8ec423a53afca98706cc1e5b941bfe085c591e538c91679394d8c63fb33',
        27544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '34c60402d04eaae9cc68686ee6bd8e09abe89e19d9d39fbebca56ce1097809ec',
        27660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e6f9addbb205ecab3bb4bf5f0083f9df449c946c4d340ae96f2fc63425d40a00',
        27604,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e910e2c1705f6678e4a22b4aa1a2e4e6227b760acb6cec11f93f150ec86b661',
        27480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48eb8a9af027dd3b6b124e0a1bd9b710e8ce334fbf83f6e22b3b196b01661800',
        27632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b397294852618e986c0304a9d97689508ed7c56e766cf8e9eb78af6163167393',
        27664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f46896affd3b3556c3b3dd3378a0d28ea55dbadf58526e0e358d2073b123342',
        27616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50878b5a1a06d2bf5eb0ac41bdfc5c9f4b96a8434d13cb418a0e9335d02d1e85',
        27736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00173ea9df5aa4425c7f645a36345c3820bed179247fa34c8fa78d748bd15081',
        27664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifThai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Thai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Thai
  static TextTheme notoSerifThaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifThai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifThai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifThai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifThai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifThai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifThai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifThai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifThai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifThai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifThai(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifThai(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifThai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextStyle notoSerifTibetan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e533a97f3a13d5e52affb976aae18698d39c93707a40afdbe32dcd55e5017691',
        683744,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c176bf06c9032941e7d712e0fb08acf1c4e2c93dc3c2f2338a1e23d0d5cb5123',
        685452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6027a9e01914d758fa979e9a78b676be7243f8a9e77b3874135eaf71a0c5c23',
        685356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3a29aeba9b9640fec3aaab9b12332ce47dd5a69a18c51d63ea5a23bb9d3558b',
        684204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebc5ee57beee4f92663f4840e0f340c5d092391331c27a59e77b5e4a77a8ded9',
        686328,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384ebc033f76488e6856090edbc593e07e6608b241ddfb167958c6277090dabf',
        686952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a319ab899462ef72b8e3063e211dc51c04b75ef2fe0f74e03f0f82dbe4b2ed0',
        686964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6417ca9f7ce06fa7027ba33db1abf056af1a7573b7751c68d4a5c0f93b9da2a4',
        688128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86d4ed165c3583dfc926c567623c20220ef58862d2a8bf31a859beb236a506af',
        687764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifTibetan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Tibetan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Tibetan
  static TextTheme notoSerifTibetanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifTibetan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifTibetan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifTibetan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifTibetan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifTibetan(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifTibetan(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifTibetan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextStyle notoSerifYezidi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '08dd4aa699645e4d83fe26ad173e1cae2e743eaa516e3e0331e6b1a4b2a5699f',
        9416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56448bb0c88038daefff186f24be8abe6dd515014486d317ad49fae49d68d90f',
        9452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '868747100e72bb68b540143bc957e30cc2b44d7970e9725841642c0606a1859e',
        9468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c3da2493313f2f46c420b5039fe16d97ace9069ad389bdb6f765708a88dc76e',
        9400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoSerifYezidi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Serif Yezidi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Serif+Yezidi
  static TextTheme notoSerifYezidiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.notoSerifYezidi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.notoSerifYezidi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.notoSerifYezidi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.notoSerifYezidi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoSerifYezidi(textStyle: textTheme.caption),
      button: GoogleFonts.notoSerifYezidi(textStyle: textTheme.button),
      overline: GoogleFonts.notoSerifYezidi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextStyle notoTraditionalNushu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fed09fc212bb50538e272bd8c2c4b76ef015f1bdf06f1570b7f16317810c88db',
        204860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NotoTraditionalNushu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Noto Traditional Nushu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Noto+Traditional+Nushu
  static TextTheme notoTraditionalNushuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.notoTraditionalNushu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.notoTraditionalNushu(textStyle: textTheme.caption),
      button: GoogleFonts.notoTraditionalNushu(textStyle: textTheme.button),
      overline: GoogleFonts.notoTraditionalNushu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextStyle novaCut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '543ab5f33cdf7dc59059344f4a7edc567bd3041f068be2f42c28b47d67dcd3ba',
        52852,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaCut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Cut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Cut
  static TextTheme novaCutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaCut(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaCut(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaCut(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaCut(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaCut(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaCut(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaCut(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaCut(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaCut(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaCut(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaCut(textStyle: textTheme.caption),
      button: GoogleFonts.novaCut(textStyle: textTheme.button),
      overline: GoogleFonts.novaCut(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextStyle novaFlat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '532bddc6fc21c8561e5bcd3b4e0378be147a5f2eaff0e7e9624374551f0c4a2b',
        53976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaFlat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Flat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Flat
  static TextTheme novaFlatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaFlat(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaFlat(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaFlat(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaFlat(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaFlat(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaFlat(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaFlat(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaFlat(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaFlat(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaFlat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaFlat(textStyle: textTheme.caption),
      button: GoogleFonts.novaFlat(textStyle: textTheme.button),
      overline: GoogleFonts.novaFlat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextStyle novaMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8d5ca79e024fdc4cd75176241d8d2b12f485ddee89219d04d8210d4f53e8919',
        156104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Mono
  static TextTheme novaMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaMono(textStyle: textTheme.caption),
      button: GoogleFonts.novaMono(textStyle: textTheme.button),
      overline: GoogleFonts.novaMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextStyle novaOval({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73667c60ecac141cd425d3162ed4340d8b511095054d82311ae58c07da3deba4',
        56484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaOval',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Oval font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Oval
  static TextTheme novaOvalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaOval(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaOval(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaOval(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaOval(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaOval(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaOval(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaOval(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaOval(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaOval(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaOval(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaOval(textStyle: textTheme.caption),
      button: GoogleFonts.novaOval(textStyle: textTheme.button),
      overline: GoogleFonts.novaOval(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextStyle novaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '153aad90d58ece4ea5c7af76531c3fac5f2cfd1c45563654100ee416c5250af1',
        53704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Round
  static TextTheme novaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaRound(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaRound(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaRound(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaRound(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaRound(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaRound(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaRound(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaRound(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaRound(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaRound(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaRound(textStyle: textTheme.caption),
      button: GoogleFonts.novaRound(textStyle: textTheme.button),
      overline: GoogleFonts.novaRound(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextStyle novaScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a1e6015bbc608ce441cf104443e50cf0a417624044e945f9d6f4bd0fbfd3e96',
        66560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Script
  static TextTheme novaScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaScript(textStyle: textTheme.caption),
      button: GoogleFonts.novaScript(textStyle: textTheme.button),
      overline: GoogleFonts.novaScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextStyle novaSlim({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1b56497df8d2fd1b918c16eb9ff0e33f3d57c66a8c3b83e0d23aa0124ae67ca5',
        53708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSlim',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Slim font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Slim
  static TextTheme novaSlimTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaSlim(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaSlim(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaSlim(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaSlim(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaSlim(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaSlim(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaSlim(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaSlim(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaSlim(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaSlim(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaSlim(textStyle: textTheme.caption),
      button: GoogleFonts.novaSlim(textStyle: textTheme.button),
      overline: GoogleFonts.novaSlim(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nova Square font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextStyle novaSquare({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0a393378490eb55bf6732aca6c44a808436009d82e3d1c08bfe96e079af967c',
        49156,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NovaSquare',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nova Square font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nova+Square
  static TextTheme novaSquareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.novaSquare(textStyle: textTheme.headline1),
      headline2: GoogleFonts.novaSquare(textStyle: textTheme.headline2),
      headline3: GoogleFonts.novaSquare(textStyle: textTheme.headline3),
      headline4: GoogleFonts.novaSquare(textStyle: textTheme.headline4),
      headline5: GoogleFonts.novaSquare(textStyle: textTheme.headline5),
      headline6: GoogleFonts.novaSquare(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.novaSquare(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.novaSquare(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.novaSquare(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.novaSquare(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.novaSquare(textStyle: textTheme.caption),
      button: GoogleFonts.novaSquare(textStyle: textTheme.button),
      overline: GoogleFonts.novaSquare(textStyle: textTheme.overline),
    );
  }

  /// Applies the Numans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextStyle numans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77ee8c9adcd406c31bd7c13355d741311f9644b995946fe712a47d15fe49907e',
        39320,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Numans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Numans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Numans
  static TextTheme numansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.numans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.numans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.numans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.numans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.numans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.numans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.numans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.numans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.numans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.numans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.numans(textStyle: textTheme.caption),
      button: GoogleFonts.numans(textStyle: textTheme.button),
      overline: GoogleFonts.numans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nunito font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextStyle nunito({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b0fb0ec88912f1ff7a203e8c74ec905e0f2333d071fcb6aa512434f693ed426',
        84536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e542c8162e83b8b4a246d9752149784b7a910e9079625dfe29dfa33afcdacd7f',
        85516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6d1ca92958aefa0ca13e7461a345871a0c815ceddf57dff8f143c5cefe954ac',
        84496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bac03390f60c9c7b5298d6e7849699b7c337daf835bb93fdff988865b0590410',
        85628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86b77a6cf443c94b0310523682920874155c008981b3bb827cff87b769309527',
        84452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8d666361a790f47bc95f249d2c144967589066f4c39f08d2d6a9afa7bf65570d',
        85404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73212904c911defbb848aea031cf5c7bc5285462708823e12fdb1038f8488039',
        84440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3dd598262205c5e81b5834c0a103e1fd79a067d9fab79eee988633314bd4f91',
        85572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '443daf06190f4c7abd94b7917adb41656e6014e81c12eb036656d63f2b0c08a3',
        84332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '895450a4f7d173b7729b5b09d6b86710da891fa88870c08630abc1c3c186f8ea',
        85344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18790abbb2d00a39aa0f2ddf3af3a275ce1328915d899d44e31fc996c651dc5d',
        84280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '18558eee9acc53f9de8633498a026360f25c82ef2a1e12b2ec7b9e736237be90',
        85276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51945e9a938a0ff892a18d5e623e439bd2c363d1cf2e13251b78f545f1de1d09',
        84400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3cebdbb4bdd22cce2495c53142cf925a2e430788ce890e6692637f5d4bb5af4',
        85376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Nunito',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito
  static TextTheme nunitoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nunito(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nunito(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nunito(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nunito(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nunito(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nunito(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nunito(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nunito(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nunito(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nunito(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nunito(textStyle: textTheme.caption),
      button: GoogleFonts.nunito(textStyle: textTheme.button),
      overline: GoogleFonts.nunito(textStyle: textTheme.overline),
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextStyle nunitoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70c2474c36bf599083e387d302c27f28e5439ccd1d15425222ba9855b31f6e11',
        72256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c77baab8ad61508949ffaf4c0fc2381d7f31ddc2f12f24bd32fda15d0f02970a',
        73272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5af44ca8126245c16771271ce081fc4c5f5801d190ca549007575c51ec1c91da',
        71848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'acfe4eb8ed22882df2b122cfe78b0bd761d3025ed62826d5335856d565237582',
        72916,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b369d5939d0bdfcbe583bb27259c6f6616b01b0948a86dade1dd3ec128c3898',
        71716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '988d1d496236aa9ab3e63745e0d5d82783762ea4d3a21d1940ffa2ff7111b664',
        72700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62d9b0c17a7423bf90868c8da851ce9b40f15422fe0604d85f036703a60f6807',
        71704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79fc6cab022106d0daaf1abc5b854c8a876df8e831445c71bc095e8be2a9bd1a',
        72760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '471cb67b6491aee31f19c1ba10edb324872722bfd6b848706ba31614fe6e1655',
        71640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cf6f24fcf4a51b61957a7b72cb3e4c38fc3a9260e5323ee20a7b24bb2c522255',
        72560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7778244928e2e17a87dc2b7bf3a424a284ce6d4cdd2bd9a3f27fbbb31e7a1dcb',
        71468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c0bbb1deb95af6b335d94ee8dd132d4ba26aaee59cd749c84bf1c7609a164748',
        72264,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76da9a3301eb15a1f2488e15b4385547bcde1c10b13035937296cef72d4deee6',
        71596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1ef6bb692fd273ef402051d20962975c507172596da00ed72faf7907d1e00118',
        72484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'NunitoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Nunito Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Nunito+Sans
  static TextTheme nunitoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.nunitoSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.nunitoSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.nunitoSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.nunitoSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.nunitoSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.nunitoSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.nunitoSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.nunitoSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.nunitoSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.nunitoSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.nunitoSans(textStyle: textTheme.caption),
      button: GoogleFonts.nunitoSans(textStyle: textTheme.button),
      overline: GoogleFonts.nunitoSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextStyle odibeeSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60c83726ff6c690c3a0e1bcdbb9ff0e6b85667b08a959d6fcc925159de6c5122',
        28464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdibeeSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odibee Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odibee+Sans
  static TextTheme odibeeSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.odibeeSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.odibeeSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.odibeeSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.odibeeSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.odibeeSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.odibeeSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.odibeeSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.odibeeSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.odibeeSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.odibeeSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.odibeeSans(textStyle: textTheme.caption),
      button: GoogleFonts.odibeeSans(textStyle: textTheme.button),
      overline: GoogleFonts.odibeeSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextStyle odorMeanChey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50cfa9e8e065a77d82613a14408be3f61743af92c0b938b32e0fba703c21f027',
        294900,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OdorMeanChey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Odor Mean Chey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Odor+Mean+Chey
  static TextTheme odorMeanCheyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.odorMeanChey(textStyle: textTheme.headline1),
      headline2: GoogleFonts.odorMeanChey(textStyle: textTheme.headline2),
      headline3: GoogleFonts.odorMeanChey(textStyle: textTheme.headline3),
      headline4: GoogleFonts.odorMeanChey(textStyle: textTheme.headline4),
      headline5: GoogleFonts.odorMeanChey(textStyle: textTheme.headline5),
      headline6: GoogleFonts.odorMeanChey(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.odorMeanChey(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.odorMeanChey(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.odorMeanChey(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.odorMeanChey(textStyle: textTheme.caption),
      button: GoogleFonts.odorMeanChey(textStyle: textTheme.button),
      overline: GoogleFonts.odorMeanChey(textStyle: textTheme.overline),
    );
  }

  /// Applies the Offside font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextStyle offside({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c98690ef66d169347f8cc0792c75158c05d2b92130f122f890ac9cbd756c13e7',
        30792,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Offside',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Offside font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Offside
  static TextTheme offsideTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.offside(textStyle: textTheme.headline1),
      headline2: GoogleFonts.offside(textStyle: textTheme.headline2),
      headline3: GoogleFonts.offside(textStyle: textTheme.headline3),
      headline4: GoogleFonts.offside(textStyle: textTheme.headline4),
      headline5: GoogleFonts.offside(textStyle: textTheme.headline5),
      headline6: GoogleFonts.offside(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.offside(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.offside(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.offside(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.offside(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.offside(textStyle: textTheme.caption),
      button: GoogleFonts.offside(textStyle: textTheme.button),
      overline: GoogleFonts.offside(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextStyle oi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd90e437ee47d453babd18de211992d56c74cc1b6dde86a93d97c2983f2a1c5fc',
        327128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oi
  static TextTheme oiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oi(textStyle: textTheme.caption),
      button: GoogleFonts.oi(textStyle: textTheme.button),
      overline: GoogleFonts.oi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextStyle oldStandardTt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0fc6378f19416dfb6ed096305aeb6abee213fa26cbab142c18d51d02e9eeb452',
        149944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9510de290956127c311e2965471c31d5c34905c6172d5b9af444bf336c9d956d',
        164788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '235d7e3e4dfc767cd24f3c17574e5fffc001f69a5af3942f47726c123762776a',
        149128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OldStandardTT',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Old Standard TT font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Old+Standard+TT
  static TextTheme oldStandardTtTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oldStandardTt(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oldStandardTt(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oldStandardTt(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oldStandardTt(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oldStandardTt(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oldStandardTt(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oldStandardTt(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oldStandardTt(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oldStandardTt(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oldStandardTt(textStyle: textTheme.caption),
      button: GoogleFonts.oldStandardTt(textStyle: textTheme.button),
      overline: GoogleFonts.oldStandardTt(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextStyle oldenburg({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8c67d292b49c2c0beb3655aa66d9ec6090cc7c03dcfd25c4dbc5518bc9c2ba4',
        46200,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oldenburg',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oldenburg font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oldenburg
  static TextTheme oldenburgTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oldenburg(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oldenburg(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oldenburg(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oldenburg(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oldenburg(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oldenburg(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oldenburg(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oldenburg(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oldenburg(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oldenburg(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oldenburg(textStyle: textTheme.caption),
      button: GoogleFonts.oldenburg(textStyle: textTheme.button),
      overline: GoogleFonts.oldenburg(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextStyle oleoScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e45b8be9acc97bbb496e30675fa48edc79f4cfe2e8c66346914c8264acbe18b3',
        34932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5742e5a26ecfd414f7f87868d0fb5fefead55b1227f381bfefe5243750279804',
        34580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script
  static TextTheme oleoScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oleoScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oleoScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oleoScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oleoScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oleoScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oleoScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oleoScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oleoScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oleoScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oleoScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oleoScript(textStyle: textTheme.caption),
      button: GoogleFonts.oleoScript(textStyle: textTheme.button),
      overline: GoogleFonts.oleoScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextStyle oleoScriptSwashCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9375d47eb832ce8884342c974dccc6d94746d0e57dd79232ee81a5ab8c9d36a5',
        40040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fefbbb389f88ec3c2fdca446b6cd4543a073c75e48b59a1ca1c1fc03ef8756b1',
        39736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OleoScriptSwashCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oleo Script Swash Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oleo+Script+Swash+Caps
  static TextTheme oleoScriptSwashCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.caption),
      button: GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.button),
      overline: GoogleFonts.oleoScriptSwashCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the Open Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextStyle openSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eacd6dddc04472f7143fcfe208f2e1bcd372f6baa8574529deaa2d5961e4d990',
        187204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '49c8ebe40f102f7ad2dd433e64a028047fc85d52d305404b99d691e7c6de6c84',
        190952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b37b8abba9dcb01b9474da19527db14307fd9211e34e4d8a3d77dc9a19f2753',
        186620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4d84c30311be3a86ed8993c8180488f191020fae18ee4ccbd0208384a37e5fcc',
        190900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bfdb79179948b408b6573789e358547c8b4b589b73a7eaf8781b17c452785032',
        187252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ee3556d7dd065b889a31834e7e604d8501cc86bf4d360e5e2d0291abb30c8a86',
        190272,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39b0f5fd8bd8495e7ba04ea5bd88e0fa7ed612a5c54b6f83bc77a7715c517d88',
        187976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6ec2660f3bd03b0f3f097fbc1c23f351f7582dc5c8859eaf84be1fd2a074089a',
        190768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b5975e42b3d385f32384d58429336513a51ab0845da7723ee788a0046c844a9',
        187396,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '22818920197a7a95e75e2f91378fcc7e5f802f6067e933050b85732b71e3755e',
        191556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans
  static TextTheme openSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.openSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.openSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.openSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.openSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.openSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.openSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.openSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.openSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.openSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.openSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.openSans(textStyle: textTheme.caption),
      button: GoogleFonts.openSans(textStyle: textTheme.button),
      overline: GoogleFonts.openSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextStyle openSansCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04a7cf776cec6c53387f15bd8878b365d22ea65c97dfd605c269b3774e4e7ed2',
        186164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c5330d8a82169e940228bf53acb980b56a23fb1f640d6bf8b7e18a8681d67eda',
        189912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b8228ed1f9d087708d275dcc32be58269ffaf9cd7f8028db765305347303f88',
        229856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OpenSansCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Open Sans Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Open+Sans+Condensed
  static TextTheme openSansCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.openSansCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.openSansCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.openSansCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.openSansCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.openSansCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.openSansCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.openSansCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.openSansCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.openSansCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.openSansCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.openSansCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.openSansCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.openSansCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextStyle oranienbaum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce3ec0eb54fc0cdef2aae64151cb3dc95720f5347739c1c1d19e6d2bb3629d6e',
        88736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oranienbaum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oranienbaum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oranienbaum
  static TextTheme oranienbaumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oranienbaum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oranienbaum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oranienbaum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oranienbaum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oranienbaum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oranienbaum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oranienbaum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oranienbaum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oranienbaum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oranienbaum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oranienbaum(textStyle: textTheme.caption),
      button: GoogleFonts.oranienbaum(textStyle: textTheme.button),
      overline: GoogleFonts.oranienbaum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Orbitron font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextStyle orbitron({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '92d53d02a61d246157ee4ac3e2668206b546a454087e25530c48918b92bfce32',
        39048,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c174158cbedc3b8323f310b03842e82bc72c5fd2d5327ee80671506188cc6cc',
        39312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'baf59aa462bae9b1e738270aa2b901810db31788e78774046146f315809bc1a6',
        38148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3853d940cd873a88dc5e24918311876228ef02a6216677db898c41efccc598f0',
        37192,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orbitron',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orbitron font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orbitron
  static TextTheme orbitronTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.orbitron(textStyle: textTheme.headline1),
      headline2: GoogleFonts.orbitron(textStyle: textTheme.headline2),
      headline3: GoogleFonts.orbitron(textStyle: textTheme.headline3),
      headline4: GoogleFonts.orbitron(textStyle: textTheme.headline4),
      headline5: GoogleFonts.orbitron(textStyle: textTheme.headline5),
      headline6: GoogleFonts.orbitron(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.orbitron(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.orbitron(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.orbitron(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.orbitron(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.orbitron(textStyle: textTheme.caption),
      button: GoogleFonts.orbitron(textStyle: textTheme.button),
      overline: GoogleFonts.orbitron(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oregano font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextStyle oregano({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e94ad5230aca64ae37dfe726233d5567a0743967af08b68b44f81d2b3da30d36',
        79904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'afbb45b2855b15596c6f30346e28c0c3cfb2145954f5abfaf9bf3b9f0b8e2f1d',
        86584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oregano',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oregano font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oregano
  static TextTheme oreganoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oregano(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oregano(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oregano(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oregano(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oregano(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oregano(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oregano(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oregano(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oregano(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oregano(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oregano(textStyle: textTheme.caption),
      button: GoogleFonts.oregano(textStyle: textTheme.button),
      overline: GoogleFonts.oregano(textStyle: textTheme.overline),
    );
  }

  /// Applies the Orienta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextStyle orienta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d087fac0635ed6186f7b55f474c1522ed229582419b850a3f77f333d9b0a355',
        25648,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Orienta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Orienta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Orienta
  static TextTheme orientaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.orienta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.orienta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.orienta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.orienta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.orienta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.orienta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.orienta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.orienta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.orienta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.orienta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.orienta(textStyle: textTheme.caption),
      button: GoogleFonts.orienta(textStyle: textTheme.button),
      overline: GoogleFonts.orienta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextStyle originalSurfer({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '433a93a4934c3d3f80f80041f426946c8347e4e210da65e9a8adff9d70180e23',
        57376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OriginalSurfer',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Original Surfer font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Original+Surfer
  static TextTheme originalSurferTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.originalSurfer(textStyle: textTheme.headline1),
      headline2: GoogleFonts.originalSurfer(textStyle: textTheme.headline2),
      headline3: GoogleFonts.originalSurfer(textStyle: textTheme.headline3),
      headline4: GoogleFonts.originalSurfer(textStyle: textTheme.headline4),
      headline5: GoogleFonts.originalSurfer(textStyle: textTheme.headline5),
      headline6: GoogleFonts.originalSurfer(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.originalSurfer(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.originalSurfer(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.originalSurfer(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.originalSurfer(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.originalSurfer(textStyle: textTheme.caption),
      button: GoogleFonts.originalSurfer(textStyle: textTheme.button),
      overline: GoogleFonts.originalSurfer(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oswald font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextStyle oswald({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73cf9867fcced84ac0fd26238bf74e4e1f69dcbefc5ff327c2a69f6c5c107e5d',
        65000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f10d40bae3fb58ed7a554af7cb46beca6d4f2866de12223b8e349f1b30c76968',
        64960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9dc4929f8d8935621ca4717817eb3167fc881d03d496c6dca51ff292f730c873',
        64572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f59f85cc613954e6acc66c7f89abe9b46c1add1b2236d5bee71f4a71a7769402',
        65536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0d6ab388b1c3537b78f8976a204a6dc2c5d62b73ae37506d1c93575e52420f2',
        65388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a11b684909ba0ee2b2c493e89626c6fa9df02e25dec537e42127fa0b1a4e5e92',
        65232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oswald',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oswald font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oswald
  static TextTheme oswaldTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oswald(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oswald(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oswald(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oswald(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oswald(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oswald(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oswald(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oswald(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oswald(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oswald(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oswald(textStyle: textTheme.caption),
      button: GoogleFonts.oswald(textStyle: textTheme.button),
      overline: GoogleFonts.oswald(textStyle: textTheme.overline),
    );
  }

  /// Applies the Otomanopee One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Otomanopee+One
  static TextStyle otomanopeeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ed7e0fd88d9dbd60e3ac9d30b300c53274c3cc4f70cb4f3d5175bb78656e867',
        275784,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OtomanopeeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Otomanopee One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Otomanopee+One
  static TextTheme otomanopeeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.otomanopeeOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.otomanopeeOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.otomanopeeOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.otomanopeeOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.otomanopeeOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.otomanopeeOne(textStyle: textTheme.caption),
      button: GoogleFonts.otomanopeeOne(textStyle: textTheme.button),
      overline: GoogleFonts.otomanopeeOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Outfit font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextStyle outfit({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ff14e22f92dc8400ee0fdd9ad2d573d451951cbe9a482a992cf65bf430a2819',
        32276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af7fcf6ecced1d656198ece75e77f5b44d41037d47aad1fbad86a4097a28db1f',
        32404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e4a9ad67eba49c2b1aeef5d0aa90f9374190d808ab368513a2bbda979a188ee0',
        32380,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88e3855b7d2d4e0d2de6a2d8baac6093ed132440024fdaf82143a043017d98ae',
        32348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b658eccd82baf096a79299def5aeae9e895a3585c3377f9c879714c19a41c041',
        32324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6743f073e6f56a342bccc9d1b647830308667dcc7cd8956d074eb8af2471e324',
        32464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9593f79efd44ad41441ac7b7993c9b4e55e86d7771b1e334ac3edb5e69b6418b',
        32352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fa3612f94474c327515f6a7b632d2c08d77d47d407de2bbbf9f54a82b184042',
        32348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23d5f7eec97404a4b365df4f215e30ea8f0b6ab674b474e2db20aa977036b3fc',
        32412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Outfit',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Outfit font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Outfit
  static TextTheme outfitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.outfit(textStyle: textTheme.headline1),
      headline2: GoogleFonts.outfit(textStyle: textTheme.headline2),
      headline3: GoogleFonts.outfit(textStyle: textTheme.headline3),
      headline4: GoogleFonts.outfit(textStyle: textTheme.headline4),
      headline5: GoogleFonts.outfit(textStyle: textTheme.headline5),
      headline6: GoogleFonts.outfit(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.outfit(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.outfit(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.outfit(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.outfit(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.outfit(textStyle: textTheme.caption),
      button: GoogleFonts.outfit(textStyle: textTheme.button),
      overline: GoogleFonts.outfit(textStyle: textTheme.overline),
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextStyle overTheRainbow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bbe72603fa8df4b1b63a308cd07fb091054678395faeddc3fc2388f614bbd29',
        45732,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OvertheRainbow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Over the Rainbow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Over+the+Rainbow
  static TextTheme overTheRainbowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.overTheRainbow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.overTheRainbow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.overTheRainbow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.overTheRainbow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.overTheRainbow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.overTheRainbow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.overTheRainbow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.overTheRainbow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.overTheRainbow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.overTheRainbow(textStyle: textTheme.caption),
      button: GoogleFonts.overTheRainbow(textStyle: textTheme.button),
      overline: GoogleFonts.overTheRainbow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Overlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextStyle overlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4eb336168d4c74d8a4795ef601c2c88a8c6e58cc2029bb029abde86dba8de8d',
        49100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '862e0a21cd810bed2e0c1809a8799cab17a8a9c3a1b24486e797286d12bd47e0',
        43720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c181ce17a8b786d224bdfb18e0b0fd345243fcdf4fcdd4a301a6b68c6898e1bc',
        41936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ac1a5a813f6667fe8e4a60d3450a57e9e8dcbb9beaa2619a979bafcf0261698f',
        45416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f8bded0796145dd91249b13aecd8e185ea1d9222a3846c3873ad486679f5524',
        42788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd19e6be709bf9ee365d90ee333b1766e7714578cd954bb3b5dcb1fae2e2022a',
        43736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock
  static TextTheme overlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.overlock(textStyle: textTheme.headline1),
      headline2: GoogleFonts.overlock(textStyle: textTheme.headline2),
      headline3: GoogleFonts.overlock(textStyle: textTheme.headline3),
      headline4: GoogleFonts.overlock(textStyle: textTheme.headline4),
      headline5: GoogleFonts.overlock(textStyle: textTheme.headline5),
      headline6: GoogleFonts.overlock(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.overlock(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.overlock(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.overlock(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.overlock(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.overlock(textStyle: textTheme.caption),
      button: GoogleFonts.overlock(textStyle: textTheme.button),
      overline: GoogleFonts.overlock(textStyle: textTheme.overline),
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextStyle overlockSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d11bc0fe1ba6d164281473c9b2a0321ffa27975909e1a6ce39c31f5d16b2372',
        36592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverlockSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overlock SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overlock+SC
  static TextTheme overlockScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.overlockSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.overlockSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.overlockSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.overlockSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.overlockSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.overlockSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.overlockSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.overlockSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.overlockSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.overlockSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.overlockSc(textStyle: textTheme.caption),
      button: GoogleFonts.overlockSc(textStyle: textTheme.button),
      overline: GoogleFonts.overlockSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Overpass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextStyle overpass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5a2c38a969c611bc238e0242455585ccfc48cf11fc9cd85063641ab4b2d7bb9',
        82300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ecef7f4baf8bb9d34f1619e0a9ee510cf744ff855c5d5b856e508d1b2af0b81',
        87368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54947a66287be19cdb01fbceed60457202e90bdf36580195800894eb70d641ff',
        83236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4ddb32270da20661fabc6aa1e944e280881d9603059b11da50ca0b655b159bfe',
        87320,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba40f1801228e6e65c3d4a8e7ba94d86c2855de57d4193bf93aaaf65d91138bb',
        82468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2c69aa4282875efbbd517f89eb8a9a2ff7ff6523948bec58365e27a992e2474',
        87092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5d3ea903c065a7e458256aedede6ee1b27ab4b67c6af46c31eee97fcf66108e',
        82184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '89e039660730531554ae5f96a9ea3faae03107ccb63ca23fff3acebd28ca7dce',
        86832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c474f4f6c3a2d86f49aadc0cd3d5bfb14968ecdc2509b30baad6c0ce881bddb6',
        78972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8a01f2c08d4b650cb7c597e094ff0db9cb4ae6b1bfc79ad9af8a20ba275a567d',
        85736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43a5239e32a28e8d1efbf2a9b8922042b98e6310bb1ebf89af5a86bdfb35d997',
        80524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '06068d83442ba5f4324460ab2602523f4b89643f8afa4440fa2051e47a16e95f',
        85472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '894fdd41407a09bc7c4336dc3462d749cd7381ab80e320fa78a0475311e9ac69',
        78216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aa9e63cded98890be1bc09083dcb64378b7f35f4af84f43e9635e50d404cdb53',
        85280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '59f5ad4bb5b4469f7c3079f4bd6b3996a5c81d01f9f4311c74d68e9411f66c51',
        80720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a9e3b080c9a28d813d94e69fea3eb65560b09cefb4e4653b4baa47a7d95be402',
        85204,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Overpass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass
  static TextTheme overpassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.overpass(textStyle: textTheme.headline1),
      headline2: GoogleFonts.overpass(textStyle: textTheme.headline2),
      headline3: GoogleFonts.overpass(textStyle: textTheme.headline3),
      headline4: GoogleFonts.overpass(textStyle: textTheme.headline4),
      headline5: GoogleFonts.overpass(textStyle: textTheme.headline5),
      headline6: GoogleFonts.overpass(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.overpass(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.overpass(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.overpass(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.overpass(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.overpass(textStyle: textTheme.caption),
      button: GoogleFonts.overpass(textStyle: textTheme.button),
      overline: GoogleFonts.overpass(textStyle: textTheme.overline),
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextStyle overpassMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a46cc06eb5b5001bdf1404b0e24fb82ee14159aca202af7094984ff4d48896dd',
        118416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3a8c0a4613ebae3d21471198e12e57aa70e9f051f7592e3942953e2c36bd190',
        118208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6b8f8180ef4c0f650402aa53effdd61f2d9771c4973d07f722d14ebd60e59da',
        117696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd8f645bd2f708d8127ab1d3078ae22195543fbe52abee9362a8ed5a980cb1648',
        117800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OverpassMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Overpass Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Overpass+Mono
  static TextTheme overpassMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.overpassMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.overpassMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.overpassMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.overpassMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.overpassMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.overpassMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.overpassMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.overpassMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.overpassMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.overpassMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.overpassMono(textStyle: textTheme.caption),
      button: GoogleFonts.overpassMono(textStyle: textTheme.button),
      overline: GoogleFonts.overpassMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ovo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextStyle ovo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50e634088f389dcf2f463aa182c8ccb9d19042decdd216fed34fa70b5dfb49fd',
        50840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ovo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ovo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ovo
  static TextTheme ovoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ovo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ovo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ovo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ovo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ovo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ovo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ovo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ovo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ovo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ovo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ovo(textStyle: textTheme.caption),
      button: GoogleFonts.ovo(textStyle: textTheme.button),
      overline: GoogleFonts.ovo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oxanium font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextStyle oxanium({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89daee61e7358c34dbacac977e9f2c92221971ab81d9345af9d294687a538ace',
        24156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fef895a1cf0e2e0ea02299a10df50702cff292d28fd9fba618f118b9d7f1cc70',
        24092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '09fedc2fbf2c81af9711328c3b1fe1bf632512d8714d254cafe53fd7c9e23ebe',
        24072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f15be0f59920c03bbe89ad1bb66c9df4b660acb2c329f30e1d75e846e10e30d2',
        24076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3a19352e2ab05f91352b26d6eeef4d8b57575350956c0a8d99d7824bfea43c6',
        24076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02e5724444f1a7053fc3043649b8c5b76a2f698757d9c678cc2e80dbaa8a221a',
        24044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d805023212166271a84af73c8e13073ce5a29746483c5fa3ae9941eaa7577c8',
        24036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxanium',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxanium font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxanium
  static TextTheme oxaniumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oxanium(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oxanium(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oxanium(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oxanium(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oxanium(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oxanium(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oxanium(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oxanium(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oxanium(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oxanium(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oxanium(textStyle: textTheme.caption),
      button: GoogleFonts.oxanium(textStyle: textTheme.button),
      overline: GoogleFonts.oxanium(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oxygen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextStyle oxygen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7e1244b4a11ee9f21f86e2f25d7dd963f8e8f93d7b8e411620c959f4cf66fa2',
        27560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f6497c6c0bb7a884669e84095f3e56550bd7c0ccba79656b0af00d8b3200d790',
        29168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4bccf594c248e25c3da7e37b9dc5e9cddfcf3bc405504b7d15f4523358d81f76',
        30052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Oxygen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen
  static TextTheme oxygenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oxygen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oxygen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oxygen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oxygen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oxygen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oxygen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oxygen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oxygen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oxygen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oxygen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oxygen(textStyle: textTheme.caption),
      button: GoogleFonts.oxygen(textStyle: textTheme.button),
      overline: GoogleFonts.oxygen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextStyle oxygenMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a8f20c04bb875a24603d2f13aa59fa112316075b0d8531e06a1212759450a20',
        28468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'OxygenMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Oxygen Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Oxygen+Mono
  static TextTheme oxygenMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.oxygenMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.oxygenMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.oxygenMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.oxygenMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.oxygenMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.oxygenMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.oxygenMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.oxygenMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.oxygenMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.oxygenMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.oxygenMono(textStyle: textTheme.caption),
      button: GoogleFonts.oxygenMono(textStyle: textTheme.button),
      overline: GoogleFonts.oxygenMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextStyle ptMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76d11b0f53258fdd742b27fc7e194046840c2fc0cafe1246aa0c27718a5f031a',
        84568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Mono
  static TextTheme ptMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptMono(textStyle: textTheme.caption),
      button: GoogleFonts.ptMono(textStyle: textTheme.button),
      overline: GoogleFonts.ptMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextStyle ptSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a587dc4260abac4008021f8b9302115ee0f9616aee70d95d4d49f447f4df0f9',
        272864,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6de2d3f34e12548006ef800234119a1b1d90bba33fb1d33f5bf41577bc954338',
        276952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a88a8de5aeccdc3e4febba14c9ade00ec49e16f2718050be6bc3f4f37e8ff0b',
        291536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a37694659d53ae08c11bf532f8871e90b911f61967c3e23f456e59e7c55b33e6',
        270132,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans
  static TextTheme ptSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptSans(textStyle: textTheme.caption),
      button: GoogleFonts.ptSans(textStyle: textTheme.button),
      overline: GoogleFonts.ptSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextStyle ptSansCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1245ca967adbb79f480b169e92cf44a71ae4cb8571b9847ceb3de43e7235361c',
        260480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f47afcc4feb502bfa6ca192ad230e0d743be26deb97832412722544b223ed461',
        291560,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Caption
  static TextTheme ptSansCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptSansCaption(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptSansCaption(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptSansCaption(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptSansCaption(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptSansCaption(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptSansCaption(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptSansCaption(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptSansCaption(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptSansCaption(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptSansCaption(textStyle: textTheme.caption),
      button: GoogleFonts.ptSansCaption(textStyle: textTheme.button),
      overline: GoogleFonts.ptSansCaption(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextStyle ptSansNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d184233e6f48f81c6e510a1067d4f632052f899bf2f2bef4a69ab709bfe45a5',
        268240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a16a62299cf1143c59a4ec676c956c6831a90698fd830de4c85632a83c56d52c',
        278220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSansNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Sans Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Sans+Narrow
  static TextTheme ptSansNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptSansNarrow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptSansNarrow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptSansNarrow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptSansNarrow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptSansNarrow(textStyle: textTheme.caption),
      button: GoogleFonts.ptSansNarrow(textStyle: textTheme.button),
      overline: GoogleFonts.ptSansNarrow(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Serif font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextStyle ptSerif({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77cd8f3a9ae2f3546135a48656a468afd4312d1ebf5720bb967ebe3a43291fa8',
        260788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c623ffd63812daa5b0776e75e7a99de63340eb1fa6d3d5692c27a5fe30e21c22',
        263700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8945a761fd4a69fd6eb9b058e025925dd964c9b2cf5cc02b14290746f6aaf356',
        261928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ab351a82c9e93d363fcb9525df6f6d111fc14e15c3cf0d5e125e77ef0ddf5fd0',
        265096,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerif',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif
  static TextTheme ptSerifTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptSerif(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptSerif(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptSerif(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptSerif(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptSerif(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptSerif(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptSerif(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptSerif(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptSerif(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptSerif(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptSerif(textStyle: textTheme.caption),
      button: GoogleFonts.ptSerif(textStyle: textTheme.button),
      overline: GoogleFonts.ptSerif(textStyle: textTheme.overline),
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextStyle ptSerifCaption({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa2de071d21315555c75861f438b09fdfc9205ed9845c49d401903c6db245582',
        255368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d238ee69704d0810493bff87f27c3236c6c9b81abda84fba39091e70f47eb26',
        259580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PTSerifCaption',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the PT Serif Caption font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/PT+Serif+Caption
  static TextTheme ptSerifCaptionTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ptSerifCaption(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ptSerifCaption(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ptSerifCaption(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ptSerifCaption(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ptSerifCaption(textStyle: textTheme.caption),
      button: GoogleFonts.ptSerifCaption(textStyle: textTheme.button),
      overline: GoogleFonts.ptSerifCaption(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pacifico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextStyle pacifico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '03452c0b90c71f4088222325620904576503c4d5a3a6c563ee22d1e896788d3e',
        143508,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pacifico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pacifico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pacifico
  static TextTheme pacificoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pacifico(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pacifico(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pacifico(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pacifico(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pacifico(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pacifico(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pacifico(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pacifico(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pacifico(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pacifico(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pacifico(textStyle: textTheme.caption),
      button: GoogleFonts.pacifico(textStyle: textTheme.button),
      overline: GoogleFonts.pacifico(textStyle: textTheme.overline),
    );
  }

  /// Applies the Padauk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextStyle padauk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5326568d3a2c4690b03acaafdf444cd2e52712e7a16d96a3639b40f17fcfe8b0',
        408956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3054832e288beedeba883a9477e908a910c186e002a455277fb4c54e37518f6',
        416804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Padauk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Padauk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Padauk
  static TextTheme padaukTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.padauk(textStyle: textTheme.headline1),
      headline2: GoogleFonts.padauk(textStyle: textTheme.headline2),
      headline3: GoogleFonts.padauk(textStyle: textTheme.headline3),
      headline4: GoogleFonts.padauk(textStyle: textTheme.headline4),
      headline5: GoogleFonts.padauk(textStyle: textTheme.headline5),
      headline6: GoogleFonts.padauk(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.padauk(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.padauk(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.padauk(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.padauk(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.padauk(textStyle: textTheme.caption),
      button: GoogleFonts.padauk(textStyle: textTheme.button),
      overline: GoogleFonts.padauk(textStyle: textTheme.overline),
    );
  }

  /// Applies the Palanquin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextStyle palanquin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2f2587b9d7e9715b99bbe03f6115a2dcf52f8cb016c7e31f06e26561f3f13bb',
        273560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3ae6db39173fbbc643b90005a108980c36ea6111e91516ed3e754cd247f965d',
        275156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94dbed29146fdc39c8979eff474e5210368a5276c9c7b55706418b745036a240',
        276496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3fd79ddbba4270727bcb4649e1015a2726418eef7abd8cb984139bca11f5df5',
        284496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c027a6ee638527b57eed686cb93382141e9da3ad55c331614b735f4b26dfe2f9',
        283708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e342fbd31bc4d7a837724b2e51ac0c6e4057d44809e8e984d2c72c0b0a3dc48a',
        283824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1812757fe429bab601701c1010e05f49540ea857170789a8ee91e0fe1d5e9d2',
        272160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Palanquin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin
  static TextTheme palanquinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.palanquin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.palanquin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.palanquin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.palanquin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.palanquin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.palanquin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.palanquin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.palanquin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.palanquin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.palanquin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.palanquin(textStyle: textTheme.caption),
      button: GoogleFonts.palanquin(textStyle: textTheme.button),
      overline: GoogleFonts.palanquin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextStyle palanquinDark({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a564d738b34f664cbdc4ec631b53907f90205b8dd0e177be158ebc30b67182a',
        265580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2741c907db3e5853a79489713ec11a8669cff876897076b98d70d302086296c9',
        273044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee40721d326a2509669e0c3f41d846f48e353b774b15fb78426c4e812aadf4e9',
        274468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f46195270b56b1dd32d5f48a0bb546a30e424b9d30ff4daabe395c2257a157e',
        265000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PalanquinDark',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palanquin Dark font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palanquin+Dark
  static TextTheme palanquinDarkTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.palanquinDark(textStyle: textTheme.headline1),
      headline2: GoogleFonts.palanquinDark(textStyle: textTheme.headline2),
      headline3: GoogleFonts.palanquinDark(textStyle: textTheme.headline3),
      headline4: GoogleFonts.palanquinDark(textStyle: textTheme.headline4),
      headline5: GoogleFonts.palanquinDark(textStyle: textTheme.headline5),
      headline6: GoogleFonts.palanquinDark(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.palanquinDark(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.palanquinDark(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.palanquinDark(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.palanquinDark(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.palanquinDark(textStyle: textTheme.caption),
      button: GoogleFonts.palanquinDark(textStyle: textTheme.button),
      overline: GoogleFonts.palanquinDark(textStyle: textTheme.overline),
    );
  }

  /// Applies the Palette Mosaic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palette+Mosaic
  static TextStyle paletteMosaic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4b5cc4995cc16a21585aef861a2538c594e799c7961da586c46ccf494129697',
        141936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PaletteMosaic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Palette Mosaic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Palette+Mosaic
  static TextTheme paletteMosaicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.paletteMosaic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.paletteMosaic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.paletteMosaic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.paletteMosaic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.paletteMosaic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.paletteMosaic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.paletteMosaic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.paletteMosaic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.paletteMosaic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.paletteMosaic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.paletteMosaic(textStyle: textTheme.caption),
      button: GoogleFonts.paletteMosaic(textStyle: textTheme.button),
      overline: GoogleFonts.paletteMosaic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pangolin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextStyle pangolin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9da3dcb4b5f7ae5a76923e77c68da25e9539a3dcdcad7fd654387974f9ff89f4',
        238600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pangolin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pangolin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pangolin
  static TextTheme pangolinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pangolin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pangolin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pangolin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pangolin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pangolin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pangolin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pangolin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pangolin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pangolin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pangolin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pangolin(textStyle: textTheme.caption),
      button: GoogleFonts.pangolin(textStyle: textTheme.button),
      overline: GoogleFonts.pangolin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Paprika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextStyle paprika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3611025b91e6a3a1daf2e78541775555d832ba6b4f010ae8b4553d5d5be2bac6',
        42292,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Paprika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paprika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paprika
  static TextTheme paprikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.paprika(textStyle: textTheme.headline1),
      headline2: GoogleFonts.paprika(textStyle: textTheme.headline2),
      headline3: GoogleFonts.paprika(textStyle: textTheme.headline3),
      headline4: GoogleFonts.paprika(textStyle: textTheme.headline4),
      headline5: GoogleFonts.paprika(textStyle: textTheme.headline5),
      headline6: GoogleFonts.paprika(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.paprika(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.paprika(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.paprika(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.paprika(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.paprika(textStyle: textTheme.caption),
      button: GoogleFonts.paprika(textStyle: textTheme.button),
      overline: GoogleFonts.paprika(textStyle: textTheme.overline),
    );
  }

  /// Applies the Parisienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextStyle parisienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6fdb3a0ca128ad6afbc6c8892193cc2a122e6934dc75c4644f8819ca09b7042',
        60832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Parisienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Parisienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Parisienne
  static TextTheme parisienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.parisienne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.parisienne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.parisienne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.parisienne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.parisienne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.parisienne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.parisienne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.parisienne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.parisienne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.parisienne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.parisienne(textStyle: textTheme.caption),
      button: GoogleFonts.parisienne(textStyle: textTheme.button),
      overline: GoogleFonts.parisienne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Passero One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextStyle passeroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b2d19067da678681f5952e5350d1924a2ac5a8a03eda9d27347e43a3ce35f8ad',
        33600,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PasseroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passero One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passero+One
  static TextTheme passeroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.passeroOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.passeroOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.passeroOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.passeroOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.passeroOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.passeroOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.passeroOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.passeroOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.passeroOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.passeroOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.passeroOne(textStyle: textTheme.caption),
      button: GoogleFonts.passeroOne(textStyle: textTheme.button),
      overline: GoogleFonts.passeroOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Passion One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextStyle passionOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f9e3f81509fa1087e3a4636d898f6ce048f4953bf6c06a6d79d9cb78115c03d',
        24640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '567181e9763fb8cb33a51945378a8a2756c423cb05608d37fdc2e0d8ff170fa1',
        24420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '351dd38c35e67c20b4ae84db1964391fd924cd245611616eacaf6b9e63113442',
        23980,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passion One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passion+One
  static TextTheme passionOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.passionOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.passionOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.passionOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.passionOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.passionOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.passionOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.passionOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.passionOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.passionOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.passionOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.passionOne(textStyle: textTheme.caption),
      button: GoogleFonts.passionOne(textStyle: textTheme.button),
      overline: GoogleFonts.passionOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextStyle passionsConflict({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14d1d89ec564c9165e51cb0325c0ec56157d53ba4393e12c44ccd3d443cdee68',
        97492,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PassionsConflict',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Passions Conflict font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Passions+Conflict
  static TextTheme passionsConflictTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.passionsConflict(textStyle: textTheme.headline1),
      headline2: GoogleFonts.passionsConflict(textStyle: textTheme.headline2),
      headline3: GoogleFonts.passionsConflict(textStyle: textTheme.headline3),
      headline4: GoogleFonts.passionsConflict(textStyle: textTheme.headline4),
      headline5: GoogleFonts.passionsConflict(textStyle: textTheme.headline5),
      headline6: GoogleFonts.passionsConflict(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.passionsConflict(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.passionsConflict(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.passionsConflict(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.passionsConflict(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.passionsConflict(textStyle: textTheme.caption),
      button: GoogleFonts.passionsConflict(textStyle: textTheme.button),
      overline: GoogleFonts.passionsConflict(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextStyle pathwayGothicOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39c8099ef615de3477faab7247ffd06193e4c4244406f6a3d888c1e1763a01cd',
        25172,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PathwayGothicOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pathway Gothic One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pathway+Gothic+One
  static TextTheme pathwayGothicOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pathwayGothicOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pathwayGothicOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pathwayGothicOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pathwayGothicOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pathwayGothicOne(textStyle: textTheme.caption),
      button: GoogleFonts.pathwayGothicOne(textStyle: textTheme.button),
      overline: GoogleFonts.pathwayGothicOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextStyle patrickHand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b63c9a7041a5fc7005d8f0580dd04bf71c5eed9b4b6d843857ccb8f2485ebbf6',
        122740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand
  static TextTheme patrickHandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.patrickHand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.patrickHand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.patrickHand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.patrickHand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.patrickHand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.patrickHand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.patrickHand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.patrickHand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.patrickHand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.patrickHand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.patrickHand(textStyle: textTheme.caption),
      button: GoogleFonts.patrickHand(textStyle: textTheme.button),
      overline: GoogleFonts.patrickHand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextStyle patrickHandSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73b9443b6806844f52e636b33036ac9bba72136e16d3e10e7fc43d906509238c',
        89760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatrickHandSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patrick Hand SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patrick+Hand+SC
  static TextTheme patrickHandScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.patrickHandSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.patrickHandSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.patrickHandSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.patrickHandSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.patrickHandSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.patrickHandSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.patrickHandSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.patrickHandSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.patrickHandSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.patrickHandSc(textStyle: textTheme.caption),
      button: GoogleFonts.patrickHandSc(textStyle: textTheme.button),
      overline: GoogleFonts.patrickHandSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pattaya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextStyle pattaya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '041d4a84883eccfdd46adb393da062a32f3b3c0deafbd5431c6fb5e6c2669c7c',
        282908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pattaya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pattaya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pattaya
  static TextTheme pattayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pattaya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pattaya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pattaya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pattaya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pattaya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pattaya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pattaya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pattaya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pattaya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pattaya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pattaya(textStyle: textTheme.caption),
      button: GoogleFonts.pattaya(textStyle: textTheme.button),
      overline: GoogleFonts.pattaya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Patua One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextStyle patuaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b23d7030cb223723e1ea6fe64ca5799ae86a5c9c7d7343dfce539e574a5004d0',
        35576,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PatuaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Patua One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Patua+One
  static TextTheme patuaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.patuaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.patuaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.patuaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.patuaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.patuaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.patuaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.patuaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.patuaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.patuaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.patuaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.patuaOne(textStyle: textTheme.caption),
      button: GoogleFonts.patuaOne(textStyle: textTheme.button),
      overline: GoogleFonts.patuaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pavanam font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextStyle pavanam({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '177d645082f388adf4ae3cf8413e270d77cbb5f7b24b7d521cce366a857de30a',
        48596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pavanam',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pavanam font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pavanam
  static TextTheme pavanamTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pavanam(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pavanam(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pavanam(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pavanam(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pavanam(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pavanam(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pavanam(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pavanam(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pavanam(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pavanam(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pavanam(textStyle: textTheme.caption),
      button: GoogleFonts.pavanam(textStyle: textTheme.button),
      overline: GoogleFonts.pavanam(textStyle: textTheme.overline),
    );
  }

  /// Applies the Paytone One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextStyle paytoneOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b6fb867bea8e0668b3117749a0c761f24623a872f905f98462fb83791b88b00',
        187580,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PaytoneOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Paytone One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Paytone+One
  static TextTheme paytoneOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.paytoneOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.paytoneOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.paytoneOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.paytoneOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.paytoneOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.paytoneOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.paytoneOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.paytoneOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.paytoneOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.paytoneOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.paytoneOne(textStyle: textTheme.caption),
      button: GoogleFonts.paytoneOne(textStyle: textTheme.button),
      overline: GoogleFonts.paytoneOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Peddana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextStyle peddana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c066d855b7652305b1b9d3d0308b0c71161bd1e83a7b4a8bdebadd005f749b6',
        492376,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peddana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peddana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peddana
  static TextTheme peddanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.peddana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.peddana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.peddana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.peddana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.peddana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.peddana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.peddana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.peddana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.peddana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.peddana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.peddana(textStyle: textTheme.caption),
      button: GoogleFonts.peddana(textStyle: textTheme.button),
      overline: GoogleFonts.peddana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Peralta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextStyle peralta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28a0d3b695c9ecde1fe0ab5e4dceac96b21749fe6a3df062847e363b47af3360',
        59184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Peralta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Peralta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Peralta
  static TextTheme peraltaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.peralta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.peralta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.peralta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.peralta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.peralta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.peralta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.peralta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.peralta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.peralta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.peralta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.peralta(textStyle: textTheme.caption),
      button: GoogleFonts.peralta(textStyle: textTheme.button),
      overline: GoogleFonts.peralta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextStyle permanentMarker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b256508a46019a9b82045efd1b32fea49660231fc60b1b4bd43585c2808cf128',
        74216,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PermanentMarker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Permanent Marker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Permanent+Marker
  static TextTheme permanentMarkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.permanentMarker(textStyle: textTheme.headline1),
      headline2: GoogleFonts.permanentMarker(textStyle: textTheme.headline2),
      headline3: GoogleFonts.permanentMarker(textStyle: textTheme.headline3),
      headline4: GoogleFonts.permanentMarker(textStyle: textTheme.headline4),
      headline5: GoogleFonts.permanentMarker(textStyle: textTheme.headline5),
      headline6: GoogleFonts.permanentMarker(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.permanentMarker(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.permanentMarker(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.permanentMarker(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.permanentMarker(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.permanentMarker(textStyle: textTheme.caption),
      button: GoogleFonts.permanentMarker(textStyle: textTheme.button),
      overline: GoogleFonts.permanentMarker(textStyle: textTheme.overline),
    );
  }

  /// Applies the Petemoss font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextStyle petemoss({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5860d03b182eecb6784906194844f7cf4b4d377a91847ac0ca8409d519af5fbe',
        86036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petemoss',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petemoss font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petemoss
  static TextTheme petemossTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.petemoss(textStyle: textTheme.headline1),
      headline2: GoogleFonts.petemoss(textStyle: textTheme.headline2),
      headline3: GoogleFonts.petemoss(textStyle: textTheme.headline3),
      headline4: GoogleFonts.petemoss(textStyle: textTheme.headline4),
      headline5: GoogleFonts.petemoss(textStyle: textTheme.headline5),
      headline6: GoogleFonts.petemoss(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.petemoss(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.petemoss(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.petemoss(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.petemoss(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.petemoss(textStyle: textTheme.caption),
      button: GoogleFonts.petemoss(textStyle: textTheme.button),
      overline: GoogleFonts.petemoss(textStyle: textTheme.overline),
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextStyle petitFormalScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60b5efe480f0bafdd5de13f5786bc9017ffcddab4de13ece1ee542791fe4eba2',
        120832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PetitFormalScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petit Formal Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petit+Formal+Script
  static TextTheme petitFormalScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.petitFormalScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.petitFormalScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.petitFormalScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.petitFormalScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.petitFormalScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.petitFormalScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.petitFormalScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.petitFormalScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.petitFormalScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.petitFormalScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.petitFormalScript(textStyle: textTheme.caption),
      button: GoogleFonts.petitFormalScript(textStyle: textTheme.button),
      overline: GoogleFonts.petitFormalScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Petrona font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextStyle petrona({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd80f7ebf1277bc91932826582e099143b69fb77dc61f1259d442558087cc2714',
        80736,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Petrona',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Petrona font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Petrona
  static TextTheme petronaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.petrona(textStyle: textTheme.headline1),
      headline2: GoogleFonts.petrona(textStyle: textTheme.headline2),
      headline3: GoogleFonts.petrona(textStyle: textTheme.headline3),
      headline4: GoogleFonts.petrona(textStyle: textTheme.headline4),
      headline5: GoogleFonts.petrona(textStyle: textTheme.headline5),
      headline6: GoogleFonts.petrona(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.petrona(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.petrona(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.petrona(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.petrona(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.petrona(textStyle: textTheme.caption),
      button: GoogleFonts.petrona(textStyle: textTheme.button),
      overline: GoogleFonts.petrona(textStyle: textTheme.overline),
    );
  }

  /// Applies the Philosopher font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextStyle philosopher({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51b0e57bc81490c490b7400858499b5823a13926de953476e8d40730ab9fc02f',
        74064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '32aafaf60ca199b7f91291e6aa9e68b91df4b48f53246f454e7eddf8e25ff50c',
        73948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '174ba5b59df6e5bdec8e23657ecdf679226b3b6f23f5625fa814540e88b30628',
        73580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aed7000bdaef8a04be340ee51e9ff7157c538442a3fda8daeee40a849eaf33cb',
        74272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Philosopher',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Philosopher font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Philosopher
  static TextTheme philosopherTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.philosopher(textStyle: textTheme.headline1),
      headline2: GoogleFonts.philosopher(textStyle: textTheme.headline2),
      headline3: GoogleFonts.philosopher(textStyle: textTheme.headline3),
      headline4: GoogleFonts.philosopher(textStyle: textTheme.headline4),
      headline5: GoogleFonts.philosopher(textStyle: textTheme.headline5),
      headline6: GoogleFonts.philosopher(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.philosopher(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.philosopher(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.philosopher(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.philosopher(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.philosopher(textStyle: textTheme.caption),
      button: GoogleFonts.philosopher(textStyle: textTheme.button),
      overline: GoogleFonts.philosopher(textStyle: textTheme.overline),
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextStyle piazzolla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '853bced8b15b4dac1826650854c71cd8768f3f17492865bbd87527322ac07997',
        122204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '12e6ee6c72b71f1cec3046f5202f32326bdeedc1d99eba4e2a959302c7b95d8c',
        122292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1db122cbdeb9ecae7425cb66d950048a8ebb3514958c02750b42b342d32aa3ff',
        122300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac4e7964cbc511d29ef648da51186bef1cb533bb0c51a05f914177cc78db20d6',
        122336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c12af6331700aca9a9ae4213fc8d9dafff7bad454d208fc8d69872eee8c08386',
        122420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d96e29c9bb1c8c5c98c18420a84efc14960d1028c7f0ba0cf8ef3a685315596',
        122508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f81540363cf6ba6fd3a6b271f2c91e8dd246fd22bc513e69e2eb18b91222ab00',
        122544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9997d5c8c01dcaa3d884beb7575564aedc5c048a4df9e8dcc16aa425be26c5ec',
        122688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '876ac0f870cd43d375383de91157d5afa87d6ab46c69db29fe06eebc70f277dd',
        122736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0ce1c16e7786a82b37c31b73324f97dd5673c1b508a3c0fa10c951a984bd0882',
        124876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd21ee34892172c0e0ca6a13bcbc80c0745d9936ee536b5c95c41fd0b1737fc1',
        125024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0afba99a98a8ba9511665bad6711b19933daf6cfc71752362247d287af610b89',
        125024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2a326a8fa339a54db374a2868e50ea10f8d94bc9f98f4cfb8ea82db180b32f87',
        124940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8aab5a4c7dfa4e0b43104ad463e1c0fa78d54c8b7116c8c3bc36acb75d3cb30a',
        125116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bd992effa8448c4cd917c9a45d384396019b442df8266af0d5cde06e88e1b400',
        125184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7febcdb00d6f588c3152ee01de7ea04f9baf7ec0e261ff0dea723b809e9bead5',
        125216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c33ba0247044ea9d88b9a81c0c0ec8d6b31b43534856567a32f010d9fad3868e',
        125300,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '07ae846598d075d2908961487ede708db0f1d372009edffa72e49cb73ebaf559',
        125256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piazzolla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piazzolla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piazzolla
  static TextTheme piazzollaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.piazzolla(textStyle: textTheme.headline1),
      headline2: GoogleFonts.piazzolla(textStyle: textTheme.headline2),
      headline3: GoogleFonts.piazzolla(textStyle: textTheme.headline3),
      headline4: GoogleFonts.piazzolla(textStyle: textTheme.headline4),
      headline5: GoogleFonts.piazzolla(textStyle: textTheme.headline5),
      headline6: GoogleFonts.piazzolla(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.piazzolla(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.piazzolla(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.piazzolla(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.piazzolla(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.piazzolla(textStyle: textTheme.caption),
      button: GoogleFonts.piazzolla(textStyle: textTheme.button),
      overline: GoogleFonts.piazzolla(textStyle: textTheme.overline),
    );
  }

  /// Applies the Piedra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextStyle piedra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44d0853d7548f46be84298314d45874783d3dfd1459f5286f1426fb025483348',
        75936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Piedra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Piedra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Piedra
  static TextTheme piedraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.piedra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.piedra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.piedra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.piedra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.piedra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.piedra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.piedra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.piedra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.piedra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.piedra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.piedra(textStyle: textTheme.caption),
      button: GoogleFonts.piedra(textStyle: textTheme.button),
      overline: GoogleFonts.piedra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextStyle pinyonScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76a6132a59fff29721156baa5452296b0cf50a435c5bdba96e8bda980999341b',
        62100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PinyonScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pinyon Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pinyon+Script
  static TextTheme pinyonScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pinyonScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pinyonScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pinyonScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pinyonScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pinyonScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pinyonScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pinyonScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pinyonScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pinyonScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pinyonScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pinyonScript(textStyle: textTheme.caption),
      button: GoogleFonts.pinyonScript(textStyle: textTheme.button),
      overline: GoogleFonts.pinyonScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pirata One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextStyle pirataOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5fb40958eab064bad8294b018f0eff54a3deb5dcb3717eecc9dd41e8db217618',
        56268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PirataOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pirata One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pirata+One
  static TextTheme pirataOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pirataOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pirataOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pirataOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pirataOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pirataOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pirataOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pirataOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pirataOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pirataOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pirataOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pirataOne(textStyle: textTheme.caption),
      button: GoogleFonts.pirataOne(textStyle: textTheme.button),
      overline: GoogleFonts.pirataOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Plaster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextStyle plaster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '075c37d102ea4665ad52b444dd9ccf8c06ebd6d7125c8cf59644c1b1653abe6d',
        30672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Plaster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Plaster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Plaster
  static TextTheme plasterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.plaster(textStyle: textTheme.headline1),
      headline2: GoogleFonts.plaster(textStyle: textTheme.headline2),
      headline3: GoogleFonts.plaster(textStyle: textTheme.headline3),
      headline4: GoogleFonts.plaster(textStyle: textTheme.headline4),
      headline5: GoogleFonts.plaster(textStyle: textTheme.headline5),
      headline6: GoogleFonts.plaster(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.plaster(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.plaster(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.plaster(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.plaster(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.plaster(textStyle: textTheme.caption),
      button: GoogleFonts.plaster(textStyle: textTheme.button),
      overline: GoogleFonts.plaster(textStyle: textTheme.overline),
    );
  }

  /// Applies the Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextStyle play({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e198eae88b87f9891da54cbb4e5b631b4f8e8af961970b14082506c5c1bd3183',
        123764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46b28c6395256a72fe1900fc5218c9ef0c78153157532b0ebc6b6859696d717d',
        125468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Play',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Play
  static TextTheme playTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.play(textStyle: textTheme.headline1),
      headline2: GoogleFonts.play(textStyle: textTheme.headline2),
      headline3: GoogleFonts.play(textStyle: textTheme.headline3),
      headline4: GoogleFonts.play(textStyle: textTheme.headline4),
      headline5: GoogleFonts.play(textStyle: textTheme.headline5),
      headline6: GoogleFonts.play(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.play(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.play(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.play(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.play(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.play(textStyle: textTheme.caption),
      button: GoogleFonts.play(textStyle: textTheme.button),
      overline: GoogleFonts.play(textStyle: textTheme.overline),
    );
  }

  /// Applies the Playball font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextStyle playball({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '73b95f0b1cd341f32c0f20d1fda10e035733b1906538a749d3fc06d9402c8f2f',
        42772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Playball',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playball font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playball
  static TextTheme playballTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.playball(textStyle: textTheme.headline1),
      headline2: GoogleFonts.playball(textStyle: textTheme.headline2),
      headline3: GoogleFonts.playball(textStyle: textTheme.headline3),
      headline4: GoogleFonts.playball(textStyle: textTheme.headline4),
      headline5: GoogleFonts.playball(textStyle: textTheme.headline5),
      headline6: GoogleFonts.playball(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.playball(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.playball(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.playball(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.playball(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.playball(textStyle: textTheme.caption),
      button: GoogleFonts.playball(textStyle: textTheme.button),
      overline: GoogleFonts.playball(textStyle: textTheme.overline),
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextStyle playfairDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '924bc8e9d64e8b2f2cb789375461b2d504e9975b6f77da5ffc252ddc8a3aac57',
        157252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '548814592545ef5a92d9c32a90d369cc51da8a75c2a9397c3f8b64550d64f723',
        144588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e5f443f351dd32a170af092c9d5509a205b292561fff1cc93c7a775be1508529',
        162776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b30290eb18fd60330cbcf52d5f3cfdb174100195152ee6c527c286b01155a193',
        151536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6c0ff8733004f8c2f6cf42f45af14fbd569ba824fb2843b3db4f3e15616cedd',
        159648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19e0ceccbc574b8a28fe94bd62388dc4dd8dbb00da8fda92003d293ff75bf9ed',
        146708,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display
  static TextTheme playfairDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.playfairDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.playfairDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.playfairDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.playfairDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.playfairDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.playfairDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.playfairDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.playfairDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.playfairDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.playfairDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.playfairDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.playfairDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextStyle playfairDisplaySc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4e28ec5aef07315383b9ec24d14cafd9f9e82652f0907ffa96bc78936a2bcf3',
        108552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fdba2100fec23dad94f0b77ea42bd7fe1e70cb13c977ff4097bee8f4a5d3deb2',
        102356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6e248f16fb366b22ece90b547726b0fa0844647d39802ca9bf4509e2c994973e',
        112728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '40348910c72e109930f4b7b7beac71da6dbd2154ab6e19342f6403cfb39799b8',
        106904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76b7867b75532041e0acff80523482c84138383984e6e03047bbcdf82664edaf',
        110508,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2bd6dd3db89e38a5d8e179e638978bc19492a6891d5a77a39f9391d18b2d35d7',
        108044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PlayfairDisplaySC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Playfair Display SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Playfair+Display+SC
  static TextTheme playfairDisplayScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.playfairDisplaySc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.playfairDisplaySc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.playfairDisplaySc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.playfairDisplaySc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.playfairDisplaySc(textStyle: textTheme.caption),
      button: GoogleFonts.playfairDisplaySc(textStyle: textTheme.button),
      overline: GoogleFonts.playfairDisplaySc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Podkova font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextStyle podkova({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0add25e02638273bd9b4fcf35c8b76256a3a4e03952c161c48592fae22c5fc34',
        107676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3f02b4ccaed0ce6f2b29a1a9a6a7d4277651708435bc6f85466d43b1f7946980',
        107876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cc312c8ebd6612b3c99e662d435f1299506dd87fe2eda68b3a99a77910ff84b',
        107768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18a450ac10399ddda8864f93d96f61b5d636d2d450b6ce5b67ed4247c24b8fb4',
        107696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f608ec4d8cd807e20ea8e24c392d1d2a7480b32148f5ad72b5c133b6f630b8f6',
        106876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Podkova',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Podkova font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Podkova
  static TextTheme podkovaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.podkova(textStyle: textTheme.headline1),
      headline2: GoogleFonts.podkova(textStyle: textTheme.headline2),
      headline3: GoogleFonts.podkova(textStyle: textTheme.headline3),
      headline4: GoogleFonts.podkova(textStyle: textTheme.headline4),
      headline5: GoogleFonts.podkova(textStyle: textTheme.headline5),
      headline6: GoogleFonts.podkova(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.podkova(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.podkova(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.podkova(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.podkova(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.podkova(textStyle: textTheme.caption),
      button: GoogleFonts.podkova(textStyle: textTheme.button),
      overline: GoogleFonts.podkova(textStyle: textTheme.overline),
    );
  }

  /// Applies the Poiret One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextStyle poiretOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '67bb327af0416e138d92e1fea7c569a19a5c981b0997edee4464ad15cd4ce9f7',
        47660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoiretOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poiret One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poiret+One
  static TextTheme poiretOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.poiretOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.poiretOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.poiretOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.poiretOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.poiretOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.poiretOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.poiretOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.poiretOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.poiretOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.poiretOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.poiretOne(textStyle: textTheme.caption),
      button: GoogleFonts.poiretOne(textStyle: textTheme.button),
      overline: GoogleFonts.poiretOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Poller One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextStyle pollerOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8000b5517c4c1c62df73fa743687dad6e25276b2caea09a6ff237f0c19f9128d',
        31540,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PollerOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poller One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poller+One
  static TextTheme pollerOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pollerOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pollerOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pollerOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pollerOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pollerOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pollerOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pollerOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pollerOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pollerOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pollerOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pollerOne(textStyle: textTheme.caption),
      button: GoogleFonts.pollerOne(textStyle: textTheme.button),
      overline: GoogleFonts.pollerOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Poly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextStyle poly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25d6b0314754bfa56533ecd2bf390f3f2108e60043db13b206cca5e0a900f857',
        76776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cc94a04fc599f53d7e32be6f932b998f8229d4e0462ebb808d61554abb4f0dbc',
        74188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poly
  static TextTheme polyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.poly(textStyle: textTheme.headline1),
      headline2: GoogleFonts.poly(textStyle: textTheme.headline2),
      headline3: GoogleFonts.poly(textStyle: textTheme.headline3),
      headline4: GoogleFonts.poly(textStyle: textTheme.headline4),
      headline5: GoogleFonts.poly(textStyle: textTheme.headline5),
      headline6: GoogleFonts.poly(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.poly(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.poly(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.poly(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.poly(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.poly(textStyle: textTheme.caption),
      button: GoogleFonts.poly(textStyle: textTheme.button),
      overline: GoogleFonts.poly(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pompiere font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextStyle pompiere({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '938a73a33e8b01f6bd94758995b7e75a9f06dd9d7cc1977ef653cb5f0368004c',
        36692,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pompiere',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pompiere font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pompiere
  static TextTheme pompiereTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pompiere(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pompiere(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pompiere(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pompiere(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pompiere(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pompiere(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pompiere(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pompiere(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pompiere(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pompiere(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pompiere(textStyle: textTheme.caption),
      button: GoogleFonts.pompiere(textStyle: textTheme.button),
      overline: GoogleFonts.pompiere(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextStyle pontanoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5642e38228ac272d77222d1b2150dd461c55d090beba64bbb9f11d169e573589',
        28232,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PontanoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pontano Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pontano+Sans
  static TextTheme pontanoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pontanoSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pontanoSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pontanoSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pontanoSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pontanoSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pontanoSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pontanoSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pontanoSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pontanoSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pontanoSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pontanoSans(textStyle: textTheme.caption),
      button: GoogleFonts.pontanoSans(textStyle: textTheme.button),
      overline: GoogleFonts.pontanoSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Poor Story font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextStyle poorStory({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a915416edf6eea5c6eb16e098a45ee910564e4d15dfba8a3136e293e2f2d8a67',
        1802972,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PoorStory',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poor Story font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poor+Story
  static TextTheme poorStoryTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.poorStory(textStyle: textTheme.headline1),
      headline2: GoogleFonts.poorStory(textStyle: textTheme.headline2),
      headline3: GoogleFonts.poorStory(textStyle: textTheme.headline3),
      headline4: GoogleFonts.poorStory(textStyle: textTheme.headline4),
      headline5: GoogleFonts.poorStory(textStyle: textTheme.headline5),
      headline6: GoogleFonts.poorStory(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.poorStory(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.poorStory(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.poorStory(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.poorStory(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.poorStory(textStyle: textTheme.caption),
      button: GoogleFonts.poorStory(textStyle: textTheme.button),
      overline: GoogleFonts.poorStory(textStyle: textTheme.overline),
    );
  }

  /// Applies the Poppins font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextStyle poppins({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '609ae3f057d392507fed90188cf6f9d5f85bb59f613c0decb2ecc9f51312a5cd',
        148976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a2e8bca7b027b0f8cc0218b80ec9823ca3b98d4a06f17651337b01fb85f8ede',
        172308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a489fff366883b0e5df107f6f4d5af2554723b61495c5509d4c3f62e038bc47',
        147952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e331f856e52ddab916a83bea449fda91561fab22bef776c8a817bcd9871ce0c9',
        170912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f15d9a49bc6ca8b49ac995bbc36065b4bab0ed9f6d394a4c49d8f9ac85672c2',
        146472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d4fb2fa8e59703eaf3fd748fdba32ff276e881015912154d7ffd5c24ba0afd6',
        168944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2425ebbc021bfdd18fe55edbeeb1539d22a217212c14430a7d4d75266a333bbc',
        145312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f058c785d855d5a6020eee6962eba4a653a871e6f07cabe930504e857b76ccb7',
        167140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45870260a29fa7d3e0eff8cdd91993fb4a9ce4cced3d7b72c3ef7d24380bfc2d',
        143516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '231c5c16820cd2507d24716e41bce0bafafe7175410e6197b5621c9cedaf84ff',
        165512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d665d5b75a9500040b2cc201c2b07af5faca7228372dc6f4572d2d5b2291097',
        142148,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cb112397951c33d64e908cec5cf9f34d1ecc2c13f047f98061f834fc4a96e490',
        161896,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '210933fb1bb4e846d37ef00c92cae636ac35633132cf2157c7ac879f27f82068',
        141260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '478ff165d4f208b41963f9774fda29358a902ad29026d486a94a50bb2e9b7a05',
        160224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599edf36a7c40e752cd1fbc308f5351c59aae0b3bd6fa5bfbdaa61c16f8cee1',
        140220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '230e076f3eaab8aa5b295152336dd453ac731569b1f72b4aa836f0edd6cdfe74',
        158708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2535406edd2aa55242329705ca9418a07d3a51ae28cadca3ee5becae61aa8987',
        139056,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '82eaa315798c980852cb782b3dc81adeb39c16903a1a46d96e5917f79266929d',
        155956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Poppins',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Poppins font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Poppins
  static TextTheme poppinsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.poppins(textStyle: textTheme.headline1),
      headline2: GoogleFonts.poppins(textStyle: textTheme.headline2),
      headline3: GoogleFonts.poppins(textStyle: textTheme.headline3),
      headline4: GoogleFonts.poppins(textStyle: textTheme.headline4),
      headline5: GoogleFonts.poppins(textStyle: textTheme.headline5),
      headline6: GoogleFonts.poppins(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.poppins(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.poppins(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.poppins(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.poppins(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.poppins(textStyle: textTheme.caption),
      button: GoogleFonts.poppins(textStyle: textTheme.button),
      overline: GoogleFonts.poppins(textStyle: textTheme.overline),
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextStyle portLligatSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '84c1f23904d96ac1b51af7e38d0892c88f5a84b7bdd1c30685b9cb4d2213706d',
        34340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Sans
  static TextTheme portLligatSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.portLligatSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.portLligatSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.portLligatSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.portLligatSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.portLligatSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.portLligatSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.portLligatSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.portLligatSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.portLligatSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.portLligatSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.portLligatSans(textStyle: textTheme.caption),
      button: GoogleFonts.portLligatSans(textStyle: textTheme.button),
      overline: GoogleFonts.portLligatSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextStyle portLligatSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14a5e5dd29e0381386f5b0417b504bb1aadd724682e7f07cd5d09f95b4c9cc99',
        38112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PortLligatSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Port Lligat Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Port+Lligat+Slab
  static TextTheme portLligatSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.portLligatSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.portLligatSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.portLligatSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.portLligatSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.portLligatSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.portLligatSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.portLligatSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.portLligatSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.portLligatSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.portLligatSlab(textStyle: textTheme.caption),
      button: GoogleFonts.portLligatSlab(textStyle: textTheme.button),
      overline: GoogleFonts.portLligatSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Potta One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextStyle pottaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '56773288a5bd09c28d1bbaceb69bc83dc390929b2f9a8742525d71eabca3e15d',
        4911480,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PottaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Potta One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Potta+One
  static TextTheme pottaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pottaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pottaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pottaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pottaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pottaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pottaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pottaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pottaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pottaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pottaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pottaOne(textStyle: textTheme.caption),
      button: GoogleFonts.pottaOne(textStyle: textTheme.button),
      overline: GoogleFonts.pottaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextStyle pragatiNarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1778fbb91f3825af5daf5dfe6d44737ee48e6c63a95f25348b39ccb9fcda8fb6',
        229548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e7b8eb47eaef49ea50a19115bddfaf35aebf2f4577f8a3b9cab531595bc97ef',
        228640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PragatiNarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pragati Narrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pragati+Narrow
  static TextTheme pragatiNarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pragatiNarrow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pragatiNarrow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pragatiNarrow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pragatiNarrow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pragatiNarrow(textStyle: textTheme.caption),
      button: GoogleFonts.pragatiNarrow(textStyle: textTheme.button),
      overline: GoogleFonts.pragatiNarrow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Praise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextStyle praise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '44421bffc579c56106cf41ebfad49c48cfb88fb84eac0106ab72c26f0d88cfcb',
        97556,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Praise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Praise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Praise
  static TextTheme praiseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.praise(textStyle: textTheme.headline1),
      headline2: GoogleFonts.praise(textStyle: textTheme.headline2),
      headline3: GoogleFonts.praise(textStyle: textTheme.headline3),
      headline4: GoogleFonts.praise(textStyle: textTheme.headline4),
      headline5: GoogleFonts.praise(textStyle: textTheme.headline5),
      headline6: GoogleFonts.praise(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.praise(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.praise(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.praise(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.praise(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.praise(textStyle: textTheme.caption),
      button: GoogleFonts.praise(textStyle: textTheme.button),
      overline: GoogleFonts.praise(textStyle: textTheme.overline),
    );
  }

  /// Applies the Prata font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextStyle prata({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dae0ecee4b97ae6292786b6e9e7efc1c63cf85f8beaef215151813c08fd2aa02',
        65088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prata',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prata font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prata
  static TextTheme prataTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.prata(textStyle: textTheme.headline1),
      headline2: GoogleFonts.prata(textStyle: textTheme.headline2),
      headline3: GoogleFonts.prata(textStyle: textTheme.headline3),
      headline4: GoogleFonts.prata(textStyle: textTheme.headline4),
      headline5: GoogleFonts.prata(textStyle: textTheme.headline5),
      headline6: GoogleFonts.prata(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.prata(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.prata(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.prata(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.prata(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.prata(textStyle: textTheme.caption),
      button: GoogleFonts.prata(textStyle: textTheme.button),
      overline: GoogleFonts.prata(textStyle: textTheme.overline),
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextStyle pressStart2p({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba4683bc76380100a5f8e7fae42dd03216a17bd62025a4f24d933df65845a9ac',
        57416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PressStart2P',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Press Start 2P font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Press+Start+2P
  static TextTheme pressStart2pTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pressStart2p(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pressStart2p(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pressStart2p(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pressStart2p(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pressStart2p(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pressStart2p(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pressStart2p(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pressStart2p(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pressStart2p(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pressStart2p(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pressStart2p(textStyle: textTheme.caption),
      button: GoogleFonts.pressStart2p(textStyle: textTheme.button),
      overline: GoogleFonts.pressStart2p(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pridi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextStyle pridi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25767951345549f712ecc99e7f7e0ed309d7e3b707e8f82ac578dea2843ee338',
        120664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '418f1e97f68102aa823ef64c5f96fbcec3fb67597331f6b65bbff28c82031fed',
        141312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '33f3b1e354916fe8ce1a179c631238fdc60f52a959f39a02efbd3f8023bfbbda',
        141904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b57f641bac735f6cd44057a11cbabb787cbc33d1c8270040dc7d1cb6c4563858',
        137940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8847f26d3d388eb8a757c857d14058773c4f265b29fe5ef2da5da9132fb2924a',
        118788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '26c0c1d38bb9f9387d48474dd1abf32af18563e40fa1067abcfa242e8870cf6b',
        117864,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pridi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pridi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pridi
  static TextTheme pridiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pridi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pridi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pridi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pridi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pridi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pridi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pridi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pridi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pridi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pridi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pridi(textStyle: textTheme.caption),
      button: GoogleFonts.pridi(textStyle: textTheme.button),
      overline: GoogleFonts.pridi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextStyle princessSofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f20c793c38b666148e6b2cb5b5303d48501b0f54d45aac73f3b59a495c7cdc0',
        272212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PrincessSofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Princess Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Princess+Sofia
  static TextTheme princessSofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.princessSofia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.princessSofia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.princessSofia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.princessSofia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.princessSofia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.princessSofia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.princessSofia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.princessSofia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.princessSofia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.princessSofia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.princessSofia(textStyle: textTheme.caption),
      button: GoogleFonts.princessSofia(textStyle: textTheme.button),
      overline: GoogleFonts.princessSofia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Prociono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextStyle prociono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61f885124a2a2bbcb15f757f4ac96bf9509c0c1869f1efaa3c4cc6ce99d01f16',
        31088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prociono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prociono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prociono
  static TextTheme procionoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.prociono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.prociono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.prociono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.prociono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.prociono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.prociono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.prociono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.prociono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.prociono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.prociono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.prociono(textStyle: textTheme.caption),
      button: GoogleFonts.prociono(textStyle: textTheme.button),
      overline: GoogleFonts.prociono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Prompt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextStyle prompt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48988c00dff9e5346bafb0230e233cc244d06d53de9a8c7b1c5ae95b508878d9',
        106868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa017c19d47d8c1de3c967302dc49e99d37de71795dfb971c06ce63c31a2b230',
        116584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be13887c30cb0eb82b46627a8d18c34490049df205c234b3d27d8c3efbfeacec',
        106872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ac60a88dbbd5f9ae43c89ce90966920480aa263c9c157da76a8f51c68efebc6',
        116628,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e355dba756f556f47a7a9d99fe46cfa2d2676c6937bb2af9f39e84bf13ba0a8',
        106216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cdbdb3675fcbe7c22771818e356aaca5f5bfbd59635b7223dff98a1ef9843b4b',
        115964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26fa613f518a56e8d6ab2da471f1a74fde4a5fd95552a539694b777832f2627',
        106060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2ac0428ddf82e1d43425e6afb249d0000b0f3eed6e8583cd6712f53f585f33fa',
        114924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '627e26dc44fbd7d87a3300a5ddb700b5d169b5cee2c915f78085ced694f0ef98',
        106100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c455330873fbc77aaf5958ea7fe12fc7af2325446a34440ebaf090775b7a2f4f',
        114748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5be3aa9ccbda532fccad8b87b6e554f0403860f32b4499ea56228ecc81246e5d',
        104076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '692795800d326358c0dfeb443453d36353284ee31c283cfde37df17258f6f2bc',
        114500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a3f1635714fe8861ed1027027e0e34183db3b1197ebfba3c2283739950e1fc7',
        105580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '46317d49f08a684dff0cd9a335124eba5f1feebc850ab74ab6a023096f224c4f',
        114080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79977c86dc67cc15e7cce3392fd9a3b9bfcaf261c5bf48de9820fb6b9cf8dd5a',
        105156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1bd02cc605f0e4ec0c90fa33ee5726bd1679d6a36c64f1779de4aee232e8a88a',
        113996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f0519c649be920aec99489ffcd76b23ec686b254b28fe9cffdd6e5690280c41',
        104892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9390dbb38f163bec75f6d6682ae93a821e776cd9bed89bf402c7104d295dca25',
        127800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Prompt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prompt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prompt
  static TextTheme promptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.prompt(textStyle: textTheme.headline1),
      headline2: GoogleFonts.prompt(textStyle: textTheme.headline2),
      headline3: GoogleFonts.prompt(textStyle: textTheme.headline3),
      headline4: GoogleFonts.prompt(textStyle: textTheme.headline4),
      headline5: GoogleFonts.prompt(textStyle: textTheme.headline5),
      headline6: GoogleFonts.prompt(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.prompt(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.prompt(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.prompt(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.prompt(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.prompt(textStyle: textTheme.caption),
      button: GoogleFonts.prompt(textStyle: textTheme.button),
      overline: GoogleFonts.prompt(textStyle: textTheme.overline),
    );
  }

  /// Applies the Prosto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextStyle prostoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48e9abcc05d19f1dfd678d55c8747ed931282ea5b332f232e7fe90254af60f9a',
        69248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProstoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Prosto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Prosto+One
  static TextTheme prostoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.prostoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.prostoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.prostoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.prostoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.prostoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.prostoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.prostoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.prostoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.prostoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.prostoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.prostoOne(textStyle: textTheme.caption),
      button: GoogleFonts.prostoOne(textStyle: textTheme.button),
      overline: GoogleFonts.prostoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextStyle prozaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b6195e0fb14a5155dc5f1e836d174961876e69e0c471b7ab8357696acb1d404',
        77600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '79a33a14fa8f5bd86b8bd985de9a92647b0d6b62085299ae05b0c4f2cbf98bc8',
        77756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac113922a0dc8f8533dcac9f1f9ec44f777502e94608291bd50da0fa981083d6',
        77960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a6506ab9342408e2f16f5991f7f13117f9c080dfb34c268e4378f507d01fe3b8',
        78168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e1b5cd4d00344b8bbbb015679e9bd7cc5e99a2fa3d6eb18b4f1303c90c3e68e',
        96824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '522e6755ed4fd909ed6968fa89460d7eb69e6b90fb0124f5fec6dfadb7dd5dac',
        78188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14701643695bd3fb18b0e9f16049cd1caa35acee12446ecf10b0a179697f7748',
        77756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '176582be0d8f918514d1f30bb1cfea4729cbd968974eced79e977378653c62c9',
        77952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d37a997a436ffd489943e8d33d8917c4eac47e1c20959ae0cd68f6470e932bb',
        91092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e5a8cfe2f4e6f80f7a40d647e5ca78ffe1df63c22c413d962ce2f937a8ce34e2',
        90644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ProzaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Proza Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Proza+Libre
  static TextTheme prozaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.prozaLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.prozaLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.prozaLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.prozaLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.prozaLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.prozaLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.prozaLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.prozaLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.prozaLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.prozaLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.prozaLibre(textStyle: textTheme.caption),
      button: GoogleFonts.prozaLibre(textStyle: textTheme.button),
      overline: GoogleFonts.prozaLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Public Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextStyle publicSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bbeb9408fbfe9d5d9ce8fbafbfc03c6b6cdf568002d0617c5ba2e7a7ed4e2927',
        47064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5315eae10703301b7f62e88a7de796fcf6d0e22ce0484906b2a75717045d602',
        47172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c24444db34cbde1fe26eee9e01a5aeecaa2d5d04d760b016effb1efaaeca1eab',
        47136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a43ba20728262f80018c0f9cb41348b11a7a0f7ce4cec9524908f09a1ba9fc10',
        47124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bd3b338d1c2daf799f2856f74a39cee09cfc8dd65a08a77dae77e3fdcee5516',
        47156,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ba049c8f5505f644eeedde917f31244fbce5797f1daa0bc6ad7dee626cdd493',
        47240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b64cde6ef854e50377acd226084a3b56da54c708c4b6b56b0e6efdbd6725e2eb',
        47276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a88f82d3a4c9ff1ef0ddd06d1f62a10636942fb2461837a8555c5a0c6c362c84',
        47420,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd59239c8e796e666d395620e22b7a4456496e2593b03448fca6ea8d8fc7697df',
        47392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b7e9ab1ba3ba765f5775306a4f4f66df2fc253782bdca66c44b36e09b4a65ced',
        47388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce8d4637dcc7693ff3984ca3de2859af73e35a18142f87dff9fb8c3e2f9e8fa3',
        47468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1c6bac423bb2503db975062139990578c28e1b744fdf169b762f0ae69e4f5ad2',
        47408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ed1d4975a041ddce0d086e9b30feb0d85236d1e95edeed6848841f480af24a49',
        47296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a66352215ff1f71f3e0c04d07175608a1992529cf83d389cea2e601a72d4e90f',
        47424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b2bdd1391e967996ae11ed929fa55e3811b4928bcdd356295d10ae67cef03949',
        47488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '056bab577fca8b802ca1629b53e48d0b66c5e0d7568553c4c85bc0107d87c865',
        47544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e40fa8d8ef6e8979ff49e3f9220489c0961ca308a318f3400b176a6594877e9',
        47736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0b536907db7c2710ae92a77a16a1a413f3527e60b0fcc442d4f74513b6249e69',
        47740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PublicSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Public Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Public+Sans
  static TextTheme publicSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.publicSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.publicSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.publicSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.publicSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.publicSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.publicSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.publicSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.publicSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.publicSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.publicSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.publicSans(textStyle: textTheme.caption),
      button: GoogleFonts.publicSans(textStyle: textTheme.button),
      overline: GoogleFonts.publicSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextStyle puppiesPlay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6030bb3c6caf0c8ed08c7c93d4dcfc1e742b64191458a2000446ec26bbed0545',
        103644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PuppiesPlay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puppies Play font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puppies+Play
  static TextTheme puppiesPlayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.puppiesPlay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.puppiesPlay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.puppiesPlay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.puppiesPlay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.puppiesPlay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.puppiesPlay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.puppiesPlay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.puppiesPlay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.puppiesPlay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.puppiesPlay(textStyle: textTheme.caption),
      button: GoogleFonts.puppiesPlay(textStyle: textTheme.button),
      overline: GoogleFonts.puppiesPlay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Puritan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextStyle puritan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '53c4e62f0ae59849064a30afb5f388987e173b8699d99efa7364a1b99c16385d',
        36476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '28385ca71871b908d353e761320647ac350dc310f04d767c54ffa33c5bb0e846',
        37752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a044a29b77d5907eb6eb71d1e7955016b52b63e928f6a1381bda726cb81317a',
        36232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '792b0deaf812e2c13a119b6c56f14b2c25e985edc90ba79c34dfe61c0d28db06',
        37656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Puritan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Puritan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Puritan
  static TextTheme puritanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.puritan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.puritan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.puritan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.puritan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.puritan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.puritan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.puritan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.puritan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.puritan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.puritan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.puritan(textStyle: textTheme.caption),
      button: GoogleFonts.puritan(textStyle: textTheme.button),
      overline: GoogleFonts.puritan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextStyle purplePurse({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5653d111577461c5bb526447a3f51696f803a7e41f0e5d379ae3a558f69927e0',
        62452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'PurplePurse',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Purple Purse font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Purple+Purse
  static TextTheme purplePurseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.purplePurse(textStyle: textTheme.headline1),
      headline2: GoogleFonts.purplePurse(textStyle: textTheme.headline2),
      headline3: GoogleFonts.purplePurse(textStyle: textTheme.headline3),
      headline4: GoogleFonts.purplePurse(textStyle: textTheme.headline4),
      headline5: GoogleFonts.purplePurse(textStyle: textTheme.headline5),
      headline6: GoogleFonts.purplePurse(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.purplePurse(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.purplePurse(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.purplePurse(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.purplePurse(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.purplePurse(textStyle: textTheme.caption),
      button: GoogleFonts.purplePurse(textStyle: textTheme.button),
      overline: GoogleFonts.purplePurse(textStyle: textTheme.overline),
    );
  }

  /// Applies the Pushster font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pushster
  static TextStyle pushster({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0ec601fb081166435ed4b96cb08878a3bf423bbedbc844956d6839e8f4538ba',
        201400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Pushster',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Pushster font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Pushster
  static TextTheme pushsterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.pushster(textStyle: textTheme.headline1),
      headline2: GoogleFonts.pushster(textStyle: textTheme.headline2),
      headline3: GoogleFonts.pushster(textStyle: textTheme.headline3),
      headline4: GoogleFonts.pushster(textStyle: textTheme.headline4),
      headline5: GoogleFonts.pushster(textStyle: textTheme.headline5),
      headline6: GoogleFonts.pushster(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.pushster(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.pushster(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.pushster(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.pushster(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.pushster(textStyle: textTheme.caption),
      button: GoogleFonts.pushster(textStyle: textTheme.button),
      overline: GoogleFonts.pushster(textStyle: textTheme.overline),
    );
  }

  /// Applies the Qahiri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextStyle qahiri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4f66733e61d4cb2734ba69d9495034c0f98175bba5a7ef95d399e64d9349b70f',
        19704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qahiri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qahiri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qahiri
  static TextTheme qahiriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.qahiri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.qahiri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.qahiri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.qahiri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.qahiri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.qahiri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.qahiri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.qahiri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.qahiri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.qahiri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.qahiri(textStyle: textTheme.caption),
      button: GoogleFonts.qahiri(textStyle: textTheme.button),
      overline: GoogleFonts.qahiri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quando font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextStyle quando({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2a8053aa17f88c09896da7eb7b6ee5d1652eaec863ae13d59efd1a763afcdb2a',
        49748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quando',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quando font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quando
  static TextTheme quandoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quando(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quando(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quando(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quando(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quando(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quando(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quando(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quando(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quando(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quando(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quando(textStyle: textTheme.caption),
      button: GoogleFonts.quando(textStyle: textTheme.button),
      overline: GoogleFonts.quando(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quantico font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextStyle quantico({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0e68a0bf4434bcaf5078482638325be95f9ff8d23e161320e71396c3bac24db',
        20892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8dc51f4e759adff1e4ef04d9489decee6534f253a8c586119e29e6ac5d4ba3e8',
        22120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '893455159a698723c49ac3c7b21b2eab8d58a8ae07a566c4b1aa1d49d301b100',
        20872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1021a5020ebf627e4f792a27cf1af37913a9f7f26454ac4cc914f0f78b08df22',
        20636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quantico',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quantico font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quantico
  static TextTheme quanticoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quantico(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quantico(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quantico(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quantico(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quantico(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quantico(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quantico(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quantico(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quantico(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quantico(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quantico(textStyle: textTheme.caption),
      button: GoogleFonts.quantico(textStyle: textTheme.button),
      overline: GoogleFonts.quantico(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextStyle quattrocento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5889732ed96c5175bebb886a2f99f90cbf93d54ad643f7cf5376b4532c385aaa',
        79000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '72919cef5349b9fa016e032e20becd479cf50e5b1a159f0b68747631e333ae6c',
        80100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quattrocento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento
  static TextTheme quattrocentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quattrocento(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quattrocento(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quattrocento(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quattrocento(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quattrocento(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quattrocento(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quattrocento(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quattrocento(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quattrocento(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quattrocento(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quattrocento(textStyle: textTheme.caption),
      button: GoogleFonts.quattrocento(textStyle: textTheme.button),
      overline: GoogleFonts.quattrocento(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextStyle quattrocentoSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '114280821a2f8698d737c5c9bcbc986cf36a4dbd9fa7c58e448b35520a6053ec',
        48788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c933f0ba971f5573109a7674a40f980252c7f3c810a75f9ff29c016102118e85',
        61236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a542b5aa650f5ce3fa5e6b692feef037c10962d8ae63545c47fdf964e5b3e26',
        48324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'edadcb4799c44215ae17124bc3eac621aef5a4348743df4d74ff83fd09a601a4',
        49520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'QuattrocentoSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quattrocento Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quattrocento+Sans
  static TextTheme quattrocentoSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quattrocentoSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quattrocentoSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quattrocentoSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quattrocentoSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quattrocentoSans(textStyle: textTheme.caption),
      button: GoogleFonts.quattrocentoSans(textStyle: textTheme.button),
      overline: GoogleFonts.quattrocentoSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Questrial font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextStyle questrial({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad815e7b1e7fe3c135b94c7241340918c62215027afaf848638e71f9ba75125a',
        64528,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Questrial',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Questrial font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Questrial
  static TextTheme questrialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.questrial(textStyle: textTheme.headline1),
      headline2: GoogleFonts.questrial(textStyle: textTheme.headline2),
      headline3: GoogleFonts.questrial(textStyle: textTheme.headline3),
      headline4: GoogleFonts.questrial(textStyle: textTheme.headline4),
      headline5: GoogleFonts.questrial(textStyle: textTheme.headline5),
      headline6: GoogleFonts.questrial(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.questrial(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.questrial(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.questrial(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.questrial(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.questrial(textStyle: textTheme.caption),
      button: GoogleFonts.questrial(textStyle: textTheme.button),
      overline: GoogleFonts.questrial(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quicksand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextStyle quicksand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d9cb44be0f4a238981aae2eb07e9157e00c48fae09163bea0866e136d1c3f1f',
        82640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f408f35c3679417b5580701f3ac08830ce36535af5a643a2ef5b59e91c3c6b7',
        81668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76d743f0975259e38b62a1b671044d0a6584e7ae0a8389a9dca5d6d7e5e24031',
        81400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bb475d143c61221c4ea174d3c51728268e58b12dbc14600d59020ef8deaaead',
        82168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quicksand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quicksand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quicksand
  static TextTheme quicksandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quicksand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quicksand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quicksand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quicksand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quicksand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quicksand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quicksand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quicksand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quicksand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quicksand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quicksand(textStyle: textTheme.caption),
      button: GoogleFonts.quicksand(textStyle: textTheme.button),
      overline: GoogleFonts.quicksand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Quintessential font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextStyle quintessential({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030ff82f2f4a02d56504ed9191c94412439e0fc2bb5ea13d563ecc793620de06',
        73476,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Quintessential',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Quintessential font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Quintessential
  static TextTheme quintessentialTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.quintessential(textStyle: textTheme.headline1),
      headline2: GoogleFonts.quintessential(textStyle: textTheme.headline2),
      headline3: GoogleFonts.quintessential(textStyle: textTheme.headline3),
      headline4: GoogleFonts.quintessential(textStyle: textTheme.headline4),
      headline5: GoogleFonts.quintessential(textStyle: textTheme.headline5),
      headline6: GoogleFonts.quintessential(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.quintessential(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.quintessential(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.quintessential(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.quintessential(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.quintessential(textStyle: textTheme.caption),
      button: GoogleFonts.quintessential(textStyle: textTheme.button),
      overline: GoogleFonts.quintessential(textStyle: textTheme.overline),
    );
  }

  /// Applies the Qwigley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextStyle qwigley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9e8fd5b41b64bfc84fd94dd67445892d8149c004a0054984f37eb95effb71095',
        40404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Qwigley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Qwigley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Qwigley
  static TextTheme qwigleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.qwigley(textStyle: textTheme.headline1),
      headline2: GoogleFonts.qwigley(textStyle: textTheme.headline2),
      headline3: GoogleFonts.qwigley(textStyle: textTheme.headline3),
      headline4: GoogleFonts.qwigley(textStyle: textTheme.headline4),
      headline5: GoogleFonts.qwigley(textStyle: textTheme.headline5),
      headline6: GoogleFonts.qwigley(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.qwigley(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.qwigley(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.qwigley(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.qwigley(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.qwigley(textStyle: textTheme.caption),
      button: GoogleFonts.qwigley(textStyle: textTheme.button),
      overline: GoogleFonts.qwigley(textStyle: textTheme.overline),
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextStyle racingSansOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd832218eb9f68c818398e21dff506b95b27cf9a0830a3866a204eb2d2044027a',
        96960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RacingSansOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Racing Sans One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Racing+Sans+One
  static TextTheme racingSansOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.racingSansOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.racingSansOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.racingSansOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.racingSansOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.racingSansOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.racingSansOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.racingSansOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.racingSansOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.racingSansOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.racingSansOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.racingSansOne(textStyle: textTheme.caption),
      button: GoogleFonts.racingSansOne(textStyle: textTheme.button),
      overline: GoogleFonts.racingSansOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Radley font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextStyle radley({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6793fc8150706eb473a493107e09c2e519147ccf8d28dea89f49427c0dca0481',
        47660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd01dd3f7b9c28e1f719a10c2a9dc88cd2827fcc64c09173e01e8b397f7615442',
        40760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Radley',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Radley font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Radley
  static TextTheme radleyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.radley(textStyle: textTheme.headline1),
      headline2: GoogleFonts.radley(textStyle: textTheme.headline2),
      headline3: GoogleFonts.radley(textStyle: textTheme.headline3),
      headline4: GoogleFonts.radley(textStyle: textTheme.headline4),
      headline5: GoogleFonts.radley(textStyle: textTheme.headline5),
      headline6: GoogleFonts.radley(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.radley(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.radley(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.radley(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.radley(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.radley(textStyle: textTheme.caption),
      button: GoogleFonts.radley(textStyle: textTheme.button),
      overline: GoogleFonts.radley(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextStyle rajdhani({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d3e322fc971c11dc62d2cb01d49ffb76c16b801c7811493250d84aa8f12fa3f',
        235652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '28d153f34f1ea3bd1abf9d6639f49ee9ee3b8b01badde2e32892146d8196b19a',
        234648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd0e11c0858bfd9226f322293328602ca2c5a89cec03fd80c333f933e0b26e653',
        232788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ab7a240fa08011c00222b91e955d71588ccf8d82ed43833580bf8a20082c836',
        232244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '01025724bc7898c86c82d19ae1779cb44ca7492a947094eb0249653e3d26850a',
        234596,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rajdhani',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rajdhani font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rajdhani
  static TextTheme rajdhaniTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rajdhani(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rajdhani(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rajdhani(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rajdhani(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rajdhani(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rajdhani(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rajdhani(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rajdhani(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rajdhani(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rajdhani(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rajdhani(textStyle: textTheme.caption),
      button: GoogleFonts.rajdhani(textStyle: textTheme.button),
      overline: GoogleFonts.rajdhani(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rakkas font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextStyle rakkas({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b55368f62b7541a21f5f2e81100067268567c036b1f9f1b1435d7f856475a9f5',
        91160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rakkas',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rakkas font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rakkas
  static TextTheme rakkasTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rakkas(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rakkas(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rakkas(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rakkas(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rakkas(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rakkas(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rakkas(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rakkas(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rakkas(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rakkas(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rakkas(textStyle: textTheme.caption),
      button: GoogleFonts.rakkas(textStyle: textTheme.button),
      overline: GoogleFonts.rakkas(textStyle: textTheme.overline),
    );
  }

  /// Applies the Raleway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextStyle raleway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8df4e8d960459bd5865f3570b57e6df699c766519716eef5e7875dfc55f60f8',
        132996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9593117176336e51cd9d5e6beece2916b11b6dd91127af0ec0e8c61360e1825d',
        105072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fd54bfbbfe5b0f9225c616bfaf9b554e22453bccec74ff721bfa2e156349515',
        133284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '020054507630a95da95e3be3a49fc214dbcfaf24390608c7a2b3d7f50f92d5d1',
        104972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7404c4efdcd985236d209c5c0c5e33de959f635b2c6e360941ba22f8753d88dc',
        133000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '66dc7bf66966029a73a06e1220a824348a0d1fced869b33b94384866a907b404',
        104376,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1aec65f5e5dca3ec9f8719936af31f54336bb5d99f25bf343ff25e009d5e569d',
        132488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7f67d86f99756ac80abbf4a03a41535ed9d8b077f56460fb30a9cd45ca561a22',
        103996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c263e938d69d7fcfb458613f3f273780c02bda6d38090fc8cb2244c06d0b0a3',
        133172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f794d63e5851c970d1f8527131022b8779e7f1aa8b8a974dcd0fdb49cd74270a',
        104476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '626bb691bbecebb8a239831c605068f546cdb97ae010463f2da45417e1741d82',
        131884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2884ba45cbb9cb0d03e03d9ff7ddaa586469062b6a0c7d9eedce5c300a8874b7',
        103200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d65094ca3a50e3e3078a2e46a4229f4552983b5f75ca1375acc7e5846dc40fb',
        131004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0d7f50973be9d011396bc034d6db727bd7c8bd04c394b691aae038666b286658',
        102236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8051619be163d93f0ff326ee63a4aed4a38042fb23c4b565f5e87408bb6948f5',
        130004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7da482be71166cee8c0006906b0e930f45a5c8d6e5324b479edde0024dee23bd',
        101848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5302665d52f11188ff3c3008199ce8ca17835eb68c7c7bbbff6175e39879178a',
        131992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8a5faa87c4f12461b775bf2c6693db562a932328b199affc9c16ea56206f534d',
        101876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Raleway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway
  static TextTheme ralewayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.raleway(textStyle: textTheme.headline1),
      headline2: GoogleFonts.raleway(textStyle: textTheme.headline2),
      headline3: GoogleFonts.raleway(textStyle: textTheme.headline3),
      headline4: GoogleFonts.raleway(textStyle: textTheme.headline4),
      headline5: GoogleFonts.raleway(textStyle: textTheme.headline5),
      headline6: GoogleFonts.raleway(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.raleway(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.raleway(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.raleway(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.raleway(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.raleway(textStyle: textTheme.caption),
      button: GoogleFonts.raleway(textStyle: textTheme.button),
      overline: GoogleFonts.raleway(textStyle: textTheme.overline),
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextStyle ralewayDots({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4b4b8ff2afb81e87d73fd84bb88f05e768029ed7d4f839078f82d515111ba83b',
        254512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RalewayDots',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Raleway Dots font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Raleway+Dots
  static TextTheme ralewayDotsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ralewayDots(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ralewayDots(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ralewayDots(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ralewayDots(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ralewayDots(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ralewayDots(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ralewayDots(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ralewayDots(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ralewayDots(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ralewayDots(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ralewayDots(textStyle: textTheme.caption),
      button: GoogleFonts.ralewayDots(textStyle: textTheme.button),
      overline: GoogleFonts.ralewayDots(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextStyle ramabhadra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f8ceda8c345cda5342d5ed25537f3c2a16bf4548f447746c5d7553cff470362c',
        329608,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramabhadra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramabhadra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramabhadra
  static TextTheme ramabhadraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ramabhadra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ramabhadra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ramabhadra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ramabhadra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ramabhadra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ramabhadra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ramabhadra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ramabhadra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ramabhadra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ramabhadra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ramabhadra(textStyle: textTheme.caption),
      button: GoogleFonts.ramabhadra(textStyle: textTheme.button),
      overline: GoogleFonts.ramabhadra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextStyle ramaraja({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d2ad7c6159f41c62bfca6dcad8df09173bd8915c107915bc3f035cedc1d00a6',
        496892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ramaraja',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ramaraja font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ramaraja
  static TextTheme ramarajaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ramaraja(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ramaraja(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ramaraja(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ramaraja(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ramaraja(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ramaraja(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ramaraja(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ramaraja(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ramaraja(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ramaraja(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ramaraja(textStyle: textTheme.caption),
      button: GoogleFonts.ramaraja(textStyle: textTheme.button),
      overline: GoogleFonts.ramaraja(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rambla font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextStyle rambla({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cc56fcd2e3777d5c3699b8db651965ee39a057e20813adb1a07b181a8511e65',
        34284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6486467dd0269443e3b474df8d13f8a02e42791674f0fcf5964b9ee8419cdbae',
        37096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3c855f5e3c26200aeb6e55a7d0bbf80b16fceb67ab65b97d50a788c68d315379',
        34640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f20b77570105aff68e4179538c4243221228d9f13bc6eb988847fdf6800b97b4',
        37324,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rambla',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rambla font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rambla
  static TextTheme ramblaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rambla(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rambla(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rambla(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rambla(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rambla(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rambla(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rambla(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rambla(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rambla(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rambla(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rambla(textStyle: textTheme.caption),
      button: GoogleFonts.rambla(textStyle: textTheme.button),
      overline: GoogleFonts.rambla(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextStyle rammettoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c98688de086da1f823bad61e527562aacacdd41a5cf8072e7c7d6c4fe3718dc6',
        30372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RammettoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rammetto One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rammetto+One
  static TextTheme rammettoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rammettoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rammettoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rammettoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rammettoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rammettoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rammettoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rammettoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rammettoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rammettoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rammettoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rammettoOne(textStyle: textTheme.caption),
      button: GoogleFonts.rammettoOne(textStyle: textTheme.button),
      overline: GoogleFonts.rammettoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rampart One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextStyle rampartOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a95de23f6169cd71a10becbefdfa6c86c56e87a293e285f16d3d31cfa2fd9415',
        3404536,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RampartOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rampart One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rampart+One
  static TextTheme rampartOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rampartOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rampartOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rampartOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rampartOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rampartOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rampartOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rampartOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rampartOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rampartOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rampartOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rampartOne(textStyle: textTheme.caption),
      button: GoogleFonts.rampartOne(textStyle: textTheme.button),
      overline: GoogleFonts.rampartOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ranchers font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextStyle ranchers({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee03833b1756509c106b58261df85478f7bd82ff2fd7ca6b4d5890de33cae655',
        121636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranchers',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranchers font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranchers
  static TextTheme ranchersTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ranchers(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ranchers(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ranchers(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ranchers(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ranchers(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ranchers(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ranchers(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ranchers(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ranchers(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ranchers(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ranchers(textStyle: textTheme.caption),
      button: GoogleFonts.ranchers(textStyle: textTheme.button),
      overline: GoogleFonts.ranchers(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rancho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextStyle rancho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2691ae7a785afc3443c02c1383179f3e510bbcbe3015a78c6b04b9a2ce719ea2',
        44424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rancho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rancho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rancho
  static TextTheme ranchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rancho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rancho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rancho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rancho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rancho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rancho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rancho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rancho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rancho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rancho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rancho(textStyle: textTheme.caption),
      button: GoogleFonts.rancho(textStyle: textTheme.button),
      overline: GoogleFonts.rancho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ranga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextStyle ranga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e51a6898e34d12bd9b9057002e645f176d30f5e821bfaa1ccc4e56294af7099a',
        119128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c5c763628e805a2af3c9deb68abd0b70227a98911f7ba56f4f8c2a3e8c286b96',
        127288,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ranga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ranga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ranga
  static TextTheme rangaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ranga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ranga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ranga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ranga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ranga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ranga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ranga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ranga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ranga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ranga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ranga(textStyle: textTheme.caption),
      button: GoogleFonts.ranga(textStyle: textTheme.button),
      overline: GoogleFonts.ranga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rasa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextStyle rasa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d1458902052379a4c442fe3c08dfb90a878e6187abc480b52afc11943431dd3',
        192536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5a933545a7d1e9a3ce0493c853f75c27dc067506d4c32398c0f724f726435cb',
        194280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5a6e10ca22dc5d39cb49a70330bb3f3b7dc5361feb0b59693284816acf3dc6d',
        193900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ce2031b3cd5dd01a2d4c96225c44fa6813df124cbf2f4f078c859e4e0abdd6d',
        194140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f756b8a84bfdccc709dbc00ba23c8852f077e23210d148b4a158e4feb7c1901e',
        193644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rasa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rasa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rasa
  static TextTheme rasaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rasa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rasa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rasa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rasa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rasa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rasa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rasa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rasa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rasa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rasa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rasa(textStyle: textTheme.caption),
      button: GoogleFonts.rasa(textStyle: textTheme.button),
      overline: GoogleFonts.rasa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rationale font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextStyle rationale({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be5538f847ecbac23916ea02bdabf914bbcb6d6d35c8ad538b227d6ab3efffee',
        44712,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rationale',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rationale font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rationale
  static TextTheme rationaleTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rationale(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rationale(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rationale(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rationale(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rationale(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rationale(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rationale(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rationale(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rationale(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rationale(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rationale(textStyle: textTheme.caption),
      button: GoogleFonts.rationale(textStyle: textTheme.button),
      overline: GoogleFonts.rationale(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextStyle raviPrakash({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1c97910a94c8297b0463611bff91a4178d5e555acd6915846dc0d34b7da5221',
        231772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RaviPrakash',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ravi Prakash font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ravi+Prakash
  static TextTheme raviPrakashTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.raviPrakash(textStyle: textTheme.headline1),
      headline2: GoogleFonts.raviPrakash(textStyle: textTheme.headline2),
      headline3: GoogleFonts.raviPrakash(textStyle: textTheme.headline3),
      headline4: GoogleFonts.raviPrakash(textStyle: textTheme.headline4),
      headline5: GoogleFonts.raviPrakash(textStyle: textTheme.headline5),
      headline6: GoogleFonts.raviPrakash(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.raviPrakash(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.raviPrakash(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.raviPrakash(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.raviPrakash(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.raviPrakash(textStyle: textTheme.caption),
      button: GoogleFonts.raviPrakash(textStyle: textTheme.button),
      overline: GoogleFonts.raviPrakash(textStyle: textTheme.overline),
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextStyle readexPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1ff81c5bd8852d47a37fbcdc97de9c716dc9842d6a6cd315b6dcfc1f615f201',
        93784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94c76b2ec6c38ad14f66f6f804ed820851b0a68d91ae4dc8dee5612a735cb335',
        93920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aacdc80c6130516d97653a2594ec45948955803e460dc9d1e99d1c150dbc9802',
        93472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93420ecad739c3e1e86242c0c8b9b85fa8902ecd259da133bc56903cb6d89fe2',
        93948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5aca7dd6ac13bc1f71c58649b7f313be35650fa9bd9ed84ff6b4cbdc21ad3fea',
        94084,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8b55243b5198d04c8b1931fbd06c99f033d72f338834bf9aaed5e2bfb60d821',
        94048,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReadexPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Readex Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Readex+Pro
  static TextTheme readexProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.readexPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.readexPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.readexPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.readexPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.readexPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.readexPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.readexPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.readexPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.readexPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.readexPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.readexPro(textStyle: textTheme.caption),
      button: GoogleFonts.readexPro(textStyle: textTheme.button),
      overline: GoogleFonts.readexPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Recursive font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextStyle recursive({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c0847d0ce19141b62404037e0e538fa4188b661e8f713e7e6fbd0e43b5659d2b',
        109496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8ddab815f7bb04362f167840c2e94628e2a2353e7c2d01ac761e1b66731423c0',
        109588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a14d6b88d6c6a0a0cb04cada3bcc337d4ceb2b27aa3b619ca1b5ef2628f5277',
        109576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77d39252fcfe666b638bbd040852805d82047fb2fc9748fdc4f9edd3ebb81854',
        109616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd091e69dc6d59217184d52e679acf2a566d8d83717fa05f0d13942f64051c85d',
        109516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7212a09cda61d996e3c5d2c4b08fd097d1fd0ac10597b533197f251ad4f3085a',
        109544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a704e1c9c987cd117cb0878ca3f9895235fd16eace4859f428b8da348516211',
        109628,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Recursive',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Recursive font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Recursive
  static TextTheme recursiveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.recursive(textStyle: textTheme.headline1),
      headline2: GoogleFonts.recursive(textStyle: textTheme.headline2),
      headline3: GoogleFonts.recursive(textStyle: textTheme.headline3),
      headline4: GoogleFonts.recursive(textStyle: textTheme.headline4),
      headline5: GoogleFonts.recursive(textStyle: textTheme.headline5),
      headline6: GoogleFonts.recursive(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.recursive(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.recursive(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.recursive(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.recursive(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.recursive(textStyle: textTheme.caption),
      button: GoogleFonts.recursive(textStyle: textTheme.button),
      overline: GoogleFonts.recursive(textStyle: textTheme.overline),
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextStyle redHatDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '675f7abfa369dc6992d9baf79751a6887711f613b7b4783502dbc42d135ad755',
        36544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2e8b90fd9cbce501f652d35b743083be439853e2ee98669ec4885ca518c7fb30',
        36960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93f27cfcf7823481e7194e5feb84bb5724ae4d872ae2d45469fe2732eb1ffbba',
        36388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fde77be04a3ff0a0162557ffb4a34ea35bfc2b6d6221ea52f4784ee861d23115',
        37004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7897d54780c1af5e3be81c46c850d6cf5cab921a6d3b9b6f01bc53832a8fba74',
        36436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d663aae94b1599f6acc3c66f68bd11753c1f0065a6dfd808229663939991c88',
        36884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3fa64617097c3954eacdd21e4502eb79d00053e29ca37b5e0047cf0e3d49aaa',
        36364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ea4b150dc2f0ba9a550b1a93217bc8dd275a6534aca092096abff10a4751dab1',
        36832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Display
  static TextTheme redHatDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redHatDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redHatDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redHatDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redHatDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redHatDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redHatDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redHatDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redHatDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redHatDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redHatDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.redHatDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.redHatDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextStyle redHatMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e05fc3011f302b6e3c2292127db74fe9d067d36713bf76662ff59db69003579c',
        28456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f8da88f0c1651bbde8335833ae487ecedbba17e3ec4bcf1c65bd7e3ad013b76',
        28424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45be09d20cd6c059095788a45bc17657c703d8f9a1c4fbd7fa1a8b884614ea4e',
        28408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cda5dfc79ba280b863c192d6ca5b0efee1f6efa1fd3329d2c91b0882f0fe2a89',
        28424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd1f40906dad773e94e99e1d66f2320da98bf0407b4f06215fe2e6938221a532b',
        28312,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05637d221f33da3dcbf57299d713832d0f084989d7fbff01de62b12e38db06c6',
        30092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f9895b1f3bcda566a49321d4cd9219a6473d443f0bcb8c7bea653d032a1a973',
        29884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da195253316039cbbd35b20f28a52496f02e86e6f3f3c7561bee4268ba59972f',
        30012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '03de7390d819ca94ae381dd8f7d017da2a66bb2404a474d0499c00292cdf3716',
        30036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9d0e6410afaa5ef717234f82c2270f119a6541305587360675b1f023ebfee8bb',
        29928,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Mono
  static TextTheme redHatMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redHatMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redHatMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redHatMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redHatMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redHatMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redHatMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redHatMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redHatMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redHatMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redHatMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redHatMono(textStyle: textTheme.caption),
      button: GoogleFonts.redHatMono(textStyle: textTheme.button),
      overline: GoogleFonts.redHatMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextStyle redHatText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d9ffb6cd7ed3ba3a171dc3f14fc4f0ee80d0bcc276de998f2d1856e2e4c46bc',
        36580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c25033ec3d2ae9b4a79da58b3a841070303dba586f0797ab0d60afcd8d5e6708',
        37152,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e6613e0c2b79e3e7adfce20e339e92aa65b3b932d8daed7102603d8a7e05352',
        36568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '492f537d5c3ba80c637f66cd970d7ab47e7cdf85b3daa0783ae5b96ea8a95770',
        37092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0ed0cf791ad1be4c2b900b22803db61988f37e96e044682319e45bce7a859b91',
        36524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'be2de719ea5a677cf21fed0bf32ac84f816db39db4d91e04de07bd8bfcf2d8d7',
        36912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedHatText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Hat Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Hat+Text
  static TextTheme redHatTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redHatText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redHatText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redHatText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redHatText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redHatText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redHatText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redHatText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redHatText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redHatText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redHatText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redHatText(textStyle: textTheme.caption),
      button: GoogleFonts.redHatText(textStyle: textTheme.button),
      overline: GoogleFonts.redHatText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Red Rose font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextStyle redRose({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c2043da6d63c0299d2d8ccc4aec25f1f3a80e1db46d3736df80c20d134f760db',
        57608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1540a59bbedb077165aecc6d9b229fec9477b8a2274795dca54587304d9d525c',
        57568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad118319928f083841c48d97b66f1df3e2c733f9278f06ca9d1665c9155b1fc4',
        57552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '11c8e1caee1164b286a7c7899bd6c0cc8947757b96aa7752783d78b7f0a7dbc1',
        57560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c8dde6b08d14342f87332f1f35153250826cf1fae75cbea3d51fe11137dcf822',
        57524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedRose',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Red Rose font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Red+Rose
  static TextTheme redRoseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redRose(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redRose(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redRose(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redRose(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redRose(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redRose(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redRose(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redRose(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redRose(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redRose(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redRose(textStyle: textTheme.caption),
      button: GoogleFonts.redRose(textStyle: textTheme.button),
      overline: GoogleFonts.redRose(textStyle: textTheme.overline),
    );
  }

  /// Applies the Redacted font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextStyle redacted({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98855c0fe481273f4b5f5fcda64c44175fd16a637789fd95db79e7ced9e2619b',
        11404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redacted',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted
  static TextTheme redactedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redacted(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redacted(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redacted(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redacted(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redacted(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redacted(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redacted(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redacted(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redacted(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redacted(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redacted(textStyle: textTheme.caption),
      button: GoogleFonts.redacted(textStyle: textTheme.button),
      overline: GoogleFonts.redacted(textStyle: textTheme.overline),
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextStyle redactedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c79cec103a265aeea788cebf49bdc27262bffa750a6256c9d7182de5f893bbe8',
        70708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f83efb0ab58447599c0e2911f6f333e56522615257c62e1861daf9bd928c010a',
        70188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '055328444ad9d18a12efe5f4940da8298593db390320ab58b3c3b0a3610fe6e0',
        68168,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RedactedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redacted Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redacted+Script
  static TextTheme redactedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redactedScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redactedScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redactedScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redactedScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redactedScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redactedScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redactedScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redactedScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redactedScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redactedScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redactedScript(textStyle: textTheme.caption),
      button: GoogleFonts.redactedScript(textStyle: textTheme.button),
      overline: GoogleFonts.redactedScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Redressed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextStyle redressed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b7da182df7a86a14b448d200c3efd866dca0885111c28fce6449cf8aef103e77',
        78804,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Redressed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Redressed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Redressed
  static TextTheme redressedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.redressed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.redressed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.redressed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.redressed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.redressed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.redressed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.redressed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.redressed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.redressed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.redressed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.redressed(textStyle: textTheme.caption),
      button: GoogleFonts.redressed(textStyle: textTheme.button),
      overline: GoogleFonts.redressed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextStyle reemKufi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea139970598b2fe720c5ddab2a0e2483460759bc626931104aa1adb9c4ef6b9a',
        58312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReemKufi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reem Kufi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reem+Kufi
  static TextTheme reemKufiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.reemKufi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.reemKufi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.reemKufi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.reemKufi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.reemKufi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.reemKufi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.reemKufi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.reemKufi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.reemKufi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.reemKufi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.reemKufi(textStyle: textTheme.caption),
      button: GoogleFonts.reemKufi(textStyle: textTheme.button),
      overline: GoogleFonts.reemKufi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextStyle reenieBeanie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3bc036be5570dcb23bf8f01f888f56bc55c5e3606875bdd2bb8afd3ebb48d2a6',
        88956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReenieBeanie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reenie Beanie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reenie+Beanie
  static TextTheme reenieBeanieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.reenieBeanie(textStyle: textTheme.headline1),
      headline2: GoogleFonts.reenieBeanie(textStyle: textTheme.headline2),
      headline3: GoogleFonts.reenieBeanie(textStyle: textTheme.headline3),
      headline4: GoogleFonts.reenieBeanie(textStyle: textTheme.headline4),
      headline5: GoogleFonts.reenieBeanie(textStyle: textTheme.headline5),
      headline6: GoogleFonts.reenieBeanie(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.reenieBeanie(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.reenieBeanie(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.reenieBeanie(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.reenieBeanie(textStyle: textTheme.caption),
      button: GoogleFonts.reenieBeanie(textStyle: textTheme.button),
      overline: GoogleFonts.reenieBeanie(textStyle: textTheme.overline),
    );
  }

  /// Applies the Reggae One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextStyle reggaeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fdc7e0a8a20600b42a69debf01a0ead15a76a7dbb145a956a3a5b8e20d476fb1',
        1967936,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ReggaeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Reggae One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Reggae+One
  static TextTheme reggaeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.reggaeOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.reggaeOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.reggaeOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.reggaeOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.reggaeOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.reggaeOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.reggaeOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.reggaeOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.reggaeOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.reggaeOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.reggaeOne(textStyle: textTheme.caption),
      button: GoogleFonts.reggaeOne(textStyle: textTheme.button),
      overline: GoogleFonts.reggaeOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Revalia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextStyle revalia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b093f6aebb81a6ee15d476875815645a7d5544b359370f2565d91a77dfa8d3e6',
        34108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Revalia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Revalia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Revalia
  static TextTheme revaliaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.revalia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.revalia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.revalia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.revalia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.revalia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.revalia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.revalia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.revalia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.revalia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.revalia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.revalia(textStyle: textTheme.caption),
      button: GoogleFonts.revalia(textStyle: textTheme.button),
      overline: GoogleFonts.revalia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextStyle rhodiumLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c5b10db8b1e6bcf720d3a76cdf51a5dc63ec9f1a7115e777e07921fa2b738e6',
        154452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RhodiumLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rhodium Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rhodium+Libre
  static TextTheme rhodiumLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rhodiumLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rhodiumLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rhodiumLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rhodiumLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rhodiumLibre(textStyle: textTheme.caption),
      button: GoogleFonts.rhodiumLibre(textStyle: textTheme.button),
      overline: GoogleFonts.rhodiumLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ribeye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextStyle ribeye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fe858f86a4e9a56b2a520c8f615ee7dd682f4a2fed5b8033405258755e1105e',
        78076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ribeye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye
  static TextTheme ribeyeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ribeye(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ribeye(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ribeye(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ribeye(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ribeye(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ribeye(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ribeye(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ribeye(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ribeye(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ribeye(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ribeye(textStyle: textTheme.caption),
      button: GoogleFonts.ribeye(textStyle: textTheme.button),
      overline: GoogleFonts.ribeye(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextStyle ribeyeMarrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c246f9f2e382d8da82319762b401df8a1426fa767b74d168f0d1abca33fdd43d',
        84848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RibeyeMarrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ribeye Marrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ribeye+Marrow
  static TextTheme ribeyeMarrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ribeyeMarrow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ribeyeMarrow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ribeyeMarrow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ribeyeMarrow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ribeyeMarrow(textStyle: textTheme.caption),
      button: GoogleFonts.ribeyeMarrow(textStyle: textTheme.button),
      overline: GoogleFonts.ribeyeMarrow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Righteous font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextStyle righteous({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b40fb221f7d3d9f9d2681d60785245f09112b91485a2380235241e647b852428',
        43104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Righteous',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Righteous font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Righteous
  static TextTheme righteousTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.righteous(textStyle: textTheme.headline1),
      headline2: GoogleFonts.righteous(textStyle: textTheme.headline2),
      headline3: GoogleFonts.righteous(textStyle: textTheme.headline3),
      headline4: GoogleFonts.righteous(textStyle: textTheme.headline4),
      headline5: GoogleFonts.righteous(textStyle: textTheme.headline5),
      headline6: GoogleFonts.righteous(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.righteous(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.righteous(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.righteous(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.righteous(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.righteous(textStyle: textTheme.caption),
      button: GoogleFonts.righteous(textStyle: textTheme.button),
      overline: GoogleFonts.righteous(textStyle: textTheme.overline),
    );
  }

  /// Applies the Risque font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextStyle risque({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f8b847245100d0b265af4b51f5155b82e072ba6124a272762a8868071c2e9a8',
        58976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Risque',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Risque font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Risque
  static TextTheme risqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.risque(textStyle: textTheme.headline1),
      headline2: GoogleFonts.risque(textStyle: textTheme.headline2),
      headline3: GoogleFonts.risque(textStyle: textTheme.headline3),
      headline4: GoogleFonts.risque(textStyle: textTheme.headline4),
      headline5: GoogleFonts.risque(textStyle: textTheme.headline5),
      headline6: GoogleFonts.risque(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.risque(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.risque(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.risque(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.risque(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.risque(textStyle: textTheme.caption),
      button: GoogleFonts.risque(textStyle: textTheme.button),
      overline: GoogleFonts.risque(textStyle: textTheme.overline),
    );
  }

  /// Applies the Road Rage font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextStyle roadRage({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17d38a5696972af5f30f9766fb105a4dbe912315be435c71bc1663d494063af6',
        425896,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RoadRage',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Road Rage font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Road+Rage
  static TextTheme roadRageTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.roadRage(textStyle: textTheme.headline1),
      headline2: GoogleFonts.roadRage(textStyle: textTheme.headline2),
      headline3: GoogleFonts.roadRage(textStyle: textTheme.headline3),
      headline4: GoogleFonts.roadRage(textStyle: textTheme.headline4),
      headline5: GoogleFonts.roadRage(textStyle: textTheme.headline5),
      headline6: GoogleFonts.roadRage(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.roadRage(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.roadRage(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.roadRage(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.roadRage(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.roadRage(textStyle: textTheme.caption),
      button: GoogleFonts.roadRage(textStyle: textTheme.button),
      overline: GoogleFonts.roadRage(textStyle: textTheme.overline),
    );
  }

  /// Applies the Roboto font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextStyle roboto({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e735762739638d19335103f8e7a343545560f4b2265fd35a4f0f516f512a7760',
        109484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'aece4c53901fff188a2cb1aab1024ea53b459e2181d47d9b3700c13d33ade89e',
        116036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1bd6e2cc14a33517018f1bbfdc878cb18e7894f39fc7c36436ae18440621e7',
        108652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0810007c837dfd034071c166e5f3ed111b0180b2f6af17a5c14e006a8e05784f',
        115656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '030868028bda24a27a45e0be44c8ae15544762b94f80da746c8b8a1c05f8e952',
        107800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6a79346603274d80f27fb4de32a0e7a60f62c53c8069df2750e79b8f10e30649',
        114644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '388ace661d10e5756d4de58035d6687cf35c0b11c8185b098468741ca2e8a6d4',
        109344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '257c7750d0c1570dc2324571f2998d43e18649848595361a6b136bb0d3d2efb2',
        116372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba3855457bdc103784c39219f0ce666683084df07dbd7eb7d8c35a40cf8f1c8b',
        109712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8c9936227e9fe936594819bbf4aa9a26d9b044f0b440800a4ade3e3e749f54aa',
        116424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1ba74d13db1b16771b1d8e705e4c9282ef1d09492783304ebc025adb6ba1914',
        109832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a4c423dcbda812fa36cb0325f3aad0fd9847e8a5b0a26f31094db0666e721c8c',
        116668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Roboto',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto
  static TextTheme robotoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.roboto(textStyle: textTheme.headline1),
      headline2: GoogleFonts.roboto(textStyle: textTheme.headline2),
      headline3: GoogleFonts.roboto(textStyle: textTheme.headline3),
      headline4: GoogleFonts.roboto(textStyle: textTheme.headline4),
      headline5: GoogleFonts.roboto(textStyle: textTheme.headline5),
      headline6: GoogleFonts.roboto(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.roboto(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.roboto(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.roboto(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.roboto(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.roboto(textStyle: textTheme.caption),
      button: GoogleFonts.roboto(textStyle: textTheme.button),
      overline: GoogleFonts.roboto(textStyle: textTheme.overline),
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextStyle robotoCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '779b7e4fc31ca5d743e125a1799e9c79dc6ac4ec6e87ca8668ddbe5a157114d7',
        107676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f3f74b2f03d3c52f24982b0c06b087165cebeeff210f3db18314a3cede24d9c5',
        115124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0e62c76df9173512c94484b3994d83d2b4648dadb8ea6104f3656a3b60f25bc',
        106992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '271bd0834c4b4fdb5c9c023bbb4067bb29b29e248cd45f845be792f649d30934',
        114324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75a8116fe33c85a153cc824951286cc88ea5c5278e72f1ad56bf94693e9302e7',
        108832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6aeda8628b19ddf4671e2e3710998ea138a2cd845f54640bb82f89acad0bbaf6',
        115668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Condensed
  static TextTheme robotoCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.robotoCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.robotoCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.robotoCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.robotoCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.robotoCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.robotoCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.robotoCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.robotoCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.robotoCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.robotoCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.robotoCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.robotoCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextStyle robotoMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e54b0e2606a8e454e92c100a791d8b71811e052d42fe4b32896466b8f0be270e',
        85128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3eb07be624d5ec7a80bcb5820f19fe80008142212ee07cfa2bf9a5b70f94a6a2',
        87936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1c9d3d466aab107a76ff737ac20edaf327476dbcc6c6dbd77a00094bc79727bf',
        82784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0f72866d63d772ac722b847dfc2d8ae72d00e74b69f1b95374f6f71677a4cb05',
        87832,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3284818a33743fb9474240557d229c111ec2b584d14913e5d32af7b74487458',
        80684,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3d8daba697d824c67c2e385af80a546763d80262785e6adb2e681c714782fb22',
        86816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c451bd3c919883e57c526d2c2bfa3e98dfd63411a8b872828891908ba78ad63b',
        80120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e78535fb7ee0b0f96d74454e5c73e28c62d48423449a97f0d749ec7c920fa921',
        86724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '107b5dac259223182470928048382c0cef0d4b668d0775ac03c0a44c847ea2c7',
        80304,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6551cac967c818689406cd0ca591d8a251a88cbff6790b5ea3c0e3aa2f541668',
        86788,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Mono
  static TextTheme robotoMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.robotoMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.robotoMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.robotoMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.robotoMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.robotoMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.robotoMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.robotoMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.robotoMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.robotoMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.robotoMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.robotoMono(textStyle: textTheme.caption),
      button: GoogleFonts.robotoMono(textStyle: textTheme.button),
      overline: GoogleFonts.robotoMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextStyle robotoSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '39d17021e49dab28b629d9c337f6d659da0a8b37bbfb8ae5ccfe9ee8f8d16878',
        109020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b6bad2cf6f07f140e117c46893165483ad9dd034a75a4a090f1d9825992210e',
        109636,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '89c16ab4d99ac752daea2ecf31af3aae669305b909e558170bafd48dc9b8b9aa',
        107180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e87e906df2d8d66b24a131bef23415760d6d2afee657275eb91f1a3a5e5dcb5e',
        108520,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RobotoSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Roboto Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Roboto+Slab
  static TextTheme robotoSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.robotoSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.robotoSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.robotoSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.robotoSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.robotoSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.robotoSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.robotoSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.robotoSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.robotoSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.robotoSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.robotoSlab(textStyle: textTheme.caption),
      button: GoogleFonts.robotoSlab(textStyle: textTheme.button),
      overline: GoogleFonts.robotoSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rochester font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextStyle rochester({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3497dd76e37f779c2ea2d2d0ae96b0cbf2170cec9ad27c806d0b3b31c859ee13',
        37824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rochester',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rochester font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rochester
  static TextTheme rochesterTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rochester(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rochester(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rochester(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rochester(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rochester(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rochester(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rochester(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rochester(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rochester(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rochester(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rochester(textStyle: textTheme.caption),
      button: GoogleFonts.rochester(textStyle: textTheme.button),
      overline: GoogleFonts.rochester(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rock 3D font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+3D
  static TextStyle rock3d({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74ce831aa44048004165655d63cfeb2e51d974c8139222143a00804f6d026666',
        443884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rock3D',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rock 3D font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+3D
  static TextTheme rock3dTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rock3d(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rock3d(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rock3d(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rock3d(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rock3d(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rock3d(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rock3d(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rock3d(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rock3d(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rock3d(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rock3d(textStyle: textTheme.caption),
      button: GoogleFonts.rock3d(textStyle: textTheme.button),
      overline: GoogleFonts.rock3d(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextStyle rockSalt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f806681f8229dcdbd4eecfbadbbba02c5db0e98796d6996917c01a006376910f',
        117412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RockSalt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rock Salt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rock+Salt
  static TextTheme rockSaltTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rockSalt(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rockSalt(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rockSalt(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rockSalt(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rockSalt(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rockSalt(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rockSalt(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rockSalt(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rockSalt(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rockSalt(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rockSalt(textStyle: textTheme.caption),
      button: GoogleFonts.rockSalt(textStyle: textTheme.button),
      overline: GoogleFonts.rockSalt(textStyle: textTheme.overline),
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextStyle rocknRollOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cdcc10fc45f98cebb612d3cb9044fdc4895fba8b8559e724435e66d154d313f6',
        2463944,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RocknRollOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the RocknRoll One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/RocknRoll+One
  static TextTheme rocknRollOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rocknRollOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rocknRollOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rocknRollOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rocknRollOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rocknRollOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rocknRollOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rocknRollOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rocknRollOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rocknRollOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rocknRollOne(textStyle: textTheme.caption),
      button: GoogleFonts.rocknRollOne(textStyle: textTheme.button),
      overline: GoogleFonts.rocknRollOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextStyle rokkitt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a0a1b138370aa3841a848edde26bd7045ac2a5a0f13a513b247417c3489811c',
        59248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '840d357a7d06133d859000a071917c4ea92f02d0f001f247137046392166ff1b',
        59120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19b250411cba0e1bc39378cf1e47ecbd217b7b52e845159655611f9cce3f016f',
        58996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd605b424de78054bd585518d8a4e136ab863ab5f3110ee43cb0745bca0f94eb3',
        59040,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3ce457383a5f17f5736ecff7d423f0d5e1f10ba000e7a78145fef0d293439c7',
        58848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '710018ab00f1b7534021eb425d0afa5cd1ccc82a3d91a174d7f359afac93f384',
        58800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76808b96844704a6d75bee1943315ea236557fc6fb1a239ec5fcee6f9c5fcd58',
        58648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1e99689267ca0778d003215820f88badff6b9986410c8b9d07d2c857c6e04beb',
        58464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a8cf419d654432575866170e1d718f434f7f5cfa52673194ae8fc3d08cbefe92',
        58212,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rokkitt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rokkitt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rokkitt
  static TextTheme rokkittTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rokkitt(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rokkitt(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rokkitt(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rokkitt(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rokkitt(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rokkitt(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rokkitt(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rokkitt(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rokkitt(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rokkitt(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rokkitt(textStyle: textTheme.caption),
      button: GoogleFonts.rokkitt(textStyle: textTheme.button),
      overline: GoogleFonts.rokkitt(textStyle: textTheme.overline),
    );
  }

  /// Applies the Romanesco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextStyle romanesco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d69cd23e2f9e72bfe24b40e81d3301f35d942aa11864ee86d116da929e93a27',
        52112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Romanesco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Romanesco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Romanesco
  static TextTheme romanescoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.romanesco(textStyle: textTheme.headline1),
      headline2: GoogleFonts.romanesco(textStyle: textTheme.headline2),
      headline3: GoogleFonts.romanesco(textStyle: textTheme.headline3),
      headline4: GoogleFonts.romanesco(textStyle: textTheme.headline4),
      headline5: GoogleFonts.romanesco(textStyle: textTheme.headline5),
      headline6: GoogleFonts.romanesco(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.romanesco(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.romanesco(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.romanesco(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.romanesco(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.romanesco(textStyle: textTheme.caption),
      button: GoogleFonts.romanesco(textStyle: textTheme.button),
      overline: GoogleFonts.romanesco(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextStyle ropaSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ded2bcc06059fc1d86ad77aedff4ca5827287da7e5d969867d190f24ce2c5916',
        39140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0fc33e982fa4003ec3947ef040bddfed3e33ad447086af587ee5ed6cc4ef4fac',
        41796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RopaSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ropa Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ropa+Sans
  static TextTheme ropaSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ropaSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ropaSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ropaSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ropaSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ropaSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ropaSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ropaSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ropaSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ropaSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ropaSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ropaSans(textStyle: textTheme.caption),
      button: GoogleFonts.ropaSans(textStyle: textTheme.button),
      overline: GoogleFonts.ropaSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rosario font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextStyle rosario({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc6413573a989dcba9ee4d0b7670f9eb53c458ddefc205ef6e0bd1e1c0be395e',
        44412,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f099b91c7f453830c2471e0be3a576f1f58943f343e98b2d994a8f195364e51f',
        44488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eba2172f0e05afe4e99a14d3a265d3f334e6110105c10842f43387dc99341df6',
        25204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2fde400ab1655e1710a53bca2ab413a1504a54748fcac3b8ffea6135f4b8aabb',
        45640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosario',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosario font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosario
  static TextTheme rosarioTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rosario(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rosario(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rosario(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rosario(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rosario(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rosario(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rosario(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rosario(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rosario(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rosario(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rosario(textStyle: textTheme.caption),
      button: GoogleFonts.rosario(textStyle: textTheme.button),
      overline: GoogleFonts.rosario(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextStyle rosarivo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd5878b2fc902263df1fa49b327526cf9d20d935600e9d19b05ed00453639dd2e',
        41296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0decb12337d01f7da972a8999c759b44d150a6b4da6f78459c1fc7732df0e5ea',
        39196,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rosarivo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rosarivo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rosarivo
  static TextTheme rosarivoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rosarivo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rosarivo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rosarivo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rosarivo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rosarivo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rosarivo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rosarivo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rosarivo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rosarivo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rosarivo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rosarivo(textStyle: textTheme.caption),
      button: GoogleFonts.rosarivo(textStyle: textTheme.button),
      overline: GoogleFonts.rosarivo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextStyle rougeScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fda390dca3b917e1245ea6c06da950ec2a4d3ee0f5b6d3c128c0049f2a6bc5bd',
        46704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RougeScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rouge Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rouge+Script
  static TextTheme rougeScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rougeScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rougeScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rougeScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rougeScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rougeScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rougeScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rougeScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rougeScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rougeScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rougeScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rougeScript(textStyle: textTheme.caption),
      button: GoogleFonts.rougeScript(textStyle: textTheme.button),
      overline: GoogleFonts.rougeScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rowdies font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextStyle rowdies({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '521cbb7d3827c8c6e287e95b4ebc5245d0f619161ff0340a8cb75f6dfeb5c925',
        50616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38dce656a3831d089bb60fd9bbc7938c4c224edc533369ed23fbbdb9c565039f',
        50336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '935ab7e6d8f6852bf5576b7bc790b61b094794be5975bb6bdfe28c2222216217',
        50268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rowdies',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rowdies font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rowdies
  static TextTheme rowdiesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rowdies(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rowdies(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rowdies(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rowdies(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rowdies(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rowdies(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rowdies(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rowdies(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rowdies(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rowdies(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rowdies(textStyle: textTheme.caption),
      button: GoogleFonts.rowdies(textStyle: textTheme.button),
      overline: GoogleFonts.rowdies(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rozha One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextStyle rozhaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f19c35bdc6cdb6ad7f6251e42e4bd0c4e43757cb71b9ecd26421f1fac039d1ef',
        197988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RozhaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rozha One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rozha+One
  static TextTheme rozhaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rozhaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rozhaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rozhaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rozhaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rozhaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rozhaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rozhaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rozhaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rozhaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rozhaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rozhaOne(textStyle: textTheme.caption),
      button: GoogleFonts.rozhaOne(textStyle: textTheme.button),
      overline: GoogleFonts.rozhaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rubik font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextStyle rubik({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd06ee1ddd9a38ecea7c204c94d69e670e155c7e5f6b9ca5bdbbc851871397569',
        106476,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '39eb0e8cc0f4f0f949cd7ab1192004ad43fa616ab0ba09ba2f1c5e975b6ed29f',
        109452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1441b864d5f661c6ad072120b1ee340e6c799fab34f7d408ec3fbf11f41f3ea0',
        110876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1daca2e29940a75b3f1d4f3d7bb0356f63332d3013133093e3a75295dcdaf781',
        113204,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '334711470701a9df2e7c93bcc418d6d16e8844ed0bf4ae4411f588cdb913869a',
        110968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '131d5d182158888dbccfcf0de7726b6a878bdb7eb60bbc96fb8a42561abc6b8c',
        113252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '395804d64aff5eda80de3c9e8fc2ffe482af2f6483707546f9fb8c3b14e747d9',
        110580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7dc9a621668992ae25fd33cb83bc658c0bd8e2068c92524544164c3ba79737b6',
        113060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f660cd5e361c3f00ea913d713f53325c9248887d961ee7a130335fc796750fff',
        108720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1e373f9418d94e2ae6e4b31972520bf13c7b93e0811f8621d0ce8d72e0576c9b',
        111512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rubik',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik
  static TextTheme rubikTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rubik(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rubik(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rubik(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rubik(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rubik(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rubik(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rubik(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rubik(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rubik(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rubik(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rubik(textStyle: textTheme.caption),
      button: GoogleFonts.rubik(textStyle: textTheme.button),
      overline: GoogleFonts.rubik(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextStyle rubikBeastly({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab7fb3767614b461bb31dee844485f5550ecb9db482fbf132ea02edabc3ba195',
        486340,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikBeastly',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Beastly font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Beastly
  static TextTheme rubikBeastlyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rubikBeastly(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rubikBeastly(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rubikBeastly(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rubikBeastly(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rubikBeastly(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rubikBeastly(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rubikBeastly(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rubikBeastly(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rubikBeastly(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rubikBeastly(textStyle: textTheme.caption),
      button: GoogleFonts.rubikBeastly(textStyle: textTheme.button),
      overline: GoogleFonts.rubikBeastly(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextStyle rubikMonoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7309c62b1b75116a4ed60639db8643e8bf50f3f4ed2f798823b2eb3b1f2a225',
        76472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RubikMonoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rubik Mono One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rubik+Mono+One
  static TextTheme rubikMonoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rubikMonoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rubikMonoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rubikMonoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rubikMonoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rubikMonoOne(textStyle: textTheme.caption),
      button: GoogleFonts.rubikMonoOne(textStyle: textTheme.button),
      overline: GoogleFonts.rubikMonoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ruda font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextStyle ruda({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a254aa475c3646075b11d4e1a7db06d96c2f16a001e31943133c66d6bbe7558d',
        24500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af38ec0bb3b6d599d8ad3f56b0f6f3fb81bd7dfd3234fd8f9dbaaf5029c0b2ab',
        24336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0a25461d4ccbfb0f3a77a33f66143f8474a3eccfbee06850f5e778bf29216894',
        24284,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruda',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruda font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruda
  static TextTheme rudaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ruda(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ruda(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ruda(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ruda(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ruda(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ruda(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ruda(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ruda(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ruda(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ruda(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ruda(textStyle: textTheme.caption),
      button: GoogleFonts.ruda(textStyle: textTheme.button),
      overline: GoogleFonts.ruda(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rufina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextStyle rufina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '13bca1c6fdd801a76033b1400e39b72e91e0afb66bbfe9c7949ba573a2fef8dd',
        39992,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dde1bdffc799ca56ee0f9a9f0386b734acc2abff4459d9ac91da48b589078fb6',
        40008,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rufina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rufina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rufina
  static TextTheme rufinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rufina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rufina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rufina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rufina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rufina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rufina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rufina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rufina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rufina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rufina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rufina(textStyle: textTheme.caption),
      button: GoogleFonts.rufina(textStyle: textTheme.button),
      overline: GoogleFonts.rufina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextStyle rugeBoogie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91717da896d2b742035d5a0b0ba8e6e4eb616fa3040d3ba55be14c2e92b1aa8f',
        63488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RugeBoogie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruge Boogie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruge+Boogie
  static TextTheme rugeBoogieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rugeBoogie(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rugeBoogie(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rugeBoogie(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rugeBoogie(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rugeBoogie(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rugeBoogie(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rugeBoogie(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rugeBoogie(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rugeBoogie(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rugeBoogie(textStyle: textTheme.caption),
      button: GoogleFonts.rugeBoogie(textStyle: textTheme.button),
      overline: GoogleFonts.rugeBoogie(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ruluko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextStyle ruluko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '518872494d9916ac67c11f0d33a4e68e70201fcd2c5edc6925985bfb1a22a9c4',
        27388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruluko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruluko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruluko
  static TextTheme rulukoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ruluko(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ruluko(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ruluko(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ruluko(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ruluko(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ruluko(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ruluko(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ruluko(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ruluko(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ruluko(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ruluko(textStyle: textTheme.caption),
      button: GoogleFonts.ruluko(textStyle: textTheme.button),
      overline: GoogleFonts.ruluko(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextStyle rumRaisin({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15dd5f0a1c1162127387747b68fb4d16c6eebbc6ee30b8af755f7898ea9494fa',
        61396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RumRaisin',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rum Raisin font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rum+Raisin
  static TextTheme rumRaisinTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rumRaisin(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rumRaisin(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rumRaisin(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rumRaisin(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rumRaisin(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rumRaisin(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rumRaisin(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rumRaisin(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rumRaisin(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rumRaisin(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rumRaisin(textStyle: textTheme.caption),
      button: GoogleFonts.rumRaisin(textStyle: textTheme.button),
      overline: GoogleFonts.rumRaisin(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextStyle ruslanDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ed18797941421375fffab1522b84e81a16d399abe36964f4f3278683b1dc29f',
        57264,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RuslanDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruslan Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruslan+Display
  static TextTheme ruslanDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ruslanDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ruslanDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ruslanDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ruslanDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ruslanDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.ruslanDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.ruslanDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Russo One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextStyle russoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '42938246c94ba396145f46606ca60fd6409d6626953609dbd587a50757963337',
        38636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'RussoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Russo One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Russo+One
  static TextTheme russoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.russoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.russoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.russoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.russoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.russoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.russoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.russoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.russoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.russoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.russoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.russoOne(textStyle: textTheme.caption),
      button: GoogleFonts.russoOne(textStyle: textTheme.button),
      overline: GoogleFonts.russoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ruthie font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextStyle ruthie({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '07b0c223b1890d96133629bd33f84988e27371098aac4a68a738cb05f15ce183',
        57160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ruthie',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ruthie font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ruthie
  static TextTheme ruthieTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ruthie(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ruthie(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ruthie(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ruthie(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ruthie(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ruthie(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ruthie(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ruthie(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ruthie(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ruthie(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ruthie(textStyle: textTheme.caption),
      button: GoogleFonts.ruthie(textStyle: textTheme.button),
      overline: GoogleFonts.ruthie(textStyle: textTheme.overline),
    );
  }

  /// Applies the Rye font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextStyle rye({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '925017b50d3328d30961faf597e0912d32371e48a76c36b3d89fa06e538003bc',
        86244,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Rye',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Rye font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Rye
  static TextTheme ryeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.rye(textStyle: textTheme.headline1),
      headline2: GoogleFonts.rye(textStyle: textTheme.headline2),
      headline3: GoogleFonts.rye(textStyle: textTheme.headline3),
      headline4: GoogleFonts.rye(textStyle: textTheme.headline4),
      headline5: GoogleFonts.rye(textStyle: textTheme.headline5),
      headline6: GoogleFonts.rye(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.rye(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.rye(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.rye(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.rye(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.rye(textStyle: textTheme.caption),
      button: GoogleFonts.rye(textStyle: textTheme.button),
      overline: GoogleFonts.rye(textStyle: textTheme.overline),
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextStyle stixTwoText({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3ceb7745a39a6d3e9e8e996e683f498c4e956d02fa2eb38ce57e44fba40dd1e2',
        190596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e12b21bd63388255a21a12ef978d845c1f7bae91e3cffb54a2db932091ef6531',
        190780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38de9ff1f1d62c2641c8fb0b06b3b3ecfe043c4f9ecbcac8e0f844f1882be36d',
        191116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f77106c3c35a0302fafe024678309c6e5deb446e2ff7c176c9b1815fa099c9e7',
        190904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4c0cdd2be3445211c74e222abe1dc51a076bc563e1b53f84d51d18fac3bf301c',
        205600,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '42581520fdffc5e87e3afc0d69a97298976c0d9269c8ec8feac8bba8a445ef50',
        206296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b725383665d0a346582b19e2831b56e282ef43a79879b87c70d3df0ac4fb5193',
        206248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'cbe09117b170e8b97b7176b7d21256f7101022f1ceb02b518c901de82ec605b1',
        205776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'STIXTwoText',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the STIX Two Text font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/STIX+Two+Text
  static TextTheme stixTwoTextTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stixTwoText(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stixTwoText(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stixTwoText(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stixTwoText(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stixTwoText(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stixTwoText(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stixTwoText(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stixTwoText(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stixTwoText(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stixTwoText(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stixTwoText(textStyle: textTheme.caption),
      button: GoogleFonts.stixTwoText(textStyle: textTheme.button),
      overline: GoogleFonts.stixTwoText(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sacramento font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextStyle sacramento({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3063956ef6275e1b23cf8ab5ce022e853414c069af3d200d3cdad4924c5f6eb5',
        79268,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sacramento',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sacramento font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sacramento
  static TextTheme sacramentoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sacramento(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sacramento(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sacramento(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sacramento(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sacramento(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sacramento(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sacramento(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sacramento(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sacramento(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sacramento(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sacramento(textStyle: textTheme.caption),
      button: GoogleFonts.sacramento(textStyle: textTheme.button),
      overline: GoogleFonts.sacramento(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sahitya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextStyle sahitya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54146b1b18bccc5173c7f1cc478fd450cfb721e1b3d40df0ebd3dcf6711c6c48',
        186736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14383134c508c525e61d88a045189d98b08191a7cadfada9c90a82eea5d88ee6',
        186312,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sahitya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sahitya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sahitya
  static TextTheme sahityaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sahitya(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sahitya(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sahitya(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sahitya(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sahitya(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sahitya(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sahitya(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sahitya(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sahitya(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sahitya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sahitya(textStyle: textTheme.caption),
      button: GoogleFonts.sahitya(textStyle: textTheme.button),
      overline: GoogleFonts.sahitya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextStyle sail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '448cb365963b156da5ce3bb2b69bd8c6837dfd0a2beb5f00d831143b1910ec6e',
        32436,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sail
  static TextTheme sailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sail(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sail(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sail(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sail(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sail(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sail(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sail(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sail(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sail(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sail(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sail(textStyle: textTheme.caption),
      button: GoogleFonts.sail(textStyle: textTheme.button),
      overline: GoogleFonts.sail(textStyle: textTheme.overline),
    );
  }

  /// Applies the Saira font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextStyle saira({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6d764b20e47ac3d6764acfa56dcca309c570f72779558c6c85b227d3d52c1a9',
        74292,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b401181dcedd7b5ce954c3110d4a358e96333124e6afb4335cf4ce5a9612a21',
        80648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bc2a7efb47daf648f831278c1e7d476dc527592af052be0f1b56d14e3b4e333',
        74772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52c681d7513af192559d2240ada8f9fa22b3643bdb673ee7e21e6eb5684435f9',
        74492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ca26aa1deaa72e2d0a3578ee8e0308aeeabd47a10628833efad904d84f252ba',
        74924,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9b40c01b3303786bc3fffeff6a6d3a756acf2bd892721e8d28e640b1269900f',
        75408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f648ffbf75c94be4a3f3bdce9ed055f5ca4c76cea8df354c32deecf172d4bc3',
        75764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7ef6f260e896a02dd09b2e149372bffaf3c2fc81e6a3eaba79751a2f84bc498',
        81492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '784cb5c4c9a4355b55b1f819414b962800d401a312f0874e035e90ba2d1ebeb8',
        74768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Saira',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira
  static TextTheme sairaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.saira(textStyle: textTheme.headline1),
      headline2: GoogleFonts.saira(textStyle: textTheme.headline2),
      headline3: GoogleFonts.saira(textStyle: textTheme.headline3),
      headline4: GoogleFonts.saira(textStyle: textTheme.headline4),
      headline5: GoogleFonts.saira(textStyle: textTheme.headline5),
      headline6: GoogleFonts.saira(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.saira(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.saira(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.saira(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.saira(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.saira(textStyle: textTheme.caption),
      button: GoogleFonts.saira(textStyle: textTheme.button),
      overline: GoogleFonts.saira(textStyle: textTheme.overline),
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextStyle sairaCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8220c0c8f2f9288ded38da89babb11b6da4163ebaf504f877d22fb4ee43a5418',
        74008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '589e794e8c485b04766db461cee8244dec0abc305e90f5cffd6dc37917ace3e4',
        74504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6aeb3495feb7c7ed8e87afce584590944e61b1a581d26f494de054b8a430dca7',
        74344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b0c1ee3c73539fe0da52806bb378267b315d3ebd7ffd40f7c435dd3dfef91baa',
        74884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c78b83e91201287296ae34c6159727fed972526b1dd8aefae5b922dd4196e687',
        74876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1b084d4812e81b0cdfa9eed1b7256d043f5d4d8a00a81ab67440f9354549fc9',
        75652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ca3926b06ade51157b1ce932574cac89a6f16dfbdd601a345701da25b7aa8dc',
        75188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17caf4ad92a39b0d9333a8f668c1582d993748126b1a8ebbd4b26bca25c66a00',
        75336,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3235689af1f16e3535c26922c2fb739dd02adef166d3e761175b3af89f72240b',
        75076,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Condensed
  static TextTheme sairaCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sairaCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sairaCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sairaCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sairaCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sairaCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sairaCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sairaCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sairaCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sairaCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sairaCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.sairaCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.sairaCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextStyle sairaExtraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '322d3973d59827b2504723abf3285c2d1e85181532fd146fdbabae00398ccbb1',
        73676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd52785c9322fca08c09dbab7952bdc038ce7ef5f58298a5252ccc2a9bacfc316',
        74496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa5dedf23086451deef347c47898e8c5153ee408af19c44b9e780c1d559c7ce3',
        74168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c5c7b4ab19710c4557e47580d437ed2eb1add2fc90a641088ef31539197d16f',
        75172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36d4ceb6924f219a43b1ef0abcf228bb570891d5c6360bcfd359afccb20b87fa',
        75268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a69037b3e5411f785d7b05bb682b957613e8105cae22044518c630107b4504b2',
        75560,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b08c582f603d1d8ae1944b4362aa3f7db533be5b7ba1c0f4971b93188a903d4',
        75436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d5b2328322a4ecff567415a1417dff7b0659414c992b7e2b88ca399d456df3c',
        75340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f9e1ef084cecc66c6306c5618a464b6f6557c0fab6b20f4061378300d83e090',
        74940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaExtraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Extra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Extra+Condensed
  static TextTheme sairaExtraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.sairaExtraCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sairaExtraCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.sairaExtraCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.sairaExtraCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextStyle sairaSemiCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b2e6d1dd40d36454cc2926dcb4a1a5561eefd558ed4335da50334fe382ae95e',
        74456,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ce22147c0af87efa1aecbc39ff8b87923aee3cf2f49375403f5f34979223e610',
        75020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ef45b03e2a6a021a7b398dc695d9fe949857b4defe4cd062b0d2be306f51ef4e',
        74892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '80d72d164a187ce7476240396003c4b453c0f3b4565db50583a99ec1485cb6dc',
        74776,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '77903b1b3697f92cb3c1338d2bbd5de692eb31244fc785e5224c5e32faae51e4',
        74988,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10bc52c72bdddd14cf11a9a428d2dd3348861b4c6106cd154406562cf41b7e66',
        75212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'daba4551f3f2e9c9a6720e74d136524da54d3946352c47f4df6e3acb9a315ca9',
        75536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a742dc6740800e28cf269ffb74084610ab7590779de6185e12259b99ca780d21',
        75728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '127a359a67e8fa386310e298528a130878d4284d08e3c7c34872f38bedbe6be5',
        75328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaSemiCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Semi Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Semi+Condensed
  static TextTheme sairaSemiCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.sairaSemiCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextStyle sairaStencilOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8932ea7e84bb7b374ef9df790d899402addcdd8028ad4d444096d4ae658c1030',
        66688,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SairaStencilOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Saira Stencil One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Saira+Stencil+One
  static TextTheme sairaStencilOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sairaStencilOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sairaStencilOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sairaStencilOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sairaStencilOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sairaStencilOne(textStyle: textTheme.caption),
      button: GoogleFonts.sairaStencilOne(textStyle: textTheme.button),
      overline: GoogleFonts.sairaStencilOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Salsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextStyle salsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7150b0f04dbec851c854504d5f97adf34024d4260449086de5fbdc791ab89ac',
        56632,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Salsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Salsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Salsa
  static TextTheme salsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.salsa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.salsa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.salsa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.salsa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.salsa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.salsa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.salsa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.salsa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.salsa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.salsa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.salsa(textStyle: textTheme.caption),
      button: GoogleFonts.salsa(textStyle: textTheme.button),
      overline: GoogleFonts.salsa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sanchez font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextStyle sanchez({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4353709b92c21bf0606f2e6c956fddf56ee0fdea20110524ed03052efcc2bbe',
        72504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '62da09506355ddb13a8f3a0b9829d9420e5a0dc10a04fe9d6bd314501b513c93',
        75164,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sanchez',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sanchez font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sanchez
  static TextTheme sanchezTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sanchez(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sanchez(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sanchez(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sanchez(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sanchez(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sanchez(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sanchez(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sanchez(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sanchez(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sanchez(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sanchez(textStyle: textTheme.caption),
      button: GoogleFonts.sanchez(textStyle: textTheme.button),
      overline: GoogleFonts.sanchez(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sancreek font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextStyle sancreek({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ed5c3c851564b594f1e46baf486678ec23c42381e0439cdb2c79c04ca159563e',
        49604,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sancreek',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sancreek font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sancreek
  static TextTheme sancreekTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sancreek(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sancreek(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sancreek(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sancreek(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sancreek(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sancreek(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sancreek(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sancreek(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sancreek(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sancreek(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sancreek(textStyle: textTheme.caption),
      button: GoogleFonts.sancreek(textStyle: textTheme.button),
      overline: GoogleFonts.sancreek(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sansita font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextStyle sansita({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e365aa3bbe93b56d5d0182d955c0e71da391d8d6a95479cab79fa24ced4e21e',
        47676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5aadd2db25ea4fcdeb76680b8b44761b6914ed6b874b5861a9e8c52412b66918',
        52676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b4828652c6bf26cd36ad5741e616104c91b8c4023c6a891b4460029e6642a4cb',
        47984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '50757fb78ba6b455ca114555fcedffe03432f6fd4eb385544018c427a43c0430',
        52732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45499f61b5c2d545e14c3d78cc4a76d906ae3a15bacbf4b5479233e04c979cad',
        48108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6639d72f7bea1c80dcce732810166ac07da8ae78f5bb5cc798d11f97ce256a0b',
        52764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21bb47cdb40ec87c2ddbbfcb8b02a2af52cab2e20147315381b65d54d1ae0e5f',
        48696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2d3308301f6e427d108e0dab0cd6ed936a27d83cfd3dbfbc8693b260574b7cd3',
        53640,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sansita',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita
  static TextTheme sansitaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sansita(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sansita(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sansita(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sansita(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sansita(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sansita(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sansita(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sansita(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sansita(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sansita(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sansita(textStyle: textTheme.caption),
      button: GoogleFonts.sansita(textStyle: textTheme.button),
      overline: GoogleFonts.sansita(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextStyle sansitaSwashed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46bd39b8f615d07fdc7cecf44b42cb5d14cdf66da70aa05b66e7520ac9b50832',
        104096,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05e62a87f1460b7970799bf3f368a0fdc1b25a39739d9d88fe011a153e1ea5d2',
        104144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '76a665e8f726f9b8b14700a64df0e8ee7f5c57f3e6488bcbf8ef00bfc4284194',
        104164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55f85d0cf13c0c8c44eceae9cfa14bf3543cbc03163a9568c10d7d24e89bca19',
        104180,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5e225292e98feef5f130f0689f2af441cb497b0e814b5acec0ad1420094b311',
        104072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e98f4b3fb17f6f7561d75c958248295b6d21af13e994ecc1308331685880db9a',
        104080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '98eb0092fabbca4305d33cdef9e6db2457c35963ce94c74940eabed7525c43d2',
        104104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SansitaSwashed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sansita Swashed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sansita+Swashed
  static TextTheme sansitaSwashedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sansitaSwashed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sansitaSwashed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sansitaSwashed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sansitaSwashed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sansitaSwashed(textStyle: textTheme.caption),
      button: GoogleFonts.sansitaSwashed(textStyle: textTheme.button),
      overline: GoogleFonts.sansitaSwashed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sarabun font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextStyle sarabun({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '50cf24ee678c36e02b98c19ccc01d8e59c50d00c66e75054e4cca503779d8f37',
        81728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8ddc6bd48ee92ae9672930531c771ff526c5d8f06d26f1abdd8966cb2d563262',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3d79bab342addcc5613aed52e171c972f57a291ab53a7058d0412e3ade2c009a',
        81572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '58630737fd991b60fc7250ed8c5dac4599dd5b338ee6cfe1e9cb05dc7d0ac3db',
        84640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea334f3326fdb7fe48915bb07db5004530cce0576194cc0c0865bdcf11cafdfd',
        81540,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1cc37aaa51644e80ff1fb97a07f05f066504d4b3e66358fc7c482ff7f79b4811',
        84372,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5eb10ecb7f0b1864511e05724501467da68496508c15fbf0ed3958e162575ddc',
        81452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4412c26720c9c31795b0d2912215dbdd0dfaf18b42b7953f9fb26b54427094b0',
        84388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '105263cd2ca92f9e66491c20400dfa6cdea9a47658d6074e7d04a6ceb3e2a96f',
        81404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e4253ff00e203d8cc8e0b7ebf54e2a55a3f2874c5ac9d191861983700c85103c',
        84440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a93849f8fcd0c0df8318aa91b45b14a0b9d84123c8ec5f5d144347b2c03e00e0',
        81284,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c62534f6034acd31705d941b3ef92b86a40a6ce68879fe627c71e66f6d171add',
        84332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '330d03c990cec0cc7f6fc0c08f2fd09d616447a8b492c3decfd907d665be7e19',
        80984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce3ba67e7cb6d8993594f6a7cac0091efe50173174ed9044ebde2afa86922db9',
        84024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ad638b132e53ca7e95e1c81621980df4f1bc00248b98b088d5dbb67372dd5173',
        80968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bcc3502d7dc5c7b0f96076c30ed78f3854455f65e5146c76a13893aa033341a',
        83760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarabun',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarabun font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarabun
  static TextTheme sarabunTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sarabun(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sarabun(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sarabun(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sarabun(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sarabun(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sarabun(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sarabun(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sarabun(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sarabun(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sarabun(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sarabun(textStyle: textTheme.caption),
      button: GoogleFonts.sarabun(textStyle: textTheme.button),
      overline: GoogleFonts.sarabun(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sarala font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextStyle sarala({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9d80ed2e5dae04bd639f269f2f43d7fa0b65ef816a0abb64bbcae03db7a59bb',
        207268,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2b0699ce4a9bd9eb0f091d571c8992f4ff81d558ef3b60edd81a71a081a6420f',
        207396,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarala',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarala font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarala
  static TextTheme saralaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sarala(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sarala(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sarala(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sarala(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sarala(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sarala(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sarala(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sarala(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sarala(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sarala(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sarala(textStyle: textTheme.caption),
      button: GoogleFonts.sarala(textStyle: textTheme.button),
      overline: GoogleFonts.sarala(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sarina font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextStyle sarina({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e8cf41d2055d00dcd843e227fa52df85c9770e93179c0cec39909e4fccfc2dbf',
        96080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarina',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarina font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarina
  static TextTheme sarinaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sarina(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sarina(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sarina(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sarina(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sarina(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sarina(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sarina(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sarina(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sarina(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sarina(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sarina(textStyle: textTheme.caption),
      button: GoogleFonts.sarina(textStyle: textTheme.button),
      overline: GoogleFonts.sarina(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextStyle sarpanch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a694e1d94a3cd59dead878c6ef1da8eb55274eb3b10e6f667a4506f4d2bf6a36',
        178940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7dedb13d24392e5c3e796641d50cce4643a03762ea0df2936f01cbdf94976bd',
        178348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bf8e038e00a3b7997da00d55f7715433a7c61351b1434e3659fb806f0c25a0e',
        176504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5e1a7afd37c3b896e4eeb5de1bd8a3414b6966b45f7a9652b041ae80cb3b1855',
        178680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9575bc7bbbe80afa882bd838018d60f95a70408b16be48f2ce3f32eefebc620',
        185716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '353bbda31bbbf4d1b499d676bded12b04e4aabafae78f929c4e5e875ecd09a19',
        187296,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sarpanch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sarpanch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sarpanch
  static TextTheme sarpanchTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sarpanch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sarpanch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sarpanch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sarpanch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sarpanch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sarpanch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sarpanch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sarpanch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sarpanch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sarpanch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sarpanch(textStyle: textTheme.caption),
      button: GoogleFonts.sarpanch(textStyle: textTheme.button),
      overline: GoogleFonts.sarpanch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextStyle sassyFrass({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bf2826313b6e43477a4379dbf6c0551fe9fdd7e0b006195b1364215b30ba28f3',
        107612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SassyFrass',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sassy Frass font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sassy+Frass
  static TextTheme sassyFrassTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sassyFrass(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sassyFrass(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sassyFrass(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sassyFrass(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sassyFrass(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sassyFrass(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sassyFrass(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sassyFrass(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sassyFrass(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sassyFrass(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sassyFrass(textStyle: textTheme.caption),
      button: GoogleFonts.sassyFrass(textStyle: textTheme.button),
      overline: GoogleFonts.sassyFrass(textStyle: textTheme.overline),
    );
  }

  /// Applies the Satisfy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextStyle satisfy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4d3c18800d0d83b916c8d564ef9d72f9c23fd58cb7650edd14153251d25ffffc',
        47512,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Satisfy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Satisfy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Satisfy
  static TextTheme satisfyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.satisfy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.satisfy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.satisfy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.satisfy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.satisfy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.satisfy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.satisfy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.satisfy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.satisfy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.satisfy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.satisfy(textStyle: textTheme.caption),
      button: GoogleFonts.satisfy(textStyle: textTheme.button),
      overline: GoogleFonts.satisfy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextStyle sawarabiGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da6058a80d658ffc7eaa1acdae31b56f86f9f59fcae94417efa5205b8c2a9c3e',
        1895880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Gothic
  static TextTheme sawarabiGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sawarabiGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sawarabiGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sawarabiGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sawarabiGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sawarabiGothic(textStyle: textTheme.caption),
      button: GoogleFonts.sawarabiGothic(textStyle: textTheme.button),
      overline: GoogleFonts.sawarabiGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextStyle sawarabiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3beec4e12191867fb2f0f6f9b79f2367eab607cb6a1f28f445a8ae4b13f6c15',
        1081468,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SawarabiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sawarabi Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sawarabi+Mincho
  static TextTheme sawarabiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sawarabiMincho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sawarabiMincho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sawarabiMincho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sawarabiMincho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sawarabiMincho(textStyle: textTheme.caption),
      button: GoogleFonts.sawarabiMincho(textStyle: textTheme.button),
      overline: GoogleFonts.sawarabiMincho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Scada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextStyle scada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b50d4e47b78665f29007e923c626d8127c7c9793f60cc8b94e55fe65a9e1b156',
        62708,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '19e3630deea1d0d7694e73dfb85c5a97e8fc332031fc27897d4b5b14fb6f62b3',
        66088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9a106a75900b9cafa514e2c814b45cabcd61c5f50ceac1772ce6a12386cfa505',
        62808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c61947a93ece6ef8f4f35e6f1f51f2d2eae7d27d8c1e103b8a0792818925421e',
        66148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Scada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scada
  static TextTheme scadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.scada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.scada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.scada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.scada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.scada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.scada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.scada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.scada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.scada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.scada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.scada(textStyle: textTheme.caption),
      button: GoogleFonts.scada(textStyle: textTheme.button),
      overline: GoogleFonts.scada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Scheherazade font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade
  static TextStyle scheherazade({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19195e141f9f7a6781f93d0ee49ef46a8784c28c28047b0b821b639546c9d562',
        406552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a5d40a2e35f3920327fbc1d576a3a1f7aadda38089f736dad6eda793e74a225',
        421884,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Scheherazade',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scheherazade font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade
  static TextTheme scheherazadeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.scheherazade(textStyle: textTheme.headline1),
      headline2: GoogleFonts.scheherazade(textStyle: textTheme.headline2),
      headline3: GoogleFonts.scheherazade(textStyle: textTheme.headline3),
      headline4: GoogleFonts.scheherazade(textStyle: textTheme.headline4),
      headline5: GoogleFonts.scheherazade(textStyle: textTheme.headline5),
      headline6: GoogleFonts.scheherazade(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.scheherazade(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.scheherazade(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.scheherazade(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.scheherazade(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.scheherazade(textStyle: textTheme.caption),
      button: GoogleFonts.scheherazade(textStyle: textTheme.button),
      overline: GoogleFonts.scheherazade(textStyle: textTheme.overline),
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextStyle scheherazadeNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3da8526a546f5873c2b038c0dc110c8f5d9a9ed4a794c29d9771bdcdf3169177',
        234416,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f23cbd397bb9771523837202ecae3441dce7b96c527c72ab13d4f25b4c38120',
        483908,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScheherazadeNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scheherazade New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scheherazade+New
  static TextTheme scheherazadeNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.scheherazadeNew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.scheherazadeNew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.scheherazadeNew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.scheherazadeNew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.scheherazadeNew(textStyle: textTheme.caption),
      button: GoogleFonts.scheherazadeNew(textStyle: textTheme.button),
      overline: GoogleFonts.scheherazadeNew(textStyle: textTheme.overline),
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextStyle schoolbell({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6746cbf7f7065953ffdd505057d2aafca2c4c38989ab1a2bb37f953e3692c7c9',
        48472,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Schoolbell',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Schoolbell font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Schoolbell
  static TextTheme schoolbellTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.schoolbell(textStyle: textTheme.headline1),
      headline2: GoogleFonts.schoolbell(textStyle: textTheme.headline2),
      headline3: GoogleFonts.schoolbell(textStyle: textTheme.headline3),
      headline4: GoogleFonts.schoolbell(textStyle: textTheme.headline4),
      headline5: GoogleFonts.schoolbell(textStyle: textTheme.headline5),
      headline6: GoogleFonts.schoolbell(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.schoolbell(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.schoolbell(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.schoolbell(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.schoolbell(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.schoolbell(textStyle: textTheme.caption),
      button: GoogleFonts.schoolbell(textStyle: textTheme.button),
      overline: GoogleFonts.schoolbell(textStyle: textTheme.overline),
    );
  }

  /// Applies the Scope One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextStyle scopeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4731e0b7f73e41e5dbd3b6282d39a0c36cdb8455e36b71e9b60319540c088c3d',
        69828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ScopeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Scope One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Scope+One
  static TextTheme scopeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.scopeOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.scopeOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.scopeOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.scopeOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.scopeOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.scopeOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.scopeOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.scopeOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.scopeOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.scopeOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.scopeOne(textStyle: textTheme.caption),
      button: GoogleFonts.scopeOne(textStyle: textTheme.button),
      overline: GoogleFonts.scopeOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextStyle seaweedScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6a7c62dc8a68c25b3dda440a08e1f3087e28832110098b91b4c412a906ebafa2',
        116656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeaweedScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seaweed Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seaweed+Script
  static TextTheme seaweedScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.seaweedScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.seaweedScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.seaweedScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.seaweedScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.seaweedScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.seaweedScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.seaweedScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.seaweedScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.seaweedScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.seaweedScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.seaweedScript(textStyle: textTheme.caption),
      button: GoogleFonts.seaweedScript(textStyle: textTheme.button),
      overline: GoogleFonts.seaweedScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Secular One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextStyle secularOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd6c129ece769b38daf0095b6545ec239fb57e4a2747ec848b6a49958ff0ffff',
        58488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SecularOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Secular One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Secular+One
  static TextTheme secularOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.secularOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.secularOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.secularOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.secularOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.secularOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.secularOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.secularOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.secularOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.secularOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.secularOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.secularOne(textStyle: textTheme.caption),
      button: GoogleFonts.secularOne(textStyle: textTheme.button),
      overline: GoogleFonts.secularOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextStyle sedgwickAve({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75c5db2b35fc38825c6bb8e5b7950fcedcfd03dec14b735dc12648a9b601d9f8',
        92948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAve',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave
  static TextTheme sedgwickAveTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sedgwickAve(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sedgwickAve(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sedgwickAve(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sedgwickAve(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sedgwickAve(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sedgwickAve(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sedgwickAve(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sedgwickAve(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sedgwickAve(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sedgwickAve(textStyle: textTheme.caption),
      button: GoogleFonts.sedgwickAve(textStyle: textTheme.button),
      overline: GoogleFonts.sedgwickAve(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextStyle sedgwickAveDisplay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1aa82570f810f79198c969d9475cd420e45b9de6957e8dcdedd71ecbaf755c4',
        88964,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SedgwickAveDisplay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sedgwick Ave Display font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sedgwick+Ave+Display
  static TextTheme sedgwickAveDisplayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.caption),
      button: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.button),
      overline: GoogleFonts.sedgwickAveDisplay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextStyle sen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '74c43e6590cf290828c5cfbeac6dfeecfe47f48d77d71385189eedc28c93bd7d',
        28176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '384267b011f455064f728397ef7bf6303e94e62dd85613372ca7dcc2add6eb0a',
        28104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '709f63ed575896ba15fe606abd291ee16ebdba1d773b8df284f0c0ec5e6985e5',
        28012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sen
  static TextTheme senTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sen(textStyle: textTheme.caption),
      button: GoogleFonts.sen(textStyle: textTheme.button),
      overline: GoogleFonts.sen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sevillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextStyle sevillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1932da733380cee1525fb66845203d6b91ab799d20f9836d43b021d247101c76',
        65004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sevillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sevillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sevillana
  static TextTheme sevillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sevillana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sevillana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sevillana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sevillana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sevillana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sevillana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sevillana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sevillana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sevillana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sevillana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sevillana(textStyle: textTheme.caption),
      button: GoogleFonts.sevillana(textStyle: textTheme.button),
      overline: GoogleFonts.sevillana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Seymour One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextStyle seymourOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7cbd22ce54883fd2ac35ed6713f3fe1d70045e47934b033a6d51357e4d097f2',
        42796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SeymourOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Seymour One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Seymour+One
  static TextTheme seymourOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.seymourOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.seymourOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.seymourOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.seymourOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.seymourOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.seymourOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.seymourOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.seymourOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.seymourOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.seymourOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.seymourOne(textStyle: textTheme.caption),
      button: GoogleFonts.seymourOne(textStyle: textTheme.button),
      overline: GoogleFonts.seymourOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextStyle shadowsIntoLight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd737d913f418f2f8e85744c94be63b75e1af421856c3a203104a211dc7f337fa',
        53856,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light
  static TextTheme shadowsIntoLightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shadowsIntoLight(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shadowsIntoLight(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shadowsIntoLight(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shadowsIntoLight(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shadowsIntoLight(textStyle: textTheme.caption),
      button: GoogleFonts.shadowsIntoLight(textStyle: textTheme.button),
      overline: GoogleFonts.shadowsIntoLight(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextStyle shadowsIntoLightTwo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '893c145feef9217e5c35f97bb6d74c1068a802587acc2f5f3c35f2c2ebf8730f',
        39372,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShadowsIntoLightTwo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shadows Into Light Two font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shadows+Into+Light+Two
  static TextTheme shadowsIntoLightTwoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.caption),
      button: GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.button),
      overline: GoogleFonts.shadowsIntoLightTwo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shalimar font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextStyle shalimar({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a48c478fe9be7756a7f96597b875721a63bb33c768d4364e90fdd1c07d54e609',
        86316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shalimar',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shalimar font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shalimar
  static TextTheme shalimarTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shalimar(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shalimar(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shalimar(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shalimar(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shalimar(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shalimar(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shalimar(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shalimar(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shalimar(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shalimar(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shalimar(textStyle: textTheme.caption),
      button: GoogleFonts.shalimar(textStyle: textTheme.button),
      overline: GoogleFonts.shalimar(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shanti font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextStyle shanti({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3182c815ff6755fb8f9b08ac951b5735b102c05b851eac2b1f6fd50a623cd82',
        65976,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shanti',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shanti font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shanti
  static TextTheme shantiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shanti(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shanti(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shanti(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shanti(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shanti(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shanti(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shanti(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shanti(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shanti(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shanti(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shanti(textStyle: textTheme.caption),
      button: GoogleFonts.shanti(textStyle: textTheme.button),
      overline: GoogleFonts.shanti(textStyle: textTheme.overline),
    );
  }

  /// Applies the Share font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextStyle share({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1621fb56fac35ccedec411f3ee0e726ca8c3b6c1e5616fcaec194d0e26c1207',
        52788,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e7c900b0cd2cdfb860519a4df3b0242ad6ae849a1fcb892760fbf78e93214626',
        54944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '283b89ac6d01b1444d546b1992f9ce7ab0f1ecda06b9d33769bbbf3ee979a76c',
        52808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a8f8a01adf843c6551142bd88a1f437fa3b739e7dbaaef798f80a5500afae4d3',
        54996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Share',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share
  static TextTheme shareTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.share(textStyle: textTheme.headline1),
      headline2: GoogleFonts.share(textStyle: textTheme.headline2),
      headline3: GoogleFonts.share(textStyle: textTheme.headline3),
      headline4: GoogleFonts.share(textStyle: textTheme.headline4),
      headline5: GoogleFonts.share(textStyle: textTheme.headline5),
      headline6: GoogleFonts.share(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.share(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.share(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.share(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.share(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.share(textStyle: textTheme.caption),
      button: GoogleFonts.share(textStyle: textTheme.button),
      overline: GoogleFonts.share(textStyle: textTheme.overline),
    );
  }

  /// Applies the Share Tech font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextStyle shareTech({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e1804d3fb7ab822590fa14a41b103a7d679b4d284079cee4c7c5ebef0c940510',
        34888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTech',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech
  static TextTheme shareTechTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shareTech(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shareTech(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shareTech(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shareTech(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shareTech(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shareTech(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shareTech(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shareTech(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shareTech(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shareTech(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shareTech(textStyle: textTheme.caption),
      button: GoogleFonts.shareTech(textStyle: textTheme.button),
      overline: GoogleFonts.shareTech(textStyle: textTheme.overline),
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextStyle shareTechMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d8191f3a7dbbc940a83fb98e35db9faed0904879a2d5fd1d1c4443b1c3e9057',
        25776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShareTechMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Share Tech Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Share+Tech+Mono
  static TextTheme shareTechMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shareTechMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shareTechMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shareTechMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shareTechMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shareTechMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shareTechMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shareTechMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shareTechMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shareTechMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shareTechMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shareTechMono(textStyle: textTheme.caption),
      button: GoogleFonts.shareTechMono(textStyle: textTheme.button),
      overline: GoogleFonts.shareTechMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextStyle shipporiAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93226821bd2ca02cb4f7ad7ac5c88c2bcd3b14bc6ddc208a49914e87e8617520',
        7125988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique
  static TextTheme shipporiAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shipporiAntique(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shipporiAntique(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shipporiAntique(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shipporiAntique(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shipporiAntique(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shipporiAntique(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shipporiAntique(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shipporiAntique(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shipporiAntique(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shipporiAntique(textStyle: textTheme.caption),
      button: GoogleFonts.shipporiAntique(textStyle: textTheme.button),
      overline: GoogleFonts.shipporiAntique(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextStyle shipporiAntiqueB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca51f4fae60e42b71f7ee64d4a549754ab7430b5aa1ee5ca01be845457f9c6e6',
        12631180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiAntiqueB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Antique B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Antique+B1
  static TextTheme shipporiAntiqueB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.caption),
      button: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.button),
      overline: GoogleFonts.shipporiAntiqueB1(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextStyle shipporiMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea0ea3657cada577554357b3f477509710843ba1746a40314fc8f751240f2798',
        8344360,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a432436f5f10216ca4b38c888f41274e1e039173c6a33746fc9545bee51db5bc',
        8346468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'faea4f07a3fe680901a1a64a92b8d45ca9403a0fd5369ce5662a13a3913c68ba',
        8317212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b449926bfc640b6f98f87383c5b9e0f06c24d0fa4e27e22dfdca8abdf754a52',
        8235044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd08f7107ba1b4f883dee74b9a71fb908184d3d773798a771087a8a444a14a862',
        8234012,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho
  static TextTheme shipporiMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shipporiMincho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shipporiMincho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shipporiMincho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shipporiMincho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shipporiMincho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shipporiMincho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shipporiMincho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shipporiMincho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shipporiMincho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shipporiMincho(textStyle: textTheme.caption),
      button: GoogleFonts.shipporiMincho(textStyle: textTheme.button),
      overline: GoogleFonts.shipporiMincho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextStyle shipporiMinchoB1({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '17466a4d27ba6f38983a521bd7aea8d271a31b50373a0fdff7e798a4c0949bc2',
        14675596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3e9e0d8b29a22ba3f5e6d59f1ae5dc5f5258a2dc136b32fbc64c79a420b958e9',
        14633020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38eb9e6544fd699160f650d888de7587c1f97bc718fbe9bc4006242dcf54b1cf',
        14607088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ae6a9934700291c1bc84caea4c14af3af56d07118573e0aa95790fd3457930ff',
        14539752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19fe876b28a7fb0e201c74129e7420c47cab7f4194f977f1630c64be4b2123cf',
        14538532,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShipporiMinchoB1',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shippori Mincho B1 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shippori+Mincho+B1
  static TextTheme shipporiMinchoB1TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.caption),
      button: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.button),
      overline: GoogleFonts.shipporiMinchoB1(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shizuru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shizuru
  static TextStyle shizuru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9cd01fb53e5e128fcf672b5b3f8e7bf9775b361b86e33b86295dd48ebd3a5ac7',
        250660,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shizuru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shizuru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shizuru
  static TextTheme shizuruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shizuru(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shizuru(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shizuru(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shizuru(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shizuru(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shizuru(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shizuru(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shizuru(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shizuru(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shizuru(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shizuru(textStyle: textTheme.caption),
      button: GoogleFonts.shizuru(textStyle: textTheme.button),
      overline: GoogleFonts.shizuru(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextStyle shojumaru({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb8c1c2c57d08ed6f7529a7edaa63995da1703823a076877d46c77f0b984d3f5',
        71256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shojumaru',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shojumaru font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shojumaru
  static TextTheme shojumaruTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shojumaru(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shojumaru(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shojumaru(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shojumaru(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shojumaru(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shojumaru(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shojumaru(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shojumaru(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shojumaru(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shojumaru(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shojumaru(textStyle: textTheme.caption),
      button: GoogleFonts.shojumaru(textStyle: textTheme.button),
      overline: GoogleFonts.shojumaru(textStyle: textTheme.overline),
    );
  }

  /// Applies the Short Stack font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextStyle shortStack({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '558333b2d2edb0db150ab52358a8d983ea83d194559c81b99d0defac9ef6ea5c',
        68128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ShortStack',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Short Stack font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Short+Stack
  static TextTheme shortStackTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shortStack(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shortStack(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shortStack(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shortStack(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shortStack(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shortStack(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shortStack(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shortStack(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shortStack(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shortStack(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shortStack(textStyle: textTheme.caption),
      button: GoogleFonts.shortStack(textStyle: textTheme.button),
      overline: GoogleFonts.shortStack(textStyle: textTheme.overline),
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextStyle shrikhand({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aacb9e67a15ab34c2c3cc3a314bd696f3ef409963bd74b25e61727a3b1414ffc',
        219252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Shrikhand',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Shrikhand font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Shrikhand
  static TextTheme shrikhandTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.shrikhand(textStyle: textTheme.headline1),
      headline2: GoogleFonts.shrikhand(textStyle: textTheme.headline2),
      headline3: GoogleFonts.shrikhand(textStyle: textTheme.headline3),
      headline4: GoogleFonts.shrikhand(textStyle: textTheme.headline4),
      headline5: GoogleFonts.shrikhand(textStyle: textTheme.headline5),
      headline6: GoogleFonts.shrikhand(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.shrikhand(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.shrikhand(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.shrikhand(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.shrikhand(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.shrikhand(textStyle: textTheme.caption),
      button: GoogleFonts.shrikhand(textStyle: textTheme.button),
      overline: GoogleFonts.shrikhand(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextStyle sigmarOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a26bc79f6d548004cb3a749091e43721c48faa5e364f6729ca4ba11bc29f7672',
        110044,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SigmarOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sigmar One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sigmar+One
  static TextTheme sigmarOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sigmarOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sigmarOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sigmarOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sigmarOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sigmarOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sigmarOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sigmarOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sigmarOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sigmarOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sigmarOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sigmarOne(textStyle: textTheme.caption),
      button: GoogleFonts.sigmarOne(textStyle: textTheme.button),
      overline: GoogleFonts.sigmarOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Signika font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextStyle signika({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '57a28a3623e1ad46bb9a9d87d09811b72a87364aeb2d326a4df99bf0e23c0874',
        74672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '028c027c049948e0a67c1a20b73992c9449bec50376131d3a57d3f98ad790c63',
        75492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d6ed6b2f09f8f763304a07135b4a8dca9de0b7e1aea586a5f033133ae2e83cd',
        75484,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ffc0cf7832a52fdacc4833c2d951e529281b9eb803b1eeac14f4e69a0b5d1f7',
        74932,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Signika',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika
  static TextTheme signikaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.signika(textStyle: textTheme.headline1),
      headline2: GoogleFonts.signika(textStyle: textTheme.headline2),
      headline3: GoogleFonts.signika(textStyle: textTheme.headline3),
      headline4: GoogleFonts.signika(textStyle: textTheme.headline4),
      headline5: GoogleFonts.signika(textStyle: textTheme.headline5),
      headline6: GoogleFonts.signika(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.signika(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.signika(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.signika(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.signika(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.signika(textStyle: textTheme.caption),
      button: GoogleFonts.signika(textStyle: textTheme.button),
      overline: GoogleFonts.signika(textStyle: textTheme.overline),
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextStyle signikaNegative({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a98587d6b5889382e0756db0404bae7fab53cd05d1ed3acfe5d2e92ce054710',
        54576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4dafecef4dffed68c6467a6368c16342c151a400ebf2e1d10c208843e0f7f4f2',
        53324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '00703f7e2d564d97ed7ae01055939e32779956267e52d2c91697d4c58571d0a3',
        52908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49c7f19df1afc9e1068c8860087405401cf9a4d406cfc46b15013bbb95ecb2e4',
        53108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SignikaNegative',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Signika Negative font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Signika+Negative
  static TextTheme signikaNegativeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.signikaNegative(textStyle: textTheme.headline1),
      headline2: GoogleFonts.signikaNegative(textStyle: textTheme.headline2),
      headline3: GoogleFonts.signikaNegative(textStyle: textTheme.headline3),
      headline4: GoogleFonts.signikaNegative(textStyle: textTheme.headline4),
      headline5: GoogleFonts.signikaNegative(textStyle: textTheme.headline5),
      headline6: GoogleFonts.signikaNegative(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.signikaNegative(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.signikaNegative(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.signikaNegative(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.signikaNegative(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.signikaNegative(textStyle: textTheme.caption),
      button: GoogleFonts.signikaNegative(textStyle: textTheme.button),
      overline: GoogleFonts.signikaNegative(textStyle: textTheme.overline),
    );
  }

  /// Applies the Simonetta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextStyle simonetta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd055b6397968d2e7b9a9c70b4e5d12a390ae937fbb2c140c5a2ca2bcb019501f',
        46244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dbbbd6a2dedbac1c09bf69696a69adec943f3ac81e9a4b6cedf0fab0beee274e',
        42592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2f9dab867c54e03c7203dae54a40e8233843e6ed0c74e9f1c939a0c3ff6e48ef',
        56952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b59c51c3445243e941c14dbc3663f87d2ffaa11e037d4eca6d8cc9103048d478',
        61084,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Simonetta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Simonetta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Simonetta
  static TextTheme simonettaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.simonetta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.simonetta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.simonetta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.simonetta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.simonetta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.simonetta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.simonetta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.simonetta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.simonetta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.simonetta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.simonetta(textStyle: textTheme.caption),
      button: GoogleFonts.simonetta(textStyle: textTheme.button),
      overline: GoogleFonts.simonetta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Single Day font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextStyle singleDay({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b02bca0a89e3562bbfc779b333184a73ca6652a644aec2ca6113185f3fd7c413',
        638184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SingleDay',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Single Day font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Single+Day
  static TextTheme singleDayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.singleDay(textStyle: textTheme.headline1),
      headline2: GoogleFonts.singleDay(textStyle: textTheme.headline2),
      headline3: GoogleFonts.singleDay(textStyle: textTheme.headline3),
      headline4: GoogleFonts.singleDay(textStyle: textTheme.headline4),
      headline5: GoogleFonts.singleDay(textStyle: textTheme.headline5),
      headline6: GoogleFonts.singleDay(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.singleDay(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.singleDay(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.singleDay(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.singleDay(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.singleDay(textStyle: textTheme.caption),
      button: GoogleFonts.singleDay(textStyle: textTheme.button),
      overline: GoogleFonts.singleDay(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sintony font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextStyle sintony({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69767c8fec4cb9cf66b8022ffc9f15e99f1b4f6a15c1412ba8974fd55969ffa1',
        25664,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9c0d2538023d9d221278dc34698930aa90cd23ba0e8b8516986c6c7d88e03a3b',
        25968,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sintony',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sintony font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sintony
  static TextTheme sintonyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sintony(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sintony(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sintony(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sintony(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sintony(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sintony(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sintony(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sintony(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sintony(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sintony(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sintony(textStyle: textTheme.caption),
      button: GoogleFonts.sintony(textStyle: textTheme.button),
      overline: GoogleFonts.sintony(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextStyle sirinStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49b8495ba38ff41cb2fe6ffa19be0105173e6318d239a91687520ba2ed2b5cbc',
        45740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SirinStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sirin Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sirin+Stencil
  static TextTheme sirinStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sirinStencil(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sirinStencil(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sirinStencil(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sirinStencil(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sirinStencil(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sirinStencil(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sirinStencil(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sirinStencil(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sirinStencil(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sirinStencil(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sirinStencil(textStyle: textTheme.caption),
      button: GoogleFonts.sirinStencil(textStyle: textTheme.button),
      overline: GoogleFonts.sirinStencil(textStyle: textTheme.overline),
    );
  }

  /// Applies the Six Caps font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextStyle sixCaps({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ecba544210f8553e76664f6e55b95afb42c005696628af22f50b59b88678debd',
        28656,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SixCaps',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Six Caps font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Six+Caps
  static TextTheme sixCapsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sixCaps(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sixCaps(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sixCaps(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sixCaps(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sixCaps(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sixCaps(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sixCaps(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sixCaps(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sixCaps(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sixCaps(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sixCaps(textStyle: textTheme.caption),
      button: GoogleFonts.sixCaps(textStyle: textTheme.button),
      overline: GoogleFonts.sixCaps(textStyle: textTheme.overline),
    );
  }

  /// Applies the Skranji font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextStyle skranji({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9ee2c9312ee6ae5db2fdf49b0a797da03bd5ae1df447d051b081612b3db1d2fd',
        207480,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7dd8ded95fc8d9be6c80296a989eb3057929d548770081d17653c90dc11d8248',
        206848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Skranji',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Skranji font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Skranji
  static TextTheme skranjiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.skranji(textStyle: textTheme.headline1),
      headline2: GoogleFonts.skranji(textStyle: textTheme.headline2),
      headline3: GoogleFonts.skranji(textStyle: textTheme.headline3),
      headline4: GoogleFonts.skranji(textStyle: textTheme.headline4),
      headline5: GoogleFonts.skranji(textStyle: textTheme.headline5),
      headline6: GoogleFonts.skranji(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.skranji(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.skranji(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.skranji(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.skranji(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.skranji(textStyle: textTheme.caption),
      button: GoogleFonts.skranji(textStyle: textTheme.button),
      overline: GoogleFonts.skranji(textStyle: textTheme.overline),
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextStyle slabo13px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '55c7ef45e832252817233d906300e1087c565a52b4cedecffcf03d7edb86f694',
        32100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo13px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 13px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+13px
  static TextTheme slabo13pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.slabo13px(textStyle: textTheme.headline1),
      headline2: GoogleFonts.slabo13px(textStyle: textTheme.headline2),
      headline3: GoogleFonts.slabo13px(textStyle: textTheme.headline3),
      headline4: GoogleFonts.slabo13px(textStyle: textTheme.headline4),
      headline5: GoogleFonts.slabo13px(textStyle: textTheme.headline5),
      headline6: GoogleFonts.slabo13px(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.slabo13px(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.slabo13px(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.slabo13px(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.slabo13px(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.slabo13px(textStyle: textTheme.caption),
      button: GoogleFonts.slabo13px(textStyle: textTheme.button),
      overline: GoogleFonts.slabo13px(textStyle: textTheme.overline),
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextStyle slabo27px({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e451771d704b04c776176b6033f4c66aaab3edf2422d0811687a7f9b53c03486',
        33960,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slabo27px',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slabo 27px font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slabo+27px
  static TextTheme slabo27pxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.slabo27px(textStyle: textTheme.headline1),
      headline2: GoogleFonts.slabo27px(textStyle: textTheme.headline2),
      headline3: GoogleFonts.slabo27px(textStyle: textTheme.headline3),
      headline4: GoogleFonts.slabo27px(textStyle: textTheme.headline4),
      headline5: GoogleFonts.slabo27px(textStyle: textTheme.headline5),
      headline6: GoogleFonts.slabo27px(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.slabo27px(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.slabo27px(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.slabo27px(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.slabo27px(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.slabo27px(textStyle: textTheme.caption),
      button: GoogleFonts.slabo27px(textStyle: textTheme.button),
      overline: GoogleFonts.slabo27px(textStyle: textTheme.overline),
    );
  }

  /// Applies the Slackey font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextStyle slackey({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bceb941e47abbef80f27aebbdcb657e241b5ea1f17923b61537b6f64ff87af62',
        37516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Slackey',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Slackey font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Slackey
  static TextTheme slackeyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.slackey(textStyle: textTheme.headline1),
      headline2: GoogleFonts.slackey(textStyle: textTheme.headline2),
      headline3: GoogleFonts.slackey(textStyle: textTheme.headline3),
      headline4: GoogleFonts.slackey(textStyle: textTheme.headline4),
      headline5: GoogleFonts.slackey(textStyle: textTheme.headline5),
      headline6: GoogleFonts.slackey(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.slackey(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.slackey(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.slackey(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.slackey(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.slackey(textStyle: textTheme.caption),
      button: GoogleFonts.slackey(textStyle: textTheme.button),
      overline: GoogleFonts.slackey(textStyle: textTheme.overline),
    );
  }

  /// Applies the Smokum font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextStyle smokum({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2c700a4722b34ec677fb0c4c7ae242886cead014ec06aef3e02dc311def9ccbb',
        63924,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smokum',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smokum font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smokum
  static TextTheme smokumTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.smokum(textStyle: textTheme.headline1),
      headline2: GoogleFonts.smokum(textStyle: textTheme.headline2),
      headline3: GoogleFonts.smokum(textStyle: textTheme.headline3),
      headline4: GoogleFonts.smokum(textStyle: textTheme.headline4),
      headline5: GoogleFonts.smokum(textStyle: textTheme.headline5),
      headline6: GoogleFonts.smokum(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.smokum(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.smokum(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.smokum(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.smokum(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.smokum(textStyle: textTheme.caption),
      button: GoogleFonts.smokum(textStyle: textTheme.button),
      overline: GoogleFonts.smokum(textStyle: textTheme.overline),
    );
  }

  /// Applies the Smooch font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextStyle smooch({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '208325416048e6727951ca119d0a7e0e287777717b699040d21d2150538d165d',
        198956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smooch',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smooch font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smooch
  static TextTheme smoochTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.smooch(textStyle: textTheme.headline1),
      headline2: GoogleFonts.smooch(textStyle: textTheme.headline2),
      headline3: GoogleFonts.smooch(textStyle: textTheme.headline3),
      headline4: GoogleFonts.smooch(textStyle: textTheme.headline4),
      headline5: GoogleFonts.smooch(textStyle: textTheme.headline5),
      headline6: GoogleFonts.smooch(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.smooch(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.smooch(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.smooch(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.smooch(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.smooch(textStyle: textTheme.caption),
      button: GoogleFonts.smooch(textStyle: textTheme.button),
      overline: GoogleFonts.smooch(textStyle: textTheme.overline),
    );
  }

  /// Applies the Smythe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextStyle smythe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1f1e3d2a79f5bdab563797693fd14a8c6e868b0778cf746e4a4d22aedc216dbc',
        64160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Smythe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Smythe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Smythe
  static TextTheme smytheTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.smythe(textStyle: textTheme.headline1),
      headline2: GoogleFonts.smythe(textStyle: textTheme.headline2),
      headline3: GoogleFonts.smythe(textStyle: textTheme.headline3),
      headline4: GoogleFonts.smythe(textStyle: textTheme.headline4),
      headline5: GoogleFonts.smythe(textStyle: textTheme.headline5),
      headline6: GoogleFonts.smythe(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.smythe(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.smythe(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.smythe(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.smythe(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.smythe(textStyle: textTheme.caption),
      button: GoogleFonts.smythe(textStyle: textTheme.button),
      overline: GoogleFonts.smythe(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sniglet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextStyle sniglet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '106613b6566b3b9a696c095879b31e220c39d60c508dae033b5f3680aaa48732',
        51356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '439b0ab4a7a1d2a1328cc8eb52d10167325643f9c15a187d3d7650cdd15cf896',
        54768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sniglet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sniglet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sniglet
  static TextTheme snigletTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sniglet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sniglet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sniglet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sniglet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sniglet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sniglet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sniglet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sniglet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sniglet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sniglet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sniglet(textStyle: textTheme.caption),
      button: GoogleFonts.sniglet(textStyle: textTheme.button),
      overline: GoogleFonts.sniglet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Snippet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextStyle snippet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8cc4ae1951b9917cd740fe17346eee27c893d200ad251063c1aa3c48b6e02682',
        39260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Snippet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snippet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snippet
  static TextTheme snippetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.snippet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.snippet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.snippet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.snippet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.snippet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.snippet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.snippet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.snippet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.snippet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.snippet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.snippet(textStyle: textTheme.caption),
      button: GoogleFonts.snippet(textStyle: textTheme.button),
      overline: GoogleFonts.snippet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextStyle snowburstOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f0b3d75c3024cdb3e14b5006a726dacaa747fd5b1436d7123f63ed83d1d60e28',
        54060,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SnowburstOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Snowburst One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Snowburst+One
  static TextTheme snowburstOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.snowburstOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.snowburstOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.snowburstOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.snowburstOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.snowburstOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.snowburstOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.snowburstOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.snowburstOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.snowburstOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.snowburstOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.snowburstOne(textStyle: textTheme.caption),
      button: GoogleFonts.snowburstOne(textStyle: textTheme.button),
      overline: GoogleFonts.snowburstOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextStyle sofadiOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd2ee7258a722de3e36e84a9aadf3edfe4b91221f382e3e5bbe75b786119526f',
        34584,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SofadiOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofadi One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofadi+One
  static TextTheme sofadiOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sofadiOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sofadiOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sofadiOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sofadiOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sofadiOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sofadiOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sofadiOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sofadiOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sofadiOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sofadiOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sofadiOne(textStyle: textTheme.caption),
      button: GoogleFonts.sofadiOne(textStyle: textTheme.button),
      overline: GoogleFonts.sofadiOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sofia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextStyle sofia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ca5d81d1b4b38fae521b80e8ab25a7632893d98285e79fa51e53975b807afcb1',
        29748,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sofia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sofia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sofia
  static TextTheme sofiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sofia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sofia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sofia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sofia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sofia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sofia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sofia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sofia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sofia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sofia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sofia(textStyle: textTheme.caption),
      button: GoogleFonts.sofia(textStyle: textTheme.button),
      overline: GoogleFonts.sofia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Solway font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextStyle solway({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '30f12e709261a80d1a2f35d02c568e8080aa52e556cea38ec163ee09a6482606',
        34188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc55ce65a041c9b5001bb030477677f6a44eeb3946a418259202a162382044d2',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c03b2ecebe399988e043ffcd0707d72b1327076b7c0f255c24c88e453a8163eb',
        36536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd3b46e3ef557420e377ce5924289b7f1987a6a99f5625aa5e6ef6f74002198fd',
        37076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6be411cbc685fc6716528e253c309c7af939f60f2bf83919a384384ee527a079',
        37408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Solway',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Solway font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Solway
  static TextTheme solwayTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.solway(textStyle: textTheme.headline1),
      headline2: GoogleFonts.solway(textStyle: textTheme.headline2),
      headline3: GoogleFonts.solway(textStyle: textTheme.headline3),
      headline4: GoogleFonts.solway(textStyle: textTheme.headline4),
      headline5: GoogleFonts.solway(textStyle: textTheme.headline5),
      headline6: GoogleFonts.solway(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.solway(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.solway(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.solway(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.solway(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.solway(textStyle: textTheme.caption),
      button: GoogleFonts.solway(textStyle: textTheme.button),
      overline: GoogleFonts.solway(textStyle: textTheme.overline),
    );
  }

  /// Applies the Song Myung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextStyle songMyung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45407348eb54e83212eddfa7ad22cd18d0f75783316406f08beb532a835bc3f4',
        1202620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SongMyung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Song Myung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Song+Myung
  static TextTheme songMyungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.songMyung(textStyle: textTheme.headline1),
      headline2: GoogleFonts.songMyung(textStyle: textTheme.headline2),
      headline3: GoogleFonts.songMyung(textStyle: textTheme.headline3),
      headline4: GoogleFonts.songMyung(textStyle: textTheme.headline4),
      headline5: GoogleFonts.songMyung(textStyle: textTheme.headline5),
      headline6: GoogleFonts.songMyung(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.songMyung(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.songMyung(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.songMyung(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.songMyung(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.songMyung(textStyle: textTheme.caption),
      button: GoogleFonts.songMyung(textStyle: textTheme.button),
      overline: GoogleFonts.songMyung(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextStyle sonsieOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a621714ea4d59e0ead90246169593f8487db34752634db76b12ab329e9cf4e1',
        75992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SonsieOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sonsie One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sonsie+One
  static TextTheme sonsieOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sonsieOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sonsieOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sonsieOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sonsieOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sonsieOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sonsieOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sonsieOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sonsieOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sonsieOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sonsieOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sonsieOne(textStyle: textTheme.caption),
      button: GoogleFonts.sonsieOne(textStyle: textTheme.button),
      overline: GoogleFonts.sonsieOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sora font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextStyle sora({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '64d4cbd26de694ec801ad917d3c5a43436ee7982fad956e6d6d748adef743ecd',
        43136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10e1f33d3a9eb7b9084257e3150626d0e5ae65963784367ae211693196fb350c',
        43196,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b745f6732aacc43ddac8ec3bab7443f3af6da26663557ea6838d0e7462031ff4',
        43140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8fdab44c4a4386999298b584aa1f206f953a2fb931a2ee6ec38899f5db10a39d',
        43104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fc19fd9674df1fd4ca7db321338aab809eaa602467812b10823dd95039445192',
        43108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f60d0ed209fbf16025ff3c8f81fa826e24fd3b7a0c106d7f5035523dc91df799',
        43124,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c05902680317d01f35b1b110da938465cb8fc85c4606c7d1dca71e17f49a4872',
        43052,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f3b77615262ef6157c6dbbfaef740184837e7c012009d8d3251fba62561d938',
        43100,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sora',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sora font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sora
  static TextTheme soraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sora(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sora(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sora(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sora(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sora(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sora(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sora(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sora(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sora(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sora(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sora(textStyle: textTheme.caption),
      button: GoogleFonts.sora(textStyle: textTheme.button),
      overline: GoogleFonts.sora(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextStyle sortsMillGoudy({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '70d3ad626ef92c3b9eeaff7e3694af6d64f477a31ab242d11f98704e9903a065',
        121324,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd8d1d17c5bffaec08a5c129dfdbd62c0a538de036da120d20edef29019f0b5bf',
        105636,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SortsMillGoudy',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sorts Mill Goudy font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sorts+Mill+Goudy
  static TextTheme sortsMillGoudyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sortsMillGoudy(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sortsMillGoudy(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sortsMillGoudy(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sortsMillGoudy(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sortsMillGoudy(textStyle: textTheme.caption),
      button: GoogleFonts.sortsMillGoudy(textStyle: textTheme.button),
      overline: GoogleFonts.sortsMillGoudy(textStyle: textTheme.overline),
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextStyle sourceCodePro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5a618360951a8134d26923216c53da2cee51d55e6e2ca0003ecfe111b701bae5',
        87468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0184502d4eb4b41dcd3d65fecad4fcf8b6b46f13967b60ac98eedcc43aacb30',
        87064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d1bcd5038af1287746b7b1d1a4db65f091b3e9811428076d43a73121893922d',
        86408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '18daf5f11e4f1462c2a5b5f8e439dfce5a846e27eff21a622f9031f58d257aa2',
        85948,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '807061463bc4cdacd2299a10cc0b7862e4a925cb984fec0016307fea9df6aa78',
        85956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51b4ad25947aa6ab4e72faea203ad4b74e4de08b9bbc4d254cdd9dc26dfc2d19',
        86076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '677bde76eea8889e4ec713ec738f7fadd150aee2ffca36efb65946a45e6b93cc',
        86280,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceCodePro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Code Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Code+Pro
  static TextTheme sourceCodeProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sourceCodePro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sourceCodePro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sourceCodePro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sourceCodePro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sourceCodePro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sourceCodePro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sourceCodePro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sourceCodePro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sourceCodePro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sourceCodePro(textStyle: textTheme.caption),
      button: GoogleFonts.sourceCodePro(textStyle: textTheme.button),
      overline: GoogleFonts.sourceCodePro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextStyle sourceSans3({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '134c31af66f3a1bb02be8b8b0343cc533f48b26814f4a3902eae8aaeef3cefb5',
        216140,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dade5497632cb0f2f6268e2e493c284dd2f7cc2f2e6d17df2d25ef85450d20e2',
        217108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bebd5115e3790d7729e75b5f2494f4c7052f4732836158a3ba1c260af61c2b71',
        217224,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a26eed79f25698e687011e3a1e4f235abc3e9c218e69d116b80af7dff715f50',
        217012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '15003d265614d43c0b0f583c0f680887280b8d108f19c942f08a839d433948b4',
        217188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5cf9809aceafe8d2b7d614421075e330063bdc2bc1dacd7aee4b4a7ca71af9c7',
        217164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f2741596cfc74335493bf42330bcb4850428ecb47f95e2ebc5a82fcd7c621d6b',
        217168,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be9ef9ab28128bdc477eaee83383883688e5ccb84638e2d3d9d271850d1aa935',
        216120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b5be5f2902ab31a0746555824dc194a0585b82fd267f4fc0d6c175d2f1205ff0',
        191824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd280b0bf77b814b4e5488e10e013c57da7e836589b4708e1eaa741e8ce3cf136',
        192996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '246752d4becfefce3ea1d83c3f81bbd1f19abea730a042a7a7035cdcb5736f5c',
        192836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'fa098adbc7b2f4e73606a98bd77a2a13c1f414379230fc13dcbae5da5dfb9c5c',
        192656,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce935a193c061131ab4ad8d5d44227a8893f7f44f8f861da8693f773c0f4536e',
        192804,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ca6be7dd56d411a70ef84b87fd097ec1c672cffc6e57fee530d9e1635b551dc6',
        192824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '154908dd19be577dc34668291e818e15b6965e36a72d6fc8de8594bee0bf83ca',
        192724,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '599a13d02748b44b74d0d93cff1bfd276ee7fbedee41cd890e7e36bb95215ea9',
        191388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSans3',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans 3 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+3
  static TextTheme sourceSans3TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sourceSans3(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sourceSans3(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sourceSans3(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sourceSans3(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sourceSans3(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sourceSans3(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sourceSans3(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sourceSans3(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sourceSans3(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sourceSans3(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sourceSans3(textStyle: textTheme.caption),
      button: GoogleFonts.sourceSans3(textStyle: textTheme.button),
      overline: GoogleFonts.sourceSans3(textStyle: textTheme.overline),
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextStyle sourceSansPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '069aaad5d271d9417c8b97f8312f686cf5a9a41a8e3644b572c60c8e176ed7e0',
        233472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1538944579d3bc333bfe34ed45c1db572897fcf695af75f4e45ef5ac42c3aa12',
        84024,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb276921895494650544883e21f7d2bc91ec918522ac3d355582b0cd472592cc',
        234308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c068f601e24f3e8ced3014cb3dc4a32022c06af8e27ca870d6c76432d280e75a',
        83820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ed615e8d0355256e2d6d907b3addb929879c90c8383dd566b2208c79ffd16f7',
        234740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e35d7fde727174172e9689f4584ff9e4559a37ca0b39b096fa72f0f657b31bc9',
        83244,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5629ccf5ed16fa41c51a964b882a8e1e1e395a714906a90567278bd0c439ecc1',
        233912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e8bcda13818deef42d6e19f3009f6e18a595746c5dcc1d35c56280c5dea32b21',
        83064,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6b9e7872867a9a0fca2083e62b2c39727a93c81b736fb1e21cc1c29ba89008ff',
        233516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f417993b734490d591dd2a3f10022f8ff1a376876eeca00098baf25759b2522b',
        82856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1d969d176ba4ea2075fe69e5b9799e9dbc146889092823d49453241c80e93a2a',
        231580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '954080abe4fffebb675bea9c34eb0d873cf25f8674e9d55cde4c9c962f44a421',
        83000,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSansPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Sans Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Sans+Pro
  static TextTheme sourceSansProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sourceSansPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sourceSansPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sourceSansPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sourceSansPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sourceSansPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sourceSansPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sourceSansPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sourceSansPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sourceSansPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sourceSansPro(textStyle: textTheme.caption),
      button: GoogleFonts.sourceSansPro(textStyle: textTheme.button),
      overline: GoogleFonts.sourceSansPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextStyle sourceSerifPro({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f87f7b82ba7f18f5fc9e92b9a88f9da0c847cee069182948fc67c6440c888949',
        87572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '21ba3c9624cb12920db48bb25f0e1db9398acab0031d2ae8f13b8628f4d02740',
        88436,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb04de6aca072d01a88545fa409c6264d93f9b38f86a0ecd3a00708917085bd8',
        87152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SourceSerifPro',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Source Serif Pro font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Source+Serif+Pro
  static TextTheme sourceSerifProTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sourceSerifPro(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sourceSerifPro(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sourceSerifPro(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sourceSerifPro(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sourceSerifPro(textStyle: textTheme.caption),
      button: GoogleFonts.sourceSerifPro(textStyle: textTheme.button),
      overline: GoogleFonts.sourceSerifPro(textStyle: textTheme.overline),
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextStyle spaceGrotesk({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '78538bc64b6fc5ae6669761b5cdd3506b0158c3146a0dbf75ce7894cfc32f43f',
        62548,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac7df787842e477e1f25aea92d7a62eebddab6df822e91fc12d846d93de3ed98',
        62500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '25f055989d0add3601ef96ee9e16a6b16d56789d7e1d9152b85c304361144659',
        62532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be5fd5b8b5cce95f3932d341f4ab214a0fdb5a5b572a6b7736cd23e6a6b51ac9',
        62488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc1c7851cb7fdc9a545caf729159ed3a5647debd7ae514283a8e831b9b0b29ab',
        62432,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceGrotesk',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Grotesk font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Grotesk
  static TextTheme spaceGroteskTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spaceGrotesk(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spaceGrotesk(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spaceGrotesk(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spaceGrotesk(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spaceGrotesk(textStyle: textTheme.caption),
      button: GoogleFonts.spaceGrotesk(textStyle: textTheme.button),
      overline: GoogleFonts.spaceGrotesk(textStyle: textTheme.overline),
    );
  }

  /// Applies the Space Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextStyle spaceMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1308fd8bd0f79e0517319bf0429226dfce5ae67beb495577737524f29b537527',
        62960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '461bb1d5b84d057c522eedf582e3704890be96aed239020438b09168f8ef296b',
        69728,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1e9fe7ab3138b3f1465d1b1afc457934abae86c1803611dbbcfd28f5f97e2b',
        61696,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ec50d2d9cc5bbed72fae03e2bc8a720e2cca1324f8bc99b30089d51896917f0e',
        66880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpaceMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Space Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Space+Mono
  static TextTheme spaceMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spaceMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spaceMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spaceMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spaceMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spaceMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spaceMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spaceMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spaceMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spaceMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spaceMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spaceMono(textStyle: textTheme.caption),
      button: GoogleFonts.spaceMono(textStyle: textTheme.button),
      overline: GoogleFonts.spaceMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spartan font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spartan
  static TextStyle spartan({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4869cf7b66d0abcfafa64d169a39a8d60f681ae939db8334f68920cadb32601d',
        34308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '46bd04dc18fcff69cd6119022da0ed080ab1f747a043ae642cd1f09687377059',
        34392,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8b99bb8f62db78d7bce20b083bd51aa4f624f859741f6d6cb1377c1b4e8849d3',
        34356,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de5f4b08f5a84e557927cdef6b4a25c339dd1d76a2011f735151de162d44a19f',
        34276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd105bc50e2051f3f0a3e4ffd1bc4e0dc3d766607e557c3b6f1f26795a57176b5',
        34252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '039cfc4f464367e72a155853e5a73a28674cb54d69def7e8a9e0079070d7f515',
        34276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '322f9c7edf2eb6257b5f37642d91307f821dff6cc6d4ee33d4629189b43b164f',
        34332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60bd60c81e7531c33b4e0734ea135bd549841147edb59355003ac9b01c5dcfdb',
        34472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4fa2cc56e1f8204b4487730ab9ea24620b0649fe9ccd37048feebd3230c02cad',
        34500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spartan',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spartan font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spartan
  static TextTheme spartanTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spartan(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spartan(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spartan(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spartan(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spartan(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spartan(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spartan(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spartan(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spartan(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spartan(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spartan(textStyle: textTheme.caption),
      button: GoogleFonts.spartan(textStyle: textTheme.button),
      overline: GoogleFonts.spartan(textStyle: textTheme.overline),
    );
  }

  /// Applies the Special Elite font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextStyle specialElite({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a1b32a7d4f38d2ebfa68de6ead2295ba312231237e0088e5d4fc3e1c66a516d',
        165808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpecialElite',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Special Elite font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Special+Elite
  static TextTheme specialEliteTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.specialElite(textStyle: textTheme.headline1),
      headline2: GoogleFonts.specialElite(textStyle: textTheme.headline2),
      headline3: GoogleFonts.specialElite(textStyle: textTheme.headline3),
      headline4: GoogleFonts.specialElite(textStyle: textTheme.headline4),
      headline5: GoogleFonts.specialElite(textStyle: textTheme.headline5),
      headline6: GoogleFonts.specialElite(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.specialElite(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.specialElite(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.specialElite(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.specialElite(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.specialElite(textStyle: textTheme.caption),
      button: GoogleFonts.specialElite(textStyle: textTheme.button),
      overline: GoogleFonts.specialElite(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spectral font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextStyle spectral({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '38faebd2b01ddd2e497f09028eb10210de56ffadde5c5842c2f70a195865e869',
        199076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3ee03dc791594673ce8b752c95ef9d29d66d2afb3777a862edd4e9886ceff42a',
        220088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '877b7e52c3c9951be21132edc23e99f7b227c3cf6a6189a349ea4195a5ca645d',
        227408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3fceb0d465d8e2d6c3b28408281c75b8a55b5228875d262f65cafbf9f89aa1b5',
        240880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf0966737e7520da7784b9dfadc8744a34d7d90ab9d90ee290f28a8b29b868ea',
        221072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9ba9b61cb4417f86b861d19cadc70e612a8e32596f88e9eaf7f65a33ac37e363',
        230908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91b2985ae69deaca521a82b390a544247f735dfd48b0338fa92a1ab42a0a6414',
        233368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '47041fa850a2c3190804212d1ffe2e590aef6306201b9cff1c6bc798da3ea255',
        241960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '04a313e8c2f5ac831e7298c25c6075b9660a810569519797c226baede971cda1',
        233468,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '85a9ddd0720f69c9da803991658683f387f75a2d200989f17e4c84f03353a73f',
        241720,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '49302f1176eef815c75aec07833e13b9758532914b49c1993e9b619638ebcfd8',
        233260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '8f82f95515722a631616d0b69effe11da9717cf7eea641359596c20dbe87a7ca',
        242076,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a965c3cce6911f473a1523ad68029f95071a6aaabe726bf72ff4f9ed5455f0e',
        221968,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '528018df6d31607eec08ae87cd710edd29678dd7b9a2946b21fe5c2f725d95e5',
        230424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spectral',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral
  static TextTheme spectralTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spectral(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spectral(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spectral(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spectral(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spectral(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spectral(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spectral(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spectral(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spectral(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spectral(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spectral(textStyle: textTheme.caption),
      button: GoogleFonts.spectral(textStyle: textTheme.button),
      overline: GoogleFonts.spectral(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextStyle spectralSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d4dd9a1b6ca94347d9be458d3d3f27437804fcdcf96de19115ce63eab80e09',
        199108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1940514dc53b85d4d87e4f9ea64470eb98c107c053377538d63a88cd7f3c90e5',
        220128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '891b1d15d1fd0adffff4ab8a71237e846a7facbe29b6fa94e95a2e2125a162b0',
        227440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4a35ca51d42122c0e214b00754e3aabd760891dd4fe8f23e3211970b66fccde5',
        240920,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '992f8c6dff2fd1f14725272931fc3336a540546fa7846b3e278bd85836fb7545',
        221108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0517c9389a7f90b8ee1d792ac8572855f7ec302e33658d957763f50fa551141f',
        230944,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ffddde35929f7228c85cec1b5c3e93f839d845a8f751a7aef1b27a53f7ed7d87',
        233400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'da37956c506e2a8bb47a1cefda935cc60a00a1735c34ec2727db59fd9f5c8f72',
        242000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f7bfc53ad029c821a35bea359076f8a826719e43c0491aee00359e7acdf6d2fc',
        233500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1fb487f3103ff60bc6f5f01b422f906549ece9883a49e5b87c3be0dd78428e36',
        241760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb2b064297cc41a5df572410b58a26772056bf765768fc1a1510374bf5dea8e9',
        233296,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '380b7badc0bd105618648f3c7b9681a5e2c6a3b65569037a3c589e4a028aa6b3',
        242108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cb4ff7e22c08a17af3b239331337982b0c9f8cad6207546a955a1ea2dadddf16',
        222000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '379b67f997439e4df148b4cd426dd5ebe6ec642bcf4d4a74f192d664f97306f4',
        230464,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpectralSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spectral SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spectral+SC
  static TextTheme spectralScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spectralSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spectralSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spectralSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spectralSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spectralSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spectralSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spectralSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spectralSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spectralSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spectralSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spectralSc(textStyle: textTheme.caption),
      button: GoogleFonts.spectralSc(textStyle: textTheme.button),
      overline: GoogleFonts.spectralSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextStyle spicyRice({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e097f53ad6ba5f9e022be6b68002e3d8ccd021b1b340e077113c6d537de3ab75',
        66828,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SpicyRice',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spicy Rice font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spicy+Rice
  static TextTheme spicyRiceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spicyRice(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spicyRice(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spicyRice(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spicyRice(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spicyRice(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spicyRice(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spicyRice(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spicyRice(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spicyRice(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spicyRice(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spicyRice(textStyle: textTheme.caption),
      button: GoogleFonts.spicyRice(textStyle: textTheme.button),
      overline: GoogleFonts.spicyRice(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextStyle spinnaker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '086026fa129fbdfec07fc9736f5f1a5577d7c1a6f4cf1daa40f5a524db14db1d',
        22408,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spinnaker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spinnaker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spinnaker
  static TextTheme spinnakerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spinnaker(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spinnaker(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spinnaker(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spinnaker(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spinnaker(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spinnaker(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spinnaker(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spinnaker(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spinnaker(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spinnaker(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spinnaker(textStyle: textTheme.caption),
      button: GoogleFonts.spinnaker(textStyle: textTheme.button),
      overline: GoogleFonts.spinnaker(textStyle: textTheme.overline),
    );
  }

  /// Applies the Spirax font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextStyle spirax({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '165b0a7ca4871b5440455c3c991428f478c37eee5f78637905aceaa58275feda',
        49016,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Spirax',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Spirax font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Spirax
  static TextTheme spiraxTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.spirax(textStyle: textTheme.headline1),
      headline2: GoogleFonts.spirax(textStyle: textTheme.headline2),
      headline3: GoogleFonts.spirax(textStyle: textTheme.headline3),
      headline4: GoogleFonts.spirax(textStyle: textTheme.headline4),
      headline5: GoogleFonts.spirax(textStyle: textTheme.headline5),
      headline6: GoogleFonts.spirax(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.spirax(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.spirax(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.spirax(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.spirax(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.spirax(textStyle: textTheme.caption),
      button: GoogleFonts.spirax(textStyle: textTheme.button),
      overline: GoogleFonts.spirax(textStyle: textTheme.overline),
    );
  }

  /// Applies the Squada One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextStyle squadaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd162c6edeab12c48ff421bd0de5d144ae2c1f762b16d00e4efb07d42b4847cbe',
        19024,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SquadaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Squada One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Squada+One
  static TextTheme squadaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.squadaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.squadaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.squadaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.squadaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.squadaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.squadaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.squadaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.squadaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.squadaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.squadaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.squadaOne(textStyle: textTheme.caption),
      button: GoogleFonts.squadaOne(textStyle: textTheme.button),
      overline: GoogleFonts.squadaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextStyle sreeKrushnadevaraya({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '380fee09dc7039f216c5208086c2919b9b332d06de401d60f4b57d8cba7e080e',
        410260,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SreeKrushnadevaraya',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sree Krushnadevaraya font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sree+Krushnadevaraya
  static TextTheme sreeKrushnadevarayaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.caption),
      button: GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.button),
      overline: GoogleFonts.sreeKrushnadevaraya(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sriracha font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextStyle sriracha({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b5c54ea181b3d73d0d289e4182c26d2a6cca9e06c00edd861a65a36f6b559e7',
        207108,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sriracha',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sriracha font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sriracha
  static TextTheme srirachaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sriracha(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sriracha(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sriracha(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sriracha(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sriracha(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sriracha(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sriracha(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sriracha(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sriracha(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sriracha(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sriracha(textStyle: textTheme.caption),
      button: GoogleFonts.sriracha(textStyle: textTheme.button),
      overline: GoogleFonts.sriracha(textStyle: textTheme.overline),
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextStyle srisakdi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5b078682ce7a5aa20cc137b975bd70e97752800f9ba9fc1761c050ef3bffc84a',
        96252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3084b442fdea4ccce8907fe71e60006e0bcd2b686cd8c5d2c572d0483a1e27a',
        96120,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Srisakdi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Srisakdi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Srisakdi
  static TextTheme srisakdiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.srisakdi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.srisakdi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.srisakdi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.srisakdi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.srisakdi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.srisakdi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.srisakdi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.srisakdi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.srisakdi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.srisakdi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.srisakdi(textStyle: textTheme.caption),
      button: GoogleFonts.srisakdi(textStyle: textTheme.button),
      overline: GoogleFonts.srisakdi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Staatliches font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextStyle staatliches({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2ae636039aa5e081cbad2b79ad512682296ab9af1a36078372db12f68f540ab8',
        42160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Staatliches',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Staatliches font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Staatliches
  static TextTheme staatlichesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.staatliches(textStyle: textTheme.headline1),
      headline2: GoogleFonts.staatliches(textStyle: textTheme.headline2),
      headline3: GoogleFonts.staatliches(textStyle: textTheme.headline3),
      headline4: GoogleFonts.staatliches(textStyle: textTheme.headline4),
      headline5: GoogleFonts.staatliches(textStyle: textTheme.headline5),
      headline6: GoogleFonts.staatliches(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.staatliches(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.staatliches(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.staatliches(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.staatliches(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.staatliches(textStyle: textTheme.caption),
      button: GoogleFonts.staatliches(textStyle: textTheme.button),
      overline: GoogleFonts.staatliches(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stalemate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextStyle stalemate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c98986a49a80ea3130e9eb7c16b9470c6295a26b0207da72e59c4c01ab9c369b',
        74940,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stalemate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalemate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalemate
  static TextTheme stalemateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stalemate(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stalemate(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stalemate(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stalemate(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stalemate(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stalemate(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stalemate(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stalemate(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stalemate(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stalemate(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stalemate(textStyle: textTheme.caption),
      button: GoogleFonts.stalemate(textStyle: textTheme.button),
      overline: GoogleFonts.stalemate(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextStyle stalinistOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '87936ca01db4621bdb144a35bb1e89bc7e9b769a899d90ea618736467886c01d',
        30808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StalinistOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stalinist One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stalinist+One
  static TextTheme stalinistOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stalinistOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stalinistOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stalinistOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stalinistOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stalinistOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stalinistOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stalinistOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stalinistOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stalinistOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stalinistOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stalinistOne(textStyle: textTheme.caption),
      button: GoogleFonts.stalinistOne(textStyle: textTheme.button),
      overline: GoogleFonts.stalinistOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextStyle stardosStencil({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b677e9855e2ae2d05e70f39ac58d82bfe1f9ea6ecb62fcf63cc3c0f10c456ba9',
        44164,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b5b4ccf1291484af094cadfcd7fa357b84b8c25db613f74330c32b39a270fda1',
        34796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StardosStencil',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stardos Stencil font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stardos+Stencil
  static TextTheme stardosStencilTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stardosStencil(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stardosStencil(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stardosStencil(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stardosStencil(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stardosStencil(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stardosStencil(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stardosStencil(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stardosStencil(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stardosStencil(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stardosStencil(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stardosStencil(textStyle: textTheme.caption),
      button: GoogleFonts.stardosStencil(textStyle: textTheme.button),
      overline: GoogleFonts.stardosStencil(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stick font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextStyle stick({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d03bedc689e2d09cd2ebf080a626f11f94648b21410fef1d46bc42ce741acf6',
        2043188,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stick',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick
  static TextTheme stickTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stick(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stick(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stick(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stick(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stick(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stick(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stick(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stick(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stick(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stick(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stick(textStyle: textTheme.caption),
      button: GoogleFonts.stick(textStyle: textTheme.button),
      overline: GoogleFonts.stick(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextStyle stickNoBills({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b89b6f9b863a1e7127aa3cc4ef2af158bd8fcfb66fc27e56e61a8b1b2c013abb',
        162984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6769093858ec71817cf1c81a329a7f06a808fad151b91bf50d9ed3a186107fd7',
        163176,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da1722961a93fd0970a17777bd22f53528d6c55f16b4ff57a55f67ae8b27b0d7',
        163108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f1b65be18301779daabbe434dcbb77f41e33113b814cce4359a1059cf2b3359',
        163132,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a1a7f490586649ae1b951d14fa4e9d3b0b9863eee971087742a79bd1244eedc0',
        163080,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be86eb4f0ed5b79df3db5255ca6f8d9ecd716034fcb73d4d0ab58eb84f037ad6',
        163004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '007d503c8fdb1564d6f8416efa04129dbbcda43de1645f2bbf5744b17e9db916',
        162672,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StickNoBills',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stick No Bills font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stick+No+Bills
  static TextTheme stickNoBillsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stickNoBills(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stickNoBills(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stickNoBills(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stickNoBills(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stickNoBills(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stickNoBills(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stickNoBills(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stickNoBills(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stickNoBills(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stickNoBills(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stickNoBills(textStyle: textTheme.caption),
      button: GoogleFonts.stickNoBills(textStyle: textTheme.button),
      overline: GoogleFonts.stickNoBills(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextStyle stintUltraCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'feefd36d93b983bb86af74847749eae8e80b528fd8e91dd95e3ec89419bacb1b',
        39832,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Condensed
  static TextTheme stintUltraCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.stintUltraCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stintUltraCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.stintUltraCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.stintUltraCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextStyle stintUltraExpanded({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2e52b99f99f593fd768d038a499b7217a4852adceb02fa177857827ecd46921',
        42348,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StintUltraExpanded',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stint Ultra Expanded font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stint+Ultra+Expanded
  static TextTheme stintUltraExpandedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stintUltraExpanded(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stintUltraExpanded(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stintUltraExpanded(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stintUltraExpanded(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stintUltraExpanded(textStyle: textTheme.caption),
      button: GoogleFonts.stintUltraExpanded(textStyle: textTheme.button),
      overline: GoogleFonts.stintUltraExpanded(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stoke font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextStyle stoke({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd452122746813947edb624edec6a876538c722d14e0fe96ba0524f09e515f3b6',
        50796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fcfdfb02835f6966c5279db21b784abc2cfe9e1ec03d8c4452852483fb8f17c1',
        52516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stoke',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stoke font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stoke
  static TextTheme stokeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stoke(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stoke(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stoke(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stoke(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stoke(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stoke(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stoke(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stoke(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stoke(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stoke(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stoke(textStyle: textTheme.caption),
      button: GoogleFonts.stoke(textStyle: textTheme.button),
      overline: GoogleFonts.stoke(textStyle: textTheme.overline),
    );
  }

  /// Applies the Strait font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextStyle strait({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '878aae72e6ee31acbf6951998be893d7fb71a57b07974d83623e60b6ccc8d671',
        33040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Strait',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Strait font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Strait
  static TextTheme straitTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.strait(textStyle: textTheme.headline1),
      headline2: GoogleFonts.strait(textStyle: textTheme.headline2),
      headline3: GoogleFonts.strait(textStyle: textTheme.headline3),
      headline4: GoogleFonts.strait(textStyle: textTheme.headline4),
      headline5: GoogleFonts.strait(textStyle: textTheme.headline5),
      headline6: GoogleFonts.strait(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.strait(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.strait(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.strait(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.strait(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.strait(textStyle: textTheme.caption),
      button: GoogleFonts.strait(textStyle: textTheme.button),
      overline: GoogleFonts.strait(textStyle: textTheme.overline),
    );
  }

  /// Applies the Style Script font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextStyle styleScript({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3b0ac2b5d468e05fcc878702f8af8c7a9a3bec629490c26f5d867f9600d54f13',
        93400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'StyleScript',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Style Script font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Style+Script
  static TextTheme styleScriptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.styleScript(textStyle: textTheme.headline1),
      headline2: GoogleFonts.styleScript(textStyle: textTheme.headline2),
      headline3: GoogleFonts.styleScript(textStyle: textTheme.headline3),
      headline4: GoogleFonts.styleScript(textStyle: textTheme.headline4),
      headline5: GoogleFonts.styleScript(textStyle: textTheme.headline5),
      headline6: GoogleFonts.styleScript(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.styleScript(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.styleScript(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.styleScript(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.styleScript(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.styleScript(textStyle: textTheme.caption),
      button: GoogleFonts.styleScript(textStyle: textTheme.button),
      overline: GoogleFonts.styleScript(textStyle: textTheme.overline),
    );
  }

  /// Applies the Stylish font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextStyle stylish({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '489ff10987ec4798768e532c108dbfb20bf68e1e122df1f77b9f35568d34a103',
        6162676,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Stylish',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Stylish font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Stylish
  static TextTheme stylishTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.stylish(textStyle: textTheme.headline1),
      headline2: GoogleFonts.stylish(textStyle: textTheme.headline2),
      headline3: GoogleFonts.stylish(textStyle: textTheme.headline3),
      headline4: GoogleFonts.stylish(textStyle: textTheme.headline4),
      headline5: GoogleFonts.stylish(textStyle: textTheme.headline5),
      headline6: GoogleFonts.stylish(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.stylish(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.stylish(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.stylish(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.stylish(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.stylish(textStyle: textTheme.caption),
      button: GoogleFonts.stylish(textStyle: textTheme.button),
      overline: GoogleFonts.stylish(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextStyle sueEllenFrancisco({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd72aa0c7340b64bd3fc70457dd03d38b35b8cb3fd30f3f1af4a5f9b4bfd870aa',
        55840,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SueEllenFrancisco',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sue Ellen Francisco font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sue+Ellen+Francisco
  static TextTheme sueEllenFranciscoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.caption),
      button: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.button),
      overline: GoogleFonts.sueEllenFrancisco(textStyle: textTheme.overline),
    );
  }

  /// Applies the Suez One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextStyle suezOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7e2e07a8ef35ea21aa3b0630f261b07ce1e992cf94e2161128376c440c9ed2df',
        69424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SuezOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suez One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suez+One
  static TextTheme suezOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.suezOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.suezOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.suezOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.suezOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.suezOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.suezOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.suezOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.suezOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.suezOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.suezOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.suezOne(textStyle: textTheme.caption),
      button: GoogleFonts.suezOne(textStyle: textTheme.button),
      overline: GoogleFonts.suezOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextStyle sulphurPoint({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a21388d3a52630430a38cfb9e7aefbfa4653889b768e5fdc07c3eaa76c4bc5f0',
        36516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fd7664cb5a15da70be5d1769533c9cfa5abe937f64ce7bc3cf0fd9e155151280',
        34400,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '27c023fb553e5fa85d985bf1965ac74cdc7ca09e715c656f8dfe82a44c53f18d',
        36180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SulphurPoint',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sulphur Point font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sulphur+Point
  static TextTheme sulphurPointTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sulphurPoint(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sulphurPoint(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sulphurPoint(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sulphurPoint(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sulphurPoint(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sulphurPoint(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sulphurPoint(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sulphurPoint(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sulphurPoint(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sulphurPoint(textStyle: textTheme.caption),
      button: GoogleFonts.sulphurPoint(textStyle: textTheme.button),
      overline: GoogleFonts.sulphurPoint(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sumana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextStyle sumana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fc4eb110fb834ab65fd4f7af149d8ca3402dde810677f1f6dc84f2b08194c7c',
        144712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b035af08a910c59c4baf4941cca6a95cdea0a5c22c5d2615f77267f808f82c28',
        143064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sumana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sumana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sumana
  static TextTheme sumanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sumana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sumana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sumana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sumana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sumana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sumana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sumana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sumana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sumana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sumana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sumana(textStyle: textTheme.caption),
      button: GoogleFonts.sumana(textStyle: textTheme.button),
      overline: GoogleFonts.sumana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sunflower font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextStyle sunflower({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e60ce84d8ac799e771211c4fa34de99812b730e86342f32f94fbccfa79461bd0',
        352904,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf53d978b098c900279393bfdf56611a8003d688b2b16b7bd767182e1b0c58e8',
        341128,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f3b680ac8a8f4a8a9ede88bf72084ae45ddd8dd7a8a87e826b9ce8946a7b0536',
        347780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunflower',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunflower font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunflower
  static TextTheme sunflowerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sunflower(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sunflower(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sunflower(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sunflower(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sunflower(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sunflower(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sunflower(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sunflower(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sunflower(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sunflower(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sunflower(textStyle: textTheme.caption),
      button: GoogleFonts.sunflower(textStyle: textTheme.button),
      overline: GoogleFonts.sunflower(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextStyle sunshiney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7ec73237e0e7d1a4339d0381c584067becd402e92eb382bcff00860e277d2ca',
        159812,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sunshiney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sunshiney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sunshiney
  static TextTheme sunshineyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sunshiney(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sunshiney(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sunshiney(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sunshiney(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sunshiney(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sunshiney(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sunshiney(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sunshiney(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sunshiney(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sunshiney(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sunshiney(textStyle: textTheme.caption),
      button: GoogleFonts.sunshiney(textStyle: textTheme.button),
      overline: GoogleFonts.sunshiney(textStyle: textTheme.overline),
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextStyle supermercadoOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ea1b33f9fdd9d3df950419909fa184a44918ab451c8e9e3fc175b440d0938a9f',
        79764,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SupermercadoOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Supermercado One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Supermercado+One
  static TextTheme supermercadoOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.supermercadoOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.supermercadoOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.supermercadoOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.supermercadoOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.supermercadoOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.supermercadoOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.supermercadoOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.supermercadoOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.supermercadoOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.supermercadoOne(textStyle: textTheme.caption),
      button: GoogleFonts.supermercadoOne(textStyle: textTheme.button),
      overline: GoogleFonts.supermercadoOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Sura font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextStyle sura({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '701cc1c8fa22221123e6045f90d0db8d42edadf3b831862ce801b57bb14ac1b1',
        121816,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a88482ddb9067b01125775fc0f780c4b615bc72ad86cbec920ee03b2756d8d90',
        122316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Sura',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Sura font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Sura
  static TextTheme suraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.sura(textStyle: textTheme.headline1),
      headline2: GoogleFonts.sura(textStyle: textTheme.headline2),
      headline3: GoogleFonts.sura(textStyle: textTheme.headline3),
      headline4: GoogleFonts.sura(textStyle: textTheme.headline4),
      headline5: GoogleFonts.sura(textStyle: textTheme.headline5),
      headline6: GoogleFonts.sura(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.sura(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.sura(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.sura(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.sura(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.sura(textStyle: textTheme.caption),
      button: GoogleFonts.sura(textStyle: textTheme.button),
      overline: GoogleFonts.sura(textStyle: textTheme.overline),
    );
  }

  /// Applies the Suranna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextStyle suranna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5737d88c714925c169afd72de230a6a9feb3a2d7a026b33b5ccfa42e60cef970',
        387684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suranna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suranna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suranna
  static TextTheme surannaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.suranna(textStyle: textTheme.headline1),
      headline2: GoogleFonts.suranna(textStyle: textTheme.headline2),
      headline3: GoogleFonts.suranna(textStyle: textTheme.headline3),
      headline4: GoogleFonts.suranna(textStyle: textTheme.headline4),
      headline5: GoogleFonts.suranna(textStyle: textTheme.headline5),
      headline6: GoogleFonts.suranna(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.suranna(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.suranna(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.suranna(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.suranna(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.suranna(textStyle: textTheme.caption),
      button: GoogleFonts.suranna(textStyle: textTheme.button),
      overline: GoogleFonts.suranna(textStyle: textTheme.overline),
    );
  }

  /// Applies the Suravaram font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextStyle suravaram({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f9de796b7b600961688891106b7bc5efe1090a6ab181d91cc08b19a88e999360',
        189524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Suravaram',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Suravaram font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Suravaram
  static TextTheme suravaramTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.suravaram(textStyle: textTheme.headline1),
      headline2: GoogleFonts.suravaram(textStyle: textTheme.headline2),
      headline3: GoogleFonts.suravaram(textStyle: textTheme.headline3),
      headline4: GoogleFonts.suravaram(textStyle: textTheme.headline4),
      headline5: GoogleFonts.suravaram(textStyle: textTheme.headline5),
      headline6: GoogleFonts.suravaram(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.suravaram(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.suravaram(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.suravaram(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.suravaram(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.suravaram(textStyle: textTheme.caption),
      button: GoogleFonts.suravaram(textStyle: textTheme.button),
      overline: GoogleFonts.suravaram(textStyle: textTheme.overline),
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextStyle swankyAndMooMoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d97fafd655154f9469db4b981793373b837c26023dd266164ebd62c6320aa39',
        58868,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SwankyandMooMoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Swanky and Moo Moo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Swanky+and+Moo+Moo
  static TextTheme swankyAndMooMooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.caption),
      button: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.button),
      overline: GoogleFonts.swankyAndMooMoo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Syncopate font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextStyle syncopate({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8f40fe696b566662712524f9cf3f5c4aff3afa640f0bd4ec0e527c22369561a9',
        67800,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0c6b8fb391ff34b292bb2091302fb45fcc3b16eefc6bf4e67b9f1fe38f4ab3fe',
        36484,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syncopate',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syncopate font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syncopate
  static TextTheme syncopateTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.syncopate(textStyle: textTheme.headline1),
      headline2: GoogleFonts.syncopate(textStyle: textTheme.headline2),
      headline3: GoogleFonts.syncopate(textStyle: textTheme.headline3),
      headline4: GoogleFonts.syncopate(textStyle: textTheme.headline4),
      headline5: GoogleFonts.syncopate(textStyle: textTheme.headline5),
      headline6: GoogleFonts.syncopate(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.syncopate(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.syncopate(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.syncopate(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.syncopate(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.syncopate(textStyle: textTheme.caption),
      button: GoogleFonts.syncopate(textStyle: textTheme.button),
      overline: GoogleFonts.syncopate(textStyle: textTheme.overline),
    );
  }

  /// Applies the Syne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextStyle syne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10a95c1d5441e25f26b113321ba395252616458e6bc6cb4ab2b30a6e1dff5f95',
        41596,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9ec25bf50bdda60cae5ba089430a671b69e0eb0df474f513df3dc4af6a37eb4',
        41688,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b910b382d4f52c23227a1a5c42534c6e7a34c0ad59bb199c233e78ff07b715d7',
        41780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf8fa7ceef12ecbce519bb32e8812c4115c3907472effb279de7f994f4edba2f',
        41748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3fd3e1944f3aef431c55c83b8d1664b81f5a0eefcf5cf1f4f6a7cc95b9d5da3',
        41956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Syne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne
  static TextTheme syneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.syne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.syne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.syne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.syne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.syne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.syne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.syne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.syne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.syne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.syne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.syne(textStyle: textTheme.caption),
      button: GoogleFonts.syne(textStyle: textTheme.button),
      overline: GoogleFonts.syne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextStyle syneMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f193ba0e19a956372bbf64662ae7062fe4c130d8339ce679217867f1922e3049',
        35128,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Mono
  static TextTheme syneMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.syneMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.syneMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.syneMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.syneMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.syneMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.syneMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.syneMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.syneMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.syneMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.syneMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.syneMono(textStyle: textTheme.caption),
      button: GoogleFonts.syneMono(textStyle: textTheme.button),
      overline: GoogleFonts.syneMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextStyle syneTactile({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a9b880a161ac123e7e3413839ffeb154b4de7e8cc6ae2caa02b8b3b2877c9f9',
        86160,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'SyneTactile',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Syne Tactile font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Syne+Tactile
  static TextTheme syneTactileTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.syneTactile(textStyle: textTheme.headline1),
      headline2: GoogleFonts.syneTactile(textStyle: textTheme.headline2),
      headline3: GoogleFonts.syneTactile(textStyle: textTheme.headline3),
      headline4: GoogleFonts.syneTactile(textStyle: textTheme.headline4),
      headline5: GoogleFonts.syneTactile(textStyle: textTheme.headline5),
      headline6: GoogleFonts.syneTactile(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.syneTactile(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.syneTactile(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.syneTactile(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.syneTactile(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.syneTactile(textStyle: textTheme.caption),
      button: GoogleFonts.syneTactile(textStyle: textTheme.button),
      overline: GoogleFonts.syneTactile(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tajawal font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextStyle tajawal({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1591b1d4b425865ad56f27769d7904f608af3a947ce4a365c5e6f1a66ed36c5c',
        51368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96516512d599f345601934621e5ddc2b61c7967d59e4ee3bea24cb11c9f720d8',
        56216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6008a589c04e1cca5b78ecd73eb5f54a525670df2d3627fcddac202dac0b8db5',
        55044,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'efce394f1ebd252328bf21261a39ead5a083741b090a73e22bec34acbd910611',
        56256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '647958c651db7515a77fab543f70f06386720821399060f8b1791b1dc23a845b',
        55492,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '354e92ab2c7c9b84b1e80ee6431ea8e8bc0fe58113d4afa3fbf186b193168ca5',
        55216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9953e51150483dc38b632c494f68d39e59b6c474716bc0ac3e9d997c4ec0df52',
        54644,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tajawal',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tajawal font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tajawal
  static TextTheme tajawalTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tajawal(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tajawal(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tajawal(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tajawal(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tajawal(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tajawal(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tajawal(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tajawal(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tajawal(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tajawal(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tajawal(textStyle: textTheme.caption),
      button: GoogleFonts.tajawal(textStyle: textTheme.button),
      overline: GoogleFonts.tajawal(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tangerine font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextStyle tangerine({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd57c4cf7ce5cace0ff51506a942305cb2a8342c0d13badf47b74d8b7ccd6a976',
        39584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '99be610fa0d0acc2de30af936f07ac82bda5378a98b867c55dc1d8ae1a763c72',
        39460,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tangerine',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tangerine font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tangerine
  static TextTheme tangerineTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tangerine(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tangerine(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tangerine(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tangerine(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tangerine(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tangerine(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tangerine(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tangerine(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tangerine(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tangerine(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tangerine(textStyle: textTheme.caption),
      button: GoogleFonts.tangerine(textStyle: textTheme.button),
      overline: GoogleFonts.tangerine(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tauri font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextStyle tauri({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '364639e2343951f5f67f35cd32dddd5050f5a7d4b5170fd1f4b9bcdcfd3b70a5',
        25452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tauri',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tauri font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tauri
  static TextTheme tauriTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tauri(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tauri(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tauri(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tauri(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tauri(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tauri(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tauri(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tauri(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tauri(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tauri(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tauri(textStyle: textTheme.caption),
      button: GoogleFonts.tauri(textStyle: textTheme.button),
      overline: GoogleFonts.tauri(textStyle: textTheme.overline),
    );
  }

  /// Applies the Taviraj font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextStyle taviraj({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '52fbea14874ede87677741ccb667e42f7f7032e15c8b1a97be9fb092777027f3',
        137276,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd637ee5b1965213b2d0a0e00861b1be03c91e65b536d89344ca8311230055a55',
        151012,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f7c36cf8282e0201e715b76951dfdbbb3cbfd0205738f51c9ecf4317214ac1d',
        137232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '595da34fe677c807a56dbef57b36441f4cd9de4747ca13a95bc88dd802565032',
        151740,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b164693b28772a83e0ba3ea3b0795121a18396d1d22e4896f1f49fc90acc48b0',
        136700,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4835b3444e501b13a94cc6e04b4b19278bf42fae51e45998c0b41de8111b0727',
        138660,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc53748aefd7d7a100dafa7ee826dbe17e7e14c04500e79b83a7960d0e379305',
        137464,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9dd995b1166e87570dc10d6a2afb2e5bdc5a0a8897063971ff30f8be824cbdb0',
        151440,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8088b428c6a34c587047b747ef8b7e12084beb84bd154855e5c2d5038047e712',
        136676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f38fc8738bdc33986e0ef3c36e4c1af93939c40aee8d6db38f93edcefac57482',
        152500,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60262effd08d123f96e4ab6a7b67e4bdf366592724ab6211ea76e298b32de956',
        123836,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c32503bb0fe3a7c346743b68f48dba5c7de00074f0b33e16f2e1e34686a75575',
        138496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df6e4ecf9639e7dc02de4f99c5c63ebf641345e361470a40c48179c0dc47de55',
        135496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e3ea04696627c46a58fa5ef27becd6ba6de21760fbeda60718e5ea072290165b',
        150784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aff20cbaad70c21cda602d83dcf1df3e91122111271040a17451c90f91c0bc44',
        135488,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ce78de38f72b4be9e1af07713b59f4497cc2677898bd647e19679c6b10bd16d7',
        149960,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75383093cb1afbe41275d2188c2d57c958f8fb94eff2dc57382eb5c77ca82138',
        134912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '181f5aa6c3cfc77afd3dbcbc58dd4a621984f78739969774a7f939caee61b936',
        145500,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Taviraj',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Taviraj font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Taviraj
  static TextTheme tavirajTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.taviraj(textStyle: textTheme.headline1),
      headline2: GoogleFonts.taviraj(textStyle: textTheme.headline2),
      headline3: GoogleFonts.taviraj(textStyle: textTheme.headline3),
      headline4: GoogleFonts.taviraj(textStyle: textTheme.headline4),
      headline5: GoogleFonts.taviraj(textStyle: textTheme.headline5),
      headline6: GoogleFonts.taviraj(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.taviraj(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.taviraj(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.taviraj(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.taviraj(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.taviraj(textStyle: textTheme.caption),
      button: GoogleFonts.taviraj(textStyle: textTheme.button),
      overline: GoogleFonts.taviraj(textStyle: textTheme.overline),
    );
  }

  /// Applies the Teko font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextStyle teko({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b31400af25afcb1ea24b0a3b59e18957132c4df53084ec09f2978ddfd1e67fc5',
        183236,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd796b7d93c33a941a6521bb31d3ce37f381b87f97447077405c1cf841c4cb586',
        188060,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88b2962aecc7ff0d4a09258f8eff7210ff6c72abd16a8229f30da45d3c428b44',
        189536,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '93c13926efeae26ea7017e3777dd33149524c7eb3907c791e4b8c8edc57848f6',
        188860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c33b42189d0afc837f06ec5fd8b20cc431d75823356156ab00af8dcb949fa69',
        178052,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Teko',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Teko font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Teko
  static TextTheme tekoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.teko(textStyle: textTheme.headline1),
      headline2: GoogleFonts.teko(textStyle: textTheme.headline2),
      headline3: GoogleFonts.teko(textStyle: textTheme.headline3),
      headline4: GoogleFonts.teko(textStyle: textTheme.headline4),
      headline5: GoogleFonts.teko(textStyle: textTheme.headline5),
      headline6: GoogleFonts.teko(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.teko(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.teko(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.teko(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.teko(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.teko(textStyle: textTheme.caption),
      button: GoogleFonts.teko(textStyle: textTheme.button),
      overline: GoogleFonts.teko(textStyle: textTheme.overline),
    );
  }

  /// Applies the Telex font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextStyle telex({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '75d35766aa0cce57bcd40915972194111fc782787321d3eed8813c7c8d1e9e39',
        25416,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Telex',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Telex font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Telex
  static TextTheme telexTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.telex(textStyle: textTheme.headline1),
      headline2: GoogleFonts.telex(textStyle: textTheme.headline2),
      headline3: GoogleFonts.telex(textStyle: textTheme.headline3),
      headline4: GoogleFonts.telex(textStyle: textTheme.headline4),
      headline5: GoogleFonts.telex(textStyle: textTheme.headline5),
      headline6: GoogleFonts.telex(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.telex(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.telex(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.telex(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.telex(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.telex(textStyle: textTheme.caption),
      button: GoogleFonts.telex(textStyle: textTheme.button),
      overline: GoogleFonts.telex(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextStyle tenaliRamakrishna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b6f6e7bc4fab4b63722a7970012462fc4dd196307fcab934cabb392e9b45b437',
        484616,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenaliRamakrishna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenali Ramakrishna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenali+Ramakrishna
  static TextTheme tenaliRamakrishnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.caption),
      button: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.button),
      overline: GoogleFonts.tenaliRamakrishna(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextStyle tenorSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8282a828e14c73c12ba9034180b4a4840baca4c02a86359f63143806dcc81f23',
        76800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TenorSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tenor Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tenor+Sans
  static TextTheme tenorSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tenorSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tenorSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tenorSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tenorSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tenorSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tenorSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tenorSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tenorSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tenorSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tenorSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tenorSans(textStyle: textTheme.caption),
      button: GoogleFonts.tenorSans(textStyle: textTheme.button),
      overline: GoogleFonts.tenorSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Text Me One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextStyle textMeOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '804cbe1e9c5d9e08155e548789f8b5f53ff150c0785dbeae1c9361e8749b4e52',
        37304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TextMeOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Text Me One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Text+Me+One
  static TextTheme textMeOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.textMeOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.textMeOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.textMeOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.textMeOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.textMeOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.textMeOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.textMeOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.textMeOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.textMeOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.textMeOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.textMeOne(textStyle: textTheme.caption),
      button: GoogleFonts.textMeOne(textStyle: textTheme.button),
      overline: GoogleFonts.textMeOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Thasadith font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextStyle thasadith({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b9b28f00da26a27f2be523c47e0404d6bad035dead548d2418197cd755cc3ac5',
        86212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6c61662859aba973376a911040a9d141a67b1fa741ad54150e2bca1ec179e824',
        89192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '45b2059a66559645a04c064051f3e3d8f18c0e883aab89bae7fff6d05ad0043b',
        86580,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '758c9bca5f80c1e919aa4821259cd1a773692ab770622c36f688ea4c8524b0ae',
        89588,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Thasadith',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Thasadith font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Thasadith
  static TextTheme thasadithTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.thasadith(textStyle: textTheme.headline1),
      headline2: GoogleFonts.thasadith(textStyle: textTheme.headline2),
      headline3: GoogleFonts.thasadith(textStyle: textTheme.headline3),
      headline4: GoogleFonts.thasadith(textStyle: textTheme.headline4),
      headline5: GoogleFonts.thasadith(textStyle: textTheme.headline5),
      headline6: GoogleFonts.thasadith(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.thasadith(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.thasadith(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.thasadith(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.thasadith(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.thasadith(textStyle: textTheme.caption),
      button: GoogleFonts.thasadith(textStyle: textTheme.button),
      overline: GoogleFonts.thasadith(textStyle: textTheme.overline),
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextStyle theGirlNextDoor({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '51c93d3ab1885507b024f2ed61854dbb865696dcb5dbdfd1b135cefd74150fef',
        45248,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TheGirlNextDoor',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the The Girl Next Door font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/The+Girl+Next+Door
  static TextTheme theGirlNextDoorTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline1),
      headline2: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline2),
      headline3: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline3),
      headline4: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline4),
      headline5: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline5),
      headline6: GoogleFonts.theGirlNextDoor(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.theGirlNextDoor(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.theGirlNextDoor(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.theGirlNextDoor(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.theGirlNextDoor(textStyle: textTheme.caption),
      button: GoogleFonts.theGirlNextDoor(textStyle: textTheme.button),
      overline: GoogleFonts.theGirlNextDoor(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tienne font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextStyle tienne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e11280c2a4284740a646bbace5bf0a018fa38ead3ba5b33b7d6a55a646342b17',
        40772,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '62ae315531bcb85150dfefb27cbccbb30f331e0c091470a03aca49e6b1842e5f',
        38824,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7882a99c925a597867e27f064c12db77d2185f452bd9b0bc83862549c886331c',
        36220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tienne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tienne font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tienne
  static TextTheme tienneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tienne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tienne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tienne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tienne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tienne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tienne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tienne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tienne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tienne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tienne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tienne(textStyle: textTheme.caption),
      button: GoogleFonts.tienne(textStyle: textTheme.button),
      overline: GoogleFonts.tienne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tillana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextStyle tillana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f767b3a50e7fbd85244228fd72776e996704c5b833256c5fa56b782821e015af',
        217680,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5aecdf23e36ca11770901c226daf192765931a12afd290bbf684884f9bbf1c7c',
        222092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a5f11d010b5bd339931701e1853b2788fccf7cb07bbf503ff03f027a3086f3f3',
        222844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aed658fc70549eb112a013dc7ce6145b1f2719ee7d6179a5c4fd7be399a68511',
        222308,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'df261f8eeab47304d5e83ee3d77bba8193f51bd098bab3370180417296143318',
        222568,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tillana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tillana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tillana
  static TextTheme tillanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tillana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tillana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tillana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tillana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tillana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tillana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tillana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tillana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tillana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tillana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tillana(textStyle: textTheme.caption),
      button: GoogleFonts.tillana(textStyle: textTheme.button),
      overline: GoogleFonts.tillana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Timmana font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextStyle timmana({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6cf943319390cff3797ae7f9cf411dc8a14a739df02bdb952ae54284aaf15b01',
        469544,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Timmana',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Timmana font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Timmana
  static TextTheme timmanaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.timmana(textStyle: textTheme.headline1),
      headline2: GoogleFonts.timmana(textStyle: textTheme.headline2),
      headline3: GoogleFonts.timmana(textStyle: textTheme.headline3),
      headline4: GoogleFonts.timmana(textStyle: textTheme.headline4),
      headline5: GoogleFonts.timmana(textStyle: textTheme.headline5),
      headline6: GoogleFonts.timmana(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.timmana(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.timmana(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.timmana(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.timmana(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.timmana(textStyle: textTheme.caption),
      button: GoogleFonts.timmana(textStyle: textTheme.button),
      overline: GoogleFonts.timmana(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tinos font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextStyle tinos({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e3fb073d6d034814d7825107e1eae4eee8c1f169d87607f2df536bb4e4093ddf',
        262544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '27dde2d7c4a3b5edc81ddca48874ffcb63a893df81e508e07a3565f70323fdaf',
        263828,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dc658c10271c22ff1ad12fc220c05dadf678b1fa42443b874fd100f68afa117c',
        256496,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '839f50ca06adbf9bc25feef137791fcd9983139a76881789a290e71d685feab5',
        261992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tinos',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tinos font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tinos
  static TextTheme tinosTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tinos(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tinos(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tinos(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tinos(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tinos(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tinos(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tinos(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tinos(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tinos(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tinos(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tinos(textStyle: textTheme.caption),
      button: GoogleFonts.tinos(textStyle: textTheme.button),
      overline: GoogleFonts.tinos(textStyle: textTheme.overline),
    );
  }

  /// Applies the Titan One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextStyle titanOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '065d13ba1ab0e715e15feed24b86ff9a58a8df624d74923e1a1c710b36e08e99',
        55664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitanOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titan One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titan+One
  static TextTheme titanOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.titanOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.titanOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.titanOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.titanOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.titanOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.titanOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.titanOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.titanOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.titanOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.titanOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.titanOne(textStyle: textTheme.caption),
      button: GoogleFonts.titanOne(textStyle: textTheme.button),
      overline: GoogleFonts.titanOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextStyle titilliumWeb({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '19772d85bad94abc7a76fc4a64849db9638e9c00e7e0dadd3872a583b74adbe3',
        62712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a39917b8e97b8433f10dae6821885f087662f1062a48a366f2f2f287c74ecb6c',
        67404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7da8c41b9e519ca322471fc0bdcc15a795423fb09cbf094a6787142218ec1c9e',
        63520,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f0ff528b94c980870d32757c89817e790c119bea9de817d49334ba1a3f04ef9a',
        71232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ba6d03922294b498b3e57ace654a9ee6715c33081cd24c1df56004ca64ba6e66',
        63188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd785f9b4efc2d7f91a854d36930d269122091296e25a46cc7931e2cd717567d5',
        71912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8c9b215a8e543b09a087afec74223fb41a74378deb5b83c8457630d03f0b5fc3',
        62524,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e43b57298b99f0da6d3bfa3de072e88a539bf01332c5232e8e29dfee09cb859c',
        71340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '10e8c4207611b16691202b4204f5fbd4e27aa240a45dbb2ca91f63f341056539',
        59388,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'dd23a74d333a9694f51ccb193efddc8d38e892053eca374882e2fe4043181559',
        69256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '742f14f17526638a90f24974f5222008c89acabe2c636deb378ba287cf381bc6',
        48836,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TitilliumWeb',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Titillium Web font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Titillium+Web
  static TextTheme titilliumWebTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.titilliumWeb(textStyle: textTheme.headline1),
      headline2: GoogleFonts.titilliumWeb(textStyle: textTheme.headline2),
      headline3: GoogleFonts.titilliumWeb(textStyle: textTheme.headline3),
      headline4: GoogleFonts.titilliumWeb(textStyle: textTheme.headline4),
      headline5: GoogleFonts.titilliumWeb(textStyle: textTheme.headline5),
      headline6: GoogleFonts.titilliumWeb(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.titilliumWeb(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.titilliumWeb(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.titilliumWeb(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.titilliumWeb(textStyle: textTheme.caption),
      button: GoogleFonts.titilliumWeb(textStyle: textTheme.button),
      overline: GoogleFonts.titilliumWeb(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextStyle tomorrow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2bf064837570b16e64b6e16bb607ccd32e353ea52ff1860fd61a0de72f6a5ea0',
        54872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5dd9ba1be08d4e07fc0457665070caeecdad448ec1322aaac51e215904362e1e',
        58008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '79fcf41f1188438fdf8ed0f55418e4ca98f03b8443301282f5802555a96f74af',
        56872,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '425bd4136783e2ffeb2842db5e8492f0dc216f55affb59a6318a92710baa27eb',
        58892,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b2dfcddbd51d970a89a1da730c28728ef35143b92571a0784e276e6717c88ef',
        56908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd222b2be7527fd1ff40802e62efd580a26a2af8429cf2dbddbce712e5a794dba',
        58928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5256d55c0d21f605ff31cd07ca4024c586239869f4fe1ce2e54ef2b9b6dd1611',
        56716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'b3eda563419f8c13997aed418ed32fcc44e137a85792169be016f3242f1dbd26',
        58568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60bf8a426801434668a4d142fe97fa27c6e2dc3fa243ddeebf54f7c9d0284cbf',
        56172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '74048134b96771acecb5de5c4af84c177e24ca1b8a7c3b6c9852c5f68517cbb0',
        58112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3de6c087f280da15fd40635ba1cc66fe7c78a10350dd0f94ae6ada95384f31a4',
        56784,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2e985e11cd4dd1e0fd28d54e7a8c28dd1d7bf7fb880476ad1ff3ea0920bae21a',
        59016,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2434798866b49db9f385b1aff9ce12097fd03456a8dd4c6aa8dfa8478446c036',
        55956,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '523759fa7f5b6d8e1fd036f0fe530eb086c95d6be872aa152730f72cc697b264',
        58964,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a88013dd353dca273c7a4129ba7433767521753e669d6b73174ac30b3004aca',
        56584,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'c11ab2b695c695bcd579be5ede3d5e8f268d1754defa82cb82da445a0f6fcc68',
        59704,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '976124bee1d9ac2c0b64250e695eb111c22947028b468261ac2ba747e935ce41',
        52332,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '84a0fcf0b30441638a28059e5e836a2441bbd5f51553c29ae163f37af0e07b6e',
        55780,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tomorrow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tomorrow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tomorrow
  static TextTheme tomorrowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tomorrow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tomorrow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tomorrow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tomorrow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tomorrow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tomorrow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tomorrow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tomorrow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tomorrow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tomorrow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tomorrow(textStyle: textTheme.caption),
      button: GoogleFonts.tomorrow(textStyle: textTheme.button),
      overline: GoogleFonts.tomorrow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tourney font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextStyle tourney({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc94e55248806a4878d1af7c16ab5db7c1d417656026e1ad2a5fe55f7cf0ac44',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c00967f79ff587b74617dcd05d82da0e4522522bf48c7ed832cc5a0067622219',
        61996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6bce378eea8dff6d5f405d8b6dfb780c5bb629eb024f5cb86d84d8d946cf612a',
        61976,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8a2bb419b4ae4d8a7fa3a48bb1aa7a4d4fcacc312ccc432c8f2b8d8fc2d6d1ab',
        61984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb90659854ced249e22d0b75533e28c722e15394c0953ceb7abcc63e32747c98',
        62000,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '48ed67ef871d78b8da074724954a33258eca53d77a14c9a24c29f953d6425f3b',
        62020,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'faed8ee7073796a4653df33b82b7e235ef9cd7fed6fc2b99bc8c8becaea12054',
        61972,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd05bd628d6d45ca4f2db23319243bf781492641a19d7c2bd492cc34fdccfdd9f',
        62100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '048421ddee85fb59430c79cb8c183cb5dfabcd09ce3c28deb5bcc405daa27bf4',
        61640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '725d5223393bb16239c3f5304db4bf74d1e5da73bac44b4c0f34905cd4747942',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '9e526fef8ac301a4fdd9e3a210cc6927681539b5b9058dc1de0f5e2ed923ff68',
        64716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2f5640df34a8449cea3f66e9227b792d5fbb71f833e25d09a80138aeaefac3bc',
        64652,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'bdae7f72ad4b0eb3b1728feca2ce761e028e3b2ea0a9af0de371e992fa87e204',
        64576,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a31fae59c9de973498154e8bbd8434885917e3e80637be42be670f1f204edfbe',
        64676,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f049a1c9cbf68ecadc62d5cc1c4d203de6b987868e72d85ea2cadf7419b423e7',
        64692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1590c4fbbaad6c17cf15eff0b8aa4e509fffa3703f7c34f5af26b11c8e369545',
        64620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '50cb51fc5f6076ef5b65c19daa6b262042aad3b5bd954bfd241fdf5c3008a20b',
        64748,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '521e3a517f90d2bd08780ccf0e0bb8dfee32a8592cb282ea85153314825abe78',
        64112,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Tourney',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tourney font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tourney
  static TextTheme tourneyTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tourney(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tourney(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tourney(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tourney(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tourney(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tourney(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tourney(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tourney(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tourney(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tourney(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tourney(textStyle: textTheme.caption),
      button: GoogleFonts.tourney(textStyle: textTheme.button),
      overline: GoogleFonts.tourney(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextStyle tradeWinds({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3700d4f7d8215f29936d00b52a4b5bf1b2c28b9df395be53d179282b32834cdb',
        85328,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TradeWinds',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trade Winds font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trade+Winds
  static TextTheme tradeWindsTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tradeWinds(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tradeWinds(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tradeWinds(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tradeWinds(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tradeWinds(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tradeWinds(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tradeWinds(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tradeWinds(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tradeWinds(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tradeWinds(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tradeWinds(textStyle: textTheme.caption),
      button: GoogleFonts.tradeWinds(textStyle: textTheme.button),
      overline: GoogleFonts.tradeWinds(textStyle: textTheme.overline),
    );
  }

  /// Applies the Train One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextStyle trainOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '089314cc0c55f02c9ac672bca0c97942e0988cde82bb318c50c4cfb8ce956bba',
        1945180,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TrainOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Train One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Train+One
  static TextTheme trainOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trainOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trainOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trainOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trainOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trainOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trainOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trainOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trainOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trainOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trainOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trainOne(textStyle: textTheme.caption),
      button: GoogleFonts.trainOne(textStyle: textTheme.button),
      overline: GoogleFonts.trainOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trirong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextStyle trirong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ebda10c096f251b0f84ce8b6fad4468a087d944c5c45081c09f9b355ed9c2757',
        130884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7a42cfb5ac38b434d94f2da531cd684023ef0223664c7a1dcc27c1abbb1da60a',
        145452,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c24e38979d00ca5cc7b8263089200c8047ff2589fdccff637c44dd6e0ab1f408',
        130952,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '273025dcd85321fcb1f102724944a7150fea25d03ff9ed2bb7386973e88b9e50',
        146848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5f63c33f4190aa7884d7b64f11279c4507d7317e5624d0bfc1b05eca2ff418e7',
        132208,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '1784836440ffdf31286b0df9584970579b1af1952ac75dfd022bf9d7e0984fe1',
        146876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '83969f4046620c10445d07b6cec90f9d567b3cb5ae9f8a0d216568cc2d15654c',
        132240,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '841e812a25eb28ca4e21cb658d8366c9bb981105dd1d7aa88ca994bb54894ea3',
        135792,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '43bcfe3403429145f5c7fb7b1c235b3f7c6ec53c0eb74c60aacf204b951b5401',
        132568,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e3cacecc05b4c5ec441b805e2a762128058bec1d536af471ba5e41bdc4aeab6',
        145648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bcf42948a6cb24de06e4672a41d7be5d5a78f8666cb01af47465ae500a71d3f',
        119756,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '33b42029fe9f85e3aca1571116b8931e01d2c0532a8686fa4d4c1a9a6002d4c7',
        133248,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f44ac39f4897c03dc6b971c1150fb6931ae23244de24ad8b7e7786cf80d05bdf',
        132408,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '253f1ffccc8aef2bd32268020b2c2043f73135a8ae452a59da8a0392eb550f15',
        149368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91503f7fd8f6427f0f52f59b2eb579609644a895bbc23cf120d005ca661664a3',
        132344,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4bfb31e96b8c31946d7ad03ee00d18bbe83bb6f3259286bfcf595eb3a58f0d0c',
        148940,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '68b6c54a09143e5a61f93d87711cea8b55c71178340aa29d7900f345a39d6fec',
        132288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3065ef76d27a4859bed714e0ff5f472bd1675a0fc4b103a5b365fb7e367acbdc',
        149148,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trirong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trirong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trirong
  static TextTheme trirongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trirong(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trirong(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trirong(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trirong(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trirong(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trirong(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trirong(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trirong(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trirong(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trirong(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trirong(textStyle: textTheme.caption),
      button: GoogleFonts.trirong(textStyle: textTheme.button),
      overline: GoogleFonts.trirong(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trispace font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextStyle trispace({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b3404c98e8b052927506deba2273cdeff5b08bf49bc3a775dbcb2d2695f56d5a',
        53512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9412d5707c25a2fb98656127b7821c8578cf409832511eafff58b365122fcf12',
        53572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ac2a043612ddf6a6ab209a0b9220cac2ea1a50e352b37e2c8bebdeba9baffea9',
        53544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2775d9e85d7a86e22a08277823b8574695d6d856ceaeccee367699c7a9108a60',
        53544,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '420c166488b9b29145af63bbaabdf0ddacd5cb4eaa5084a568274514f91cdc76',
        53616,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1a01819504ed7c14b6a89fc429166810ba37507d741e1dbd9eb3c0567b4fc6d1',
        53808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd98f23221487bb9a3761267c52a362c092e195ceb1ff754670532170f3b32e31',
        53876,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ab1caf8338f45565ae7cbdd85a7bf8ee5fb58a44063836ee19ee2a89e3bc0af6',
        54184,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trispace',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trispace font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trispace
  static TextTheme trispaceTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trispace(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trispace(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trispace(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trispace(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trispace(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trispace(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trispace(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trispace(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trispace(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trispace(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trispace(textStyle: textTheme.caption),
      button: GoogleFonts.trispace(textStyle: textTheme.button),
      overline: GoogleFonts.trispace(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trocchi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextStyle trocchi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'eb00e832bf4003425484645b8e897ee2762c5ef155286eb4647745a9992d91e5',
        43796,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trocchi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trocchi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trocchi
  static TextTheme trocchiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trocchi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trocchi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trocchi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trocchi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trocchi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trocchi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trocchi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trocchi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trocchi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trocchi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trocchi(textStyle: textTheme.caption),
      button: GoogleFonts.trocchi(textStyle: textTheme.button),
      overline: GoogleFonts.trocchi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trochut font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextStyle trochut({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fb7ad314480eec04c8ff53ad7a24690495145d924a92be149c75ccd5fe144215',
        25252,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '05e2d11e0d53984525926d1c86d71eab21194ae2664a3696175f68fb9e8969de',
        27860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '82633b54306a8a1649b8590f40a509a2808ff33ef157f6cc3f98d52130752914',
        25364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trochut',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trochut font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trochut
  static TextTheme trochutTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trochut(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trochut(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trochut(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trochut(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trochut(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trochut(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trochut(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trochut(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trochut(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trochut(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trochut(textStyle: textTheme.caption),
      button: GoogleFonts.trochut(textStyle: textTheme.button),
      overline: GoogleFonts.trochut(textStyle: textTheme.overline),
    );
  }

  /// Applies the Trykker font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextStyle trykker({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a90a15371d777f248a91bd42582cdab700d67f8d3ca9b191fa8f32923f781e02',
        38116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Trykker',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Trykker font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Trykker
  static TextTheme trykkerTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.trykker(textStyle: textTheme.headline1),
      headline2: GoogleFonts.trykker(textStyle: textTheme.headline2),
      headline3: GoogleFonts.trykker(textStyle: textTheme.headline3),
      headline4: GoogleFonts.trykker(textStyle: textTheme.headline4),
      headline5: GoogleFonts.trykker(textStyle: textTheme.headline5),
      headline6: GoogleFonts.trykker(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.trykker(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.trykker(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.trykker(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.trykker(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.trykker(textStyle: textTheme.caption),
      button: GoogleFonts.trykker(textStyle: textTheme.button),
      overline: GoogleFonts.trykker(textStyle: textTheme.overline),
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextStyle tulpenOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7952e8a169708673ce2f03a77306fa166fa25d0f8475c26ea3cf055d955577c',
        35220,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TulpenOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Tulpen One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Tulpen+One
  static TextTheme tulpenOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.tulpenOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.tulpenOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.tulpenOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.tulpenOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.tulpenOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.tulpenOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.tulpenOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.tulpenOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.tulpenOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.tulpenOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.tulpenOne(textStyle: textTheme.caption),
      button: GoogleFonts.tulpenOne(textStyle: textTheme.button),
      overline: GoogleFonts.tulpenOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Turret Road font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextStyle turretRoad({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1eb2f6296f0d09925f225ecec4142547ba09542fcc5069fe46fe0d8673c2b6a3',
        31752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e38827c14383deae6789dc0f07d95b6cbb5f0093dbd0d872fcd4e792c8903562',
        31504,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9fe5d3ea03de544cf78476012b66bd6ec9240790f7e13b7365bab19f4d7dceb',
        31648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d3a6fdd0ccdd0665ca8b9ff99c62c571a5779139c039da471fb8b0d313b4c09',
        31556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ba5b04b2f9d8431b7bd41642ebdd197b5d904f1002cafc12fa7828579bc9970',
        30868,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b60bec40097c905a21009c6ad48cbe4c2c44f58ef95171a0a61efb0d6727a620',
        31516,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'TurretRoad',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Turret Road font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Turret+Road
  static TextTheme turretRoadTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.turretRoad(textStyle: textTheme.headline1),
      headline2: GoogleFonts.turretRoad(textStyle: textTheme.headline2),
      headline3: GoogleFonts.turretRoad(textStyle: textTheme.headline3),
      headline4: GoogleFonts.turretRoad(textStyle: textTheme.headline4),
      headline5: GoogleFonts.turretRoad(textStyle: textTheme.headline5),
      headline6: GoogleFonts.turretRoad(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.turretRoad(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.turretRoad(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.turretRoad(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.turretRoad(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.turretRoad(textStyle: textTheme.caption),
      button: GoogleFonts.turretRoad(textStyle: textTheme.button),
      overline: GoogleFonts.turretRoad(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextStyle ubuntu({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'af68436b9e6b56275cecbabf026fbfa760095b5fc054f802c17ae15dcb4cbf18',
        209640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1fc680395fdc7b33c4b64324bb4e34779fb8acfbb6d18b837932e0b8d1a69ee',
        235432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '69538c1ee708ba76c975ea534b5ea8bd65054114da93581ed279bdedde98986c',
        222172,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '191ec3d947057bfaa61cf55e8133a8dfa252400009e628a2141f7aafd3047ca9',
        231260,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c1964f6ef40fc1fdf7599700b74b4446f181c52a6547cac09a325565ad55e639',
        224556,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '02b8cbdca4e9916efc303be2f40666b27aa1928896d3f783fec01f97e23f7f64',
        228072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd897d5edfc8d1b9f611f1936d05ea7f52b66071ab5f3fa3dbc357cee0e02f204',
        231472,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c1ea5c0feab209d1204650845041e13ed77ef6451d9f081711e7d698ba20b52',
        245888,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ubuntu',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu
  static TextTheme ubuntuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ubuntu(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ubuntu(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ubuntu(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ubuntu(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ubuntu(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ubuntu(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ubuntu(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ubuntu(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ubuntu(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ubuntu(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ubuntu(textStyle: textTheme.caption),
      button: GoogleFonts.ubuntu(textStyle: textTheme.button),
      overline: GoogleFonts.ubuntu(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextStyle ubuntuCondensed({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1044be5c621b9779245f7324c08c3991b0a609d3de1eae6b7f914cd54de315',
        253684,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuCondensed',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Condensed font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Condensed
  static TextTheme ubuntuCondensedTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ubuntuCondensed(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ubuntuCondensed(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ubuntuCondensed(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ubuntuCondensed(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ubuntuCondensed(textStyle: textTheme.caption),
      button: GoogleFonts.ubuntuCondensed(textStyle: textTheme.button),
      overline: GoogleFonts.ubuntuCondensed(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextStyle ubuntuMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cd1f8cec4767686edcf755dcde43ac58d83cef21ee96f0e6d850aaf359edd22c',
        115764,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f9935197a4379e2812e72644ce77c4d8bd3f108ff3b23ed5fccb7032f08d6626',
        120736,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7f6a2a5a1eeef3fd539d7cb59119e2a720c33fb75347a47de6c1b4daef4ab63c',
        114936,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '91873d66153347506011f860ea9c87fc36c2ee4ef726bd95cc88c86e0b1ec5f2',
        118912,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UbuntuMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ubuntu Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ubuntu+Mono
  static TextTheme ubuntuMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ubuntuMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ubuntuMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ubuntuMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ubuntuMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ubuntuMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ubuntuMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ubuntuMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ubuntuMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ubuntuMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ubuntuMono(textStyle: textTheme.caption),
      button: GoogleFonts.ubuntuMono(textStyle: textTheme.button),
      overline: GoogleFonts.ubuntuMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Uchen font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextStyle uchen({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc26e05fc952d41b442ad00b78f88d5ad00335aa1d1ecf7a849ea618c6b92269',
        800808,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Uchen',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uchen font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uchen
  static TextTheme uchenTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.uchen(textStyle: textTheme.headline1),
      headline2: GoogleFonts.uchen(textStyle: textTheme.headline2),
      headline3: GoogleFonts.uchen(textStyle: textTheme.headline3),
      headline4: GoogleFonts.uchen(textStyle: textTheme.headline4),
      headline5: GoogleFonts.uchen(textStyle: textTheme.headline5),
      headline6: GoogleFonts.uchen(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.uchen(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.uchen(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.uchen(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.uchen(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.uchen(textStyle: textTheme.caption),
      button: GoogleFonts.uchen(textStyle: textTheme.button),
      overline: GoogleFonts.uchen(textStyle: textTheme.overline),
    );
  }

  /// Applies the Ultra font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextStyle ultra({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b8f140ef86bd070e1a1d30fffe3069a30b84663f4dbdb628765d5813caa50003',
        52776,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Ultra',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Ultra font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Ultra
  static TextTheme ultraTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.ultra(textStyle: textTheme.headline1),
      headline2: GoogleFonts.ultra(textStyle: textTheme.headline2),
      headline3: GoogleFonts.ultra(textStyle: textTheme.headline3),
      headline4: GoogleFonts.ultra(textStyle: textTheme.headline4),
      headline5: GoogleFonts.ultra(textStyle: textTheme.headline5),
      headline6: GoogleFonts.ultra(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.ultra(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.ultra(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.ultra(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.ultra(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.ultra(textStyle: textTheme.caption),
      button: GoogleFonts.ultra(textStyle: textTheme.button),
      overline: GoogleFonts.ultra(textStyle: textTheme.overline),
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextStyle uncialAntiqua({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '88158802093284fa91900c03a6d4ad980decb35d9f668fb97ae46095f6669770',
        62988,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UncialAntiqua',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Uncial Antiqua font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Uncial+Antiqua
  static TextTheme uncialAntiquaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline1),
      headline2: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline2),
      headline3: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline3),
      headline4: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline4),
      headline5: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline5),
      headline6: GoogleFonts.uncialAntiqua(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.uncialAntiqua(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.uncialAntiqua(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.uncialAntiqua(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.uncialAntiqua(textStyle: textTheme.caption),
      button: GoogleFonts.uncialAntiqua(textStyle: textTheme.button),
      overline: GoogleFonts.uncialAntiqua(textStyle: textTheme.overline),
    );
  }

  /// Applies the Underdog font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextStyle underdog({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '02f2cb9d97d94732f703fb34d2332cacf667304208fd69704a5e2ff904dcccff',
        70256,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Underdog',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Underdog font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Underdog
  static TextTheme underdogTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.underdog(textStyle: textTheme.headline1),
      headline2: GoogleFonts.underdog(textStyle: textTheme.headline2),
      headline3: GoogleFonts.underdog(textStyle: textTheme.headline3),
      headline4: GoogleFonts.underdog(textStyle: textTheme.headline4),
      headline5: GoogleFonts.underdog(textStyle: textTheme.headline5),
      headline6: GoogleFonts.underdog(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.underdog(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.underdog(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.underdog(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.underdog(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.underdog(textStyle: textTheme.caption),
      button: GoogleFonts.underdog(textStyle: textTheme.button),
      overline: GoogleFonts.underdog(textStyle: textTheme.overline),
    );
  }

  /// Applies the Unica One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextStyle unicaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5616e05bc01af9a3a0c6ab46088658b8dfa74ac2b709df893baaefaa711889ed',
        39876,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnicaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unica One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unica+One
  static TextTheme unicaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unicaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unicaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unicaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unicaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unicaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unicaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unicaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unicaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unicaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unicaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unicaOne(textStyle: textTheme.caption),
      button: GoogleFonts.unicaOne(textStyle: textTheme.button),
      overline: GoogleFonts.unicaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextStyle unifrakturCook({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '36511c1da21b02a70a6926e12d439ba9c9dba3d5ff0a282c31fa85c4ca96a121',
        41860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturCook',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturCook font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturCook
  static TextTheme unifrakturCookTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unifrakturCook(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unifrakturCook(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unifrakturCook(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unifrakturCook(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unifrakturCook(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unifrakturCook(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unifrakturCook(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unifrakturCook(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unifrakturCook(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unifrakturCook(textStyle: textTheme.caption),
      button: GoogleFonts.unifrakturCook(textStyle: textTheme.button),
      overline: GoogleFonts.unifrakturCook(textStyle: textTheme.overline),
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextStyle unifrakturMaguntia({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '760d5515a6a9a134ae422f5944056967d7e7d59e1e22b09f4c37caa548229534',
        71824,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'UnifrakturMaguntia',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the UnifrakturMaguntia font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/UnifrakturMaguntia
  static TextTheme unifrakturMaguntiaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.caption),
      button: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.button),
      overline: GoogleFonts.unifrakturMaguntia(textStyle: textTheme.overline),
    );
  }

  /// Applies the Unkempt font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextStyle unkempt({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd4f6b7d5ae22a39c55f20fa7871901f21fd6c60c5a788fcf578cf326216a1052',
        191984,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7fd27119b105972e2538d19f5b9fc686ccaf1e10de3d8c7ab7c7d3e0111700dd',
        190680,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unkempt',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unkempt font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unkempt
  static TextTheme unkemptTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unkempt(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unkempt(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unkempt(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unkempt(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unkempt(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unkempt(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unkempt(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unkempt(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unkempt(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unkempt(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unkempt(textStyle: textTheme.caption),
      button: GoogleFonts.unkempt(textStyle: textTheme.button),
      overline: GoogleFonts.unkempt(textStyle: textTheme.overline),
    );
  }

  /// Applies the Unlock font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextStyle unlock({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e9ad989b6ef86cedca3ed0f4a06cc4bb6fbf6dce9c2d5ccd288512d49e861de4',
        27032,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unlock',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unlock font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unlock
  static TextTheme unlockTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unlock(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unlock(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unlock(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unlock(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unlock(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unlock(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unlock(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unlock(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unlock(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unlock(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unlock(textStyle: textTheme.caption),
      button: GoogleFonts.unlock(textStyle: textTheme.button),
      overline: GoogleFonts.unlock(textStyle: textTheme.overline),
    );
  }

  /// Applies the Unna font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextStyle unna({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'aa20b27f175098965dc2897d6bb836199b5df9ae3a2e04ce93c359976f4ad15b',
        40900,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'adf583a9103ab9e6d88d247e15e1b9eee56b751099e349c84f7c344391ba5365',
        47428,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea1c7e13a6450b0389fe43811640a115ceff510dce477813d552533bb8c2a1d',
        41572,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2c998279cfb60a24fb17f126e193378afe16e6056a7b57ac4cd78b2047759fd8',
        48440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Unna',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Unna font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Unna
  static TextTheme unnaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.unna(textStyle: textTheme.headline1),
      headline2: GoogleFonts.unna(textStyle: textTheme.headline2),
      headline3: GoogleFonts.unna(textStyle: textTheme.headline3),
      headline4: GoogleFonts.unna(textStyle: textTheme.headline4),
      headline5: GoogleFonts.unna(textStyle: textTheme.headline5),
      headline6: GoogleFonts.unna(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.unna(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.unna(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.unna(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.unna(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.unna(textStyle: textTheme.caption),
      button: GoogleFonts.unna(textStyle: textTheme.button),
      overline: GoogleFonts.unna(textStyle: textTheme.overline),
    );
  }

  /// Applies the Urbanist font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextStyle urbanist({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7c8b5523e863c9ad0378ee9d9efbe0b1454d19b71a9d0927606547713bbaf4f7',
        40912,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1bda822d62fbe3d7a01f152e6a787f1b012b26a93545474a112fac926b7ac724',
        41136,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3759301bd16bd2d0dffaa3872836afa7fe4fc7bfd6f8f62beff33179afb412b5',
        41104,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '60a6bb966556e2ca0d5defc47b03a5bd6aaeca7761eeb6ec7dfb8a20a9902da3',
        41036,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a9cbb82165b0fc4b65b6197d27920e10d613dacfe008341c64808ec9eb2d6a3b',
        41092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e2c0f1ed4ddeea134b23d4183dceeee943f1b9e4fc1ec94c602ff7dc2b4e2ece',
        41072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '756f2e175ef8611272c9f707ddb02cf379626addc357ed8aed07177cc9ba0a2a',
        40932,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f84d605bc2f02645026cc5cdda17923120f437213eb519f75be3bf6e099d3d3',
        41220,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fa89be56596054d5f214936680fd39c3eeaa5b2ccc7722d151283adeec148ac0',
        41088,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '158b28da34da42a87bc7030e18df5cc5222471f5fbf9d9fc1dfe545bf2f1cdc8',
        41880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '2062cf8cdf45dc2dc107c48538ea6a4fbfab175683e8c2086d5732a8b0d4cf5e',
        42144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '4f0b1ea004f54809cad4f2a8740efa6e4c8cdcf2e4d2b144395e9fc38db6d0f8',
        42072,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5e1b9ea201d0c47d4f914aee49b2cb40f6443b17a644b9a3881336351f4cc55a',
        41996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0286f5c9f58479a3ac3a397303ec9c70aa0a4ad64a56ef60fb97a82b19115f66',
        42100,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f1908cc39a7022062641abcc8807ac7af31d41a0d54a0247b610910bab4a0698',
        42108,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6f85494071d54a2cd0ff69024a4e13739ee9618be474d1b5864cee22d6e0553e',
        41888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'a5b7db7e2a5d4d7897296057148e6a5c81e9be1a1bcb79f4ebb64d986d3033f0',
        42212,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '68542d174b3125e4116b5588197c30dc3d5968207e4d56ab9c06da6800170916',
        42068,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Urbanist',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Urbanist font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Urbanist
  static TextTheme urbanistTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.urbanist(textStyle: textTheme.headline1),
      headline2: GoogleFonts.urbanist(textStyle: textTheme.headline2),
      headline3: GoogleFonts.urbanist(textStyle: textTheme.headline3),
      headline4: GoogleFonts.urbanist(textStyle: textTheme.headline4),
      headline5: GoogleFonts.urbanist(textStyle: textTheme.headline5),
      headline6: GoogleFonts.urbanist(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.urbanist(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.urbanist(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.urbanist(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.urbanist(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.urbanist(textStyle: textTheme.caption),
      button: GoogleFonts.urbanist(textStyle: textTheme.button),
      overline: GoogleFonts.urbanist(textStyle: textTheme.overline),
    );
  }

  /// Applies the VT323 font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextStyle vt323({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bb4e9d2d01d2cd1a001d4822ed239ffd38df2ee07a6a1f581288f34dbd2f4060',
        107768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VT323',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the VT323 font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/VT323
  static TextTheme vt323TextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vt323(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vt323(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vt323(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vt323(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vt323(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vt323(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vt323(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vt323(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vt323(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vt323(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vt323(textStyle: textTheme.caption),
      button: GoogleFonts.vt323(textStyle: textTheme.button),
      overline: GoogleFonts.vt323(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextStyle vampiroOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da13d8511c4c84999202a24524c1d204e28aa4fc7d38266b472306622f383317',
        21848,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VampiroOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vampiro One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vampiro+One
  static TextTheme vampiroOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vampiroOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vampiroOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vampiroOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vampiroOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vampiroOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vampiroOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vampiroOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vampiroOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vampiroOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vampiroOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vampiroOne(textStyle: textTheme.caption),
      button: GoogleFonts.vampiroOne(textStyle: textTheme.button),
      overline: GoogleFonts.vampiroOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Varela font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextStyle varela({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '96887ebd8375ca5af98d18cb1de4dbf2999792851119cd372a33470d59245222',
        103004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varela',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela
  static TextTheme varelaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.varela(textStyle: textTheme.headline1),
      headline2: GoogleFonts.varela(textStyle: textTheme.headline2),
      headline3: GoogleFonts.varela(textStyle: textTheme.headline3),
      headline4: GoogleFonts.varela(textStyle: textTheme.headline4),
      headline5: GoogleFonts.varela(textStyle: textTheme.headline5),
      headline6: GoogleFonts.varela(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.varela(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.varela(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.varela(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.varela(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.varela(textStyle: textTheme.caption),
      button: GoogleFonts.varela(textStyle: textTheme.button),
      overline: GoogleFonts.varela(textStyle: textTheme.overline),
    );
  }

  /// Applies the Varela Round font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextStyle varelaRound({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23459f7eed93ae80137b9ac0c3c1ab000743c9c983fb7c14b6d5f3ceb8e4eb15',
        105652,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VarelaRound',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varela Round font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varela+Round
  static TextTheme varelaRoundTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.varelaRound(textStyle: textTheme.headline1),
      headline2: GoogleFonts.varelaRound(textStyle: textTheme.headline2),
      headline3: GoogleFonts.varelaRound(textStyle: textTheme.headline3),
      headline4: GoogleFonts.varelaRound(textStyle: textTheme.headline4),
      headline5: GoogleFonts.varelaRound(textStyle: textTheme.headline5),
      headline6: GoogleFonts.varelaRound(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.varelaRound(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.varelaRound(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.varelaRound(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.varelaRound(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.varelaRound(textStyle: textTheme.caption),
      button: GoogleFonts.varelaRound(textStyle: textTheme.button),
      overline: GoogleFonts.varelaRound(textStyle: textTheme.overline),
    );
  }

  /// Applies the Varta font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextStyle varta({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2aea56851bc37f1bd42371e8851887d38d8da945897da94b4bda866332ef0358',
        59232,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9b04506911ea313ea9e8ddcd0acb91527b5726610ef716c8a52d301598b263d4',
        59200,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'afeb9cdc53886d1866c52d07df6bf4078bebaa70062b192491f8ba4181fafea6',
        59192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc2323f655465146d3347dddfb6fc3eb3b1017bbce627740e8c45e1b001d0df2',
        59216,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b1f85e3bc0f474c35e402ac2196cb76aad8fd65cb372d3bff84dcf25b4fc63ba',
        59104,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Varta',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Varta font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Varta
  static TextTheme vartaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.varta(textStyle: textTheme.headline1),
      headline2: GoogleFonts.varta(textStyle: textTheme.headline2),
      headline3: GoogleFonts.varta(textStyle: textTheme.headline3),
      headline4: GoogleFonts.varta(textStyle: textTheme.headline4),
      headline5: GoogleFonts.varta(textStyle: textTheme.headline5),
      headline6: GoogleFonts.varta(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.varta(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.varta(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.varta(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.varta(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.varta(textStyle: textTheme.caption),
      button: GoogleFonts.varta(textStyle: textTheme.button),
      overline: GoogleFonts.varta(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextStyle vastShadow({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c7455e059437040326c4daa3043261ce959c3f096f26dbe670dec65d1a611705',
        62316,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VastShadow',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vast Shadow font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vast+Shadow
  static TextTheme vastShadowTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vastShadow(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vastShadow(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vastShadow(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vastShadow(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vastShadow(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vastShadow(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vastShadow(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vastShadow(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vastShadow(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vastShadow(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vastShadow(textStyle: textTheme.caption),
      button: GoogleFonts.vastShadow(textStyle: textTheme.button),
      overline: GoogleFonts.vastShadow(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextStyle vesperLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '23ebf9650e07e0d9fc46ae2eba26ac2ec4ce96fb1c5dfe8d1e68697caa450075',
        165640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0d1943717826e25f00193643ca5cef6a8e84d9949f43eea2e7fcbbcf7eac6472',
        167888,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c45aa4f922411d07c89ae4f96d05177e84e280aecdda0fdee999b1a617b4c1ce',
        167692,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f6179f3446d68f20aa486aed461cc68f86028fd02217a13559a2bf5c3e60702',
        165240,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VesperLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vesper Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vesper+Libre
  static TextTheme vesperLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vesperLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vesperLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vesperLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vesperLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vesperLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vesperLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vesperLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vesperLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vesperLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vesperLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vesperLibre(textStyle: textTheme.caption),
      button: GoogleFonts.vesperLibre(textStyle: textTheme.button),
      overline: GoogleFonts.vesperLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextStyle viaodaLibre({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4c7e54848245264f0ecb5994ce321b185812cc6e451cdd2fc341d8f505686dd4',
        95364,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ViaodaLibre',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viaoda Libre font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viaoda+Libre
  static TextTheme viaodaLibreTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.viaodaLibre(textStyle: textTheme.headline1),
      headline2: GoogleFonts.viaodaLibre(textStyle: textTheme.headline2),
      headline3: GoogleFonts.viaodaLibre(textStyle: textTheme.headline3),
      headline4: GoogleFonts.viaodaLibre(textStyle: textTheme.headline4),
      headline5: GoogleFonts.viaodaLibre(textStyle: textTheme.headline5),
      headline6: GoogleFonts.viaodaLibre(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.viaodaLibre(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.viaodaLibre(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.viaodaLibre(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.viaodaLibre(textStyle: textTheme.caption),
      button: GoogleFonts.viaodaLibre(textStyle: textTheme.button),
      overline: GoogleFonts.viaodaLibre(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vibes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextStyle vibes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '270c48b74a5e6a356c51d4c42ec0a6889691ba3d2ec03f0bbec16078d2ac9093',
        49952,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibes
  static TextTheme vibesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vibes(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vibes(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vibes(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vibes(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vibes(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vibes(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vibes(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vibes(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vibes(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vibes(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vibes(textStyle: textTheme.caption),
      button: GoogleFonts.vibes(textStyle: textTheme.button),
      overline: GoogleFonts.vibes(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vibur font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextStyle vibur({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4a341a2553f7bac9bf3d756c88bdb1a67934839f2a343ef00268f04d641803f8',
        143772,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vibur',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vibur font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vibur
  static TextTheme viburTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vibur(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vibur(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vibur(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vibur(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vibur(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vibur(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vibur(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vibur(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vibur(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vibur(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vibur(textStyle: textTheme.caption),
      button: GoogleFonts.vibur(textStyle: textTheme.button),
      overline: GoogleFonts.vibur(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextStyle vidaloka({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '222cf887f6f4ef0661c73aee6ad041d0d4e6630c7d2bff7e851025a024b44cfd',
        104304,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vidaloka',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vidaloka font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vidaloka
  static TextTheme vidalokaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vidaloka(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vidaloka(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vidaloka(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vidaloka(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vidaloka(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vidaloka(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vidaloka(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vidaloka(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vidaloka(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vidaloka(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vidaloka(textStyle: textTheme.caption),
      button: GoogleFonts.vidaloka(textStyle: textTheme.button),
      overline: GoogleFonts.vidaloka(textStyle: textTheme.overline),
    );
  }

  /// Applies the Viga font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextStyle viga({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd85fc50295193b5956d4737878484d6ec2b1681053e75a2c986238285e1ac681',
        28388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Viga',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Viga font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Viga
  static TextTheme vigaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.viga(textStyle: textTheme.headline1),
      headline2: GoogleFonts.viga(textStyle: textTheme.headline2),
      headline3: GoogleFonts.viga(textStyle: textTheme.headline3),
      headline4: GoogleFonts.viga(textStyle: textTheme.headline4),
      headline5: GoogleFonts.viga(textStyle: textTheme.headline5),
      headline6: GoogleFonts.viga(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.viga(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.viga(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.viga(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.viga(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.viga(textStyle: textTheme.caption),
      button: GoogleFonts.viga(textStyle: textTheme.button),
      overline: GoogleFonts.viga(textStyle: textTheme.overline),
    );
  }

  /// Applies the Voces font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextStyle voces({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0be995322d0fd8e055fc6d3cb9352a0c551e91531d41946d20c450fe3e4c20d8',
        65956,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voces',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voces font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voces
  static TextTheme vocesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.voces(textStyle: textTheme.headline1),
      headline2: GoogleFonts.voces(textStyle: textTheme.headline2),
      headline3: GoogleFonts.voces(textStyle: textTheme.headline3),
      headline4: GoogleFonts.voces(textStyle: textTheme.headline4),
      headline5: GoogleFonts.voces(textStyle: textTheme.headline5),
      headline6: GoogleFonts.voces(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.voces(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.voces(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.voces(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.voces(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.voces(textStyle: textTheme.caption),
      button: GoogleFonts.voces(textStyle: textTheme.button),
      overline: GoogleFonts.voces(textStyle: textTheme.overline),
    );
  }

  /// Applies the Volkhov font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextStyle volkhov({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a3fa059553ab62381a8974ef60376b4bad0e91f2d72092094e74fb1c2fcca886',
        84908,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '7d27f866b8f11b00603bcc07b2e7ae49e4405fde4b3db227065ad57f92b8953c',
        84532,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f24fe6c57bdf816d9c6e09602548002ca61aca7eec23b40635c4a46f84347d47',
        84288,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '0db6f541c0e1a1f792feaacd69708e50b99aabf1ada6028e80fca14cfafe030c',
        85744,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Volkhov',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Volkhov font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Volkhov
  static TextTheme volkhovTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.volkhov(textStyle: textTheme.headline1),
      headline2: GoogleFonts.volkhov(textStyle: textTheme.headline2),
      headline3: GoogleFonts.volkhov(textStyle: textTheme.headline3),
      headline4: GoogleFonts.volkhov(textStyle: textTheme.headline4),
      headline5: GoogleFonts.volkhov(textStyle: textTheme.headline5),
      headline6: GoogleFonts.volkhov(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.volkhov(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.volkhov(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.volkhov(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.volkhov(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.volkhov(textStyle: textTheme.caption),
      button: GoogleFonts.volkhov(textStyle: textTheme.button),
      overline: GoogleFonts.volkhov(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextStyle vollkorn({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9fd84335b1beb10505c201815682f7b543aa429a5a909e8b2126f15d36a0705a',
        262424,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '784ba33f30493ef78ca0217d7f6c243c8bf7bec2cd1b9c4d813af99941bf730e',
        271752,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d702c22f1d2ea4a1521efff825d5c362adca54b6fbe2343ab2ed6b7e2119610',
        276280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '6cd6efd288ac8587690f7a7f5788bea147c0c5432224a04874dc4494a8691955',
        279348,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14aa1fb5f42a8088a0d91ca54dbc7d6eea615db621929c7bdc35ae4a6c64fcb5',
        276384,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'ef717b899e1af61e2a62cfed23623b0d5c844e2745616be4a949bf84f6e7457e',
        279732,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14e5d20d80ab9df765ef117415850050320fa766eb246296c67924737f88c2d1',
        272880,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '3953dfef7c1118f089612462105779d89da8f9df1aa11b74a8b2a58bb8359a44',
        272552,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Vollkorn',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn
  static TextTheme vollkornTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vollkorn(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vollkorn(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vollkorn(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vollkorn(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vollkorn(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vollkorn(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vollkorn(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vollkorn(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vollkorn(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vollkorn(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vollkorn(textStyle: textTheme.caption),
      button: GoogleFonts.vollkorn(textStyle: textTheme.button),
      overline: GoogleFonts.vollkorn(textStyle: textTheme.overline),
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextStyle vollkornSc({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '3a204e8e6e256d182887114991a86b3853bd7b370eb298c5c5358a4924e94326',
        145820,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c3f8bc857ab58e19ba62ee008373ba5b707f586065cc0a59e68cf3781b1075f5',
        150112,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0281449b729b1b8cb680dbcd00fd7d2e9d40ff24c858a834e3670997a561aea3',
        150144,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b95dc90d6b58551cd5cadf844986de95a70432ebf303eaf23270184113144a67',
        149088,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'VollkornSC',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Vollkorn SC font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Vollkorn+SC
  static TextTheme vollkornScTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.vollkornSc(textStyle: textTheme.headline1),
      headline2: GoogleFonts.vollkornSc(textStyle: textTheme.headline2),
      headline3: GoogleFonts.vollkornSc(textStyle: textTheme.headline3),
      headline4: GoogleFonts.vollkornSc(textStyle: textTheme.headline4),
      headline5: GoogleFonts.vollkornSc(textStyle: textTheme.headline5),
      headline6: GoogleFonts.vollkornSc(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.vollkornSc(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.vollkornSc(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.vollkornSc(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.vollkornSc(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.vollkornSc(textStyle: textTheme.caption),
      button: GoogleFonts.vollkornSc(textStyle: textTheme.button),
      overline: GoogleFonts.vollkornSc(textStyle: textTheme.overline),
    );
  }

  /// Applies the Voltaire font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextStyle voltaire({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8e446b1dcde5e45745bd6e82bfacf76b313042b232e4fceaa22d745f13e176d3',
        28800,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Voltaire',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Voltaire font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Voltaire
  static TextTheme voltaireTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.voltaire(textStyle: textTheme.headline1),
      headline2: GoogleFonts.voltaire(textStyle: textTheme.headline2),
      headline3: GoogleFonts.voltaire(textStyle: textTheme.headline3),
      headline4: GoogleFonts.voltaire(textStyle: textTheme.headline4),
      headline5: GoogleFonts.voltaire(textStyle: textTheme.headline5),
      headline6: GoogleFonts.voltaire(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.voltaire(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.voltaire(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.voltaire(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.voltaire(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.voltaire(textStyle: textTheme.caption),
      button: GoogleFonts.voltaire(textStyle: textTheme.button),
      overline: GoogleFonts.voltaire(textStyle: textTheme.overline),
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextStyle waitingForTheSunrise({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5d952514968d1ce922a541f2099d884967f1970682676c3f1cca1b4668f07ff1',
        57412,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WaitingfortheSunrise',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Waiting for the Sunrise font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Waiting+for+the+Sunrise
  static TextTheme waitingForTheSunriseTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.waitingForTheSunrise(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.waitingForTheSunrise(textStyle: textTheme.caption),
      button: GoogleFonts.waitingForTheSunrise(textStyle: textTheme.button),
      overline: GoogleFonts.waitingForTheSunrise(textStyle: textTheme.overline),
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextStyle wallpoet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9989a07c4d82441ed4366747a76f537b925a6d9f691e7b0cd97713bcac160b20',
        22488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wallpoet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wallpoet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wallpoet
  static TextTheme wallpoetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.wallpoet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.wallpoet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.wallpoet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.wallpoet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.wallpoet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.wallpoet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.wallpoet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.wallpoet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.wallpoet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.wallpoet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.wallpoet(textStyle: textTheme.caption),
      button: GoogleFonts.wallpoet(textStyle: textTheme.button),
      overline: GoogleFonts.wallpoet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextStyle walterTurncoat({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ea002cd3a82b6686a400f26ba3da2fa47721b8300266adcc80cc3fbd52a86a3',
        153452,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WalterTurncoat',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Walter Turncoat font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Walter+Turncoat
  static TextTheme walterTurncoatTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.walterTurncoat(textStyle: textTheme.headline1),
      headline2: GoogleFonts.walterTurncoat(textStyle: textTheme.headline2),
      headline3: GoogleFonts.walterTurncoat(textStyle: textTheme.headline3),
      headline4: GoogleFonts.walterTurncoat(textStyle: textTheme.headline4),
      headline5: GoogleFonts.walterTurncoat(textStyle: textTheme.headline5),
      headline6: GoogleFonts.walterTurncoat(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.walterTurncoat(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.walterTurncoat(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.walterTurncoat(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.walterTurncoat(textStyle: textTheme.caption),
      button: GoogleFonts.walterTurncoat(textStyle: textTheme.button),
      overline: GoogleFonts.walterTurncoat(textStyle: textTheme.overline),
    );
  }

  /// Applies the Warnes font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextStyle warnes({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '509079dd5c127782c43242772c6a327f4e16ede0d28f7d18b01e7092b4e902c8',
        41620,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Warnes',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Warnes font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Warnes
  static TextTheme warnesTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.warnes(textStyle: textTheme.headline1),
      headline2: GoogleFonts.warnes(textStyle: textTheme.headline2),
      headline3: GoogleFonts.warnes(textStyle: textTheme.headline3),
      headline4: GoogleFonts.warnes(textStyle: textTheme.headline4),
      headline5: GoogleFonts.warnes(textStyle: textTheme.headline5),
      headline6: GoogleFonts.warnes(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.warnes(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.warnes(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.warnes(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.warnes(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.warnes(textStyle: textTheme.caption),
      button: GoogleFonts.warnes(textStyle: textTheme.button),
      overline: GoogleFonts.warnes(textStyle: textTheme.overline),
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextStyle wellfleet({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9bdc76fbcd0c8aa30aa62c892008d4e6cf4a7df66502008137949866fc091693',
        81992,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Wellfleet',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wellfleet font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wellfleet
  static TextTheme wellfleetTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.wellfleet(textStyle: textTheme.headline1),
      headline2: GoogleFonts.wellfleet(textStyle: textTheme.headline2),
      headline3: GoogleFonts.wellfleet(textStyle: textTheme.headline3),
      headline4: GoogleFonts.wellfleet(textStyle: textTheme.headline4),
      headline5: GoogleFonts.wellfleet(textStyle: textTheme.headline5),
      headline6: GoogleFonts.wellfleet(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.wellfleet(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.wellfleet(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.wellfleet(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.wellfleet(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.wellfleet(textStyle: textTheme.caption),
      button: GoogleFonts.wellfleet(textStyle: textTheme.button),
      overline: GoogleFonts.wellfleet(textStyle: textTheme.overline),
    );
  }

  /// Applies the Wendy One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextStyle wendyOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dea9bd8409f75210fc0600c72f08d7b21019e5e663c7dcff913dc8f003587379',
        22724,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WendyOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wendy One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wendy+One
  static TextTheme wendyOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.wendyOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.wendyOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.wendyOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.wendyOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.wendyOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.wendyOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.wendyOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.wendyOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.wendyOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.wendyOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.wendyOne(textStyle: textTheme.caption),
      button: GoogleFonts.wendyOne(textStyle: textTheme.button),
      overline: GoogleFonts.wendyOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the WindSong font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextStyle windSong({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7df0431516406a096e641405ea838bd34db15e7b7352393de4671658afea35e6',
        102256,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9d1eb4af2ebb3eff21572619c8b874852793ce191c55cb63176c76bea722db9e',
        109360,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WindSong',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the WindSong font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/WindSong
  static TextTheme windSongTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.windSong(textStyle: textTheme.headline1),
      headline2: GoogleFonts.windSong(textStyle: textTheme.headline2),
      headline3: GoogleFonts.windSong(textStyle: textTheme.headline3),
      headline4: GoogleFonts.windSong(textStyle: textTheme.headline4),
      headline5: GoogleFonts.windSong(textStyle: textTheme.headline5),
      headline6: GoogleFonts.windSong(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.windSong(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.windSong(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.windSong(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.windSong(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.windSong(textStyle: textTheme.caption),
      button: GoogleFonts.windSong(textStyle: textTheme.button),
      overline: GoogleFonts.windSong(textStyle: textTheme.overline),
    );
  }

  /// Applies the Wire One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextStyle wireOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6d9ba7749b319a53d24a41f6cbfd1b376305caee6bb226d4fb76fa6c9ccb2737',
        44392,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WireOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Wire One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Wire+One
  static TextTheme wireOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.wireOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.wireOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.wireOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.wireOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.wireOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.wireOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.wireOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.wireOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.wireOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.wireOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.wireOne(textStyle: textTheme.caption),
      button: GoogleFonts.wireOne(textStyle: textTheme.button),
      overline: GoogleFonts.wireOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Work Sans font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextStyle workSans({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '54ff7c3cb9bfd181e1d18d089ab9bba3059dd6f49d35bfde19c23e0920ec6f2c',
        101768,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1fa02ec2601b669a35f4c2d946f2e52353bcf619ad2a080c8786f607f013359c',
        103092,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '63d2d7d98c9844e182c80865616936a3c0e95d9c9b7097e09401ccc07723afa7',
        102672,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf9e214b6a140d6d260a7a91283acecf80168bd0b46628222447e9b5e01300a2',
        99188,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '1ca28e13541a38be971563ecc74ed68ad07134d3ea3afe92a9c120783868b69d',
        104640,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a7415d89db9339059ee631263f3cd47af702c172d1b020fa359df0e5a4930e6b',
        104368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd41209fc541bdf9f9bac4659e46565edc93459f6c6f7213015af82b7d3e7e00b',
        103884,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w800,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c9cca774aabfe453b9c2759953dedeb20f16d6eb28c0ba7690a170580c338d72',
        104120,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7cdc1c327ea835b192ef17b0f0bff1a16fc58f8ab00bc318b41912f4758b2905',
        97388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'WorkSans',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Work Sans font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Work+Sans
  static TextTheme workSansTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.workSans(textStyle: textTheme.headline1),
      headline2: GoogleFonts.workSans(textStyle: textTheme.headline2),
      headline3: GoogleFonts.workSans(textStyle: textTheme.headline3),
      headline4: GoogleFonts.workSans(textStyle: textTheme.headline4),
      headline5: GoogleFonts.workSans(textStyle: textTheme.headline5),
      headline6: GoogleFonts.workSans(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.workSans(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.workSans(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.workSans(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.workSans(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.workSans(textStyle: textTheme.caption),
      button: GoogleFonts.workSans(textStyle: textTheme.button),
      overline: GoogleFonts.workSans(textStyle: textTheme.overline),
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextStyle xanhMono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc590c4a0c719a3c555ab48c1de299db800f5ecdef7513b712a22392951ed119',
        38648,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '481a22208d7f528069ac13b1f1c67837e9cbad6e73b4feb6368a0dce2bf6faf1',
        41664,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'XanhMono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Xanh Mono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Xanh+Mono
  static TextTheme xanhMonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.xanhMono(textStyle: textTheme.headline1),
      headline2: GoogleFonts.xanhMono(textStyle: textTheme.headline2),
      headline3: GoogleFonts.xanhMono(textStyle: textTheme.headline3),
      headline4: GoogleFonts.xanhMono(textStyle: textTheme.headline4),
      headline5: GoogleFonts.xanhMono(textStyle: textTheme.headline5),
      headline6: GoogleFonts.xanhMono(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.xanhMono(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.xanhMono(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.xanhMono(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.xanhMono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.xanhMono(textStyle: textTheme.caption),
      button: GoogleFonts.xanhMono(textStyle: textTheme.button),
      overline: GoogleFonts.xanhMono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextStyle yaldevi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9f6c8164716229e98bd6caad4fbbc3975fff02252354777a41c651155ab1139a',
        265716,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b21a9d75ece84f9750df8402fddb8da17f9e42928b46d62a7b31c0f15a1a22ad',
        266340,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc130b9782aa8174c9a6e10029f88efdc658ac47852f61353b19c3a671bb188b',
        266552,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '2d4221aac180e07e3380c9c1ddf145cb8b387cf70c6516441b3dd6dc0f6bfd19',
        266668,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'da28c8fc3301472444c59533dbc7b03268138217b799bf4f30d4216674081bf1',
        266812,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '66e9c597c06312348fa16c31c3b9cecac12fd146ebc1782fc0e606ceee9da38a',
        266036,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yaldevi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yaldevi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yaldevi
  static TextTheme yaldeviTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yaldevi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yaldevi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yaldevi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yaldevi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yaldevi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yaldevi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yaldevi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yaldevi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yaldevi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yaldevi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yaldevi(textStyle: textTheme.caption),
      button: GoogleFonts.yaldevi(textStyle: textTheme.button),
      overline: GoogleFonts.yaldevi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextStyle yanoneKaffeesatz({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w200,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9805245cc2de9c8da9ae786c7e17ac2da9f93c7b2ba3cc8f481e28eb05146193',
        73564,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd9ed8432723bd4d507a98d52dc50b9852ac3d6456e0fbcf9bf639b19982af563',
        83844,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'c590a52e12f62af4fec495eae613bff7aa7763fb2c5bec48e1db96503ba91c1b',
        84008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5245342d46c5e01aaa2e808a7962687a57c7ffaad83ff05db327e9fbf28d79c0',
        84004,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YanoneKaffeesatz',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yanone Kaffeesatz font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yanone+Kaffeesatz
  static TextTheme yanoneKaffeesatzTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.caption),
      button: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.button),
      overline: GoogleFonts.yanoneKaffeesatz(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextStyle yantramanav({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w100,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86689d7a0f2e854d67499f3b138d736bbc906760e4ce2965a494ede2bd7bebca',
        101432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4ab0f6ae96b7ee1e64385a964c2e10db696f46e64a3c7e9966131d0a0e2d4584',
        99760,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '41c02d7da7c104c3ea5207122b178f4cbcf308b4911dbc4e4a460b23ba64f09e',
        99620,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '14362b0efe1ebbde59b45ed4e1f345c1a41e777d03fce97684b6bd8b67ecc385',
        98608,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6036c39566fdfe4d7a96f8959775282729df41c691b5791efb80a530d96732e6',
        99004,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '117b18180127afc0bb9a28d0aa5d5aa9bcd8090b84d34a9adf571661c1896578',
        98880,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yantramanav',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yantramanav font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yantramanav
  static TextTheme yantramanavTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yantramanav(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yantramanav(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yantramanav(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yantramanav(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yantramanav(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yantramanav(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yantramanav(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yantramanav(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yantramanav(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yantramanav(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yantramanav(textStyle: textTheme.caption),
      button: GoogleFonts.yantramanav(textStyle: textTheme.button),
      overline: GoogleFonts.yantramanav(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yatra One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextStyle yatraOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '91d2a8a128a89559c899d8149591b1704546ba00b04c2d0f50dd252f57a00bfb',
        204892,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YatraOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yatra One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yatra+One
  static TextTheme yatraOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yatraOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yatraOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yatraOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yatraOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yatraOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yatraOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yatraOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yatraOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yatraOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yatraOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yatraOne(textStyle: textTheme.caption),
      button: GoogleFonts.yatraOne(textStyle: textTheme.button),
      overline: GoogleFonts.yatraOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextStyle yellowtail({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f5afc3345b05f159df8c09f953eacbf365a0d81f5cecccb4fa7b7407284baca9',
        62400,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yellowtail',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yellowtail font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yellowtail
  static TextTheme yellowtailTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yellowtail(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yellowtail(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yellowtail(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yellowtail(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yellowtail(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yellowtail(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yellowtail(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yellowtail(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yellowtail(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yellowtail(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yellowtail(textStyle: textTheme.caption),
      button: GoogleFonts.yellowtail(textStyle: textTheme.button),
      overline: GoogleFonts.yellowtail(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextStyle yeonSung({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cc6d366c352d7d897155bde07516cd01c0fcd308ff28d0d6545d6634046cecec',
        1698768,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YeonSung',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeon Sung font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeon+Sung
  static TextTheme yeonSungTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yeonSung(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yeonSung(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yeonSung(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yeonSung(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yeonSung(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yeonSung(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yeonSung(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yeonSung(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yeonSung(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yeonSung(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yeonSung(textStyle: textTheme.caption),
      button: GoogleFonts.yeonSung(textStyle: textTheme.button),
      overline: GoogleFonts.yeonSung(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextStyle yesevaOne({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '326eec1af27e3634bbf470c04d8127d985571a07b5b79696eb6424489e27e106',
        74612,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YesevaOne',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yeseva One font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yeseva+One
  static TextTheme yesevaOneTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yesevaOne(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yesevaOne(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yesevaOne(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yesevaOne(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yesevaOne(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yesevaOne(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yesevaOne(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yesevaOne(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yesevaOne(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yesevaOne(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yesevaOne(textStyle: textTheme.caption),
      button: GoogleFonts.yesevaOne(textStyle: textTheme.button),
      overline: GoogleFonts.yesevaOne(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextStyle yesteryear({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'de930d7a2b4adea15c08668114a1672322e74ae93b6b134e78a953c6789ea86d',
        64440,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yesteryear',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yesteryear font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yesteryear
  static TextTheme yesteryearTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yesteryear(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yesteryear(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yesteryear(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yesteryear(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yesteryear(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yesteryear(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yesteryear(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yesteryear(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yesteryear(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yesteryear(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yesteryear(textStyle: textTheme.caption),
      button: GoogleFonts.yesteryear(textStyle: textTheme.button),
      overline: GoogleFonts.yesteryear(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yomogi font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextStyle yomogi({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9599d0d1b154655fd4884d9369cb9acc252fd6ba42fefcd53838194c3f5fadbd',
        4033948,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yomogi',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yomogi font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yomogi
  static TextTheme yomogiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yomogi(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yomogi(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yomogi(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yomogi(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yomogi(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yomogi(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yomogi(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yomogi(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yomogi(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yomogi(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yomogi(textStyle: textTheme.caption),
      button: GoogleFonts.yomogi(textStyle: textTheme.button),
      overline: GoogleFonts.yomogi(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yrsa font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextStyle yrsa({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'b942444580e24561d6008f08b6b3145662d902d140408e9f6c92ee7cd5affa00',
        57928,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9782370d37625db345595b8f48ae5156b4c8256cd4867b119af3114faa566686',
        58404,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '61c4e4c03498db5ec4f926576603b2102fac9f90b73b7aafe7e6ebadc30444b0',
        58364,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dd8f96acf795a40fc16730d309bc4a64f1f21d96ac4e93763611cee5539b77f9',
        58352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94de8af1023c6dab0ffcb86966c85582afca7392a0c3377cd0f1cb536c9d095c',
        58252,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Yrsa',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yrsa font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yrsa
  static TextTheme yrsaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yrsa(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yrsa(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yrsa(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yrsa(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yrsa(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yrsa(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yrsa(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yrsa(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yrsa(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yrsa(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yrsa(textStyle: textTheme.caption),
      button: GoogleFonts.yrsa(textStyle: textTheme.button),
      overline: GoogleFonts.yrsa(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextStyle yujiBoku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '8d03c76f62b49981fee9d4f9b3d186a70ac8613d232a75b7a334bd667ef8f49a',
        7847404,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiBoku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Boku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Boku
  static TextTheme yujiBokuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yujiBoku(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yujiBoku(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yujiBoku(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yujiBoku(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yujiBoku(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yujiBoku(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yujiBoku(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yujiBoku(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yujiBoku(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yujiBoku(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yujiBoku(textStyle: textTheme.caption),
      button: GoogleFonts.yujiBoku(textStyle: textTheme.button),
      overline: GoogleFonts.yujiBoku(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yuji Hentaigana Akari font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Hentaigana+Akari
  static TextStyle yujiHentaiganaAkari({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6f7adf363423a8dd5d1214d60b34857f740ea7c7ace24bf476017edaad48399b',
        90668,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiHentaiganaAkari',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Hentaigana Akari font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Hentaigana+Akari
  static TextTheme yujiHentaiganaAkariTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.caption),
      button: GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.button),
      overline: GoogleFonts.yujiHentaiganaAkari(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yuji Hentaigana Akebono font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Hentaigana+Akebono
  static TextStyle yujiHentaiganaAkebono({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a0eafa9b299b27fbf32eb78bbae0cc08dc6187c05eec51a54f4593d8055b1046',
        96272,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiHentaiganaAkebono',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Hentaigana Akebono font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Hentaigana+Akebono
  static TextTheme yujiHentaiganaAkebonoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.caption),
      button: GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.button),
      overline:
          GoogleFonts.yujiHentaiganaAkebono(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextStyle yujiMai({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6741e6df72abe0287210735f84bb297fb8704e9e44ae1bd53e9366f75215ce8',
        7830152,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiMai',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Mai font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Mai
  static TextTheme yujiMaiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yujiMai(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yujiMai(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yujiMai(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yujiMai(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yujiMai(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yujiMai(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yujiMai(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yujiMai(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yujiMai(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yujiMai(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yujiMai(textStyle: textTheme.caption),
      button: GoogleFonts.yujiMai(textStyle: textTheme.button),
      overline: GoogleFonts.yujiMai(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextStyle yujiSyuku({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0647d204ae1a4232cce1a635b3e9503bc9ad48ac3bcaa4114131e2514c49f7e8',
        7779080,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YujiSyuku',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yuji Syuku font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yuji+Syuku
  static TextTheme yujiSyukuTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yujiSyuku(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yujiSyuku(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yujiSyuku(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yujiSyuku(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yujiSyuku(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yujiSyuku(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yujiSyuku(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yujiSyuku(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yujiSyuku(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yujiSyuku(textStyle: textTheme.caption),
      button: GoogleFonts.yujiSyuku(textStyle: textTheme.button),
      overline: GoogleFonts.yujiSyuku(textStyle: textTheme.overline),
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextStyle yuseiMagic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16d55d48fe2bfe47ec060bfdd4c140508f2bfa0587db2478e1717aa2663880ca',
        3129996,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'YuseiMagic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Yusei Magic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Yusei+Magic
  static TextTheme yuseiMagicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.yuseiMagic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.yuseiMagic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.yuseiMagic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.yuseiMagic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.yuseiMagic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.yuseiMagic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.yuseiMagic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.yuseiMagic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.yuseiMagic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.yuseiMagic(textStyle: textTheme.caption),
      button: GoogleFonts.yuseiMagic(textStyle: textTheme.button),
      overline: GoogleFonts.yuseiMagic(textStyle: textTheme.overline),
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextStyle zcoolKuaiLe({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0809b4605f58fdd321743ae7e5b76d4ac6c2153fe0b5b7185dd12c1974659c00',
        1509564,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLKuaiLe',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL KuaiLe font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+KuaiLe
  static TextTheme zcoolKuaiLeTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.caption),
      button: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.button),
      overline: GoogleFonts.zcoolKuaiLe(textStyle: textTheme.overline),
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextStyle zcoolQingKeHuangYou({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dca9156773f9e058aafeaded91d3d5e64e41a67187907e37a66210e708d3dc73',
        5827424,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLQingKeHuangYou',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL QingKe HuangYou font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+QingKe+HuangYou
  static TextTheme zcoolQingKeHuangYouTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.caption),
      button: GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.button),
      overline: GoogleFonts.zcoolQingKeHuangYou(textStyle: textTheme.overline),
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextStyle zcoolXiaoWei({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e00b956bf9846285496c54d15ad3e2d6302a4c7d6f7a09c4afd4827744d626e9',
        3917592,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZCOOLXiaoWei',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the ZCOOL XiaoWei font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/ZCOOL+XiaoWei
  static TextTheme zcoolXiaoWeiTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.caption),
      button: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.button),
      overline: GoogleFonts.zcoolXiaoWei(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextStyle zenAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5194e2ed9f0bcce89bbfc2b6e65da19646fa1dd59e90d81803a59e87a9d07d87',
        5505072,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique
  static TextTheme zenAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenAntique(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenAntique(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenAntique(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenAntique(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenAntique(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenAntique(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenAntique(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenAntique(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenAntique(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenAntique(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenAntique(textStyle: textTheme.caption),
      button: GoogleFonts.zenAntique(textStyle: textTheme.button),
      overline: GoogleFonts.zenAntique(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextStyle zenAntiqueSoft({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'd6c11851b251a8fd6164f4085b8541094e5f5a6e2e5e37754e8642b13ff87c19',
        7092760,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenAntiqueSoft',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Antique Soft font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Antique+Soft
  static TextTheme zenAntiqueSoftTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.caption),
      button: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.button),
      overline: GoogleFonts.zenAntiqueSoft(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextStyle zenKakuGothicAntique({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '7b932008df3ad3c00aedd78635ac0b6ced1abfa679b0e750588b735a04382d38',
        2196588,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0aa3e05efea33539c35788e7aaf92cf5118d102b6338b6b9c574a7d45cc5d88a',
        2382796,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'cf1ef6ef2afab64175b046f9ccb8b90f20dc22a02d3d066a847db9c2a82c8d3c',
        2350192,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'ee0f50b8eee5a0b54b4fa2717259c041ad2be02e78778a983c87c78f43d8936d',
        2336860,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bd3ddb3d387247ce74438ce4e98367de22c73d6d9b78ab837245782a5ab63a3f',
        2320984,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicAntique',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic Antique font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+Antique
  static TextTheme zenKakuGothicAntiqueTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline1),
      headline2:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline2),
      headline3:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline3),
      headline4:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline4),
      headline5:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline5),
      headline6:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.headline6),
      subtitle1:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.subtitle1),
      subtitle2:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.subtitle2),
      bodyText1:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyText1),
      bodyText2:
          GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.caption),
      button: GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.button),
      overline: GoogleFonts.zenKakuGothicAntique(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextStyle zenKakuGothicNew({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '05ae23ccdbdc907c912506d155a2fbf226de33b509662b4e7d2320bc23b874b6',
        2193280,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '9509b8e171dcf219aaa3fa832c20a9bd17b9e5bdccc76f8eeb3c4b90daa7f143',
        2372632,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0cce4dddb19daba64b0ee82123aa351cb4dc9b182eb909698a20e0bd77bac8ad',
        2340432,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '94895341c46336289044954472ef4da34d5b125322487bfaa4c593dced9a734c',
        2326808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e0639eb3ef284da270eeaaab68a66ec6f27fcec6a9231adab1ae8dfe39ee6ed9',
        2312860,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKakuGothicNew',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kaku Gothic New font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kaku+Gothic+New
  static TextTheme zenKakuGothicNewTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.caption),
      button: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.button),
      overline: GoogleFonts.zenKakuGothicNew(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextStyle zenKurenaido({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '5189a5c092cbc70802df8243ddb905738786f1339bf920b2f422055b7cc20ee0',
        4300388,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenKurenaido',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Kurenaido font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Kurenaido
  static TextTheme zenKurenaidoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenKurenaido(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenKurenaido(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenKurenaido(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenKurenaido(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenKurenaido(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenKurenaido(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenKurenaido(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenKurenaido(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenKurenaido(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenKurenaido(textStyle: textTheme.caption),
      button: GoogleFonts.zenKurenaido(textStyle: textTheme.button),
      overline: GoogleFonts.zenKurenaido(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextStyle zenLoop({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f4b47f9c020e99a5c6ffbd0b0d39c1f91452cdfa2eb4618a2d9e4587f36856b7',
        29512,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '5c578d20ba661b151e7d2a6ca01ab8751c2e677f8c10cabee89b057d9a895adc',
        31116,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenLoop',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Loop font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Loop
  static TextTheme zenLoopTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenLoop(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenLoop(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenLoop(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenLoop(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenLoop(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenLoop(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenLoop(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenLoop(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenLoop(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenLoop(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenLoop(textStyle: textTheme.caption),
      button: GoogleFonts.zenLoop(textStyle: textTheme.button),
      overline: GoogleFonts.zenLoop(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextStyle zenMaruGothic({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'a57df8d6102bf7e1998907b953d85f3542c67f2a50fcc3bbfcaf59cecbab8a3c',
        3720592,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '20b71f2142081eea6ead7e39bbbd53433bdbf6062ce219b433ab549739c783bc',
        3830008,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '4efc51569de1f50d8e2dc4f7e1af1a45276b568f97b9cb97c6671f1f5d2e61ce',
        3808184,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'e7c27dec2c1a6cd7dd396be309da4f1f190f6ae8050c61447138600bbf9c7bd4',
        3776316,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '425074cc157d79a3c90dc3de1dfaf7527dfc2d5b33e643526d3f3835aa86fed7',
        3707524,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenMaruGothic',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Maru Gothic font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Maru+Gothic
  static TextTheme zenMaruGothicTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenMaruGothic(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenMaruGothic(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenMaruGothic(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenMaruGothic(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenMaruGothic(textStyle: textTheme.caption),
      button: GoogleFonts.zenMaruGothic(textStyle: textTheme.button),
      overline: GoogleFonts.zenMaruGothic(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextStyle zenOldMincho({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '16f334be77a064c706a91fb0ed24b71ec63d2b5dee6ddb443f76dc42b56615de',
        5439712,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6ad668c0a75543992a19d09a12d75ac1328517cccfff35730b7454faf32187a8',
        5518516,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w900,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '86877fede5b656657f6997cceee2f6654f67ce7c4e9ac4f9c20b626db328654f',
        5413488,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenOldMincho',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Old Mincho font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Old+Mincho
  static TextTheme zenOldMinchoTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenOldMincho(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenOldMincho(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenOldMincho(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenOldMincho(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenOldMincho(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenOldMincho(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenOldMincho(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenOldMincho(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenOldMincho(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenOldMincho(textStyle: textTheme.caption),
      button: GoogleFonts.zenOldMincho(textStyle: textTheme.button),
      overline: GoogleFonts.zenOldMincho(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextStyle zenTokyoZoo({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'fbfc6eee5f92cac1950061ce6b0998c7ab27c687c34a50485c6a702bfe4b2be6',
        33740,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZenTokyoZoo',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zen Tokyo Zoo font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zen+Tokyo+Zoo
  static TextTheme zenTokyoZooTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zenTokyoZoo(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zenTokyoZoo(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zenTokyoZoo(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zenTokyoZoo(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zenTokyoZoo(textStyle: textTheme.caption),
      button: GoogleFonts.zenTokyoZoo(textStyle: textTheme.button),
      overline: GoogleFonts.zenTokyoZoo(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zeyada font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextStyle zeyada({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '06ad6445bf0014c963d0b72e3dcd1defc66132033878f2b1cee5be9bdb807c93',
        63040,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'Zeyada',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zeyada font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zeyada
  static TextTheme zeyadaTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zeyada(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zeyada(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zeyada(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zeyada(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zeyada(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zeyada(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zeyada(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zeyada(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zeyada(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zeyada(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zeyada(textStyle: textTheme.caption),
      button: GoogleFonts.zeyada(textStyle: textTheme.button),
      overline: GoogleFonts.zeyada(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextStyle zhiMangXing({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f1191a3228f8532e0c3269311dad5b9b1fcdc6dbcfe7f9e3cc506a30fda24d1b',
        4051716,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZhiMangXing',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zhi Mang Xing font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zhi+Mang+Xing
  static TextTheme zhiMangXingTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zhiMangXing(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zhiMangXing(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zhiMangXing(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zhiMangXing(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zhiMangXing(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zhiMangXing(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zhiMangXing(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zhiMangXing(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zhiMangXing(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zhiMangXing(textStyle: textTheme.caption),
      button: GoogleFonts.zhiMangXing(textStyle: textTheme.button),
      overline: GoogleFonts.zhiMangXing(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextStyle zillaSlab({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '37849ab854bf1dfd4a6d1cf5fe02365f214a0b5230a2473ddba5beea422d42c1',
        177352,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w300,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'f805ebf60f65467cf901f63c9e81742e68857ccd9321f154a664dc86e4f74d04',
        183780,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '6800e794aef26166782eccbaea44836363524c049b943e1ff5e7f3c662ee15db',
        177856,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '877668221b5887330f20b0c49f66807696026ce3edcc2930f86a6681f8bb0b66',
        185116,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'f84370da8e3c9d4ff36363df373f16bd9dff9bc4fec9d1bd98c58e5450fe7a94',
        177808,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w500,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        '382cc00753755b73c9b5c3c729fc28e639a7f0ec05d7f4f1eb078bed8b053e2c',
        185368,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        '0f65abeeaa62b1131fa31eb90d1ac6630bc73de55414482fd373559e7c8b56d2',
        177848,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w600,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'e893fedd56d416197cd6fb662dee7a611d5a5fc4216d271fa075316524ea4ff4',
        185160,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'bc0bb0d6f2a2f1edd4520a1e0e6fc779921dd929b7343dc03450a80ca514bb03',
        178644,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.italic,
      ): GoogleFontsFile(
        'd65ad541dbb872b4bd977f2dbfdf396a44ac0ec063b7921aba6e76dda85a4b05',
        185704,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlab',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab
  static TextTheme zillaSlabTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zillaSlab(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zillaSlab(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zillaSlab(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zillaSlab(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zillaSlab(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zillaSlab(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zillaSlab(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zillaSlab(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zillaSlab(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zillaSlab(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zillaSlab(textStyle: textTheme.caption),
      button: GoogleFonts.zillaSlab(textStyle: textTheme.button),
      overline: GoogleFonts.zillaSlab(textStyle: textTheme.overline),
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to the
  /// given [textStyle].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextStyle zillaSlabHighlight({
    TextStyle? textStyle,
    Color? color,
    Color? backgroundColor,
    double? fontSize,
    FontWeight? fontWeight,
    FontStyle? fontStyle,
    double? letterSpacing,
    double? wordSpacing,
    TextBaseline? textBaseline,
    double? height,
    Locale? locale,
    Paint? foreground,
    Paint? background,
    List<ui.Shadow>? shadows,
    List<ui.FontFeature>? fontFeatures,
    TextDecoration? decoration,
    Color? decorationColor,
    TextDecorationStyle? decorationStyle,
    double? decorationThickness,
  }) {
    final fonts = <GoogleFontsVariant, GoogleFontsFile>{
      const GoogleFontsVariant(
        fontWeight: FontWeight.w400,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'dbd546264c0d549b6c3cd17c1acf40b35bbe910885e09b5e2a270aa090b6ee53',
        71996,
      ),
      const GoogleFontsVariant(
        fontWeight: FontWeight.w700,
        fontStyle: FontStyle.normal,
      ): GoogleFontsFile(
        'be3605b5e26a2439fde6293b4159f4c401273e65483cab10505e6c4010523ece',
        71064,
      ),
    };

    return googleFontsTextStyle(
      textStyle: textStyle,
      fontFamily: 'ZillaSlabHighlight',
      color: color,
      backgroundColor: backgroundColor,
      fontSize: fontSize,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      letterSpacing: letterSpacing,
      wordSpacing: wordSpacing,
      textBaseline: textBaseline,
      height: height,
      locale: locale,
      foreground: foreground,
      background: background,
      shadows: shadows,
      fontFeatures: fontFeatures,
      decoration: decoration,
      decorationColor: decorationColor,
      decorationStyle: decorationStyle,
      decorationThickness: decorationThickness,
      fonts: fonts,
    );
  }

  /// Applies the Zilla Slab Highlight font family from Google Fonts to every
  /// [TextStyle] in the given [textTheme].
  ///
  /// See:
  ///  * https://fonts.google.com/specimen/Zilla+Slab+Highlight
  static TextTheme zillaSlabHighlightTextTheme([TextTheme? textTheme]) {
    textTheme ??= ThemeData.light().textTheme;
    return TextTheme(
      headline1: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline1),
      headline2: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline2),
      headline3: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline3),
      headline4: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline4),
      headline5: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline5),
      headline6: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.headline6),
      subtitle1: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.subtitle1),
      subtitle2: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.subtitle2),
      bodyText1: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyText1),
      bodyText2: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.bodyText2),
      caption: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.caption),
      button: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.button),
      overline: GoogleFonts.zillaSlabHighlight(textStyle: textTheme.overline),
    );
  }
}
